// Copyright 2023 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright 2021 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

/* https://github.com/bgrins/spectrum */

:host {
  width: 232px;
  height: 319px;
  user-select: none;
  overflow: hidden;
}

:selection {
  background-color: var(--color-primary-old);
  color: var(--color-background);
}

.spectrum-color {
  position: relative;
  width: 232px;
  height: 127px;
  border-radius: 2px 2px 0 0;
  overflow: hidden;
  flex: none;
  touch-action: none;
}

.spectrum-dragger,
.spectrum-slider {
  user-select: none;
}

.spectrum-dragger {
  border-radius: 12px;
  height: 12px;
  width: 12px;
  border: 1px solid var(--sys-color-surface);
  cursor: move;
  z-index: 1;
  position: absolute;
  top: 0;
  left: 0;
  background: var(--sys-color-inverse-surface);
  box-shadow: var(--drop-shadow);
}

.spectrum-slider {
  position: absolute;
  top: -1px;
  cursor: ew-resize;
  width: 13px;
  height: 13px;
  border-radius: 13px;
  background-color: var(--color-background-elevation-1);
  box-shadow: var(--drop-shadow);
}

.spectrum-color:focus .spectrum-dragger {
  border: 1px solid var(--legacy-accent-color-hover);
}

.spectrum-tools {
  position: relative;
  height: 110px;
  width: 100%;
  flex: none;
}

.spectrum-hue {
  top: 16px;
  background: linear-gradient(to left, #f00 0%, #ff0 17%, #0f0 33%, #0ff 50%, #00f 67%, #f0f 83%, #f00 100%); /* stylelint-disable-line plugin/use_theme_colors */
}

.spectrum-hue.display-p3 {
  background: linear-gradient(to left, color(display-p3 1 0 0) 0%, color(display-p3 1 1 0) 17%, color(display-p3 0 1 0) 33%, color(display-p3 0 1 1) 50%, color(display-p3 0 0 1) 67%, color(display-p3 1 0 1) 83%, color(display-p3 1 0 0) 100%); /* stylelint-disable-line plugin/use_theme_colors */
}

.spectrum-alpha {
  top: 35px;
  background-image: var(--image-file-checker);
  background-size: 12px 11px;
}

.spectrum-alpha-background {
  height: 100%;
  border-radius: 2px;
}

.spectrum-hue,
.spectrum-alpha {
  position: absolute;
  left: 86px;
  width: 130px;
  height: 11px;
  border-radius: 2px;
  touch-action: none;
}

.spectrum-hue:focus-visible .spectrum-slider,
.spectrum-alpha:focus-visible .spectrum-slider {
  border: 1px solid var(--legacy-accent-color-hover);
  width: 14px;
  height: 14px;
  border-radius: 14px;
}

.spectrum-sat,
.-theme-preserve {
  background-image: linear-gradient(to right, #fff, rgb(204 154 129 / 0%)); /* stylelint-disable-line plugin/use_theme_colors */
}

.spectrum-val,
.-theme-preserve {
  background-image: linear-gradient(to top, #000, rgb(204 154 129 / 0%)); /* stylelint-disable-line plugin/use_theme_colors */
}

.spectrum-contrast-details {
  position: relative;
  background-color: var(--sys-color-cdt-base-container);
  width: 100%;
  height: 83px;
  top: 0;
  font-size: 13px;
  color: var(--color-text-primary);
  border-top: 1px solid var(--sys-color-divider);
  line-height: initial;
  overflow: hidden;
  flex: none;
}

.spectrum-contrast-details.collapsed {
  height: 36px;
  flex: none;
}

.spectrum-contrast-details div.toolbar.expand {
  position: absolute;
  right: 6px;
  top: 6px;
  margin: 0;
}

.spectrum-contrast-details.visible {
  display: initial;
}

.spectrum-contrast-details div.container {
  margin: 10px;
}

.spectrum-contrast-details .expanded-details {
  display: flex;
  margin: 12px 12px 0 4px;
}

.spectrum-contrast-details.collapsed .expanded-details {
  display: none;
}

.contrast-pass-fail {
  margin-left: 0.5em;
  display: flex;
  align-items: center;
}

.contrast-choose-bg-color {
  margin: 8px 0 0 5px;
  font-style: italic;
}

.spectrum-contrast-details .contrast-choose-bg-color,
.spectrum-contrast-details .contrast-thresholds {
  width: 150px;
}

.contrast-threshold:first-child {
  margin-bottom: 5px;
}

.contrast-fix-button {
  cursor: pointer;
  font-size: 13px;
  padding: 0;
  margin: 0 0 0 10px;
  background: 0;
  width: 12px;
  height: 12px;
  border: 1px solid rgb(0 0 0 / 10%); /* stylelint-disable-line plugin/use_theme_colors */
  /* See: crbug.com/1152736 for color variable migration. */
  display: inline-block;
  position: relative;
}

.contrast-fix-button::after {
  content: " ";
  width: 13px;
  height: 13px;
  background-image: var(--image-file-refresh);
  background-size: contain;
  position: absolute;
  left: 5.5px;
  top: 3.5px;
  background-color: var(--sys-color-cdt-base-container);
  border-radius: 50%;
}

.contrast-fix-button:hover,
.contrast-fix-button:focus {
  border: 1px solid var(--legacy-accent-color-hover);
  transform: scale(1.2);
}

.contrast-link-label {
  cursor: pointer;
}

.contrast-link-label:hover {
  text-decoration: underline;
}

.spectrum-contrast-details .background-color {
  position: absolute;
  flex: none;
  right: 12px;
}

.spectrum-eye-dropper {
  width: 32px;
  height: 24px;
  position: relative;
  left: 8px;
  top: 17px;
  cursor: pointer;
}

.spectrum-contrast-details .spectrum-eye-dropper {
  top: 2px;
  right: 34px;
  position: absolute;
  left: auto;
}

.contrast-details-value {
  color: var(--color-text-primary);
  margin: 1px 5px;
  user-select: text;
}

.contrast-pass-fail devtools-icon {
  margin-left: 5px;
}

.contrast-details-value [is="ui-icon"] {
  display: none;
  margin-left: 5px;
  background-color: var(--color-text-primary);
}

.spectrum-contrast-details .toolbar-state-on [is="ui-icon"] {
  background-color: var(--color-text-secondary);
}

[is="ui-icon"].clear {
  transform: scale(0.7);
  background-color: var(--icon-error);
}

.contrast-pass-fail span[is="ui-icon"] {
  margin-left: 5px;
}

[is="ui-icon"].checkmark,
[is="ui-icon"].check-double {
  background-color: var(--icon-checkmark-green);
}

.spectrum-contrast-details .contrast-details-value.contrast-unknown {
  background-color: var(--color-background);
  color: var(--color-text-primary);
  width: 3em;
  text-align: center;
}

.contrast-details-value .clear,
.contrast-details-value .checkmark,
.contrast-details-value .check-double {
  cursor: pointer;
  vertical-align: -5px;
}

.spectrum-contrast-details.contrast-fail .contrast-details-value .clear,
.contrast-details-value.contrast-aa .checkmark,
.contrast-details-value.contrast-aaa .check-double {
  display: inline-block;
}

.swatch {
  width: 32px;
  height: 32px;
  margin: 0;
  position: absolute;
  top: 15px;
  left: 44px;
  background-image: var(--image-file-checker);
  border-radius: 16px;
}

.swatch-inner,
.swatch-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  display: inline-block;
  border-radius: 16px;
}

.swatch-inner-white {
  border: 1px solid var(--color-background-elevation-2);
}

.swatch-overlay {
  cursor: pointer;
  opacity: 0%;
  padding: 4px;
}

.swatch-overlay:hover,
.swatch-overlay:focus-visible {
  background-color: var(--color-background-inverted-opacity-30);
  opacity: 100%;
}

.swatch-overlay:active {
  background-color: var(--color-background-inverted-opacity-50);
}

[is="ui-icon"].icon-mask.copy-color-icon {
  background-color: var(--color-background);
  margin-top: 2px;
  margin-left: 2px;
}

.spectrum-text {
  position: absolute;
  top: 60px;
  left: 16px;
}

.spectrum-text-value {
  display: inline-block;
  width: 40px;
  overflow: hidden;
  text-align: center;
  margin-right: 6px;
  line-height: 20px;
  padding: 0;
  color: var(--color-text-primary);
  white-space: nowrap;
  box-shadow: var(--legacy-focus-ring-inactive-shadow);
}

.spectrum-text-label {
  letter-spacing: 39.5px;
  margin-top: 8px;
  display: block;
  color: var(--color-text-disabled);
  margin-left: 16px;
  width: 174px;
}

.spectrum-text-hex > .spectrum-text-value {
  width: 178px;
}

.spectrum-text-hex > .spectrum-text-label {
  letter-spacing: normal;
  margin-left: 0;
  text-align: center;
}

.spectrum-switcher {
  border-radius: 2px;
  height: 20px;
  width: 20px;
  padding: 2px;
  border: none;
  background: none;
  margin: 0;
}

.spectrum-display-switcher {
  top: 72px;
  position: absolute;
  right: 10px;
}

.spectrum-switcher:hover {
  background-color: var(--color-background-elevation-2);
}

.spectrum-switcher:focus-visible {
  background-color: var(--legacy-focus-bg-color);
}

.spectrum-palette-container {
  border-top: 1px solid var(--sys-color-divider);
  position: relative;
  width: 100%;
  padding: 6px 24px 6px 6px;
  display: flex;
  flex-wrap: wrap;
}

.spectrum-palette {
  display: flex;
  flex-wrap: wrap;
  width: 198px;
}

.spectrum-palette-color {
  width: 12px;
  height: 12px;
  flex: 0 0 12px;
  border-radius: 2px;
  margin: 6px;
  cursor: pointer;
  position: relative;
  border: 1px solid var(--sys-color-divider);
  background-position: -1px !important; /* stylelint-disable-line declaration-no-important */
  z-index: 14;
}

.spectrum-palette-color-shadow {
  position: absolute;
  opacity: 0%;
  margin: 0;
  top: -5px;
  left: 3px;
  border: 0;
  border-radius: 1px;
  width: 11px;
  height: 11px;
}

.spectrum-palette-color:hover:not(.spectrum-shades-shown) > .spectrum-palette-color-shadow,
.spectrum-palette-color:focus:not(.spectrum-shades-shown) > .spectrum-palette-color-shadow {
  opacity: 20%;
}

.spectrum-palette-color:hover:not(.spectrum-shades-shown) > .spectrum-palette-color-shadow:first-child,
.spectrum-palette-color:focus:not(.spectrum-shades-shown) > .spectrum-palette-color-shadow:first-child {
  opacity: 60%;
  top: -3px;
  left: 1px;
}

.palette-color-shades {
  position: absolute;
  background-color: var(--sys-color-cdt-base-container);
  height: 228px;
  width: 28px;
  box-shadow: var(--drop-shadow);
  z-index: 14;
  border-radius: 2px;
  transform-origin: 0 228px;
  margin-top: 16px;
  margin-left: -8px;
}

.spectrum-palette > .spectrum-palette-color.spectrum-shades-shown {
  z-index: 15;
}

.palette-color-shades > .spectrum-palette-color {
  margin: 8px 0 0;
  margin-left: 8px;
  width: 12px;
}

.spectrum-palette > .spectrum-palette-color {
  transition: transform 100ms cubic-bezier(0, 0, 0.2, 1);
  will-change: transform;
  z-index: 13;
}

.palette-preview > .spectrum-palette-color {
  margin-top: 1px;
}

.spectrum-palette > .spectrum-palette-color.empty-color {
  border-color: transparent;
}

.spectrum-palette-color:not(.has-material-shades):focus {
  border: 1px solid var(--legacy-accent-color-hover);
  transform: scale(1.4);
}

.palette-color-shades > .spectrum-palette-color:not(.empty-color):hover,
.spectrum-palette > .spectrum-palette-color:not(.empty-color):not(.has-material-shades):hover {
  transform: scale(1.15);
}

.add-color-toolbar {
  margin-left: -3px;
  margin-top: -1px;
}

.spectrum-palette-switcher {
  right: 10px;
  top: 0;
  margin-top: 9px;
  position: absolute;
}

.palette-panel {
  width: 100%;
  position: absolute;
  top: 100%;
  display: flex;
  flex-direction: column;
  background-color: var(--sys-color-cdt-base-container);
  z-index: 14;
  transition: transform 200ms cubic-bezier(0, 0, 0.2, 1), visibility 0s 200ms;
  border-top: 1px solid var(--sys-color-divider);
  visibility: hidden;
}

.palette-panel-showing > .palette-panel {
  transform: translateY(-100%);
  transition-delay: 0s;
  visibility: visible;
}

.palette-panel > div.toolbar {
  position: absolute;
  right: 6px;
  top: 6px;
}

.palette-panel > div:not(.toolbar) {
  flex: 0 0 38px;
  border-bottom: 1px solid var(--sys-color-divider);
  padding: 12px;
  line-height: 14px;
  color: var(--color-text-primary);
}

.palette-panel > div.palette-title {
  font-size: 14px;
  line-height: 16px;
  color: var(--color-text-primary);
  flex-basis: 40px;
}

div.palette-preview {
  display: flex;
  cursor: pointer;
}

.palette-preview-title {
  flex: 0 0 84px;
}

.palette-preview:focus-visible,
.palette-preview:hover {
  background-color: var(--color-background-elevation-1);
}

.spectrum-overlay {
  z-index: 13;
  visibility: hidden;
  background-color: hsl(0deg 0% 0% / 50%); /* stylelint-disable-line plugin/use_theme_colors */
  /* See: crbug.com/1152736 for color variable migration. */
  opacity: 0%;
  transition: opacity 100ms cubic-bezier(0, 0, 0.2, 1), visibility 0s 100ms;
}

.palette-panel-showing > .spectrum-overlay {
  transition-delay: 0s;
  visibility: visible;
  opacity: 100%;
}

.spectrum-contrast-container {
  width: 100%;
  height: 100%;
}

.spectrum-contrast-line,
:host-context(.-theme-with-dark-background) .spectrum-contrast-line {
  fill: none;
  stroke: #fff; /* stylelint-disable-line plugin/use_theme_colors */
  opacity: 70%;
  stroke-width: 1.5px;
}

.delete-color-toolbar {
  position: absolute;
  right: 0;
  top: 0;
  background-color: var(--color-background-elevation-1);
  visibility: hidden;
  z-index: 3;
  width: 36px;
  display: flex;
  align-items: center;
  padding-left: 4px;
  bottom: 2px;
  border-bottom-right-radius: 2px;
}

@keyframes showDeleteToolbar {
  from {
    opacity: 0%;
  }

  to {
    opacity: 100%;
  }
}

.delete-color-toolbar.dragging {
  visibility: visible;
  animation: showDeleteToolbar 100ms 150ms cubic-bezier(0, 0, 0.2, 1) backwards;
}

.delete-color-toolbar-active {
  background-color: var(--color-background-elevation-2);
  color: var(--color-background);
}

.swatch.contrast {
  width: 30px;
  height: 30px;
  position: absolute;
  top: 0;
  right: 0;
  left: auto;
  background-image: var(--image-file-checker);
  border-radius: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.swatch.contrast .swatch-overlay {
  padding: 0;
}

.background-color .text-preview {
  color: var(--color-background-inverted);
  font-size: 16px;
  position: relative;
  padding-bottom: 2px;
}

.swatch.contrast [is="ui-icon"] {
  margin: -2px;
}

.no-contrast-info-available {
  border-top: 1px solid var(--sys-color-divider);
  position: relative;
  width: 100%;
  padding: 10px;
  justify-content: center;
  display: flex;
  flex-wrap: wrap;
}

@media (forced-colors: active) {
  :host {
    border: 1px solid canvastext !important; /* stylelint-disable-line declaration-no-important */
  }

  .spectrum-color {
    forced-color-adjust: none;
  }

  .spectrum-switcher:hover,
  .spectrum-switcher:focus-visible {
    forced-color-adjust: none;
    background-color: Highlight !important; /* stylelint-disable-line declaration-no-important */
  }

  :host-context(.-theme-with-dark-background) .spectrum-switcher {
    filter: unset;
  }

  .spectrum-switcher:hover svg,
  .spectrum-switcher:focus-visible svg {
    fill: HighlightText;
  }

  .swatch {
    forced-color-adjust: none;
  }

  .swatch-inner,
  .swatch-overlay,
  .swatch-inner-white {
    border: 1px solid ButtonText;
  }

  .swatch-overlay:hover,
  .swatch-overlay:focus-visible {
    background-color: canvas !important; /* stylelint-disable-line declaration-no-important */
  }

  .spectrum-slider {
    forced-color-adjust: none;
    background-color: ButtonText !important; /* stylelint-disable-line declaration-no-important */
    box-shadow: 0 1px 4px 0 ButtonFace !important; /* stylelint-disable-line declaration-no-important */
  }
}

/*# sourceURL=spectrum.css */
`);
export default styles;
