/**
 * Lighthouse v10.4.0-55-gcd3d3a4c7 (Aug 03 2023)
 *
 * Automated auditing, performance metrics, and best practices for the web.
 *
 * @homepage https://github.com/GoogleChrome/lighthouse#readme
 * @author   The Lighthouse Authors
 * @license  Apache-2.0
 */
"use strict";(()=>{var a7=Object.create;var Kc=Object.defineProperty;var o7=Object.getOwnPropertyDescriptor;var i7=Object.getOwnPropertyNames;var s7=Object.getPrototypeOf,c7=Object.prototype.hasOwnProperty;var s=(t,e)=>Kc(t,"name",{value:e,configurable:!0});var v=(t,e)=>()=>(t&&(e=t(t=0)),e);var L=(t,e)=>()=>(e||t((e={exports:{}}).exports,e),e.exports),S=(t,e)=>{for(var n in e)Kc(t,n,{get:e[n],enumerable:!0})},KS=(t,e,n,r)=>{if(e&&typeof e=="object"||typeof e=="function")for(let a of i7(e))!c7.call(t,a)&&a!==n&&Kc(t,a,{get:()=>e[a],enumerable:!(r=o7(e,a))||r.enumerable});return t};var zt=(t,e,n)=>(n=t!=null?a7(s7(t)):{},KS(e||!t||!t.__esModule?Kc(n,"default",{value:t,enumerable:!0}):n,t)),u7=t=>KS(Kc({},"__esModule",{value:!0}),t);function JS(){throw new Error("setTimeout has not been defined")}function XS(){throw new Error("clearTimeout has not been defined")}function ZS(t){if(Pa===setTimeout)return setTimeout(t,0);if((Pa===JS||!Pa)&&setTimeout)return Pa=setTimeout,setTimeout(t,0);try{return Pa(t,0)}catch{try{return Pa.call(null,t,0)}catch{return Pa.call(this,t,0)}}}function l7(t){if(Oa===clearTimeout)return clearTimeout(t);if((Oa===XS||!Oa)&&clearTimeout)return Oa=clearTimeout,clearTimeout(t);try{return Oa(t)}catch{try{return Oa.call(null,t)}catch{return Oa.call(this,t)}}}function d7(){!Ui||!Oo||(Ui=!1,Oo.length?aa=Oo.concat(aa):Rm=-1,aa.length&&QS())}function QS(){if(!Ui){var t=ZS(d7);Ui=!0;for(var e=aa.length;e;){for(Oo=aa,aa=[];++Rm<e;)Oo&&Oo[Rm].run();Rm=-1,e=aa.length}Oo=null,Ui=!1,l7(t)}}function mn(t){var e=new Array(arguments.length-1);if(arguments.length>1)for(var n=1;n<arguments.length;n++)e[n-1]=arguments[n];aa.push(new ex(t,e)),aa.length===1&&!Ui&&ZS(QS)}function ex(t,e){this.fun=t,this.array=e}function Uo(){}function F7(t){throw new Error("process.binding is not supported")}function R7(){return"/"}function _7(t){throw new Error("process.chdir is not supported")}function k7(){return 0}function M7(t){var e=I7.call(Oi)*.001,n=Math.floor(e),r=Math.floor(e%1*1e9);return t&&(n=n-t[0],r=r-t[1],r<0&&(n--,r+=1e9)),[n,r]}function L7(){var t=new Date,e=t-N7;return e/1e3}var Pa,Oa,aa,Ui,Oo,Rm,m7,p7,f7,g7,h7,y7,v7,b7,w7,D7,E7,T7,S7,x7,C7,A7,Oi,I7,N7,pn,Ua=v(()=>{d();s(JS,"defaultSetTimout");s(XS,"defaultClearTimeout");Pa=JS,Oa=XS;typeof globalThis.setTimeout=="function"&&(Pa=setTimeout);typeof globalThis.clearTimeout=="function"&&(Oa=clearTimeout);s(ZS,"runTimeout");s(l7,"runClearTimeout");aa=[],Ui=!1,Rm=-1;s(d7,"cleanUpNextTick");s(QS,"drainQueue");s(mn,"nextTick");s(ex,"Item");ex.prototype.run=function(){this.fun.apply(null,this.array)};m7="browser",p7="browser",f7=!0,g7={},h7=[],y7="",v7={},b7={},w7={};s(Uo,"noop");D7=Uo,E7=Uo,T7=Uo,S7=Uo,x7=Uo,C7=Uo,A7=Uo;s(F7,"binding");s(R7,"cwd");s(_7,"chdir");s(k7,"umask");Oi=globalThis.performance||{},I7=Oi.now||Oi.mozNow||Oi.msNow||Oi.oNow||Oi.webkitNow||function(){return new Date().getTime()};s(M7,"hrtime");N7=new Date;s(L7,"uptime");pn={nextTick:mn,title:m7,browser:f7,env:g7,argv:h7,version:y7,versions:v7,on:D7,addListener:E7,once:T7,off:S7,removeListener:x7,removeAllListeners:C7,emit:A7,binding:F7,cwd:R7,chdir:_7,umask:k7,hrtime:M7,platform:p7,release:b7,config:w7,uptime:L7}});var d=v(()=>{"use strict";Ua();globalThis.process=pn});function ax(){zf=!0;for(var t="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",e=0,n=t.length;e<n;++e)xr[e]=t[e],Xn[t.charCodeAt(e)]=e;Xn["-".charCodeAt(0)]=62,Xn["_".charCodeAt(0)]=63}function O7(t){zf||ax();var e,n,r,a,o,i,c=t.length;if(c%4>0)throw new Error("Invalid string. Length must be a multiple of 4");o=t[c-2]==="="?2:t[c-1]==="="?1:0,i=new P7(c*3/4-o),r=o>0?c-4:c;var u=0;for(e=0,n=0;e<r;e+=4,n+=3)a=Xn[t.charCodeAt(e)]<<18|Xn[t.charCodeAt(e+1)]<<12|Xn[t.charCodeAt(e+2)]<<6|Xn[t.charCodeAt(e+3)],i[u++]=a>>16&255,i[u++]=a>>8&255,i[u++]=a&255;return o===2?(a=Xn[t.charCodeAt(e)]<<2|Xn[t.charCodeAt(e+1)]>>4,i[u++]=a&255):o===1&&(a=Xn[t.charCodeAt(e)]<<10|Xn[t.charCodeAt(e+1)]<<4|Xn[t.charCodeAt(e+2)]>>2,i[u++]=a>>8&255,i[u++]=a&255),i}function U7(t){return xr[t>>18&63]+xr[t>>12&63]+xr[t>>6&63]+xr[t&63]}function B7(t,e,n){for(var r,a=[],o=e;o<n;o+=3)r=(t[o]<<16)+(t[o+1]<<8)+t[o+2],a.push(U7(r));return a.join("")}function tx(t){zf||ax();for(var e,n=t.length,r=n%3,a="",o=[],i=16383,c=0,u=n-r;c<u;c+=i)o.push(B7(t,c,c+i>u?u:c+i));return r===1?(e=t[n-1],a+=xr[e>>2],a+=xr[e<<4&63],a+="=="):r===2&&(e=(t[n-2]<<8)+t[n-1],a+=xr[e>>10],a+=xr[e>>4&63],a+=xr[e<<2&63],a+="="),o.push(a),o.join("")}function Im(t,e,n,r,a){var o,i,c=a*8-r-1,u=(1<<c)-1,l=u>>1,m=-7,p=n?a-1:0,g=n?-1:1,f=t[e+p];for(p+=g,o=f&(1<<-m)-1,f>>=-m,m+=c;m>0;o=o*256+t[e+p],p+=g,m-=8);for(i=o&(1<<-m)-1,o>>=-m,m+=r;m>0;i=i*256+t[e+p],p+=g,m-=8);if(o===0)o=1-l;else{if(o===u)return i?NaN:(f?-1:1)*(1/0);i=i+Math.pow(2,r),o=o-l}return(f?-1:1)*i*Math.pow(2,o-r)}function ox(t,e,n,r,a,o){var i,c,u,l=o*8-a-1,m=(1<<l)-1,p=m>>1,g=a===23?Math.pow(2,-24)-Math.pow(2,-77):0,f=r?0:o-1,y=r?1:-1,b=e<0||e===0&&1/e<0?1:0;for(e=Math.abs(e),isNaN(e)||e===1/0?(c=isNaN(e)?1:0,i=m):(i=Math.floor(Math.log(e)/Math.LN2),e*(u=Math.pow(2,-i))<1&&(i--,u*=2),i+p>=1?e+=g/u:e+=g*Math.pow(2,1-p),e*u>=2&&(i++,u/=2),i+p>=m?(c=0,i=m):i+p>=1?(c=(e*u-1)*Math.pow(2,a),i=i+p):(c=e*Math.pow(2,p-1)*Math.pow(2,a),i=0));a>=8;t[n+f]=c&255,f+=y,c/=256,a-=8);for(i=i<<a|c,l+=a;l>0;t[n+f]=i&255,f+=y,i/=256,l-=8);t[n+f-y]|=b*128}function _m(){return H.TYPED_ARRAY_SUPPORT?2147483647:1073741823}function oa(t,e){if(_m()<e)throw new RangeError("Invalid typed array length");return H.TYPED_ARRAY_SUPPORT?(t=new Uint8Array(e),t.__proto__=H.prototype):(t===null&&(t=new H(e)),t.length=e),t}function H(t,e,n){if(!H.TYPED_ARRAY_SUPPORT&&!(this instanceof H))return new H(t,e,n);if(typeof t=="number"){if(typeof e=="string")throw new Error("If encoding is specified then the first argument must be a string");return Hf(this,t)}return sx(this,t,e,n)}function sx(t,e,n,r){if(typeof e=="number")throw new TypeError('"value" argument must not be a number');return typeof ArrayBuffer<"u"&&e instanceof ArrayBuffer?G7(t,e,n,r):typeof e=="string"?H7(t,e,n):W7(t,e)}function cx(t){if(typeof t!="number")throw new TypeError('"size" argument must be a number');if(t<0)throw new RangeError('"size" argument must not be negative')}function z7(t,e,n,r){return cx(e),e<=0?oa(t,e):n!==void 0?typeof r=="string"?oa(t,e).fill(n,r):oa(t,e).fill(n):oa(t,e)}function Hf(t,e){if(cx(e),t=oa(t,e<0?0:Gf(e)|0),!H.TYPED_ARRAY_SUPPORT)for(var n=0;n<e;++n)t[n]=0;return t}function H7(t,e,n){if((typeof n!="string"||n==="")&&(n="utf8"),!H.isEncoding(n))throw new TypeError('"encoding" must be a valid string encoding');var r=ux(e,n)|0;t=oa(t,r);var a=t.write(e,n);return a!==r&&(t=t.slice(0,a)),t}function qf(t,e){var n=e.length<0?0:Gf(e.length)|0;t=oa(t,n);for(var r=0;r<n;r+=1)t[r]=e[r]&255;return t}function G7(t,e,n,r){if(e.byteLength,n<0||e.byteLength<n)throw new RangeError("'offset' is out of bounds");if(e.byteLength<n+(r||0))throw new RangeError("'length' is out of bounds");return n===void 0&&r===void 0?e=new Uint8Array(e):r===void 0?e=new Uint8Array(e,n):e=new Uint8Array(e,n,r),H.TYPED_ARRAY_SUPPORT?(t=e,t.__proto__=H.prototype):t=qf(t,e),t}function W7(t,e){if(Cr(e)){var n=Gf(e.length)|0;return t=oa(t,n),t.length===0||e.copy(t,0,0,n),t}if(e){if(typeof ArrayBuffer<"u"&&e.buffer instanceof ArrayBuffer||"length"in e)return typeof e.length!="number"||l9(e.length)?oa(t,0):qf(t,e);if(e.type==="Buffer"&&ix(e.data))return qf(t,e.data)}throw new TypeError("First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.")}function Gf(t){if(t>=_m())throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+_m().toString(16)+" bytes");return t|0}function Cr(t){return!!(t!=null&&t._isBuffer)}function ux(t,e){if(Cr(t))return t.length;if(typeof ArrayBuffer<"u"&&typeof ArrayBuffer.isView=="function"&&(ArrayBuffer.isView(t)||t instanceof ArrayBuffer))return t.byteLength;typeof t!="string"&&(t=""+t);var n=t.length;if(n===0)return 0;for(var r=!1;;)switch(e){case"ascii":case"latin1":case"binary":return n;case"utf8":case"utf-8":case void 0:return km(t).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return n*2;case"hex":return n>>>1;case"base64":return hx(t).length;default:if(r)return km(t).length;e=(""+e).toLowerCase(),r=!0}}function V7(t,e,n){var r=!1;if((e===void 0||e<0)&&(e=0),e>this.length||((n===void 0||n>this.length)&&(n=this.length),n<=0)||(n>>>=0,e>>>=0,n<=e))return"";for(t||(t="utf8");;)switch(t){case"hex":return n9(this,e,n);case"utf8":case"utf-8":return mx(this,e,n);case"ascii":return e9(this,e,n);case"latin1":case"binary":return t9(this,e,n);case"base64":return Z7(this,e,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return r9(this,e,n);default:if(r)throw new TypeError("Unknown encoding: "+t);t=(t+"").toLowerCase(),r=!0}}function Bo(t,e,n){var r=t[e];t[e]=t[n],t[n]=r}function lx(t,e,n,r,a){if(t.length===0)return-1;if(typeof n=="string"?(r=n,n=0):n>2147483647?n=2147483647:n<-2147483648&&(n=-2147483648),n=+n,isNaN(n)&&(n=a?0:t.length-1),n<0&&(n=t.length+n),n>=t.length){if(a)return-1;n=t.length-1}else if(n<0)if(a)n=0;else return-1;if(typeof e=="string"&&(e=H.from(e,r)),Cr(e))return e.length===0?-1:nx(t,e,n,r,a);if(typeof e=="number")return e=e&255,H.TYPED_ARRAY_SUPPORT&&typeof Uint8Array.prototype.indexOf=="function"?a?Uint8Array.prototype.indexOf.call(t,e,n):Uint8Array.prototype.lastIndexOf.call(t,e,n):nx(t,[e],n,r,a);throw new TypeError("val must be string, number or Buffer")}function nx(t,e,n,r,a){var o=1,i=t.length,c=e.length;if(r!==void 0&&(r=String(r).toLowerCase(),r==="ucs2"||r==="ucs-2"||r==="utf16le"||r==="utf-16le")){if(t.length<2||e.length<2)return-1;o=2,i/=2,c/=2,n/=2}function u(f,y){return o===1?f[y]:f.readUInt16BE(y*o)}s(u,"read");var l;if(a){var m=-1;for(l=n;l<i;l++)if(u(t,l)===u(e,m===-1?0:l-m)){if(m===-1&&(m=l),l-m+1===c)return m*o}else m!==-1&&(l-=l-m),m=-1}else for(n+c>i&&(n=i-c),l=n;l>=0;l--){for(var p=!0,g=0;g<c;g++)if(u(t,l+g)!==u(e,g)){p=!1;break}if(p)return l}return-1}function $7(t,e,n,r){n=Number(n)||0;var a=t.length-n;r?(r=Number(r),r>a&&(r=a)):r=a;var o=e.length;if(o%2!==0)throw new TypeError("Invalid hex string");r>o/2&&(r=o/2);for(var i=0;i<r;++i){var c=parseInt(e.substr(i*2,2),16);if(isNaN(c))return i;t[n+i]=c}return i}function Y7(t,e,n,r){return Lm(km(e,t.length-n),t,n,r)}function dx(t,e,n,r){return Lm(c9(e),t,n,r)}function K7(t,e,n,r){return dx(t,e,n,r)}function J7(t,e,n,r){return Lm(hx(e),t,n,r)}function X7(t,e,n,r){return Lm(u9(e,t.length-n),t,n,r)}function Z7(t,e,n){return e===0&&n===t.length?tx(t):tx(t.slice(e,n))}function mx(t,e,n){n=Math.min(t.length,n);for(var r=[],a=e;a<n;){var o=t[a],i=null,c=o>239?4:o>223?3:o>191?2:1;if(a+c<=n){var u,l,m,p;switch(c){case 1:o<128&&(i=o);break;case 2:u=t[a+1],(u&192)===128&&(p=(o&31)<<6|u&63,p>127&&(i=p));break;case 3:u=t[a+1],l=t[a+2],(u&192)===128&&(l&192)===128&&(p=(o&15)<<12|(u&63)<<6|l&63,p>2047&&(p<55296||p>57343)&&(i=p));break;case 4:u=t[a+1],l=t[a+2],m=t[a+3],(u&192)===128&&(l&192)===128&&(m&192)===128&&(p=(o&15)<<18|(u&63)<<12|(l&63)<<6|m&63,p>65535&&p<1114112&&(i=p))}}i===null?(i=65533,c=1):i>65535&&(i-=65536,r.push(i>>>10&1023|55296),i=56320|i&1023),r.push(i),a+=c}return Q7(r)}function Q7(t){var e=t.length;if(e<=rx)return String.fromCharCode.apply(String,t);for(var n="",r=0;r<e;)n+=String.fromCharCode.apply(String,t.slice(r,r+=rx));return n}function e9(t,e,n){var r="";n=Math.min(t.length,n);for(var a=e;a<n;++a)r+=String.fromCharCode(t[a]&127);return r}function t9(t,e,n){var r="";n=Math.min(t.length,n);for(var a=e;a<n;++a)r+=String.fromCharCode(t[a]);return r}function n9(t,e,n){var r=t.length;(!e||e<0)&&(e=0),(!n||n<0||n>r)&&(n=r);for(var a="",o=e;o<n;++o)a+=s9(t[o]);return a}function r9(t,e,n){for(var r=t.slice(e,n),a="",o=0;o<r.length;o+=2)a+=String.fromCharCode(r[o]+r[o+1]*256);return a}function rn(t,e,n){if(t%1!==0||t<0)throw new RangeError("offset is not uint");if(t+e>n)throw new RangeError("Trying to access beyond buffer length")}function On(t,e,n,r,a,o){if(!Cr(t))throw new TypeError('"buffer" argument must be a Buffer instance');if(e>a||e<o)throw new RangeError('"value" argument is out of bounds');if(n+r>t.length)throw new RangeError("Index out of range")}function Mm(t,e,n,r){e<0&&(e=65535+e+1);for(var a=0,o=Math.min(t.length-n,2);a<o;++a)t[n+a]=(e&255<<8*(r?a:1-a))>>>(r?a:1-a)*8}function Nm(t,e,n,r){e<0&&(e=4294967295+e+1);for(var a=0,o=Math.min(t.length-n,4);a<o;++a)t[n+a]=e>>>(r?a:3-a)*8&255}function px(t,e,n,r,a,o){if(n+r>t.length)throw new RangeError("Index out of range");if(n<0)throw new RangeError("Index out of range")}function fx(t,e,n,r,a){return a||px(t,e,n,4),ox(t,e,n,r,23,4),n+4}function gx(t,e,n,r,a){return a||px(t,e,n,8),ox(t,e,n,r,52,8),n+8}function o9(t){if(t=i9(t).replace(a9,""),t.length<2)return"";for(;t.length%4!==0;)t=t+"=";return t}function i9(t){return t.trim?t.trim():t.replace(/^\s+|\s+$/g,"")}function s9(t){return t<16?"0"+t.toString(16):t.toString(16)}function km(t,e){e=e||1/0;for(var n,r=t.length,a=null,o=[],i=0;i<r;++i){if(n=t.charCodeAt(i),n>55295&&n<57344){if(!a){if(n>56319){(e-=3)>-1&&o.push(239,191,189);continue}else if(i+1===r){(e-=3)>-1&&o.push(239,191,189);continue}a=n;continue}if(n<56320){(e-=3)>-1&&o.push(239,191,189),a=n;continue}n=(a-55296<<10|n-56320)+65536}else a&&(e-=3)>-1&&o.push(239,191,189);if(a=null,n<128){if((e-=1)<0)break;o.push(n)}else if(n<2048){if((e-=2)<0)break;o.push(n>>6|192,n&63|128)}else if(n<65536){if((e-=3)<0)break;o.push(n>>12|224,n>>6&63|128,n&63|128)}else if(n<1114112){if((e-=4)<0)break;o.push(n>>18|240,n>>12&63|128,n>>6&63|128,n&63|128)}else throw new Error("Invalid code point")}return o}function c9(t){for(var e=[],n=0;n<t.length;++n)e.push(t.charCodeAt(n)&255);return e}function u9(t,e){for(var n,r,a,o=[],i=0;i<t.length&&!((e-=2)<0);++i)n=t.charCodeAt(i),r=n>>8,a=n%256,o.push(a),o.push(r);return o}function hx(t){return O7(o9(t))}function Lm(t,e,n,r){for(var a=0;a<r&&!(a+n>=e.length||a>=t.length);++a)e[a+n]=t[a];return a}function l9(t){return t!==t}function d9(t){return t!=null&&(!!t._isBuffer||yx(t)||m9(t))}function yx(t){return!!t.constructor&&typeof t.constructor.isBuffer=="function"&&t.constructor.isBuffer(t)}function m9(t){return typeof t.readFloatLE=="function"&&typeof t.slice=="function"&&yx(t.slice(0,0))}var xr,Xn,P7,zf,j7,ix,q7,oce,rx,a9,Bi=v(()=>{d();xr=[],Xn=[],P7=typeof Uint8Array<"u"?Uint8Array:Array,zf=!1;s(ax,"init");s(O7,"toByteArray");s(U7,"tripletToBase64");s(B7,"encodeChunk");s(tx,"fromByteArray");s(Im,"read");s(ox,"write");j7={}.toString,ix=Array.isArray||function(t){return j7.call(t)=="[object Array]"};q7=50;H.TYPED_ARRAY_SUPPORT=globalThis.TYPED_ARRAY_SUPPORT!==void 0?globalThis.TYPED_ARRAY_SUPPORT:!0;oce=_m();s(_m,"kMaxLength");s(oa,"createBuffer");s(H,"Buffer");H.poolSize=8192;H._augment=function(t){return t.__proto__=H.prototype,t};s(sx,"from");H.from=function(t,e,n){return sx(null,t,e,n)};H.TYPED_ARRAY_SUPPORT&&(H.prototype.__proto__=Uint8Array.prototype,H.__proto__=Uint8Array,typeof Symbol<"u"&&Symbol.species&&H[Symbol.species]);s(cx,"assertSize");s(z7,"alloc");H.alloc=function(t,e,n){return z7(null,t,e,n)};s(Hf,"allocUnsafe");H.allocUnsafe=function(t){return Hf(null,t)};H.allocUnsafeSlow=function(t){return Hf(null,t)};s(H7,"fromString");s(qf,"fromArrayLike");s(G7,"fromArrayBuffer");s(W7,"fromObject");s(Gf,"checked");H.isBuffer=d9;s(Cr,"internalIsBuffer");H.compare=s(function(e,n){if(!Cr(e)||!Cr(n))throw new TypeError("Arguments must be Buffers");if(e===n)return 0;for(var r=e.length,a=n.length,o=0,i=Math.min(r,a);o<i;++o)if(e[o]!==n[o]){r=e[o],a=n[o];break}return r<a?-1:a<r?1:0},"compare");H.isEncoding=s(function(e){switch(String(e).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"latin1":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},"isEncoding");H.concat=s(function(e,n){if(!ix(e))throw new TypeError('"list" argument must be an Array of Buffers');if(e.length===0)return H.alloc(0);var r;if(n===void 0)for(n=0,r=0;r<e.length;++r)n+=e[r].length;var a=H.allocUnsafe(n),o=0;for(r=0;r<e.length;++r){var i=e[r];if(!Cr(i))throw new TypeError('"list" argument must be an Array of Buffers');i.copy(a,o),o+=i.length}return a},"concat");s(ux,"byteLength");H.byteLength=ux;s(V7,"slowToString");H.prototype._isBuffer=!0;s(Bo,"swap");H.prototype.swap16=s(function(){var e=this.length;if(e%2!==0)throw new RangeError("Buffer size must be a multiple of 16-bits");for(var n=0;n<e;n+=2)Bo(this,n,n+1);return this},"swap16");H.prototype.swap32=s(function(){var e=this.length;if(e%4!==0)throw new RangeError("Buffer size must be a multiple of 32-bits");for(var n=0;n<e;n+=4)Bo(this,n,n+3),Bo(this,n+1,n+2);return this},"swap32");H.prototype.swap64=s(function(){var e=this.length;if(e%8!==0)throw new RangeError("Buffer size must be a multiple of 64-bits");for(var n=0;n<e;n+=8)Bo(this,n,n+7),Bo(this,n+1,n+6),Bo(this,n+2,n+5),Bo(this,n+3,n+4);return this},"swap64");H.prototype.toString=s(function(){var e=this.length|0;return e===0?"":arguments.length===0?mx(this,0,e):V7.apply(this,arguments)},"toString");H.prototype.equals=s(function(e){if(!Cr(e))throw new TypeError("Argument must be a Buffer");return this===e?!0:H.compare(this,e)===0},"equals");H.prototype.inspect=s(function(){var e="",n=q7;return this.length>0&&(e=this.toString("hex",0,n).match(/.{2}/g).join(" "),this.length>n&&(e+=" ... ")),"<Buffer "+e+">"},"inspect");H.prototype.compare=s(function(e,n,r,a,o){if(!Cr(e))throw new TypeError("Argument must be a Buffer");if(n===void 0&&(n=0),r===void 0&&(r=e?e.length:0),a===void 0&&(a=0),o===void 0&&(o=this.length),n<0||r>e.length||a<0||o>this.length)throw new RangeError("out of range index");if(a>=o&&n>=r)return 0;if(a>=o)return-1;if(n>=r)return 1;if(n>>>=0,r>>>=0,a>>>=0,o>>>=0,this===e)return 0;for(var i=o-a,c=r-n,u=Math.min(i,c),l=this.slice(a,o),m=e.slice(n,r),p=0;p<u;++p)if(l[p]!==m[p]){i=l[p],c=m[p];break}return i<c?-1:c<i?1:0},"compare");s(lx,"bidirectionalIndexOf");s(nx,"arrayIndexOf");H.prototype.includes=s(function(e,n,r){return this.indexOf(e,n,r)!==-1},"includes");H.prototype.indexOf=s(function(e,n,r){return lx(this,e,n,r,!0)},"indexOf");H.prototype.lastIndexOf=s(function(e,n,r){return lx(this,e,n,r,!1)},"lastIndexOf");s($7,"hexWrite");s(Y7,"utf8Write");s(dx,"asciiWrite");s(K7,"latin1Write");s(J7,"base64Write");s(X7,"ucs2Write");H.prototype.write=s(function(e,n,r,a){if(n===void 0)a="utf8",r=this.length,n=0;else if(r===void 0&&typeof n=="string")a=n,r=this.length,n=0;else if(isFinite(n))n=n|0,isFinite(r)?(r=r|0,a===void 0&&(a="utf8")):(a=r,r=void 0);else throw new Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");var o=this.length-n;if((r===void 0||r>o)&&(r=o),e.length>0&&(r<0||n<0)||n>this.length)throw new RangeError("Attempt to write outside buffer bounds");a||(a="utf8");for(var i=!1;;)switch(a){case"hex":return $7(this,e,n,r);case"utf8":case"utf-8":return Y7(this,e,n,r);case"ascii":return dx(this,e,n,r);case"latin1":case"binary":return K7(this,e,n,r);case"base64":return J7(this,e,n,r);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return X7(this,e,n,r);default:if(i)throw new TypeError("Unknown encoding: "+a);a=(""+a).toLowerCase(),i=!0}},"write");H.prototype.toJSON=s(function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}},"toJSON");s(Z7,"base64Slice");s(mx,"utf8Slice");rx=4096;s(Q7,"decodeCodePointsArray");s(e9,"asciiSlice");s(t9,"latin1Slice");s(n9,"hexSlice");s(r9,"utf16leSlice");H.prototype.slice=s(function(e,n){var r=this.length;e=~~e,n=n===void 0?r:~~n,e<0?(e+=r,e<0&&(e=0)):e>r&&(e=r),n<0?(n+=r,n<0&&(n=0)):n>r&&(n=r),n<e&&(n=e);var a;if(H.TYPED_ARRAY_SUPPORT)a=this.subarray(e,n),a.__proto__=H.prototype;else{var o=n-e;a=new H(o,void 0);for(var i=0;i<o;++i)a[i]=this[i+e]}return a},"slice");s(rn,"checkOffset");H.prototype.readUIntLE=s(function(e,n,r){e=e|0,n=n|0,r||rn(e,n,this.length);for(var a=this[e],o=1,i=0;++i<n&&(o*=256);)a+=this[e+i]*o;return a},"readUIntLE");H.prototype.readUIntBE=s(function(e,n,r){e=e|0,n=n|0,r||rn(e,n,this.length);for(var a=this[e+--n],o=1;n>0&&(o*=256);)a+=this[e+--n]*o;return a},"readUIntBE");H.prototype.readUInt8=s(function(e,n){return n||rn(e,1,this.length),this[e]},"readUInt8");H.prototype.readUInt16LE=s(function(e,n){return n||rn(e,2,this.length),this[e]|this[e+1]<<8},"readUInt16LE");H.prototype.readUInt16BE=s(function(e,n){return n||rn(e,2,this.length),this[e]<<8|this[e+1]},"readUInt16BE");H.prototype.readUInt32LE=s(function(e,n){return n||rn(e,4,this.length),(this[e]|this[e+1]<<8|this[e+2]<<16)+this[e+3]*16777216},"readUInt32LE");H.prototype.readUInt32BE=s(function(e,n){return n||rn(e,4,this.length),this[e]*16777216+(this[e+1]<<16|this[e+2]<<8|this[e+3])},"readUInt32BE");H.prototype.readIntLE=s(function(e,n,r){e=e|0,n=n|0,r||rn(e,n,this.length);for(var a=this[e],o=1,i=0;++i<n&&(o*=256);)a+=this[e+i]*o;return o*=128,a>=o&&(a-=Math.pow(2,8*n)),a},"readIntLE");H.prototype.readIntBE=s(function(e,n,r){e=e|0,n=n|0,r||rn(e,n,this.length);for(var a=n,o=1,i=this[e+--a];a>0&&(o*=256);)i+=this[e+--a]*o;return o*=128,i>=o&&(i-=Math.pow(2,8*n)),i},"readIntBE");H.prototype.readInt8=s(function(e,n){return n||rn(e,1,this.length),this[e]&128?(255-this[e]+1)*-1:this[e]},"readInt8");H.prototype.readInt16LE=s(function(e,n){n||rn(e,2,this.length);var r=this[e]|this[e+1]<<8;return r&32768?r|4294901760:r},"readInt16LE");H.prototype.readInt16BE=s(function(e,n){n||rn(e,2,this.length);var r=this[e+1]|this[e]<<8;return r&32768?r|4294901760:r},"readInt16BE");H.prototype.readInt32LE=s(function(e,n){return n||rn(e,4,this.length),this[e]|this[e+1]<<8|this[e+2]<<16|this[e+3]<<24},"readInt32LE");H.prototype.readInt32BE=s(function(e,n){return n||rn(e,4,this.length),this[e]<<24|this[e+1]<<16|this[e+2]<<8|this[e+3]},"readInt32BE");H.prototype.readFloatLE=s(function(e,n){return n||rn(e,4,this.length),Im(this,e,!0,23,4)},"readFloatLE");H.prototype.readFloatBE=s(function(e,n){return n||rn(e,4,this.length),Im(this,e,!1,23,4)},"readFloatBE");H.prototype.readDoubleLE=s(function(e,n){return n||rn(e,8,this.length),Im(this,e,!0,52,8)},"readDoubleLE");H.prototype.readDoubleBE=s(function(e,n){return n||rn(e,8,this.length),Im(this,e,!1,52,8)},"readDoubleBE");s(On,"checkInt");H.prototype.writeUIntLE=s(function(e,n,r,a){if(e=+e,n=n|0,r=r|0,!a){var o=Math.pow(2,8*r)-1;On(this,e,n,r,o,0)}var i=1,c=0;for(this[n]=e&255;++c<r&&(i*=256);)this[n+c]=e/i&255;return n+r},"writeUIntLE");H.prototype.writeUIntBE=s(function(e,n,r,a){if(e=+e,n=n|0,r=r|0,!a){var o=Math.pow(2,8*r)-1;On(this,e,n,r,o,0)}var i=r-1,c=1;for(this[n+i]=e&255;--i>=0&&(c*=256);)this[n+i]=e/c&255;return n+r},"writeUIntBE");H.prototype.writeUInt8=s(function(e,n,r){return e=+e,n=n|0,r||On(this,e,n,1,255,0),H.TYPED_ARRAY_SUPPORT||(e=Math.floor(e)),this[n]=e&255,n+1},"writeUInt8");s(Mm,"objectWriteUInt16");H.prototype.writeUInt16LE=s(function(e,n,r){return e=+e,n=n|0,r||On(this,e,n,2,65535,0),H.TYPED_ARRAY_SUPPORT?(this[n]=e&255,this[n+1]=e>>>8):Mm(this,e,n,!0),n+2},"writeUInt16LE");H.prototype.writeUInt16BE=s(function(e,n,r){return e=+e,n=n|0,r||On(this,e,n,2,65535,0),H.TYPED_ARRAY_SUPPORT?(this[n]=e>>>8,this[n+1]=e&255):Mm(this,e,n,!1),n+2},"writeUInt16BE");s(Nm,"objectWriteUInt32");H.prototype.writeUInt32LE=s(function(e,n,r){return e=+e,n=n|0,r||On(this,e,n,4,4294967295,0),H.TYPED_ARRAY_SUPPORT?(this[n+3]=e>>>24,this[n+2]=e>>>16,this[n+1]=e>>>8,this[n]=e&255):Nm(this,e,n,!0),n+4},"writeUInt32LE");H.prototype.writeUInt32BE=s(function(e,n,r){return e=+e,n=n|0,r||On(this,e,n,4,4294967295,0),H.TYPED_ARRAY_SUPPORT?(this[n]=e>>>24,this[n+1]=e>>>16,this[n+2]=e>>>8,this[n+3]=e&255):Nm(this,e,n,!1),n+4},"writeUInt32BE");H.prototype.writeIntLE=s(function(e,n,r,a){if(e=+e,n=n|0,!a){var o=Math.pow(2,8*r-1);On(this,e,n,r,o-1,-o)}var i=0,c=1,u=0;for(this[n]=e&255;++i<r&&(c*=256);)e<0&&u===0&&this[n+i-1]!==0&&(u=1),this[n+i]=(e/c>>0)-u&255;return n+r},"writeIntLE");H.prototype.writeIntBE=s(function(e,n,r,a){if(e=+e,n=n|0,!a){var o=Math.pow(2,8*r-1);On(this,e,n,r,o-1,-o)}var i=r-1,c=1,u=0;for(this[n+i]=e&255;--i>=0&&(c*=256);)e<0&&u===0&&this[n+i+1]!==0&&(u=1),this[n+i]=(e/c>>0)-u&255;return n+r},"writeIntBE");H.prototype.writeInt8=s(function(e,n,r){return e=+e,n=n|0,r||On(this,e,n,1,127,-128),H.TYPED_ARRAY_SUPPORT||(e=Math.floor(e)),e<0&&(e=255+e+1),this[n]=e&255,n+1},"writeInt8");H.prototype.writeInt16LE=s(function(e,n,r){return e=+e,n=n|0,r||On(this,e,n,2,32767,-32768),H.TYPED_ARRAY_SUPPORT?(this[n]=e&255,this[n+1]=e>>>8):Mm(this,e,n,!0),n+2},"writeInt16LE");H.prototype.writeInt16BE=s(function(e,n,r){return e=+e,n=n|0,r||On(this,e,n,2,32767,-32768),H.TYPED_ARRAY_SUPPORT?(this[n]=e>>>8,this[n+1]=e&255):Mm(this,e,n,!1),n+2},"writeInt16BE");H.prototype.writeInt32LE=s(function(e,n,r){return e=+e,n=n|0,r||On(this,e,n,4,2147483647,-2147483648),H.TYPED_ARRAY_SUPPORT?(this[n]=e&255,this[n+1]=e>>>8,this[n+2]=e>>>16,this[n+3]=e>>>24):Nm(this,e,n,!0),n+4},"writeInt32LE");H.prototype.writeInt32BE=s(function(e,n,r){return e=+e,n=n|0,r||On(this,e,n,4,2147483647,-2147483648),e<0&&(e=4294967295+e+1),H.TYPED_ARRAY_SUPPORT?(this[n]=e>>>24,this[n+1]=e>>>16,this[n+2]=e>>>8,this[n+3]=e&255):Nm(this,e,n,!1),n+4},"writeInt32BE");s(px,"checkIEEE754");s(fx,"writeFloat");H.prototype.writeFloatLE=s(function(e,n,r){return fx(this,e,n,!0,r)},"writeFloatLE");H.prototype.writeFloatBE=s(function(e,n,r){return fx(this,e,n,!1,r)},"writeFloatBE");s(gx,"writeDouble");H.prototype.writeDoubleLE=s(function(e,n,r){return gx(this,e,n,!0,r)},"writeDoubleLE");H.prototype.writeDoubleBE=s(function(e,n,r){return gx(this,e,n,!1,r)},"writeDoubleBE");H.prototype.copy=s(function(e,n,r,a){if(r||(r=0),!a&&a!==0&&(a=this.length),n>=e.length&&(n=e.length),n||(n=0),a>0&&a<r&&(a=r),a===r||e.length===0||this.length===0)return 0;if(n<0)throw new RangeError("targetStart out of bounds");if(r<0||r>=this.length)throw new RangeError("sourceStart out of bounds");if(a<0)throw new RangeError("sourceEnd out of bounds");a>this.length&&(a=this.length),e.length-n<a-r&&(a=e.length-n+r);var o=a-r,i;if(this===e&&r<n&&n<a)for(i=o-1;i>=0;--i)e[i+n]=this[i+r];else if(o<1e3||!H.TYPED_ARRAY_SUPPORT)for(i=0;i<o;++i)e[i+n]=this[i+r];else Uint8Array.prototype.set.call(e,this.subarray(r,r+o),n);return o},"copy");H.prototype.fill=s(function(e,n,r,a){if(typeof e=="string"){if(typeof n=="string"?(a=n,n=0,r=this.length):typeof r=="string"&&(a=r,r=this.length),e.length===1){var o=e.charCodeAt(0);o<256&&(e=o)}if(a!==void 0&&typeof a!="string")throw new TypeError("encoding must be a string");if(typeof a=="string"&&!H.isEncoding(a))throw new TypeError("Unknown encoding: "+a)}else typeof e=="number"&&(e=e&255);if(n<0||this.length<n||this.length<r)throw new RangeError("Out of range index");if(r<=n)return this;n=n>>>0,r=r===void 0?this.length:r>>>0,e||(e=0);var i;if(typeof e=="number")for(i=n;i<r;++i)this[i]=e;else{var c=Cr(e)?e:km(new H(e,a).toString()),u=c.length;for(i=0;i<r-n;++i)this[i+n]=c[i%u]}return this},"fill");a9=/[^+\/0-9A-Za-z-_]/g;s(o9,"base64clean");s(i9,"stringtrim");s(s9,"toHex");s(km,"utf8ToBytes");s(c9,"asciiToBytes");s(u9,"utf16leToBytes");s(hx,"base64ToBytes");s(Lm,"blitBuffer");s(l9,"isnan");s(d9,"isBuffer");s(yx,"isFastBuffer");s(m9,"isSlowBuffer")});function Ba(){}function Xe(){Xe.init.call(this)}function vx(t){return t._maxListeners===void 0?Xe.defaultMaxListeners:t._maxListeners}function p9(t,e,n){if(e)t.call(n);else for(var r=t.length,a=Jc(t,r),o=0;o<r;++o)a[o].call(n)}function f9(t,e,n,r){if(e)t.call(n,r);else for(var a=t.length,o=Jc(t,a),i=0;i<a;++i)o[i].call(n,r)}function g9(t,e,n,r,a){if(e)t.call(n,r,a);else for(var o=t.length,i=Jc(t,o),c=0;c<o;++c)i[c].call(n,r,a)}function h9(t,e,n,r,a,o){if(e)t.call(n,r,a,o);else for(var i=t.length,c=Jc(t,i),u=0;u<i;++u)c[u].call(n,r,a,o)}function y9(t,e,n,r){if(e)t.apply(n,r);else for(var a=t.length,o=Jc(t,a),i=0;i<a;++i)o[i].apply(n,r)}function bx(t,e,n,r){var a,o,i;if(typeof n!="function")throw new TypeError('"listener" argument must be a function');if(o=t._events,o?(o.newListener&&(t.emit("newListener",e,n.listener?n.listener:n),o=t._events),i=o[e]):(o=t._events=new Ba,t._eventsCount=0),!i)i=o[e]=n,++t._eventsCount;else if(typeof i=="function"?i=o[e]=r?[n,i]:[i,n]:r?i.unshift(n):i.push(n),!i.warned&&(a=vx(t),a&&a>0&&i.length>a)){i.warned=!0;var c=new Error("Possible EventEmitter memory leak detected. "+i.length+" "+e+" listeners added. Use emitter.setMaxListeners() to increase limit");c.name="MaxListenersExceededWarning",c.emitter=t,c.type=e,c.count=i.length,v9(c)}return t}function v9(t){typeof console.warn=="function"?console.warn(t):console.log(t)}function wx(t,e,n){var r=!1;function a(){t.removeListener(e,a),r||(r=!0,n.apply(t,arguments))}return s(a,"g"),a.listener=n,a}function Dx(t){var e=this._events;if(e){var n=e[t];if(typeof n=="function")return 1;if(n)return n.length}return 0}function b9(t,e){for(var n=e,r=n+1,a=t.length;r<a;n+=1,r+=1)t[n]=t[r];t.pop()}function Jc(t,e){for(var n=new Array(e);e--;)n[e]=t[e];return n}function w9(t){for(var e=new Array(t.length),n=0;n<e.length;++n)e[n]=t[n].listener||t[n];return e}var Wf,Zn,ia=v(()=>{"use strict";d();s(Ba,"EventHandlers");Ba.prototype=Object.create(null);s(Xe,"EventEmitter");Zn=Xe;Xe.EventEmitter=Xe;Xe.usingDomains=!1;Xe.prototype.domain=void 0;Xe.prototype._events=void 0;Xe.prototype._maxListeners=void 0;Xe.defaultMaxListeners=10;Xe.init=function(){this.domain=null,Xe.usingDomains&&Wf.active&&!(this instanceof Wf.Domain)&&(this.domain=Wf.active),(!this._events||this._events===Object.getPrototypeOf(this)._events)&&(this._events=new Ba,this._eventsCount=0),this._maxListeners=this._maxListeners||void 0};Xe.prototype.setMaxListeners=s(function(e){if(typeof e!="number"||e<0||isNaN(e))throw new TypeError('"n" argument must be a positive number');return this._maxListeners=e,this},"setMaxListeners");s(vx,"$getMaxListeners");Xe.prototype.getMaxListeners=s(function(){return vx(this)},"getMaxListeners");s(p9,"emitNone");s(f9,"emitOne");s(g9,"emitTwo");s(h9,"emitThree");s(y9,"emitMany");Xe.prototype.emit=s(function(e){var n,r,a,o,i,c,u,l=!1,m=e==="error";if(c=this._events,c)m=m&&c.error==null;else if(!m)return!1;if(u=this.domain,m){if(n=arguments[1],u)n||(n=new Error('Uncaught, unspecified "error" event')),n.domainEmitter=this,n.domain=u,n.domainThrown=!1,u.emit("error",n);else{if(n instanceof Error)throw n;var p=new Error('Uncaught, unspecified "error" event. ('+n+")");throw p.context=n,p}return!1}if(r=c[e],!r)return!1;var g=typeof r=="function";switch(a=arguments.length,a){case 1:p9(r,g,this);break;case 2:f9(r,g,this,arguments[1]);break;case 3:g9(r,g,this,arguments[1],arguments[2]);break;case 4:h9(r,g,this,arguments[1],arguments[2],arguments[3]);break;default:for(o=new Array(a-1),i=1;i<a;i++)o[i-1]=arguments[i];y9(r,g,this,o)}return l&&u.exit(),!0},"emit");s(bx,"_addListener");s(v9,"emitWarning");Xe.prototype.addListener=s(function(e,n){return bx(this,e,n,!1)},"addListener");Xe.prototype.on=Xe.prototype.addListener;Xe.prototype.prependListener=s(function(e,n){return bx(this,e,n,!0)},"prependListener");s(wx,"_onceWrap");Xe.prototype.once=s(function(e,n){if(typeof n!="function")throw new TypeError('"listener" argument must be a function');return this.on(e,wx(this,e,n)),this},"once");Xe.prototype.prependOnceListener=s(function(e,n){if(typeof n!="function")throw new TypeError('"listener" argument must be a function');return this.prependListener(e,wx(this,e,n)),this},"prependOnceListener");Xe.prototype.removeListener=s(function(e,n){var r,a,o,i,c;if(typeof n!="function")throw new TypeError('"listener" argument must be a function');if(a=this._events,!a)return this;if(r=a[e],!r)return this;if(r===n||r.listener&&r.listener===n)--this._eventsCount===0?this._events=new Ba:(delete a[e],a.removeListener&&this.emit("removeListener",e,r.listener||n));else if(typeof r!="function"){for(o=-1,i=r.length;i-- >0;)if(r[i]===n||r[i].listener&&r[i].listener===n){c=r[i].listener,o=i;break}if(o<0)return this;if(r.length===1){if(r[0]=void 0,--this._eventsCount===0)return this._events=new Ba,this;delete a[e]}else b9(r,o);a.removeListener&&this.emit("removeListener",e,c||n)}return this},"removeListener");Xe.prototype.off=function(t,e){return this.removeListener(t,e)};Xe.prototype.removeAllListeners=s(function(e){var n,r;if(r=this._events,!r)return this;if(!r.removeListener)return arguments.length===0?(this._events=new Ba,this._eventsCount=0):r[e]&&(--this._eventsCount===0?this._events=new Ba:delete r[e]),this;if(arguments.length===0){for(var a=Object.keys(r),o=0,i;o<a.length;++o)i=a[o],i!=="removeListener"&&this.removeAllListeners(i);return this.removeAllListeners("removeListener"),this._events=new Ba,this._eventsCount=0,this}if(n=r[e],typeof n=="function")this.removeListener(e,n);else if(n)do this.removeListener(e,n[n.length-1]);while(n[0]);return this},"removeAllListeners");Xe.prototype.listeners=s(function(e){var n,r,a=this._events;return a?(n=a[e],n?typeof n=="function"?r=[n.listener||n]:r=w9(n):r=[]):r=[],r},"listeners");Xe.listenerCount=function(t,e){return typeof t.listenerCount=="function"?t.listenerCount(e):Dx.call(t,e)};Xe.prototype.listenerCount=Dx;s(Dx,"listenerCount");Xe.prototype.eventNames=s(function(){return this._eventsCount>0?Reflect.ownKeys(this._events):[]},"eventNames");s(b9,"spliceOne");s(Jc,"arrayClone");s(w9,"unwrapListeners")});var Tx=L((mce,Ex)=>{d();var ji=1e3,qi=ji*60,zi=qi*60,jo=zi*24,D9=jo*7,E9=jo*365.25;Ex.exports=function(t,e){e=e||{};var n=typeof t;if(n==="string"&&t.length>0)return T9(t);if(n==="number"&&isFinite(t))return e.long?x9(t):S9(t);throw new Error("val is not a non-empty string or a valid number. val="+JSON.stringify(t))};function T9(t){if(t=String(t),!(t.length>100)){var e=/^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(t);if(e){var n=parseFloat(e[1]),r=(e[2]||"ms").toLowerCase();switch(r){case"years":case"year":case"yrs":case"yr":case"y":return n*E9;case"weeks":case"week":case"w":return n*D9;case"days":case"day":case"d":return n*jo;case"hours":case"hour":case"hrs":case"hr":case"h":return n*zi;case"minutes":case"minute":case"mins":case"min":case"m":return n*qi;case"seconds":case"second":case"secs":case"sec":case"s":return n*ji;case"milliseconds":case"millisecond":case"msecs":case"msec":case"ms":return n;default:return}}}}s(T9,"parse");function S9(t){var e=Math.abs(t);return e>=jo?Math.round(t/jo)+"d":e>=zi?Math.round(t/zi)+"h":e>=qi?Math.round(t/qi)+"m":e>=ji?Math.round(t/ji)+"s":t+"ms"}s(S9,"fmtShort");function x9(t){var e=Math.abs(t);return e>=jo?Pm(t,e,jo,"day"):e>=zi?Pm(t,e,zi,"hour"):e>=qi?Pm(t,e,qi,"minute"):e>=ji?Pm(t,e,ji,"second"):t+" ms"}s(x9,"fmtLong");function Pm(t,e,n,r){var a=e>=n*1.5;return Math.round(t/n)+" "+r+(a?"s":"")}s(Pm,"plural")});var xx=L((gce,Sx)=>{d();function C9(t){n.debug=n,n.default=n,n.coerce=u,n.disable=o,n.enable=a,n.enabled=i,n.humanize=Tx(),n.destroy=l,Object.keys(t).forEach(m=>{n[m]=t[m]}),n.names=[],n.skips=[],n.formatters={};function e(m){let p=0;for(let g=0;g<m.length;g++)p=(p<<5)-p+m.charCodeAt(g),p|=0;return n.colors[Math.abs(p)%n.colors.length]}s(e,"selectColor"),n.selectColor=e;function n(m){let p,g=null,f,y;function b(...D){if(!b.enabled)return;let T=b,A=Number(new Date),R=A-(p||A);T.diff=R,T.prev=p,T.curr=A,p=A,D[0]=n.coerce(D[0]),typeof D[0]!="string"&&D.unshift("%O");let F=0;D[0]=D[0].replace(/%([a-zA-Z%])/g,(V,z)=>{if(V==="%%")return"%";F++;let ne=n.formatters[z];if(typeof ne=="function"){let se=D[F];V=ne.call(T,se),D.splice(F,1),F--}return V}),n.formatArgs.call(T,D),(T.log||n.log).apply(T,D)}return s(b,"debug"),b.namespace=m,b.useColors=n.useColors(),b.color=n.selectColor(m),b.extend=r,b.destroy=n.destroy,Object.defineProperty(b,"enabled",{enumerable:!0,configurable:!1,get:()=>g!==null?g:(f!==n.namespaces&&(f=n.namespaces,y=n.enabled(m)),y),set:D=>{g=D}}),typeof n.init=="function"&&n.init(b),b}s(n,"createDebug");function r(m,p){let g=n(this.namespace+(typeof p>"u"?":":p)+m);return g.log=this.log,g}s(r,"extend");function a(m){n.save(m),n.namespaces=m,n.names=[],n.skips=[];let p,g=(typeof m=="string"?m:"").split(/[\s,]+/),f=g.length;for(p=0;p<f;p++)g[p]&&(m=g[p].replace(/\*/g,".*?"),m[0]==="-"?n.skips.push(new RegExp("^"+m.slice(1)+"$")):n.names.push(new RegExp("^"+m+"$")))}s(a,"enable");function o(){let m=[...n.names.map(c),...n.skips.map(c).map(p=>"-"+p)].join(",");return n.enable(""),m}s(o,"disable");function i(m){if(m[m.length-1]==="*")return!0;let p,g;for(p=0,g=n.skips.length;p<g;p++)if(n.skips[p].test(m))return!1;for(p=0,g=n.names.length;p<g;p++)if(n.names[p].test(m))return!0;return!1}s(i,"enabled");function c(m){return m.toString().substring(2,m.toString().length-2).replace(/\.\*\?$/,"*")}s(c,"toNamespace");function u(m){return m instanceof Error?m.stack||m.message:m}s(u,"coerce");function l(){console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.")}return s(l,"destroy"),n.enable(n.load()),n}s(C9,"setup");Sx.exports=C9});var Cx=L((Gn,Om)=>{d();Gn.formatArgs=F9;Gn.save=R9;Gn.load=_9;Gn.useColors=A9;Gn.storage=k9();Gn.destroy=(()=>{let t=!1;return()=>{t||(t=!0,console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`."))}})();Gn.colors=["#0000CC","#0000FF","#0033CC","#0033FF","#0066CC","#0066FF","#0099CC","#0099FF","#00CC00","#00CC33","#00CC66","#00CC99","#00CCCC","#00CCFF","#3300CC","#3300FF","#3333CC","#3333FF","#3366CC","#3366FF","#3399CC","#3399FF","#33CC00","#33CC33","#33CC66","#33CC99","#33CCCC","#33CCFF","#6600CC","#6600FF","#6633CC","#6633FF","#66CC00","#66CC33","#9900CC","#9900FF","#9933CC","#9933FF","#99CC00","#99CC33","#CC0000","#CC0033","#CC0066","#CC0099","#CC00CC","#CC00FF","#CC3300","#CC3333","#CC3366","#CC3399","#CC33CC","#CC33FF","#CC6600","#CC6633","#CC9900","#CC9933","#CCCC00","#CCCC33","#FF0000","#FF0033","#FF0066","#FF0099","#FF00CC","#FF00FF","#FF3300","#FF3333","#FF3366","#FF3399","#FF33CC","#FF33FF","#FF6600","#FF6633","#FF9900","#FF9933","#FFCC00","#FFCC33"];function A9(){return typeof window<"u"&&window.process&&(window.process.type==="renderer"||window.process.__nwjs)?!0:typeof navigator<"u"&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/(edge|trident)\/(\d+)/)?!1:typeof document<"u"&&document.documentElement&&document.documentElement.style&&document.documentElement.style.WebkitAppearance||typeof window<"u"&&window.console&&(window.console.firebug||window.console.exception&&window.console.table)||typeof navigator<"u"&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/)&&parseInt(RegExp.$1,10)>=31||typeof navigator<"u"&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/)}s(A9,"useColors");function F9(t){if(t[0]=(this.useColors?"%c":"")+this.namespace+(this.useColors?" %c":" ")+t[0]+(this.useColors?"%c ":" ")+"+"+Om.exports.humanize(this.diff),!this.useColors)return;let e="color: "+this.color;t.splice(1,0,e,"color: inherit");let n=0,r=0;t[0].replace(/%[a-zA-Z%]/g,a=>{a!=="%%"&&(n++,a==="%c"&&(r=n))}),t.splice(r,0,e)}s(F9,"formatArgs");Gn.log=console.debug||console.log||(()=>{});function R9(t){try{t?Gn.storage.setItem("debug",t):Gn.storage.removeItem("debug")}catch{}}s(R9,"save");function _9(){let t;try{t=Gn.storage.getItem("debug")}catch{}return!t&&typeof process<"u"&&"env"in process&&(t=process.env.DEBUG),t}s(_9,"load");function k9(){try{return localStorage}catch{}}s(k9,"localstorage");Om.exports=xx()(Gn);var{formatters:I9}=Om.exports;I9.j=function(t){try{return JSON.stringify(t)}catch(e){return"[UnexpectedJSONParseError]: "+e.message}}});function Um(t){if(!t)throw new Error("name must be non-empty")}function M9(t,e){for(var n=0,r=t.length,a;n<r;)a=n+r>>>1,t[a].startTime<e.startTime?n=a+1:r=a;t.splice(n,0,e)}var xn,Ax,qm,zm,Xc,Hm,Bm,jm,Fx=v(()=>{d();xn=typeof performance<"u"&&performance,Ax=xn&&xn.now?function(){return xn.now()}:function(){return Date.now()};s(Um,"throwIfEmpty");s(M9,"insertSorted");xn&&xn.mark&&xn.getEntriesByName&&xn.getEntriesByType&&xn.clearMeasures?(qm=s(function(t){Um(t),xn.mark("start "+t)},"mark"),zm=s(function(t){Um(t),xn.mark("end "+t),xn.measure(t,"start "+t,"end "+t);var e=xn.getEntriesByName(t);return e[e.length-1]},"stop"),Xc=s(function(){return xn.getEntriesByType("measure")},"getEntries"),Hm=s(function(){xn.clearMarks(),xn.clearMeasures()},"clear")):(Bm={},jm=[],qm=s(function(t){Um(t);var e=Ax();Bm["$"+t]=e},"mark"),zm=s(function(t){Um(t);var e=Ax(),n=Bm["$"+t];if(!n)throw new Error("no known mark: "+t);var r={startTime:n,name:t,duration:e-n,entryType:"measure"};return M9(jm,r),r},"stop"),Xc=s(function(){return jm},"getEntries"),Hm=s(function(){Bm={},jm=[]},"clear"))});var qa,ja,Hi,Gi,Vf,Rx,L9,_x,Wi,N,He=v(()=>{d();Ua();ia();qa=zt(Cx());Fx();ja=pn.platform==="win32",Hi=pn.browser,Gi={red:Hi?"crimson":1,yellow:Hi?"gold":3,cyan:Hi?"darkturquoise":6,green:Hi?"forestgreen":2,blue:Hi?"steelblue":4,magenta:Hi?"palevioletred":5};qa.default.colors=[Gi.cyan,Gi.green,Gi.blue,Gi.magenta];Vf=class extends Xe{static{s(this,"Emitter")}issueStatus(e,n){(e==="status"||e==="statusEnd")&&this.emit(e,[e,...n])}issueWarning(e,n){this.emit("warning",[e,...n])}},Rx={},L9=25,Wi=class t{static{s(this,"Log")}static _logToStdErr(e,n){t.loggerfn(e)(...n)}static loggerfn(e){e=`LH:${e}`;let n=Rx[e];return n||(n=(0,qa.default)(e),Rx[e]=n,e.endsWith("error")?n.color=Gi.red:e.endsWith("warn")&&(n.color=Gi.yellow)),n}static setLevel(e){switch(_x=e,e){case"silent":qa.default.enable("-LH:*");break;case"verbose":qa.default.enable("LH:*");break;case"warn":qa.default.enable("-LH:*, LH:*:warn, LH:*:error");break;case"error":qa.default.enable("-LH:*, LH:*:error");break;default:qa.default.enable("LH:*, -LH:*:verbose")}}static formatProtocol(e,n,r){let a=!pn||pn.browser?1/0:pn.stdout.columns,o=n.method||"?????",i=a-o.length-e.length-L9,c=n.params&&o!=="IO.read"?JSON.stringify(n.params).substr(0,i):"";t._logToStdErr(`${e}:${r||""}`,[o,c])}static isVerbose(){return _x==="verbose"}static time({msg:e,id:n,args:r=[]},a="log"){qm(n),t[a]("status",e,...r)}static timeEnd({msg:e,id:n,args:r=[]},a="verbose"){t[a]("statusEnd",e,...r),zm(n)}static log(e,...n){return t.events.issueStatus(e,n),t._logToStdErr(e,n)}static warn(e,...n){return t.events.issueWarning(e,n),t._logToStdErr(`${e}:warn`,n)}static error(e,...n){return t._logToStdErr(`${e}:error`,n)}static verbose(e,...n){return t.events.issueStatus(e,n),t._logToStdErr(`${e}:verbose`,n)}static greenify(e){return`${t.green}${e}${t.reset}`}static redify(e){return`${t.red}${e}${t.reset}`}static get green(){return"\x1B[32m"}static get red(){return"\x1B[31m"}static get yellow(){return"\x1B[33m"}static get purple(){return"\x1B[95m"}static get reset(){return"\x1B[0m"}static get bold(){return"\x1B[1m"}static get dim(){return"\x1B[2m"}static get tick(){return ja?"√":"✓"}static get cross(){return ja?"×":"✘"}static get whiteSmallSquare(){return ja?"·":"▫"}static get heavyHorizontal(){return ja?"─":"━"}static get heavyVertical(){return ja?"│ ":"┃ "}static get heavyUpAndRight(){return ja?"└":"┗"}static get heavyVerticalAndRight(){return ja?"├":"┣"}static get heavyDownAndHorizontal(){return ja?"┬":"┳"}static get doubleLightHorizontal(){return"──"}};Wi.events=new Vf;Wi.takeTimeEntries=()=>{let t=Xc();return Hm(),t};Wi.getTimeEntries=()=>Xc();N=Wi});var Yt=v(()=>{"use strict";d();});var $f,X,Ue=v(()=>{"use strict";d();Yt();$f=class{static{s(this,"BaseGatherer")}meta={supportedModes:[]};startInstrumentation(e){}startSensitiveInstrumentation(e){}stopSensitiveInstrumentation(e){}stopInstrumentation(e){}getArtifact(e){}},X=$f});var P9,O9,U9,B9,j9,q9,Kt,Ar=v(()=>{"use strict";d();He();P9=/^(chrome|https?):/,O9=16,U9="RunTask",B9="ThreadControllerImpl::RunTask",j9="ThreadControllerImpl::DoWork",q9="TaskQueueManager::ProcessTaskFromWorkQueue",Kt=class t{static{s(this,"TraceProcessor")}static get TIMESPAN_MARKER_ID(){return"__lighthouseTimespanStart__"}static createNoNavstartError(){return new Error("No navigationStart event found")}static createNoResourceSendRequestError(){return new Error("No ResourceSendRequest event found")}static createNoTracingStartedError(){return new Error("No tracingStartedInBrowser event found")}static createNoFirstContentfulPaintError(){return new Error("No FirstContentfulPaint event found")}static createNoLighthouseMarkerError(){return new Error("No Lighthouse timespan marker event found")}static _isNavigationStartOfInterest(e){return e.name!=="navigationStart"?!1:e.args.data?.documentLoaderURL===void 0?!0:e.args.data?.documentLoaderURL?P9.test(e.args.data.documentLoaderURL):!1}static _sortTimestampEventGroup(e,n,r,a){let o=s(p=>n[p],"lookupArrayIndexByTsIndex"),i=s(p=>a[o(p)],"lookupEventByTsIndex"),c=[],u=[],l=[];for(let p of e){let g=o(p),f=i(p);f.ph==="E"?c.push(g):f.ph==="X"||f.ph==="B"?u.push(g):l.push(g)}let m=new Map;for(let p of u){let g=a[p];if(g.ph==="X")m.set(p,g.dur);else{let f=Number.MAX_SAFE_INTEGER,y=0,b=r+e.length;for(let D=b;D<n.length;D++){let T=i(D);if(T.name===g.name&&T.pid===g.pid&&T.tid===g.tid)if(T.ph==="E"&&y===0){f=T.ts-g.ts;break}else T.ph==="E"?y--:T.ph==="B"&&y++}m.set(p,f)}}return u.sort((p,g)=>(m.get(g)||0)-(m.get(p)||0)||p-g),l.sort((p,g)=>p-g),[...c,...u,...l]}static filteredTraceSort(e,n){let r=[];for(let o=0;o<e.length;o++)n(e[o])&&r.push(o);r.sort((o,i)=>e[o].ts-e[i].ts);for(let o=0;o<r.length-1;o++){let i=e[r[o]].ts,c=[o];for(let l=o+1;l<r.length&&e[r[l]].ts===i;l++)c.push(l);if(c.length===1)continue;let u=t._sortTimestampEventGroup(c,r,o,e);r.splice(o,u.length,...u),o+=c.length-1}let a=[];for(let o=0;o<r.length;o++)a.push(e[r[o]]);return a}static assertHasToplevelEvents(e){if(!e.some(this.isScheduleableTask))throw new Error("Could not find any top level events")}static _riskPercentiles(e,n,r,a=0){let o=0;for(let g=0;g<e.length;g++)o+=e[g];o-=a;let i=n-o,c=0,u=i,l=[],m=-1,p=e.length+1;a>0&&p--;for(let g of r){let f=g*n;for(;u<f&&m<e.length-1;)i+=c,p-=c<0?-1:1,a>0&&a<e[m+1]?(c=-a,a=0):(m++,c=e[m]),u=i+Math.abs(c)*p;l.push({percentile:g,time:Math.max(0,(f-i)/p)+O9})}return l}static getRiskToResponsiveness(e,n,r,a=[.5,.75,.9,.99,1]){let o=r-n;a.sort((c,u)=>c-u);let i=this.getMainThreadTopLevelEventDurations(e,n,r);return this._riskPercentiles(i.durations,o,a,i.clippedLength)}static getMainThreadTopLevelEventDurations(e,n=0,r=1/0){let a=[],o=0;for(let i of e){if(i.end<n||i.start>r)continue;let c=i.duration,u=i.start;u<n&&(u=n,c=i.end-n),i.end>r&&(o=c-(r-u)),a.push(c)}return a.sort((i,c)=>i-c),{durations:a,clippedLength:o}}static getMainThreadTopLevelEvents(e,n=0,r=1/0){let a=[];for(let o of e.mainThreadEvents){if(!this.isScheduleableTask(o)||!o.dur)continue;let i=(o.ts-e.timeOriginEvt.ts)/1e3,c=(o.ts+o.dur-e.timeOriginEvt.ts)/1e3;i>r||c<n||a.push({start:i,end:c,duration:o.dur/1e3})}return a}static findMainFrameIds(e){let n=e.find(i=>i.name==="TracingStartedInBrowser");if(n?.args.data?.frames){let i=n.args.data.frames.find(l=>!l.parent),c=i?.frame,u=i?.processId;if(u&&c)return{startingPid:u,frameId:c}}let r=e.find(i=>i.name==="TracingStartedInPage");if(r?.args?.data){let i=r.args.data.page;if(i)return{startingPid:r.pid,frameId:i}}let a=e.find(i=>this._isNavigationStartOfInterest(i)&&i.args.data?.isLoadingMainFrame),o=e.find(i=>i.name==="ResourceSendRequest");if(a?.args?.data&&o&&o.pid===a.pid&&o.tid===a.tid){let i=a.args.frame;if(i)return{startingPid:a.pid,frameId:i}}throw this.createNoTracingStartedError()}static findMainFramePidTids(e,n){let r=n.filter(i=>(i.name==="FrameCommittedInBrowser"||i.name==="ProcessReadyInBrowser")&&i.args?.data?.frame===e.frameId&&i?.args?.data?.processId),a=r.length?r.map(i=>i?.args?.data?.processId):[e.startingPid],o=new Map;for(let i of new Set(a)){let c=n.filter(m=>m.cat==="__metadata"&&m.pid===i&&m.ph==="M"&&m.name==="thread_name"),u=c.find(m=>m.args.name==="CrRendererMain");u||(u=c.find(m=>m.args.name==="CrBrowserMain"));let l=u?.tid;if(!l)throw new Error("Unable to determine tid for renderer process");o.set(i,l)}return o}static isScheduleableTask(e){return e.name===U9||e.name===B9||e.name===j9||e.name===q9}static isLCPEvent(e){return e.name!=="largestContentfulPaint::Invalidate"&&e.name!=="largestContentfulPaint::Candidate"?!1:!!e.args?.frame}static isLCPCandidateEvent(e){return!!(e.name==="largestContentfulPaint::Candidate"&&e.args?.frame&&e.args.data&&e.args.data.size!==void 0)}static getFrameId(e){return e.args?.data?.frame||e.args.data?.frameID||e.args.frame}static computeValidLCPAllFrames(e,n){let r=e.filter(this.isLCPEvent).reverse(),a=new Map;for(let i of r){if(i.ts<=n.ts)break;let c=i.args.frame;a.has(c)||a.set(c,i)}let o;for(let i of a.values())this.isLCPCandidateEvent(i)&&(!o||i.args.data.size>o.args.data.size)&&(o=i);return{lcp:o,invalidated:!!(!o&&a.size)}}static resolveRootFrames(e){let n=new Map;for(let a of e)a.parent&&n.set(a.id,a.parent);let r=new Map;for(let a of e){let o=a.id;for(;n.has(o);)o=n.get(o);if(o===void 0)throw new Error("Unexpected undefined frameId");r.set(a.id,o)}return r}static processTrace(e,n){let{timeOriginDeterminationMethod:r="auto"}=n||{},a=this.filteredTraceSort(e.traceEvents,F=>F.cat.includes("blink.user_timing")||F.cat.includes("loading")||F.cat.includes("devtools.timeline")||F.cat==="__metadata"),o=this.findMainFrameIds(a),i=this.findMainFramePidTids(o,a),c=t.filteredTraceSort(e.traceEvents,F=>i.has(F.pid)),u=new Map,l=a.find(F=>F.name==="TracingStartedInBrowser")?.args?.data?.frames;if(l)for(let F of l)u.set(F.frame,{id:F.frame,url:F.url,parent:F.parent});a.filter(F=>!!(F.name==="FrameCommittedInBrowser"&&F.args.data?.frame&&F.args.data.url!==void 0)).forEach(F=>{u.set(F.args.data.frame,{id:F.args.data.frame,url:F.args.data.url,parent:F.args.data.parent})});let m=[...u.values()],p=this.resolveRootFrames(m),g=[...p.entries()].filter(([,F])=>F===o.frameId).map(([F])=>F);function f(F){return t.getFrameId(F)===o.frameId}s(f,"associatedToMainFrame");function y(F){let M=t.getFrameId(F);return M?g.includes(M):!1}s(y,"associatedToAllFrames");let b=a.filter(F=>f(F)),D=[];p.has(o.frameId)?D=a.filter(F=>y(F)):(N.warn("TraceProcessor","frameTreeEvents may be incomplete, make sure the trace has frame events"),p.set(o.frameId,o.frameId),D=b);let T=this.computeTimeOrigin({keyEvents:a,frameEvents:b,mainFrameInfo:o},r),A=c.filter(F=>F.tid===i.get(F.pid)),R=this.computeTraceEnd(e.traceEvents,T);return{frames:m,mainThreadEvents:A,frameEvents:b,frameTreeEvents:D,processEvents:c,mainFrameInfo:o,timeOriginEvt:T,timings:{timeOrigin:0,traceEnd:R.timing},timestamps:{timeOrigin:T.ts,traceEnd:R.timestamp},_keyEvents:a,_rendererPidToTid:i}}static processNavigation(e){let{frameEvents:n,frameTreeEvents:r,timeOriginEvt:a,timings:o,timestamps:i}=e,c=this.computeNavigationTimingsForFrame(n,{timeOriginEvt:a}),u=r.find(g=>g.name==="firstContentfulPaint"&&g.ts>a.ts);if(!u)throw this.createNoFirstContentfulPaintError();let l=this.computeValidLCPAllFrames(r,a).lcp,m=s(g=>(g-a.ts)/1e3,"getTiming"),p=s(g=>g===void 0?void 0:m(g),"maybeGetTiming");return{timings:{timeOrigin:o.timeOrigin,firstPaint:c.timings.firstPaint,firstContentfulPaint:c.timings.firstContentfulPaint,firstContentfulPaintAllFrames:m(u.ts),firstMeaningfulPaint:c.timings.firstMeaningfulPaint,largestContentfulPaint:c.timings.largestContentfulPaint,largestContentfulPaintAllFrames:p(l?.ts),load:c.timings.load,domContentLoaded:c.timings.domContentLoaded,traceEnd:o.traceEnd},timestamps:{timeOrigin:i.timeOrigin,firstPaint:c.timestamps.firstPaint,firstContentfulPaint:c.timestamps.firstContentfulPaint,firstContentfulPaintAllFrames:u.ts,firstMeaningfulPaint:c.timestamps.firstMeaningfulPaint,largestContentfulPaint:c.timestamps.largestContentfulPaint,largestContentfulPaintAllFrames:l?.ts,load:c.timestamps.load,domContentLoaded:c.timestamps.domContentLoaded,traceEnd:i.traceEnd},firstPaintEvt:c.firstPaintEvt,firstContentfulPaintEvt:c.firstContentfulPaintEvt,firstContentfulPaintAllFramesEvt:u,firstMeaningfulPaintEvt:c.firstMeaningfulPaintEvt,largestContentfulPaintEvt:c.largestContentfulPaintEvt,largestContentfulPaintAllFramesEvt:l,loadEvt:c.loadEvt,domContentLoadedEvt:c.domContentLoadedEvt,fmpFellBack:c.fmpFellBack,lcpInvalidated:c.lcpInvalidated}}static computeTraceEnd(e,n){let r=-1/0;for(let a of e)r=Math.max(a.ts+(a.dur||0),r);return{timestamp:r,timing:(r-n.ts)/1e3}}static computeTimeOrigin(e,n){let r=s(()=>e.frameEvents.filter(this._isNavigationStartOfInterest).pop(),"lastNavigationStart"),a=s(()=>e.keyEvents.find(i=>i.name==="clock_sync"&&i.args.sync_id===t.TIMESPAN_MARKER_ID),"lighthouseMarker");switch(n){case"firstResourceSendRequest":{let o=e.keyEvents.find(i=>i.name!=="ResourceSendRequest"?!1:(i.args.data||{}).frame===e.mainFrameInfo.frameId);if(!o)throw this.createNoResourceSendRequestError();return o}case"lastNavigationStart":{let o=r();if(!o)throw this.createNoNavstartError();return o}case"lighthouseMarker":{let o=a();if(!o)throw this.createNoLighthouseMarkerError();return o}case"auto":{let o=a()||r();if(!o)throw this.createNoNavstartError();return o}}}static computeNavigationTimingsForFrame(e,n){let{timeOriginEvt:r}=n,a=e.find(D=>D.name==="firstPaint"&&D.ts>r.ts),o=e.find(D=>D.name==="firstContentfulPaint"&&D.ts>r.ts);if(!o)throw this.createNoFirstContentfulPaintError();let i=e.find(D=>D.name==="firstMeaningfulPaint"&&D.ts>r.ts),c=!1;if(!i){let D="firstMeaningfulPaintCandidate";c=!0,N.verbose("TraceProcessor",`No firstMeaningfulPaint found, falling back to last ${D}`);let T=e.filter(A=>A.name===D).pop();T||N.verbose("TraceProcessor","No `firstMeaningfulPaintCandidate` events found in trace"),i=T}let u=this.computeValidLCPAllFrames(e,r),l=e.find(D=>D.name==="loadEventEnd"&&D.ts>r.ts),m=e.find(D=>D.name==="domContentLoadedEventEnd"&&D.ts>r.ts),p=s(D=>D?.ts,"getTimestamp"),g={timeOrigin:r.ts,firstPaint:p(a),firstContentfulPaint:o.ts,firstMeaningfulPaint:p(i),largestContentfulPaint:p(u.lcp),load:p(l),domContentLoaded:p(m)},f=s(D=>(D-r.ts)/1e3,"getTiming"),y=s(D=>D===void 0?void 0:f(D),"maybeGetTiming");return{timings:{timeOrigin:0,firstPaint:y(g.firstPaint),firstContentfulPaint:f(g.firstContentfulPaint),firstMeaningfulPaint:y(g.firstMeaningfulPaint),largestContentfulPaint:y(g.largestContentfulPaint),load:y(g.load),domContentLoaded:y(g.domContentLoaded)},timestamps:g,timeOriginEvt:r,firstPaintEvt:a,firstContentfulPaintEvt:o,firstMeaningfulPaintEvt:i,largestContentfulPaintEvt:u.lcp,loadEvt:l,domContentLoadedEvt:m,fmpFellBack:c,lcpInvalidated:u.invalidated}}}});var kx={};S(kx,{default:()=>sa});var Yf,sa,Vi=v(()=>{"use strict";d();Ue();Ar();Yf=class t extends X{static{s(this,"Trace")}_trace={traceEvents:[]};static getDefaultTraceCategories(){return["-*","disabled-by-default-lighthouse","loading","v8","v8.execute","blink.user_timing","blink.console","devtools.timeline","disabled-by-default-devtools.timeline","disabled-by-default-devtools.screenshot","disabled-by-default-devtools.timeline.stack","disabled-by-default-devtools.timeline.frame","latencyInfo"]}static async endTraceAndCollectEvents(e){let n=[],r=s(function(a){n.push(...a.value)},"dataListener");return e.on("Tracing.dataCollected",r),new Promise((a,o)=>{e.once("Tracing.tracingComplete",i=>{e.off("Tracing.dataCollected",r),a({traceEvents:n})}),e.sendCommand("Tracing.end").catch(o)})}static symbol=Symbol("Trace");meta={symbol:t.symbol,supportedModes:["timespan","navigation"]};async startSensitiveInstrumentation({driver:e,gatherMode:n,settings:r}){let a=t.getDefaultTraceCategories().concat(r.additionalTraceCategories||[]);await e.defaultSession.sendCommand("Page.enable"),await e.defaultSession.sendCommand("Tracing.start",{categories:a.join(","),options:"sampling-frequency=10000"}),n==="timespan"&&await e.defaultSession.sendCommand("Tracing.recordClockSyncMarker",{syncId:Kt.TIMESPAN_MARKER_ID})}async stopSensitiveInstrumentation({driver:e}){this._trace=await t.endTraceAndCollectEvents(e.defaultSession)}getArtifact(){return this._trace}},sa=Yf});var Ix={};S(Ix,{default:()=>Un});var Un,ca=v(()=>{d();Un={}});function Mx(t,e){for(var n=0,r=t.length-1;r>=0;r--){var a=t[r];a==="."?t.splice(r,1):a===".."?(t.splice(r,1),n++):n&&(t.splice(r,1),n--)}if(e)for(;n--;n)t.unshift("..");return t}function Kf(){for(var t="",e=!1,n=arguments.length-1;n>=-1&&!e;n--){var r=n>=0?arguments[n]:"/";if(typeof r!="string")throw new TypeError("Arguments to path.resolve must be strings");if(!r)continue;t=r+"/"+t,e=r.charAt(0)==="/"}return t=Mx(Xf(t.split("/"),function(a){return!!a}),!e).join("/"),(e?"/":"")+t||"."}function Nx(t){var e=Lx(t),n=J9(t,-1)==="/";return t=Mx(Xf(t.split("/"),function(r){return!!r}),!e).join("/"),!t&&!e&&(t="."),t&&n&&(t+="/"),(e?"/":"")+t}function Lx(t){return t.charAt(0)==="/"}function H9(){var t=Array.prototype.slice.call(arguments,0);return Nx(Xf(t,function(e,n){if(typeof e!="string")throw new TypeError("Arguments to path.join must be strings");return e}).join("/"))}function G9(t,e){t=Kf(t).substr(1),e=Kf(e).substr(1);function n(l){for(var m=0;m<l.length&&l[m]==="";m++);for(var p=l.length-1;p>=0&&l[p]==="";p--);return m>p?[]:l.slice(m,p-m+1)}s(n,"trim");for(var r=n(t.split("/")),a=n(e.split("/")),o=Math.min(r.length,a.length),i=o,c=0;c<o;c++)if(r[c]!==a[c]){i=c;break}for(var u=[],c=i;c<r.length;c++)u.push("..");return u=u.concat(a.slice(i)),u.join("/")}function $9(t){var e=Jf(t),n=e[0],r=e[1];return!n&&!r?".":(r&&(r=r.substr(0,r.length-1)),n+r)}function Y9(t,e){var n=Jf(t)[2];return e&&n.substr(-1*e.length)===e&&(n=n.substr(0,n.length-e.length)),n}function K9(t){return Jf(t)[3]}function Xf(t,e){if(t.filter)return t.filter(e);for(var n=[],r=0;r<t.length;r++)e(t[r],r,t)&&n.push(t[r]);return n}var z9,Jf,W9,V9,Ot,J9,qo=v(()=>{d();s(Mx,"normalizeArray");z9=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/,Jf=s(function(t){return z9.exec(t).slice(1)},"splitPath");s(Kf,"resolve");s(Nx,"normalize");s(Lx,"isAbsolute");s(H9,"join");s(G9,"relative");W9="/",V9=":";s($9,"dirname");s(Y9,"basename");s(K9,"extname");Ot={extname:K9,basename:Y9,dirname:$9,sep:W9,delimiter:V9,relative:G9,join:H9,isAbsolute:Lx,normalize:Nx,resolve:Kf};s(Xf,"filter");J9="ab".substr(-1)==="b"?function(t,e,n){return t.substr(e,n)}:function(t,e,n){return e<0&&(e=t.length+e),t.substr(e,n)}});var Ox=L((Gce,Px)=>{d();function X9(){this.__data__=[],this.size=0}s(X9,"listCacheClear");Px.exports=X9});var Zf=L(($ce,Ux)=>{d();function Z9(t,e){return t===e||t!==t&&e!==e}s(Z9,"eq");Ux.exports=Z9});var Zc=L((Jce,Bx)=>{d();var Q9=Zf();function ej(t,e){for(var n=t.length;n--;)if(Q9(t[n][0],e))return n;return-1}s(ej,"assocIndexOf");Bx.exports=ej});var qx=L((Qce,jx)=>{d();var tj=Zc(),nj=Array.prototype,rj=nj.splice;function aj(t){var e=this.__data__,n=tj(e,t);if(n<0)return!1;var r=e.length-1;return n==r?e.pop():rj.call(e,n,1),--this.size,!0}s(aj,"listCacheDelete");jx.exports=aj});var Hx=L((nue,zx)=>{d();var oj=Zc();function ij(t){var e=this.__data__,n=oj(e,t);return n<0?void 0:e[n][1]}s(ij,"listCacheGet");zx.exports=ij});var Wx=L((oue,Gx)=>{d();var sj=Zc();function cj(t){return sj(this.__data__,t)>-1}s(cj,"listCacheHas");Gx.exports=cj});var $x=L((cue,Vx)=>{d();var uj=Zc();function lj(t,e){var n=this.__data__,r=uj(n,t);return r<0?(++this.size,n.push([t,e])):n[r][1]=e,this}s(lj,"listCacheSet");Vx.exports=lj});var Qc=L((due,Yx)=>{d();var dj=Ox(),mj=qx(),pj=Hx(),fj=Wx(),gj=$x();function $i(t){var e=-1,n=t==null?0:t.length;for(this.clear();++e<n;){var r=t[e];this.set(r[0],r[1])}}s($i,"ListCache");$i.prototype.clear=dj;$i.prototype.delete=mj;$i.prototype.get=pj;$i.prototype.has=fj;$i.prototype.set=gj;Yx.exports=$i});var Jx=L((fue,Kx)=>{d();var hj=Qc();function yj(){this.__data__=new hj,this.size=0}s(yj,"stackClear");Kx.exports=yj});var Zx=L((yue,Xx)=>{d();function vj(t){var e=this.__data__,n=e.delete(t);return this.size=e.size,n}s(vj,"stackDelete");Xx.exports=vj});var e2=L((wue,Qx)=>{d();function bj(t){return this.__data__.get(t)}s(bj,"stackGet");Qx.exports=bj});var n2=L((Tue,t2)=>{d();function wj(t){return this.__data__.has(t)}s(wj,"stackHas");t2.exports=wj});var Qf=L((Cue,r2)=>{d();var Dj=typeof globalThis=="object"&&globalThis&&globalThis.Object===Object&&globalThis;r2.exports=Dj});var Fr=L((Fue,a2)=>{d();var Ej=Qf(),Tj=typeof self=="object"&&self&&self.Object===Object&&self,Sj=Ej||Tj||Function("return this")();a2.exports=Sj});var Gm=L((_ue,o2)=>{d();var xj=Fr(),Cj=xj.Symbol;o2.exports=Cj});var u2=L((Iue,c2)=>{d();var i2=Gm(),s2=Object.prototype,Aj=s2.hasOwnProperty,Fj=s2.toString,eu=i2?i2.toStringTag:void 0;function Rj(t){var e=Aj.call(t,eu),n=t[eu];try{t[eu]=void 0;var r=!0}catch{}var a=Fj.call(t);return r&&(e?t[eu]=n:delete t[eu]),a}s(Rj,"getRawTag");c2.exports=Rj});var d2=L((Lue,l2)=>{d();var _j=Object.prototype,kj=_j.toString;function Ij(t){return kj.call(t)}s(Ij,"objectToString");l2.exports=Ij});var tu=L((Uue,f2)=>{d();var m2=Gm(),Mj=u2(),Nj=d2(),Lj="[object Null]",Pj="[object Undefined]",p2=m2?m2.toStringTag:void 0;function Oj(t){return t==null?t===void 0?Pj:Lj:p2&&p2 in Object(t)?Mj(t):Nj(t)}s(Oj,"baseGetTag");f2.exports=Oj});var eg=L((que,g2)=>{d();function Uj(t){var e=typeof t;return t!=null&&(e=="object"||e=="function")}s(Uj,"isObject");g2.exports=Uj});var tg=L((Gue,h2)=>{d();var Bj=tu(),jj=eg(),qj="[object AsyncFunction]",zj="[object Function]",Hj="[object GeneratorFunction]",Gj="[object Proxy]";function Wj(t){if(!jj(t))return!1;var e=Bj(t);return e==zj||e==Hj||e==qj||e==Gj}s(Wj,"isFunction");h2.exports=Wj});var v2=L(($ue,y2)=>{d();var Vj=Fr(),$j=Vj["__core-js_shared__"];y2.exports=$j});var D2=L((Kue,w2)=>{d();var ng=v2(),b2=function(){var t=/[^.]+$/.exec(ng&&ng.keys&&ng.keys.IE_PROTO||"");return t?"Symbol(src)_1."+t:""}();function Yj(t){return!!b2&&b2 in t}s(Yj,"isMasked");w2.exports=Yj});var rg=L((Zue,E2)=>{d();var Kj=Function.prototype,Jj=Kj.toString;function Xj(t){if(t!=null){try{return Jj.call(t)}catch{}try{return t+""}catch{}}return""}s(Xj,"toSource");E2.exports=Xj});var S2=L((tle,T2)=>{d();var Zj=tg(),Qj=D2(),eq=eg(),tq=rg(),nq=/[\\^$.*+?()[\]{}|]/g,rq=/^\[object .+?Constructor\]$/,aq=Function.prototype,oq=Object.prototype,iq=aq.toString,sq=oq.hasOwnProperty,cq=RegExp("^"+iq.call(sq).replace(nq,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");function uq(t){if(!eq(t)||Qj(t))return!1;var e=Zj(t)?cq:rq;return e.test(tq(t))}s(uq,"baseIsNative");T2.exports=uq});var C2=L((ale,x2)=>{d();function lq(t,e){return t?.[e]}s(lq,"getValue");x2.exports=lq});var zo=L((sle,A2)=>{d();var dq=S2(),mq=C2();function pq(t,e){var n=mq(t,e);return dq(n)?n:void 0}s(pq,"getNative");A2.exports=pq});var Wm=L((lle,F2)=>{d();var fq=zo(),gq=Fr(),hq=fq(gq,"Map");F2.exports=hq});var nu=L((mle,R2)=>{d();var yq=zo(),vq=yq(Object,"create");R2.exports=vq});var I2=L((fle,k2)=>{d();var _2=nu();function bq(){this.__data__=_2?_2(null):{},this.size=0}s(bq,"hashClear");k2.exports=bq});var N2=L((yle,M2)=>{d();function wq(t){var e=this.has(t)&&delete this.__data__[t];return this.size-=e?1:0,e}s(wq,"hashDelete");M2.exports=wq});var P2=L((wle,L2)=>{d();var Dq=nu(),Eq="__lodash_hash_undefined__",Tq=Object.prototype,Sq=Tq.hasOwnProperty;function xq(t){var e=this.__data__;if(Dq){var n=e[t];return n===Eq?void 0:n}return Sq.call(e,t)?e[t]:void 0}s(xq,"hashGet");L2.exports=xq});var U2=L((Tle,O2)=>{d();var Cq=nu(),Aq=Object.prototype,Fq=Aq.hasOwnProperty;function Rq(t){var e=this.__data__;return Cq?e[t]!==void 0:Fq.call(e,t)}s(Rq,"hashHas");O2.exports=Rq});var j2=L((Cle,B2)=>{d();var _q=nu(),kq="__lodash_hash_undefined__";function Iq(t,e){var n=this.__data__;return this.size+=this.has(t)?0:1,n[t]=_q&&e===void 0?kq:e,this}s(Iq,"hashSet");B2.exports=Iq});var z2=L((Rle,q2)=>{d();var Mq=I2(),Nq=N2(),Lq=P2(),Pq=U2(),Oq=j2();function Yi(t){var e=-1,n=t==null?0:t.length;for(this.clear();++e<n;){var r=t[e];this.set(r[0],r[1])}}s(Yi,"Hash");Yi.prototype.clear=Mq;Yi.prototype.delete=Nq;Yi.prototype.get=Lq;Yi.prototype.has=Pq;Yi.prototype.set=Oq;q2.exports=Yi});var W2=L((Ile,G2)=>{d();var H2=z2(),Uq=Qc(),Bq=Wm();function jq(){this.size=0,this.__data__={hash:new H2,map:new(Bq||Uq),string:new H2}}s(jq,"mapCacheClear");G2.exports=jq});var $2=L((Lle,V2)=>{d();function qq(t){var e=typeof t;return e=="string"||e=="number"||e=="symbol"||e=="boolean"?t!=="__proto__":t===null}s(qq,"isKeyable");V2.exports=qq});var ru=L((Ule,Y2)=>{d();var zq=$2();function Hq(t,e){var n=t.__data__;return zq(e)?n[typeof e=="string"?"string":"hash"]:n.map}s(Hq,"getMapData");Y2.exports=Hq});var J2=L((qle,K2)=>{d();var Gq=ru();function Wq(t){var e=Gq(this,t).delete(t);return this.size-=e?1:0,e}s(Wq,"mapCacheDelete");K2.exports=Wq});var Z2=L((Gle,X2)=>{d();var Vq=ru();function $q(t){return Vq(this,t).get(t)}s($q,"mapCacheGet");X2.exports=$q});var eC=L(($le,Q2)=>{d();var Yq=ru();function Kq(t){return Yq(this,t).has(t)}s(Kq,"mapCacheHas");Q2.exports=Kq});var nC=L((Jle,tC)=>{d();var Jq=ru();function Xq(t,e){var n=Jq(this,t),r=n.size;return n.set(t,e),this.size+=n.size==r?0:1,this}s(Xq,"mapCacheSet");tC.exports=Xq});var ag=L((Qle,rC)=>{d();var Zq=W2(),Qq=J2(),ez=Z2(),tz=eC(),nz=nC();function Ki(t){var e=-1,n=t==null?0:t.length;for(this.clear();++e<n;){var r=t[e];this.set(r[0],r[1])}}s(Ki,"MapCache");Ki.prototype.clear=Zq;Ki.prototype.delete=Qq;Ki.prototype.get=ez;Ki.prototype.has=tz;Ki.prototype.set=nz;rC.exports=Ki});var oC=L((nde,aC)=>{d();var rz=Qc(),az=Wm(),oz=ag(),iz=200;function sz(t,e){var n=this.__data__;if(n instanceof rz){var r=n.__data__;if(!az||r.length<iz-1)return r.push([t,e]),this.size=++n.size,this;n=this.__data__=new oz(r)}return n.set(t,e),this.size=n.size,this}s(sz,"stackSet");aC.exports=sz});var sC=L((ode,iC)=>{d();var cz=Qc(),uz=Jx(),lz=Zx(),dz=e2(),mz=n2(),pz=oC();function Ji(t){var e=this.__data__=new cz(t);this.size=e.size}s(Ji,"Stack");Ji.prototype.clear=uz;Ji.prototype.delete=lz;Ji.prototype.get=dz;Ji.prototype.has=mz;Ji.prototype.set=pz;iC.exports=Ji});var uC=L((cde,cC)=>{d();var fz="__lodash_hash_undefined__";function gz(t){return this.__data__.set(t,fz),this}s(gz,"setCacheAdd");cC.exports=gz});var dC=L((dde,lC)=>{d();function hz(t){return this.__data__.has(t)}s(hz,"setCacheHas");lC.exports=hz});var pC=L((fde,mC)=>{d();var yz=ag(),vz=uC(),bz=dC();function Vm(t){var e=-1,n=t==null?0:t.length;for(this.__data__=new yz;++e<n;)this.add(t[e])}s(Vm,"SetCache");Vm.prototype.add=Vm.prototype.push=vz;Vm.prototype.has=bz;mC.exports=Vm});var gC=L((yde,fC)=>{d();function wz(t,e){for(var n=-1,r=t==null?0:t.length;++n<r;)if(e(t[n],n,t))return!0;return!1}s(wz,"arraySome");fC.exports=wz});var yC=L((wde,hC)=>{d();function Dz(t,e){return t.has(e)}s(Dz,"cacheHas");hC.exports=Dz});var og=L((Tde,vC)=>{d();var Ez=pC(),Tz=gC(),Sz=yC(),xz=1,Cz=2;function Az(t,e,n,r,a,o){var i=n&xz,c=t.length,u=e.length;if(c!=u&&!(i&&u>c))return!1;var l=o.get(t),m=o.get(e);if(l&&m)return l==e&&m==t;var p=-1,g=!0,f=n&Cz?new Ez:void 0;for(o.set(t,e),o.set(e,t);++p<c;){var y=t[p],b=e[p];if(r)var D=i?r(b,y,p,e,t,o):r(y,b,p,t,e,o);if(D!==void 0){if(D)continue;g=!1;break}if(f){if(!Tz(e,function(T,A){if(!Sz(f,A)&&(y===T||a(y,T,n,r,o)))return f.push(A)})){g=!1;break}}else if(!(y===b||a(y,b,n,r,o))){g=!1;break}}return o.delete(t),o.delete(e),g}s(Az,"equalArrays");vC.exports=Az});var wC=L((Cde,bC)=>{d();var Fz=Fr(),Rz=Fz.Uint8Array;bC.exports=Rz});var EC=L((Fde,DC)=>{d();function _z(t){var e=-1,n=Array(t.size);return t.forEach(function(r,a){n[++e]=[a,r]}),n}s(_z,"mapToArray");DC.exports=_z});var SC=L((kde,TC)=>{d();function kz(t){var e=-1,n=Array(t.size);return t.forEach(function(r){n[++e]=r}),n}s(kz,"setToArray");TC.exports=kz});var RC=L((Nde,FC)=>{d();var xC=Gm(),CC=wC(),Iz=Zf(),Mz=og(),Nz=EC(),Lz=SC(),Pz=1,Oz=2,Uz="[object Boolean]",Bz="[object Date]",jz="[object Error]",qz="[object Map]",zz="[object Number]",Hz="[object RegExp]",Gz="[object Set]",Wz="[object String]",Vz="[object Symbol]",$z="[object ArrayBuffer]",Yz="[object DataView]",AC=xC?xC.prototype:void 0,ig=AC?AC.valueOf:void 0;function Kz(t,e,n,r,a,o,i){switch(n){case Yz:if(t.byteLength!=e.byteLength||t.byteOffset!=e.byteOffset)return!1;t=t.buffer,e=e.buffer;case $z:return!(t.byteLength!=e.byteLength||!o(new CC(t),new CC(e)));case Uz:case Bz:case zz:return Iz(+t,+e);case jz:return t.name==e.name&&t.message==e.message;case Hz:case Wz:return t==e+"";case qz:var c=Nz;case Gz:var u=r&Pz;if(c||(c=Lz),t.size!=e.size&&!u)return!1;var l=i.get(t);if(l)return l==e;r|=Oz,i.set(t,e);var m=Mz(c(t),c(e),r,a,o,i);return i.delete(t),m;case Vz:if(ig)return ig.call(t)==ig.call(e)}return!1}s(Kz,"equalByTag");FC.exports=Kz});var kC=L((Ode,_C)=>{d();function Jz(t,e){for(var n=-1,r=e.length,a=t.length;++n<r;)t[a+n]=e[n];return t}s(Jz,"arrayPush");_C.exports=Jz});var $m=L((jde,IC)=>{d();var Xz=Array.isArray;IC.exports=Xz});var NC=L((zde,MC)=>{d();var Zz=kC(),Qz=$m();function eH(t,e,n){var r=e(t);return Qz(t)?r:Zz(r,n(t))}s(eH,"baseGetAllKeys");MC.exports=eH});var PC=L((Wde,LC)=>{d();function tH(t,e){for(var n=-1,r=t==null?0:t.length,a=0,o=[];++n<r;){var i=t[n];e(i,n,t)&&(o[a++]=i)}return o}s(tH,"arrayFilter");LC.exports=tH});var UC=L((Yde,OC)=>{d();function nH(){return[]}s(nH,"stubArray");OC.exports=nH});var qC=L((Xde,jC)=>{d();var rH=PC(),aH=UC(),oH=Object.prototype,iH=oH.propertyIsEnumerable,BC=Object.getOwnPropertySymbols,sH=BC?function(t){return t==null?[]:(t=Object(t),rH(BC(t),function(e){return iH.call(t,e)}))}:aH;jC.exports=sH});var HC=L((Qde,zC)=>{d();function cH(t,e){for(var n=-1,r=Array(t);++n<t;)r[n]=e(n);return r}s(cH,"baseTimes");zC.exports=cH});var au=L((nme,GC)=>{d();function uH(t){return t!=null&&typeof t=="object"}s(uH,"isObjectLike");GC.exports=uH});var VC=L((ome,WC)=>{d();var lH=tu(),dH=au(),mH="[object Arguments]";function pH(t){return dH(t)&&lH(t)==mH}s(pH,"baseIsArguments");WC.exports=pH});var JC=L((cme,KC)=>{d();var $C=VC(),fH=au(),YC=Object.prototype,gH=YC.hasOwnProperty,hH=YC.propertyIsEnumerable,yH=$C(function(){return arguments}())?$C:function(t){return fH(t)&&gH.call(t,"callee")&&!hH.call(t,"callee")};KC.exports=yH});var ZC=L((lme,XC)=>{d();function vH(){return!1}s(vH,"stubFalse");XC.exports=vH});var sg=L((ou,Xi)=>{d();var bH=Fr(),wH=ZC(),tA=typeof ou=="object"&&ou&&!ou.nodeType&&ou,QC=tA&&typeof Xi=="object"&&Xi&&!Xi.nodeType&&Xi,DH=QC&&QC.exports===tA,eA=DH?bH.Buffer:void 0,EH=eA?eA.isBuffer:void 0,TH=EH||wH;Xi.exports=TH});var rA=L((fme,nA)=>{d();var SH=9007199254740991,xH=/^(?:0|[1-9]\d*)$/;function CH(t,e){var n=typeof t;return e=e??SH,!!e&&(n=="number"||n!="symbol"&&xH.test(t))&&t>-1&&t%1==0&&t<e}s(CH,"isIndex");nA.exports=CH});var cg=L((yme,aA)=>{d();var AH=9007199254740991;function FH(t){return typeof t=="number"&&t>-1&&t%1==0&&t<=AH}s(FH,"isLength");aA.exports=FH});var iA=L((wme,oA)=>{d();var RH=tu(),_H=cg(),kH=au(),IH="[object Arguments]",MH="[object Array]",NH="[object Boolean]",LH="[object Date]",PH="[object Error]",OH="[object Function]",UH="[object Map]",BH="[object Number]",jH="[object Object]",qH="[object RegExp]",zH="[object Set]",HH="[object String]",GH="[object WeakMap]",WH="[object ArrayBuffer]",VH="[object DataView]",$H="[object Float32Array]",YH="[object Float64Array]",KH="[object Int8Array]",JH="[object Int16Array]",XH="[object Int32Array]",ZH="[object Uint8Array]",QH="[object Uint8ClampedArray]",eG="[object Uint16Array]",tG="[object Uint32Array]",Rt={};Rt[$H]=Rt[YH]=Rt[KH]=Rt[JH]=Rt[XH]=Rt[ZH]=Rt[QH]=Rt[eG]=Rt[tG]=!0;Rt[IH]=Rt[MH]=Rt[WH]=Rt[NH]=Rt[VH]=Rt[LH]=Rt[PH]=Rt[OH]=Rt[UH]=Rt[BH]=Rt[jH]=Rt[qH]=Rt[zH]=Rt[HH]=Rt[GH]=!1;function nG(t){return kH(t)&&_H(t.length)&&!!Rt[RH(t)]}s(nG,"baseIsTypedArray");oA.exports=nG});var cA=L((Tme,sA)=>{d();function rG(t){return function(e){return t(e)}}s(rG,"baseUnary");sA.exports=rG});var lA=L((iu,Zi)=>{d();var aG=Qf(),uA=typeof iu=="object"&&iu&&!iu.nodeType&&iu,su=uA&&typeof Zi=="object"&&Zi&&!Zi.nodeType&&Zi,oG=su&&su.exports===uA,ug=oG&&aG.process,iG=function(){try{var t=su&&su.require&&su.require("util").types;return t||ug&&ug.binding&&ug.binding("util")}catch{}}();Zi.exports=iG});var lg=L((Ame,pA)=>{d();var sG=iA(),cG=cA(),dA=lA(),mA=dA&&dA.isTypedArray,uG=mA?cG(mA):sG;pA.exports=uG});var gA=L((Rme,fA)=>{d();var lG=HC(),dG=JC(),mG=$m(),pG=sg(),fG=rA(),gG=lg(),hG=Object.prototype,yG=hG.hasOwnProperty;function vG(t,e){var n=mG(t),r=!n&&dG(t),a=!n&&!r&&pG(t),o=!n&&!r&&!a&&gG(t),i=n||r||a||o,c=i?lG(t.length,String):[],u=c.length;for(var l in t)(e||yG.call(t,l))&&!(i&&(l=="length"||a&&(l=="offset"||l=="parent")||o&&(l=="buffer"||l=="byteLength"||l=="byteOffset")||fG(l,u)))&&c.push(l);return c}s(vG,"arrayLikeKeys");fA.exports=vG});var yA=L((Ime,hA)=>{d();var bG=Object.prototype;function wG(t){var e=t&&t.constructor,n=typeof e=="function"&&e.prototype||bG;return t===n}s(wG,"isPrototype");hA.exports=wG});var bA=L((Lme,vA)=>{d();function DG(t,e){return function(n){return t(e(n))}}s(DG,"overArg");vA.exports=DG});var DA=L((Ume,wA)=>{d();var EG=bA(),TG=EG(Object.keys,Object);wA.exports=TG});var TA=L((jme,EA)=>{d();var SG=yA(),xG=DA(),CG=Object.prototype,AG=CG.hasOwnProperty;function FG(t){if(!SG(t))return xG(t);var e=[];for(var n in Object(t))AG.call(t,n)&&n!="constructor"&&e.push(n);return e}s(FG,"baseKeys");EA.exports=FG});var xA=L((Hme,SA)=>{d();var RG=tg(),_G=cg();function kG(t){return t!=null&&_G(t.length)&&!RG(t)}s(kG,"isArrayLike");SA.exports=kG});var AA=L((Vme,CA)=>{d();var IG=gA(),MG=TA(),NG=xA();function LG(t){return NG(t)?IG(t):MG(t)}s(LG,"keys");CA.exports=LG});var RA=L((Kme,FA)=>{d();var PG=NC(),OG=qC(),UG=AA();function BG(t){return PG(t,UG,OG)}s(BG,"getAllKeys");FA.exports=BG});var IA=L((Zme,kA)=>{d();var _A=RA(),jG=1,qG=Object.prototype,zG=qG.hasOwnProperty;function HG(t,e,n,r,a,o){var i=n&jG,c=_A(t),u=c.length,l=_A(e),m=l.length;if(u!=m&&!i)return!1;for(var p=u;p--;){var g=c[p];if(!(i?g in e:zG.call(e,g)))return!1}var f=o.get(t),y=o.get(e);if(f&&y)return f==e&&y==t;var b=!0;o.set(t,e),o.set(e,t);for(var D=i;++p<u;){g=c[p];var T=t[g],A=e[g];if(r)var R=i?r(A,T,g,e,t,o):r(T,A,g,t,e,o);if(!(R===void 0?T===A||a(T,A,n,r,o):R)){b=!1;break}D||(D=g=="constructor")}if(b&&!D){var F=t.constructor,M=e.constructor;F!=M&&"constructor"in t&&"constructor"in e&&!(typeof F=="function"&&F instanceof F&&typeof M=="function"&&M instanceof M)&&(b=!1)}return o.delete(t),o.delete(e),b}s(HG,"equalObjects");kA.exports=HG});var NA=L((tpe,MA)=>{d();var GG=zo(),WG=Fr(),VG=GG(WG,"DataView");MA.exports=VG});var PA=L((rpe,LA)=>{d();var $G=zo(),YG=Fr(),KG=$G(YG,"Promise");LA.exports=KG});var UA=L((ope,OA)=>{d();var JG=zo(),XG=Fr(),ZG=JG(XG,"Set");OA.exports=ZG});var jA=L((spe,BA)=>{d();var QG=zo(),eW=Fr(),tW=QG(eW,"WeakMap");BA.exports=tW});var YA=L((upe,$A)=>{d();var dg=NA(),mg=Wm(),pg=PA(),fg=UA(),gg=jA(),VA=tu(),Qi=rg(),qA="[object Map]",nW="[object Object]",zA="[object Promise]",HA="[object Set]",GA="[object WeakMap]",WA="[object DataView]",rW=Qi(dg),aW=Qi(mg),oW=Qi(pg),iW=Qi(fg),sW=Qi(gg),Ho=VA;(dg&&Ho(new dg(new ArrayBuffer(1)))!=WA||mg&&Ho(new mg)!=qA||pg&&Ho(pg.resolve())!=zA||fg&&Ho(new fg)!=HA||gg&&Ho(new gg)!=GA)&&(Ho=s(function(t){var e=VA(t),n=e==nW?t.constructor:void 0,r=n?Qi(n):"";if(r)switch(r){case rW:return WA;case aW:return qA;case oW:return zA;case iW:return HA;case sW:return GA}return e},"getTag"));$A.exports=Ho});var nF=L((mpe,tF)=>{d();var hg=sC(),cW=og(),uW=RC(),lW=IA(),KA=YA(),JA=$m(),XA=sg(),dW=lg(),mW=1,ZA="[object Arguments]",QA="[object Array]",Ym="[object Object]",pW=Object.prototype,eF=pW.hasOwnProperty;function fW(t,e,n,r,a,o){var i=JA(t),c=JA(e),u=i?QA:KA(t),l=c?QA:KA(e);u=u==ZA?Ym:u,l=l==ZA?Ym:l;var m=u==Ym,p=l==Ym,g=u==l;if(g&&XA(t)){if(!XA(e))return!1;i=!0,m=!1}if(g&&!m)return o||(o=new hg),i||dW(t)?cW(t,e,n,r,a,o):uW(t,e,u,n,r,a,o);if(!(n&mW)){var f=m&&eF.call(t,"__wrapped__"),y=p&&eF.call(e,"__wrapped__");if(f||y){var b=f?t.value():t,D=y?e.value():e;return o||(o=new hg),a(b,D,n,r,o)}}return g?(o||(o=new hg),lW(t,e,n,r,a,o)):!1}s(fW,"baseIsEqualDeep");tF.exports=fW});var iF=L((gpe,oF)=>{d();var gW=nF(),rF=au();function aF(t,e,n,r,a){return t===e?!0:t==null||e==null||!rF(t)&&!rF(e)?t!==t&&e!==e:gW(t,e,n,r,aF,a)}s(aF,"baseIsEqual");oF.exports=aF});var cu=L((vpe,sF)=>{d();var hW=iF();function yW(t,e){return hW(t,e)}s(yW,"isEqual");sF.exports=yW});var cF,uF=v(()=>{"use strict";d();Ua();cF=!!pn.env.CI||pn.env.NODE_ENV==="test"});function DW(t){let e=Math.sign(t);t=Math.abs(t);let n=.254829592,r=-.284496736,a=1.421413741,o=-1.453152027,i=1.061405429,u=1/(1+.3275911*t),l=u*(n+u*(r+u*(a+u*(o+u*i))));return e*(1-l*Math.exp(-t*t))}function lF({median:t,p10:e},n){if(t<=0)throw new Error("median must be greater than zero");if(e<=0)throw new Error("p10 must be greater than zero");if(e>=t)throw new Error("p10 must be less than the median");if(n<=0)return 1;let r=.9061938024368232,a=Math.max(Number.MIN_VALUE,n/t),o=Math.log(a),i=Math.max(Number.MIN_VALUE,e/t),c=-Math.log(i),u=o*r/c,l=(1-DW(u))/2,m;return n<=e?m=Math.max(.9,Math.min(1,l)):n<=t?m=Math.max(bW,Math.min(vW,l)):m=Math.max(0,Math.min(wW,l)),m}function dF(t,e,n,r,a){let o=(r-e)/(n-t);return e+(a-t)*o}var vW,bW,wW,yg=v(()=>{"use strict";d();vW=.8999999999999999,bW=.5,wW=.49999999999999994;s(DW,"erf");s(lF,"getLogNormalScore");s(dF,"linearInterpolation")});var ua,TW,SW,xW,rt,Rr=v(()=>{"use strict";d();ua="…",TW=" ",SW={PASS:{label:"pass",minScore:.9},AVERAGE:{label:"average",minScore:.5},FAIL:{label:"fail"},ERROR:{label:"error"}},xW=["com","co","gov","edu","ac","org","go","gob","or","net","in","ne","nic","gouv","web","spb","blog","jus","kiev","mil","wi","qc","ca","bel","on"],rt=class t{static{s(this,"Util")}static get RATINGS(){return SW}static get PASS_THRESHOLD(){return .9}static get MS_DISPLAY_VALUE(){return`%10d${TW}ms`}static getFinalDisplayedUrl(e){if(e.finalDisplayedUrl)return e.finalDisplayedUrl;if(e.finalUrl)return e.finalUrl;throw new Error("Could not determine final displayed URL")}static getMainDocumentUrl(e){return e.mainDocumentUrl||e.finalUrl}static getFullPageScreenshot(e){return e.fullPageScreenshot?e.fullPageScreenshot:e.audits["full-page-screenshot"]?.details}static splitMarkdownCodeSpans(e){let n=[],r=e.split(/`(.*?)`/g);for(let a=0;a<r.length;a++){let o=r[a];if(!o)continue;let i=a%2!==0;n.push({isCode:i,text:o})}return n}static splitMarkdownLink(e){let n=[],r=e.split(/\[([^\]]+?)\]\((https?:\/\/.*?)\)/g);for(;r.length;){let[a,o,i]=r.splice(0,3);a&&n.push({isLink:!1,text:a}),o&&i&&n.push({isLink:!0,text:o,linkHref:i})}return n}static truncate(e,n,r="…"){if(e.length<=n)return e;let o=new Intl.Segmenter(void 0,{granularity:"grapheme"}).segment(e)[Symbol.iterator](),i=0;for(let c=0;c<=n-r.length;c++){let u=o.next();if(u.done)return e;i=u.value.index}for(let c=0;c<r.length;c++)if(o.next().done)return e;return e.slice(0,i)+r}static getURLDisplayName(e,n){n=n||{numPathParts:void 0,preserveQuery:void 0,preserveHost:void 0};let r=n.numPathParts!==void 0?n.numPathParts:2,a=n.preserveQuery!==void 0?n.preserveQuery:!0,o=n.preserveHost||!1,i;if(e.protocol==="about:"||e.protocol==="data:")i=e.href;else{i=e.pathname;let u=i.split("/").filter(l=>l.length);r&&u.length>r&&(i=ua+u.slice(-1*r).join("/")),o&&(i=`${e.host}/${i.replace(/^\//,"")}`),a&&(i=`${i}${e.search}`)}let c=64;if(e.protocol!=="data:"&&(i=i.slice(0,200),i=i.replace(/([a-f0-9]{7})[a-f0-9]{13}[a-f0-9]*/g,`$1${ua}`),i=i.replace(/([a-zA-Z0-9-_]{9})(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])[a-zA-Z0-9-_]{10,}/g,`$1${ua}`),i=i.replace(/(\d{3})\d{6,}/g,`$1${ua}`),i=i.replace(/\u2026+/g,ua),i.length>c&&i.includes("?")&&(i=i.replace(/\?([^=]*)(=)?.*/,`?$1$2${ua}`),i.length>c&&(i=i.replace(/\?.*/,`?${ua}`)))),i.length>c){let u=i.lastIndexOf(".");u>=0?i=i.slice(0,c-1-(i.length-u))+`${ua}${i.slice(u)}`:i=i.slice(0,c-1)+ua}return i}static getChromeExtensionOrigin(e){let n=new URL(e);return n.protocol+"//"+n.host}static parseURL(e){let n=new URL(e);return{file:t.getURLDisplayName(n),hostname:n.hostname,origin:n.protocol==="chrome-extension:"?t.getChromeExtensionOrigin(e):n.origin}}static createOrReturnURL(e){return e instanceof URL?e:new URL(e)}static getTld(e){let n=e.split(".").slice(-2);return xW.includes(n[0])?`.${n.join(".")}`:`.${n[n.length-1]}`}static getRootDomain(e){let n=t.createOrReturnURL(e).hostname,a=t.getTld(n).split(".");return n.split(".").slice(-a.length).join(".")}static filterRelevantLines(e,n,r){if(n.length===0)return e.slice(0,r*2+1);let a=3,o=new Set;return n=n.sort((i,c)=>(i.lineNumber||0)-(c.lineNumber||0)),n.forEach(({lineNumber:i})=>{let c=i-r,u=i+r;for(;c<1;)c++,u++;o.has(c-a-1)&&(c-=a);for(let l=c;l<=u;l++){let m=l;o.add(m)}}),e.filter(i=>o.has(i.lineNumber))}}});var CW,AW,h,J=v(()=>{"use strict";d();Yt();uF();yg();Rr();CW="defaultPass",AW=s(t=>Math.round(t*100)/100,"clampTo2Decimals"),h=class t{static{s(this,"Audit")}static get DEFAULT_PASS(){return CW}static get SCORING_MODES(){return{NUMERIC:"numeric",BINARY:"binary",MANUAL:"manual",INFORMATIVE:"informative",NOT_APPLICABLE:"notApplicable",ERROR:"error"}}static get meta(){throw new Error("Audit meta information must be overridden.")}static get defaultOptions(){return{}}static audit(e,n){throw new Error("audit() method must be overridden")}static computeLogNormalScore(e,n){let r=lF(e,n);return r>.9&&(r+=.05*(r-.9)),Math.floor(r*100)/100}static assertHeadingKeysExist(e,n){if(n.length&&cF)for(let r of e){if(r.key===null)continue;let a=r.key;if(!n.some(o=>a in o))throw new Error(`"${r.key}" is missing from items`)}}static makeTableDetails(e,n,r={}){let{wastedBytes:a,wastedMs:o,sortedBy:i,skipSumming:c,isEntityGrouped:u}=r,l=a||o?{wastedBytes:a,wastedMs:o}:void 0;return n.length===0?{type:"table",headings:[],items:[],summary:l}:(t.assertHeadingKeysExist(e,n),{type:"table",headings:e,items:n,summary:l,sortedBy:i,skipSumming:c,isEntityGrouped:u})}static makeListDetails(e){return{type:"list",items:e}}static makeSnippetDetails({content:e,title:n,lineMessages:r,generalMessages:a,node:o,maxLineLength:i=200,maxLinesAroundMessage:c=20}){let u=t._makeSnippetLinesArray(e,i);return{type:"snippet",lines:rt.filterRelevantLines(u,r,c),title:n,lineMessages:r,generalMessages:a,lineCount:u.length,node:o}}static _makeSnippetLinesArray(e,n){return e.split(`
`).map((r,a)=>{let o=a+1,i={content:rt.truncate(r,n),lineNumber:o};return r.length>n&&(i.truncated=!0),i})}static makeOpportunityDetails(e,n,r){t.assertHeadingKeysExist(e,n);let{overallSavingsMs:a,overallSavingsBytes:o,sortedBy:i,skipSumming:c,isEntityGrouped:u}=r;return{type:"opportunity",headings:n.length===0?[]:e,items:n,overallSavingsMs:a,overallSavingsBytes:o,sortedBy:i,skipSumming:c,isEntityGrouped:u}}static makeNodeItem(e){return{type:"node",lhId:e.lhId,path:e.devtoolsNodePath,selector:e.selector,boundingRect:e.boundingRect,snippet:e.snippet,nodeLabel:e.nodeLabel}}static _findOriginalLocation(e,n,r){let a=e?.map.findEntry(n,r);if(a)return{file:a.sourceURL||"",line:a.sourceLineNumber||0,column:a.sourceColumnNumber||0}}static makeSourceLocation(e,n,r,a){return{type:"source-location",url:e,urlProvider:"network",line:n,column:r,original:a&&this._findOriginalLocation(a,n,r)}}static makeSourceLocationFromConsoleMessage(e,n){if(!e.url)return;let r=e.lineNumber||0,a=e.columnNumber||0;return this.makeSourceLocation(e.url,r,a,n)}static _normalizeAuditScore(e,n,r){if(n!==t.SCORING_MODES.BINARY&&n!==t.SCORING_MODES.NUMERIC)return null;if(e===null||!Number.isFinite(e))throw new Error(`Invalid score for ${r}: ${e}`);if(e>1)throw new Error(`Audit score for ${r} is > 1`);if(e<0)throw new Error(`Audit score for ${r} is < 0`);return e=AW(e),e}static generateErrorAuditResult(e,n,r){return t.generateAuditResult(e,{score:null,errorMessage:n,errorStack:r})}static generateAuditResult(e,n){if(n.score===void 0)throw new Error("generateAuditResult requires a score");let r=e.meta.scoreDisplayMode||t.SCORING_MODES.BINARY;n.errorMessage!==void 0?r=t.SCORING_MODES.ERROR:n.notApplicable&&(r=t.SCORING_MODES.NOT_APPLICABLE);let a=t._normalizeAuditScore(n.score,r,e.meta.id),o=e.meta.title;e.meta.failureTitle&&a!==null&&a<rt.PASS_THRESHOLD&&(o=e.meta.failureTitle);let i="numericUnit"in n?n:void 0;return{id:e.meta.id,title:o,description:e.meta.description,score:a,scoreDisplayMode:r,numericValue:i?.numericValue,numericUnit:i?.numericUnit,displayValue:n.displayValue,explanation:n.explanation,errorMessage:n.errorMessage,errorStack:n.errorStack,warnings:n.warnings,details:n.details}}static makeMetricComputationDataInput(e,n){let r=e.traces[t.DEFAULT_PASS],a=e.devtoolsLogs[t.DEFAULT_PASS],o=e.GatherContext;return{trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:e.URL}}}});var FW,Km,mF=v(()=>{"use strict";d();J();FW=s(t=>Math.round(t*100)/100,"clampTo2Decimals"),Km=class t{static{s(this,"ReportScoring")}static arithmeticMean(e){if(e=e.filter(r=>r.weight>0),e.some(r=>r.score===null))return null;let n=e.reduce((r,a)=>{let o=a.score,i=a.weight;return{weight:r.weight+i,sum:r.sum+o*i}},{weight:0,sum:0});return FW(n.sum/n.weight||0)}static scoreAllCategories(e,n){let r={};for(let[a,o]of Object.entries(e)){let i=o.auditRefs.map(l=>{let m={...l},p=n[m.id];return(p.scoreDisplayMode===h.SCORING_MODES.NOT_APPLICABLE||p.scoreDisplayMode===h.SCORING_MODES.INFORMATIVE||p.scoreDisplayMode===h.SCORING_MODES.MANUAL)&&(m.weight=0),m}),c=i.map(l=>({score:n[l.id].score,weight:l.weight})),u=t.arithmeticMean(c);r[a]={...o,auditRefs:i,id:a,score:u}}return r}}});var pF,fF=v(()=>{d();pF=function(){"use strict";function t(r,a){function o(){this.constructor=r}s(o,"ctor"),o.prototype=a.prototype,r.prototype=new o}s(t,"peg$subclass");function e(r,a,o,i){this.message=r,this.expected=a,this.found=o,this.location=i,this.name="SyntaxError",typeof Error.captureStackTrace=="function"&&Error.captureStackTrace(this,e)}s(e,"peg$SyntaxError"),t(e,Error),e.buildMessage=function(r,a){var o={literal:function(g){return'"'+c(g.text)+'"'},class:function(g){var f="",y;for(y=0;y<g.parts.length;y++)f+=g.parts[y]instanceof Array?u(g.parts[y][0])+"-"+u(g.parts[y][1]):u(g.parts[y]);return"["+(g.inverted?"^":"")+f+"]"},any:function(g){return"any character"},end:function(g){return"end of input"},other:function(g){return g.description}};function i(g){return g.charCodeAt(0).toString(16).toUpperCase()}s(i,"hex");function c(g){return g.replace(/\\/g,"\\\\").replace(/"/g,'\\"').replace(/\0/g,"\\0").replace(/\t/g,"\\t").replace(/\n/g,"\\n").replace(/\r/g,"\\r").replace(/[\x00-\x0F]/g,function(f){return"\\x0"+i(f)}).replace(/[\x10-\x1F\x7F-\x9F]/g,function(f){return"\\x"+i(f)})}s(c,"literalEscape");function u(g){return g.replace(/\\/g,"\\\\").replace(/\]/g,"\\]").replace(/\^/g,"\\^").replace(/-/g,"\\-").replace(/\0/g,"\\0").replace(/\t/g,"\\t").replace(/\n/g,"\\n").replace(/\r/g,"\\r").replace(/[\x00-\x0F]/g,function(f){return"\\x0"+i(f)}).replace(/[\x10-\x1F\x7F-\x9F]/g,function(f){return"\\x"+i(f)})}s(u,"classEscape");function l(g){return o[g.type](g)}s(l,"describeExpectation");function m(g){var f=new Array(g.length),y,b;for(y=0;y<g.length;y++)f[y]=l(g[y]);if(f.sort(),f.length>0){for(y=1,b=1;y<f.length;y++)f[y-1]!==f[y]&&(f[b]=f[y],b++);f.length=b}switch(f.length){case 1:return f[0];case 2:return f[0]+" or "+f[1];default:return f.slice(0,-1).join(", ")+", or "+f[f.length-1]}}s(m,"describeExpected");function p(g){return g?'"'+c(g)+'"':"end of input"}return s(p,"describeFound"),"Expected "+m(r)+" but "+p(a)+" found."};function n(r,a){a=a!==void 0?a:{};var o={},i={start:Vc},c=Vc,u=s(function(E){return{type:"messageFormatPattern",elements:E,location:Jn()}},"peg$c0"),l=s(function(E){return E.reduce(function(C,q){return C.concat(q)},[]).join("")},"peg$c1"),m=s(function(E){return{type:"messageTextElement",value:E,location:Jn()}},"peg$c2"),p=s(function(E){return E.join("")},"peg$c3"),g="{",f=qt("{",!1),y=",",b=qt(",",!1),D="}",T=qt("}",!1),A=s(function(E,C){return{type:"argumentElement",id:E,format:C&&C[2],location:Jn()}},"peg$c10"),R="number",F=qt("number",!1),M="date",V=qt("date",!1),z="time",ne=qt("time",!1),se=s(function(E,C){return{type:E+"Format",style:C&&C[2],location:Jn()}},"peg$c17"),Z="plural",de=qt("plural",!1),Le=s(function(E){return{type:E.type,ordinal:!1,offset:E.offset||0,options:E.options,location:Jn()}},"peg$c20"),pe="selectordinal",wt=qt("selectordinal",!1),ye=s(function(E){return{type:E.type,ordinal:!0,offset:E.offset||0,options:E.options,location:Jn()}},"peg$c23"),_e="select",mt=qt("select",!1),at=s(function(E){return{type:"selectFormat",options:E,location:Jn()}},"peg$c26"),Ge="=",Pt=qt("=",!1),et=s(function(E,C){return{type:"optionalFormatPattern",selector:E,value:C,location:Jn()}},"peg$c29"),We="offset:",Be=qt("offset:",!1),j=s(function(E){return E},"peg$c32"),fe=s(function(E,C){return{type:"pluralFormat",offset:E,options:C,location:Jn()}},"peg$c33"),ut=Gc("whitespace"),st=/^[ \t\n\r]/,Ve=na([" ","	",`
`,"\r"],!1,!1),Je=Gc("optionalWhitespace"),qe=/^[0-9]/,ae=na([["0","9"]],!1,!1),ee=/^[0-9a-f]/i,ft=na([["0","9"],["a","f"]],!1,!0),Ce="0",ze=qt("0",!1),Ln=/^[1-9]/,zn=na([["1","9"]],!1,!1),P=s(function(E){return parseInt(E,10)},"peg$c46"),le="'",he=qt("'",!1),ge=/^[ \t\n\r,.+={}#]/,Ie=na([" ","	",`
`,"\r",",",".","+","=","{","}","#"],!1,!1),Pe=Dm(),Qe=s(function(E){return E},"peg$c52"),Ze=s(function(E){return E},"peg$c53"),Ft=/^[^{}\\\0-\x1F\x7F \t\n\r]/,gt=na(["{","}","\\",["\0",""],""," ","	",`
`,"\r"],!0,!1),K="\\\\",ce=qt("\\\\",!1),ke=s(function(){return"\\"},"peg$c58"),Dt="\\#",Oe=qt("\\#",!1),$e=s(function(){return"\\#"},"peg$c61"),ct="\\{",xe=qt("\\{",!1),tt=s(function(){return"{"},"peg$c64"),Vt="\\}",Et=qt("\\}",!1),Pn=s(function(){return"}"},"peg$c67"),Hn="\\u",ea=qt("\\u",!1),Na=s(function(E){return String.fromCharCode(parseInt(E,16))},"peg$c70"),_=0,nt=0,Er=[{line:1,column:1}],Sn=0,ta=[],ve=0,Tr;if("startRule"in a){if(!(a.startRule in i))throw new Error(`Can't start parsing from rule "`+a.startRule+'".');c=i[a.startRule]}function Ni(){return r.substring(nt,_)}s(Ni,"text");function Jn(){return ra(nt,_)}s(Jn,"location");function wm(E,C){throw C=C!==void 0?C:ra(nt,_),Wc([Gc(E)],r.substring(nt,_),C)}s(wm,"expected");function Of(E,C){throw C=C!==void 0?C:ra(nt,_),Li(E,C)}s(Of,"error");function qt(E,C){return{type:"literal",text:E,ignoreCase:C}}s(qt,"peg$literalExpectation");function na(E,C,q){return{type:"class",parts:E,inverted:C,ignoreCase:q}}s(na,"peg$classExpectation");function Dm(){return{type:"any"}}s(Dm,"peg$anyExpectation");function Em(){return{type:"end"}}s(Em,"peg$endExpectation");function Gc(E){return{type:"other",description:E}}s(Gc,"peg$otherExpectation");function La(E){var C=Er[E],q;if(C)return C;for(q=E-1;!Er[q];)q--;for(C=Er[q],C={line:C.line,column:C.column};q<E;)r.charCodeAt(q)===10?(C.line++,C.column=1):C.column++,q++;return Er[E]=C,C}s(La,"peg$computePosDetails");function ra(E,C){var q=La(E),Q=La(C);return{start:{offset:E,line:q.line,column:q.column},end:{offset:C,line:Q.line,column:Q.column}}}s(ra,"peg$computeLocation");function Me(E){_<Sn||(_>Sn&&(Sn=_,ta=[]),ta.push(E))}s(Me,"peg$fail");function Li(E,C){return new e(E,null,null,C)}s(Li,"peg$buildSimpleError");function Wc(E,C,q){return new e(e.buildMessage(E,C),E,C,q)}s(Wc,"peg$buildStructuredError");function Vc(){var E;return E=$c(),E}s(Vc,"peg$parsestart");function $c(){var E,C,q;for(E=_,C=[],q=Yc();q!==o;)C.push(q),q=Yc();return C!==o&&(nt=E,C=u(C)),E=C,E}s($c,"peg$parsemessageFormatPattern");function Yc(){var E;return E=Sm(),E===o&&(E=Pi()),E}s(Yc,"peg$parsemessageFormatElement");function Tm(){var E,C,q,Q,Ae,be;if(E=_,C=[],q=_,Q=$t(),Q!==o?(Ae=Fm(),Ae!==o?(be=$t(),be!==o?(Q=[Q,Ae,be],q=Q):(_=q,q=o)):(_=q,q=o)):(_=q,q=o),q!==o)for(;q!==o;)C.push(q),q=_,Q=$t(),Q!==o?(Ae=Fm(),Ae!==o?(be=$t(),be!==o?(Q=[Q,Ae,be],q=Q):(_=q,q=o)):(_=q,q=o)):(_=q,q=o);else C=o;return C!==o&&(nt=E,C=l(C)),E=C,E===o&&(E=_,C=Uf(),C!==o?E=r.substring(E,_):E=C),E}s(Tm,"peg$parsemessageText");function Sm(){var E,C;return E=_,C=Tm(),C!==o&&(nt=E,C=m(C)),E=C,E}s(Sm,"peg$parsemessageTextElement");function xm(){var E,C,q;if(E=Bf(),E===o){for(E=_,C=[],q=VS();q!==o;)C.push(q),q=VS();C!==o&&(nt=E,C=p(C)),E=C}return E}s(xm,"peg$parseargument");function Pi(){var E,C,q,Q,Ae,be,Tt,Sr,jf;return E=_,r.charCodeAt(_)===123?(C=g,_++):(C=o,ve===0&&Me(f)),C!==o?(q=$t(),q!==o?(Q=xm(),Q!==o?(Ae=$t(),Ae!==o?(be=_,r.charCodeAt(_)===44?(Tt=y,_++):(Tt=o,ve===0&&Me(b)),Tt!==o?(Sr=$t(),Sr!==o?(jf=JB(),jf!==o?(Tt=[Tt,Sr,jf],be=Tt):(_=be,be=o)):(_=be,be=o)):(_=be,be=o),be===o&&(be=null),be!==o?(Tt=$t(),Tt!==o?(r.charCodeAt(_)===125?(Sr=D,_++):(Sr=o,ve===0&&Me(T)),Sr!==o?(nt=E,C=A(Q,be),E=C):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o),E}s(Pi,"peg$parseargumentElement");function JB(){var E;return E=XB(),E===o&&(E=ZB(),E===o&&(E=QB(),E===o&&(E=e7()))),E}s(JB,"peg$parseelementFormat");function XB(){var E,C,q,Q,Ae,be,Tt;return E=_,r.substr(_,6)===R?(C=R,_+=6):(C=o,ve===0&&Me(F)),C===o&&(r.substr(_,4)===M?(C=M,_+=4):(C=o,ve===0&&Me(V)),C===o&&(r.substr(_,4)===z?(C=z,_+=4):(C=o,ve===0&&Me(ne)))),C!==o?(q=$t(),q!==o?(Q=_,r.charCodeAt(_)===44?(Ae=y,_++):(Ae=o,ve===0&&Me(b)),Ae!==o?(be=$t(),be!==o?(Tt=Fm(),Tt!==o?(Ae=[Ae,be,Tt],Q=Ae):(_=Q,Q=o)):(_=Q,Q=o)):(_=Q,Q=o),Q===o&&(Q=null),Q!==o?(nt=E,C=se(C,Q),E=C):(_=E,E=o)):(_=E,E=o)):(_=E,E=o),E}s(XB,"peg$parsesimpleFormat");function ZB(){var E,C,q,Q,Ae,be;return E=_,r.substr(_,6)===Z?(C=Z,_+=6):(C=o,ve===0&&Me(de)),C!==o?(q=$t(),q!==o?(r.charCodeAt(_)===44?(Q=y,_++):(Q=o,ve===0&&Me(b)),Q!==o?(Ae=$t(),Ae!==o?(be=GS(),be!==o?(nt=E,C=Le(be),E=C):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o),E}s(ZB,"peg$parsepluralFormat");function QB(){var E,C,q,Q,Ae,be;return E=_,r.substr(_,13)===pe?(C=pe,_+=13):(C=o,ve===0&&Me(wt)),C!==o?(q=$t(),q!==o?(r.charCodeAt(_)===44?(Q=y,_++):(Q=o,ve===0&&Me(b)),Q!==o?(Ae=$t(),Ae!==o?(be=GS(),be!==o?(nt=E,C=ye(be),E=C):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o),E}s(QB,"peg$parseselectOrdinalFormat");function e7(){var E,C,q,Q,Ae,be,Tt;if(E=_,r.substr(_,6)===_e?(C=_e,_+=6):(C=o,ve===0&&Me(mt)),C!==o)if(q=$t(),q!==o)if(r.charCodeAt(_)===44?(Q=y,_++):(Q=o,ve===0&&Me(b)),Q!==o)if(Ae=$t(),Ae!==o){if(be=[],Tt=Cm(),Tt!==o)for(;Tt!==o;)be.push(Tt),Tt=Cm();else be=o;be!==o?(nt=E,C=at(be),E=C):(_=E,E=o)}else _=E,E=o;else _=E,E=o;else _=E,E=o;else _=E,E=o;return E}s(e7,"peg$parseselectFormat");function t7(){var E,C,q,Q;return E=_,C=_,r.charCodeAt(_)===61?(q=Ge,_++):(q=o,ve===0&&Me(Pt)),q!==o?(Q=Bf(),Q!==o?(q=[q,Q],C=q):(_=C,C=o)):(_=C,C=o),C!==o?E=r.substring(E,_):E=C,E===o&&(E=Fm()),E}s(t7,"peg$parseselector");function Cm(){var E,C,q,Q,Ae,be,Tt;return E=_,C=$t(),C!==o?(q=t7(),q!==o?(Q=$t(),Q!==o?(r.charCodeAt(_)===123?(Ae=g,_++):(Ae=o,ve===0&&Me(f)),Ae!==o?(be=$c(),be!==o?(r.charCodeAt(_)===125?(Tt=D,_++):(Tt=o,ve===0&&Me(T)),Tt!==o?(nt=E,C=et(q,be),E=C):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o)):(_=E,E=o),E}s(Cm,"peg$parseoptionalFormatPattern");function n7(){var E,C,q,Q;return E=_,r.substr(_,7)===We?(C=We,_+=7):(C=o,ve===0&&Me(Be)),C!==o?(q=$t(),q!==o?(Q=Bf(),Q!==o?(nt=E,C=j(Q),E=C):(_=E,E=o)):(_=E,E=o)):(_=E,E=o),E}s(n7,"peg$parseoffset");function GS(){var E,C,q,Q,Ae;if(E=_,C=n7(),C===o&&(C=null),C!==o)if(q=$t(),q!==o){if(Q=[],Ae=Cm(),Ae!==o)for(;Ae!==o;)Q.push(Ae),Ae=Cm();else Q=o;Q!==o?(nt=E,C=fe(C,Q),E=C):(_=E,E=o)}else _=E,E=o;else _=E,E=o;return E}s(GS,"peg$parsepluralStyle");function Uf(){var E,C;if(ve++,E=[],st.test(r.charAt(_))?(C=r.charAt(_),_++):(C=o,ve===0&&Me(Ve)),C!==o)for(;C!==o;)E.push(C),st.test(r.charAt(_))?(C=r.charAt(_),_++):(C=o,ve===0&&Me(Ve));else E=o;return ve--,E===o&&(C=o,ve===0&&Me(ut)),E}s(Uf,"peg$parsews");function $t(){var E,C,q;for(ve++,E=_,C=[],q=Uf();q!==o;)C.push(q),q=Uf();return C!==o?E=r.substring(E,_):E=C,ve--,E===o&&(C=o,ve===0&&Me(Je)),E}s($t,"peg$parse_");function WS(){var E;return qe.test(r.charAt(_))?(E=r.charAt(_),_++):(E=o,ve===0&&Me(ae)),E}s(WS,"peg$parsedigit");function Am(){var E;return ee.test(r.charAt(_))?(E=r.charAt(_),_++):(E=o,ve===0&&Me(ft)),E}s(Am,"peg$parsehexDigit");function Bf(){var E,C,q,Q,Ae,be;if(E=_,r.charCodeAt(_)===48?(C=Ce,_++):(C=o,ve===0&&Me(ze)),C===o){if(C=_,q=_,Ln.test(r.charAt(_))?(Q=r.charAt(_),_++):(Q=o,ve===0&&Me(zn)),Q!==o){for(Ae=[],be=WS();be!==o;)Ae.push(be),be=WS();Ae!==o?(Q=[Q,Ae],q=Q):(_=q,q=o)}else _=q,q=o;q!==o?C=r.substring(C,_):C=q}return C!==o&&(nt=E,C=P(C)),E=C,E}s(Bf,"peg$parsenumber");function VS(){var E,C,q;return E=_,C=_,ve++,r.charCodeAt(_)===39?(q=le,_++):(q=o,ve===0&&Me(he)),q===o&&(ge.test(r.charAt(_))?(q=r.charAt(_),_++):(q=o,ve===0&&Me(Ie))),ve--,q===o?C=void 0:(_=C,C=o),C!==o?(r.length>_?(q=r.charAt(_),_++):(q=o,ve===0&&Me(Pe)),q!==o?(nt=E,C=Qe(q),E=C):(_=E,E=o)):(_=E,E=o),E===o&&(E=_,r.charCodeAt(_)===39?(C=le,_++):(C=o,ve===0&&Me(he)),C!==o?(q=r7(),q!==o?(nt=E,C=Ze(q),E=C):(_=E,E=o)):(_=E,E=o)),E}s(VS,"peg$parsequoteEscapedChar");function $S(){var E;return r.charCodeAt(_)===39?(E=le,_++):(E=o,ve===0&&Me(he)),E}s($S,"peg$parseapostrophe");function r7(){var E;return ge.test(r.charAt(_))?(E=r.charAt(_),_++):(E=o,ve===0&&Me(Ie)),E===o&&(E=$S()),E}s(r7,"peg$parseescape");function YS(){var E,C,q,Q,Ae,be,Tt,Sr;return E=_,r.charCodeAt(_)===39?(C=le,_++):(C=o,ve===0&&Me(he)),C!==o?(q=$S(),q!==o?(nt=E,C=Ze(q),E=C):(_=E,E=o)):(_=E,E=o),E===o&&(Ft.test(r.charAt(_))?(E=r.charAt(_),_++):(E=o,ve===0&&Me(gt)),E===o&&(E=_,r.substr(_,2)===K?(C=K,_+=2):(C=o,ve===0&&Me(ce)),C!==o&&(nt=E,C=ke()),E=C,E===o&&(E=_,r.substr(_,2)===Dt?(C=Dt,_+=2):(C=o,ve===0&&Me(Oe)),C!==o&&(nt=E,C=$e()),E=C,E===o&&(E=_,r.substr(_,2)===ct?(C=ct,_+=2):(C=o,ve===0&&Me(xe)),C!==o&&(nt=E,C=tt()),E=C,E===o&&(E=_,r.substr(_,2)===Vt?(C=Vt,_+=2):(C=o,ve===0&&Me(Et)),C!==o&&(nt=E,C=Pn()),E=C,E===o&&(E=_,r.substr(_,2)===Hn?(C=Hn,_+=2):(C=o,ve===0&&Me(ea)),C!==o?(q=_,Q=_,Ae=Am(),Ae!==o?(be=Am(),be!==o?(Tt=Am(),Tt!==o?(Sr=Am(),Sr!==o?(Ae=[Ae,be,Tt,Sr],Q=Ae):(_=Q,Q=o)):(_=Q,Q=o)):(_=Q,Q=o)):(_=Q,Q=o),Q!==o?q=r.substring(q,_):q=Q,q!==o?(nt=E,C=Na(q),E=C):(_=E,E=o)):(_=E,E=o))))))),E}s(YS,"peg$parsechar");function Fm(){var E,C,q;if(E=_,C=[],q=YS(),q!==o)for(;q!==o;)C.push(q),q=YS();else C=o;return C!==o&&(nt=E,C=p(C)),E=C,E}if(s(Fm,"peg$parsechars"),Tr=c(),Tr!==o&&_===r.length)return Tr;throw Tr!==o&&_<r.length&&Me(Em()),Wc(ta,Sn<r.length?r.charAt(Sn):null,Sn<r.length?ra(Sn,Sn+1):ra(Sn,Sn))}return s(n,"peg$parse"),{SyntaxError:e,parse:n}}()});function vF(t){return!!t.options}var gF,RW,hF,yF,_W,kW,IW,MW,bF=v(()=>{d();gF=function(){var t=s(function(e,n){return t=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(r,a){r.__proto__=a}||function(r,a){for(var o in a)a.hasOwnProperty(o)&&(r[o]=a[o])},t(e,n)},"extendStatics");return function(e,n){t(e,n);function r(){this.constructor=e}s(r,"__"),e.prototype=n===null?Object.create(n):(r.prototype=n.prototype,new r)}}(),RW=function(){function t(e,n,r){this.locales=[],this.formats={number:{},date:{},time:{}},this.pluralNumberFormat=null,this.currentPlural=null,this.pluralStack=[],this.locales=e,this.formats=n,this.formatters=r}return s(t,"Compiler"),t.prototype.compile=function(e){return this.pluralStack=[],this.currentPlural=null,this.pluralNumberFormat=null,this.compileMessage(e)},t.prototype.compileMessage=function(e){var n=this;if(!(e&&e.type==="messageFormatPattern"))throw new Error('Message AST is not of type: "messageFormatPattern"');var r=e.elements,a=r.filter(function(o){return o.type==="messageTextElement"||o.type==="argumentElement"}).map(function(o){return o.type==="messageTextElement"?n.compileMessageText(o):n.compileArgument(o)});if(a.length!==r.length)throw new Error("Message element does not have a valid type");return a},t.prototype.compileMessageText=function(e){return this.currentPlural&&/(^|[^\\])#/g.test(e.value)?(this.pluralNumberFormat||(this.pluralNumberFormat=new Intl.NumberFormat(this.locales)),new IW(this.currentPlural.id,this.currentPlural.format.offset,this.pluralNumberFormat,e.value)):e.value.replace(/\\#/g,"#")},t.prototype.compileArgument=function(e){var n=e.format,r=e.id,a=this.formatters;if(!n)return new _W(r);var o=this,i=o.formats,c=o.locales;switch(n.type){case"numberFormat":return{id:r,format:a.getNumberFormat(c,i.number[n.style]).format};case"dateFormat":return{id:r,format:a.getDateTimeFormat(c,i.date[n.style]).format};case"timeFormat":return{id:r,format:a.getDateTimeFormat(c,i.time[n.style]).format};case"pluralFormat":return new kW(r,n.offset,this.compileOptions(e),a.getPluralRules(c,{type:n.ordinal?"ordinal":"cardinal"}));case"selectFormat":return new MW(r,this.compileOptions(e));default:throw new Error("Message element does not have a valid format type")}},t.prototype.compileOptions=function(e){var n=this,r=e.format,a=r.options;this.pluralStack.push(this.currentPlural),this.currentPlural=r.type==="pluralFormat"?e:null;var o=a.reduce(function(i,c){return i[c.selector]=n.compileMessage(c.value),i},{});return this.currentPlural=this.pluralStack.pop(),o},t}(),hF=RW,yF=function(){function t(e){this.id=e}return s(t,"Formatter"),t}(),_W=function(t){gF(e,t);function e(){return t!==null&&t.apply(this,arguments)||this}return s(e,"StringFormat"),e.prototype.format=function(n){return!n&&typeof n!="number"?"":typeof n=="string"?n:String(n)},e}(yF),kW=function(){function t(e,n,r,a){this.id=e,this.offset=n,this.options=r,this.pluralRules=a}return s(t,"PluralFormat"),t.prototype.getOption=function(e){var n=this.options,r=n["="+e]||n[this.pluralRules.select(e-this.offset)];return r||n.other},t}(),IW=function(t){gF(e,t);function e(n,r,a,o){var i=t.call(this,n)||this;return i.offset=r,i.numberFormat=a,i.string=o,i}return s(e,"PluralOffsetString"),e.prototype.format=function(n){var r=this.numberFormat.format(n-this.offset);return this.string.replace(/(^|[^\\])#/g,"$1"+r).replace(/\\#/g,"#")},e}(yF),MW=function(){function t(e,n){this.id=e,this.options=n}return s(t,"SelectFormat"),t.prototype.getOption=function(e){var n=this.options;return n[e]||n.other},t}();s(vF,"isSelectOrPluralFormat")});function LW(t){typeof t=="string"&&(t=[t]);try{return Intl.NumberFormat.supportedLocalesOf(t,{localeMatcher:"best fit"})[0]}catch{return DF.defaultLocale}}function wF(t,e){for(var n="",r=0,a=t;r<a.length;r++){var o=a[r];if(typeof o=="string"){n+=o;continue}var i=o.id;if(!(e&&i in e))throw new UW("A value must be provided for: "+i,i);var c=e[i];vF(o)?n+=wF(o.getOption(c),e):n+=o.format(c)}return n}function PW(t,e){return e?uu({},t||{},e||{},Object.keys(t).reduce(function(n,r){return n[r]=uu({},t[r],e[r]||{}),n},{})):t}function OW(t,e){return e?Object.keys(t).reduce(function(n,r){return n[r]=PW(t[r],e[r]),n},uu({},t)):t}function BW(){return{getNumberFormat:function(){for(var t,e=[],n=0;n<arguments.length;n++)e[n]=arguments[n];return new((t=Intl.NumberFormat).bind.apply(t,[void 0].concat(e)))},getDateTimeFormat:function(){for(var t,e=[],n=0;n<arguments.length;n++)e[n]=arguments[n];return new((t=Intl.DateTimeFormat).bind.apply(t,[void 0].concat(e)))},getPluralRules:function(){for(var t,e=[],n=0;n<arguments.length;n++)e[n]=arguments[n];return new((t=Intl.PluralRules).bind.apply(t,[void 0].concat(e)))}}}var NW,uu,UW,DF,vg,bg=v(()=>{d();bF();NW=function(){var t=s(function(e,n){return t=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(r,a){r.__proto__=a}||function(r,a){for(var o in a)a.hasOwnProperty(o)&&(r[o]=a[o])},t(e,n)},"extendStatics");return function(e,n){t(e,n);function r(){this.constructor=e}s(r,"__"),e.prototype=n===null?Object.create(n):(r.prototype=n.prototype,new r)}}(),uu=function(){return uu=Object.assign||function(t){for(var e,n=1,r=arguments.length;n<r;n++){e=arguments[n];for(var a in e)Object.prototype.hasOwnProperty.call(e,a)&&(t[a]=e[a])}return t},uu.apply(this,arguments)};s(LW,"resolveLocale");s(wF,"formatPatterns");s(PW,"mergeConfig");s(OW,"mergeConfigs");UW=function(t){NW(e,t);function e(n,r){var a=t.call(this,n)||this;return a.variableId=r,a}return s(e,"FormatError"),e}(Error);s(BW,"createDefaultFormatters");DF=function(){function t(e,n,r,a){var o=this;if(n===void 0&&(n=t.defaultLocale),this.format=function(u){try{return wF(o.pattern,u)}catch(l){throw l.variableId?new Error("The intl string context variable '"+l.variableId+"' was not provided to the string '"+o.message+"'"):l}},typeof e=="string"){if(!t.__parse)throw new TypeError("IntlMessageFormat.__parse must be set to process `message` of type `string`");this.ast=t.__parse(e)}else this.ast=e;if(this.message=e,!(this.ast&&this.ast.type==="messageFormatPattern"))throw new TypeError("A message must be provided as a String or AST.");var i=OW(t.formats,r);this.locale=LW(n||[]);var c=a&&a.formatters||BW();this.pattern=new hF(n,i,c).compile(this.ast)}return s(t,"IntlMessageFormat"),t.prototype.resolvedOptions=function(){return{locale:this.locale}},t.prototype.getAst=function(){return this.ast},t.defaultLocale="en",t.__parse=void 0,t.formats={number:{currency:{style:"currency"},percent:{style:"percent"}},date:{short:{month:"numeric",day:"numeric",year:"2-digit"},medium:{month:"short",day:"numeric",year:"numeric"},long:{month:"long",day:"numeric",year:"numeric"},full:{weekday:"long",month:"long",day:"numeric",year:"numeric"}},time:{short:{hour:"numeric",minute:"numeric"},medium:{hour:"numeric",minute:"numeric",second:"numeric"},long:{hour:"numeric",minute:"numeric",second:"numeric",timeZoneName:"short"},full:{hour:"numeric",minute:"numeric",second:"numeric",timeZoneName:"short"}}},t}(),vg=DF});var EF,TF=v(()=>{d();fF();bg();bg();vg.__parse=pF.parse;EF=vg});var Go,es=v(()=>{d();Go=s(()=>({resolve(){throw new Error("createRequire.resolve is not supported in bundled Lighthouse")}}),"createRequire")});var jW,qW,Wo,lu=v(()=>{d();jW=globalThis.URL,qW=s(t=>t,"fileURLToPath"),Wo={URL:jW,fileURLToPath:qW}});function SF(t){return Wo.fileURLToPath(t.url)}var Vo=v(()=>{"use strict";d();es();lu();qo();s(SF,"getModulePath")});function wg(t){return typeof t=="object"&&t!==null&&!Array.isArray(t)}function xF(t){return typeof t=="object"&&t!==null}var CF=v(()=>{"use strict";d();s(wg,"isObjectOfUnknownValues");s(xF,"isObjectOrArrayOfUnknownValues")});var AF,FF=v(()=>{d();AF={}});function _F(t,e=new Map){for(let n of t)if(n.type==="argumentElement"&&(e.set(n.id,n),!(!n.format||n.format.type!=="pluralFormat")))for(let r of n.format.options)_F(r.value.elements,e);return e}function GW(t,e={},n){let a=[..._F(t.getAst().elements).values()],o={};for(let{id:i,format:c}of a){if(i&&!(i in e))throw new Error(`ICU Message "${n}" contains a value reference ("${i}") that wasn't provided`);let u=e[i];if(!c||c.type!=="numberFormat"){o[i]=u;continue}if(typeof u!="number")throw new Error(`ICU Message "${n}" contains a numeric reference ("${i}") but provided value was not a number`);c.style==="milliseconds"?o[i]=Math.round(u/10)*10:c.style==="seconds"&&i==="timeInMs"?o[i]=Math.round(u/100)/10:c.style==="bytes"?o[i]=u/1024:o[i]=u}for(let i of Object.keys(e))if(!(i in o)){if(i==="errorCode"){o.errorCode=e.errorCode;continue}throw new Error(`Provided value "${i}" does not match any placeholder in ICU message "${n}"`)}return o}function Eg(t,e,n){if(!t.includes("{")&&e===void 0)return t;let r=n==="en-XA"||n==="en-XL"?"de-DE":n,a=new EF(t,r,HW),o=GW(a,e,t);return a.format(o)}function WW(t,e){let r=IF(e)[t.i18nId];return r?Eg(r.message,t.values,e):t.formattedDefault}function kF(t){let e=IF(t),n=Object.keys(e).filter(a=>a.startsWith("report/renderer/report-utils.js")),r={};for(let a of n){let{filename:o,key:i}=$W(a);if(!o.endsWith("report-utils.js"))throw new Error(`Unexpected message: ${a}`);r[i]=e[a].message}return r}function ns(t){if(!wg(t))return!1;let{i18nId:e,values:n,formattedDefault:r}=t;if(typeof e!="string"||typeof r!="string")return!1;if(n!==void 0){if(!wg(n))return!1;for(let a of Object.values(n))if(typeof a!="string"&&typeof a!="number")return!1}return RF.test(e)}function $o(t,e){if(ns(t))return WW(t,e);if(typeof t=="string")return t;throw new Error("Attempted to format invalid icuMessage type")}function VW(t){let e="";for(let n of t)if(/^[a-z]+$/i.test(n))e.length&&(e+="."),e+=n;else{if(/]|"|'|\s/.test(n))throw new Error(`Cannot handle "${n}" in i18n`);e+=`[${n}]`}return e}function Tg(t,e){function n(a,o,i=[]){if(xF(a))for(let[c,u]of Object.entries(a)){let l=i.concat([c]);if(ns(u)){let m=$o(u,e),p=o[u.i18nId]||[],g=VW(l);p.push(u.values?{values:u.values,path:g}:g),a[c]=m,o[u.i18nId]=p}else n(u,o,l)}}s(n,"replaceInObject");let r={};return n(t,r),r}function IF(t){let e=Dg[t];if(!e){if(t===ts)return{};throw new Error(`Unsupported locale '${t}'`)}return e}function MF(){return zW}function NF(){return[...new Set([...Object.keys(Dg),ts])].sort()}function LF(t,e){Dg[t]=e}function $W(t){if(!RF.test(t))throw Error(`"${t}" does not appear to be a valid ICU message id`);let[e,n]=t.split(" | ");return{filename:e,key:n}}var Dg,ts,zW,RF,HW,la=v(()=>{"use strict";d();ca();TF();Vo();CF();FF();Dg=AF,ts="en-US",zW=["ar-XB.json","ar.json","bg.json","ca.json","cs.json","da.json","de.json","el.json","en-GB.json","en-US.ctc.json","en-US.json","en-XA.json","en-XL.ctc.json","en-XL.json","es-419.json","es.json","fi.json","fil.json","fr.json","he.json","hi.json","hr.json","hu.json","id.json","it.json","ja.json","ko.json","lt.json","lv.json","nl.json","no.json","pl.json","pt-PT.json","pt.json","ro.json","ru.json","sk.json","sl.json","sr-Latn.json","sr.json","sv.json","ta.json","te.json","th.json","tr.json","uk.json","vi.json","zh-HK.json","zh-TW.json","zh.json"].filter(t=>t.endsWith(".json")&&!t.endsWith(".ctc.json")).map(t=>t.replace(".json","")).sort(),RF=/ | [^\s]+$/,HW={number:{bytes:{maximumFractionDigits:0},milliseconds:{maximumFractionDigits:0},seconds:{minimumFractionDigits:1,maximumFractionDigits:1},extendedPercent:{maximumFractionDigits:2,style:"percent"}}};s(_F,"collectAllCustomElementsFromICU");s(GW,"_preformatValues");s(Eg,"formatMessage");s(WW,"_localizeIcuMessage");s(kF,"getRendererFormattedStrings");s(ns,"isIcuMessage");s($o,"getFormatted");s(VW,"_formatPathAsString");s(Tg,"replaceIcuMessages");s(IF,"_getLocaleMessages");s(MF,"getCanonicalLocales");s(NF,"getAvailableLocales");s(LF,"registerLocaleData");s($W,"getIcuMessageIdParts")});var OF=L((C1e,PF)=>{d();var YW='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 256"><path fill="%230379c4" fill-rule="evenodd" d="m171.887 116.28-53.696 89.36h-9.728l9.617-58.227-30.2.047a4.852 4.852 0 0 1-4.855-4.855c0-1.152 1.07-3.102 1.07-3.102l53.52-89.254 9.9.043-9.86 58.317 30.413-.043a4.852 4.852 0 0 1 4.855 4.855c0 1.088-.427 2.044-1.033 2.854l.004.004zM128 0C57.306 0 0 57.3 0 128s57.306 128 128 128 128-57.306 128-128S198.7 0 128 0z"/></svg>',KW={"modern-image-formats":"Consider displaying all [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) components in WebP formats while specifying an appropriate fallback for other browsers. [Learn more](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image).","offscreen-images":"Ensure that you are using [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) for images to automatically lazy-load. [Learn more](https://amp.dev/documentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images).","render-blocking-resources":"Use tools such as [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) to [server-side render AMP layouts](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/).","unminified-css":"Refer to the [AMP documentation](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) to ensure all styles are supported.","efficient-animated-content":"For animated content, use [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) to minimize CPU usage when the content is offscreen.","uses-responsive-images":"The [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) component supports the [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) attribute to specify which image assets to use based on the screen size. [Learn more](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."};PF.exports={id:"amp",title:"AMP",icon:YW,UIStrings:KW}});var BF=L((F1e,UF)=>{d();var JW='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 250 250"><path fill="%23dd0031" d="M125 30 31.9 63.2l14.2 123.1L125 230l78.9-43.7 14.2-123.1z"/><path fill="%23c3002f" d="M125 30v22.2-.1V230l78.9-43.7 14.2-123.1L125 30z"/><path fill="%23fff" d="M125 52.1 66.8 182.6h21.7l11.7-29.2h49.4l11.7 29.2H183L125 52.1zm17 83.3h-34l17-40.9 17 40.9z"/></svg>',XW={"total-byte-weight":"Apply [route-level code splitting](https://web.dev/route-level-code-splitting-in-angular/) to minimize the size of your JavaScript bundles. Also, consider precaching assets with the [Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/).","unminified-warning":"If you are using Angular CLI, ensure that builds are generated in production mode. [Learn more](https://angular.io/guide/deployment#enable-runtime-production-mode).","unused-javascript":"If you are using Angular CLI, include source maps in your production build to inspect your bundles. [Learn more](https://angular.io/guide/deployment#inspect-the-bundles).","uses-responsive-images":"Consider using the `BreakpointObserver` utility in the Component Dev Kit (CDK) to manage image breakpoints. [Learn more](https://material.angular.io/cdk/layout/overview).","uses-rel-preload":"Preload routes ahead of time to speed up navigation. [Learn more](https://web.dev/route-preloading-in-angular/).","dom-size":"Consider virtual scrolling with the Component Dev Kit (CDK) if very large lists are being rendered. [Learn more](https://web.dev/virtualize-lists-with-angular-cdk/)."};UF.exports={id:"angular",title:"Angular",icon:JW,UIStrings:XW}});var qF=L((_1e,jF)=>{d();var ZW='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 186.525 243.713"><path fill="%23009cde" d="M131.64 51.91C114.491 34.769 98.13 18.429 93.26 0c-4.87 18.429-21.234 34.769-38.38 51.91C29.16 77.613 0 106.743 0 150.434a93.263 93.263 0 1 0 186.525 0c0-43.688-29.158-72.821-54.885-98.524m-92 120.256c-5.719-.194-26.824-36.571 12.329-75.303l25.909 28.3a2.215 2.215 0 0 1-.173 3.306c-6.183 6.34-32.534 32.765-35.81 41.902-.675 1.886-1.663 1.815-2.256 1.795m53.624 47.943a32.075 32.075 0 0 1-32.076-32.075 33.423 33.423 0 0 1 7.995-21.187c5.784-7.072 24.077-26.963 24.077-26.963s18.012 20.183 24.033 26.896a31.368 31.368 0 0 1 8.046 21.254 32.076 32.076 0 0 1-32.075 32.075m61.392-52.015c-.691 1.512-2.26 4.036-4.376 4.113-3.773.138-4.176-1.796-6.965-5.923-6.122-9.06-59.551-64.9-69.545-75.699-8.79-9.498-1.238-16.195 2.266-19.704 4.395-4.403 17.224-17.225 17.224-17.225s38.255 36.296 54.19 61.096 10.444 46.26 7.206 53.342"/></svg>',QW={"unused-css-rules":"Consider removing unused CSS rules and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the stylesheet when CSS aggregation is disabled in your Drupal site. Look out for themes/modules that have many stylesheets in the list which have a lot of red in code coverage. A theme/module should only enqueue a stylesheet if it is actually used on the page.","unused-javascript":"Consider removing unused JavaScript assets and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous JavaScript, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the script when JavaScript aggregation is disabled in your Drupal site. Look out for themes/modules that have many scripts in the list which have a lot of red in code coverage. A theme/module should only enqueue a script if it is actually used on the page.","modern-image-formats":"Consider configuring [WebP image formats with a Convert image style](https://www.drupal.org/docs/core-modules-and-themes/core-modules/image-module/working-with-images#styles) on your site.","offscreen-images":"Install [a Drupal module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) that can lazy load images. Such modules provide the ability to defer any offscreen images to improve performance.","total-byte-weight":"Consider using [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) to reduce the size of images loaded on your page. If you are using Views to show multiple content items on a page, consider implementing pagination to limit the number of content items shown on a given page.","render-blocking-resources":"Consider using a module to inline critical CSS and JavaScript, and use the defer attribute for non-critical CSS or JavaScript.","unminified-css":'Ensure you have enabled "Aggregate CSS files" in the "Administration » Configuration » Development" page.  Ensure your Drupal site is running at least Drupal 10.1 for improved asset aggregation support.',"unminified-javascript":'Ensure you have enabled "Aggregate JavaScript files" in the "Administration » Configuration » Development" page.  Ensure your Drupal site is running at least Drupal 10.1 for improved asset aggregation support.',"efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.","uses-long-cache-ttl":'Set the "Browser and proxy cache maximum age" in the "Administration » Configuration » Development" page. Read about [Drupal cache and optimizing for performance](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).',"uses-optimized-images":"Consider using [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) that automatically optimizes and reduces the size of images uploaded through the site while retaining quality. Also, ensure you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above) for all images rendered on the site.","uses-responsive-images":"Ensure that you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above). Use the Responsive Image Styles when rendering image fields through view modes, views, or images uploaded through the WYSIWYG editor.","server-response-time":"Themes, modules, and server specifications all contribute to server response time. Consider finding a more optimized theme, carefully selecting an optimization module, and/or upgrading your server. Your hosting servers should make use of PHP opcode caching, memory-caching to reduce database query times such as Redis or Memcached, as well as optimized application logic to prepare pages faster.","uses-rel-preconnect":"Preconnect or dns-prefetch resource hints can be added by installing and configuring [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) that provides facilities for user agent resource hints.","font-display":"Specify `@font-display` when defining custom fonts in your theme."};jF.exports={id:"drupal",title:"Drupal",icon:ZW,UIStrings:QW}});var HF=L((I1e,zF)=>{d();var eV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 82 82"><path fill="%235FA624" fill-rule="evenodd" d="M81.37 48.117C85.301 25.821 70.413 4.56 48.117.63 25.821-3.3 4.56 11.586.63 33.883-3.3 56.178 11.586 77.44 33.883 81.37 56.18 85.301 77.44 70.412 81.37 48.117Zm-8.935-14.17c2.77 12.357-1.942 25.721-12.96 33.436-14.57 10.203-34.656 6.662-44.859-7.909a32.434 32.434 0 0 1-2.869-4.98l28.7-20.097a6.53 6.53 0 1 0-3.744-5.347L9.564 48.054c-2.768-12.359 1.943-25.724 12.96-33.439 14.572-10.203 34.656-6.662 44.86 7.91a32.349 32.349 0 0 1 2.868 4.98L41.554 47.6a6.53 6.53 0 1 0 3.746 5.35l27.136-19.003Z"/></svg>',tV={"unused-css-rules":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Remove Unused CSS` to help with this issue. It will identify the CSS classes that are actually used on each page of your site, and remove any others to keep the file size small.","modern-image-formats":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Next-Gen Formats` to convert images to WebP.","offscreen-images":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Lazy Load Images` to defer loading off-screen images until they are needed.","render-blocking-resources":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Critical CSS` and `Script Delay` to defer non-critical JS/CSS.","unminified-css":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Minify CSS` to automatically minify your CSS to reduce network payload sizes.","unminified-javascript":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Minify Javascript` to automatically minify your JS to reduce network payload sizes.","uses-long-cache-ttl":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Efficient Static Cache Policy` to set recommended values in the caching header for static assests.","uses-optimized-images":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Next-Gen Formats` to convert images to WebP.","uses-responsive-images":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Resize Images` to resize images to a device appropriate size, reducing network payload sizes.","server-response-time":"Use [Ezoic Cloud Caching](https://pubdash.ezoic.com/speed/caching) to cache your content across our world wide network, improving time to first byte.","uses-rel-preconnect":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Pre-Connect Origins` to automatically add `preconnect` resource hints to establish early connections to important third-party origins.","uses-rel-preload":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Preload Fonts` and `Preload Background Images` to add `preload` links to prioritize fetching resources that are currently requested later in page load.","font-display":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Optimize Fonts` to automatically leverage the `font-display` CSS feature to ensure text is user-visible while webfonts are loading."};zF.exports={id:"ezoic",title:"Ezoic",icon:eV,UIStrings:tV}});var WF=L((N1e,GF)=>{d();var nV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 28 28"><circle cx="14" cy="14" r="14" fill="%23639"/><path fill="%23fff" d="M6.2 21.8C4.1 19.7 3 16.9 3 14.2L13.9 25c-2.8-.1-5.6-1.1-7.7-3.2zm10.2 2.9L3.3 11.6C4.4 6.7 8.8 3 14 3c3.7 0 6.9 1.8 8.9 4.5l-1.5 1.3C19.7 6.5 17 5 14 5c-3.9 0-7.2 2.5-8.5 6L17 22.5c2.9-1 5.1-3.5 5.8-6.5H18v-2h7c0 5.2-3.7 9.6-8.6 10.7z"/></svg>',rV={"unused-css-rules":"Use the `PurgeCSS` `Gatsby` plugin to remove unused rules from stylesheets. [Learn more](https://purgecss.com/plugins/gatsby.html).","modern-image-formats":"Use the `gatsby-plugin-image` component instead of `<img>` to automatically optimize image format. [Learn more](https://www.gatsbyjs.com/docs/how-to/images-and-media/using-gatsby-plugin-image).","offscreen-images":"Use the `gatsby-plugin-image` component instead of `<img>` to automatically lazy-load images. [Learn more](https://www.gatsbyjs.com/docs/how-to/images-and-media/using-gatsby-plugin-image).","render-blocking-resources":"Use the `Gatsby Script API` to defer loading of non-critical third-party scripts. [Learn more](https://www.gatsbyjs.com/docs/reference/built-in-components/gatsby-script/).","unused-javascript":"Use `Webpack Bundle Analyzer` to detect unused JavaScript code. [Learn more](https://www.gatsbyjs.com/plugins/gatsby-plugin-webpack-bundle-analyser-v2/)","uses-long-cache-ttl":"Configure caching for immutable assets. [Learn more](https://www.gatsbyjs.com/docs/how-to/previews-deploys-hosting/caching/).","uses-optimized-images":"Use the `gatsby-plugin-image` component instead of `<img>` to adjust image quality. [Learn more](https://www.gatsbyjs.com/docs/how-to/images-and-media/using-gatsby-plugin-image).","uses-responsive-images":"Use the `gatsby-plugin-image` component to set appropriate `sizes`. [Learn more](https://www.gatsbyjs.com/docs/how-to/images-and-media/using-gatsby-plugin-image).","prioritize-lcp-image":"Use the `gatsby-plugin-image` component and set the `loading` prop to `eager`. [Learn more](https://www.gatsbyjs.com/docs/reference/built-in-components/gatsby-plugin-image#shared-props)."};GF.exports={id:"gatsby",title:"Gatsby",icon:nV,UIStrings:rV}});var $F=L((P1e,VF)=>{"use strict";d();var aV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid" viewBox="0 0 256 258"><path fill="%23F9AE41" d="M255.7 35.6a33.7 33.7 0 0 0-67-4.8l-.4-.2c-27.6-12.4-50.8 9.6-50.8 9.6l-61.4 61.7 24.3 23.4 49.4-48.6c23-23 35.6-7.4 35.6-7.4 17.4 14.6.6 32 .6 32l24.9 24c20.3-22 21.5-41.1 15.3-56.3a33.7 33.7 0 0 0 29.5-33.4"/><path fill="%23EE4035" d="m226.5 190.5.2-.3c12.4-27.6-9.6-50.8-9.6-50.8L155.4 78l-23.3 24.3 48.5 49.4c23 23 7.5 35.6 7.5 35.6-14.7 17.4-32 .6-32 .6l-24 24.9c21.9 20.3 41 21.5 56.2 15.3a33.7 33.7 0 1 0 38.2-37.6"/><path fill="%234F91CD" d="m156 133-49.5 48.6c-23 23-35.6 7.4-35.6 7.4-17.4-14.6-.6-32-.6-32l-24.9-24c-20.3 22-21.4 41.1-15.3 56.3a33.7 33.7 0 1 0 37.6 38.2l.3.2c27.6 12.4 50.8-9.6 50.8-9.6l61.4-61.7-24.3-23.4"/><path fill="%237AC043" d="M75.7 106.6c-23-23-7.4-35.6-7.4-35.6 14.6-17.4 32-.6 32-.6l24-24.9c-22-20.3-41-21.5-56.3-15.3a33.7 33.7 0 1 0-38.2 37.6l-.2.3C17.2 95.7 39.2 119 39.2 119l61.7 61.4 23.4-24.3-48.6-49.4"/></svg>',oV={"unused-css-rules":"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused CSS in your page. To identify extensions that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the stylesheet. Look out for plugins that have many stylesheets in the list which have a lot of red in code coverage. A plugin should only enqueue a stylesheet if it is actually used on the page.","modern-image-formats":"Consider using a [plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) or service that will automatically convert your uploaded images to the optimal formats.","offscreen-images":"Install a [lazy-load Joomla plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) that provides the ability to defer any offscreen images, or switch to a template that provides that functionality. Starting with Joomla 4.0, all new images will [automatically](https://github.com/joomla/joomla-cms/pull/30748) get the `loading` attribute from the core.","total-byte-weight":"Consider showing excerpts in your article categories (e.g. via the read more link), reducing the number of articles shown on a given page, breaking your long posts into multiple pages, or using a plugin to lazy-load comments.","render-blocking-resources":"There are a number of Joomla plugins that can help you [inline critical assets](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) or [defer less important resources](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Beware that optimizations provided by these plugins may break features of your templates or plugins, so you will need to test these thoroughly.","unminified-css":"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying, and compressing your css styles. There are also templates that provide this functionality.","unminified-javascript":"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying, and compressing your scripts. There are also templates that provide this functionality.","efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.","unused-javascript":"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused JavaScript in your page. To identify plugins that are adding extraneous JS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the extension responsible from the URL of the script. Look out for extensions that have many scripts in the list which have a lot of red in code coverage. An extension should only enqueue a script if it is actually used on the page.","uses-long-cache-ttl":"Read about [Browser Caching in Joomla](https://docs.joomla.org/Cache).","uses-optimized-images":"Consider using an [image optimization plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) that compresses your images while retaining quality.","uses-text-compression":"You can enable text compression by enabling Gzip Page Compression in Joomla (System > Global configuration > Server).","uses-responsive-images":"Consider using a [responsive images plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) to use responsive images in your content.","server-response-time":"Templates, extensions, and server specifications all contribute to server response time. Consider finding a more optimized template, carefully selecting an optimization extension, and/or upgrading your server."};VF.exports={id:"joomla",title:"Joomla",icon:aV,UIStrings:oV}});var KF=L((U1e,YF)=>{d();var iV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" fill="%23f26322" viewBox="0 0 1000 1000"><path d="M916.9 267.4v465.3l-111.3 67.4V331.4l-1.5-.9-303.9-189-304.6 189.2-1.2.8V799L83.1 732.6V267.4l.7-.4L500.3 10l416 257 .6.4zM560.7 468.5v383.3L500.3 890l-61-38.2V306.7l-136 84.3v476.6l197 122.5 196.4-122.5V391l-136-84.3v161.8z"/></svg>',sV={"modern-image-formats":"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) for a variety of third-party extensions to leverage newer image formats.","offscreen-images":"Consider modifying your product and catalog templates to make use of the web platform's [lazy loading](https://web.dev/native-lazy-loading) feature.","disable-bundling":"Disable Magento's built-in [JavaScript bundling and minification](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), and consider using [baler](https://github.com/magento/baler/) instead.","unminified-css":`Enable the "Minify CSS Files" option in your store's Developer settings. [Learn more](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).`,"unminified-javascript":"Use [Terser](https://www.npmjs.com/package/terser) to minify all JavaScript assets from static content deployment, and disable the built-in minification feature.","unused-javascript":"Disable Magento's built-in [JavaScript bundling](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html).","uses-optimized-images":"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) for a variety of third party extensions to optimize images.","server-response-time":"Use Magento's [Varnish integration](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html).","uses-rel-preconnect":"Preconnect or dns-prefetch resource hints can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html).","uses-rel-preload":"`<link rel=preload>` tags can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html).","critical-request-chains":"If you are not bundling your JavaScript assets, consider using [baler](https://github.com/magento/baler).","font-display":"Specify `@font-display` when [defining custom fonts](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."};YF.exports={id:"magento",title:"Magento",icon:iV,UIStrings:sV}});var XF=L((j1e,JF)=>{d();var cV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 207 124"><path fill="%23000" d="M48.942 32.632h38.96v3.082h-35.39v23.193H85.79v3.082H52.513v25.464h35.794v3.081H48.942V32.632Zm42.45 0h4.139l18.343 25.464 18.749-25.464L158.124.287l-41.896 60.485 21.59 29.762h-4.302l-19.642-27.086L94.15 90.534h-4.22l21.751-29.762-20.29-28.14Zm47.967 3.082v-3.082h44.397v3.082h-20.453v54.82h-3.571v-54.82h-20.373ZM.203 32.632h4.464l61.557 91.671-25.439-33.769L3.936 37.011l-.162 53.523H.203zm183.194 53.891c.738 0 1.276-.563 1.276-1.29 0-.727-.538-1.29-1.276-1.29-.73 0-1.277.563-1.277 1.29 0 .727.547 1.29 1.277 1.29Zm3.509-3.393c0 2.146 1.555 3.549 3.822 3.549 2.414 0 3.874-1.446 3.874-3.956v-8.837h-1.946v8.828c0 1.394-.704 2.138-1.946 2.138-1.112 0-1.867-.692-1.893-1.722h-1.911Zm10.24-.113c.14 2.233 2.007 3.662 4.787 3.662 2.97 0 4.83-1.498 4.83-3.887 0-1.878-1.06-2.917-3.632-3.514l-1.38-.338c-1.634-.38-2.294-.891-2.294-1.783 0-1.125 1.025-1.86 2.563-1.86 1.459 0 2.466.718 2.649 1.869h1.893c-.113-2.103-1.971-3.583-4.516-3.583-2.737 0-4.56 1.48-4.56 3.704 0 1.835 1.033 2.926 3.3 3.454l1.616.39c1.659.389 2.388.96 2.388 1.912 0 1.108-1.146 1.913-2.71 1.913-1.676 0-2.84-.753-3.005-1.939h-1.928Z"/></svg>',uV={"unused-css-rules":"Consider setting up `PurgeCSS` in `Next.js` configuration to remove unused rules from stylesheets. [Learn more](https://purgecss.com/guides/next.html).","modern-image-formats":"Use the `next/image` component instead of `<img>` to automatically optimize image format. [Learn more](https://nextjs.org/docs/basic-features/image-optimization).","offscreen-images":"Use the `next/image` component instead of `<img>` to automatically lazy-load images. [Learn more](https://nextjs.org/docs/basic-features/image-optimization).","render-blocking-resources":"Use the `next/script` component to defer loading of non-critical third-party scripts. [Learn more](https://nextjs.org/docs/basic-features/script).","unused-javascript":"Use `Webpack Bundle Analyzer` to detect unused JavaScript code. [Learn more](https://github.com/vercel/next.js/tree/canary/packages/next-bundle-analyzer)","uses-long-cache-ttl":"Configure caching for immutable assets and `Server-side Rendered` (SSR) pages. [Learn more](https://nextjs.org/docs/going-to-production#caching).","uses-optimized-images":"Use the `next/image` component instead of `<img>` to adjust image quality. [Learn more](https://nextjs.org/docs/basic-features/image-optimization).","uses-text-compression":"Enable compression on your Next.js server. [Learn more](https://nextjs.org/docs/api-reference/next.config.js/compression).","uses-responsive-images":"Use the `next/image` component to set the appropriate `sizes`. [Learn more](https://nextjs.org/docs/api-reference/next/image#sizes).","user-timings":"Consider using `Next.js Analytics` to measure your app's real-world performance. [Learn more](https://nextjs.org/docs/advanced-features/measuring-performance).","prioritize-lcp-image":'Use the `next/image` component and set "priority" to true to preload LCP image. [Learn more](https://nextjs.org/docs/api-reference/next/image#priority).',"unsized-images":"Use the `next/image` component to make sure images are always sized appropriately. [Learn more](https://nextjs.org/docs/api-reference/next/image#width)."};JF.exports={id:"next.js",title:"Next.js",icon:cV,UIStrings:uV}});var QF=L((z1e,ZF)=>{d();var lV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="142" height="54"><g fill="none" fill-rule="evenodd"><g fill="%231B004E"><path d="M19.486 53.24h-3.891L4.682 39.247v13.936H0V32.946h5.444l9.475 12.398V32.946h4.567zM21.346 32.94h4.647v3.57h-4.647v-3.57Zm0 5.477h4.647V53.18h-4.647V38.417ZM40.569 53.183H36c-3.408 0-4.991-1.625-4.991-4.697v-6.22h-3.777V38.42h3.777v-5.474h4.598v5.474h4.958v3.846h-4.958v4.588c0 1.597.477 2.252 2.197 2.252h2.764v4.077ZM46.688 53.183h-4.57V38.42h4.57v2.308c.31-.686 1.351-2.336 4.425-2.336h3.13v4.56h-4.004c-2.593 0-3.55.967-3.55 3.019v7.212ZM70.612 45.802c0 4.56-3.409 7.75-8.01 7.75s-8.006-3.19-8.006-7.75c0-4.56 3.408-7.755 8.006-7.755 4.598 0 8.01 3.195 8.01 7.755Zm-4.599 0c0-2.14-1.35-3.733-3.408-3.733-2.057 0-3.44 1.594-3.44 3.733 0 2.139 1.41 3.733 3.44 3.733 2.03 0 3.408-1.598 3.408-3.733ZM72.47 32.946h11.7c4.543 0 7.192 2.28 7.192 6.526 0 4.247-2.649 6.577-7.191 6.577h-6.935v7.125h-4.765V32.946Zm4.766 4.218v4.676h6.485c1.832 0 2.736-.883 2.736-2.34 0-1.565-.904-2.336-2.736-2.336h-6.485ZM102.662 51.016c-.254.485-1.636 2.48-4.71 2.48-3.665 0-6.627-2.906-6.627-7.694 0-4.789 2.962-7.667 6.656-7.667 2.962 0 4.372 1.851 4.626 2.336v-2.05h4.567v14.762h-4.512v-2.167Zm-3.327-8.932c-2.03 0-3.384 1.594-3.384 3.733 0 2.14 1.354 3.733 3.384 3.733s3.327-1.597 3.327-3.733-1.298-3.733-3.327-3.733ZM119.184 43.578a2.98 2.98 0 0 0-2.749-1.494c-1.918 0-3.13 1.594-3.13 3.733 0 2.14 1.24 3.758 3.158 3.758 1.807 0 2.625-1.168 2.764-1.51h4.4c-.143 2.052-2.116 5.5-7.275 5.5-4.286 0-7.641-3.078-7.641-7.75 0-4.673 3.328-7.755 7.585-7.755 5.159 0 7.105 3.392 7.33 5.53l-4.442-.012ZM129.712 46.6v6.577h-4.567V32.194h4.567v11.998l5.838-5.784h5.751l-6.994 6.811 7.362 7.952h-5.921z"/></g><g fill="%2325F5CE"><path d="M49.159 4.65c12.832 0 23.235 10.41 23.235 23.251h4.648C77.042 12.491 64.558 0 49.159 0c-15.4 0-27.883 12.492-27.883 27.901h4.647c0-12.841 10.403-23.25 23.236-23.25Z"/><path d="M44.852 25.793a3.632 3.632 0 0 1 2.6-5.097L63.8 16.951 50.426 27.09a3.626 3.626 0 0 1-5.574-1.296Z"/></g></g></svg>',dV={"unused-css-rules":"Enable [`Reduce Unused CSS`](https://support.nitropack.io/hc/en-us/articles/360020418457-Reduce-Unused-CSS) to remove CSS rules that are not applicable to this page.","modern-image-formats":"Use [`Image Optimization`](https://support.nitropack.io/hc/en-us/articles/16547237162513) to automatically convert your images to WebP.","offscreen-images":"Defer offscreen images by enabling [`Automatic Image Lazy Loading`](https://support.nitropack.io/hc/en-us/articles/12457493524369-NitroPack-Lazy-Loading-Feature-for-Images).","render-blocking-resources":"Enable [`Remove render-blocking resources`](https://support.nitropack.io/hc/en-us/articles/13820893500049-How-to-Deal-with-Render-Blocking-Resources-in-NitroPack) in NitroPack for faster initial load times.","unminified-css":"Enable [`Minify resources`](https://support.nitropack.io/hc/en-us/articles/360061059394-Minify-Resources) in your Caching settings to reduce the size of your CSS, HTML, and JavaScript files for faster load times.","unminified-javascript":"Enable [`Minify resources`](https://support.nitropack.io/hc/en-us/articles/360061059394-Minify-Resources) in your Caching settings to reduce the size of your JS, HTML, and CSS files for faster load times.","unused-javascript":"Configure [`Delayed Scripts`](https://support.nitropack.io/hc/en-us/articles/1500002600942-Delayed-Scripts) in NitroPack to delay loading of scripts until they are needed.","uses-long-cache-ttl":"Go to the [`Improve Server Response Time`](https://support.nitropack.io/hc/en-us/articles/1500002321821-Improve-Server-Response-Time) feature in the `Caching` menu and adjust your page cache expiration time to improve loading times and user experience.","uses-optimized-images":"Automatically compress, optimize, and convert your images into WebP by enabling the [`Image Optimization`](https://support.nitropack.io/hc/en-us/articles/14177271695121-How-to-serve-images-in-next-gen-formats-using-NitroPack) setting.","uses-text-compression":"Use [`Gzip compression`](https://support.nitropack.io/hc/en-us/articles/13229297479313-Enabling-GZIP-compression) in NitroPack to reduce the size of the files that are sent to the browser.","uses-responsive-images":"Enable [`Adaptive Image Sizing`](https://support.nitropack.io/hc/en-us/articles/10123833029905-How-to-Enable-Adaptive-Image-Sizing-For-Your-Site) to preemptively optimize your images and make them match the dimensions of the containers they’re displayed in across all devices.","server-response-time":"Improve server response time and optimize perceived performance by activating [`Instant Load`](https://support.nitropack.io/hc/en-us/articles/16547340617361).","dom-size":"Contact your account manager to enable [`HTML Lazy Load`](https://support.nitropack.io/hc/en-us/articles/17144942904337). Configuring it will prioritize and optimize your page rendering performance.","font-display":"Use the [`Override Font Rendering Behavior`](https://support.nitropack.io/hc/en-us/articles/16547358865041) option in NitroPack to set a desired value for the CSS font-display rule."};ZF.exports={id:"nitropack",title:"NitroPack",icon:lV,UIStrings:dV}});var tR=L((G1e,eR)=>{d();var mV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 124 124"><path fill="%2380EEC0" fill-rule="evenodd" d="M55.75 27.155c-3.222-5.54-11.278-5.54-14.5 0L6.134 87.535C2.912 93.075 6.94 100 13.384 100h27.413c-2.753-2.407-3.773-6.57-1.69-10.142L65.704 44.27 55.75 27.155Z" clip-rule="evenodd"/><path fill="%2300DC82" d="M78 40.4c2.667-4.533 9.333-4.533 12 0l29.06 49.4c2.667 4.533-.666 10.199-5.999 10.199H54.938c-5.333 0-8.666-5.666-6-10.199L78 40.4Z"/></svg>',pV={"modern-image-formats":'Use the `nuxt/image` component and set `format="webp"`. [Learn more](https://image.nuxtjs.org/components/nuxt-img#format).',"offscreen-images":'Use the `nuxt/image` component and set `loading="lazy"` for offscreen images. [Learn more](https://image.nuxtjs.org/components/nuxt-img#loading).',"uses-optimized-images":"Use the `nuxt/image` component and set the appropriate `quality`. [Learn more](https://image.nuxtjs.org/components/nuxt-img#quality).","uses-responsive-images":"Use the `nuxt/image` component and set the appropriate `sizes`. [Learn more](https://image.nuxtjs.org/components/nuxt-img#sizes).","prioritize-lcp-image":"Use the `nuxt/image` component and specify `preload` for LCP image. [Learn more](https://image.nuxtjs.org/components/nuxt-img#preload).","unsized-images":"Use the `nuxt/image` component and specify explicit `width` and `height`. [Learn more](https://image.nuxtjs.org/components/nuxt-img#width--height)."};eR.exports={id:"nuxt",title:"Nuxt",icon:mV,UIStrings:pV}});var rR=L((V1e,nR)=>{d();var fV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 310 310"><path fill="none" d="M-1-1h802v602H-1z"/><path fill="%23de6c26" d="M135 6.9c-14.2 4.4-34.9 21.8-49.9 42C55.8 88.5 39.6 135.8 41.4 177c.8 20.2 4.9 35.5 14.4 54.5 13.6 27.4 40.8 55.1 65.5 66.9 14.1 6.7 13.4 6.9 14.1-2.8.3-4.4 1-32.4 1.6-62.1 2.7-137.3 4.4-176 8.2-191.3.6-2.3 1.4-4.2 1.9-4.2 1.2 0 3.6 9.1 4.9 18.3.5 4.3 1 17.7 1 29.8 0 12 .3 21.9.7 21.9.3 0 5.7-5 11.9-11 6.9-6.8 12-11 13.3-11 1.8 0 1.9.3 1 2.7-1.2 3.1-7.9 13.2-19.1 28.5L153 128l.1 31.2c.1 17.2.4 37.4.8 44.9l.6 13.7 11-12.6c14-16 35.1-37.1 39.5-39.6l3.3-1.9-.6 3.2c-2 9.8-9.5 20.7-37.4 54.3L154 240.8v31.1c0 18.3.4 31.1.9 31.1 2.8 0 19.3-6.4 26.8-10.5 13.8-7.3 23.8-15 38.3-29.5 15.7-15.7 24.4-27.4 33.4-45.2 20.5-40 21-80.3 1.6-119-17.8-35.6-54.6-72.1-87.8-86.9-11.7-5.3-24.6-7.3-32.2-5z"/></svg>',gV={"unused-css-rules":"Consider reviewing the [plugins](https://octobercms.com/plugins) loading unused CSS on the website. To identify plugins that add unnecessary CSS, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plugin responsible from the stylesheet URL. Look for plugins with many stylesheets with lots of red in code coverage. A plugin should only add a stylesheet if it is actually used on the web page.","modern-image-formats":"Consider using a [plugin](https://octobercms.com/plugins?search=image) or service that will automatically convert the uploaded images to the optimal formats. [WebP lossless images](https://developers.google.com/speed/webp) are 26% smaller in size compared to PNGs and 25-34% smaller than comparable JPEG images at the equivalent SSIM quality index. Another next-gen image format to consider is [AVIF](https://jakearchibald.com/2020/avif-has-landed/).","offscreen-images":"Consider installing an [image lazy loading plugin](https://octobercms.com/plugins?search=lazy) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plugin](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages).","total-byte-weight":"Consider showing excerpts in the post lists (e.g. using a `show more` button), reducing the number of posts shown on a given web page, breaking long posts into multiple web pages, or using a plugin to lazy-load comments.","render-blocking-resources":"There are many plugins that help [inline critical assets](https://octobercms.com/plugins?search=css). These plugins may break other plugins, so you should test thoroughly.","unminified-css":"There are many [plugins](https://octobercms.com/plugins?search=css) that can speed up a website by concatenating, minifying and compressing the styles. Using a build process to do this minification up-front can speed up development.","unminified-javascript":"There are many [plugins](https://octobercms.com/plugins?search=javascript) that can speed up a website by concatenating, minifying and compressing the scripts. Using a build process to do this minification up-front can speed up development.","efficient-animated-content":"[Replace animated GIFs with video](https://web.dev/replace-gifs-with-videos/) for faster web page loads and consider using modern file formats such as [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) or [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) to improve compression efficiency by greater than 30% over the current state-of-the-art video codec, VP9.","unused-javascript":"Consider reviewing the [plugins](https://octobercms.com/plugins?search=javascript) that load unused JavaScript in the web page. To identify plugins that add unnecessary JavaScript, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plugin responsible from the URL of the script. Look for plugins with many scripts with lots of red in code coverage. A plugin should only add a script if it is actually used on the web page.","uses-long-cache-ttl":"Read about [preventing unnecessary network requests with the HTTP Cache](https://web.dev/http-cache/#caching-checklist). There are many [plugins](https://octobercms.com/plugins?search=Caching) that can be used to speed up caching.","uses-optimized-images":"Consider using an [image optimization plugin](https://octobercms.com/plugins?search=image) to compresses images while retaining the quality.","uses-text-compression":"Enable text compression in the web server configuration.","uses-responsive-images":"Upload images directly in the media manager to ensure the required image sizes are available. Consider using the [resize filter](https://octobercms.com/docs/markup/filter-resize) or an [image resizing plugin](https://octobercms.com/plugins?search=image) to ensure the optimal image sizes are used.","server-response-time":"Themes, plugins and server specifications all contribute to the server response time. Consider finding a more optimized theme, carefully selecting an optimization plugin and/or upgrade the server. October CMS also allows developers to use [`Queues`](https://octobercms.com/docs/services/queues) to defer the processing of a time consuming task, such as sending an e-mail. This drastically speeds up web requests."};nR.exports={id:"octobercms",title:"October CMS",icon:fV,UIStrings:gV}});var oR=L((Y1e,aR)=>{d();var hV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 841.9 595.3"><g fill="%2361DAFB"><path d="M666.3 296.5c0-32.5-40.7-63.3-103.1-82.4 14.4-63.6 8-114.2-20.2-130.4-6.5-3.8-14.1-5.6-22.4-5.6v22.3c4.6 0 8.3.9 11.4 2.6 13.6 7.8 19.5 37.5 14.9 75.7-1.1 9.4-2.9 19.3-5.1 29.4-19.6-4.8-41-8.5-63.5-10.9-13.5-18.5-27.5-35.3-41.6-50 32.6-30.3 63.2-46.9 84-46.9V78c-27.5 0-63.5 19.6-99.9 53.6-36.4-33.8-72.4-53.2-99.9-53.2v22.3c20.7 0 51.4 16.5 84 46.6-14 14.7-28 31.4-41.3 49.9-22.6 2.4-44 6.1-63.6 11-2.3-10-4-19.7-5.2-29-4.7-38.2 1.1-67.9 14.6-75.8 3-1.8 6.9-2.6 11.5-2.6V78.5c-8.4 0-16 1.8-22.6 5.6-28.1 16.2-34.4 66.7-19.9 130.1-62.2 19.2-102.7 49.9-102.7 82.3 0 32.5 40.7 63.3 103.1 82.4-14.4 63.6-8 114.2 20.2 130.4 6.5 3.8 14.1 5.6 22.5 5.6 27.5 0 63.5-19.6 99.9-53.6 36.4 33.8 72.4 53.2 99.9 53.2 8.4 0 16-1.8 22.6-5.6 28.1-16.2 34.4-66.7 19.9-130.1 62-19.1 102.5-49.9 102.5-82.3zm-130.2-66.7c-3.7 12.9-8.3 26.2-13.5 39.5-4.1-8-8.4-16-13.1-24-4.6-8-9.5-15.8-14.4-23.4 14.2 2.1 27.9 4.7 41 7.9zm-45.8 106.5c-7.8 13.5-15.8 26.3-24.1 38.2-14.9 1.3-30 2-45.2 2-15.1 0-30.2-.7-45-1.9-8.3-11.9-16.4-24.6-24.2-38-7.6-13.1-14.5-26.4-20.8-39.8 6.2-13.4 13.2-26.8 20.7-39.9 7.8-13.5 15.8-26.3 24.1-38.2 14.9-1.3 30-2 45.2-2 15.1 0 30.2.7 45 1.9 8.3 11.9 16.4 24.6 24.2 38 7.6 13.1 14.5 26.4 20.8 39.8-6.3 13.4-13.2 26.8-20.7 39.9zm32.3-13c5.4 13.4 10 26.8 13.8 39.8-13.1 3.2-26.9 5.9-41.2 8 4.9-7.7 9.8-15.6 14.4-23.7 4.6-8 8.9-16.1 13-24.1zM421.2 430c-9.3-9.6-18.6-20.3-27.8-32 9 .4 18.2.7 27.5.7 9.4 0 18.7-.2 27.8-.7-9 11.7-18.3 22.4-27.5 32zm-74.4-58.9c-14.2-2.1-27.9-4.7-41-7.9 3.7-12.9 8.3-26.2 13.5-39.5 4.1 8 8.4 16 13.1 24 4.7 8 9.5 15.8 14.4 23.4zM420.7 163c9.3 9.6 18.6 20.3 27.8 32-9-.4-18.2-.7-27.5-.7-9.4 0-18.7.2-27.8.7 9-11.7 18.3-22.4 27.5-32zm-74 58.9c-4.9 7.7-9.8 15.6-14.4 23.7-4.6 8-8.9 16-13 24-5.4-13.4-10-26.8-13.8-39.8 13.1-3.1 26.9-5.8 41.2-7.9zm-90.5 125.2c-35.4-15.1-58.3-34.9-58.3-50.6 0-15.7 22.9-35.6 58.3-50.6 8.6-3.7 18-7 27.7-10.1 5.7 19.6 13.2 40 22.5 60.9-9.2 20.8-16.6 41.1-22.2 60.6-9.9-3.1-19.3-6.5-28-10.2zM310 490c-13.6-7.8-19.5-37.5-14.9-75.7 1.1-9.4 2.9-19.3 5.1-29.4 19.6 4.8 41 8.5 63.5 10.9 13.5 18.5 27.5 35.3 41.6 50-32.6 30.3-63.2 46.9-84 46.9-4.5-.1-8.3-1-11.3-2.7zm237.2-76.2c4.7 38.2-1.1 67.9-14.6 75.8-3 1.8-6.9 2.6-11.5 2.6-20.7 0-51.4-16.5-84-46.6 14-14.7 28-31.4 41.3-49.9 22.6-2.4 44-6.1 63.6-11 2.3 10.1 4.1 19.8 5.2 29.1zm38.5-66.7c-8.6 3.7-18 7-27.7 10.1-5.7-19.6-13.2-40-22.5-60.9 9.2-20.8 16.6-41.1 22.2-60.6 9.9 3.1 19.3 6.5 28.1 10.2 35.4 15.1 58.3 34.9 58.3 50.6-.1 15.7-23 35.6-58.4 50.6zM320.8 78.4z"/><circle cx="420.9" cy="296.5" r="45.7"/><path d="M520.5 78.1z"/></g></svg>',yV={"unminified-css":"If your build system minifies CSS files automatically, ensure that you are deploying the production build of your application. You can check this with the React Developer Tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build).","unminified-javascript":"If your build system minifies JS files automatically, ensure that you are deploying the production build of your application. You can check this with the React Developer Tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build).","unused-javascript":"If you are not server-side rendering, [split your JavaScript bundles](https://web.dev/code-splitting-suspense/) with `React.lazy()`. Otherwise, code-split using a third-party library such as [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/).","server-response-time":"If you are server-side rendering any React components, consider using `renderToPipeableStream()` or `renderToStaticNodeStream()` to allow the client to receive and hydrate different parts of the markup instead of all at once. [Learn more](https://reactjs.org/docs/react-dom-server.html#renderToPipeableStream).",redirects:"If you are using React Router, minimize usage of the `<Redirect>` component for [route navigations](https://reacttraining.com/react-router/web/api/Redirect).","user-timings":"Use the React DevTools Profiler, which makes use of the Profiler API, to measure the rendering performance of your components. [Learn more.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)","dom-size":'Consider using a "windowing" library like `react-window` to minimize the number of DOM nodes created if you are rendering many repeated elements on the page. [Learn more](https://web.dev/virtualize-long-lists-react-window/). Also, minimize unnecessary re-renders using [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), or [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) and [skip effects](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effects) only until certain dependencies have changed if you are using the `Effect` hook to improve runtime performance.'};aR.exports={id:"react",title:"React",icon:hV,UIStrings:yV}});var sR=L((J1e,iR)=>{d();var vV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 71 28"><path fill-rule="evenodd" d="M0 .032s2.796-.356 4.66 1.31C5.81 2.37 6.145 4.008 6.145 4.008L9.952 18.96l3.165-12.239c.309-1.301.864-2.909 1.743-3.997 1.121-1.385 3.398-1.472 3.641-1.472.242 0 2.519.087 3.639 1.472.88 1.088 1.435 2.696 1.744 3.997l3.165 12.239 3.806-14.953s.336-1.638 1.486-2.666C34.205-.324 37 .032 37 .032l-7.289 27.945s-2.404.176-3.607-.446c-1.58-.816-2.332-1.447-3.289-5.249l-.099-.395c-.349-1.399-.883-3.59-1.424-5.813l-.162-.667-.162-.664c-.779-3.198-1.497-6.143-1.612-6.517-.108-.351-.236-1.187-.855-1.187-.607 0-.746.837-.857 1.187-.13.412-.99 3.955-1.856 7.514l-.162.667c-.512 2.107-1.01 4.151-1.341 5.48l-.1.395c-.956 3.802-1.708 4.433-3.288 5.249-1.204.622-3.608.446-3.608.446zM43.998 5v.995L44 5.994v16.628c-.014 3.413-.373 4.17-1.933 4.956-1.213.61-3.067.379-3.067.379V9.332c0-.935.315-1.548 1.477-2.098.693-.329 1.34-.58 2.012-.953C43.54 5.703 43.998 5 43.998 5zM46 .125s3.877-.673 5.797 1.107c1.228 1.14 2.602 3.19 2.602 3.19l3.38 4.965c.164.258.378.54.72.54.343 0 .558-.282.722-.54l3.38-4.965s1.374-2.05 2.602-3.19C67.123-.548 71 .125 71 .125l-9.186 13.923 9.161 13.881-.032.004c-.38.045-4.036.423-5.855-1.266-1.229-1.138-2.487-2.992-2.487-2.992l-3.38-4.964c-.164-.26-.379-.54-.721-.54-.343 0-.557.28-.721.54l-3.38 4.964s-1.19 1.854-2.418 2.992c-1.92 1.783-5.957 1.262-5.957 1.262l9.161-13.88zM43.96 0H44c0 1.91-.186 3.042-1.387 3.923-.384.28-1.048.71-1.826.992C39.719 5.304 39 6 39 6c0-3.476.53-4.734 1.95-5.48.865-.452 2.272-.514 2.82-.52z"></path></svg>',bV={"modern-image-formats":"Upload images using `Wix Media Manager` to ensure they are automatically served as WebP. Find [more ways to optimize](https://support.wix.com/en/article/site-performance-optimizing-your-media) your site's media.","render-blocking-resources":"When [adding third-party code](https://support.wix.com/en/article/site-performance-using-third-party-code-on-your-site) in the `Custom Code` tab of your site's dashboard, make sure it's deferred or loaded at the end of the code body. Where possible, use Wix’s [integrations](https://support.wix.com/en/article/about-marketing-integrations) to embed marketing tools on your site. ","efficient-animated-content":"Place videos inside `VideoBoxes`, customize them using `Video Masks` or add `Transparent Videos`. [Learn more](https://support.wix.com/en/article/wix-video-about-wix-video).","unused-javascript":"Review any third-party code you've added to your site in the `Custom Code` tab of your site's dashboard and only keep the services that are necessary to your site. [Find out more](https://support.wix.com/en/article/site-performance-removing-unused-javascript).","server-response-time":"Wix utilizes CDNs and caching to serve responses as fast as possible for most visitors. Consider [manually enabling caching](https://support.wix.com/en/article/site-performance-caching-pages-to-optimize-loading-speed) for your site, especially if using `Velo`."};iR.exports={id:"wix",title:"Wix",icon:vV,UIStrings:bV}});var uR=L((Z1e,cR)=>{d();var wV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 122.5 122.5"><g fill="%232f3439"><path d="M8.7 61.3c0 20.8 12.1 38.7 29.6 47.3l-25-68.7c-3 6.5-4.6 13.7-4.6 21.4zm88-2.7c0-6.5-2.3-11-4.3-14.5-2.7-4.3-5.2-8-5.2-12.3 0-4.8 3.7-9.3 8.9-9.3h.7a52.4 52.4 0 0 0-79.4 9.9h3.3c5.5 0 14-.6 14-.6 2.9-.2 3.2 4 .4 4.3 0 0-2.9.4-6 .5l19.1 57L59.7 59l-8.2-22.5c-2.8-.1-5.5-.5-5.5-.5-2.8-.1-2.5-4.5.3-4.3 0 0 8.7.7 13.9.7 5.5 0 14-.7 14-.7 2.8-.2 3.2 4 .3 4.3 0 0-2.8.4-6 .5l19 56.5 5.2-17.5c2.3-7.3 4-12.5 4-17z"/><path d="m62.2 65.9-15.8 45.8a52.6 52.6 0 0 0 32.3-.9l-.4-.7zM107.4 36a49.6 49.6 0 0 1-3.6 24.2l-16.1 46.5A52.5 52.5 0 0 0 107.4 36z"/><path d="M61.3 0a61.3 61.3 0 1 0 .1 122.7A61.3 61.3 0 0 0 61.3 0zm0 119.7a58.5 58.5 0 1 1 .1-117 58.5 58.5 0 0 1-.1 117z"/></g></svg>',DV={"unused-css-rules":"Consider reducing, or switching, the number of [WordPress plugins](https://wordpress.org/plugins/) loading unused CSS in your page. To identify plugins that are adding extraneous CSS, try running [code coverage](https://developer.chrome.com/docs/devtools/coverage/) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the stylesheet. Look out for plugins that have many stylesheets in the list which have a lot of red in code coverage. A plugin should only enqueue a stylesheet if it is actually used on the page.","modern-image-formats":"Consider using the [Performance Lab](https://wordpress.org/plugins/performance-lab/) plugin to automatically convert your uploaded JPEG images into WebP, wherever supported.","offscreen-images":"Install a [lazy-load WordPress plugin](https://wordpress.org/plugins/search/lazy+load/) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plugin](https://wordpress.org/plugins/amp/).","total-byte-weight":"Consider showing excerpts in your post lists (e.g. via the more tag), reducing the number of posts shown on a given page, breaking your long posts into multiple pages, or using a plugin to lazy-load comments.","render-blocking-resources":"There are a number of WordPress plugins that can help you [inline critical assets](https://wordpress.org/plugins/search/critical+css/) or [defer less important resources](https://wordpress.org/plugins/search/defer+css+javascript/). Beware that optimizations provided by these plugins may break features of your theme or plugins, so you will likely need to make code changes.","unminified-css":"A number of [WordPress plugins](https://wordpress.org/plugins/search/minify+css/) can speed up your site by concatenating, minifying, and compressing your styles. You may also want to use a build process to do this minification up-front if possible.","unminified-javascript":"A number of [WordPress plugins](https://wordpress.org/plugins/search/minify+javascript/) can speed up your site by concatenating, minifying, and compressing your scripts. You may also want to use a build process to do this minification up front if possible.","efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.","unused-javascript":"Consider reducing, or switching, the number of [WordPress plugins](https://wordpress.org/plugins/) loading unused JavaScript in your page. To identify plugins that are adding extraneous JS, try running [code coverage](https://developer.chrome.com/docs/devtools/coverage/) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the script. Look out for plugins that have many scripts in the list which have a lot of red in code coverage. A plugin should only enqueue a script if it is actually used on the page.","uses-long-cache-ttl":"Read about [Browser Caching in WordPress](https://wordpress.org/support/article/optimization/#browser-caching).","uses-optimized-images":"Consider using an [image optimization WordPress plugin](https://wordpress.org/plugins/search/optimize+images/) that compresses your images while retaining quality.","uses-text-compression":"You can enable text compression in your web server configuration.","uses-responsive-images":"Upload images directly through the [media library](https://wordpress.org/support/article/media-library-screen/) to ensure that the required image sizes are available, and then insert them from the media library or use the image widget to ensure the optimal image sizes are used (including those for the responsive breakpoints). Avoid using `Full Size` images unless the dimensions are adequate for their usage. [Learn More](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/).","server-response-time":"Themes, plugins, and server specifications all contribute to server response time. Consider finding a more optimized theme, carefully selecting an optimization plugin, and/or upgrading your server."};cR.exports={id:"wordpress",title:"WordPress",icon:wV,UIStrings:DV}});var dR=L((efe,lR)=>{d();var EV='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 294 524"><defs><linearGradient id="a" x1="36.742%" x2="37.116%" y1="100.518%" y2="-.001%"><stop offset="0%" stop-color="%23DD5F29"/><stop offset="26.042%" stop-color="%23F26B32"/><stop offset="100%" stop-color="%23FAC932"/></linearGradient><linearGradient id="b" x1="28.046%" x2="28.421%" y1="100.518%" y2="-.003%"><stop offset="0%" stop-color="%23DD5F29"/><stop offset="26.042%" stop-color="%23F26B32"/><stop offset="100%" stop-color="%23FAC932"/></linearGradient><linearGradient id="c" x1="38.215%" x2="38.589%" y1="100.518%" y2="0%"><stop offset="0%" stop-color="%23DD5F29"/><stop offset="26.042%" stop-color="%23F26B32"/><stop offset="100%" stop-color="%23FAC932"/></linearGradient></defs><g fill="none" fill-rule="evenodd"><path fill="url(%23a)" d="M218.617 270.615c-9.752 0-18.896-5.689-23.366-14.63l-7.72-17.27h-76.6l-7.722 17.27c-4.47 8.941-13.613 14.63-23.366 14.63H75.78l32.712 249.306c1.625 4.671 4.673 4.671 6.502 0l32.51-79.648 28.242 79.442c1.625 4.676 4.673 4.676 6.501 0L220.04 270.82l-1.423-.204Z" transform="translate(-1.58 -.2)"/><path fill="url(%23b)" d="M184.47 231.784h-70.3l-10.77 24.179c-3.657 7.314-10.768 12.597-18.489 14.02L109.7 423.791c1.625 2.844 4.673 2.844 6.501 0l31.697-48.155 29.055 47.951c1.829 2.845 4.673 2.845 6.502 0l28.039-154.012c-6.908-2.032-13.004-6.908-16.255-13.613l-10.768-24.18Z" transform="translate(-1.58 -.2)"/><path fill="url(%23c)" d="m195.259 255.988-46.123-103.014-45.92 103.014c-1.625 3.048-3.656 5.69-6.095 7.925l19.1 102.2c1.015 1.423 3.657 1.83 5.485 0l25.601-33.931 25.602 33.728c1.625 2.032 4.47 1.626 5.485 0l21.131-103.42c-1.625-2.032-3.047-4.064-4.266-6.502Z" transform="translate(-1.58 -.2)"/><path fill="%23F56F46" d="M.439 12.559c-1.422-4.877 1.422-8.33 6.299-8.33H47.17c2.845 0 5.486 2.437 6.299 4.876l29.665 116.83h1.422l53.437-121.3c1.016-2.032 3.048-3.86 5.892-3.86h6.299c3.047 0 5.08 1.625 5.892 3.86l53.437 121.3h1.423L240.6 9.105c.61-2.439 3.454-4.877 6.299-4.877h40.433c4.877 0 7.518 3.454 6.299 8.33l-65.221 231.63c-.61 2.845-3.454 4.876-6.298 4.876h-5.487c-2.438 0-4.876-1.625-5.892-3.86l-63.19-141.009h-1.015L83.744 245.203c-1.016 2.032-3.454 3.86-5.892 3.86h-5.486c-2.845 0-5.486-2.031-6.299-4.876L.44 12.559Z"/></g></svg>',TV={"unused-css-rules":"Enable [Remove Unused CSS](https://docs.wp-rocket.me/article/1529-remove-unused-css) in 'WP Rocket' to fix this issue. It reduces page size by removing all CSS and stylesheets that are not used while keeping only the used CSS for each page.","modern-image-formats":"Enable 'Imagify' from the Image Optimization tab in 'WP Rocket' to convert your images to WebP.","unused-javascript":"Enable [Delay JavaScript execution](https://docs.wp-rocket.me/article/1349-delay-javascript-execution) in 'WP Rocket' to fix this problem. It will improve the loading of your page by delaying the execution of scripts until user interaction. If your site has iframes, you can use WP Rocket's [LazyLoad for iframes and videos](https://docs.wp-rocket.me/article/1674-lazyload-for-iframes-and-videos) and [Replace YouTube iframe with preview image](https://docs.wp-rocket.me/article/1488-replace-youtube-iframe-with-preview-image) as well.","render-blocking-resources":"Enable [Remove Unused CSS](https://docs.wp-rocket.me/article/1529-remove-unused-css) and [Load JavaScript deferred](https://docs.wp-rocket.me/article/1265-load-javascript-deferred) in 'WP Rocket' to address this recommendation. These features will respectively optimize the CSS and JavaScript files so that they don't block the rendering of your page.","unminified-css":"Enable [Minify CSS files](https://docs.wp-rocket.me/article/1350-css-minify-combine) in 'WP Rocket' to fix this issue. Any spaces and comments in your site's CSS files will be removed to make the file size smaller and faster to download.","unminified-javascript":"Enable [Minify JavaScript files](https://docs.wp-rocket.me/article/1351-javascript-minify-combine) in 'WP Rocket' to fix this issue. Empty spaces and comments will be removed from JavaScript files to make their size smaller and faster to download.","uses-optimized-images":"Enable 'Imagify' from the Image Optimization tab in 'WP Rocket' and run Bulk Optimization to compress your images.","uses-rel-preconnect":`Use [Prefetch DNS Requests](https://docs.wp-rocket.me/article/1302-prefetch-dns-requests) in 'WP Rocket' to add "dns-prefetch" and speed up the connection with external domains. Also, 'WP Rocket' automatically adds "preconnect" to [Google Fonts domain](https://docs.wp-rocket.me/article/1312-optimize-google-fonts) and any CNAME(S) added via the [Enable CDN](https://docs.wp-rocket.me/article/42-using-wp-rocket-with-a-cdn) feature.`,"uses-rel-preload":"To fix this issue for fonts, enable [Remove Unused CSS](https://docs.wp-rocket.me/article/1529-remove-unused-css) in 'WP Rocket'. Your site's critical fonts will be preloaded with priority.","offscreen-images":"Enable [LazyLoad](https://docs.wp-rocket.me/article/1141-lazyload-for-images) in WP Rocket to fix this recommendation. This feature delays the loading of the images until the visitor scrolls down the page and actually needs to see them."};lR.exports={id:"wp-rocket",title:"WP Rocket",icon:EV,UIStrings:TV}});var pR=L((nfe,mR)=>{d();var SV=[OF(),BF(),qF(),HF(),WF(),$F(),KF(),XF(),QF(),tR(),rR(),oR(),sR(),uR(),dR()];mR.exports=SV});var gR=L((afe,fR)=>{d();fR.exports=s(function(e,n){if(typeof e=="string"&&n[e])return e;for(var r=[].concat(e||[]),a=0,o=r.length;a<o;++a)for(var i=r[a].split("-");i.length;){var c=i.join("-");if(n[c])return c;i.pop()}},"lookupClosestLocale")});var Jm,xV,Xm,rs=v(()=>{"use strict";d();ca();Vo();Jm="",xV=JSON.parse(`{
  "name": "lighthouse",
  "type": "module",
  "version": "11.0.0",
  "description": "Automated auditing, performance metrics, and best practices for the web.",
  "main": "./core/index.js",
  "bin": {
    "lighthouse": "./cli/index.js",
    "chrome-debug": "./core/scripts/manual-chrome-launcher.js",
    "smokehouse": "./cli/test/smokehouse/frontends/smokehouse-bin.js"
  },
  "engines": {
    "node": ">=18.16"
  },
  "scripts": {
    "prepack": "yarn build-report --standalone --flow --esm && yarn build-types",
    "postpack": "yarn clean-types",
    "build-all": "npm-run-posix-or-windows build-all:task",
    "build-all:task": "yarn build-report && yarn build-cdt-lib && yarn build-devtools && concurrently 'yarn build-extension' 'yarn build-lr' 'yarn build-viewer' 'yarn build-treemap' 'yarn build-smokehouse-bundle' && yarn build-pack",
    "build-all:task:windows": "yarn build-report && yarn build-cdt-lib && yarn build-extension && yarn build-devtools && yarn build-lr && yarn build-viewer && yarn build-treemap && yarn build-smokehouse-bundle",
    "build-cdt-lib": "node ./build/build-cdt-lib.js",
    "build-extension": "yarn build-extension-chrome && yarn build-extension-firefox",
    "build-extension-chrome": "node ./build/build-extension.js chrome",
    "build-extension-firefox": "node ./build/build-extension.js firefox",
    "build-devtools": "yarn reset-link && node ./build/build-bundle.js clients/devtools/devtools-entry.js dist/lighthouse-dt-bundle.js && node ./build/build-dt-report-resources.js",
    "build-smokehouse-bundle": "node ./build/build-smokehouse-bundle.js",
    "build-lr": "yarn reset-link && node --max-old-space-size=4096 ./build/build-lightrider-bundles.js",
    "build-pack": "bash build/build-pack.sh",
    "build-report": "node build/build-report-components.js && node build/build-report.js",
    "build-sample-reports": "yarn build-report && node build/build-sample-reports.js",
    "build-treemap": "node ./build/build-treemap.js",
    "build-viewer": "node ./build/build-viewer.js",
    "build-types": "yarn type-check && rsync -a .tmp/tsbuildinfo/ ./ --include='*.d.ts' --include='*.d.cts' --exclude='*.map' --exclude='*.tsbuildinfo'",
    "reset-link": "(yarn unlink || true) && yarn link && yarn link lighthouse",
    "c8": "bash core/scripts/c8.sh",
    "clean": "rm -r dist proto/scripts/*.json proto/scripts/*_pb2.* proto/scripts/*_pb.* proto/scripts/__pycache__ proto/scripts/*.pyc *.report.html *.report.dom.html *.report.json *.devtoolslog.json *.trace.json shared/localization/locales/*.ctc.json || true",
    "clean-types": "git clean -xfq '*.d.ts' '*.d.cts' -e 'node_modules/' -e 'dist/' -e '.tmp/' -e '**/types/'",
    "lint": "[ \\"$CI\\" = true ] && eslint --quiet -f codeframe . || eslint .",
    "smoke": "node cli/test/smokehouse/frontends/smokehouse-bin.js",
    "debug": "node --inspect-brk ./cli/index.js",
    "start": "yarn build-report --standalone && node ./cli/index.js",
    "mocha": "node --loader=testdouble core/test/scripts/run-mocha-tests.js",
    "test": "yarn diff:sample-json && yarn lint --quiet && yarn unit && yarn type-check",
    "test-bundle": "yarn smoke --runner bundle",
    "test-clients": "yarn mocha --testMatch clients/**/*-test.js && yarn mocha --testMatch clients/**/*-test-pptr.js",
    "test-viewer": "yarn unit-viewer && yarn mocha --testMatch viewer/**/*-test-pptr.js --timeout 35000",
    "test-treemap": "yarn unit-treemap && yarn mocha --testMatch treemap/**/*-test-pptr.js --timeout 35000",
    "test-lantern": "bash core/scripts/test-lantern.sh",
    "test-legacy-javascript": "bash core/scripts/test-legacy-javascript.sh",
    "test-docs": "yarn --cwd docs/recipes/ test",
    "test-proto": "yarn compile-proto && yarn build-proto-roundtrip",
    "unit-core": "yarn mocha core",
    "unit-cli": "yarn mocha --testMatch cli/**/*-test.js",
    "unit-report": "yarn mocha --testMatch report/**/*-test.js",
    "unit-treemap": "yarn mocha --testMatch treemap/**/*-test.js",
    "unit-viewer": "yarn mocha --testMatch viewer/**/*-test.js",
    "unit-flow": "bash flow-report/test/run-flow-report-tests.sh",
    "unit": "yarn unit-flow && yarn mocha",
    "unit:ci": "NODE_OPTIONS=--max-old-space-size=8192 npm run unit --forbid-only",
    "core-unit": "yarn unit-core",
    "cli-unit": "yarn unit-cli",
    "viewer-unit": "yarn unit-viewer",
    "watch": "yarn unit-core --watch",
    "unit:cicoverage": "yarn c8 --all yarn unit:ci",
    "coverage": "yarn unit:cicoverage && c8 report --reporter html",
    "coverage:smoke": "yarn c8 yarn smoke -j=1 && c8 report --reporter html",
    "devtools": "bash core/scripts/roll-to-devtools.sh",
    "chrome": "node core/scripts/manual-chrome-launcher.js",
    "fast": "node ./cli/index.js --preset=desktop --throttlingMethod=provided",
    "deploy-treemap": "yarn build-treemap --deploy",
    "deploy-viewer": "yarn build-viewer --deploy",
    "vercel-build": "yarn build-sample-reports && yarn build-viewer && yarn build-treemap",
    "dogfood-lhci": "./core/scripts/dogfood-lhci.sh",
    "timing-trace": "node core/scripts/generate-timing-trace.js",
    "changelog": "conventional-changelog --config ./build/changelog-generator/index.cjs --infile changelog.md --same-file",
    "type-check": "tsc --build ./tsconfig-all.json",
    "i18n:checks": "./core/scripts/i18n/assert-strings-collected.sh",
    "i18n:collect-strings": "node core/scripts/i18n/collect-strings.js",
    "update:lantern-baseline": "node core/scripts/lantern/update-baseline-lantern-values.js",
    "update:sample-artifacts": "node core/scripts/update-report-fixtures.js",
    "update:sample-json": "yarn i18n:collect-strings && node ./cli -A=./core/test/results/artifacts --config-path=./core/test/results/sample-config.js --output=json --output-path=./core/test/results/sample_v2.json && node core/scripts/cleanup-LHR-for-diff.js ./core/test/results/sample_v2.json --only-remove-timing && node ./core/scripts/update-flow-fixtures.js",
    "update:flow-sample-json": "yarn i18n:collect-strings && node ./core/scripts/update-flow-fixtures.js",
    "test-devtools": "bash core/test/devtools-tests/test-locally.sh",
    "open-devtools": "bash core/scripts/open-devtools.sh",
    "run-devtools": "node core/scripts/pptr-run-devtools.js",
    "diff:sample-json": "yarn i18n:checks && bash core/scripts/assert-golden-lhr-unchanged.sh",
    "diff:flow-sample-json": "yarn i18n:collect-strings && bash core/scripts/assert-baseline-flow-result-unchanged.sh",
    "computeBenchmarkIndex": "./core/scripts/benchmark.js",
    "save-latest-run": "./core/scripts/save-latest-run.sh",
    "compile-proto": "protoc --python_out=./ ./proto/lighthouse-result.proto && mv ./proto/*_pb2.py ./proto/scripts || (echo \\"❌ Install protobuf = 3.20.x to compile the proto file.\\" && false)",
    "build-proto-roundtrip": "mkdir -p .tmp && python3 proto/scripts/json_roundtrip_via_proto.py",
    "static-server": "node cli/test/fixtures/static-server.js",
    "serve-dist": "cd dist && python3 -m http.server 7878",
    "serve-gh-pages": "cd dist/gh-pages && python3 -m http.server 7333",
    "serve-treemap": "yarn serve-gh-pages",
    "serve-viewer": "yarn serve-gh-pages",
    "flow-report": "yarn build-report --flow && node ./core/scripts/build-test-flow-report.js"
  },
  "devDependencies": {
    "@build-tracker/cli": "^1.0.0-beta.15",
    "@esbuild-kit/esm-loader": "^2.1.1",
    "@esbuild-plugins/node-modules-polyfill": "^0.1.4",
    "@jest/fake-timers": "^28.1.0",
    "@testing-library/preact": "^3.1.1",
    "@testing-library/preact-hooks": "^1.1.0",
    "@types/archiver": "^2.1.2",
    "@types/chrome": "^0.0.154",
    "@types/configstore": "^4.0.0",
    "@types/cpy": "^5.1.0",
    "@types/debug": "^4.1.7",
    "@types/eslint": "^8.2.1",
    "@types/estree": "^0.0.50",
    "@types/gh-pages": "^2.0.0",
    "@types/google.analytics": "0.0.39",
    "@types/jpeg-js": "^0.3.7",
    "@types/jsdom": "^16.2.13",
    "@types/lodash": "^4.14.178",
    "@types/mocha": "^9.0.0",
    "@types/node": "*",
    "@types/pako": "^1.0.1",
    "@types/resize-observer-browser": "^0.1.1",
    "@types/resolve": "^1.20.2",
    "@types/semver": "^5.5.0",
    "@types/tabulator-tables": "^4.9.1",
    "@types/ws": "^7.0.0",
    "@types/yargs": "^17.0.8",
    "@types/yargs-parser": "^20.2.1",
    "@typescript-eslint/eslint-plugin": "^5.48.0",
    "@typescript-eslint/parser": "^5.48.0",
    "acorn": "^8.5.0",
    "angular": "^1.7.4",
    "archiver": "^3.0.0",
    "builtin-modules": "^3.3.0",
    "c8": "^7.11.3",
    "chalk": "^2.4.1",
    "chrome-devtools-frontend": "1.0.1153166",
    "concurrently": "^6.4.0",
    "conventional-changelog-cli": "^2.1.1",
    "cpy": "^8.1.2",
    "cross-env": "^7.0.2",
    "csv-validator": "^0.0.3",
    "es-main": "^1.2.0",
    "esbuild": "^0.18.11",
    "eslint": "^8.4.1",
    "eslint-config-google": "^0.14.0",
    "eslint-formatter-codeframe": "^7.32.1",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-local-rules": "1.1.0",
    "event-target-shim": "^6.0.2",
    "expect": "^28.1.0",
    "firebase": "^9.0.2",
    "gh-pages": "^2.0.1",
    "glob": "^7.1.3",
    "idb-keyval": "2.2.0",
    "intl-messageformat-parser": "^1.8.1",
    "jest-mock": "^27.3.0",
    "jest-snapshot": "^28.1.0",
    "jsdom": "^12.2.0",
    "lighthouse-plugin-publisher-ads": "1.5.7-beta",
    "lighthouse-plugin-soft-navigation": "^1.0.1",
    "magic-string": "^0.25.7",
    "mime-types": "^2.1.30",
    "mocha": "^10.0.0",
    "node-fetch": "^2.6.1",
    "npm-run-posix-or-windows": "^2.0.2",
    "pako": "^2.0.3",
    "preact": "^10.7.2",
    "pretty-json-stringify": "^0.0.2",
    "puppeteer": "^21.0.1",
    "resolve": "^1.22.1",
    "rollup": "^2.52.7",
    "rollup-plugin-polyfill-node": "^0.12.0",
    "tabulator-tables": "^4.9.3",
    "terser": "^5.18.2",
    "testdouble": "^3.18.0",
    "typed-query-selector": "^2.6.1",
    "typescript": "^5.0.4",
    "wait-for-expect": "^3.0.2",
    "webtreemap-cdt": "^3.2.1"
  },
  "dependencies": {
    "@sentry/node": "^6.17.4",
    "axe-core": "4.7.2",
    "chrome-launcher": "^1.0.0",
    "configstore": "^5.0.1",
    "csp_evaluator": "1.1.1",
    "devtools-protocol": "0.0.1155343",
    "enquirer": "^2.3.6",
    "http-link-header": "^1.1.1",
    "intl-messageformat": "^4.4.0",
    "jpeg-js": "^0.4.4",
    "js-library-detector": "^6.7.0",
    "lighthouse-logger": "^2.0.1",
    "lighthouse-stack-packs": "1.12.0",
    "lodash": "^4.17.21",
    "lookup-closest-locale": "6.2.0",
    "metaviewport-parser": "0.3.0",
    "open": "^8.4.0",
    "parse-cache-control": "1.0.1",
    "ps-list": "^8.0.0",
    "puppeteer-core": "^21.0.1",
    "robots-parser": "^3.0.1",
    "semver": "^5.3.0",
    "speedline-core": "^1.4.3",
    "third-party-web": "^0.23.3",
    "ws": "^7.0.0",
    "yargs": "^17.3.1",
    "yargs-parser": "^21.0.0"
  },
  "resolutions": {
    "puppeteer/**/devtools-protocol": "0.0.1155343",
    "puppeteer-core/**/devtools-protocol": "0.0.1155343"
  },
  "repository": "GoogleChrome/lighthouse",
  "keywords": [
    "google",
    "chrome",
    "devtools"
  ],
  "author": "The Lighthouse Authors",
  "license": "Apache-2.0",
  "bugs": {
    "url": "https://github.com/GoogleChrome/lighthouse/issues"
  },
  "homepage": "https://github.com/GoogleChrome/lighthouse#readme"
}
`),Xm=xV.version});function Zm(t,e){if(typeof Intl!="object")throw new Error("Lighthouse must be run in Node with `Intl` support. See https://nodejs.org/api/intl.html for help");let n=Intl.getCanonicalLocales(t),r=Intl.NumberFormat.supportedLocalesOf(n),a=e||NF(),o=Object.fromEntries(a.map(c=>[c,{}])),i=(0,hR.default)(r,o);return i||(Intl.NumberFormat.supportedLocalesOf("es").length===0&&N.warn("i18n","Requested locale not available in this version of node. The `full-icu` npm module can provide additional locales. For help, see https://github.com/GoogleChrome/lighthouse/blob/main/readme.md#how-do-i-get-localized-lighthouse-results-via-the-cli"),N.warn("i18n",`locale(s) '${t}' not available. Falling back to default '${ts}'`)),i||ts}function w(t,e){t.startsWith("file://")&&(t=Wo.fileURLToPath(t)),Ot.isAbsolute(t)&&(t=Ot.relative(Jm,t));let n={...x,...e};return s((a,o)=>{let i=Object.keys(n).find(m=>n[m]===a);if(!i)throw new Error(`Could not locate: ${a}`);return{i18nId:`${(i in e?t:Ot.relative(Jm,SF({url:"core/lib/i18n/i18n.js"}))).replace(/\\/g,"/")} | ${i}`,values:o,formattedDefault:Eg(a,o,ts)}},"getIcuMessageFn")}function _r(t){return typeof t=="string"||ns(t)}var hR,x,k=v(()=>{"use strict";d();qo();lu();hR=zt(gR(),1);He();la();rs();la();Vo();x={ms:"{timeInMs, number, milliseconds} ms",seconds:"{timeInMs, number, seconds} s",displayValueByteSavings:"Potential savings of {wastedBytes, number, bytes} KiB",displayValueMsSavings:"Potential savings of {wastedMs, number, milliseconds} ms",displayValueElementsFound:"{nodeCount, plural, =1 {1 element found} other {# elements found}}",columnURL:"URL",columnSize:"Size",columnResourceSize:"Resource Size",columnTransferSize:"Transfer Size",columnCacheTTL:"Cache TTL",columnWastedBytes:"Potential Savings",columnWastedMs:"Potential Savings",columnBlockingTime:"Main-Thread Blocking Time",columnTimeSpent:"Time Spent",columnLocation:"Location",columnResourceType:"Resource Type",columnRequests:"Requests",columnName:"Name",columnSource:"Source",columnOverBudget:"Over Budget",columnElement:"Element",columnStartTime:"Start Time",columnDuration:"Duration",columnFailingElem:"Failing Elements",columnDescription:"Description",totalResourceType:"Total",documentResourceType:"Document",scriptResourceType:"Script",stylesheetResourceType:"Stylesheet",imageResourceType:"Image",mediaResourceType:"Media",fontResourceType:"Font",otherResourceType:"Other",thirdPartyResourceType:"Third-party",otherResourcesLabel:"Other resources",firstContentfulPaintMetric:"First Contentful Paint",interactiveMetric:"Time to Interactive",firstMeaningfulPaintMetric:"First Meaningful Paint",totalBlockingTimeMetric:"Total Blocking Time",maxPotentialFIDMetric:"Max Potential First Input Delay",speedIndexMetric:"Speed Index",largestContentfulPaintMetric:"Largest Contentful Paint",cumulativeLayoutShiftMetric:"Cumulative Layout Shift",interactionToNextPaint:"Interaction to Next Paint",itemSeverityLow:"Low",itemSeverityMedium:"Medium",itemSeverityHigh:"High"};s(Zm,"lookupLocale");s(w,"createIcuMessageFn");s(_r,"isStringOrIcuMessage")});function vR(t){if(!t)return[];let e=[];for(let n of t){let r=xg.find(u=>u.requiredStacks.includes(`${n.detector}:${n.id}`));if(!r)continue;let a=yR.default.find(u=>u.id===r.packId);if(!a){N.warn("StackPacks",`'${r.packId}' stack pack was matched but is not found in stack-packs lib`);continue}let o=w(`node_modules/lighthouse-stack-packs/packs/${a.id}.js`,a.UIStrings),i={},c=a.UIStrings;for(let u in c)c[u]&&(i[u]=o(c[u]));e.push({id:a.id,title:a.title,iconDataURL:a.icon,descriptions:i})}return e.sort((n,r)=>{let a=xg.findIndex(i=>i.packId===n.id),o=xg.findIndex(i=>i.packId===r.id);return a-o})}var yR,xg,bR=v(()=>{"use strict";d();He();yR=zt(pR(),1);k();xg=[{packId:"gatsby",requiredStacks:["js:gatsby"]},{packId:"wordpress",requiredStacks:["js:wordpress"]},{packId:"wix",requiredStacks:["js:wix"]},{packId:"wp-rocket",requiredStacks:["js:wp-rocket"]},{packId:"ezoic",requiredStacks:["js:ezoic"]},{packId:"drupal",requiredStacks:["js:drupal"]},{packId:"nitropack",requiredStacks:["js:nitropack"]},{packId:"amp",requiredStacks:["js:amp"]},{packId:"magento",requiredStacks:["js:magento"]},{packId:"octobercms",requiredStacks:["js:octobercms"]},{packId:"joomla",requiredStacks:["js:joomla"]},{packId:"next.js",requiredStacks:["js:next"]},{packId:"nuxt",requiredStacks:["js:nuxt"]},{packId:"angular",requiredStacks:["js:@angular/core"]},{packId:"react",requiredStacks:["js:react"]}];s(vR,"getStackPacks")});var Cg,Ut,wR=v(()=>{d();typeof Object.create=="function"?Cg=s(function(e,n){e.super_=n,e.prototype=Object.create(n.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}})},"inherits"):Cg=s(function(e,n){e.super_=n;var r=s(function(){},"TempCtor");r.prototype=n.prototype,e.prototype=new r,e.prototype.constructor=e},"inherits");Ut=Cg});function RV(t){if(!Lg(t)){for(var e=[],n=0;n<arguments.length;n++)e.push(Ha(arguments[n]));return e.join(" ")}for(var n=1,r=arguments,a=r.length,o=String(t).replace(FV,function(c){if(c==="%%")return"%";if(n>=a)return c;switch(c){case"%s":return String(r[n++]);case"%d":return Number(r[n++]);case"%j":try{return JSON.stringify(r[n++])}catch{return"[Circular]"}default:return c}}),i=r[n];n<a;i=r[++n])Ng(i)||!du(i)?o+=" "+i:o+=" "+Ha(i);return o}function Mg(t,e){if(za(globalThis.process))return function(){return Mg(t,e).apply(this,arguments)};if(pn.noDeprecation===!0)return t;var n=!1;function r(){if(!n){if(pn.throwDeprecation)throw new Error(e);pn.traceDeprecation?console.trace(e):console.error(e),n=!0}return t.apply(this,arguments)}return s(r,"deprecated"),r}function ER(t){if(za(Ag)&&(Ag=pn.env.NODE_DEBUG||""),t=t.toUpperCase(),!Qm[t])if(new RegExp("\\b"+t+"\\b","i").test(Ag)){var e=0;Qm[t]=function(){var n=RV.apply(null,arguments);console.error("%s %d: %s",t,e,n)}}else Qm[t]=function(){};return Qm[t]}function Ha(t,e){var n={seen:[],stylize:kV};return arguments.length>=3&&(n.depth=arguments[2]),arguments.length>=4&&(n.colors=arguments[3]),TR(e)?n.showHidden=e:e&&UV(n,e),za(n.showHidden)&&(n.showHidden=!1),za(n.depth)&&(n.depth=2),za(n.colors)&&(n.colors=!1),za(n.customInspect)&&(n.customInspect=!0),n.colors&&(n.stylize=_V),ep(n,t,n.depth)}function _V(t,e){var n=Ha.styles[e];return n?"\x1B["+Ha.colors[n][0]+"m"+t+"\x1B["+Ha.colors[n][1]+"m":t}function kV(t,e){return t}function IV(t){var e={};return t.forEach(function(n,r){e[n]=!0}),e}function ep(t,e,n){if(t.customInspect&&e&&kg(e.inspect)&&e.inspect!==Ha&&!(e.constructor&&e.constructor.prototype===e)){var r=e.inspect(n,t);return Lg(r)||(r=ep(t,r,n)),r}var a=MV(t,e);if(a)return a;var o=Object.keys(e),i=IV(o);if(t.showHidden&&(o=Object.getOwnPropertyNames(e)),_g(e)&&(o.indexOf("message")>=0||o.indexOf("description")>=0))return Fg(e);if(o.length===0){if(kg(e)){var c=e.name?": "+e.name:"";return t.stylize("[Function"+c+"]","special")}if(Rg(e))return t.stylize(RegExp.prototype.toString.call(e),"regexp");if(DR(e))return t.stylize(Date.prototype.toString.call(e),"date");if(_g(e))return Fg(e)}var u="",l=!1,m=["{","}"];if(PV(e)&&(l=!0,m=["[","]"]),kg(e)){var p=e.name?": "+e.name:"";u=" [Function"+p+"]"}if(Rg(e)&&(u=" "+RegExp.prototype.toString.call(e)),DR(e)&&(u=" "+Date.prototype.toUTCString.call(e)),_g(e)&&(u=" "+Fg(e)),o.length===0&&(!l||e.length==0))return m[0]+u+m[1];if(n<0)return Rg(e)?t.stylize(RegExp.prototype.toString.call(e),"regexp"):t.stylize("[Object]","special");t.seen.push(e);var g;return l?g=NV(t,e,n,i,o):g=o.map(function(f){return Ig(t,e,n,i,f,l)}),t.seen.pop(),LV(g,u,m)}function MV(t,e){if(za(e))return t.stylize("undefined","undefined");if(Lg(e)){var n="'"+JSON.stringify(e).replace(/^"|"$/g,"").replace(/'/g,"\\'").replace(/\\"/g,'"')+"'";return t.stylize(n,"string")}if(OV(e))return t.stylize(""+e,"number");if(TR(e))return t.stylize(""+e,"boolean");if(Ng(e))return t.stylize("null","null")}function Fg(t){return"["+Error.prototype.toString.call(t)+"]"}function NV(t,e,n,r,a){for(var o=[],i=0,c=e.length;i<c;++i)SR(e,String(i))?o.push(Ig(t,e,n,r,String(i),!0)):o.push("");return a.forEach(function(u){u.match(/^\d+$/)||o.push(Ig(t,e,n,r,u,!0))}),o}function Ig(t,e,n,r,a,o){var i,c,u;if(u=Object.getOwnPropertyDescriptor(e,a)||{value:e[a]},u.get?u.set?c=t.stylize("[Getter/Setter]","special"):c=t.stylize("[Getter]","special"):u.set&&(c=t.stylize("[Setter]","special")),SR(r,a)||(i="["+a+"]"),c||(t.seen.indexOf(u.value)<0?(Ng(n)?c=ep(t,u.value,null):c=ep(t,u.value,n-1),c.indexOf(`
`)>-1&&(o?c=c.split(`
`).map(function(l){return"  "+l}).join(`
`).substr(2):c=`
`+c.split(`
`).map(function(l){return"   "+l}).join(`
`))):c=t.stylize("[Circular]","special")),za(i)){if(o&&a.match(/^\d+$/))return c;i=JSON.stringify(""+a),i.match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)?(i=i.substr(1,i.length-2),i=t.stylize(i,"name")):(i=i.replace(/'/g,"\\'").replace(/\\"/g,'"').replace(/(^"|"$)/g,"'"),i=t.stylize(i,"string"))}return i+": "+c}function LV(t,e,n){var r=0,a=t.reduce(function(o,i){return r++,i.indexOf(`
`)>=0&&r++,o+i.replace(/\u001b\[\d\d?m/g,"").length+1},0);return a>60?n[0]+(e===""?"":e+`
 `)+" "+t.join(`,
  `)+" "+n[1]:n[0]+e+" "+t.join(", ")+" "+n[1]}function PV(t){return Array.isArray(t)}function TR(t){return typeof t=="boolean"}function Ng(t){return t===null}function OV(t){return typeof t=="number"}function Lg(t){return typeof t=="string"}function za(t){return t===void 0}function Rg(t){return du(t)&&Pg(t)==="[object RegExp]"}function du(t){return typeof t=="object"&&t!==null}function DR(t){return du(t)&&Pg(t)==="[object Date]"}function _g(t){return du(t)&&(Pg(t)==="[object Error]"||t instanceof Error)}function kg(t){return typeof t=="function"}function Pg(t){return Object.prototype.toString.call(t)}function UV(t,e){if(!e||!du(e))return t;for(var n=Object.keys(e),r=n.length;r--;)t[n[r]]=e[n[r]];return t}function SR(t,e){return Object.prototype.hasOwnProperty.call(t,e)}function BV(t){if(typeof t!="function")throw new TypeError('The "original" argument must be of type Function');if(Yo&&t[Yo]){var e=t[Yo];if(typeof e!="function")throw new TypeError('The "util.promisify.custom" argument must be of type Function');return Object.defineProperty(e,Yo,{value:e,enumerable:!1,writable:!1,configurable:!0}),e}function e(){for(var n,r,a=new Promise(function(c,u){n=c,r=u}),o=[],i=0;i<arguments.length;i++)o.push(arguments[i]);o.push(function(c,u){c?r(c):n(u)});try{t.apply(this,o)}catch(c){r(c)}return a}return s(e,"fn"),Object.setPrototypeOf(e,Object.getPrototypeOf(t)),Yo&&Object.defineProperty(e,Yo,{value:e,enumerable:!1,writable:!1,configurable:!0}),Object.defineProperties(e,AV(t))}var AV,FV,Qm,Ag,Yo,Ga=v(()=>{d();Ua();wR();AV=Object.getOwnPropertyDescriptors||s(function(e){for(var n=Object.keys(e),r={},a=0;a<n.length;a++)r[n[a]]=Object.getOwnPropertyDescriptor(e,n[a]);return r},"getOwnPropertyDescriptors"),FV=/%[sdj%]/g;s(RV,"format");s(Mg,"deprecate");Qm={};s(ER,"debuglog");s(Ha,"inspect");Ha.colors={bold:[1,22],italic:[3,23],underline:[4,24],inverse:[7,27],white:[37,39],grey:[90,39],black:[30,39],blue:[34,39],cyan:[36,39],green:[32,39],magenta:[35,39],red:[31,39],yellow:[33,39]};Ha.styles={special:"cyan",number:"yellow",boolean:"yellow",undefined:"grey",null:"bold",string:"green",date:"magenta",regexp:"red"};s(_V,"stylizeWithColor");s(kV,"stylizeNoColor");s(IV,"arrayToHash");s(ep,"formatValue");s(MV,"formatPrimitive");s(Fg,"formatError");s(NV,"formatArray");s(Ig,"formatProperty");s(LV,"reduceToSingleString");s(PV,"isArray");s(TR,"isBoolean");s(Ng,"isNull");s(OV,"isNumber");s(Lg,"isString");s(za,"isUndefined");s(Rg,"isRegExp");s(du,"isObject");s(DR,"isDate");s(_g,"isError");s(kg,"isFunction");s(Pg,"objectToString");s(UV,"_extend");s(SR,"hasOwnProperty");Yo=typeof Symbol<"u"?Symbol("util.promisify.custom"):void 0;s(BV,"promisify");BV.custom=Yo});function Ko(){this.head=null,this.tail=null,this.length=0}var xR,CR=v(()=>{d();Bi();xR=Ko;s(Ko,"BufferList");Ko.prototype.push=function(t){var e={data:t,next:null};this.length>0?this.tail.next=e:this.head=e,this.tail=e,++this.length};Ko.prototype.unshift=function(t){var e={data:t,next:this.head};this.length===0&&(this.tail=e),this.head=e,++this.length};Ko.prototype.shift=function(){if(this.length!==0){var t=this.head.data;return this.length===1?this.head=this.tail=null:this.head=this.head.next,--this.length,t}};Ko.prototype.clear=function(){this.head=this.tail=null,this.length=0};Ko.prototype.join=function(t){if(this.length===0)return"";for(var e=this.head,n=""+e.data;e=e.next;)n+=t+e.data;return n};Ko.prototype.concat=function(t){if(this.length===0)return H.alloc(0);if(this.length===1)return this.head.data;for(var e=H.allocUnsafe(t>>>0),n=this.head,r=0;n;)n.data.copy(e,r),r+=n.data.length,n=n.next;return e}});function qV(t){if(t&&!jV(t))throw new Error("Unknown encoding: "+t)}function as(t){switch(this.encoding=(t||"utf8").toLowerCase().replace(/[-_]/,""),qV(t),this.encoding){case"utf8":this.surrogateSize=3;break;case"ucs2":case"utf16le":this.surrogateSize=2,this.detectIncompleteChar=HV;break;case"base64":this.surrogateSize=3,this.detectIncompleteChar=GV;break;default:this.write=zV;return}this.charBuffer=new H(6),this.charReceived=0,this.charLength=0}function zV(t){return t.toString(this.encoding)}function HV(t){this.charReceived=t.length%2,this.charLength=this.charReceived?2:0}function GV(t){this.charReceived=t.length%3,this.charLength=this.charReceived?3:0}var jV,AR=v(()=>{d();Bi();jV=H.isEncoding||function(t){switch(t&&t.toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":case"raw":return!0;default:return!1}};s(qV,"assertEncoding");s(as,"StringDecoder");as.prototype.write=function(t){for(var e="";this.charLength;){var n=t.length>=this.charLength-this.charReceived?this.charLength-this.charReceived:t.length;if(t.copy(this.charBuffer,this.charReceived,0,n),this.charReceived+=n,this.charReceived<this.charLength)return"";t=t.slice(n,t.length),e=this.charBuffer.slice(0,this.charLength).toString(this.encoding);var a=e.charCodeAt(e.length-1);if(a>=55296&&a<=56319){this.charLength+=this.surrogateSize,e="";continue}if(this.charReceived=this.charLength=0,t.length===0)return e;break}this.detectIncompleteChar(t);var r=t.length;this.charLength&&(t.copy(this.charBuffer,0,t.length-this.charReceived,r),r-=this.charReceived),e+=t.toString(this.encoding,0,r);var r=e.length-1,a=e.charCodeAt(r);if(a>=55296&&a<=56319){var o=this.surrogateSize;return this.charLength+=o,this.charReceived+=o,this.charBuffer.copy(this.charBuffer,o,0,o),t.copy(this.charBuffer,0,0,o),e.substring(0,r)}return e};as.prototype.detectIncompleteChar=function(t){for(var e=t.length>=3?3:t.length;e>0;e--){var n=t[t.length-e];if(e==1&&n>>5==6){this.charLength=2;break}if(e<=2&&n>>4==14){this.charLength=3;break}if(e<=3&&n>>3==30){this.charLength=4;break}}this.charReceived=e};as.prototype.end=function(t){var e="";if(t&&t.length&&(e=this.write(t)),this.charReceived){var n=this.charReceived,r=this.charBuffer,a=this.encoding;e+=r.slice(0,n).toString(a)}return e};s(zV,"passThroughWrite");s(HV,"utf16DetectIncompleteChar");s(GV,"base64DetectIncompleteChar")});function WV(t,e,n){if(typeof t.prependListener=="function")return t.prependListener(e,n);!t._events||!t._events[e]?t.on(e,n):Array.isArray(t._events[e])?t._events[e].unshift(n):t._events[e]=[n,t._events[e]]}function VV(t,e){return t.listeners(e).length}function kR(t,e){t=t||{},this.objectMode=!!t.objectMode,e instanceof fn&&(this.objectMode=this.objectMode||!!t.readableObjectMode);var n=t.highWaterMark,r=this.objectMode?16:16*1024;this.highWaterMark=n||n===0?n:r,this.highWaterMark=~~this.highWaterMark,this.buffer=new xR,this.length=0,this.pipes=null,this.pipesCount=0,this.flowing=null,this.ended=!1,this.endEmitted=!1,this.reading=!1,this.sync=!0,this.needReadable=!1,this.emittedReadable=!1,this.readableListening=!1,this.resumeScheduled=!1,this.defaultEncoding=t.defaultEncoding||"utf8",this.ranOut=!1,this.awaitDrain=0,this.readingMore=!1,this.decoder=null,this.encoding=null,t.encoding&&(this.decoder=new as(t.encoding),this.encoding=t.encoding)}function _t(t){if(!(this instanceof _t))return new _t(t);this._readableState=new kR(t,this),this.readable=!0,t&&typeof t.read=="function"&&(this._read=t.read),Zn.call(this)}function IR(t,e,n,r,a){var o=KV(e,n);if(o)t.emit("error",o);else if(n===null)e.reading=!1,JV(t,e);else if(e.objectMode||n&&n.length>0)if(e.ended&&!a){var i=new Error("stream.push() after EOF");t.emit("error",i)}else if(e.endEmitted&&a){var c=new Error("stream.unshift() after end event");t.emit("error",c)}else{var u;e.decoder&&!a&&!r&&(n=e.decoder.write(n),u=!e.objectMode&&n.length===0),a||(e.reading=!1),u||(e.flowing&&e.length===0&&!e.sync?(t.emit("data",n),t.read(0)):(e.length+=e.objectMode?1:n.length,a?e.buffer.unshift(n):e.buffer.push(n),e.needReadable&&tp(t))),XV(t,e)}else a||(e.reading=!1);return $V(e)}function $V(t){return!t.ended&&(t.needReadable||t.length<t.highWaterMark||t.length===0)}function YV(t){return t>=FR?t=FR:(t--,t|=t>>>1,t|=t>>>2,t|=t>>>4,t|=t>>>8,t|=t>>>16,t++),t}function RR(t,e){return t<=0||e.length===0&&e.ended?0:e.objectMode?1:t!==t?e.flowing&&e.length?e.buffer.head.data.length:e.length:(t>e.highWaterMark&&(e.highWaterMark=YV(t)),t<=e.length?t:e.ended?e.length:(e.needReadable=!0,0))}function KV(t,e){var n=null;return!Buffer.isBuffer(e)&&typeof e!="string"&&e!==null&&e!==void 0&&!t.objectMode&&(n=new TypeError("Invalid non-string/buffer chunk")),n}function JV(t,e){if(!e.ended){if(e.decoder){var n=e.decoder.end();n&&n.length&&(e.buffer.push(n),e.length+=e.objectMode?1:n.length)}e.ended=!0,tp(t)}}function tp(t){var e=t._readableState;e.needReadable=!1,e.emittedReadable||(pt("emitReadable",e.flowing),e.emittedReadable=!0,e.sync?mn(_R,t):_R(t))}function _R(t){pt("emit readable"),t.emit("readable"),Ug(t)}function XV(t,e){e.readingMore||(e.readingMore=!0,mn(ZV,t,e))}function ZV(t,e){for(var n=e.length;!e.reading&&!e.flowing&&!e.ended&&e.length<e.highWaterMark&&(pt("maybeReadMore read 0"),t.read(0),n!==e.length);)n=e.length;e.readingMore=!1}function QV(t){return function(){var e=t._readableState;pt("pipeOnDrain",e.awaitDrain),e.awaitDrain&&e.awaitDrain--,e.awaitDrain===0&&t.listeners("data").length&&(e.flowing=!0,Ug(t))}}function e$(t){pt("readable nexttick read 0"),t.read(0)}function t$(t,e){e.resumeScheduled||(e.resumeScheduled=!0,mn(n$,t,e))}function n$(t,e){e.reading||(pt("resume read 0"),t.read(0)),e.resumeScheduled=!1,e.awaitDrain=0,t.emit("resume"),Ug(t),e.flowing&&!e.reading&&t.read(0)}function Ug(t){var e=t._readableState;for(pt("flow",e.flowing);e.flowing&&t.read()!==null;);}function MR(t,e){if(e.length===0)return null;var n;return e.objectMode?n=e.buffer.shift():!t||t>=e.length?(e.decoder?n=e.buffer.join(""):e.buffer.length===1?n=e.buffer.head.data:n=e.buffer.concat(e.length),e.buffer.clear()):n=r$(t,e.buffer,e.decoder),n}function r$(t,e,n){var r;return t<e.head.data.length?(r=e.head.data.slice(0,t),e.head.data=e.head.data.slice(t)):t===e.head.data.length?r=e.shift():r=n?a$(t,e):o$(t,e),r}function a$(t,e){var n=e.head,r=1,a=n.data;for(t-=a.length;n=n.next;){var o=n.data,i=t>o.length?o.length:t;if(i===o.length?a+=o:a+=o.slice(0,t),t-=i,t===0){i===o.length?(++r,n.next?e.head=n.next:e.head=e.tail=null):(e.head=n,n.data=o.slice(i));break}++r}return e.length-=r,a}function o$(t,e){var n=Buffer.allocUnsafe(t),r=e.head,a=1;for(r.data.copy(n),t-=r.data.length;r=r.next;){var o=r.data,i=t>o.length?o.length:t;if(o.copy(n,n.length-t,0,i),t-=i,t===0){i===o.length?(++a,r.next?e.head=r.next:e.head=e.tail=null):(e.head=r,r.data=o.slice(i));break}++a}return e.length-=a,n}function Og(t){var e=t._readableState;if(e.length>0)throw new Error('"endReadable()" called on non-empty stream');e.endEmitted||(e.ended=!0,mn(i$,e,t))}function i$(t,e){!t.endEmitted&&t.length===0&&(t.endEmitted=!0,e.readable=!1,e.emit("end"))}function s$(t,e){for(var n=0,r=t.length;n<r;n++)e(t[n],n)}function NR(t,e){for(var n=0,r=t.length;n<r;n++)if(t[n]===e)return n;return-1}var pt,FR,Bg=v(()=>{"use strict";d();ia();Ga();CR();AR();mu();Ua();_t.ReadableState=kR;pt=ER("stream");Ut(_t,Zn);s(WV,"prependListener");s(VV,"listenerCount");s(kR,"ReadableState");s(_t,"Readable");_t.prototype.push=function(t,e){var n=this._readableState;return!n.objectMode&&typeof t=="string"&&(e=e||n.defaultEncoding,e!==n.encoding&&(t=Buffer.from(t,e),e="")),IR(this,n,t,e,!1)};_t.prototype.unshift=function(t){var e=this._readableState;return IR(this,e,t,"",!0)};_t.prototype.isPaused=function(){return this._readableState.flowing===!1};s(IR,"readableAddChunk");s($V,"needMoreData");_t.prototype.setEncoding=function(t){return this._readableState.decoder=new as(t),this._readableState.encoding=t,this};FR=8388608;s(YV,"computeNewHighWaterMark");s(RR,"howMuchToRead");_t.prototype.read=function(t){pt("read",t),t=parseInt(t,10);var e=this._readableState,n=t;if(t!==0&&(e.emittedReadable=!1),t===0&&e.needReadable&&(e.length>=e.highWaterMark||e.ended))return pt("read: emitReadable",e.length,e.ended),e.length===0&&e.ended?Og(this):tp(this),null;if(t=RR(t,e),t===0&&e.ended)return e.length===0&&Og(this),null;var r=e.needReadable;pt("need readable",r),(e.length===0||e.length-t<e.highWaterMark)&&(r=!0,pt("length less than watermark",r)),e.ended||e.reading?(r=!1,pt("reading or ended",r)):r&&(pt("do read"),e.reading=!0,e.sync=!0,e.length===0&&(e.needReadable=!0),this._read(e.highWaterMark),e.sync=!1,e.reading||(t=RR(n,e)));var a;return t>0?a=MR(t,e):a=null,a===null?(e.needReadable=!0,t=0):e.length-=t,e.length===0&&(e.ended||(e.needReadable=!0),n!==t&&e.ended&&Og(this)),a!==null&&this.emit("data",a),a};s(KV,"chunkInvalid");s(JV,"onEofChunk");s(tp,"emitReadable");s(_R,"emitReadable_");s(XV,"maybeReadMore");s(ZV,"maybeReadMore_");_t.prototype._read=function(t){this.emit("error",new Error("not implemented"))};_t.prototype.pipe=function(t,e){var n=this,r=this._readableState;switch(r.pipesCount){case 0:r.pipes=t;break;case 1:r.pipes=[r.pipes,t];break;default:r.pipes.push(t);break}r.pipesCount+=1,pt("pipe count=%d opts=%j",r.pipesCount,e);var a=!e||e.end!==!1,o=a?c:m;r.endEmitted?mn(o):n.once("end",o),t.on("unpipe",i);function i(T){pt("onunpipe"),T===n&&m()}s(i,"onunpipe");function c(){pt("onend"),t.end()}s(c,"onend");var u=QV(n);t.on("drain",u);var l=!1;function m(){pt("cleanup"),t.removeListener("close",y),t.removeListener("finish",b),t.removeListener("drain",u),t.removeListener("error",f),t.removeListener("unpipe",i),n.removeListener("end",c),n.removeListener("end",m),n.removeListener("data",g),l=!0,r.awaitDrain&&(!t._writableState||t._writableState.needDrain)&&u()}s(m,"cleanup");var p=!1;n.on("data",g);function g(T){pt("ondata"),p=!1;var A=t.write(T);A===!1&&!p&&((r.pipesCount===1&&r.pipes===t||r.pipesCount>1&&NR(r.pipes,t)!==-1)&&!l&&(pt("false write response, pause",n._readableState.awaitDrain),n._readableState.awaitDrain++,p=!0),n.pause())}s(g,"ondata");function f(T){pt("onerror",T),D(),t.removeListener("error",f),VV(t,"error")===0&&t.emit("error",T)}s(f,"onerror"),WV(t,"error",f);function y(){t.removeListener("finish",b),D()}s(y,"onclose"),t.once("close",y);function b(){pt("onfinish"),t.removeListener("close",y),D()}s(b,"onfinish"),t.once("finish",b);function D(){pt("unpipe"),n.unpipe(t)}return s(D,"unpipe"),t.emit("pipe",n),r.flowing||(pt("pipe resume"),n.resume()),t};s(QV,"pipeOnDrain");_t.prototype.unpipe=function(t){var e=this._readableState;if(e.pipesCount===0)return this;if(e.pipesCount===1)return t&&t!==e.pipes?this:(t||(t=e.pipes),e.pipes=null,e.pipesCount=0,e.flowing=!1,t&&t.emit("unpipe",this),this);if(!t){var n=e.pipes,r=e.pipesCount;e.pipes=null,e.pipesCount=0,e.flowing=!1;for(var a=0;a<r;a++)n[a].emit("unpipe",this);return this}var o=NR(e.pipes,t);return o===-1?this:(e.pipes.splice(o,1),e.pipesCount-=1,e.pipesCount===1&&(e.pipes=e.pipes[0]),t.emit("unpipe",this),this)};_t.prototype.on=function(t,e){var n=Zn.prototype.on.call(this,t,e);if(t==="data")this._readableState.flowing!==!1&&this.resume();else if(t==="readable"){var r=this._readableState;!r.endEmitted&&!r.readableListening&&(r.readableListening=r.needReadable=!0,r.emittedReadable=!1,r.reading?r.length&&tp(this,r):mn(e$,this))}return n};_t.prototype.addListener=_t.prototype.on;s(e$,"nReadingNextTick");_t.prototype.resume=function(){var t=this._readableState;return t.flowing||(pt("resume"),t.flowing=!0,t$(this,t)),this};s(t$,"resume");s(n$,"resume_");_t.prototype.pause=function(){return pt("call pause flowing=%j",this._readableState.flowing),this._readableState.flowing!==!1&&(pt("pause"),this._readableState.flowing=!1,this.emit("pause")),this};s(Ug,"flow");_t.prototype.wrap=function(t){var e=this._readableState,n=!1,r=this;t.on("end",function(){if(pt("wrapped end"),e.decoder&&!e.ended){var i=e.decoder.end();i&&i.length&&r.push(i)}r.push(null)}),t.on("data",function(i){if(pt("wrapped data"),e.decoder&&(i=e.decoder.write(i)),!(e.objectMode&&i==null)&&!(!e.objectMode&&(!i||!i.length))){var c=r.push(i);c||(n=!0,t.pause())}});for(var a in t)this[a]===void 0&&typeof t[a]=="function"&&(this[a]=function(i){return function(){return t[i].apply(t,arguments)}}(a));var o=["error","close","destroy","pause","resume"];return s$(o,function(i){t.on(i,r.emit.bind(r,i))}),r._read=function(i){pt("wrapped _read",i),n&&(n=!1,t.resume())},r};_t._fromList=MR;s(MR,"fromList");s(r$,"fromListPartial");s(a$,"copyFromBufferString");s(o$,"copyFromBuffer");s(Og,"endReadable");s(i$,"endReadableNT");s(s$,"forEach");s(NR,"indexOf")});function c$(){}function u$(t,e,n){this.chunk=t,this.encoding=e,this.callback=n,this.next=null}function qg(t,e){Object.defineProperty(this,"buffer",{get:Mg(function(){return this.getBuffer()},"_writableState.buffer is deprecated. Use _writableState.getBuffer instead.")}),t=t||{},this.objectMode=!!t.objectMode,e instanceof fn&&(this.objectMode=this.objectMode||!!t.writableObjectMode);var n=t.highWaterMark,r=this.objectMode?16:16*1024;this.highWaterMark=n||n===0?n:r,this.highWaterMark=~~this.highWaterMark,this.needDrain=!1,this.ending=!1,this.ended=!1,this.finished=!1;var a=t.decodeStrings===!1;this.decodeStrings=!a,this.defaultEncoding=t.defaultEncoding||"utf8",this.length=0,this.writing=!1,this.corked=0,this.sync=!0,this.bufferProcessing=!1,this.onwrite=function(o){h$(e,o)},this.writecb=null,this.writelen=0,this.bufferedRequest=null,this.lastBufferedRequest=null,this.pendingcb=0,this.prefinished=!1,this.errorEmitted=!1,this.bufferedRequestCount=0,this.corkedRequestsFree=new jR(this)}function an(t){if(!(this instanceof an)&&!(this instanceof fn))return new an(t);this._writableState=new qg(t,this),this.writable=!0,t&&(typeof t.write=="function"&&(this._write=t.write),typeof t.writev=="function"&&(this._writev=t.writev)),Xe.call(this)}function l$(t,e){var n=new Error("write after end");t.emit("error",n),mn(e,n)}function d$(t,e,n,r){var a=!0,o=!1;return n===null?o=new TypeError("May not write null values to stream"):!H.isBuffer(n)&&typeof n!="string"&&n!==void 0&&!e.objectMode&&(o=new TypeError("Invalid non-string/buffer chunk")),o&&(t.emit("error",o),mn(r,o),a=!1),a}function m$(t,e,n){return!t.objectMode&&t.decodeStrings!==!1&&typeof e=="string"&&(e=H.from(e,n)),e}function p$(t,e,n,r,a){n=m$(e,n,r),H.isBuffer(n)&&(r="buffer");var o=e.objectMode?1:n.length;e.length+=o;var i=e.length<e.highWaterMark;if(i||(e.needDrain=!0),e.writing||e.corked){var c=e.lastBufferedRequest;e.lastBufferedRequest=new u$(n,r,a),c?c.next=e.lastBufferedRequest:e.bufferedRequest=e.lastBufferedRequest,e.bufferedRequestCount+=1}else jg(t,e,!1,o,n,r,a);return i}function jg(t,e,n,r,a,o,i){e.writelen=r,e.writecb=i,e.writing=!0,e.sync=!0,n?t._writev(a,e.onwrite):t._write(a,o,e.onwrite),e.sync=!1}function f$(t,e,n,r,a){--e.pendingcb,n?mn(a,r):a(r),t._writableState.errorEmitted=!0,t.emit("error",r)}function g$(t){t.writing=!1,t.writecb=null,t.length-=t.writelen,t.writelen=0}function h$(t,e){var n=t._writableState,r=n.sync,a=n.writecb;if(g$(n),e)f$(t,n,r,e,a);else{var o=UR(n);!o&&!n.corked&&!n.bufferProcessing&&n.bufferedRequest&&OR(t,n),r?mn(LR,t,n,o,a):LR(t,n,o,a)}}function LR(t,e,n,r){n||y$(t,e),e.pendingcb--,r(),BR(t,e)}function y$(t,e){e.length===0&&e.needDrain&&(e.needDrain=!1,t.emit("drain"))}function OR(t,e){e.bufferProcessing=!0;var n=e.bufferedRequest;if(t._writev&&n&&n.next){var r=e.bufferedRequestCount,a=new Array(r),o=e.corkedRequestsFree;o.entry=n;for(var i=0;n;)a[i]=n,n=n.next,i+=1;jg(t,e,!0,e.length,a,"",o.finish),e.pendingcb++,e.lastBufferedRequest=null,o.next?(e.corkedRequestsFree=o.next,o.next=null):e.corkedRequestsFree=new jR(e)}else{for(;n;){var c=n.chunk,u=n.encoding,l=n.callback,m=e.objectMode?1:c.length;if(jg(t,e,!1,m,c,u,l),n=n.next,e.writing)break}n===null&&(e.lastBufferedRequest=null)}e.bufferedRequestCount=0,e.bufferedRequest=n,e.bufferProcessing=!1}function UR(t){return t.ending&&t.length===0&&t.bufferedRequest===null&&!t.finished&&!t.writing}function PR(t,e){e.prefinished||(e.prefinished=!0,t.emit("prefinish"))}function BR(t,e){var n=UR(e);return n&&(e.pendingcb===0?(PR(t,e),e.finished=!0,t.emit("finish")):PR(t,e)),n}function v$(t,e,n){e.ending=!0,BR(t,e),n&&(e.finished?mn(n):t.once("finish",n)),e.ended=!0,t.writable=!1}function jR(t){var e=this;this.next=null,this.entry=null,this.finish=function(n){var r=e.entry;for(e.entry=null;r;){var a=r.callback;t.pendingcb--,a(n),r=r.next}t.corkedRequestsFree?t.corkedRequestsFree.next=e:t.corkedRequestsFree=e}}var zg=v(()=>{d();Ga();Bi();ia();mu();Ua();an.WritableState=qg;Ut(an,Xe);s(c$,"nop");s(u$,"WriteReq");s(qg,"WritableState");qg.prototype.getBuffer=s(function(){for(var e=this.bufferedRequest,n=[];e;)n.push(e),e=e.next;return n},"writableStateGetBuffer");s(an,"Writable");an.prototype.pipe=function(){this.emit("error",new Error("Cannot pipe, not readable"))};s(l$,"writeAfterEnd");s(d$,"validChunk");an.prototype.write=function(t,e,n){var r=this._writableState,a=!1;return typeof e=="function"&&(n=e,e=null),H.isBuffer(t)?e="buffer":e||(e=r.defaultEncoding),typeof n!="function"&&(n=c$),r.ended?l$(this,n):d$(this,r,t,n)&&(r.pendingcb++,a=p$(this,r,t,e,n)),a};an.prototype.cork=function(){var t=this._writableState;t.corked++};an.prototype.uncork=function(){var t=this._writableState;t.corked&&(t.corked--,!t.writing&&!t.corked&&!t.finished&&!t.bufferProcessing&&t.bufferedRequest&&OR(this,t))};an.prototype.setDefaultEncoding=s(function(e){if(typeof e=="string"&&(e=e.toLowerCase()),!(["hex","utf8","utf-8","ascii","binary","base64","ucs2","ucs-2","utf16le","utf-16le","raw"].indexOf((e+"").toLowerCase())>-1))throw new TypeError("Unknown encoding: "+e);return this._writableState.defaultEncoding=e,this},"setDefaultEncoding");s(m$,"decodeChunk");s(p$,"writeOrBuffer");s(jg,"doWrite");s(f$,"onwriteError");s(g$,"onwriteStateUpdate");s(h$,"onwrite");s(LR,"afterWrite");s(y$,"onwriteDrain");s(OR,"clearBuffer");an.prototype._write=function(t,e,n){n(new Error("not implemented"))};an.prototype._writev=null;an.prototype.end=function(t,e,n){var r=this._writableState;typeof t=="function"?(n=t,t=null,e=null):typeof e=="function"&&(n=e,e=null),t!=null&&this.write(t,e),r.corked&&(r.corked=1,this.uncork()),!r.ending&&!r.finished&&v$(this,r,n)};s(UR,"needFinish");s(PR,"prefinish");s(BR,"finishMaybe");s(v$,"endWritable");s(jR,"CorkedRequest")});function fn(t){if(!(this instanceof fn))return new fn(t);_t.call(this,t),an.call(this,t),t&&t.readable===!1&&(this.readable=!1),t&&t.writable===!1&&(this.writable=!1),this.allowHalfOpen=!0,t&&t.allowHalfOpen===!1&&(this.allowHalfOpen=!1),this.once("end",b$)}function b$(){this.allowHalfOpen||this._writableState.ended||mn(w$,this)}function w$(t){t.end()}var qR,rp,np,mu=v(()=>{d();Ga();Ua();Bg();zg();Ut(fn,_t);qR=Object.keys(an.prototype);for(np=0;np<qR.length;np++)rp=qR[np],fn.prototype[rp]||(fn.prototype[rp]=an.prototype[rp]);s(fn,"Duplex");s(b$,"onend");s(w$,"onEndNT")});function D$(t){this.afterTransform=function(e,n){return E$(t,e,n)},this.needTransform=!1,this.transforming=!1,this.writecb=null,this.writechunk=null,this.writeencoding=null}function E$(t,e,n){var r=t._transformState;r.transforming=!1;var a=r.writecb;if(!a)return t.emit("error",new Error("no writecb in Transform class"));r.writechunk=null,r.writecb=null,n!=null&&t.push(n),a(e);var o=t._readableState;o.reading=!1,(o.needReadable||o.length<o.highWaterMark)&&t._read(o.highWaterMark)}function Cn(t){if(!(this instanceof Cn))return new Cn(t);fn.call(this,t),this._transformState=new D$(this);var e=this;this._readableState.needReadable=!0,this._readableState.sync=!1,t&&(typeof t.transform=="function"&&(this._transform=t.transform),typeof t.flush=="function"&&(this._flush=t.flush)),this.once("prefinish",function(){typeof this._flush=="function"?this._flush(function(n){zR(e,n)}):zR(e)})}function zR(t,e){if(e)return t.emit("error",e);var n=t._writableState,r=t._transformState;if(n.length)throw new Error("Calling transform done when ws.length != 0");if(r.transforming)throw new Error("Calling transform done when still transforming");return t.push(null)}var Hg=v(()=>{d();mu();Ga();Ut(Cn,fn);s(D$,"TransformState");s(E$,"afterTransform");s(Cn,"Transform");Cn.prototype.push=function(t,e){return this._transformState.needTransform=!1,fn.prototype.push.call(this,t,e)};Cn.prototype._transform=function(t,e,n){throw new Error("Not implemented")};Cn.prototype._write=function(t,e,n){var r=this._transformState;if(r.writecb=n,r.writechunk=t,r.writeencoding=e,!r.transforming){var a=this._readableState;(r.needTransform||a.needReadable||a.length<a.highWaterMark)&&this._read(a.highWaterMark)}};Cn.prototype._read=function(t){var e=this._transformState;e.writechunk!==null&&e.writecb&&!e.transforming?(e.transforming=!0,this._transform(e.writechunk,e.writeencoding,e.afterTransform)):e.needTransform=!0};s(zR,"done")});function os(t){if(!(this instanceof os))return new os(t);Cn.call(this,t)}var HR=v(()=>{d();Hg();Ga();Ut(os,Cn);s(os,"PassThrough");os.prototype._transform=function(t,e,n){n(null,t)}});function kr(){Zn.call(this)}var Gg,Wg=v(()=>{d();ia();Ga();mu();Bg();zg();Hg();HR();Ut(kr,Zn);kr.Readable=_t;kr.Writable=an;kr.Duplex=fn;kr.Transform=Cn;kr.PassThrough=os;kr.Stream=kr;Gg=kr;s(kr,"Stream");kr.prototype.pipe=function(t,e){var n=this;function r(m){t.writable&&t.write(m)===!1&&n.pause&&n.pause()}s(r,"ondata"),n.on("data",r);function a(){n.readable&&n.resume&&n.resume()}s(a,"ondrain"),t.on("drain",a),!t._isStdio&&(!e||e.end!==!1)&&(n.on("end",i),n.on("close",c));var o=!1;function i(){o||(o=!0,t.end())}s(i,"onend");function c(){o||(o=!0,typeof t.destroy=="function"&&t.destroy())}s(c,"onclose");function u(m){if(l(),Zn.listenerCount(this,"error")===0)throw m}s(u,"onerror"),n.on("error",u),t.on("error",u);function l(){n.removeListener("data",r),t.removeListener("drain",a),n.removeListener("end",i),n.removeListener("close",c),n.removeListener("error",u),t.removeListener("error",u),n.removeListener("end",l),n.removeListener("close",l),t.removeListener("close",l)}return s(l,"cleanup"),n.on("end",l),n.on("close",l),t.on("close",l),t.emit("pipe",n),t}});var Fe,An=v(()=>{"use strict";d();Fe=class t{static{s(this,"BaseNode")}constructor(e){this._id=e,this._isMainDocument=!1,this._dependents=[],this._dependencies=[]}get id(){return this._id}get type(){throw new Error("Unimplemented")}get startTime(){throw new Error("Unimplemented")}get endTime(){throw new Error("Unimplemented")}setIsMainDocument(e){this._isMainDocument=e}isMainDocument(){return this._isMainDocument}getDependents(){return this._dependents.slice()}getNumberOfDependents(){return this._dependents.length}getDependencies(){return this._dependencies.slice()}getNumberOfDependencies(){return this._dependencies.length}getRootNode(){let e=this;for(;e._dependencies.length;)e=e._dependencies[0];return e}addDependent(e){e.addDependency(this)}addDependency(e){if(e===this)throw new Error("Cannot add dependency on itself");this._dependencies.includes(e)||(e._dependents.push(this),this._dependencies.push(e))}removeDependent(e){e.removeDependency(this)}removeDependency(e){if(!this._dependencies.includes(e))return;let n=e._dependents.indexOf(this);e._dependents.splice(n,1),this._dependencies.splice(this._dependencies.indexOf(e),1)}removeAllDependencies(){for(let e of this._dependencies.slice())this.removeDependency(e)}isDependentOn(e){let n=!1;return this.traverse(r=>{n||(n=r===e)},r=>n?[]:r.getDependencies()),n}cloneWithoutRelationships(){let e=new t(this.id);return e.setIsMainDocument(this._isMainDocument),e}cloneWithRelationships(e){let n=this.getRootNode(),r=new Map;n.traverse(o=>{if(!r.has(o.id)){if(e===void 0){r.set(o.id,o.cloneWithoutRelationships());return}e(o)&&o.traverse(i=>r.set(i.id,i.cloneWithoutRelationships()),i=>i._dependencies.filter(c=>!r.has(c.id)))}}),n.traverse(o=>{let i=r.get(o.id);if(i)for(let c of o._dependencies){let u=r.get(c.id);if(!u)throw new Error("Dependency somehow not cloned");i.addDependency(u)}});let a=r.get(this.id);if(!a)throw new Error("Cloned graph missing node");return a}traverse(e,n){for(let{node:r,traversalPath:a}of this.traverseGenerator(n))e(r,a)}*traverseGenerator(e){e||(e=s(a=>a.getDependents(),"getNextNodes"));let n=[[this]],r=new Set([this.id]);for(;n.length;){let a=n.shift(),o=a[0];yield{node:o,traversalPath:a};for(let i of e(o))r.has(i.id)||(r.add(i.id),n.push([i,...a]))}}static hasCycle(e,n="both"){if(n==="both")return t.hasCycle(e,"dependents")||t.hasCycle(e,"dependencies");let r=new Set,a=[],o=[e],i=new Map([[e,0]]);for(;o.length;){let c=o.pop();if(a.includes(c))return!0;if(r.has(c))continue;for(;a.length>i.get(c);)a.pop();r.add(c),a.push(c);let u=n==="dependents"?c._dependents:c._dependencies;for(let l of u)o.includes(l)||(o.push(l),i.set(l,a.length))}return!1}canDependOn(e){return e.startTime<=this.startTime}};Fe.TYPES={NETWORK:"network",CPU:"cpu"}});var is,Vg=v(()=>{"use strict";d();is=class t{static{s(this,"TcpConnection")}constructor(e,n,r=0,a=!0,o=!1){this._warmed=!1,this._ssl=a,this._h2=o,this._rtt=e,this._throughput=n,this._serverLatency=r,this._congestionWindow=10,this._h2OverflowBytesDownloaded=0}static maximumSaturatedConnections(e,n){let i=1e3/e*1460*8;return Math.floor(n/i)}_computeMaximumCongestionWindowInSegments(){let e=this._throughput/8,n=this._rtt/1e3,r=e*n;return Math.floor(r/1460)}setThroughput(e){this._throughput=e}setCongestionWindow(e){this._congestionWindow=e}setWarmed(e){this._warmed=e}isWarm(){return this._warmed}isH2(){return this._h2}get congestionWindow(){return this._congestionWindow}setH2OverflowBytesDownloaded(e){this._h2&&(this._h2OverflowBytesDownloaded=e)}clone(){return Object.assign(new t(this._rtt,this._throughput),this)}simulateDownloadUntil(e,n){let{timeAlreadyElapsed:r=0,maximumTimeToElapse:a=1/0,dnsResolutionTime:o=0}=n||{};this._warmed&&this._h2&&(e-=this._h2OverflowBytesDownloaded);let i=this._rtt,c=i/2,u=this._computeMaximumCongestionWindowInSegments(),l=c;this._warmed||(l=o+c+c+c+(this._ssl?i:0));let m=Math.ceil(l/i),p=l+this._serverLatency+c;this._warmed&&this._h2&&(p=0);let g=Math.max(p-r,0),f=a-g,y=Math.min(this._congestionWindow,u),b=0;g>0?b=y*1460:m=0;let D=0,T=e-b;for(;T>0&&D<=f;){m++,D+=i,y=Math.max(Math.min(u,y*2),1);let V=y*1460;b+=V,T-=V}let A=g+D,R=this._h2?Math.max(b-e,0):0,F=Math.max(Math.min(b,e),0),M;return this._warmed?this._h2?M={timeToFirstByte:p}:M={connectionTime:l,timeToFirstByte:p}:M={dnsResolutionTime:o,connectionTime:l-o,sslTime:this._ssl?i:void 0,timeToFirstByte:p},{roundTrips:m,timeElapsed:A,bytesDownloaded:F,extraBytesDownloaded:R,congestionWindow:y,connectionTiming:M}}}});var ot,T$,GR,WR,G,S$,Bt=v(()=>{"use strict";d();k();ot={didntCollectScreenshots:"Chrome didn't collect any screenshots during the page load. Please make sure there is content visible on the page, and then try re-running Lighthouse. ({errorCode})",badTraceRecording:"Something went wrong with recording the trace over your page load. Please run Lighthouse again. ({errorCode})",noFcp:"The page did not paint any content. Please ensure you keep the browser window in the foreground during the load and try again. ({errorCode})",noLcp:"The page did not display content that qualifies as a Largest Contentful Paint (LCP). Ensure the page has a valid LCP element and then try again. ({errorCode})",pageLoadTookTooLong:"Your page took too long to load. Please follow the opportunities in the report to reduce your page load time, and then try re-running Lighthouse. ({errorCode})",pageLoadFailed:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests.",pageLoadFailedWithStatusCode:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Status code: {statusCode})",pageLoadFailedWithDetails:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Details: {errorDetails})",pageLoadFailedInsecure:"The URL you have provided does not have a valid security certificate. {securityMessages}",pageLoadFailedInterstitial:"Chrome prevented page load with an interstitial. Make sure you are testing the correct URL and that the server is properly responding to all requests.",internalChromeError:"An internal Chrome error occurred. Please restart Chrome and try re-running Lighthouse.",requestContentTimeout:"Fetching resource content has exceeded the allotted time",notHtml:"The page provided is not HTML (served as MIME type {mimeType}).",urlInvalid:"The URL you have provided appears to be invalid.",protocolTimeout:"Waiting for DevTools protocol response has exceeded the allotted time. (Method: {protocolMethod})",dnsFailure:"DNS servers could not resolve the provided domain.",pageLoadFailedHung:"Lighthouse was unable to reliably load the URL you requested because the page stopped responding.",criTimeout:"Timeout waiting for initial Debugger Protocol connection.",missingRequiredArtifact:"Required {artifactName} gatherer did not run.",erroredRequiredArtifact:"Required {artifactName} gatherer encountered an error: {errorMessage}",oldChromeDoesNotSupportFeature:"This version of Chrome is too old to support '{featureName}'. Use a newer version to see full results."},T$=w("core/lib/lh-error.js",ot),GR="__LighthouseErrorSentinel",WR="__ErrorSentinel",G=class t extends Error{static{s(this,"LighthouseError")}constructor(e,n,r){super(e.code,r),this.name="LighthouseError",this.code=e.code,this.friendlyMessage=T$(e.message,{errorCode:this.code,...n}),this.lhrRuntimeError=!!e.lhrRuntimeError,n&&Object.assign(this,n),Error.captureStackTrace(this,t)}static fromProtocolMessage(e,n){let r=Object.values(t.errors).filter(i=>i.pattern).find(i=>i.pattern&&i.pattern.test(n.message));if(r)return new t(r);let a=`(${e}): ${n.message}`;n.data&&(a+=` (${n.data})`);let o=new Error(`Protocol error ${a}`);return Object.assign(o,{protocolMethod:e,protocolError:n.message})}static stringifyReplacer(e){if(e instanceof t){let{name:n,code:r,message:a,friendlyMessage:o,lhrRuntimeError:i,stack:c,cause:u,...l}=e;return{sentinel:GR,code:r,stack:c,cause:u,properties:l}}if(e instanceof Error){let{message:n,stack:r,cause:a}=e,o=e.code;return{sentinel:WR,message:n,code:o,stack:r,cause:a}}throw new Error("Invalid value for LighthouseError stringification")}static parseReviver(e,n){if(typeof n=="object"&&n!==null){if(n.sentinel===GR){let{code:r,stack:a,cause:o,properties:i}=n,c=t.errors[r],u=new t(c,i,{cause:o});return u.stack=a,u}if(n.sentinel===WR){let{message:r,code:a,stack:o,cause:i}=n,c=i?{cause:i}:void 0,u=new Error(r,c);return Object.assign(u,{code:a,stack:o}),u}}return n}},S$={NO_SPEEDLINE_FRAMES:{code:"NO_SPEEDLINE_FRAMES",message:ot.didntCollectScreenshots,lhrRuntimeError:!0},SPEEDINDEX_OF_ZERO:{code:"SPEEDINDEX_OF_ZERO",message:ot.didntCollectScreenshots,lhrRuntimeError:!0},NO_SCREENSHOTS:{code:"NO_SCREENSHOTS",message:ot.didntCollectScreenshots,lhrRuntimeError:!0},INVALID_SPEEDLINE:{code:"INVALID_SPEEDLINE",message:ot.didntCollectScreenshots,lhrRuntimeError:!0},NO_TRACING_STARTED:{code:"NO_TRACING_STARTED",message:ot.badTraceRecording,lhrRuntimeError:!0},NO_RESOURCE_REQUEST:{code:"NO_RESOURCE_REQUEST",message:ot.badTraceRecording,lhrRuntimeError:!0},NO_NAVSTART:{code:"NO_NAVSTART",message:ot.badTraceRecording,lhrRuntimeError:!0},NO_FCP:{code:"NO_FCP",message:ot.noFcp,lhrRuntimeError:!0},NO_DCL:{code:"NO_DCL",message:ot.badTraceRecording,lhrRuntimeError:!0},NO_FMP:{code:"NO_FMP",message:ot.badTraceRecording},NO_LCP:{code:"NO_LCP",message:ot.noLcp},NO_LCP_ALL_FRAMES:{code:"NO_LCP_ALL_FRAMES",message:ot.noLcp},UNSUPPORTED_OLD_CHROME:{code:"UNSUPPORTED_OLD_CHROME",message:ot.oldChromeDoesNotSupportFeature},NO_TTI_CPU_IDLE_PERIOD:{code:"NO_TTI_CPU_IDLE_PERIOD",message:ot.pageLoadTookTooLong},NO_TTI_NETWORK_IDLE_PERIOD:{code:"NO_TTI_NETWORK_IDLE_PERIOD",message:ot.pageLoadTookTooLong},NO_DOCUMENT_REQUEST:{code:"NO_DOCUMENT_REQUEST",message:ot.pageLoadFailed,lhrRuntimeError:!0},FAILED_DOCUMENT_REQUEST:{code:"FAILED_DOCUMENT_REQUEST",message:ot.pageLoadFailedWithDetails,lhrRuntimeError:!0},ERRORED_DOCUMENT_REQUEST:{code:"ERRORED_DOCUMENT_REQUEST",message:ot.pageLoadFailedWithStatusCode,lhrRuntimeError:!0},INSECURE_DOCUMENT_REQUEST:{code:"INSECURE_DOCUMENT_REQUEST",message:ot.pageLoadFailedInsecure,lhrRuntimeError:!0},CHROME_INTERSTITIAL_ERROR:{code:"CHROME_INTERSTITIAL_ERROR",message:ot.pageLoadFailedInterstitial,lhrRuntimeError:!0},PAGE_HUNG:{code:"PAGE_HUNG",message:ot.pageLoadFailedHung,lhrRuntimeError:!0},NOT_HTML:{code:"NOT_HTML",message:ot.notHtml,lhrRuntimeError:!0},TRACING_ALREADY_STARTED:{code:"TRACING_ALREADY_STARTED",message:ot.internalChromeError,pattern:/Tracing.*started/,lhrRuntimeError:!0},PARSING_PROBLEM:{code:"PARSING_PROBLEM",message:ot.internalChromeError,pattern:/Parsing problem/,lhrRuntimeError:!0},READ_FAILED:{code:"READ_FAILED",message:ot.internalChromeError,pattern:/Read failed/,lhrRuntimeError:!0},INVALID_URL:{code:"INVALID_URL",message:ot.urlInvalid},PROTOCOL_TIMEOUT:{code:"PROTOCOL_TIMEOUT",message:ot.protocolTimeout,lhrRuntimeError:!0},DNS_FAILURE:{code:"DNS_FAILURE",message:ot.dnsFailure,lhrRuntimeError:!0},CRI_TIMEOUT:{code:"CRI_TIMEOUT",message:ot.criTimeout,lhrRuntimeError:!0},MISSING_REQUIRED_ARTIFACT:{code:"MISSING_REQUIRED_ARTIFACT",message:ot.missingRequiredArtifact},ERRORED_REQUIRED_ARTIFACT:{code:"ERRORED_REQUIRED_ARTIFACT",message:ot.erroredRequiredArtifact}};G.errors=S$;G.NO_ERROR="NO_ERROR";G.UNKNOWN_ERROR="UNKNOWN_ERROR"});function R$(t){return!t||!t.startsWith("chrome://")?t:(t.endsWith("/")&&(t=t.replace(/\/$/,"")),t.replace(/^chrome:\/\/chrome\//,"chrome://"))}var x$,C$,A$,F$,ap,te,lt=v(()=>{"use strict";d();Rr();Bt();x$=["https:","http:","chrome:","chrome-extension:"],C$=["data","https","wss","blob","chrome","chrome-extension","about","filesystem"],A$=["localhost","127.0.0.1"],F$=["blob","data","intent","file","filesystem","chrome-extension"];s(R$,"rewriteChromeInternalUrl");ap=class{static{s(this,"UrlUtils")}static isValid(e){try{return new URL(e),!0}catch{return!1}}static hostsMatch(e,n){try{return new URL(e).host===new URL(n).host}catch{return!1}}static originsMatch(e,n){try{return new URL(e).origin===new URL(n).origin}catch{return!1}}static getOrigin(e){try{let n=new URL(e);return n.protocol==="chrome-extension:"?rt.getChromeExtensionOrigin(e):n.host&&n.origin||null}catch{return null}}static rootDomainsMatch(e,n){let r,a;try{r=rt.createOrReturnURL(e),a=rt.createOrReturnURL(n)}catch{return!1}if(!r.hostname||!a.hostname)return!1;let o=rt.getRootDomain(r),i=rt.getRootDomain(a);return o===i}static getURLDisplayName(e,n){return rt.getURLDisplayName(new URL(e),n)}static elideDataURI(e){try{return new URL(e).protocol==="data:"?rt.truncate(e,100):e}catch{return e}}static equalWithExcludedFragments(e,n){[e,n]=[e,n].map(R$);try{let r=new URL(e);r.hash="";let a=new URL(n);return a.hash="",r.href===a.href}catch{return!1}}static isProtocolAllowed(e){try{let n=new URL(e);return x$.includes(n.protocol)}catch{return!1}}static isLikeLocalhost(e){return A$.includes(e)||e.endsWith(".localhost")}static isSecureScheme(e){return C$.includes(e)}static isNonNetworkProtocol(e){let n=e.includes(":")?e.slice(0,e.indexOf(":")):e;return F$.includes(n)}static guessMimeType(e){let n;try{n=new URL(e)}catch{return}if(n.protocol==="data:"){let o=n.pathname.match(/^(image\/(png|jpeg|svg\+xml|webp|gif|avif))[;,]/);return o?o[1]:void 0}let r=n.pathname.toLowerCase().match(/\.(png|jpeg|jpg|svg|webp|gif|avif)$/);if(!r)return;let a=r[1];return a==="svg"?"image/svg+xml":a==="jpg"?"image/jpeg":`image/${a}`}static normalizeUrl(e){if(e&&this.isValid(e)&&this.isProtocolAllowed(e))return new URL(e).href;throw new G(G.errors.INVALID_URL)}};ap.INVALID_URL_DEBUG_STRING="Lighthouse was unable to determine the URL of some script executions. It's possible a Chrome extension or other eval'd code is the source.";te=ap});var VR,_$,k$,Qt,Jo=v(()=>{"use strict";d();lt();VR=14*1024,_$=.4,k$={Document:.9,XHR:.9,Fetch:.9},Qt=class t{static{s(this,"NetworkAnalyzer")}static get SUMMARY(){return"__SUMMARY__"}static groupByOrigin(e){let n=new Map;return e.forEach(r=>{let a=r.parsedURL.securityOrigin,o=n.get(a)||[];o.push(r),n.set(a,o)}),n}static getSummary(e){e.sort((r,a)=>r-a);let n;if(e.length===0)n=e[0];else if(e.length%2===0){let r=e[Math.floor((e.length-1)/2)],a=e[Math.floor((e.length-1)/2)+1];n=(r+a)/2}else n=e[Math.floor((e.length-1)/2)];return{min:e[0],max:e[e.length-1],avg:e.reduce((r,a)=>r+a,0)/e.length,median:n}}static summarize(e){let n=new Map,r=[];for(let[a,o]of e)n.set(a,t.getSummary(o)),r.push(...o);return n.set(t.SUMMARY,t.getSummary(r)),n}static _estimateValueByOrigin(e,n){let r=t.estimateIfConnectionWasReused(e),a=t.groupByOrigin(e),o=new Map;for(let[i,c]of a.entries()){let u=[];for(let l of c){let m=l.timing;if(!m)continue;let p=n({record:l,timing:m,connectionReused:r.get(l.requestId)});typeof p<"u"&&(u=u.concat(p))}u.length&&o.set(i,u)}return o}static _estimateRTTViaConnectionTiming(e){let{timing:n,connectionReused:r,record:a}=e;if(r)return;if(globalThis.isLightrider&&a.lrStatistics)return a.protocol.startsWith("h3")?a.lrStatistics.TCPMs:[a.lrStatistics.TCPMs/2,a.lrStatistics.TCPMs/2];let{connectStart:o,sslStart:i,sslEnd:c,connectEnd:u}=n;if(u>=0&&o>=0&&a.protocol.startsWith("h3"))return u-o;if(i>=0&&c>=0&&i!==o)return[u-i,i-o];if(o>=0&&u>=0)return u-o}static _estimateRTTViaDownloadTiming(e){let{timing:n,connectionReused:r,record:a}=e;if(r||a.transferSize<=VR||!Number.isFinite(n.receiveHeadersEnd)||n.receiveHeadersEnd<0)return;let i=a.networkEndTime-a.networkRequestTime-n.receiveHeadersEnd,c=Math.log2(a.transferSize/VR);if(!(c>5))return i/c}static _estimateRTTViaSendStartTiming(e){let{timing:n,connectionReused:r,record:a}=e;if(r||!Number.isFinite(n.sendStart)||n.sendStart<0)return;let o=1;return a.protocol.startsWith("h3")||(o+=1),a.parsedURL.scheme==="https"&&(o+=1),n.sendStart/o}static _estimateRTTViaHeadersEndTiming(e){let{timing:n,connectionReused:r,record:a}=e;if(!Number.isFinite(n.receiveHeadersEnd)||n.receiveHeadersEnd<0||!a.resourceType)return;let o=k$[a.resourceType]||_$,i=n.receiveHeadersEnd*o,c=1;return r||(c+=1,a.protocol.startsWith("h3")||(c+=1),a.parsedURL.scheme==="https"&&(c+=1)),Math.max((n.receiveHeadersEnd-i)/c,3)}static _estimateResponseTimeByOrigin(e,n){return t._estimateValueByOrigin(e,({record:r,timing:a})=>{if(globalThis.isLightrider&&r.lrStatistics)return r.lrStatistics.requestMs;if(!Number.isFinite(a.receiveHeadersEnd)||a.receiveHeadersEnd<0||!Number.isFinite(a.sendEnd)||a.sendEnd<0)return;let o=a.receiveHeadersEnd-a.sendEnd,i=r.parsedURL.securityOrigin,c=n.get(i)||n.get(t.SUMMARY)||0;return Math.max(o-c,0)})}static canTrustConnectionInformation(e){let n=new Map;for(let r of e){let a=n.get(r.connectionId)||!r.connectionReused;n.set(r.connectionId,a)}return n.size<=1?!1:Array.from(n.values()).every(r=>r)}static estimateIfConnectionWasReused(e,n){let{forceCoarseEstimates:r=!1}=n||{};if(!r&&t.canTrustConnectionInformation(e))return new Map(e.map(i=>[i.requestId,!!i.connectionReused]));let a=new Map,o=t.groupByOrigin(e);for(let[i,c]of o.entries()){let u=c.map(m=>m.networkEndTime).reduce((m,p)=>Math.min(m,p),1/0);for(let m of c)a.set(m.requestId,m.networkRequestTime>=u||m.protocol==="h2");let l=c.reduce((m,p)=>m.networkRequestTime>p.networkRequestTime?p:m);a.set(l.requestId,!1)}return a}static estimateRTTByOrigin(e,n){let{forceCoarseEstimates:r=!1,coarseEstimateMultiplier:a=.3,useDownloadEstimates:o=!0,useSendStartEstimates:i=!0,useHeadersEndEstimates:c=!0}=n||{},u=t.estimateIfConnectionWasReused(e),l=t.groupByOrigin(e),m=new Map;for(let[g,f]of l.entries()){let b=function(D,T=1){for(let A of f){let R=A.timing;if(!R)continue;let F=D({record:A,timing:R,connectionReused:u.get(A.requestId)});F!==void 0&&(Array.isArray(F)?y.push(...F.map(M=>M*T)):y.push(F*T))}};var p=b;s(b,"collectEstimates");let y=[];r||b(this._estimateRTTViaConnectionTiming),y.length||(o&&b(this._estimateRTTViaDownloadTiming,a),i&&b(this._estimateRTTViaSendStartTiming,a),c&&b(this._estimateRTTViaHeadersEndTiming,a)),y.length&&m.set(g,y)}if(!m.size)throw new Error("No timing information available");return t.summarize(m)}static estimateServerResponseTimeByOrigin(e,n){let r=(n||{}).rttByOrigin;if(!r){r=new Map;let o=t.estimateRTTByOrigin(e,n);for(let[i,c]of o.entries())r.set(i,c.min)}let a=t._estimateResponseTimeByOrigin(e,r);return t.summarize(a)}static estimateThroughput(e){let n=0,r=e.reduce((c,u)=>(u.parsedURL?.scheme==="data"||u.failed||!u.finished||u.statusCode>300||!u.transferSize||(n+=u.transferSize,c.push({time:u.responseHeadersEndTime/1e3,isStart:!0}),c.push({time:u.networkEndTime/1e3,isStart:!1})),c),[]).sort((c,u)=>c.time-u.time);if(!r.length)return 1/0;let a=0,o=0,i=0;return r.forEach(c=>{c.isStart?(a===0&&(o=c.time),a++):(a--,a===0&&(i+=c.time-o))}),n*8/i}static findResourceForUrl(e,n){return e.find(r=>n.startsWith(r.url)&&te.equalWithExcludedFragments(r.url,n))}static resolveRedirects(e){for(;e.redirectDestination;)e=e.redirectDestination;return e}}});var I$,M$,N$,op,$R=v(()=>{"use strict";d();Yt();Jo();Vg();I$=30,M$=["https","wss"],N$=6,op=class{static{s(this,"ConnectionPool")}constructor(e,n){this._options=n,this._records=e,this._connectionsByOrigin=new Map,this._connectionsByRecord=new Map,this._connectionsInUse=new Set,this._connectionReusedByRequestId=Qt.estimateIfConnectionWasReused(e,{forceCoarseEstimates:!0}),this._initializeConnections()}connectionsInUse(){return Array.from(this._connectionsInUse)}_initializeConnections(){let e=this._connectionReusedByRequestId,n=this._options.additionalRttByOrigin,r=this._options.serverResponseTimeByOrigin,a=Qt.groupByOrigin(this._records);for(let[o,i]of a.entries()){let c=[],u=n.get(o)||0,l=r.get(o)||I$;for(let p of i){if(e.get(p.requestId))continue;let g=M$.includes(p.parsedURL.scheme),f=p.protocol==="h2",y=new is(this._options.rtt+u,this._options.throughput,l,g,f);c.push(y)}if(!c.length)throw new Error(`Could not find a connection for origin: ${o}`);let m=c[0].isH2()?1:N$;for(;c.length<m;)c.push(c[0].clone());this._connectionsByOrigin.set(o,c)}}_findAvailableConnectionWithLargestCongestionWindow(e,n){let{ignoreConnectionReused:r,observedConnectionWasReused:a}=n,o=null;for(let i=0;i<e.length;i++){let c=e[i];if(!r&&c._warmed!==a||this._connectionsInUse.has(c))continue;let u=o?.congestionWindow||-1/0;c.congestionWindow>u&&(o=c)}return o}acquire(e,n={}){if(this._connectionsByRecord.has(e))throw new Error("Record already has a connection");let r=e.parsedURL.securityOrigin,a=!!this._connectionReusedByRequestId.get(e.requestId),o=this._connectionsByOrigin.get(r)||[],i=this._findAvailableConnectionWithLargestCongestionWindow(o,{ignoreConnectionReused:n.ignoreConnectionReused,observedConnectionWasReused:a});return i?(this._connectionsInUse.add(i),this._connectionsByRecord.set(e,i),i):null}acquireActiveConnectionFromRecord(e){let n=this._connectionsByRecord.get(e);if(!n)throw new Error("Could not find an active connection for record");return n}release(e){let n=this._connectionsByRecord.get(e);this._connectionsByRecord.delete(e),this._connectionsInUse.delete(n)}}});var L$,ss,YR=v(()=>{"use strict";d();Yt();L$=2,ss=class t{static{s(this,"DNSCache")}constructor({rtt:e}){this._rtt=e,this._resolvedDomainNames=new Map}getTimeUntilResolution(e,n){let{requestedAt:r=0,shouldUpdateCache:a=!1}=n||{},o=e.parsedURL.host,i=this._resolvedDomainNames.get(o),c=this._rtt*t.RTT_MULTIPLIER;if(i){let l=Math.max(i.resolvedAt-r,0);c=Math.min(l,c)}let u=r+c;return a&&this._updateCacheResolvedAtIfNeeded(e,u),c}_updateCacheResolvedAtIfNeeded(e,n){let r=e.parsedURL.host,a=this._resolvedDomainNames.get(r)||{resolvedAt:n};a.resolvedAt=Math.min(a.resolvedAt,n),this._resolvedDomainNames.set(r,a)}setResolvedAt(e,n){this._resolvedDomainNames.set(e,{resolvedAt:n})}};ss.RTT_MULTIPLIER=L$});var pu,KR=v(()=>{"use strict";d();An();pu=class{static{s(this,"SimulatorTimingMap")}constructor(){this._nodeTimings=new Map}getNodes(){return Array.from(this._nodeTimings.keys())}setReadyToStart(e,n){this._nodeTimings.set(e,n)}setInProgress(e,n){let r={...this.getQueued(e),startTime:n.startTime,timeElapsed:0};this._nodeTimings.set(e,e.type===Fe.TYPES.NETWORK?{...r,timeElapsedOvershoot:0,bytesDownloaded:0}:r)}setCompleted(e,n){let r={...this.getInProgress(e),endTime:n.endTime,connectionTiming:n.connectionTiming};this._nodeTimings.set(e,r)}setCpu(e,n){let r={...this.getCpuStarted(e),timeElapsed:n.timeElapsed};this._nodeTimings.set(e,r)}setCpuEstimated(e,n){let r={...this.getCpuStarted(e),estimatedTimeElapsed:n.estimatedTimeElapsed};this._nodeTimings.set(e,r)}setNetwork(e,n){let r={...this.getNetworkStarted(e),timeElapsed:n.timeElapsed,timeElapsedOvershoot:n.timeElapsedOvershoot,bytesDownloaded:n.bytesDownloaded};this._nodeTimings.set(e,r)}setNetworkEstimated(e,n){let r={...this.getNetworkStarted(e),estimatedTimeElapsed:n.estimatedTimeElapsed};this._nodeTimings.set(e,r)}getQueued(e){let n=this._nodeTimings.get(e);if(!n)throw new Error(`Node ${e.id} not yet queued`);return n}getCpuStarted(e){let n=this._nodeTimings.get(e);if(!n)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in n))throw new Error(`Node ${e.id} not yet started`);if("bytesDownloaded"in n)throw new Error(`Node ${e.id} timing not valid`);return n}getNetworkStarted(e){let n=this._nodeTimings.get(e);if(!n)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in n))throw new Error(`Node ${e.id} not yet started`);if(!("bytesDownloaded"in n))throw new Error(`Node ${e.id} timing not valid`);return n}getInProgress(e){let n=this._nodeTimings.get(e);if(!n)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in n))throw new Error(`Node ${e.id} not yet started`);if(!("estimatedTimeElapsed"in n))throw new Error(`Node ${e.id} not yet in progress`);return n}getCompleted(e){let n=this._nodeTimings.get(e);if(!n)throw new Error(`Node ${e.id} not yet queued`);if(!("startTime"in n))throw new Error(`Node ${e.id} not yet started`);if(!("estimatedTimeElapsed"in n))throw new Error(`Node ${e.id} not yet in progress`);if(!("endTime"in n))throw new Error(`Node ${e.id} not yet completed`);return n}}});var Ir={};S(Ir,{defaultNavigationConfig:()=>fu,defaultSettings:()=>Qn,nonSimulatedPassConfigOverrides:()=>cs,screenEmulationMetrics:()=>ip,throttling:()=>Wn,userAgents:()=>Wa});var Wn,P$,O$,ip,U$,B$,Wa,Qn,fu,cs,Vn=v(()=>{"use strict";d();Wn={DEVTOOLS_RTT_ADJUSTMENT_FACTOR:3.75,DEVTOOLS_THROUGHPUT_ADJUSTMENT_FACTOR:.9,mobileSlow4G:{rttMs:150,throughputKbps:1638.4,requestLatencyMs:562.5,downloadThroughputKbps:1474.5600000000002,uploadThroughputKbps:675,cpuSlowdownMultiplier:4},mobileRegular3G:{rttMs:300,throughputKbps:700,requestLatencyMs:1125,downloadThroughputKbps:630,uploadThroughputKbps:630,cpuSlowdownMultiplier:4},desktopDense4G:{rttMs:40,throughputKbps:10240,cpuSlowdownMultiplier:1,requestLatencyMs:0,downloadThroughputKbps:0,uploadThroughputKbps:0}},P$={mobile:!0,width:412,height:823,deviceScaleFactor:1.75,disabled:!1},O$={mobile:!1,width:1350,height:940,deviceScaleFactor:1,disabled:!1},ip={mobile:P$,desktop:O$},U$="Mozilla/5.0 (Linux; Android 11; moto g power (2022)) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/109.0.0.0 Mobile Safari/537.36",B$="Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/109.0.0.0 Safari/537.36",Wa={mobile:U$,desktop:B$},Qn={output:"json",maxWaitForFcp:30*1e3,maxWaitForLoad:45*1e3,pauseAfterFcpMs:1e3,pauseAfterLoadMs:1e3,networkQuietThresholdMs:1e3,cpuQuietThresholdMs:1e3,formFactor:"mobile",throttling:Wn.mobileSlow4G,throttlingMethod:"simulate",screenEmulation:ip.mobile,emulatedUserAgent:Wa.mobile,auditMode:!1,gatherMode:!1,disableStorageReset:!1,debugNavigation:!1,channel:"node",usePassiveGathering:!1,disableFullPageScreenshot:!1,skipAboutBlank:!1,blankPage:"about:blank",budgets:null,locale:"en-US",blockedUrlPatterns:null,additionalTraceCategories:null,extraHeaders:null,precomputedLanternData:null,onlyAudits:null,onlyCategories:null,skipAudits:null},fu={id:"defaultPass",loadFailureMode:"fatal",disableThrottling:!1,disableStorageReset:!1,pauseAfterFcpMs:0,pauseAfterLoadMs:0,networkQuietThresholdMs:0,cpuQuietThresholdMs:0,blockedUrlPatterns:[],blankPage:"about:blank",artifacts:[]},cs={pauseAfterFcpMs:5250,pauseAfterLoadMs:5250,networkQuietThresholdMs:5250,cpuQuietThresholdMs:5250}});var $g,j$,q$,z$,er,H$,JR,gu,Yg=v(()=>{"use strict";d();Yt();An();Vg();$R();YR();KR();Vn();$g=Wn.mobileSlow4G,j$=10,q$=.5,z$=1e4,er={NotReadyToStart:0,ReadyToStart:1,InProgress:2,Complete:3},H$={VeryHigh:0,High:.25,Medium:.5,Low:1,VeryLow:2},JR=new Map,gu=class t{static{s(this,"Simulator")}constructor(e){if(this._options=Object.assign({rtt:$g.rttMs,throughput:$g.throughputKbps*1024,maximumConcurrentRequests:j$,cpuSlowdownMultiplier:$g.cpuSlowdownMultiplier,layoutTaskMultiplier:q$,additionalRttByOrigin:new Map,serverResponseTimeByOrigin:new Map},e),this._rtt=this._options.rtt,this._throughput=this._options.throughput,this._maximumConcurrentRequests=Math.max(Math.min(is.maximumSaturatedConnections(this._rtt,this._throughput),this._options.maximumConcurrentRequests),1),this._cpuSlowdownMultiplier=this._options.cpuSlowdownMultiplier,this._layoutTaskMultiplier=this._cpuSlowdownMultiplier*this._options.layoutTaskMultiplier,this._cachedNodeListByStartPosition=[],this._flexibleOrdering=!1,this._nodeTimings=new pu,this._numberInProgressByType=new Map,this._nodes={},this._dns=new ss({rtt:this._rtt}),this._connectionPool=null,!Number.isFinite(this._rtt))throw new Error(`Invalid rtt ${this._rtt}`);if(!Number.isFinite(this._throughput))throw new Error(`Invalid rtt ${this._throughput}`)}get rtt(){return this._rtt}_initializeConnectionPool(e){let n=[];e.getRootNode().traverse(r=>{r.type===Fe.TYPES.NETWORK&&n.push(r.record)}),this._connectionPool=new op(n,this._options)}_initializeAuxiliaryData(){this._nodeTimings=new pu,this._numberInProgressByType=new Map,this._nodes={},this._cachedNodeListByStartPosition=[];for(let e of Object.values(er))this._nodes[e]=new Set}_numberInProgress(e){return this._numberInProgressByType.get(e)||0}_markNodeAsReadyToStart(e,n){let r=t._computeNodeStartPosition(e),a=this._cachedNodeListByStartPosition.findIndex(i=>t._computeNodeStartPosition(i)>r),o=a===-1?this._cachedNodeListByStartPosition.length:a;this._cachedNodeListByStartPosition.splice(o,0,e),this._nodes[er.ReadyToStart].add(e),this._nodes[er.NotReadyToStart].delete(e),this._nodeTimings.setReadyToStart(e,{queuedTime:n})}_markNodeAsInProgress(e,n){let r=this._cachedNodeListByStartPosition.indexOf(e);this._cachedNodeListByStartPosition.splice(r,1),this._nodes[er.InProgress].add(e),this._nodes[er.ReadyToStart].delete(e),this._numberInProgressByType.set(e.type,this._numberInProgress(e.type)+1),this._nodeTimings.setInProgress(e,{startTime:n})}_markNodeAsComplete(e,n,r){this._nodes[er.Complete].add(e),this._nodes[er.InProgress].delete(e),this._numberInProgressByType.set(e.type,this._numberInProgress(e.type)-1),this._nodeTimings.setCompleted(e,{endTime:n,connectionTiming:r});for(let a of e.getDependents())a.getDependencies().some(i=>!this._nodes[er.Complete].has(i))||this._markNodeAsReadyToStart(a,n)}_acquireConnection(e){return this._connectionPool.acquire(e,{ignoreConnectionReused:this._flexibleOrdering})}_getNodesSortedByStartPosition(){return Array.from(this._cachedNodeListByStartPosition)}_startNodeIfPossible(e,n){if(e.type===Fe.TYPES.CPU){this._numberInProgress(e.type)===0&&this._markNodeAsInProgress(e,n);return}if(e.type!==Fe.TYPES.NETWORK)throw new Error("Unsupported");!e.isConnectionless&&(this._numberInProgress(e.type)>=this._maximumConcurrentRequests||!this._acquireConnection(e.record))||this._markNodeAsInProgress(e,n)}_updateNetworkCapacity(){let e=this._numberInProgress(Fe.TYPES.NETWORK);if(e!==0)for(let n of this._connectionPool.connectionsInUse())n.setThroughput(this._throughput/e)}_estimateTimeRemaining(e){if(e.type===Fe.TYPES.CPU)return this._estimateCPUTimeRemaining(e);if(e.type===Fe.TYPES.NETWORK)return this._estimateNetworkTimeRemaining(e);throw new Error("Unsupported")}_estimateCPUTimeRemaining(e){let n=this._nodeTimings.getCpuStarted(e),r=e.didPerformLayout()?this._layoutTaskMultiplier:this._cpuSlowdownMultiplier,o=Math.min(Math.round(e.event.dur/1e3*r),z$)-n.timeElapsed;return this._nodeTimings.setCpuEstimated(e,{estimatedTimeElapsed:o}),o}_estimateNetworkTimeRemaining(e){let n=e.record,r=this._nodeTimings.getNetworkStarted(e),a=0;if(e.fromDiskCache)a=8+20*((n.resourceSize||0)/1024/1024)-r.timeElapsed;else if(e.isNonNetworkProtocol)a=2+10*((n.resourceSize||0)/1024/1024)-r.timeElapsed;else{let i=this._connectionPool.acquireActiveConnectionFromRecord(n),c=this._dns.getTimeUntilResolution(n,{requestedAt:r.startTime,shouldUpdateCache:!0}),u=r.timeElapsed;a=i.simulateDownloadUntil(n.transferSize-r.bytesDownloaded,{timeAlreadyElapsed:u,dnsResolutionTime:c,maximumTimeToElapse:1/0}).timeElapsed}let o=a+r.timeElapsedOvershoot;return this._nodeTimings.setNetworkEstimated(e,{estimatedTimeElapsed:o}),o}_findNextNodeCompletionTime(){let e=1/0;for(let n of this._nodes[er.InProgress])e=Math.min(e,this._estimateTimeRemaining(n));return e}_updateProgressMadeInTimePeriod(e,n,r){let a=this._nodeTimings.getInProgress(e),o=a.estimatedTimeElapsed===n;if(e.type===Fe.TYPES.CPU||e.isConnectionless)return o?this._markNodeAsComplete(e,r):a.timeElapsed+=n;if(e.type!==Fe.TYPES.NETWORK)throw new Error("Unsupported");if(!("bytesDownloaded"in a))throw new Error("Invalid timing data");let i=e.record,c=this._connectionPool.acquireActiveConnectionFromRecord(i),u=this._dns.getTimeUntilResolution(i,{requestedAt:a.startTime,shouldUpdateCache:!0}),l=c.simulateDownloadUntil(i.transferSize-a.bytesDownloaded,{dnsResolutionTime:u,timeAlreadyElapsed:a.timeElapsed,maximumTimeToElapse:n-a.timeElapsedOvershoot});c.setCongestionWindow(l.congestionWindow),c.setH2OverflowBytesDownloaded(l.extraBytesDownloaded),o?(c.setWarmed(!0),this._connectionPool.release(i),this._markNodeAsComplete(e,r,l.connectionTiming)):(a.timeElapsed+=l.timeElapsed,a.timeElapsedOvershoot+=l.timeElapsed-n,a.bytesDownloaded+=l.bytesDownloaded)}_computeFinalNodeTimings(){let e=this._nodeTimings.getNodes().map(r=>[r,this._nodeTimings.getCompleted(r)]);e.sort((r,a)=>r[1].startTime-a[1].startTime);let n=e.map(([r,a])=>[r,{startTime:a.startTime,endTime:a.endTime,duration:a.endTime-a.startTime}]);return{nodeTimings:new Map(n),completeNodeTimings:new Map(e)}}getOptions(){return this._options}simulate(e,n){if(Fe.hasCycle(e))throw new Error("Cannot simulate graph with cycle");n=Object.assign({label:void 0,flexibleOrdering:!1},n),this._flexibleOrdering=!!n.flexibleOrdering,this._dns=new ss({rtt:this._rtt}),this._initializeConnectionPool(e),this._initializeAuxiliaryData();let r=this._nodes[er.NotReadyToStart],a=this._nodes[er.ReadyToStart],o=this._nodes[er.InProgress],i=e.getRootNode();i.traverse(p=>r.add(p));let c=0,u=0;for(this._markNodeAsReadyToStart(i,c);a.size||o.size;){for(let g of this._getNodesSortedByStartPosition())this._startNodeIfPossible(g,c);if(!o.size){if(this._flexibleOrdering)throw new Error("Failed to start a node");this._flexibleOrdering=!0;continue}this._updateNetworkCapacity();let p=this._findNextNodeCompletionTime();if(c+=p,!Number.isFinite(p)||u>1e5)throw new Error("Simulation failed, depth exceeded");u++;for(let g of o)this._updateProgressMadeInTimePeriod(g,p,c)}let{nodeTimings:l,completeNodeTimings:m}=this._computeFinalNodeTimings();return JR.set(n.label||"unlabeled",m),{timeInMs:c,nodeTimings:l}}computeWastedMsFromWastedBytes(e){let{throughput:n,observedThroughput:r}=this._options,a=n===0?r:n;if(a===0)return 0;let i=e*8/a*1e3;return Math.round(i/10)*10}static get ALL_NODE_TIMINGS(){return JR}static _computeNodeStartPosition(e){return e.type==="cpu"?e.startTime:e.startTime+(H$[e.record.priority]*1e3*1e3||0)}}});var XR=v(()=>{"use strict";d();});var ZR=v(()=>{"use strict";d();He();Ar();});var QR,sp,e_=v(()=>{"use strict";d();QR=zt(cu(),1);sp=class t{static{s(this,"ArbitraryEqualityMap")}constructor(){this._equalsFn=t.deepEquals,this._entries=[]}setEqualityFn(e){this._equalsFn=e}has(e){return this._findIndexOf(e)!==-1}get(e){return this._entries[this._findIndexOf(e)]?.value}set(e,n){let r=this._findIndexOf(e);r===-1&&(r=this._entries.length),this._entries[r]={key:e,value:n}}_findIndexOf(e){for(let n=0;n<this._entries.length;n++)if(this._equalsFn(e,this._entries[n].key))return n;return-1}static deepEquals(e,n){return(0,QR.default)(e,n)}}});function W(t,e){return Object.assign(t,{request:s((r,a)=>{let o=e?Object.fromEntries(e.map(g=>[g,r[g]])):r,i=a.computedCache,c=t.name,u=i.get(c)||new sp;i.set(c,u);let l=u.get(o);if(l)return l;let m={msg:`Computing artifact: ${c}`,id:`lh:computed:${c}`};N.time(m,"verbose");let p=t.compute_(o,a);return u.set(o,p),p.then(()=>N.timeEnd(m)).catch(()=>N.timeEnd(m)),p},"request")})}var we=v(()=>{"use strict";d();He();e_();s(W,"makeComputedArtifact")});var t_,n_,r_,a_,o_,i_,s_,cp,Y,St=v(()=>{"use strict";d();Yt();lt();t_="X-TCPMs",n_="X-SSLMs",r_="X-RequestMs",a_="X-ResponseMs",o_="X-TotalMs",i_="X-TotalFetchedSize",s_="X-ProtocolIsH2",cp={XHR:"XHR",Fetch:"Fetch",EventSource:"EventSource",Script:"Script",Stylesheet:"Stylesheet",Image:"Image",Media:"Media",Font:"Font",Document:"Document",TextTrack:"TextTrack",WebSocket:"WebSocket",Other:"Other",Manifest:"Manifest",SignedExchange:"SignedExchange",Ping:"Ping",Preflight:"Preflight",CSPViolationReport:"CSPViolationReport",Prefetch:"Prefetch"},Y=class t{static{s(this,"NetworkRequest")}constructor(){this.requestId="",this.connectionId="0",this.connectionReused=!1,this.url="",this.protocol="",this.isSecure=!1,this.isValid=!1,this.parsedURL={scheme:""},this.documentURL="",this.rendererStartTime=-1,this.networkRequestTime=-1,this.responseHeadersEndTime=-1,this.networkEndTime=-1,this.transferSize=0,this.resourceSize=0,this.fromDiskCache=!1,this.fromMemoryCache=!1,this.fromPrefetchCache=!1,this.lrStatistics=void 0,this.finished=!1,this.requestMethod="",this.statusCode=-1,this.redirectSource=void 0,this.redirectDestination=void 0,this.redirects=void 0,this.failed=!1,this.localizedFailDescription="",this.initiator={type:"other"},this.timing=void 0,this.resourceType=void 0,this.mimeType="",this.priority="Low",this.initiatorRequest=void 0,this.responseHeaders=[],this.responseHeadersText="",this.fetchedViaServiceWorker=!1,this.frameId="",this.sessionId=void 0,this.sessionTargetType=void 0,this.isLinkPreload=!1}hasErrorStatusCode(){return this.statusCode>=400}setInitiatorRequest(e){this.initiatorRequest=e}onRequestWillBeSent(e){this.requestId=e.requestId;let n;try{n=new URL(e.request.url)}catch{return}this.url=e.request.url,this.documentURL=e.documentURL,this.parsedURL={scheme:n.protocol.split(":")[0],host:n.hostname,securityOrigin:n.origin},this.isSecure=te.isSecureScheme(this.parsedURL.scheme),this.rendererStartTime=e.timestamp*1e3,this.networkRequestTime=this.rendererStartTime,this.requestMethod=e.request.method,this.initiator=e.initiator,this.resourceType=e.type&&cp[e.type],this.priority=e.request.initialPriority,this.frameId=e.frameId,this.isLinkPreload=e.initiator.type==="preload"||!!e.request.isLinkPreload,this.isValid=!0}onRequestServedFromCache(){this.fromMemoryCache=!0}onResponseReceived(e){this._onResponse(e.response,e.timestamp,e.type),this._updateProtocolForLightrider(),this.frameId=e.frameId}onDataReceived(e){this.resourceSize+=e.dataLength,e.encodedDataLength!==-1&&(this.transferSize+=e.encodedDataLength)}onLoadingFinished(e){this.finished||(this.finished=!0,this.networkEndTime=e.timestamp*1e3,e.encodedDataLength>=0&&(this.transferSize=e.encodedDataLength),this._updateResponseHeadersEndTimeIfNecessary(),this._backfillReceiveHeaderStartTiming(),this._updateTransferSizeForLightrider(),this._updateTimingsForLightrider())}onLoadingFailed(e){this.finished||(this.finished=!0,this.networkEndTime=e.timestamp*1e3,this.failed=!0,this.resourceType=e.type&&cp[e.type],this.localizedFailDescription=e.errorText,this._updateResponseHeadersEndTimeIfNecessary(),this._backfillReceiveHeaderStartTiming(),this._updateTransferSizeForLightrider(),this._updateTimingsForLightrider())}onResourceChangedPriority(e){this.priority=e.newPriority}onRedirectResponse(e){if(!e.redirectResponse)throw new Error("Missing redirectResponse data");this._onResponse(e.redirectResponse,e.timestamp,e.type),this.resourceType=void 0,this.finished=!0,this.networkEndTime=e.timestamp*1e3,this._updateResponseHeadersEndTimeIfNecessary(),this._backfillReceiveHeaderStartTiming()}setSession(e){this.sessionId=e}get isOutOfProcessIframe(){return this.sessionTargetType==="iframe"}_onResponse(e,n,r){this.url=e.url,this.connectionId=String(e.connectionId),this.connectionReused=e.connectionReused,e.protocol&&(this.protocol=e.protocol),this.responseHeadersEndTime=n*1e3,this.transferSize=e.encodedDataLength,typeof e.fromDiskCache=="boolean"&&(this.fromDiskCache=e.fromDiskCache),typeof e.fromPrefetchCache=="boolean"&&(this.fromPrefetchCache=e.fromPrefetchCache),this.statusCode=e.status,this.timing=e.timing,r&&(this.resourceType=cp[r]),this.mimeType=e.mimeType,this.responseHeadersText=e.headersText||"",this.responseHeaders=t._headersDictToHeadersArray(e.headers),this.fetchedViaServiceWorker=!!e.fromServiceWorker,this.fromMemoryCache&&(this.timing=void 0),this.timing&&this._recomputeTimesWithResourceTiming(this.timing)}_recomputeTimesWithResourceTiming(e){if(e.requestTime===0||e.receiveHeadersEnd===-1)return;this.networkRequestTime=e.requestTime*1e3;let n=this.networkRequestTime+e.receiveHeadersEnd,r=this.responseHeadersEndTime;this.responseHeadersEndTime=n,this.responseHeadersEndTime=Math.min(this.responseHeadersEndTime,r),this.responseHeadersEndTime=Math.max(this.responseHeadersEndTime,this.networkRequestTime),this.networkEndTime=Math.max(this.networkEndTime,this.responseHeadersEndTime)}_updateResponseHeadersEndTimeIfNecessary(){this.responseHeadersEndTime=Math.min(this.networkEndTime,this.responseHeadersEndTime)}_updateTransferSizeForLightrider(){if(!globalThis.isLightrider)return;let e=this.responseHeaders.find(r=>r.name===i_);if(!e)return;let n=parseFloat(e.value);isNaN(n)||(this.transferSize=n)}_updateProtocolForLightrider(){globalThis.isLightrider&&this.responseHeaders.some(e=>e.name===s_)&&(this.protocol="h2")}_backfillReceiveHeaderStartTiming(){!this.timing||this.timing.receiveHeadersStart!==void 0||(this.timing.receiveHeadersStart=this.timing.receiveHeadersEnd)}_updateTimingsForLightrider(){if(!globalThis.isLightrider)return;let e=this.responseHeaders.find(p=>p.name===o_);if(!e)return;let n=parseInt(e.value),r=this.responseHeaders.find(p=>p.name===t_),a=this.responseHeaders.find(p=>p.name===n_),o=this.responseHeaders.find(p=>p.name===r_),i=this.responseHeaders.find(p=>p.name===a_),c=r?Math.max(0,parseInt(r.value)):0,u=a?Math.max(0,parseInt(a.value)):0,l=o?Math.max(0,parseInt(o.value)):0,m=i?Math.max(0,parseInt(i.value)):0;if(!Number.isNaN(c+l+m+n)){if(c+l+m!==n){if(Math.abs(c+l+m-n)>=25)return;n=c+l+m}u>c||(this.lrStatistics={endTimeDeltaMs:this.networkEndTime-(this.networkRequestTime+n),TCPMs:c,requestMs:l,responseMs:m})}}static getRequestIdForBackend(e){return e.replace(/(:redirect)+$/,"")}static _headersDictToHeadersArray(e){let n=[];for(let r of Object.keys(e)){let a=e[r].split(`
`);for(let o=0;o<a.length;++o)n.push({name:r,value:a[o]})}return n}static get TYPES(){return cp}static isNonNetworkRequest(e){return te.isNonNetworkProtocol(e.protocol)||te.isNonNetworkProtocol(e.parsedURL.scheme)}static isSecureRequest(e){return te.isSecureScheme(e.parsedURL.scheme)||te.isSecureScheme(e.protocol)||te.isLikeLocalhost(e.parsedURL.host)||t.isHstsRequest(e)}static isHstsRequest(e){let n=e.redirectDestination;return n?e.responseHeaders.find(o=>o.name==="Non-Authoritative-Reason")?.value==="HSTS"&&t.isSecureRequest(n):!1}static getResourceSizeOnNetwork(e){return Math.min(e.resourceSize||0,e.transferSize||1/0)}};Y.HEADER_TCP=t_;Y.HEADER_SSL=n_;Y.HEADER_REQ=r_;Y.HEADER_RES=a_;Y.HEADER_TOTAL=o_;Y.HEADER_FETCHED_SIZE=i_;Y.HEADER_PROTOCOL_IS_H2=s_});var hu,yu=v(()=>{"use strict";d();Yt();An();St();hu=class t extends Fe{static{s(this,"NetworkNode")}constructor(e){super(e.requestId),this._record=e}get type(){return Fe.TYPES.NETWORK}get startTime(){return this._record.networkRequestTime*1e3}get endTime(){return this._record.networkEndTime*1e3}get record(){return this._record}get initiatorType(){return this._record.initiator&&this._record.initiator.type}get fromDiskCache(){return!!this._record.fromDiskCache}get isNonNetworkProtocol(){return Y.isNonNetworkRequest(this._record)}get isConnectionless(){return this.fromDiskCache||this.isNonNetworkProtocol}hasRenderBlockingPriority(){let e=this._record.priority,n=this._record.resourceType===Y.TYPES.Script,r=this._record.resourceType===Y.TYPES.Document;return e==="VeryHigh"||e==="High"&&n||e==="High"&&r}cloneWithoutRelationships(){let e=new t(this._record);return e.setIsMainDocument(this._isMainDocument),e}}});var up,vu=v(()=>{"use strict";d();Yt();An();up=class t extends Fe{static{s(this,"CPUNode")}constructor(e,n=[]){let r=`${e.tid}.${e.ts}`;super(r),this._event=e,this._childEvents=n}get type(){return Fe.TYPES.CPU}get startTime(){return this._event.ts}get endTime(){return this._event.ts+this._event.dur}get event(){return this._event}get childEvents(){return this._childEvents}didPerformLayout(){return this._childEvents.some(e=>e.name==="Layout")}getEvaluateScriptURLs(){let e=new Set;for(let n of this._childEvents)n.name==="EvaluateScript"&&(!n.args.data||!n.args.data.url||e.add(n.args.data.url));return e}cloneWithoutRelationships(){return new t(this._event,this._childEvents)}}});var Kg,bu,Jg=v(()=>{"use strict";d();Bt();Ar();Kg=class extends Kt{static{s(this,"LHTraceProcessor")}static createNoNavstartError(){return new G(G.errors.NO_NAVSTART)}static createNoResourceSendRequestError(){return new G(G.errors.NO_RESOURCE_REQUEST)}static createNoTracingStartedError(){return new G(G.errors.NO_TRACING_STARTED)}static createNoFirstContentfulPaintError(){return new G(G.errors.NO_FCP)}},bu=Kg});var Xg,Ye,Jt=v(()=>{"use strict";d();we();Jg();Xg=class{static{s(this,"ProcessedTrace")}static async compute_(e){return bu.processTrace(e)}},Ye=W(Xg,null)});var Zg,c_,u_=v(()=>{"use strict";d();Jo();we();De();Jt();Zg=class{static{s(this,"DocumentUrls")}static async compute_(e,n){let r=await Ye.request(e.trace,n),a=await $.request(e.devtoolsLog,n),o=r.mainFrameInfo.frameId,i,c;for(let l of e.devtoolsLog)if(l.method==="Page.frameNavigated"&&l.params.frame.id===o){let{url:m}=l.params.frame;i||(i=m),c=m}if(!i||!c)throw new Error("No main frame navigations found");let u=Qt.findResourceForUrl(a,i);return u?.redirects?.length&&(i=u.redirects[0].url),{requestedUrl:i,mainDocumentUrl:c}}},c_=W(Zg,["devtoolsLog","trace"])});var G$,W$,Qg,kt,$n=v(()=>{"use strict";d();we();yu();vu();Ar();St();Jt();De();Jo();u_();G$=10,W$=/^video/,Qg=class t{static{s(this,"PageDependencyGraph")}static getNetworkInitiators(e){if(!e.initiator)return[];if(e.initiator.url)return[e.initiator.url];if(e.initiator.type==="script"){let n=new Set,r=e.initiator.stack;for(;r;){let a=r.callFrames||[];for(let o of a)o.url&&n.add(o.url);r=r.parent}return Array.from(n)}return[]}static getNetworkNodeOutput(e){let n=[],r=new Map,a=new Map,o=new Map;return e.forEach(i=>{if(W$.test(i.mimeType))return;for(;r.has(i.requestId);)i.requestId+=":duplicate";let c=new hu(i);n.push(c);let u=a.get(i.url)||[];if(u.push(c),r.set(i.requestId,c),a.set(i.url,u),i.frameId&&i.resourceType===Y.TYPES.Document&&i.documentURL===i.url){let l=o.has(i.frameId)?null:c;o.set(i.frameId,l)}}),{nodes:n,idToNodeMap:r,urlToNodeMap:a,frameIdToNodeMap:o}}static getCPUNodes({mainThreadEvents:e}){let n=[],r=0;for(Kt.assertHasToplevelEvents(e);r<e.length;){let a=e[r];if(r++,!Kt.isScheduleableTask(a)||!a.dur)continue;let o=[];for(let i=a.ts+a.dur;r<e.length&&e[r].ts<i;r++)o.push(e[r]);n.push(new up(a,o))}return n}static linkNetworkNodes(e,n){n.nodes.forEach(r=>{let a=r.record.initiatorRequest||e.record,o=n.idToNodeMap.get(a.requestId)||e,i=!o.isDependentOn(r)&&r.canDependOn(o),c=t.getNetworkInitiators(r.record);if(c.length?c.forEach(l=>{let m=n.urlToNodeMap.get(l)||[];m.length===1&&m[0].startTime<=r.startTime&&!m[0].isDependentOn(r)?r.addDependency(m[0]):i&&o.addDependent(r)}):i&&o.addDependent(r),r!==e&&r.getDependencies().length===0&&r.canDependOn(e)&&r.addDependency(e),!r.record.redirects)return;let u=[...r.record.redirects,r.record];for(let l=1;l<u.length;l++){let m=n.idToNodeMap.get(u[l-1].requestId),p=n.idToNodeMap.get(u[l].requestId);p&&m&&p.addDependency(m)}})}static linkCPUNodes(e,n,r){let a=new Set([Y.TYPES.XHR,Y.TYPES.Fetch,Y.TYPES.Script]);function o(f,y){let b=n.idToNodeMap.get(y);if(!b||b.startTime<=f.startTime)return;let{record:D}=b,T=D.resourceType||D.redirectDestination?.resourceType;a.has(T)&&f.addDependent(b)}s(o,"addDependentNetworkRequest");function i(f,y){if(!y)return;let b=n.frameIdToNodeMap.get(y);b&&(b.startTime>=f.startTime||f.addDependency(b))}s(i,"addDependencyOnFrame");function c(f,y){if(!y)return;let b=-100*1e3,D=n.urlToNodeMap.get(y)||[],T=null,A=1/0;for(let R of D){if(f.startTime<=R.startTime)return;let F=f.startTime-R.endTime;F>=b&&F<A&&(T=R,A=F)}T&&f.addDependency(T)}s(c,"addDependencyOnUrl");let u=new Map;for(let f of r){for(let y of f.childEvents){if(!y.args.data)continue;let b=y.args.data.url,D=(y.args.data.stackTrace||[]).map(T=>T.url).filter(Boolean);switch(y.name){case"TimerInstall":u.set(y.args.data.timerId,f),D.forEach(T=>c(f,T));break;case"TimerFire":{let T=u.get(y.args.data.timerId);if(!T||T.endTime>f.startTime)break;T.addDependent(f);break}case"InvalidateLayout":case"ScheduleStyleRecalculation":i(f,y.args.data.frame),D.forEach(T=>c(f,T));break;case"EvaluateScript":i(f,y.args.data.frame),c(f,b),D.forEach(T=>c(f,T));break;case"XHRReadyStateChange":if(y.args.data.readyState!==4)break;c(f,b),D.forEach(T=>c(f,T));break;case"FunctionCall":case"v8.compile":i(f,y.args.data.frame),c(f,b);break;case"ParseAuthorStyleSheet":i(f,y.args.data.frame),c(f,y.args.data.styleSheetUrl);break;case"ResourceSendRequest":i(f,y.args.data.frame),o(f,y.args.data.requestId),D.forEach(T=>c(f,T));break}}f.getNumberOfDependencies()===0&&f.canDependOn(e)&&f.addDependency(e)}let l=G$*1e3,m=!1,p=!1,g=!1;for(let f of r){let y=!1;!m&&f.childEvents.some(b=>b.name==="Layout")&&(y=m=!0),!p&&f.childEvents.some(b=>b.name==="Paint")&&(y=p=!0),!g&&f.childEvents.some(b=>b.name==="ParseHTML")&&(y=g=!0),!(y||f.event.dur>=l)&&(f.getNumberOfDependencies()===1||f.getNumberOfDependents()<=1)&&t._pruneNode(f)}}static _pruneNode(e){let n=e.getDependencies(),r=e.getDependents();for(let a of n){e.removeDependency(a);for(let o of r)a.addDependent(o)}for(let a of r)e.removeDependent(a)}static createGraph(e,n,r){let a=t.getNetworkNodeOutput(n),o=t.getCPUNodes(e),{requestedUrl:i,mainDocumentUrl:c}=r;if(!i)throw new Error("requestedUrl is required to get the root request");if(!c)throw new Error("mainDocumentUrl is required to get the main resource");let u=Qt.findResourceForUrl(n,i);if(!u)throw new Error("rootRequest not found");let l=a.idToNodeMap.get(u.requestId);if(!l)throw new Error("rootNode not found");let m=Qt.findResourceForUrl(n,c);if(!m)throw new Error("mainDocumentRequest not found");let p=a.idToNodeMap.get(m.requestId);if(!p)throw new Error("mainDocumentNode not found");if(t.linkNetworkNodes(l,a),t.linkCPUNodes(l,a,o),p.setIsMainDocument(!0),hu.hasCycle(l))throw new Error("Invalid dependency graph created, cycle detected");return l}static printGraph(e,n=100){function r(l,m,p=" "){return l+p.repeat(Math.max(m-l.length,0))}s(r,"padRight");let a=[];e.traverse(l=>a.push(l)),a.sort((l,m)=>l.startTime-m.startTime);let o=a[0].startTime,u=(a.reduce((l,m)=>Math.max(l,m.endTime),0)-o)/n;a.forEach(l=>{let m=Math.round((l.startTime-o)/u),p=Math.ceil((l.endTime-l.startTime)/u),g=r("",m)+r("",p,"="),f=l.record?l.record.url:l.type;console.log(r(g,n),`| ${f.slice(0,30)}`)})}static async compute_(e,n){let{trace:r,devtoolsLog:a}=e,[o,i]=await Promise.all([Ye.request(r,n),$.request(a,n)]),c=e.URL||await c_.request(e,n);return t.createGraph(o,i,c)}},kt=W(Qg,["devtoolsLog","trace","URL"])});var V$,us,eh=v(()=>{"use strict";d();ia();He();Yt();St();$n();V$=Xe,us=class t extends V${static{s(this,"NetworkRecorder")}constructor(){super(),this._records=[],this._recordsById=new Map}getRawRecords(){return Array.from(this._records)}onRequestStarted(e){this._records.push(e),this._recordsById.set(e.requestId,e),this.emit("requeststarted",e)}onRequestFinished(e){this.emit("requestfinished",e)}onRequestWillBeSent(e){let n=e.params,r=this._findRealRequestAndSetSession(n.requestId,e.targetType,e.sessionId);if(!r){let i=new Y;i.onRequestWillBeSent(n),i.sessionId=e.sessionId,i.sessionTargetType=e.targetType,this.onRequestStarted(i),N.verbose("network",`request will be sent to ${i.url}`);return}if(!n.redirectResponse)return;let a={...n,initiator:r.initiator,requestId:`${r.requestId}:redirect`},o=new Y;o.onRequestWillBeSent(a),r.onRedirectResponse(n),N.verbose("network",`${r.url} redirected to ${o.url}`),r.redirectDestination=o,o.redirectSource=r,this.onRequestStarted(o),this.onRequestFinished(r)}onRequestServedFromCache(e){let n=e.params,r=this._findRealRequestAndSetSession(n.requestId,e.targetType,e.sessionId);r&&(N.verbose("network",`${r.url} served from cache`),r.onRequestServedFromCache())}onResponseReceived(e){let n=e.params,r=this._findRealRequestAndSetSession(n.requestId,e.targetType,e.sessionId);r&&(N.verbose("network",`${r.url} response received`),r.onResponseReceived(n))}onDataReceived(e){let n=e.params,r=this._findRealRequestAndSetSession(n.requestId,e.targetType,e.sessionId);r&&(N.verbose("network",`${r.url} data received`),r.onDataReceived(n))}onLoadingFinished(e){let n=e.params,r=this._findRealRequestAndSetSession(n.requestId,e.targetType,e.sessionId);r&&(N.verbose("network",`${r.url} loading finished`),r.onLoadingFinished(n),this.onRequestFinished(r))}onLoadingFailed(e){let n=e.params,r=this._findRealRequestAndSetSession(n.requestId,e.targetType,e.sessionId);r&&(N.verbose("network",`${r.url} loading failed`),r.onLoadingFailed(n),this.onRequestFinished(r))}onResourceChangedPriority(e){let n=e.params,r=this._findRealRequestAndSetSession(n.requestId,e.targetType,e.sessionId);r&&r.onResourceChangedPriority(n)}dispatch(e){switch(e.method){case"Network.requestWillBeSent":return this.onRequestWillBeSent(e);case"Network.requestServedFromCache":return this.onRequestServedFromCache(e);case"Network.responseReceived":return this.onResponseReceived(e);case"Network.dataReceived":return this.onDataReceived(e);case"Network.loadingFinished":return this.onLoadingFinished(e);case"Network.loadingFailed":return this.onLoadingFailed(e);case"Network.resourceChangedPriority":return this.onResourceChangedPriority(e);default:return}}_findRealRequestAndSetSession(e,n,r){let a=this._recordsById.get(e);if(!(!a||!a.isValid)){for(;a.redirectDestination;)a=a.redirectDestination;return a.setSession(r),a.sessionTargetType=n,a}}static _chooseInitiatorRequest(e,n){if(e.redirectSource)return e.redirectSource;let r=kt.getNetworkInitiators(e)[0],a=n.get(r)||[];if(a=a.filter(o=>o.responseHeadersEndTime<=e.networkRequestTime&&o.finished&&!o.failed),a.length>1){let o=a.filter(i=>i.resourceType!==Y.TYPES.Other);o.length&&(a=o)}if(a.length>1){let o=a.filter(i=>i.frameId===e.frameId);o.length&&(a=o)}if(a.length>1&&e.initiator.type==="parser"){let o=a.filter(i=>i.resourceType===Y.TYPES.Document);o.length&&(a=o)}if(a.length>1){let o=a.filter(i=>i.isLinkPreload);if(o.length){let i=a.filter(u=>!u.isLinkPreload),c=i.every(u=>u.fromDiskCache||u.fromMemoryCache);i.length&&c&&(a=o)}}return a.length===1?a[0]:null}static recordsFromLogs(e){let n=new t;e.forEach(o=>n.dispatch(o));let r=n.getRawRecords().filter(o=>o.isValid),a=new Map;for(let o of r){let i=a.get(o.url)||[];i.push(o),a.set(o.url,i)}for(let o of r){let i=t._chooseInitiatorRequest(o,a);i&&o.setInitiatorRequest(i);let c=o;for(;c.redirectDestination;)c=c.redirectDestination;if(c===o||c.redirects)continue;let u=[];for(let l=c.redirectSource;l;l=l.redirectSource)u.unshift(l);c.redirects=u}return r}}});var th,$,De=v(()=>{"use strict";d();Yt();we();eh();th=class{static{s(this,"NetworkRecords")}static async compute_(e){return us.recordsFromLogs(e)}},$=W(th,null)});var nh,dr,Xo=v(()=>{"use strict";d();we();Jo();De();nh=class t{static{s(this,"NetworkAnalysis")}static computeRTTAndServerResponseTime(e){let n=new Map;for(let[c,u]of Qt.estimateRTTByOrigin(e).entries())n.set(c,u.min);let r=Math.min(...Array.from(n.values())),a=Qt.estimateServerResponseTimeByOrigin(e,{rttByOrigin:n}),o=new Map,i=new Map;for(let[c,u]of a.entries()){let l=n.get(c)||r;o.set(c,l-r),i.set(c,u.median)}return{rtt:r,additionalRttByOrigin:o,serverResponseTimeByOrigin:i}}static async compute_(e,n){let r=await $.request(e,n),a=Qt.estimateThroughput(r),o=t.computeRTTAndServerResponseTime(r);return{throughput:a,...o}}},dr=W(nh,null)});var rh,Ht,tr=v(()=>{"use strict";d();we();Vn();Yg();Xo();rh=class{static{s(this,"LoadSimulator")}static async compute_(e,n){let{throttlingMethod:r,throttling:a,precomputedLanternData:o}=e.settings,i=await dr.request(e.devtoolsLog,n),c={additionalRttByOrigin:i.additionalRttByOrigin,serverResponseTimeByOrigin:i.serverResponseTimeByOrigin,observedThroughput:i.throughput};switch(o&&(c.additionalRttByOrigin=new Map(Object.entries(o.additionalRttByOrigin)),c.serverResponseTimeByOrigin=new Map(Object.entries(o.serverResponseTimeByOrigin))),r){case"provided":c.rtt=i.rtt,c.throughput=i.throughput,c.cpuSlowdownMultiplier=1,c.layoutTaskMultiplier=1;break;case"devtools":a&&(c.rtt=a.requestLatencyMs/Wn.DEVTOOLS_RTT_ADJUSTMENT_FACTOR,c.throughput=a.downloadThroughputKbps*1024/Wn.DEVTOOLS_THROUGHPUT_ADJUSTMENT_FACTOR),c.cpuSlowdownMultiplier=1,c.layoutTaskMultiplier=1;break;case"simulate":a&&(c.rtt=a.rttMs,c.throughput=a.throughputKbps*1024,c.cpuSlowdownMultiplier=a.cpuSlowdownMultiplier);break;default:break}return new gu(c)}static convertAnalysisToSaveableLanternData(e){let n={additionalRttByOrigin:{},serverResponseTimeByOrigin:{}};for(let[r,a]of e.additionalRttByOrigin.entries())r.startsWith("http")&&(n.additionalRttByOrigin[r]=a);for(let[r,a]of e.serverResponseTimeByOrigin.entries())r.startsWith("http")&&(n.serverResponseTimeByOrigin[r]=a);return n}},Ht=W(rh,["devtoolsLog","settings"])});function l_(t){if(N.log("Reading artifacts from disk:",t),!Un.existsSync(t))throw new Error("No saved artifacts found at "+t);let e=Un.readFileSync(Ot.join(t,ah),"utf8"),n=JSON.parse(e,G.parseReviver),r=Un.readdirSync(t);return n.devtoolsLogs={},r.filter(a=>a.endsWith(dp)).forEach(a=>{let o=a.replace(dp,""),i=JSON.parse(Un.readFileSync(Ot.join(t,a),"utf8"));n.devtoolsLogs[o]=i,o==="defaultPass"&&(n.DevtoolsLog=i),o==="pageLoadError-defaultPass"&&(n.DevtoolsLogError=i)}),n.traces={},r.filter(a=>a.endsWith(lp)).forEach(a=>{let o=Un.readFileSync(Ot.join(t,a),{encoding:"utf-8"}),i=JSON.parse(o),c=a.replace(lp,"");n.traces[c]=Array.isArray(i)?{traceEvents:i}:i,c==="defaultPass"&&(n.Trace=n.traces[c]),c==="pageLoadError-defaultPass"&&(n.TraceError=n.traces[c])}),Array.isArray(n.Timing)&&n.Timing.forEach(a=>a.gather=!0),n}function $$(t,e){return e instanceof Error?G.stringifyReplacer(e):e}async function d_(t,e){let n={msg:"Saving artifacts",id:"lh:assetSaver:saveArtifacts"};N.time(n),Un.mkdirSync(e,{recursive:!0});let r=Un.readdirSync(e);for(let m of r)(m.endsWith(lp)||m.endsWith(dp)||m===ah)&&Un.unlinkSync(`${e}/${m}`);let{traces:a,devtoolsLogs:o,DevtoolsLog:i,Trace:c,...u}=t;if(a)for(let[m,p]of Object.entries(a))await K$(p,`${e}/${m}${lp}`);if(o)for(let[m,p]of Object.entries(o))await J$(p,`${e}/${m}${dp}`);let l=JSON.stringify(u,$$,2)+`
`;Un.writeFileSync(`${e}/${ah}`,l,"utf8"),N.log("Artifacts saved to disk in folder:",e),N.timeEnd(n)}function m_(t,e){Un.writeFileSync(`${e}/lhr.report.json`,JSON.stringify(t,null,2))}function*p_(t){if(yield`[
`,t.length>0){let n=t[Symbol.iterator](),r=n.next().value;yield`  ${JSON.stringify(r)}`;let a=500,o="";for(let i of n)o+=`,
  ${JSON.stringify(i)}`,a--,a===0&&(yield o,a=500,o="");yield o}yield`
]`}function*Y$(t){let{traceEvents:e,...n}=t;yield`{
`,yield'"traceEvents": ',yield*p_(e);for(let[r,a]of Object.entries(n))yield`,
"${r}": ${JSON.stringify(a,null,2)}`;yield`}
`}async function K$(t,e){let n=Y$(t),r=Un.createWriteStream(e);return Gg.promises.pipeline(n,r)}function J$(t,e){let n=Un.createWriteStream(e);return Gg.promises.pipeline(function*(){yield*p_(t),yield`
`},n)}var ah,lp,dp,f_=v(()=>{"use strict";d();ca();qo();Wg();lu();He();Yg();XR();ZR();Xo();tr();Bt();rs();ah="artifacts.json",lp=".trace.json",dp=".devtoolslog.json";s(l_,"loadArtifacts");s($$,"stringifyReplacer");s(d_,"saveArtifacts");s(m_,"saveLhr");s(p_,"arrayOfObjectsJsonGenerator");s(Y$,"traceJsonGenerator");s(K$,"saveTrace");s(J$,"saveDevtoolsLog")});var g_={};S(g_,{default:()=>Z$});var Z$,h_=v(()=>{d();Z$={}});async function nY(t){if(t.flags.enableErrorReporting&&ls._shouldSample())try{let e=await Promise.resolve().then(()=>(h_(),g_));e.init({...t.environmentData,dsn:Q$});let n={...t.flags.throttling,channel:t.flags.channel||"cli",url:t.url,formFactor:t.flags.formFactor,throttlingMethod:t.flags.throttlingMethod};e.setExtras(n),ls.captureMessage=(...a)=>e.captureMessage(...a),ls.captureBreadcrumb=(...a)=>e.addBreadcrumb(...a),ls.getContext=()=>n;let r=new Map;ls.captureException=async(a,o={})=>{if(!a||a.expected)return;let i=o.tags||{};if(i.audit){let u=`audit-${i.audit}-${a.message}`;if(r.has(u))return;r.set(u,!0)}if(i.gatherer){let u=`gatherer-${i.gatherer}-${a.message}`;if(r.has(u))return;r.set(u,!0)}let c=tY.find(u=>u.pattern.test(a.message));c&&c.rate<=Math.random()||(a.protocolMethod&&(o.fingerprint=["{{ default }}",a.protocolMethod,a.protocolError],o.tags=o.tags||{},o.tags.protocolMethod=a.protocolMethod),e.withScope(u=>{o.level&&u.setLevel(o.level),o.tags&&u.setTags(o.tags);let l;o.extra&&(l={...o.extra}),a.extra&&(l={...l,...a.extra}),l&&u.setExtras(l),e.captureException(a)}))}}catch{N.warn("sentry","Could not load Sentry, errors will not be reported.")}}var Q$,eY,tY,oh,ls,en,da=v(()=>{"use strict";d();He();Q$="https://a6bb0da87ee048cc9ae2a345fc09ab2e:63a7029f46f74265981b7e005e0f69f8@sentry.io/174697",eY=.01,tY=[],oh=s(()=>{},"noop"),ls={init:nY,captureMessage:oh,captureBreadcrumb:oh,getContext:oh,captureException:async()=>{},_shouldSample(){return eY>=Math.random()}};s(nY,"init");en=ls});var ds,y_=v(()=>{d();ds={}});var ms,mp=v(()=>{"use strict";d();y_();ms=class t{static{s(this,"ReportGenerator")}static replaceStrings(e,n){if(n.length===0)return e;let r=n[0],a=n.slice(1);return e.split(r.search).map(o=>t.replaceStrings(o,a)).join(r.replacement)}static sanitizeJson(e){return JSON.stringify(e).replace(/</g,"\\u003c").replace(/\u2028/g,"\\u2028").replace(/\u2029/g,"\\u2029")}static generateReportHtml(e){let n=t.sanitizeJson(e),r=ds.REPORT_JAVASCRIPT.replace(/<\//g,"\\u003c/");return t.replaceStrings(ds.REPORT_TEMPLATE,[{search:"%%LIGHTHOUSE_JSON%%",replacement:n},{search:"%%LIGHTHOUSE_JAVASCRIPT%%",replacement:r}])}static generateFlowReportHtml(e){let n=t.sanitizeJson(e),r=ds.FLOW_REPORT_JAVASCRIPT.replace(/<\//g,"\\u003c/");return t.replaceStrings(ds.FLOW_REPORT_TEMPLATE,[{search:"%%LIGHTHOUSE_FLOW_JSON%%",replacement:n},{search:"%%LIGHTHOUSE_FLOW_JAVASCRIPT%%",replacement:r},{search:"/*%%LIGHTHOUSE_FLOW_CSS%%*/",replacement:ds.FLOW_REPORT_CSS}])}static generateReportCSV(e){let n=`\r
`,r=",",a=s(u=>`"${u.replace(/"/g,'""')}"`,"escape"),o=s(u=>u.map(l=>l===null?"null":l.toString()).map(a),"rowFormatter"),i=[],c=["requestedUrl","finalDisplayedUrl","fetchTime","gatherMode"];i.push(o(c)),i.push(o(c.map(u=>e[u]??null))),i.push([]),i.push(["category","score"]);for(let u of Object.values(e.categories))i.push(o([u.id,u.score]));i.push([]),i.push(["category","audit","score","displayValue","description"]);for(let u of Object.values(e.categories))for(let l of u.auditRefs){let m=e.audits[l.id];m&&i.push(o([u.id,l.id,m.score,m.displayValue||"",m.description]))}return i.map(u=>u.join(r)).join(n)}static isFlowResult(e){return"steps"in e}static generateReport(e,n){let r=Array.isArray(n);typeof n=="string"&&(n=[n]);let a=n.map(o=>{if(o==="html")return t.isFlowResult(e)?t.generateFlowReportHtml(e):t.generateReportHtml(e);if(o==="csv"){if(t.isFlowResult(e))throw new Error("CSV output is not support for user flows");return t.generateReportCSV(e)}if(o==="json")return JSON.stringify(e,null,2);throw new Error("Invalid output mode: "+o)});return r?a:a[0]}}});var T_=L((xve,E_)=>{d();var v_=/:\/\/(\S*?)(:\d+)?(\/|$)/,b_=/([a-z0-9.-]+\.[a-z0-9]+|localhost)/i,rY=/^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/,aY=/[^.]+\.([^.]+|(gov|com|co|ne)\.\w{2})$/i;function w_(t){return typeof t!="string"||t.length>1e4||t.startsWith("data:")?null:v_.test(t)?t.match(v_)[1]:b_.test(t)?t.match(b_)[0]:null}s(w_,"getDomainFromOriginOrURL");function ih(t){let e=w_(t);if(!e)return null;if(rY.test(e))return e;let n=e.match(aY);return n&&n[0]||e}s(ih,"getRootDomain");function oY(t,e){return t.length<=e.length?t:t.split(".").slice(1).join(".")}s(oY,"sliceSubdomainFromDomain");function D_(t,e,n,r){let a=w_(r),o=ih(a);if(!(!a||!o)){if(t.has(a))return t.get(a);for(let i=a;i.length>o.length;i=oY(i,o))if(e.has(i))return e.get(i);if(n.has(o))return n.get(o)}}s(D_,"getEntityInDataset");function iY(t,e,n,r){let a=D_(t,e,n,r),o=a&&a.products;if(o&&typeof r=="string"){for(let i of o)for(let c of i.urlPatterns)if(c instanceof RegExp&&c.test(r)||typeof c=="string"&&r.includes(c))return i}}s(iY,"getProductInDataset");function sY(t){return t.map(e=>{let n={company:e.name,categories:[e.category],...e},r=(e.products||[]).map(a=>({company:n.company,category:n.category,categories:[n.category],facades:[],...a,urlPatterns:(a.urlPatterns||[]).map(o=>o.startsWith("REGEXP:")?new RegExp(o.slice(7)):o)}));return n.products=r,n})}s(sY,"cloneEntities");function cY(t){let e=sY(t),n=new Map,r=new Map,a=new Map;for(let c of e){c.totalExecutionTime=Number(c.totalExecutionTime)||0,c.totalOccurrences=Number(c.totalOccurrences)||0,c.averageExecutionTime=c.totalExecutionTime/c.totalOccurrences;for(let u of c.domains){if(n.has(u)){let m=n.get(u);throw new Error(`Duplicate domain ${u} (${c.name} and ${m.name})`)}n.set(u,c);let l=ih(u);if(u.startsWith("*.")){let m=u.slice(2);m===l?r.set(l,c):a.set(m,c)}}}for(let[c,u]of r.entries())u||r.delete(c);let o=D_.bind(null,n,a,r),i=iY.bind(null,n,a,r);return{getEntity:o,getProduct:i,getRootDomain:ih,entities:e}}s(cY,"createAPIFromDataset");E_.exports={createAPIFromDataset:cY}});var S_=L((Fve,uY)=>{uY.exports=[{name:"Google/Doubleclick Ads",company:"Google",homepage:"https://marketingplatform.google.com/about/enterprise/",category:"ad",domains:["adservice.google.com","adservice.google.com.au","adservice.google.com.sg","adservice.google.com.br","adservice.google.com.ua","adservice.google.co.uk","adservice.google.co.jp","adservice.google.co.in","adservice.google.co.kr","adservice.google.co.id","adservice.google.co.nz","adservice.google.ie","adservice.google.se","adservice.google.de","adservice.google.ca","adservice.google.be","adservice.google.es","adservice.google.ch","adservice.google.fr","adservice.google.nl","*.googleadservices.com","*.googlesyndication.com","*.googletagservices.com","*.2mdn.net","*.doubleclick.net"]},{name:"Facebook",homepage:"https://www.facebook.com",category:"social",domains:["*.facebook.com","*.atlassbx.com","*.fbsbx.com","fbcdn-photos-e-a.akamaihd.net","*.facebook.net","*.fbcdn.net"],products:[{name:"Facebook Messenger Customer Chat",urlPatterns:["REGEXP:connect\\.facebook\\.net\\/.*\\/sdk\\/xfbml\\.customerchat\\.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Instagram",homepage:"https://www.instagram.com",category:"social",domains:["*.cdninstagram.com","*.instagram.com"]},{name:"Google CDN",company:"Google",homepage:"https://developers.google.com/speed/libraries/",category:"cdn",domains:["ajax.googleapis.com","commondatastorage.googleapis.com","www.gstatic.com","ssl.gstatic.com"]},{name:"Google Maps",company:"Google",homepage:"https://www.google.com/maps",category:"utility",domains:["maps.google.com","maps-api-ssl.google.com","maps.googleapis.com","mts.googleapis.com","mt.googleapis.com","mt0.googleapis.com","mt1.googleapis.com","mt2.googleapis.com","mt3.googleapis.com","khm0.googleapis.com","khm1.googleapis.com","khms.googleapis.com","khms1.googleapis.com","khms2.googleapis.com","maps.gstatic.com"]},{name:"Other Google APIs/SDKs",company:"Google",homepage:"https://developers.google.com/apis-explorer/#p/",category:"utility",domains:["accounts.google.com","apis.google.com","calendar.google.com","clients2.google.com","cse.google.com","news.google.com","pay.google.com","payments.google.com","play.google.com","smartlock.google.com","www.google.com","www.google.de","www.google.co.jp","www.google.com.au","www.google.co.uk","www.google.ie","www.google.com.sg","www.google.co.in","www.google.com.br","www.google.ca","www.google.co.kr","www.google.co.nz","www.google.co.id","www.google.fr","www.google.be","www.google.com.ua","www.google.nl","www.google.ru","www.google.se","www.googleapis.com","imasdk.googleapis.com","storage.googleapis.com","translate.googleapis.com","translate.google.com","translate-pa.googleapis.com","lh3.googleusercontent.com","jnn-pa.googleapis.com","csi.gstatic.com"]},{name:"Firebase",homepage:"https://developers.google.com/apis-explorer/#p/",category:"utility",domains:["firebasestorage.googleapis.com","firestore.googleapis.com","firebaseinstallations.googleapis.com","firebase.googleapis.com","firebaseremoteconfig.googleapis.com"]},{name:"Google Analytics",company:"Google",homepage:"https://marketingplatform.google.com/about/analytics/",category:"analytics",domains:["*.google-analytics.com","*.urchin.com","analytics.google.com"]},{name:"Google Optimize",company:"Google",homepage:"https://marketingplatform.google.com/about/optimize/",category:"analytics",domains:["www.googleoptimize.com"]},{name:"Google AMP",company:"Google",homepage:"https://github.com/google/amp-client-id-library",category:"analytics",domains:["ampcid.google.com"]},{name:"Google Tag Manager",company:"Google",homepage:"https://marketingplatform.google.com/about/tag-manager/",category:"tag-manager",domains:["*.googletagmanager.com"]},{name:"Google Fonts",company:"Google",homepage:"https://fonts.google.com/",category:"cdn",domains:["fonts.googleapis.com","fonts.gstatic.com"]},{name:"Adobe TypeKit",company:"Adobe",homepage:"https://fonts.adobe.com/",category:"cdn",domains:["*.typekit.com","*.typekit.net"]},{name:"YouTube",homepage:"https://youtube.com",category:"video",domains:["*.youtube.com","*.ggpht.com","*.youtube-nocookie.com","*.ytimg.com"],products:[{name:"YouTube Embedded Player",urlPatterns:["youtube.com/embed/"],facades:[{name:"Lite YouTube",repo:"https://github.com/paulirish/lite-youtube-embed"},{name:"Ngx Lite Video",repo:"https://github.com/karim-mamdouh/ngx-lite-video"}]}]},{name:"Twitter",homepage:"https://twitter.com",category:"social",domains:["*.vine.co","*.twimg.com","*.twitpic.com","platform.twitter.com","syndication.twitter.com"]},{name:"AddThis",homepage:"https://www.addthis.com/",category:"social",domains:["*.addthis.com","*.addthiscdn.com","*.addthisedge.com"]},{name:"AddToAny",homepage:"https://www.addtoany.com/",category:"social",domains:["*.addtoany.com"]},{name:"Akamai",homepage:"https://www.akamai.com/",category:"cdn",domains:["23.62.3.183","*.akamaitechnologies.com","*.akamaitechnologies.fr","*.akamai.net","*.akamaiedge.net","*.akamaihd.net","*.akamaized.net","*.edgefcs.net","*.edgekey.net","edgesuite.net","*.srip.net"]},{name:"Blogger",homepage:"https://www.blogger.com/",category:"hosting",domains:["*.blogblog.com","*.blogger.com","*.blogspot.com","images-blogger-opensocial.googleusercontent.com"]},{name:"Gravatar",homepage:"https://en.gravatar.com/",category:"social",domains:["*.gravatar.com"]},{name:"Yandex Metrica",company:"Yandex",homepage:"https://metrica.yandex.com/about?",category:"analytics",domains:["mc.yandex.ru","mc.yandex.com","d31j93rd8oukbv.cloudfront.net"]},{name:"Hotjar",homepage:"https://www.hotjar.com/",category:"analytics",domains:["*.hotjar.com","*.hotjar.io"]},{name:"Baidu Analytics",homepage:"https://tongji.baidu.com/web/welcome/login",category:"analytics",domains:["hm.baidu.com","hmcdn.baidu.com"]},{name:"Insider",homepage:"",category:"analytics",domains:["*.useinsider.com"]},{name:"Adobe Experience Cloud",company:"Adobe",homepage:"",category:"analytics",domains:["*.2o7.net","du8783wkf05yr.cloudfront.net","*.hitbox.com","*.imageg.net","*.nedstat.com","*.omtrdc.net"]},{name:"Adobe Tag Manager",company:"Adobe",homepage:"https://www.adobe.com/experience-platform/",category:"tag-manager",domains:["*.adobedtm.com","*.demdex.net","*.everesttech.net","sstats.adobe.com","hbrt.adobe.com"]},{name:"jQuery CDN",homepage:"https://code.jquery.com/",category:"cdn",domains:["*.jquery.com"]},{name:"Cloudflare CDN",homepage:"https://cdnjs.com/",category:"cdn",domains:["cdnjs.cloudflare.com","amp.cloudflare.com"]},{name:"Cloudflare",homepage:"https://www.cloudflare.com/website-optimization/",category:"utility",domains:["ajax.cloudflare.com","*.nel.cloudflare.com","static.cloudflareinsights.com"]},{name:"WordPress",company:"Automattic",homepage:"https://wp.com/",category:"hosting",domains:["*.wordpress.com","s0.wp.com","s2.wp.com","*.w.org","c0.wp.com","s1.wp.com","i0.wp.com","i1.wp.com","i2.wp.com","widgets.wp.com"]},{name:"WordPress Site Stats",company:"Automattic",homepage:"https://wp.com/",category:"analytics",domains:["pixel.wp.com","stats.wp.com"]},{name:"Hatena Blog",homepage:"https://hatenablog.com/",category:"hosting",domains:["*.st-hatena.com","*.hatena.ne.jp"]},{name:"Shopify",homepage:"https://www.shopify.com/",category:"hosting",domains:["*.shopify.com","*.shopifyapps.com","*.shopifycdn.com","*.shopifysvc.com"]},{name:"Dealer",homepage:"https://www.dealer.com/",category:"hosting",domains:["*.dealer.com"]},{name:"PIXNET",homepage:"https://www.pixnet.net/",category:"social",domains:["*.pixfs.net","*.pixnet.net"]},{name:"Moat",homepage:"https://moat.com/",category:"ad",domains:["*.moatads.com","*.moatpixel.com"]},{name:"33 Across",homepage:"https://33across.com/",category:"ad",domains:["*.33across.com"]},{name:"OpenX",homepage:"https://www.openx.com/",category:"ad",domains:["*.deliverimp.com","*.openxadexchange.com","*.servedbyopenx.com","*.jump-time.net","*.openx.net"]},{name:"Amazon Ads",homepage:"https://ad.amazon.com/",category:"ad",domains:["*.amazon-adsystem.com"]},{name:"Rubicon Project",homepage:"https://rubiconproject.com/",category:"ad",domains:["*.rubiconproject.com","*.chango.com","*.fimserve.com"]},{name:"The Trade Desk",homepage:"https://www.thetradedesk.com/",category:"ad",domains:["*.adsrvr.org","d1eoo1tco6rr5e.cloudfront.net"]},{name:"Bidswitch",homepage:"https://www.bidswitch.com/",category:"ad",domains:["*.bidswitch.net"]},{name:"LiveRamp IdentityLink",homepage:"https://liveramp.com/discover-identitylink/",category:"analytics",domains:["*.circulate.com","*.rlcdn.com"]},{name:"Drawbridge",homepage:"https://www.drawbridge.com/",category:"ad",domains:["*.adsymptotic.com"]},{name:"AOL / Oath / Verizon Media",homepage:"https://www.oath.com/",category:"ad",domains:["*.advertising.com","*.aol.com","*.aolcdn.com","*.blogsmithmedia.com","*.oath.com","*.aol.net","*.tacoda.net","*.aol.co.uk"]},{name:"Xaxis",homepage:"https://www.xaxis.com/",category:"ad",domains:["*.247realmedia.com","*.mookie1.com","*.gmads.net"]},{name:"Freshdesk",company:"Freshworks",homepage:"https://freshdesk.com/",category:"customer-success",domains:["d36mpcpuzc4ztk.cloudfront.net"]},{name:"Help Scout",homepage:"https://www.helpscout.net/",category:"customer-success",domains:["djtflbt20bdde.cloudfront.net","*.helpscout.net"],products:[{name:"Help Scout Beacon",urlPatterns:["beacon-v2.helpscout.net"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Alexa",homepage:"https://www.alexa.com/",category:"analytics",domains:["*.alexametrics.com","d31qbv1cthcecs.cloudfront.net"]},{name:"OneSignal",homepage:"https://onesignal.com/",category:"utility",domains:["*.onesignal.com"]},{name:"Lucky Orange",homepage:"https://www.luckyorange.com/",category:"analytics",domains:["*.luckyorange.com","d10lpsik1i8c69.cloudfront.net","*.luckyorange.net"]},{name:"Crazy Egg",homepage:"https://www.crazyegg.com/",category:"analytics",domains:["*.cetrk.com","*.crazyegg.com","*.hellobar.com","dnn506yrbagrg.cloudfront.net"]},{name:"Yandex Ads",company:"Yandex",homepage:"https://yandex.com/adv/",category:"ad",domains:["an.yandex.ru"]},{name:"Salesforce",homepage:"https://www.salesforce.com/products/marketing-cloud/",category:"analytics",domains:["*.krxd.net"]},{name:"Salesforce Commerce Cloud",homepage:"https://www.salesforce.com/products/commerce-cloud/overview/",category:"hosting",domains:["*.cquotient.com","*.demandware.net","demandware.edgesuite.net"]},{name:"Optimizely",homepage:"https://www.optimizely.com/",category:"analytics",domains:["*.optimizely.com"]},{name:"LiveChat",homepage:"https://www.livechat.com/",category:"customer-success",domains:["*.livechatinc.com","*.livechat.com","*.livechat-static.com"]},{name:"VK",homepage:"https://vk.com/",category:"social",domains:["*.vk.com"]},{name:"Tumblr",homepage:"https://tumblr.com/",category:"social",domains:["*.tumblr.com"]},{name:"Wistia",homepage:"https://wistia.com/",category:"video",domains:["*.wistia.com","embedwistia-a.akamaihd.net","*.wistia.net"]},{name:"Brightcove",homepage:"https://www.brightcove.com/en/",category:"video",domains:["*.brightcove.com","*.brightcove.net","*.zencdn.net"]},{name:"JSDelivr CDN",homepage:"https://www.jsdelivr.com/",category:"cdn",domains:["*.jsdelivr.net"]},{name:"Sumo",homepage:"https://sumo.com/",category:"marketing",domains:["*.sumo.com","*.sumome.com","sumo.b-cdn.net"]},{name:"Vimeo",homepage:"https://vimeo.com/",category:"video",domains:["*.vimeo.com","*.vimeocdn.com"],products:[{name:"Vimeo Embedded Player",urlPatterns:["player.vimeo.com/video/"],facades:[{name:"Lite Vimeo",repo:"https://github.com/slightlyoff/lite-vimeo"},{name:"Lite Vimeo Embed",repo:"https://github.com/luwes/lite-vimeo-embed"},{name:"Ngx Lite Video",repo:"https://github.com/karim-mamdouh/ngx-lite-video"}]}]},{name:"Disqus",homepage:"https://disqus.com/",category:"social",domains:["*.disqus.com","*.disquscdn.com"]},{name:"Yandex APIs",company:"Yandex",homepage:"https://yandex.ru/",category:"utility",domains:["api-maps.yandex.ru","money.yandex.ru"]},{name:"Yandex CDN",company:"Yandex",homepage:"https://yandex.ru/",category:"cdn",domains:["*.yandex.st","*.yastatic.net"]},{name:"Integral Ad Science",homepage:"https://integralads.com/uk/",category:"ad",domains:["*.adsafeprotected.com","*.iasds01.com"]},{name:"Tealium",homepage:"https://tealium.com/",category:"tag-manager",domains:["*.aniview.com","*.delvenetworks.com","*.limelight.com","*.tiqcdn.com","*.llnwd.net","*.tealiumiq.com"]},{name:"Pubmatic",homepage:"https://pubmatic.com/",category:"ad",domains:["*.pubmatic.com"]},{name:"Olark",homepage:"https://www.olark.com/",category:"customer-success",domains:["*.olark.com"]},{name:"Tawk.to",homepage:"https://www.tawk.to/",category:"customer-success",domains:["*.tawk.to"]},{name:"OptinMonster",homepage:"https://optinmonster.com/",category:"marketing",domains:["*.opmnstr.com","*.optmnstr.com","*.optmstr.com"]},{name:"ZenDesk",homepage:"https://zendesk.com/",category:"customer-success",domains:["*.zdassets.com","*.zendesk.com","*.zopim.com"]},{name:"Pusher",homepage:"https://pusher.com/",category:"utility",domains:["*.pusher.com","*.pusherapp.com"]},{name:"Drift",homepage:"https://www.drift.com/",category:"marketing",domains:["*.drift.com","*.driftt.com"],products:[{name:"Drift Live Chat",urlPatterns:["REGEXP:js\\.driftt\\.com\\/include\\/.*\\/.*\\.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Sentry",homepage:"https://sentry.io/",category:"utility",domains:["*.getsentry.com","*.ravenjs.com","*.sentry-cdn.com","*.sentry.io"]},{name:"Amazon Web Services",homepage:"https://aws.amazon.com/s3/",category:"other",domains:["*.amazon.com","*.amazonaws.com","*.amazonwebapps.com","*.amazonwebservices.com","*.elasticbeanstalk.com","*.images-amazon.com","*.amazon.co.uk"]},{name:"Amazon Pay",homepage:"https://pay.amazon.com",category:"utility",domains:["payments.amazon.com","*.payments-amazon.com"]},{name:"Media.net",homepage:"https://www.media.net/",category:"ad",domains:["*.media.net","*.mnet-ad.net"]},{name:"Yahoo!",homepage:"https://www.yahoo.com/",category:"ad",domains:["*.bluelithium.com","*.hostingprod.com","*.lexity.com","*.yahoo.com","*.yahooapis.com","*.yimg.com","*.zenfs.com","*.yahoo.net"]},{name:"Adroll",homepage:"https://www.adroll.com/",category:"ad",domains:["*.adroll.com"]},{name:"Twitch",homepage:"https://twitch.tv/",category:"video",domains:["*.twitch.tv"]},{name:"Taboola",homepage:"https://www.taboola.com/",category:"ad",domains:["*.taboola.com","*.taboolasyndication.com"]},{name:"Sizmek",homepage:"https://www.sizmek.com/",category:"ad",domains:["*.serving-sys.com","*.peer39.net"]},{name:"Scorecard Research",homepage:"https://www.scorecardresearch.com/",category:"ad",domains:["*.scorecardresearch.com"]},{name:"Criteo",homepage:"https://www.criteo.com/",category:"ad",domains:["*.criteo.com","*.emailretargeting.com","*.criteo.net"]},{name:"Segment",homepage:"https://segment.com/",category:"analytics",domains:["*.segment.com","*.segment.io"]},{name:"ShareThis",homepage:"https://www.sharethis.com/",category:"social",domains:["*.sharethis.com"]},{name:"Distil Networks",homepage:"https://www.distilnetworks.com/",category:"utility",domains:["*.areyouahuman.com"]},{name:"Connexity",homepage:"https://connexity.com/",category:"analytics",domains:["*.connexity.net"]},{name:"Popads",homepage:"https://www.popads.net/",category:"ad",domains:["*.popads.net"]},{name:"CreateJS CDN",homepage:"https://code.createjs.com/",category:"cdn",domains:["*.createjs.com"]},{name:"Squarespace",homepage:"https://www.squarespace.com/",category:"hosting",domains:["*.squarespace.com"]},{name:"Media Math",homepage:"https://www.mediamath.com/",category:"ad",domains:["*.mathads.com","*.mathtag.com"]},{name:"Mixpanel",homepage:"https://mixpanel.com/",category:"analytics",domains:["*.mixpanel.com","*.mxpnl.com"]},{name:"FontAwesome CDN",homepage:"https://fontawesome.com/",category:"cdn",domains:["*.fontawesome.com"]},{name:"Hubspot",homepage:"https://hubspot.com/",category:"marketing",domains:["*.hs-scripts.com","*.hubspot.com","*.leadin.com","*.hs-analytics.net","*.hscollectedforms.net","*.hscta.net","*.hsforms.net","*.hsleadflows.net","*.hsstatic.net","*.hubspot.net","*.hsforms.com","*.hs-banner.com","*.hs-embed-reporting.com","*.hs-growth-metrics.com","*.hs-data.com","*.hsadspixel.net"]},{name:"Mailchimp",homepage:"https://mailchimp.com/",category:"marketing",domains:["*.chimpstatic.com","*.list-manage.com","*.mailchimp.com"]},{name:"MGID",homepage:"https://www.mgid.com/",category:"ad",domains:["*.mgid.com","*.dt07.net"]},{name:"Stripe",homepage:"https://stripe.com",category:"utility",domains:["*.stripe.com","*.stripecdn.com","*.stripe.network"]},{name:"PayPal",homepage:"https://paypal.com",category:"utility",domains:["*.paypal.com","*.paypalobjects.com"]},{name:"Market GID",homepage:"https://www.marketgid.com/",category:"ad",domains:["*.marketgid.com"]},{name:"Pinterest",homepage:"https://pinterest.com/",category:"social",domains:["*.pinimg.com","*.pinterest.com"]},{name:"New Relic",homepage:"https://newrelic.com/",category:"utility",domains:["*.newrelic.com","*.nr-data.net"]},{name:"AppDynamics",homepage:"https://www.appdynamics.com/",category:"utility",domains:["*.appdynamics.com","*.eum-appdynamics.com","d3tjaysgumg9lf.cloudfront.net"]},{name:"Parking Crew",homepage:"https://parkingcrew.net/",category:"other",domains:["d1lxhc4jvstzrp.cloudfront.net","*.parkingcrew.net"]},{name:"WordAds",company:"Automattic",homepage:"https://wordads.co/",category:"ad",domains:["*.pubmine.com"]},{name:"AppNexus",homepage:"https://www.appnexus.com/",category:"ad",domains:["*.adnxs.com","*.ctasnet.com","*.adrdgt.com"]},{name:"Histats",homepage:"https://www.histats.com/",category:"analytics",domains:["*.histats.com"]},{name:"DoubleVerify",homepage:"https://www.doubleverify.com/",category:"ad",domains:["*.doubleverify.com","*.dvtps.com","*.iqfp1.com"]},{name:"Mediavine",homepage:"https://www.mediavine.com/",category:"ad",domains:["*.mediavine.com"]},{name:"Wix",homepage:"https://www.wix.com/",category:"hosting",domains:["*.parastorage.com","*.wix.com","*.wixstatic.com","*.wixapps.net"]},{name:"Webflow",homepage:"https://webflow.com/",category:"hosting",domains:["*.uploads-ssl.webflow.com","*.assets-global.website-files.com","*.assets.website-files.com"]},{name:"Weebly",homepage:"https://www.weebly.com/",category:"hosting",domains:["*.editmysite.com"]},{name:"LinkedIn",homepage:"https://www.linkedin.com/",category:"social",domains:["*.bizographics.com","platform.linkedin.com","*.slideshare.com","*.slidesharecdn.com"]},{name:"LinkedIn Ads",category:"ad",domains:["*.licdn.com","*.ads.linkedin.com","ads.linkedin.com","www.linkedin.com"]},{name:"Vox Media",homepage:"https://www.voxmedia.com/",category:"content",domains:["*.vox-cdn.com","*.voxmedia.com"]},{name:"Hotmart",homepage:"https://www.hotmart.com/",category:"content",domains:["*.hotmart.com"]},{name:"SoundCloud",homepage:"https://www.soundcloud.com/",category:"content",domains:["*.sndcdn.com","*.soundcloud.com","*.stratus.sc"]},{name:"Spotify",homepage:"https://www.spotify.com/",category:"content",domains:["*.scdn.co","*.spotify.com"]},{name:"AMP",homepage:"https://amp.dev/",category:"content",domains:["*.ampproject.org"]},{name:"Beeketing",homepage:"https://beeketing.com/",category:"marketing",domains:["*.beeketing.com"]},{name:"Albacross",homepage:"https://albacross.com/",category:"marketing",domains:["*.albacross.com"]},{name:"TrafficJunky",homepage:"https://www.trafficjunky.com/",category:"ad",domains:["*.contentabc.com","*.trafficjunky.net"]},{name:"Bootstrap CDN",homepage:"https://www.bootstrapcdn.com/",category:"cdn",domains:["*.bootstrapcdn.com"]},{name:"Shareaholic",homepage:"https://www.shareaholic.com/",category:"social",domains:["*.shareaholic.com","dsms0mj1bbhn4.cloudfront.net"]},{name:"Snowplow",homepage:"https://snowplowanalytics.com/",category:"analytics",domains:["d32hwlnfiv2gyn.cloudfront.net"]},{name:"RD Station",homepage:"https://www.rdstation.com/en/",category:"marketing",domains:["d335luupugsy2.cloudfront.net"]},{name:"Jivochat",homepage:"https://www.jivochat.com/",category:"customer-success",domains:["*.jivosite.com"]},{name:"Listrak",homepage:"https://www.listrak.com/",category:"marketing",domains:["*.listrak.com","*.listrakbi.com"]},{name:"Ontame",homepage:"https://www.ontame.io",category:"analytics",domains:["*.ontame.io"]},{name:"Ipify",homepage:"https://www.ipify.org",category:"utility",domains:["*.ipify.org"]},{name:"Ensighten",homepage:"https://www.ensighten.com/",category:"tag-manager",domains:["*.ensighten.com"]},{name:"EpiServer",homepage:"https://www.episerver.com",category:"content",domains:["*.episerver.net"]},{name:"mPulse",homepage:"https://developer.akamai.com/akamai-mpulse",category:"analytics",domains:["*.akstat.io","*.go-mpulse.net","*.mpulse.net","*.mpstat.us"]},{name:"Pingdom RUM",homepage:"https://www.pingdom.com/product/performance-monitoring/",category:"analytics",domains:["*.pingdom.net"]},{name:"SpeedCurve LUX",company:"SpeedCurve",homepage:"https://speedcurve.com/features/lux/",category:"analytics",domains:["*.speedcurve.com"]},{name:"Radar",company:"Cedexis",homepage:"https://www.cedexis.com/radar/",category:"analytics",domains:["*.cedexis-test.com","*.cedexis.com","*.cmdolb.com","cedexis.leasewebcdn.com","*.cedexis-radar.net","*.cedexis.net","cedexis-test01.insnw.net","cedexisakamaitest.azureedge.net","cedexispub.cdnetworks.net","cs600.wac.alphacdn.net","cs600.wpc.edgecastdns.net","global2.cmdolb.com","img-cedexis.mncdn.com","a-cedexis.msedge.net","zn3vgszfh.fastestcdn.net"]},{name:"Byside",homepage:"https://byside.com",category:"analytics",domains:["*.byside.com"]},{name:"VWO",homepage:"https://vwo.com",category:"analytics",domains:["*.vwo.com","*.visualwebsiteoptimizer.com","d5phz18u4wuww.cloudfront.net","*.wingify.com"]},{name:"Bing Ads",homepage:"https://bingads.microsoft.com",category:"ad",domains:["*.bing.com","*.microsoft.com","*.msn.com","*.s-msft.com","*.s-msn.com","*.msads.net","*.msecnd.net"]},{name:"GoSquared",homepage:"https://www.gosquared.com",category:"analytics",domains:["*.gosquared.com","d1l6p2sc9645hc.cloudfront.net"]},{name:"Usabilla",homepage:"https://usabilla.com",category:"analytics",domains:["*.usabilla.com","d6tizftlrpuof.cloudfront.net"]},{name:"Fastly Insights",homepage:"https://insights.fastlylabs.com",category:"analytics",domains:["*.fastly-insights.com"]},{name:"Visual IQ",homepage:"https://www.visualiq.com",category:"analytics",domains:["*.myvisualiq.net"]},{name:"Snapchat",homepage:"https://www.snapchat.com",category:"analytics",domains:["*.snapchat.com","*.sc-static.net"]},{name:"Atlas Solutions",homepage:"https://atlassolutions.com",category:"analytics",domains:["*.atdmt.com"]},{name:"Quantcast",homepage:"https://www.quantcast.com",category:"analytics",domains:["*.brtstats.com","*.quantcount.com","*.quantserve.com","*.semantictec.com","*.ntv.io"]},{name:"Spiceworks",homepage:"https://www.spiceworks.com",category:"analytics",domains:["*.spiceworks.com"]},{name:"Marketo",homepage:"https://www.marketo.com",category:"analytics",domains:["*.marketo.com","*.mktoresp.com","*.marketo.net"]},{name:"Intercom",homepage:"https://www.intercom.com",category:"customer-success",domains:["*.intercomcdn.com","*.intercom.io"],products:[{name:"Intercom Widget",urlPatterns:["widget.intercom.io","js.intercomcdn.com/shim.latest.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"},{name:"Intercom Facade",repo:"https://github.com/danielbachhuber/intercom-facade/"}]}]},{name:"Unpkg",homepage:"https://unpkg.com",category:"cdn",domains:["*.unpkg.com","*.npmcdn.com"]},{name:"ReadSpeaker",homepage:"https://www.readspeaker.com",category:"other",domains:["*.readspeaker.com"]},{name:"Browsealoud",homepage:"https://www.texthelp.com/en-gb/products/browsealoud/",category:"other",domains:["*.browsealoud.com","*.texthelp.com"]},{name:"15gifts",category:"customer-success",domains:["*.15gifts.com","*.primefuse.com"]},{name:"1xRUN",category:"utility",domains:["*.1xrun.com"]},{name:"2AdPro Media Solutions",category:"ad",domains:["*.2adpro.com"]},{name:"301 Digital Media",category:"content",domains:["*.301ads.com","*.301network.com"]},{name:"360 picnic platform",company:"MediaV",category:"ad",domains:["*.mediav.com"]},{name:"365 Media Group",category:"content",domains:["*.365dm.com"]},{name:"365 Tech Services",category:"hosting",domains:["*.365webservices.co.uk"]},{name:"3D Issue",category:"utility",domains:["*.3dissue.com","*.pressjack.com"]},{name:"47Line Technologies",category:"other",domains:["*.pejs.net"]},{name:"4finance",category:"utility",domains:["*.4finance.com"]},{name:"5miles",category:"content",domains:["*.5milesapp.com"]},{name:"77Tool",company:"77Agency",category:"analytics",domains:["*.77tracking.com"]},{name:"9xb",category:"ad",domains:["*.9xb.com"]},{name:"@UK",category:"hosting",domains:["*.uk-plc.net"]},{name:"A Perfect Pocket",category:"hosting",domains:["*.aperfectpocketdata.com"]},{name:"A-FIS PTE",category:"analytics",domains:["*.websta.me"]},{name:"AB Tasty",category:"analytics",domains:["*.abtasty.com","d1447tq2m68ekg.cloudfront.net"]},{name:"ABA RESEARCH",category:"analytics",domains:["*.abaresearch.uk","qmodal.azurewebsites.net"]},{name:"ADMIZED",category:"ad",domains:["*.admized.com"]},{name:"ADNOLOGIES",category:"ad",domains:["*.heias.com"]},{name:"ADventori",category:"ad",domains:["*.adventori.com"]},{name:"AI Media Group",category:"ad",domains:["*.aimediagroup.com"]},{name:"AIR.TV",category:"ad",domains:["*.air.tv"]},{name:"AKQA",category:"ad",domains:["*.srtk.net"]},{name:"AOL ad",company:"AOL",category:"ad",domains:["*.atwola.com"]},{name:"AOL On",company:"AOL",category:"content",domains:["*.5min.com"]},{name:"AOL Sponsored Listiings",company:"AOL",category:"ad",domains:["*.adsonar.com"]},{name:"APSIS Lead",company:"APSIS International AB",category:"ad",domains:["*.prospecteye.com"]},{name:"APSIS Profile Cloud",company:"APSIS",category:"analytics",domains:["*.innomdc.com"]},{name:"APSIS Forms",company:"APSIS",category:"other",domains:["*.apsisforms.com"]},{name:"ARENA",company:"Altitude",category:"ad",domains:["*.altitude-arena.com"]},{name:"ARM",category:"analytics",domains:["*.tag4arm.com"]},{name:"ASAPP",category:"other",domains:["*.asapp.com"]},{name:"ASP",category:"hosting",domains:["*.goshowoff.com"]},{name:"AT Internet",category:"analytics",domains:["*.ati-host.net"]},{name:"ATTRAQT",category:"utility",domains:["*.attraqt.com","*.locayta.com"]},{name:"AVANSER",category:"analytics",domains:["*.avanser.com.au"]},{name:"AVG",company:"AVG Technologies",category:"utility",domains:["*.avg.com"]},{name:"AWeber",category:"ad",domains:["*.aweber.com"]},{name:"AXS",category:"content",domains:["*.axs.com"]},{name:"Accentuate",company:"Accentuate Digital",category:"utlity",homepage:"https://www.accentuate.io/",domains:["*.accentuate.io"]},{name:"Accenture",category:"analytics",domains:["*.tmvtp.com"]},{name:"Accord Holdings",category:"ad",domains:["*.agcdn.com"]},{name:"Accordant Media",category:"ad",domains:["*.a3cloud.net"]},{name:"Account Kit",category:"other",domains:["*.accountkit.com"]},{name:"Accuen Media (Omnicom Media Group)",category:"content",domains:["*.p-td.com"]},{name:"Accuweather",category:"content",domains:["*.accuweather.com"]},{name:"Acquisio",category:"ad",domains:["*.acq.io"]},{name:"Act-On Software",category:"marketing",domains:["*.actonsoftware.com"]},{name:"ActBlue",category:"other",domains:["*.actblue.com"]},{name:"Active Agent",category:"ad",domains:["*.active-agent.com"]},{name:"ActiveCampaign",category:"ad",domains:["*.trackcmp.net","app-us1.com","*.app-us1.com"]},{name:"AcuityAds",category:"ad",domains:["*.acuityplatform.com"]},{name:"Acxiom",category:"ad",domains:["*.acxiom-online.com","*.acxiomapac.com","*.delivery.net"]},{name:"Ad4Screen",category:"ad",domains:["*.a4.tl"]},{name:"Ad6Media",category:"ad",domains:["*.ad6media.fr"]},{name:"AdCurve",category:"ad",domains:["*.shop2market.com"]},{name:"AdEasy",category:"ad",domains:["*.adeasy.ru"]},{name:"AdExtent",category:"ad",domains:["*.adextent.com"]},{name:"AdForge Edge",company:"AdForge",category:"ad",domains:["*.adforgeinc.com"]},{name:"AdGear",company:"Samsung Electronics",category:"ad",domains:["*.adgear.com","*.adgrx.com"]},{name:"AdInMedia",category:"ad",domains:["*.fastapi.net"]},{name:"AdJug",category:"ad",domains:["*.adjug.com"]},{name:"AdMatic",category:"ad",domains:["*.admatic.com.tr"]},{name:"AdMedia",category:"ad",domains:["*.admedia.com"]},{name:"AdRecover",category:"ad",domains:["*.adrecover.com"]},{name:"AdRiver",category:"ad",domains:["*.adriver.ru"]},{name:"AdSniper",category:"ad",domains:["*.adsniper.ru","*.sniperlog.ru"]},{name:"AdSpeed",category:"ad",domains:["*.adspeed.net"]},{name:"AdSpruce",category:"ad",domains:["*.adspruce.com"]},{name:"AdSupply",category:"ad",domains:["*.doublepimp.com"]},{name:"AdTheorent",category:"ad",domains:["*.adentifi.com"]},{name:"AdThink AudienceInsights",company:"AdThink Media",category:"analytics",domains:["*.audienceinsights.net"]},{name:"AdTrue",company:"FPT AdTrue",category:"ad",domains:["*.adtrue.com"]},{name:"AdYapper",category:"ad",domains:["*.adyapper.com"]},{name:"Adacado",category:"ad",domains:["*.adacado.com"]},{name:"Adap.tv",category:"ad",domains:["*.adap.tv"]},{name:"Adapt Services",category:"hosting",domains:["*.adcmps.com"]},{name:"Adaptive Web",category:"hosting",domains:["*.adaptive.co.uk"]},{name:"Adara Media",category:"ad",domains:["*.yieldoptimizer.com"]},{name:"Adblade",category:"ad",domains:["*.adblade.com"]},{name:"Adbrain",category:"ad",domains:["*.adbrn.com"]},{name:"AddEvent",category:"utility",domains:["*.addevent.com"]},{name:"AddShoppers",category:"social",domains:["*.addshoppers.com","d3rr3d0n31t48m.cloudfront.net","*.shop.pe"]},{name:"AddThisEvent",category:"hosting",domains:["*.addthisevent.com"]},{name:"Addoox MetaNetwork",company:"Addoox",category:"ad",domains:["*.metanetwork.net"]},{name:"Addvantage Media",category:"ad",domains:["*.addvantagemedia.com","*.simplytechnology.net"]},{name:"AD EBis",category:"analytics",homepage:"https://www.ebis.ne.jp/",domains:["*.ebis.ne.jp"]},{name:"Adecs",category:"customer-success",domains:["*.adecs.co.uk"]},{name:"Adelphic",category:"ad",domains:["*.ipredictive.com"]},{name:"Adestra",category:"ad",domains:["*.adestra.com","*.msgfocus.com"]},{name:"Adform",category:"ad",domains:["*.adform.net","*.adformdsp.net"]},{name:"Adkontekst",category:"ad",domains:["*.adkontekst.pl"]},{name:"Adlead",category:"ad",domains:["*.webelapp.com"]},{name:"Adledge",category:"utility",domains:["*.adledge.com"]},{name:"Adloox",category:"ad",domains:["*.adlooxtracking.com"]},{name:"Adlux",category:"ad",domains:["*.adlux.com"]},{name:"Admedo",category:"ad",domains:["*.a8723.com","*.adizio.com","*.admedo.com"]},{name:"Admeta",company:"Wideorbit",category:"ad",domains:["*.atemda.com"]},{name:"Admetrics",company:"Next Tuesday",category:"analytics",domains:["*.nt.vc"]},{name:"Admiral",category:"ad",domains:["*.unknowntray.com"]},{name:"Admitad",category:"ad",domains:["*.lenmit.com"]},{name:"Admixer for Publishers",company:"Admixer",category:"ad",domains:["*.admixer.net"]},{name:"Adnium",category:"ad",domains:["*.adnium.com"]},{name:"Adnostic",company:"Dennis Publishing",category:"ad",domains:["*.adnostic.co.uk"]},{name:"Adobe Marketing Cloud",company:"Adobe Systems",category:"ad",domains:["*.adobetag.com"]},{name:"Adobe Scene7",company:"Adobe Systems",category:"content",domains:["wwwimages.adobe.com","*.scene7.com","*.everestads.net","*.everestjs.net"]},{name:"Adobe Systems",category:"content",domains:["adobe.com","www.adobe.com"]},{name:"Adobe Business Catalyst",homepage:"https://www.businesscatalyst.com/",category:"hosting",domains:["*.businesscatalyst.com"]},{name:"Adocean",company:"Gemius",category:"ad",domains:["*.adocean.pl"]},{name:"Adometry",company:"Google",category:"ad",domains:["*.dmtry.com"]},{name:"Adomik",category:"analytics",domains:["*.adomik.com"]},{name:"Adotmob",category:"ad",domains:["*.adotmob.com"]},{name:"Adrian Quevedo",category:"hosting",domains:["*.adrianquevedo.com"]},{name:"Adroit Digital Solutions",category:"ad",domains:["*.imiclk.com","*.abmr.net"]},{name:"AdsNative",category:"ad",domains:["*.adsnative.com"]},{name:"AdsWizz",category:"ad",domains:["*.adswizz.com"]},{name:"Adscale",category:"ad",domains:["*.adscale.de"]},{name:"Adschoom",company:"JSWeb Production",category:"ad",domains:["*.adschoom.com"]},{name:"Adscience",category:"ad",domains:["*.adscience.nl"]},{name:"Adsiduous",category:"ad",domains:["*.adsiduous.com"]},{name:"Adsty",category:"ad",domains:["*.adx1.com"]},{name:"Adtech (AOL)",category:"ad",domains:["*.adtechus.com"]},{name:"Adtegrity",category:"ad",domains:["*.adtpix.com"]},{name:"Adthink",company:"Adthink Media",category:"ad",domains:["*.adxcore.com","*.dcoengine.com"]},{name:"AdultWebmasterEmpire.Com",category:"ad",domains:["*.awempire.com"]},{name:"Adunity",category:"ad",domains:["*.adunity.com"]},{name:"Advance Magazine Group",category:"content",domains:["*.condenastdigital.com","*.condenet.com","*.condenast.co.uk"]},{name:"Adverline Board",company:"Adverline",category:"ad",domains:["*.adverline.com","*.adnext.fr"]},{name:"AdvertServe",category:"ad",domains:["*.advertserve.com"]},{name:"Advolution",category:"utility",domains:["*.advolution.de"]},{name:"Adwise",category:"ad",domains:["*.adwise.bg"]},{name:"Adyen",category:"utility",domains:["*.adyen.com"]},{name:"Adyoulike",category:"ad",domains:["*.adyoulike.com","*.omnitagjs.com","*.adyoulike.net"]},{name:"Adzerk",category:"ad",domains:["*.adzerk.net"]},{name:"Adzip",company:"Adbox Digital",category:"ad",domains:["*.adzip.co"]},{name:"AerServ",category:"ad",domains:["*.aerserv.com"]},{name:"Affectv",category:"ad",domains:["*.affectv.com","*.affec.tv"]},{name:"Affiliate Window",company:"Digital Window",category:"ad",domains:["*.dwin1.com"]},{name:"Affiliatly",category:"ad",domains:["*.affiliatly.com"]},{name:"Affino",category:"ad",domains:["affino.com"]},{name:"Affirm",category:"utility",domains:["*.affirm.com"]},{name:"Afterpay",company:"Block",category:"utlity",homepage:"https://www.afterpay.com/",domains:["*.afterpay.com"]},{name:"Agenda Media",category:"ad",domains:["*.agendamedia.co.uk"]},{name:"Aggregate Knowledge",company:"Neustar",category:"ad",domains:["*.agkn.com"]},{name:"AgilOne",category:"marketing",domains:["*.agilone.com"]},{name:"Agility",category:"hosting",domains:["*.agilitycms.com"]},{name:"Ahalogy",category:"social",domains:["*.ahalogy.com"]},{name:"Aheadworks",category:"utility",domains:["*.aheadworks.com"]},{name:"AirPR",category:"analytics",domains:["*.airpr.com"]},{name:"Aira",category:"ad",domains:["*.aira.net"]},{name:"Airport Parking and Hotels",category:"content",domains:["*.aph.com"]},{name:"Akanoo",category:"analytics",domains:["*.akanoo.com"]},{name:"Alchemy",company:"AndBeyond.Media",category:"ad",domains:["*.andbeyond.media"]},{name:"AlephD",company:"AOL",category:"ad",domains:["*.alephd.com"]},{name:"AliveChat",company:"AYU Technology Solutions",category:"customer-success",domains:["*.websitealive.com","*.websitealive7.com"]},{name:"All Access",category:"other",domains:["*.allaccess.com.ph"]},{name:"Alliance for Audited Media",category:"ad",domains:["*.aamsitecertifier.com"]},{name:"Allyde",category:"marketing",domains:["*.mautic.com"]},{name:"AlphaSSL",category:"utility",domains:["*.alphassl.com"]},{name:"Altitude",category:"ad",domains:["*.altitudeplatform.com"]},{name:"Altocloud",category:"analytics",domains:["*.altocloud.com"]},{name:"Amadeus",category:"content",domains:["*.e-travel.com"]},{name:"Amazon CloudFront",company:"Amazon",category:"utility",domains:["cloudfront.net"]},{name:"Ambassador",category:"ad",domains:["*.getambassador.com"]},{name:"Ambient",company:"Ericcson",category:"other",domains:["*.adnetwork.vn","*.ambientplatform.vn"]},{name:"Amelia Communication",category:"hosting",domains:["*.sara.media"]},{name:"Amobee",category:"marketing",domains:["*.amgdgt.com","*.kontera.com"]},{name:"Amplience",category:"marketing",domains:["*.10cms.com","*.amplience.com","*.amplience.net","*.bigcontent.io","*.adis.ws"]},{name:"Amplitude Mobile Analytics",company:"Amplitude",category:"analytics",domains:["*.amplitude.com","d24n15hnbwhuhn.cloudfront.net"]},{name:"Anametrix",company:"Ensighten",category:"analytics",domains:["*.anametrix.com"]},{name:"Ancora Platform",company:"Ancora Media Solutions",category:"ad",domains:["*.ancoraplatform.com"]},{name:"Anedot",category:"other",domains:["*.anedot.com"]},{name:"AnimateJS",category:"utility",domains:["*.animatedjs.com"]},{name:"AnswerDash",category:"customer-success",domains:["*.answerdash.com"]},{name:"Answers",category:"analytics",domains:["*.answcdn.com","*.answers.com","*.dsply.com"]},{name:"Apester",category:"analytics",domains:["*.apester.com","*.qmerce.com"]},{name:"Apligraf SmartWeb",company:"Apligraf",category:"utility",domains:["*.apligraf.com.br"]},{name:"Appier",category:"ad",domains:["*.appier.net"]},{name:"Appsolute",category:"utility",homepage:"https://appsolute.us/",domains:["dropahint.love"]},{name:"Apptus eSales",company:"Apptus",category:"analytics",domains:["*.apptus.com"]},{name:"Arbor",company:"LiveRamp",category:"other",domains:["*.pippio.com"]},{name:"Ardent Creative",category:"hosting",domains:["*.ardentcreative.co.uk"]},{name:"Arnold Clark Automobiles",category:"content",domains:["*.arnoldclark.com"]},{name:"Atom Content Marketing",category:"content",domains:["*.atomvault.net"]},{name:"Atom Data",category:"other",domains:["*.atomdata.io"]},{name:"Attribution",category:"ad",domains:["*.attributionapp.com"]},{name:"Audience 360",company:"Datapoint Media",category:"ad",domains:["*.dpmsrv.com"]},{name:"Audience Science",category:"ad",domains:["*.revsci.net"]},{name:"AudienceSearch",company:"Intimate Merger",category:"ad",domains:["*.im-apps.net"]},{name:"Auditorius",category:"ad",domains:["*.audtd.com"]},{name:"Augur",category:"analytics",domains:["*.augur.io"]},{name:"Auto Link Maker",company:"Apple",category:"ad",domains:["*.apple.com"]},{name:"Autopilot",category:"ad",domains:["*.autopilothq.com"]},{name:"Avail",company:"RichRelevance",category:"ad",domains:["*.avail.net"]},{name:"AvantLink",category:"ad",domains:["*.avmws.com"]},{name:"Avco Systems",category:"utility",domains:["*.avcosystems.com"]},{name:"Avid Media",category:"customer-success",domains:["*.adspdbl.com","*.metadsp.co.uk"]},{name:"Avocet Systems",category:"ad",domains:["*.avocet.io","ads.avct.cloud"]},{name:"Avora",category:"analytics",domains:["*.truedash.com"]},{name:"Azure Traffic Manager",company:"Microsoft",category:"other",domains:["*.gateway.net","*.trafficmanager.net"]},{name:"Azure Web Services",company:"Microsoft",category:"cdn",domains:["*.azurewebsites.net","*.azureedge.net","*.msedge.net","*.windows.net"]},{name:"BAM",category:"analytics",domains:["*.bam-x.com"]},{name:"Baifendian Technology",category:"marketing",domains:["*.baifendian.com"]},{name:"Bankrate",category:"utility",domains:["*.bankrate.com"]},{name:"BannerFlow",company:"Nordic Factory Solutions",category:"ad",domains:["*.bannerflow.com"]},{name:"Barclaycard SmartPay",company:"Barclaycard",category:"utility",domains:["*.barclaycardsmartpay.com"]},{name:"Barilliance",category:"analytics",domains:["*.barilliance.net","dn3y71tq7jf07.cloudfront.net"]},{name:"Barnebys",category:"other",domains:["*.barnebys.com"]},{name:"Basis",company:"Basis Technologies",category:"ad",homepage:"https://basis.net/",domains:["*.basis.net"]},{name:"Batch Media",category:"ad",domains:["*.t4ft.de"]},{name:"Bauer Consumer Media",category:"content",domains:["*.bauercdn.com","*.greatmagazines.co.uk"]},{name:"Baynote",category:"analytics",domains:["*.baynote.net"]},{name:"Bazaarvoice",category:"analytics",domains:["*.bazaarvoice.com","*.feedmagnet.com"]},{name:"Beachfront Media",category:"ad",domains:["*.bfmio.com"]},{name:"BeamPulse",category:"analytics",domains:["*.beampulse.com"]},{name:"Beeswax",category:"ad",domains:["*.bidr.io"]},{name:"Beetailer",category:"social",domains:["*.beetailer.com"]},{name:"Best Of Media S.A.",category:"content",domains:["*.servebom.com"]},{name:"Bet365",category:"ad",domains:["*.bet365affiliates.com"]},{name:"Betfair",category:"other",domains:["*.cdnbf.net"]},{name:"Betgenius",company:"Genius Sports",category:"content",domains:["*.connextra.com"]},{name:"Better Banners",category:"ad",domains:["*.betterbannerscloud.com"]},{name:"Better Business Bureau",category:"analytics",domains:["*.bbb.org"]},{name:"Between Digital",category:"ad",domains:["*.betweendigital.com"]},{name:"BidTheatre",category:"ad",domains:["*.bidtheatre.com"]},{name:"Bidtellect",category:"ad",domains:["*.bttrack.com"]},{name:"Bigcommerce",category:"marketing",domains:["*.bigcommerce.com"]},{name:"BitGravity",company:"Tata Communications",category:"content",domains:["*.bitgravity.com"]},{name:"Bitly",category:"utility",domains:["*.bitly.com","*.lemde.fr","*.bit.ly"]},{name:"Bizible",category:"ad",domains:["*.bizible.com","*.bizibly.com"]},{name:"Bizrate",category:"analytics",domains:["*.bizrate.com"]},{name:"BlastCasta",category:"social",domains:["*.poweringnews.com"]},{name:"Blindado",category:"utility",domains:["*.siteblindado.com"]},{name:"Blis",category:"ad",domains:["*.blismedia.com"]},{name:"Blogg.se",category:"hosting",domains:["*.cdnme.se","*.publishme.se"]},{name:"BloomReach",category:"ad",domains:["*.brcdn.com","*.brsrvr.com","*.brsvr.com"]},{name:"Bloomberg",category:"content",domains:["*.gotraffic.net"]},{name:"Shop Logic",company:"BloomReach",category:"marketing",domains:["*.goshoplogic.com"]},{name:"Blue State Digital",category:"ad",domains:["*.bsd.net"]},{name:"Blue Triangle Technologies",category:"analytics",domains:["*.btttag.com"]},{name:"BlueCava",category:"ad",domains:["*.bluecava.com"]},{name:"BlueKai",company:"Oracle",category:"ad",domains:["*.bkrtx.com","*.bluekai.com"]},{name:"Bluecore",category:"analytics",domains:["*.bluecore.com"]},{name:"Bluegg",category:"hosting",domains:["d1va5oqn59yrvt.cloudfront.net"]},{name:"Bold Commerce",category:"utility",domains:["*.shappify-cdn.com","*.shappify.com","*.boldapps.net"]},{name:"BoldChat",company:"LogMeIn",category:"customer-success",domains:["*.boldchat.com"]},{name:"Bombora",category:"ad",domains:["*.mlno6.com"]},{name:"Bonnier",category:"content",domains:["*.bonniercorp.com"]},{name:"Bookatable",category:"content",domains:["*.bookatable.com","*.livebookings.com"]},{name:"Booking.com",category:"content",domains:["*.bstatic.com"]},{name:"Boomtrain",category:"ad",domains:["*.boomtrain.com","*.boomtrain.net"]},{name:"BoostSuite",category:"ad",domains:["*.poweredbyeden.com"]},{name:"Boostable",category:"ad",domains:["*.boostable.com"]},{name:"Bootstrap Chinese network",category:"cdn",domains:["*.bootcss.com"]},{name:"Booxscale",category:"ad",domains:["*.booxscale.com"]},{name:"Borderfree",company:"pitney bowes",category:"utility",domains:["*.borderfree.com","*.fiftyone.com"]},{name:"BowNow",category:"analytics",homepage:"https://bow-now.jp/",domains:["*.bownow.jp"]},{name:"Box",category:"hosting",domains:["*.box.com"]},{name:"Boxever",category:"analytics",domains:["*.boxever.com"]},{name:"Braintree Payments",company:"Paypal",category:"utility",domains:["*.braintreegateway.com"]},{name:"Branch Metrics",category:"ad",domains:["*.branch.io","*.app.link"]},{name:"Brand Finance",category:"other",domains:["*.brandirectory.com"]},{name:"Brand View",category:"analytics",domains:["*.brandview.com"]},{name:"Brandscreen",category:"ad",domains:["*.rtbidder.net"]},{name:"BridgeTrack",company:"Sapient",category:"ad",domains:["*.bridgetrack.com"]},{name:"BrightRoll",company:"Yahoo!",category:"ad",domains:["*.btrll.com"]},{name:"BrightTag / Signal",company:"Signal",homepage:"https://www.signal.co",category:"tag-manager",domains:["*.btstatic.com","*.thebrighttag.com"]},{name:"Brightcove ZenCoder",company:"Brightcove",category:"other",domains:["*.zencoder.net"]},{name:"Bronto Software",category:"marketing",domains:["*.bm23.com","*.bronto.com","*.brontops.com"]},{name:"Browser-Update.org",category:"other",domains:["*.browser-update.org"]},{name:"Buffer",category:"social",domains:["*.bufferapp.com"]},{name:"Bugsnag",category:"utility",domains:["*.bugsnag.com","d2wy8f7a9ursnm.cloudfront.net"]},{name:"Burst Media",category:"ad",domains:["*.burstnet.com","*.1rx.io"]},{name:"Burt",category:"analytics",domains:["*.richmetrics.com","*.burt.io"]},{name:"Business Message",category:"ad",domains:["*.message-business.com"]},{name:"Business Week",company:"Bloomberg",category:"social",domains:["*.bwbx.io"]},{name:"Buto",company:"Big Button",category:"ad",domains:["*.buto.tv"]},{name:"Button",category:"ad",domains:["*.btncdn.com"]},{name:"BuySellAds",category:"ad",domains:["*.buysellads.com","*.buysellads.net"]},{name:"BuySight (AOL)",category:"ad",domains:["*.pulsemgr.com"]},{name:"Buyapowa",category:"ad",domains:["*.co-buying.com"]},{name:"BuzzFeed",category:"social",domains:["*.buzzfed.com"]},{name:"C1X",category:"ad",domains:["*.c1exchange.com"]},{name:"C3 Metrics",category:"analytics",domains:["*.c3tag.com"]},{name:"CANDDi",company:"Campaign and Digital Intelligence",category:"ad",domains:["*.canddi.com"]},{name:"CCM benchmark Group",category:"social",domains:["*.ccm2.net"]},{name:"CD Networks",category:"utility",domains:["*.gccdn.net"]},{name:"CDN Planet",category:"analytics",domains:["*.cdnplanet.com"]},{name:"InAuth",category:"utility",homepage:"https://www.inauth.com/",domains:["*.cdn-net.com"]},{name:"CJ Affiliate",company:"Conversant",category:"ad",domains:["*.cj.com","*.dpbolvw.net"]},{name:"CJ Affiliate by Conversant",company:"Conversant",category:"ad",domains:["*.ftjcfx.com"]},{name:"CNBC",category:"content",domains:["*.cnbc.com"]},{name:"CNET Content Solutions",company:"CBS Interactive",category:"content",domains:["*.cnetcontent.com"]},{name:"CPEx",category:"content",domains:["*.cpex.cz"]},{name:"CPXi",category:"ad",domains:["*.cpxinteractive.com"]},{name:"CUBED Attribution",company:"CUBED",category:"ad",domains:["*.withcubed.com"]},{name:"Cachefly",category:"utility",domains:["*.cachefly.net"]},{name:"Calendly",category:"other",domains:["*.calendly.com"]},{name:"CallRail",category:"analytics",domains:["*.callrail.com"]},{name:"CallTrackingMetrics",category:"analytics",domains:["*.tctm.co"]},{name:"Canned Banners",category:"ad",domains:["*.cannedbanners.com"]},{name:"Canopy Labs",category:"analytics",domains:["*.canopylabs.com"]},{name:"Capita",category:"utility",domains:["*.crcom.co.uk"]},{name:"Captify Media",category:"ad",domains:["*.cpx.to"]},{name:"Captiify",category:"ad",domains:["*.captifymedia.com"]},{name:"Captivate Ai",category:"ad",domains:["*.captivate.ai"]},{name:"Captora",category:"marketing",domains:["*.captora.com"]},{name:"Carcloud",category:"other",domains:["*.carcloud.co.uk"]},{name:"Cardlytics",category:"ad",domains:["*.cardlytics.com"]},{name:"Cardosa Enterprises",category:"analytics",domains:["*.y-track.com"]},{name:"Caspian Media",category:"ad",domains:["*.caspianmedia.com"]},{name:"Cast",category:"utility",domains:["*.cast.rocks"]},{name:"Catch",category:"other",domains:["*.getcatch.com"]},{name:"Cavisson",category:"analytics",domains:["*.cavisson.com"]},{name:"Cedato",category:"ad",domains:["*.algovid.com","*.vdoserv.com"]},{name:"Celebrus Technologies",category:"analytics",domains:["*.celebrus.com"]},{name:"Celtra",category:"ad",domains:["*.celtra.com"]},{name:"Centro",category:"ad",domains:["*.brand-server.com"]},{name:"Ceros",category:"other",domains:["ceros.com","view.ceros.com"]},{name:"Ceros Analytics",company:"Ceros",category:"analytics",domains:["api.ceros.com"]},{name:"Certona",category:"analytics",domains:["*.certona.net"]},{name:"Certum",category:"utility",domains:["*.ocsp-certum.com","*.certum.pl"]},{name:"Cgrdirect",category:"other",domains:["*.cgrdirect.co.uk"]},{name:"Channel 5 Media",category:"ad",domains:["*.five.tv"]},{name:"Channel.me",category:"customer-success",domains:["*.channel.me"]},{name:"ChannelAdvisor",category:"ad",domains:["*.channeladvisor.com","*.searchmarketing.com"]},{name:"ChannelApe",company:"ChannelApe",category:"other",homepage:"https://www.channelape.com/",domains:["*.channelape.com"]},{name:"Chargeads Oscar",company:"Chargeads",category:"ad",domains:["*.chargeads.com"]},{name:"Charities Aid Foundation",category:"utility",domains:["*.cafonline.org"]},{name:"Chartbeat",category:"analytics",domains:["*.chartbeat.com","*.chartbeat.net"]},{name:"Cheapflights Media",company:"Momondo",category:"content",domains:["*.momondo.net"]},{name:"CheckM8",category:"ad",domains:["*.checkm8.com"]},{name:"CheckRate",company:"FreeStart",category:"utility",domains:["*.checkrate.co.uk"]},{name:"Checkfront",category:"other",domains:["*.checkfront.com","dcg3jth5savst.cloudfront.net"]},{name:"CheetahMail",company:"Experian",category:"ad",domains:["*.chtah.com"]},{name:"Chitika",category:"ad",domains:["*.chitika.net"]},{name:"ChoiceStream",category:"ad",domains:["*.choicestream.com"]},{name:"Cint",category:"social",domains:["*.cint.com"]},{name:"Civic",category:"hosting",domains:["*.civiccomputing.com"]},{name:"ClearRise",category:"customer-success",domains:["*.clearrise.com"]},{name:"Clearstream",category:"ad",domains:["*.clrstm.com"]},{name:"Clerk.io ApS",category:"analytics",domains:["*.clerk.io"]},{name:"CleverDATA",category:"ad",domains:["*.1dmp.io"]},{name:"CleverTap",category:"analytics",domains:["d2r1yp2w7bby2u.cloudfront.net"]},{name:"Click Density",category:"analytics",domains:["*.clickdensity.com"]},{name:"Click4Assistance",category:"customer-success",domains:["*.click4assistance.co.uk"]},{name:"ClickDesk",category:"customer-success",domains:["*.clickdesk.com","d1gwclp1pmzk26.cloudfront.net"]},{name:"ClickDimensions",category:"ad",domains:["*.clickdimensions.com"]},{name:"Clickadu (Winner Solutions)",category:"ad",domains:["*.clickadu.com"]},{name:"Clickagy Audience Lab",company:"Clickagy",category:"ad",domains:["*.clickagy.com"]},{name:"Clickio",category:"ad",domains:[]},{name:"Clicktale",category:"analytics",domains:["*.cdngc.net","*.clicktale.net"]},{name:"Clicktripz",category:"content",domains:["*.clicktripz.com"]},{name:"Clik.com Websites",category:"content",domains:["*.clikpic.com"]},{name:"Cloud Technologies",category:"ad",domains:["*.behavioralengine.com","*.behavioralmailing.com"]},{name:"Cloud-A",category:"other",domains:["*.bulkstorage.ca"]},{name:"Cloud.typography",company:"Hoefler &amp; Co",category:"cdn",domains:["*.typography.com"]},{name:"CloudSponge",category:"ad",domains:["*.cloudsponge.com"]},{name:"CloudVPS",category:"other",domains:["*.adoftheyear.com","*.objectstore.eu"]},{name:"Cloudinary",category:"content",domains:["*.cloudinary.com"]},{name:"Cloudqp",company:"Cloudwp",category:"other",domains:["*.cloudwp.io"]},{name:"Cludo",category:"utility",domains:["*.cludo.com"]},{name:"Cognesia",category:"marketing",domains:["*.intelli-direct.com"]},{name:"CogoCast",company:"Cogo Labs",category:"ad",domains:["*.cogocast.net"]},{name:"Colbenson",category:"utility",domains:["*.colbenson.com"]},{name:"Collective",category:"ad",domains:["*.collective-media.net"]},{name:"Com Laude",category:"other",domains:["*.gdimg.net"]},{name:"Comm100",category:"customer-success",domains:["*.comm100.com"]},{name:"CommerceHub",category:"marketing",domains:["*.mercent.com"]},{name:"Commission Factory",category:"ad",domains:["*.cfjump.com"]},{name:"Communicator",category:"ad",domains:["*.communicatorcorp.com","*.communicatoremail.com"]},{name:"Comodo",category:"utility",domains:["*.comodo.com","*.trust-provider.com","*.trustlogo.com","*.usertrust.com","*.comodo.net"]},{name:"Comodo Certificate Authority",company:"Comodo",category:"utility",domains:["crt.comodoca.com","*.comodoca4.com","ocsp.comodoca.com","ocsp.usertrust.com","crt.usertrust.com"]},{name:"Compete",company:"Millwood Brown Digital",category:"analytics",domains:["*.c-col.com","*.compete.com"]},{name:"Compuware",category:"analytics",domains:["*.axf8.net"]},{name:"Conductrics",category:"analytics",domains:["*.conductrics.com"]},{name:"Confirmit",category:"analytics",domains:["*.confirmit.com"]},{name:"Connatix",category:"ad",domains:["*.connatix.com"]},{name:"Connect Events",category:"hosting",domains:["*.connectevents.com.au"]},{name:"Constant Contact",category:"ad",domains:["*.ctctcdn.com"]},{name:"Constructor.io",category:"utility",domains:["*.cnstrc.com"]},{name:"Contabo",category:"hosting",domains:["185.2.100.179"]},{name:"Content Media Corporation",category:"content",domains:["*.contentmedia.eu"]},{name:"ContentSquare",category:"analytics",domains:["d1m6l9dfulcyw7.cloudfront.net","*.content-square.net","*.contentsquare.net"]},{name:"ContextWeb",category:"ad",domains:["*.contextweb.com"]},{name:"Continental Exchange Solutions",category:"utility",domains:["*.hifx.com"]},{name:"Converge-Digital",category:"ad",domains:["*.converge-digital.com"]},{name:"Conversant",category:"analytics",domains:["*.dotomi.com","*.dtmpub.com","*.emjcd.com","mediaplex.com","*.tqlkg.com","*.fastclick.net"]},{name:"Conversant Ad Server",company:"Conversant",category:"ad",domains:["adfarm.mediaplex.com","*.mediaplex.com"]},{name:"Conversant Tag Manager",company:"Conversant",category:"tag-manager",domains:["*.mplxtms.com"]},{name:"Conversio",category:"ad",domains:["*.conversio.com"]},{name:"Conversion Labs",category:"ad",domains:["*.net.pl"]},{name:"Conversion Logic",category:"ad",domains:["*.conversionlogic.net"]},{name:"Convert Insights",category:"analytics",domains:["*.convertexperiments.com"]},{name:"ConvertMedia",category:"ad",domains:["*.admailtiser.com","*.basebanner.com","*.cmbestsrv.com","*.vidfuture.com","*.zorosrv.com"]},{name:"Convertro",category:"ad",domains:["*.convertro.com"]},{name:"Conviva",category:"content",domains:["*.conviva.com"]},{name:"Cookie Reports",category:"utility",domains:["*.cookiereports.com"]},{name:"Cookie-Script.com",category:"utility",domains:["*.cookie-script.com"]},{name:"CookieQ",company:"Baycloud Systems",category:"utility",domains:["*.cookieq.com"]},{name:"CoolaData",category:"analytics",domains:["*.cooladata.com"]},{name:"CopperEgg",category:"analytics",domains:["*.copperegg.com","d2vig74li2resi.cloudfront.net"]},{name:"Council ad Network",category:"ad",domains:["*.counciladvertising.net"]},{name:"Covert Pics",category:"content",domains:["*.covet.pics"]},{name:"Cox Digital Solutions",category:"ad",domains:["*.afy11.net"]},{name:"Creafi Online Media",category:"ad",domains:["*.creafi-online-media.com"]},{name:"Creators",category:"content",domains:["*.creators.co"]},{name:"Crimson Hexagon Analytics",company:"Crimson Hexagon",category:"analytics",domains:["*.hexagon-analytics.com"]},{name:"Crimtan",category:"ad",domains:["*.ctnsnet.com"]},{name:"Cross Pixel Media",category:"ad",domains:["*.crsspxl.com"]},{name:"Crosswise",category:"ad",domains:["*.univide.com"]},{name:"Crowd Control",company:"Lotame",category:"ad",domains:["*.crwdcntrl.net"]},{name:"Crowd Ignite",category:"ad",domains:["*.crowdignite.com"]},{name:"CrowdTwist",category:"ad",domains:["*.crowdtwist.com"]},{name:"Crowdskout",category:"ad",domains:["*.crowdskout.com"]},{name:"Crowdynews",category:"social",domains:["*.breakingburner.com"]},{name:"Curalate",category:"marketing",domains:["*.curalate.com","d116tqlcqfmz3v.cloudfront.net"]},{name:"Customer Acquisition Cloud",company:"[24]7",category:"ad",domains:["*.campanja.com"]},{name:"Customer.io",category:"ad",domains:["*.customer.io"]},{name:"Custora",category:"analytics",domains:["*.custora.com"]},{name:"Cxense",category:"ad",domains:["*.cxense.com","*.cxpublic.com","*.emediate.dk","*.emediate.eu"]},{name:"CyberKnight",company:"Namogoo",category:"utility",domains:["*.namogoo.com"]},{name:"CyberSource (Visa)",category:"utility",domains:["*.authorize.net"]},{name:"Cybernet Quest",category:"analytics",domains:["*.cqcounter.com"]},{name:"D.A. Consortium",category:"ad",domains:["*.eff1.net"]},{name:"D4t4 Solutions",category:"analytics",domains:["*.u5e.com"]},{name:"DCSL Software",category:"hosting",domains:["*.dcslsoftware.com"]},{name:"DMG Media",category:"content",domains:["*.mol.im","*.and.co.uk","*.anm.co.uk","*.dailymail.co.uk"]},{name:"DTSCOUT",category:"ad",domains:["*.dtscout.com"]},{name:"Dailykarma",category:"utility",homepage:"https://www.dailykarma.com/",domains:["*.dailykarma.io"]},{name:"Dailymotion",category:"content",domains:["*.dailymotion.com","*.dmxleo.com","*.dm.gg","*.pxlad.io","*.dmcdn.net","*.sublimevideo.net"]},{name:"Dash Hudson",company:"Dash Hudson",category:"content",domains:["*.dashhudson.com"]},{name:"Datacamp",category:"utility",domains:["*.cdn77.org"]},{name:"Datalicious",category:"tag-manager",domains:["*.supert.ag","*.optimahub.com"]},{name:"Datalogix",category:"ad",domains:["*.nexac.com"]},{name:"Datawrapper",category:"utility",domains:["*.datawrapper.de","*.dwcdn.net"]},{name:"Dataxu",category:"marketing",domains:["*.w55c.net"]},{name:"DatoCMS",homepage:"https://www.datocms.com/",category:"content",domains:["*.datocms-assets.com"]},{name:"Datonics",category:"ad",domains:["*.pro-market.net"]},{name:"Dealtime",category:"content",domains:["*.dealtime.com"]},{name:"Debenhams Geo Location",company:"Debenhams",category:"utility",domains:["176.74.183.134"]},{name:"Decibel Insight",category:"analytics",domains:["*.decibelinsight.net"]},{name:"Deep Forest Media",company:"Rakuten",category:"ad",domains:["*.dpclk.com"]},{name:"DeepIntent",category:"ad",domains:["*.deepintent.com"]},{name:"Delicious Media",category:"social",domains:["*.delicious.com"]},{name:"Delineo",category:"ad",domains:["*.delineo.com"]},{name:"Delta Projects AB",category:"ad",domains:["*.de17a.com"]},{name:"Demand Media",category:"content",domains:["*.dmtracker.com"]},{name:"DemandBase",category:"marketing",domains:["*.demandbase.com"]},{name:"DemandJump",category:"analytics",domains:["*.demandjump.com"]},{name:"Dennis Publishing",category:"content",domains:["*.alphr.com"]},{name:"Devatics",category:"analytics",domains:["*.devatics.com","*.devatics.io"]},{name:"Developer Media",category:"ad",domains:["*.developermedia.com"]},{name:"DialogTech",category:"ad",domains:["*.dialogtech.com"]},{name:"DialogTech SourceTrak",company:"DialogTech",category:"ad",domains:["d31y97ze264gaa.cloudfront.net"]},{name:"DigiCert",category:"utility",domains:["*.digicert.com"]},{name:"Digioh",category:"ad",domains:["*.lightboxcdn.com"]},{name:"Digital Look",category:"content",domains:["*.digitallook.com"]},{name:"Digital Media Exchange",company:"NDN",category:"content",domains:["*.newsinc.com"]},{name:"Digital Millennium Copyright Act Services",category:"utility",domains:["*.dmca.com"]},{name:"Digital Ocean",category:"other",domains:["95.85.62.56"]},{name:"Digital Remedy",category:"ad",domains:["*.consumedmedia.com"]},{name:"Digital Window",category:"ad",domains:["*.awin1.com","*.zenaps.com"]},{name:"DigitalScirocco",category:"analytics",domains:["*.digitalscirocco.net"]},{name:"Digitial Point",category:"utility",domains:["*.dpstatic.com"]},{name:"Diligent (Adnetik)",category:"ad",domains:["*.wtp101.com"]},{name:"Directed Edge",category:"social",domains:["*.directededge.com"]},{name:"Distribute Travel",category:"ad",domains:["*.dtrck.net"]},{name:"District M",category:"ad",domains:["*.districtm.io"]},{name:"DistroScale",category:"ad",domains:["*.jsrdn.com"]},{name:"Divido",category:"utility",domains:["*.divido.com"]},{name:"Dow Jones",category:"content",domains:["*.dowjones.com","*.dowjoneson.com"]},{name:"Drifty Co",category:"utility",domains:["*.onicframework.com"]},{name:"Drip",company:"The Numa Group",category:"ad",domains:["*.getdrip.com"]},{name:"Dropbox",category:"utility",domains:["*.dropboxusercontent.com"]},{name:"Dyn Real User Monitoring",company:"Dyn",category:"analytics",domains:["*.jisusaiche.biz","*.dynapis.com","*.jisusaiche.com","*.dynapis.info"]},{name:"DynAdmic",category:"ad",domains:["*.dyntrk.com"]},{name:"Dynamic Converter",category:"utility",domains:["*.dynamicconverter.com"]},{name:"Dynamic Dummy Image Generator",company:"Open Source",category:"utility",domains:["*.dummyimage.com"]},{name:"Dynamic Logic",category:"ad",domains:["*.dl-rms.com","*.questionmarket.com"]},{name:"Dynamic Yield",category:"customer-success",domains:["*.dynamicyield.com"]},{name:"Dynatrace",category:"analytics",domains:["*.ruxit.com","js-cdn.dynatrace.com"]},{name:"ec-concier",homepage:"https://ec-concier.com/",category:"marketing",domains:["*.ec-concier.com"]},{name:"ECT News Network",category:"content",domains:["*.ectnews.com"]},{name:"ELITechGroup",category:"analytics",domains:["*.elitechnology.com"]},{name:"EMAP",category:"content",domains:["*.emap.com"]},{name:"EMedia Solutions",category:"ad",domains:["*.e-shots.eu"]},{name:"EQ works",category:"ad",domains:["*.eqads.com"]},{name:"ESV Digital",category:"analytics",domains:["*.esearchvision.com"]},{name:"Ebiquity",category:"analytics",domains:["*.ebiquitymedia.com"]},{name:"Eco Rebates",category:"ad",domains:["*.ecorebates.com"]},{name:"Ecwid",category:"hosting",domains:["*.ecwid.com","*.shopsettings.com","d3fi9i0jj23cau.cloudfront.net","d3j0zfs7paavns.cloudfront.net"]},{name:"Edge Web Fonts",company:"Adobe Systems",category:"cdn",domains:["*.edgefonts.net"]},{name:"Edition Digital",category:"ad",domains:["*.editiondigital.com"]},{name:"Edot Web Technologies",category:"hosting",domains:["*.edot.co.za"]},{name:"Effective Measure",category:"ad",domains:["*.effectivemeasure.net"]},{name:"Effiliation sa",category:"ad",domains:["*.effiliation.com"]},{name:"Ekm Systems",category:"analytics",domains:["*.ekmsecure.com","*.ekmpinpoint.co.uk"]},{name:"Elastera",category:"hosting",domains:["*.elastera.net"]},{name:"Elastic Ad",category:"ad",domains:["*.elasticad.net"]},{name:"Elastic Load Balancing",company:"Amazon Web Services",category:"hosting",domains:["*.105app.com"]},{name:"Elecard StreamEye",company:"Elecard",category:"other",domains:["*.streameye.net"]},{name:"Elevate",company:"Elevate Technology Solutions",category:"utility",domains:["*.elevaate.technology"]},{name:"Elicit",category:"utility",domains:["*.elicitapp.com"]},{name:"Elogia",category:"ad",domains:["*.elogia.net"]},{name:"Email Attitude",company:"1000mercis",category:"ad",domains:["*.email-attitude.com"]},{name:"EmailCenter",category:"ad",domains:["*.emailcenteruk.com"]},{name:"Embedly",category:"content",domains:["*.embedly.com","*.embed.ly"]},{name:"EmpathyBroker Site Search",company:"EmpathyBroker",category:"utility",domains:["*.empathybroker.com"]},{name:"Enfusen",category:"analytics",domains:["*.enfusen.com"]},{name:"Engadget",company:"Engadget (AOL)",category:"content",domains:["*.gdgt.com"]},{name:"Engagio",category:"marketing",domains:["*.engagio.com"]},{name:"Ensighten Manage",company:"Ensighten",category:"tag-manager",domains:["*.levexis.com"]},{name:"EntityLink",category:"other",domains:["*.entitytag.co.uk"]},{name:"Entrust Datacard",category:"utility",domains:["*.entrust.com","*.entrust.net"]},{name:"Equiniti",category:"utility",domains:["*.equiniti.com"]},{name:"Errorception",category:"utility",domains:["*.errorception.com"]},{name:"Esri ArcGIS",company:"Esri",category:"utility",domains:["*.arcgis.com","*.arcgisonline.com"]},{name:"Ethnio",category:"analytics",domains:["*.ethn.io"]},{name:"Eulerian Technologies",category:"ad",domains:["*.eolcdn.com"]},{name:"Euroland",category:"utility",domains:["*.euroland.com"]},{name:"European Interactive Digital ad Alli",category:"utility",domains:["*.edaa.eu"]},{name:"Eventbrite",category:"hosting",domains:["*.evbuc.com","*.eventbrite.co.uk"]},{name:"Everflow",category:"analytics",domains:["*.tp88trk.com"]},{name:"Evergage",category:"analytics",domains:["*.evergage.com","*.evgnet.com"]},{name:"Everquote",category:"content",domains:["*.evq1.com"]},{name:"Everyday Health",category:"ad",domains:["*.agoramedia.com"]},{name:"Evidon",category:"analytics",domains:["*.evidon.com"]},{name:"Evolve Media",category:"content",domains:["*.evolvemediallc.com"]},{name:"Exactag",category:"ad",domains:["*.exactag.com"]},{name:"ExoClick",category:"ad",domains:["*.exoclick.com"]},{name:"Expedia",category:"content",domains:["*.travel-assets.com","*.trvl-media.com","*.trvl-px.com","*.uciservice.com"]},{name:"Expedia Australia",company:"Expedia",category:"content",domains:["*.expedia.com.au"]},{name:"Expedia Canada",company:"Expedia",category:"content",domains:["*.expedia.ca"]},{name:"Expedia France",company:"Expedia",category:"content",domains:["*.expedia.fr"]},{name:"Expedia Germany",company:"Expedia",category:"content",domains:["*.expedia.de"]},{name:"Expedia Italy",company:"Expedia",category:"content",domains:["*.expedia.it"]},{name:"Expedia Japan",company:"Expedia",category:"content",domains:["*.expedia.co.jp"]},{name:"Expedia USA",company:"Expedia",category:"content",domains:["*.expedia.com"]},{name:"Expedia United Kingdom",company:"Expedia",category:"content",domains:["*.expedia.co.uk"]},{name:"Experian",category:"utility",domains:["*.audienceiq.com","*.experian.com","*.experianmarketingservices.digital"]},{name:"Experian Cross-Channel Marketing Platform",company:"Experian",category:"marketing",domains:["*.eccmp.com","*.ccmp.eu"]},{name:"Exponea",category:"analytics",domains:["*.exponea.com"]},{name:"Exponential Interactive",category:"ad",domains:["*.exponential.com"]},{name:"Extensis WebInk",category:"cdn",domains:["*.webink.com"]},{name:"Extole",category:"ad",domains:["*.extole.com","*.extole.io"]},{name:"Ey-Seren",category:"analytics",domains:["*.webabacus.com"]},{name:"EyeView",category:"ad",domains:["*.eyeviewads.com"]},{name:"Eyeota",category:"ad",domains:["*.eyeota.net"]},{name:"Ezakus Pretargeting",company:"Ezakus",category:"ad",domains:["*.ezakus.net"]},{name:"Ezoic",category:"analytics",domains:["*.ezoic.net"]},{name:"FLXone",company:"Teradata",category:"ad",domains:["*.pangolin.blue","*.flx1.com","d2hlpp31teaww3.cloudfront.net","*.flxpxl.com"]},{name:"Fairfax Media",category:"content",domains:["ads.fairfax.com.au","resources.fairfax.com.au"]},{name:"Fairfax Media Analtics",company:"Fairfax Media",category:"analytics",domains:["analytics.fairfax.com.au"]},{name:"Falk Technologies",category:"ad",domains:["*.angsrvr.com"]},{name:"Fanplayr",category:"analytics",domains:["*.fanplayr.com","d38nbbai6u794i.cloudfront.net"]},{name:"Fast Thinking",company:"NE Marketing",category:"marketing",domains:["*.fast-thinking.co.uk"]},{name:"Fastest Forward",category:"analytics",domains:["*.gaug.es"]},{name:"Fastly",category:"utility",domains:["*.fastly.net"]},{name:"Feedbackify",company:"InsideMetrics",category:"analytics",domains:["*.feedbackify.com"]},{name:"Feefo.com",company:"Feefo",category:"analytics",domains:["*.feefo.com"]},{name:"Fidelity Media",category:"ad",domains:["*.fidelity-media.com"]},{name:"Filestack",category:"content",domains:["*.filepicker.io"]},{name:"Finsbury Media",category:"ad",domains:["*.finsburymedia.com"]},{name:"Firepush",category:"utility",domains:["*.firepush.io"]},{name:"FirstImpression",category:"ad",domains:["*.firstimpression.io"]},{name:"Fit Analytics",category:"other",domains:["*.fitanalytics.com"]},{name:"Fits Me",category:"analytics",domains:["*.fits.me"]},{name:"Fivetran",category:"analytics",domains:["*.fivetran.com"]},{name:"FlexShopper",category:"utility",domains:["*.flexshopper.com"]},{name:"Flickr",category:"content",domains:["*.flickr.com","*.staticflickr.com"]},{name:"Flipboard",category:"social",domains:["*.flipboard.com"]},{name:"Flipdesk",category:"customer-success",homepage:"https://flipdesk.jp/",domains:["*.flipdesk.jp"]},{name:"Flipp",category:"analytics",domains:["*.wishabi.com","d2e0sxz09bo7k2.cloudfront.net","*.wishabi.net"]},{name:"Flite",category:"ad",domains:["*.flite.com"]},{name:"Flixmedia",category:"analytics",domains:["*.flix360.com","*.flixcar.com","*.flixfacts.com","*.flixsyndication.net","*.flixfacts.co.uk"]},{name:"Flockler",category:"ad",domains:["*.flockler.com"]},{name:"Flowplayer",category:"content",domains:["*.flowplayer.org"]},{name:"Flowzymes Ky",category:"cdn",domains:["*.jquerytools.org"]},{name:"Fomo",category:"ad",domains:["*.notifyapp.io"]},{name:"Fonecall",category:"analytics",domains:["*.web-call-analytics.com"]},{name:"Fontdeck",category:"cdn",domains:["*.fontdeck.com"]},{name:"Foodity Technologies",category:"ad",domains:["*.foodity.com"]},{name:"Force24",category:"ad",domains:["*.force24.co.uk"]},{name:"ForeSee",company:"Answers",category:"analytics",domains:["*.4seeresults.com","*.answerscloud.com","*.foresee.com","*.foreseeresults.com"]},{name:"Forensiq",category:"utility",domains:["*.fqtag.com"]},{name:"Fort Awesome",category:"cdn",domains:["*.fortawesome.com"]},{name:"Forter",category:"utility",domains:["*.forter.com"]},{name:"Forward Internet Group",category:"hosting",domains:["*.f3d.io"]},{name:"Forward3D",category:"ad",domains:["*.forward3d.com"]},{name:"Fospha",category:"analytics",domains:["*.fospha.com"]},{name:"Foursixty",category:"customer-success",domains:["*.foursixty.com"]},{name:"FoxyCart",category:"utility",domains:["*.foxycart.com"]},{name:"Fraudlogix",category:"utility",domains:["*.yabidos.com"]},{name:"FreakOut",category:"ad",domains:["*.fout.jp"]},{name:"Freespee",category:"customer-success",domains:["*.freespee.com"]},{name:"Freetobook",category:"content",domains:["*.freetobook.com"]},{name:"Fresh 8 Gaming",category:"ad",domains:["*.fresh8.co"]},{name:"Fresh Relevance",category:"analytics",domains:["*.freshrelevance.com","*.cloudfront.ne","d1y9qtn9cuc3xw.cloudfront.net","d81mfvml8p5ml.cloudfront.net","dkpklk99llpj0.cloudfront.net"]},{name:"Friendbuy",category:"ad",domains:["*.friendbuy.com","djnf6e5yyirys.cloudfront.net"]},{name:"Frienefit",category:"ad",domains:["*.frienefit.com"]},{name:"FuelX",category:"ad",domains:["*.fuelx.com"]},{name:"Full Circle Studies",category:"analytics",domains:["*.securestudies.com"]},{name:"FullStory",category:"analytics",domains:["*.fullstory.com"]},{name:"Fyber",category:"ad",domains:["*.fyber.com"]},{name:"G-Forces Web Management",category:"hosting",domains:["*.gforcesinternal.co.uk"]},{name:"G4 Native",company:"Gravity4",category:"ad",domains:["*.triggit.com"]},{name:"GET ME IN!  (TicketMaster)",category:"content",domains:["*.getmein.com"]},{name:"GIPHY",category:"content",domains:["*.giphy.com"]},{name:"GainCloud",company:"GainCloud Systems",category:"other",domains:["*.egaincloud.net"]},{name:"Gath Adams",category:"content",domains:["*.iwantthatflight.com.au"]},{name:"Gecko Tribe",category:"social",domains:["*.geckotribe.com"]},{name:"Gemius",category:"ad",domains:["*.gemius.pl"]},{name:"Genesis Media",category:"ad",domains:["*.bzgint.com","*.genesismedia.com","*.genesismediaus.com"]},{name:"Genie Ventures",category:"ad",domains:["*.genieventures.co.uk"]},{name:"Geniee",category:"ad",domains:["*.href.asia","*.genieessp.jp","*.genieesspv.jp","*.gssprt.jp"]},{name:"Geniuslink",category:"analytics",domains:["*.geni.us"]},{name:"GeoRiot",category:"other",domains:["*.georiot.com"]},{name:"GeoTrust",category:"utility",domains:["*.geotrust.com"]},{name:"Geoplugin",category:"utility",domains:["*.geoplugin.com","*.geoplugin.net"]},{name:"Georeferencer",company:"Klokan Technologies",category:"utility",domains:["*.georeferencer.com"]},{name:"GetIntent RTBSuite",company:"GetIntent",category:"ad",domains:["*.adhigh.net"]},{name:"GetResponse",category:"ad",domains:["*.getresponse.com"]},{name:"GetSiteControl",company:"GetWebCraft",category:"utility",domains:["*.getsitecontrol.com"]},{name:"GetSocial",category:"social",domains:["*.getsocial.io"]},{name:"Getty Images",category:"content",domains:["*.gettyimages.com","*.gettyimages.co.uk"]},{name:"Gfycat",company:"Gycat",category:"utility",domains:["*.gfycat.com"]},{name:"Ghostery Enterprise",company:"Ghostery",category:"marketing",domains:["*.betrad.com"]},{name:"Giant Media",category:"ad",domains:["*.videostat.com"]},{name:"Gigya",category:"analytics",domains:["*.gigya.com"]},{name:"GitHub",category:"utility",domains:["*.github.com","*.githubusercontent.com","*.github.io","*.rawgit.com"]},{name:"Gladly",company:"Gladly",homepage:"https://www.gladly.com/",category:"customer-success",domains:["*.gladly.com"]},{name:"Glassdoor",category:"content",domains:["*.glassdoor.com"]},{name:"Gleam",category:"marketing",domains:["*.gleam.io"]},{name:"Global Digital Markets",category:"ad",domains:["*.gdmdigital.com"]},{name:"Global-e",category:"hosting",domains:["*.global-e.com"]},{name:"GlobalSign",category:"utility",domains:["*.globalsign.com","*.globalsign.net"]},{name:"GlobalWebIndex",category:"analytics",domains:["*.globalwebindex.net"]},{name:"Globase International",category:"ad",domains:["*.globase.com"]},{name:"GoDataFeed",category:"other",domains:["*.godatafeed.com"]},{name:"Google APIs",company:"Google",category:"utility",domains:["googleapis.com"]},{name:"Google Ad Block Detection",company:"Google",category:"ad",domains:["*.0emn.com","*.0fmm.com"]},{name:"Google Analytics Experiments",company:"Google",category:"analytics",domains:["*.gexperiments1.com"]},{name:"Google DoubleClick Ad Exchange",company:"Google",category:"ad",domains:["*.admeld.com"]},{name:"Google IPV6 Metrics",company:"Google",category:"analytics",domains:["*.ipv6test.net"]},{name:"Google Plus",company:"Google",category:"social",domains:["plus.google.com"]},{name:"Google Trusted Stores",company:"Google",category:"utility",domains:["*.googlecommerce.com"]},{name:"Google Video",company:"Google",category:"content",domains:["*.googlevideo.com"]},{name:"Google reCAPTCHA",company:"Google",category:"utility",domains:["*.recaptcha.net"]},{name:"GovMetric",company:"ROL Solutions",category:"analytics",domains:["*.govmetric.com"]},{name:"Granify",category:"analytics",domains:["*.granify.com"]},{name:"Grapeshot",category:"ad",domains:["*.gscontxt.net","*.grapeshot.co.uk"]},{name:"Gravity (AOL)",category:"analytics",domains:["*.grvcdn.com"]},{name:"Groovy Gecko",category:"content",domains:["*.ggwebcast.com","*.groovygecko.net"]},{name:"GroupM",category:"ad",domains:["*.qservz.com"]},{name:"Guardian Media",category:"ad",domains:["*.theguardian.com","*.guardian.co.uk"]},{name:"GumGum",category:"ad",domains:["*.gumgum.com"]},{name:"Gumtree",category:"content",domains:["*.gumtree.com"]},{name:"H264 Codec",company:"Cisco",category:"other",domains:["*.openh264.org"]},{name:"HERE",category:"analytics",domains:["*.medio.com"]},{name:"HP Optimost",company:"Hewlett-Packard Development Company",category:"marketing",domains:["*.hp.com","d2uncb19xzxhzx.cloudfront.net"]},{name:"Has Offers",company:"TUNE",category:"ad",domains:["*.go2cloud.org"]},{name:"Hawk Search",category:"utility",domains:["*.hawksearch.com"]},{name:"Haymarket Media Group",category:"content",domains:["*.brandrepublic.com","*.hbpl.co.uk"]},{name:"Heap",category:"analytics",domains:["*.heapanalytics.com"]},{name:"Hearst Communications",category:"content",domains:["*.h-cdn.co","*.hearstdigital.com","*.hearstlabs.com","*.hearst.io","*.cdnds.net"]},{name:"Heatmap",category:"analytics",domains:["*.heatmap.it"]},{name:"Heroku",category:"other",domains:["*.herokuapp.com"]},{name:"Hexton",category:"utility",domains:["*.hextom.com"]},{name:"Hibernia Networks",category:"utility",domains:["*.hiberniacdn.com"]},{name:"High Impact Media",category:"ad",domains:["*.reactx.com"]},{name:"Highcharts",category:"utility",domains:["*.highcharts.com"]},{name:"Highwinds",category:"utility",domains:["*.hwcdn.net"]},{name:"HitsLink",category:"analytics",domains:["*.hitslink.com"]},{name:"Hola Networks",category:"other",domains:["*.h-cdn.com"]},{name:"Hootsuite",category:"analytics",domains:["*.hootsuite.com"]},{name:"HotUKDeals",category:"analytics",domains:["*.hotukdeals.com"]},{name:"HotWords",company:"Media Response Group",category:"ad",domains:["*.hotwords.com.br"]},{name:"HotelsCombined",category:"content",domains:["*.datahc.com"]},{name:"Hoverr",category:"ad",domains:["*.hoverr.media"]},{name:"Hull.js",category:"utility",domains:["*.hull.io","*.hullapp.io"]},{name:"Hupso Website Analyzer",company:"Hupso",category:"analytics",domains:["*.hupso.com"]},{name:"I-Behavior",company:"WPP",category:"ad",domains:["*.ib-ibi.com"]},{name:"i-mobile",company:"i-mobile",category:"ad",domains:["*.i-mobile.co.jp"]},{name:"IBM Digital Analytics",company:"IBM",category:"analytics",domains:["*.cmcore.com","coremetrics.com","data.coremetrics.com","data.de.coremetrics.com","libs.de.coremetrics.com","tmscdn.de.coremetrics.com","iocdn.coremetrics.com","libs.coremetrics.com","tmscdn.coremetrics.com","*.s81c.com","*.unica.com","*.coremetrics.eu"]},{name:"IBM Digital Data Exchange",company:"IBM",category:"tag-manager",domains:["tagmanager.coremetrics.com"]},{name:"IBM Tealeaf",company:"IBM",category:"analytics",domains:["*.ibmcloud.com"]},{name:"IBM Acoustic Campaign",company:"IBM",category:"analytics",domains:["www.sc.pages01.net","www.sc.pages02.net","www.sc.pages03.net","www.sc.pages04.net","www.sc.pages05.net","www.sc.pages06.net","www.sc.pages07.net","www.sc.pages08.net","www.sc.pages09.net","www.sc.pagesA.net"]},{name:"ICF Technology",category:"content",domains:["*.camads.net"]},{name:"IFDNRG",category:"hosting",domains:["*.ifdnrg.com"]},{name:"IMRG",category:"analytics",domains:["*.peermap.com","*.imrg.org"]},{name:"IPONWEB",category:"ad",domains:["*.company-target.com","*.liadm.com","*.iponweb.net","*.p161.net"]},{name:"IQ Mobile",category:"utility",domains:["*.iqm.cc"]},{name:"IS Group",category:"hosting",domains:["*.creative-serving.com"]},{name:"IT Dienstleistungen Tim Prinzkosky",category:"utility",domains:["*.flaticons.net"]},{name:"IXI Digital",company:"Equifax",category:"ad",domains:["*.ixiaa.com"]},{name:"IcoMoon",category:"cdn",domains:["d19ayerf5ehaab.cloudfront.net","d1azc1qln24ryf.cloudfront.net"]},{name:"IdenTrust",category:"utility",domains:["*.identrust.com"]},{name:"Ido",category:"customer-success",domains:["*.idio.co"]},{name:"Ignition One",category:"marketing",domains:["*.searchignite.com"]},{name:"ImageShack",category:"content",domains:["*.yfrog.com"]},{name:"Imagen Studio",category:"utility",domains:["*.telephonesky.com"]},{name:"Imagini Holdings",category:"ad",domains:["*.vdna-assets.com"]},{name:"Img Safe",category:"content",domains:["*.imgsafe.org"]},{name:"Imgur",category:"utility",domains:["*.imgur.com"]},{name:"Impact Radius",category:"ad",domains:["*.impactradius-event.com","*.impactradius-go.com","*.7eer.net","d3cxv97fi8q177.cloudfront.net","*.evyy.net","*.ojrq.net","utt.impactcdn.com","*.sjv.io"]},{name:"Improve Digital",category:"ad",domains:["*.360yield.com"]},{name:"Improvely",category:"analytics",domains:["*.iljmp.com"]},{name:"InMobi",category:"ad",domains:["*.inmobi.com"]},{name:"InSkin Media",category:"ad",domains:["*.inskinad.com","*.inskinmedia.com"]},{name:"Inbenta",category:"customer-success",domains:["*.inbenta.com"]},{name:"Incisive Media",category:"content",domains:["*.incisivemedia.com"]},{name:"Indeed",category:"content",domains:["*.indeed.com"]},{name:"Index Exchange",company:"WPP",category:"ad",domains:["*.casalemedia.com","*.indexww.com"]},{name:"Indoona",category:"other",domains:["*.indoona.com"]},{name:"Infectious Media",category:"ad",domains:["*.impdesk.com","*.impressiondesk.com","*.inmz.net"]},{name:"Inference Mobile",category:"ad",domains:["*.inferencemobile.com"]},{name:"Infinity Tracking",category:"analytics",domains:["*.infinity-tracking.net"]},{name:"Infoline",category:"analytics",domains:["*.ioam.de"]},{name:"Infolinks",category:"ad",domains:["*.infolinks.com"]},{name:"Infopark",category:"hosting",domains:["*.scrvt.com"]},{name:"Infusionsoft",category:"ad",domains:["*.infusionsoft.com"]},{name:"Ink",category:"ad",domains:["*.inktad.com"]},{name:"Inktel Contact Center Solutions",company:"Inktel",category:"customer-success",domains:["*.inktel.com"]},{name:"Inneractive",category:"ad",domains:["*.inner-active.mobi"]},{name:"Innovid",category:"ad",homepage:"https://www.innovid.com/",domains:["*.innovid.com"]},{name:"Insight Express",category:"analytics",domains:["*.insightexpressai.com"]},{name:"Insipio",category:"other",domains:["*.insipio.com"]},{name:"Inspectlet",category:"analytics",domains:["*.inspectlet.com"]},{name:"Instansive",category:"utility",domains:["*.instansive.com"]},{name:"Instart",homepage:"https://www.instart.com/",category:"utility",domains:["*.insnw.net"]},{name:"Instembedder",category:"content",domains:["*.instaembedder.com"]},{name:"Instinctive",category:"ad",domains:["*.instinctiveads.com"]},{name:"Intelligent Reach",category:"ad",domains:["*.ist-track.com"]},{name:"Intent HQ",category:"analytics",domains:["*.intenthq.com"]},{name:"Intent IQ",category:"ad",domains:["*.intentiq.com"]},{name:"Intercept Interactive",category:"ad",domains:["*.undertone.com"]},{name:"Interest Graph",company:"AOL",category:"ad",domains:["*.gravity.com"]},{name:"Internet Brands",category:"content",domains:["*.ibpxl.com"]},{name:"Interpublic Group",category:"ad",domains:["*.mbww.com"]},{name:"Interstate",category:"analytics",domains:["*.interstateanalytics.com"]},{name:"Interview",category:"analytics",domains:["*.efm.me"]},{name:"Intilery",category:"customer-success",domains:["*.intilery-analytics.com"]},{name:"Investis",category:"utility",domains:["*.investis.com"]},{name:"Investis Flife",category:"hosting",domains:["*.quartalflife.com"]},{name:"Invodo",category:"ad",domains:["*.invodo.com"]},{name:"iSite",category:"analytics",domains:["*.isitetv.com"]},{name:"Issue",category:"content",domains:["*.issue.by"]},{name:"J.D. Williams & Co",category:"content",domains:["*.drct2u.com"]},{name:"Janrain",category:"analytics",domains:["*.janrain.com","*.janrainbackplane.com","*.rpxnow.com","d3hmp0045zy3cs.cloudfront.net"]},{name:"Jellyfish",category:"ad",domains:["*.jellyfish.net"]},{name:"JetStream",category:"content",domains:["*.xlcdn.com"]},{name:"JingDong",category:"content",domains:["*.3.com","*.jd.com"]},{name:"Jivox",category:"ad",domains:["*.jivox.com"]},{name:"Jobvite",category:"content",domains:["*.jobvite.com"]},{name:"Johnston Press",category:"content",domains:["*.johnstonpress.co.uk","*.jpress.co.uk"]},{name:"Join the Dots (Research)",category:"social",domains:["*.jtdiscuss.com"]},{name:"JotForm",category:"utility",domains:["*.jotformpro.com"]},{name:"JuicyAds",category:"ad",domains:["*.juicyads.com"]},{name:"JustPremium",category:"ad",domains:["*.net.net"]},{name:"JustPremium Ads",company:"JustPremium",category:"ad",domains:["*.justpremium.com"]},{name:"JustUno",category:"ad",domains:["*.justuno.com","d2j3qa5nc37287.cloudfront.net"]},{name:"KINX (Korea Internet Neutral eXchange)",category:"other",domains:["*.kinxcdn.com"]},{name:"KISSmetrics",category:"analytics",domains:["*.kissmetrics.com","doug1izaerwt3.cloudfront.net","dsyszv14g9ymi.cloudfront.net"]},{name:"Kaizen Platform",category:"analytics",domains:["*.kaizenplatform.net"]},{name:"Kakao",category:"social",domains:["*.daum.net","*.daumcdn.net"]},{name:"Kaltura Video Platform",company:"Kaltura",category:"content",domains:["*.kaltura.com"]},{name:"Kameleoon",category:"analytics",domains:["*.kameleoon.com","*.kameleoon.eu"]},{name:"Kampyle",category:"analytics",domains:["*.kampyle.com"]},{name:"Kantar",category:"analytics",domains:["*.sesamestats.com"]},{name:"Kargo",category:"marketing",domains:["*.kargo.com"]},{name:"KARTE",company:"Plaid",homepage:"https://karte.io/",category:"marketing",domains:["*.karte.io"]},{name:"Kauli",category:"ad",domains:["*.kau.li"]},{name:"Keen",company:"Keen",homepage:"https://keen.io/",category:"analytics",domains:["*.keen.io","d26b395fwzu5fz.cloudfront.net"]},{name:"Kelkoo",category:"hosting",domains:["*.kelkoo.com"]},{name:"Kenshoo",category:"marketing",domains:["*.xg4ken.com"]},{name:"Key CDN",category:"utility",domains:["*.kxcdn.com"]},{name:"Keynote",company:"Dynatrace",category:"analytics",domains:["*.keynote.com"]},{name:"Keywee",category:"ad",domains:["*.keywee.co"]},{name:"Kiosked",category:"ad",domains:["*.kiosked.com"]},{name:"Klarna",category:"utility",domains:["*.klarna.com"]},{name:"Klaviyo",category:"ad",domains:["*.klaviyo.com"]},{name:"Klevu Search",company:"Klevu",category:"utility",domains:["*.klevu.com"]},{name:"Klick2Contact",category:"customer-success",domains:["*.klick2contact.com"]},{name:"Knight Lab",company:"Northwestern University",category:"utility",domains:["*.knightlab.com"]},{name:"Kodajo",category:"other",domains:["*.kodajo.com"]},{name:"Komoona",category:"ad",domains:["*.komoona.com"]},{name:"Korrelate",company:"JD Power",category:"analytics",domains:["*.korrelate.net"]},{name:"LKQD",category:"ad",domains:["*.lkqd.net"]},{name:"Layer0",category:"cdn",domains:["*.layer0.co"]},{name:"Layershift",category:"hosting",domains:["109.109.138.174"]},{name:"Lead Forensics",category:"ad",domains:["*.200summit.com","*.baw5tracker.com","*.business-path-55.com","*.bux1le001.com","*.central-core-7.com","*.direct-azr-78.com","*.explore-123.com","*.forensics1000.com","*.gldsta-02-or.com","*.green-bloc9.com","*.lansrv040.com","*.lead-123.com","*.leadforensics.com","*.mavic852.com","*.mon-com-net.com","*.peak-ip-54.com","*.snta0034.com","*.svr-prc-01.com","*.syntace-094.com","*.tghbn12.com","*.trail-web.com","*.web-01-gbl.com","*.web-cntr-07.com","*.trackdiscovery.net"]},{name:"Lead Intelligence",company:"Magnetise Solutions",category:"ad",domains:["*.leadintelligence.co.uk"]},{name:"LeadLander",category:"analytics",domains:["*.formalyzer.com","*.trackalyzer.com"]},{name:"Leaflet",category:"utility",domains:["*.leafletjs.com"]},{name:"LeasdBoxer",company:"LeadBoxer",category:"ad",domains:["*.leadboxer.com"]},{name:"LeaseWeb",homepage:"https://www.leaseweb.com/",category:"cdn",domains:["*.lswcdn.net","*.leasewebcdn.com"]},{name:"Leboncoin",category:"content",domains:["*.leboncoin.fr"]},{name:"Lengow",category:"hosting",domains:["*.lengow.com"]},{name:"Lessbuttons",category:"social",domains:["*.lessbuttons.com"]},{name:"Letter Press",category:"ad",domains:["*.getletterpress.com"]},{name:"Level 3 Communications",category:"utility",domains:["footprint.net"]},{name:"Level3",category:"other",domains:["secure.footprint.net"]},{name:"Lifestreet Media",category:"social",domains:["*.lfstmedia.com"]},{name:"LiftSuggest",category:"analytics",domains:["d2blwevgjs7yom.cloudfront.net"]},{name:"Ligatus",category:"ad",domains:["*.ligadx.com"]},{name:"LightStep",category:"analytics",domains:["*.lightstep.com"]},{name:"LightWidget",category:"utility",domains:["*.lightwidget.com"]},{name:"Likelihood",company:"LIkeihood",category:"hosting",domains:["*.likelihood.com"]},{name:"LikeShop",company:"Dash Hudson",category:"content",domains:["likeshop.me"]},{name:"LINE Corporation",category:"ad",domains:["*.line-scdn.net","*.line.me"]},{name:"Linkcious",category:"analytics",domains:["*.linkcious.com"]},{name:"Linking Mobile",category:"ad",domains:["*.linkingmobile.com"]},{name:"LittleData",category:"analytics",homepage:"https://www.littledata.io/",domains:["*.littledata.io"]},{name:"LiveBurst",category:"ad",domains:["*.liveburst.com"]},{name:"LiveClicker",category:"ad",domains:["*.liveclicker.net"]},{name:"LiveHelpNow",category:"customer-success",domains:["*.livehelpnow.net"]},{name:"LiveInternet",category:"analytics",domains:["*.yadro.ru"]},{name:"LiveJournal",category:"social",domains:["*.livejournal.com","*.livejournal.net"]},{name:"LivePerson",category:"customer-success",homepage:"https://www.liveperson.com/",domains:["*.liveperson.com","*.look.io","*.liveperson.net","*.lpsnmedia.net"]},{name:"LiveRail",company:"Facebook",category:"ad",domains:["*.liverail.com","*.lrcdn.net"]},{name:"LiveTex",category:"customer-success",domains:["*.livetex.ru"]},{name:"Livefyre",category:"content",domains:["*.fyre.co","*.livefyre.com"]},{name:"Living Map Company",category:"utility",domains:["*.livingmap.com"]},{name:"Local World",category:"content",domains:["*.thelocalpeople.co.uk"]},{name:"LockerDome",category:"analytics",domains:["*.lockerdome.com"]},{name:"Logentries",company:"Rapid",category:"utility",domains:["*.logentries.com"]},{name:"Logicalis",category:"analytics",domains:["*.trovus.co.uk"]},{name:"LoginRadius",company:"LoginRadius",homepage:"https://www.loginradius.com/",category:"ad",domains:["*.loginradius.com","*.lrcontent.com"]},{name:"LongTail Ad Solutions",category:"ad",domains:["*.jwpcdn.com","*.jwplatform.com","*.jwplayer.com","*.jwpltx.com","*.jwpsrv.com","*.longtailvideo.com"]},{name:"Loop Commerce",category:"other",domains:["*.loopassets.net"]},{name:"Loop11",category:"analytics",domains:["*.loop11.com"]},{name:"LoopMe",category:"ad",domains:["*.loopme.biz","*.loopme.com","*.vntsm.com","*.loopme.me"]},{name:"Looper",category:"content",domains:["*.looper.com"]},{name:"Loyalty Point",category:"ad",domains:["*.loyaltypoint.pl"]},{name:"LoyaltyLion",category:"ad",domains:["*.loyaltylion.com","*.loyaltylion.net","dg1f2pfrgjxdq.cloudfront.net"]},{name:"Luma Tag",category:"analytics",domains:["*.lumatag.co.uk"]},{name:"Lumesse",category:"content",domains:["*.recruitmentplatform.com"]},{name:"Luminate",category:"ad",domains:["*.luminate.com"]},{name:"Lynchpin Analytics",category:"analytics",domains:["*.lypn.net"]},{name:"Lyris",category:"ad",domains:["*.clicktracks.com"]},{name:"Lytics",category:"ad",domains:["*.lytics.io"]},{name:"MEC WebTrack",company:"MEC",category:"ad",domains:["*.e-webtrack.net"]},{name:"MECLABS Institute",category:"analytics",domains:["*.meclabs.com","*.meclabsdata.com"]},{name:"MLveda",category:"utility",domains:["*.mlveda.com"]},{name:"Macromill",company:"Macromill",category:"analytics",homepage:"https://group.macromill.com/",domains:["*.macromill.com"]},{name:"Macropod BugHerd",company:"Macropod",category:"utility",domains:["*.bugherd.com"]},{name:"Madison Logic",category:"marketing",domains:["*.ml314.com"]},{name:"Madmetrics",company:"Keyade",category:"analytics",domains:["*.keyade.com"]},{name:"Magnetic",category:"ad",domains:["*.domdex.com","d3ezl4ajpp2zy8.cloudfront.net"]},{name:"Magnetic Platform",company:"Magnetic",category:"ad",domains:["*.magnetic.is"]},{name:"MailMunch",category:"ad",domains:["*.mailmunch.co"]},{name:"MailPlus",category:"ad",domains:["*.mailplus.nl"]},{name:"Mapbox",category:"utility",domains:["*.mapbox.com"]},{name:"Maptive",category:"utility",domains:["*.maptive.com"]},{name:"Marcaria.com",category:"other",domains:["*.gooo.al"]},{name:"Marchex",category:"analytics",domains:["*.voicestar.com","*.marchex.io"]},{name:"Mark and Mini",category:"ad",domains:["*.markandmini.com"]},{name:"Marker",category:"utility",domains:["*.marker.io"]},{name:"Marketing Dashboards",company:"GroupM",category:"analytics",domains:["*.m-decision.com"]},{name:"Marketizator",category:"analytics",domains:["*.marketizator.com"]},{name:"Marketplace Web Service",company:"Amazon",category:"other",domains:["*.ssl-images-amazon.com"]},{name:"Mashable",category:"social",domains:["*.mshcdn.com"]},{name:"MatchWork",category:"utility",domains:["*.matchwork.com"]},{name:"MathJax",category:"utility",domains:["*.mathjax.org"]},{name:"Mather Economics",category:"analytics",domains:["*.matheranalytics.com"]},{name:"MaxCDN Enterprise",company:"MaxCDN",category:"utility",domains:["*.netdna-cdn.com","*.netdna-ssl.com"]},{name:"MaxMind",category:"utility",domains:["*.maxmind.com"]},{name:"MaxPoint Interactive",category:"ad",domains:["*.mxptint.net"]},{name:"Maxsi",category:"analytics",domains:["*.evisitanalyst.com"]},{name:"Maxymiser",category:"analytics",domains:["*.maxymiser.net, maxymiser.hs.llnwd.net"]},{name:"McAffee",category:"utility",domains:["*.mcafeesecure.com","*.scanalert.com"]},{name:"Measured",category:"analytics",domains:["*.measured.com"],homepage:"https://www.measured.com/"},{name:"Media IQ",category:"analytics",domains:["*.mediaiqdigital.com"]},{name:"Media Management Technologies",category:"ad",domains:["*.speedshiftmedia.com"]},{name:"Media Temple",category:"hosting",domains:["*.goodlayers2.com"]},{name:"Mediabong",category:"ad",domains:["*.mediabong.net"]},{name:"Mediahawk",category:"analytics",domains:["*.mediahawk.co.uk"]},{name:"Mediahub",category:"ad",domains:["*.hubverifyandoptimize.com","*.projectwatchtower.com"]},{name:"Mediasyndicator",category:"ad",domains:["*.creativesyndicator.com"]},{name:"Medium",category:"content",domains:["*.medium.com"]},{name:"Meetrics",category:"ad",domains:["*.de.com","*.meetrics.net","*.mxcdn.net"]},{name:"Mega",company:"Mega Information Technology",category:"other",domains:["*.mgcdn.com"]},{name:"Melt",category:"ad",domains:["*.meltdsp.com","*.mesp.com"]},{name:"Meltwater Group",category:"customer-success",domains:["*.meltwaternews.com"]},{name:"Meme",category:"ad",domains:["*.viewwonder.com"]},{name:"MentAd",category:"ad",domains:["*.mentad.com"]},{name:"Mention Me",category:"ad",domains:["*.mention-me.com"]},{name:"Merchant Equipment Store",category:"utility",domains:["*.merchantequip.com"]},{name:"Merchenta",category:"customer-success",domains:["*.merchenta.com"]},{name:"Merkle Digital Data Exchange",company:"Merkle",category:"ad",domains:["*.brilig.com"]},{name:"Merkle Paid Search",company:"Merkle",category:"ad",domains:["*.rkdms.com"]},{name:"Met Office",category:"content",domains:["*.metoffice.gov.uk"]},{name:"Meta Broadcast",category:"social",domains:["*.metabroadcast.com"]},{name:"Michael Associates",category:"ad",domains:["*.checktestsite.com"]},{name:"Michelin",category:"content",domains:["*.viamichelin.com"]},{name:"Microad",category:"ad",domains:["*.microad.jp"]},{name:"Microsoft Certificate Services",company:"Microsoft",category:"utility",domains:["*.msocsp.com"]},{name:"Microsoft Hosted Libs",company:"Microsoft",category:"cdn",domains:["*.aspnetcdn.com"]},{name:"Microsoft XBox Live",company:"Microsoft",category:"marketing",domains:["*.xboxlive.com"]},{name:"Mightypop",category:"ad",domains:["*.mightypop.ca"]},{name:"Mika Tuupola",category:"utility",domains:["*.appelsiini.net"]},{name:"Millennial Media",category:"ad",domains:["*.jumptap.com"]},{name:"Mirror Image Internet",category:"utility",domains:["*.miisolutions.net"]},{name:"Mobify",category:"utility",domains:["*.mobify.com","*.mobify.net"]},{name:"Mobile Nations",category:"social",domains:["*.mobilenations.com"]},{name:"Mobivate",category:"ad",domains:["*.mobivatebulksms.com"]},{name:"Momondo",category:"content",domains:["*.momondo.dk"]},{name:"Momondo Group",category:"content",domains:["*.momondogrouo.com","*.momondogroup.com"]},{name:"Monarch Ads",category:"ad",domains:["*.monarchads.com"]},{name:"Monetate",category:"analytics",domains:["*.monetate.net"]},{name:"MonetizeMore",category:"ad",domains:["*.m2.ai"]},{name:"Monitor",company:"Econda",category:"analytics",domains:["*.econda-monitor.de"]},{name:"Monkey Frog Media",category:"content",domains:["*.monkeyfrogmedia.com"]},{name:"Monotype",category:"cdn",domains:["*.fonts.com","*.fonts.net"]},{name:"Moore-Wilson",category:"ad",domains:["*.mwdev.co.uk"]},{name:"Moovweb",category:"utility",domains:["*.moovweb.net"]},{name:"Mopinion",category:"analytics",domains:["*.mopinion.com"]},{name:"MotionPoint",category:"other",domains:["*.convertlanguage.com"]},{name:"Mouse3K",category:"analytics",domains:["*.mouse3k.com"]},{name:"MouseStats",category:"analytics",domains:["*.mousestats.com"]},{name:"Mouseflow",category:"analytics",domains:["*.mouseflow.com"]},{name:"Movable Ink",category:"analytics",domains:["*.micpn.com"]},{name:"MovingIMAGE24",category:"content",domains:["*.edge-cdn.net"]},{name:"Moxielinks",category:"ad",domains:["*.moxielinks.com"]},{name:"Moz Recommended Companies",company:"Moz",category:"analytics",domains:["d2eeipcrcdle6.cloudfront.net"]},{name:"Mozilla",category:"utility",domains:["*.mozilla.org"]},{name:"Multiview",category:"content",domains:["*.multiview.com","*.track-mv.com"]},{name:"Mux",category:"analytics",domains:["*.litix.io"]},{name:"MyAds",company:"MyBuys",category:"analytics",domains:["*.veruta.com"]},{name:"MyBuys",category:"analytics",domains:["*.mybuys.com"]},{name:"MyFonts",category:"cdn",domains:["*.myfonts.net"]},{name:"MyRegistry",category:"other",domains:["*.myregistry.com"]},{name:"MySpace",company:"Specific Media",category:"social",domains:["*.myspace.com"]},{name:"Mynewsdesk",category:"utility",domains:["*.mynewsdesk.com"]},{name:"NAVIS",category:"content",domains:["*.navistechnologies.info"]},{name:"NCC Group Real User Monitoring",company:"NCC Group",category:"analytics",domains:["*.nccgroup-webperf.com"]},{name:"NEORY Marketing Cloud",company:"NEORY",category:"marketing",domains:["*.ad-srv.net"]},{name:"Nanigans",category:"ad",domains:["*.nanigans.com"]},{name:"Nano Interactive",category:"ad",domains:["*.audiencemanager.de"]},{name:"Nanorep",company:"Nanorep Technologies",category:"customer-success",domains:["*.nanorep.com"]},{name:"Narrative",category:"ad",domains:["*.narrative.io"]},{name:"Native Ads",category:"ad",domains:["*.nativeads.com"]},{name:"Nativo",category:"ad",domains:["*.postrelease.com"]},{name:"Navegg",category:"ad",domains:["*.navdmp.com"]},{name:"NaviStone",category:"ad",domains:["*.murdoog.com"]},{name:"Naytev",category:"analytics",domains:["*.naytev.com"]},{name:"Needle",category:"analytics",domains:["*.needle.com"]},{name:"Neiman Marcus",category:"content",domains:["*.ctscdn.com"]},{name:"Nend",category:"ad",domains:["*.nend.net"]},{name:"Neodata",category:"ad",domains:["*.neodatagroup.com"]},{name:"Net Applications",category:"analytics",domains:["*.hitsprocessor.com"]},{name:"Net Reviews",category:"analytics",domains:["*.avis-verifies.com"]},{name:"NetAffiliation",company:"Kwanco",category:"ad",domains:["*.metaffiliation.com"]},{name:"NetDirector",company:"G-Forces Web Management",category:"other",domains:["*.netdirector.co.uk"]},{name:"NetFlix",category:"content",domains:["*.nflxext.com","*.nflximg.net"]},{name:"Nielsen NetRatings SiteCensus",company:"The Nielsen Company",homepage:"http://www.nielsen-online.com/intlpage.html",category:"analytics",domains:["*.imrworldwide.com"]},{name:"NetSeer",category:"ad",domains:["*.netseer.com","*.ns-cdn.com"]},{name:"NetShelter",company:"Ziff Davis Tech",category:"ad",domains:["*.netshelter.net"]},{name:"Netmining",company:"Ignition One",category:"ad",domains:["*.netmng.com"]},{name:"Netop",category:"customer-success",domains:["*.netop.com"]},{name:"Network Solutions",category:"utility",domains:["*.netsolssl.com","*.networksolutions.com"]},{name:"Neustar AdAdvisor",company:"Neustar",category:"ad",domains:["*.adadvisor.net"]},{name:"New Approach Media",category:"ad",domains:["*.newapproachmedia.co.uk"]},{name:"NewShareCounts",category:"social",domains:["*.newsharecounts.com"]},{name:"News",category:"social",domains:["*.news.com.au","*.newsanalytics.com.au","*.newsapi.com.au","*.newscdn.com.au","*.newsdata.com.au","*.newsdiscover.com.au","*.news-static.com"]},{name:"Newsquest",category:"content",domains:["*.newsquestdigital.co.uk"]},{name:"Newzulu",category:"content",domains:["*.filemobile.com","*.projects.fm"]},{name:"Nexcess.Net",category:"hosting",domains:["*.nexcesscdn.net"]},{name:"Nexstar Media Group",category:"ad",domains:["*.yashi.com"]},{name:"NextPerf",company:"Rakuten Marketing",category:"ad",domains:["*.nxtck.com"]},{name:"Nine.com.au",company:"Nine Digital",category:"content",domains:["*.9msn.com.au"]},{name:"NitroSell",category:"hosting",domains:["*.nitrosell.com"]},{name:"Nochex",category:"utility",domains:["*.nochex.com"]},{name:"Northern &amp; Shell Media Group",category:"content",domains:["*.northernandshell.co.uk"]},{name:"Nosto",category:"analytics",domains:["*.nosto.com"]},{name:"Now Interact",category:"analytics",domains:["*.nowinteract.com"]},{name:"Numberly",company:"1000mercis",category:"ad",domains:["*.mmtro.com","*.nzaza.com"]},{name:"NyaConcepts",category:"analytics",domains:["*.xclusive.ly"]},{name:"O2",category:"other",domains:["*.o2.co.uk"]},{name:"GoDaddy",homepage:"https://www.godaddy.com/",category:"utility",domains:["*.godaddy.com","*.wsimg.com"]},{name:"ObjectPlanet",category:"analytics",domains:["*.easypolls.net"]},{name:"OhMyAd",category:"ad",domains:["*.ohmyad.co"]},{name:"Okas Concepts",category:"utility",domains:["*.okasconcepts.com"]},{name:"Okta",category:"analytics",domains:["*.okta.com"]},{name:"Olapic",category:"content",domains:["*.photorank.me"]},{name:"Ometria",category:"analytics",domains:["*.ometria.com"]},{name:"Omniconvert",category:"analytics",domains:["*.omniconvert.com","d2tgfbvjf3q6hn.cloudfront.net","d3vbj265bmdenw.cloudfront.net"]},{name:"Omniroot",company:"Verizon",category:"utility",domains:["*.omniroot.com"]},{name:"OnAudience",company:"Cloud Technologies",category:"ad",domains:["*.onaudience.com"]},{name:"OnScroll",category:"ad",domains:["*.onscroll.com"]},{name:"OnState",category:"ad",domains:["*.onstate.co.uk"]},{name:"OnYourMap",category:"utility",domains:["*.onyourmap.com"]},{name:"One by AOL",company:"AOL",category:"ad",domains:["*.adtechjp.com","*.adtech.de"]},{name:"One by AOL:Mobile",company:"AOL",category:"ad",domains:["*.nexage.com"]},{name:"OneAll",category:"analytics",domains:["*.oneall.com"]},{name:"OneSoon",category:"analytics",domains:["*.adalyser.com"]},{name:"OneTag",category:"ad",domains:["*.onetag-sys.com"]},{name:"Onet",category:"ad",domains:["*.onet.pl"]},{name:"Online Rewards",company:"Mastercard",category:"ad",domains:["*.loyaltygateway.com"]},{name:"Online republic",category:"content",domains:["*.imallcdn.net"]},{name:"Ooyala",category:"ad",domains:["*.ooyala.com"]},{name:"OpenTable",company:"Priceline Group",category:"content",domains:["*.opentable.com","*.opentable.co.uk","*.toptable.co.uk"]},{name:"OpenX Ad Exchange",company:"OpenX Technologies",category:"ad",domains:["*.liftdna.com"]},{name:"Opinion Stage",category:"analytics",domains:["*.opinionstage.com"]},{name:"OpinionBar",category:"analytics",domains:["*.opinionbar.com"]},{name:"Opta",company:"Perform Group",category:"content",domains:["*.opta.net"]},{name:"OptiMonk",category:"ad",domains:["*.optimonk.com"]},{name:"Optilead",category:"analytics",domains:["*.dyn-img.com","*.leadcall.co.uk","*.optilead.co.uk"]},{name:"Optimatic",category:"ad",domains:["*.optimatic.com"]},{name:"Optimise Media Group",category:"utility",domains:["*.omguk.com"]},{name:"Optimost",company:"OpenText",category:"ad",domains:["*.optimost.com"]},{name:"Optimove",company:"Mobius Solutions",category:"analytics",domains:["*.optimove.net"]},{name:"Optorb",category:"ad",domains:["*.optorb.com"]},{name:"Oracle",category:"marketing",domains:["*.custhelp.com","*.eloqua.com","*.en25.com","*.estara.com","*.instantservice.com"]},{name:"Oracle Recommendations On Demand",company:"Oracle",category:"analytics",domains:["*.atgsvcs.com"]},{name:"Oracle Responsys",company:"Oracle",category:"marketing",domains:["*.adrsp.net","*.responsys.net"]},{name:"Order Security-VOID",company:"Order Security",category:"analytics",domains:["*.order-security.com"]},{name:"Oriel",category:"ad",domains:["*.oriel.io"]},{name:"Outbrain",homepage:"https://www.outbrain.com/",category:"ad",domains:["*.outbrain.com","*.outbrainimg.com","*.visualrevenue.com"]},{name:"OverStream",company:"Coull",category:"ad",domains:["*.coull.com"]},{name:"Overdrive",category:"content",domains:["*.contentreserve.com"]},{name:"Overstock",category:"utility",domains:["*.ostkcdn.com"]},{name:"OwnerIQ",category:"ad",domains:["*.owneriq.net"]},{name:"OzCart",category:"utility",domains:["*.ozcart.com.au"]},{name:"Ozone Media",category:"ad",domains:["*.adadyn.com"]},{name:"Loqate",company:"Loqate",category:"other",domains:["*.pcapredict.com","*.postcodeanywhere.co.uk"]},{name:"PEER 1 Hosting",category:"hosting",domains:["*.peer1.com"]},{name:"PERFORM",category:"content",domains:["*.performgroup.com"]},{name:"PICnet",category:"hosting",domains:["*.nonprofitsoapbox.com"]},{name:"Pacnet",company:"Telstra",category:"other",domains:["*.cdndelivery.net"]},{name:"Pagefair",category:"ad",domains:["*.pagefair.com","*.pagefair.net"]},{name:"Pagely",category:"other",domains:["*.optnmstr.com"]},{name:"Pagesuite",category:"ad",domains:["*.pagesuite-professional.co.uk"]},{name:"Pardot",category:"marketing",domains:["*.pardot.com"]},{name:"Parse.ly",category:"analytics",domains:["*.parsely.com","d1z2jf7jlzjs58.cloudfront.net"]},{name:"Pay per Click",company:"Eysys",category:"ad",domains:["*.eysys.com"]},{name:"PayPal Ads",category:"ad",domains:["*.where.com"]},{name:"Peaks & Pies",category:"analytics",domains:["*.bunchbox.co"]},{name:"PebblePost",category:"ad",domains:["*.pbbl.co"]},{name:"Peerius",category:"analytics",domains:["*.peerius.com"]},{name:"Peermap",company:"IMRG",category:"analytics",domains:["peermapcontent.affino.com"]},{name:"Penske Media",category:"content",domains:["*.pmc.com"]},{name:"Penton",category:"utility",domains:["*.pisces-penton.com"]},{name:"Pepper",category:"ad",domains:["*.peppercorp.com"]},{name:"Perfect Audience",company:"Marin Software",category:"ad",domains:["*.prfct.co","*.marinsm.com","*.perfectaudience.com"]},{name:"Perfect Market",category:"ad",domains:["*.perfectmarket.com"]},{name:"Perfect Privacy",category:"other",domains:["*.suitesmart.com"]},{name:"Perform Group",category:"content",domains:["*.performfeeds.com","*.premiumtv.co.uk"]},{name:"Performio",category:"ad",domains:["*.performax.cz"]},{name:"PerimeterX Bot Defender",company:"PerimeterX",category:"utility",domains:["*.perimeterx.net","*.pxi.pub"]},{name:"Periscope",category:"content",domains:["*.periscope.tv"]},{name:"Permutive",category:"ad",domains:["*.permutive.com","d3alqb8vzo7fun.cloudfront.net"]},{name:"Petametrics",category:"analytics",domains:["*.petametrics.com"]},{name:"PhotoBucket",category:"content",domains:["*.photobucket.com"]},{name:"Picreel",category:"analytics",domains:["*.pcrl.co","*.picreel.com"]},{name:"Pictela (AOL)",category:"analytics",domains:["*.pictela.net"]},{name:"PistonHeads",category:"social",domains:["*.pistonheads.com"]},{name:"Piwik",category:"analytics",domains:["*.drtvtracker.com","*.piwikpro.com","*.raac33.net"]},{name:"Pixalate",category:"utility",domains:["*.adrta.com"]},{name:"Pixlee",category:"social",domains:["*.pixlee.com"]},{name:"Placed",category:"analytics",domains:["*.placed.com"]},{name:"Planning-inc",category:"analytics",domains:["*.planning-inc.co.uk"]},{name:"PlayAd Media Group",category:"ad",domains:["*.youplay.se"]},{name:"Playbuzz",category:"hosting",domains:["*.playbuzz.com"]},{name:"Pleenq",category:"ad",domains:["*.pleenq.com"]},{name:"Plentific",category:"content",domains:["*.plentific.com"]},{name:"PluginDetect",category:"other",domains:["dtlilztwypawv.cloudfront.net"]},{name:"Po.st",company:"RadiumOne",category:"utility",domains:["*.po.st"]},{name:"Pointpin",category:"utility",domains:["*.pointp.in"]},{name:"Pointroll (Garnett)",category:"ad",domains:["*.pointroll.com"]},{name:"Polar",homepage:"https://polar.me/",category:"ad",domains:["*.polarmobile.ca","*.mediaeverywhere.com","*.mediavoice.com","*.plrsrvcs.com","*.polarcdn-engine.com","*.polarcdn-meraxes.com","*.polarcdn-pentos.com","*.polarcdn-static.com","*.polarcdn-terrax.com","*.polarcdn.com","*.polarmobile.com","*.poweredbypolar.com","*.mediaconductor.me","*.polaracademy.me"]},{name:"PollDaddy (Automattic)",category:"ad",domains:["static.polldaddy.com","*.poll.fm"]},{name:"Polldaddy",company:"Automattic",category:"analytics",domains:["polldaddy.com","*.polldaddy.com"]},{name:"Polyfill service",company:"Polyfill.io",category:"other",domains:["*.polyfill.io"]},{name:"MegaPopAds",category:"ad",domains:["*.megapopads.com"]},{name:"Populis",category:"ad",domains:["*.populisengage.com"]},{name:"Postimage.org",category:"content",domains:["*.postimg.org"]},{name:"PowerFront",category:"hosting",domains:["*.inside-graph.com"]},{name:"PowerReviews",category:"analytics",domains:["*.powerreviews.com"]},{name:"Powerlinks.com",category:"ad",domains:["*.powerlinks.com"]},{name:"Press+",category:"ad",domains:["*.pipol.com","*.ppjol.com","*.ppjol.net"]},{name:"PressArea",category:"utility",domains:["*.pressarea.com"]},{name:"Pretio Interactive",category:"ad",domains:["*.pretio.in"]},{name:"Prezi",category:"utility",domains:["*.prezi.com"]},{name:"PriceGrabber",category:"content",domains:["*.pgcdn.com","*.pricegrabber.com"]},{name:"PriceRunner",category:"content",domains:["*.pricerunner.com"]},{name:"PrintFriendly",category:"utility",domains:["*.printfriendly.com"]},{name:"Privy",category:"ad",domains:["*.privy.com","*.privymktg.com"]},{name:"Proclivity Media",category:"analytics",domains:["*.pswec.com"]},{name:"Profitshare",category:"ad",domains:["*.profitshare.ro"]},{name:"Programattik",category:"ad",domains:["*.programattik.com"]},{name:"Proper Media",category:"content",domains:["*.proper.io"]},{name:"Property Week",category:"content",domains:["*.propertyweek.com"]},{name:"Provide Support",category:"customer-success",domains:["*.providesupport.com"]},{name:"Proweb Uk",category:"hosting",domains:["*.proweb.net"]},{name:"Proximic (ComScore)",category:"ad",domains:["*.proximic.com"]},{name:"Psyma",category:"ad",domains:["*.psyma.com"]},{name:"PubFactory",company:"Safari Books Online",category:"content",domains:["*.pubfactory.com"]},{name:"PubNation",category:"ad",domains:["*.pubnation.com"]},{name:"Publicidad.net",category:"ad",domains:["*.publicidad.tv"]},{name:"PublishThis",company:"Ultra Unlimited",category:"ad",domains:["*.publishthis.com"]},{name:"Pulse Insights",category:"analytics",domains:["*.pulseinsights.com"]},{name:"Pulsepoint",category:"marketing",domains:["*.displaymarketplace.com"]},{name:"Purch",category:"ad",domains:["*.bestofmedia.com","*.purch.com"]},{name:"Pure Chat",category:"customer-success",domains:["*.purechat.com"]},{name:"PushCrew",category:"ad",domains:["*.pushcrew.com"]},{name:"Q1Media",category:"ad",domains:["*.q1media.com","*.q1mediahydraplatform.com"]},{name:"Qbase Software Development",category:"hosting",domains:["*.smartwebportal.co.uk"]},{name:"Qeryz",category:"analytics",domains:["*.qeryz.com"]},{name:"Qode Interactive",category:"hosting",domains:["*.qodeinteractive.com"]},{name:"Qrius",category:"social",domains:["*.qrius.me"]},{name:"Qualaroo",category:"analytics",domains:["*.qualaroo.com"]},{name:"Qualtrics",category:"analytics",domains:["*.qualtrics.com"]},{name:"Qubit",company:"Qubit",category:"analytics",domains:["*.qubit.com","*.qutics.com","d3c3cq33003psk.cloudfront.net","*.goqubit.com","*.qubitproducts.com"]},{name:"Qubit Deliver",company:"Qubit",category:"analytics",domains:["d1m54pdnjzjnhe.cloudfront.net","d22rutvoghj3db.cloudfront.net","dd6zx4ibq538k.cloudfront.net"]},{name:"QuestionPro",category:"analytics",domains:["*.questionpro.com"]},{name:"Queue-it",category:"other",domains:["*.queue-it.net"]},{name:"QuinStreet",category:"ad",domains:["*.Quinstreet.com","*.b2btechleadform.com","*.qnsr.com","*.qsstats.com"]},{name:"QuoVadis",category:"utility",domains:["*.quovadisglobal.com"]},{name:"Qzzr",category:"analytics",domains:["*.movementventures.com","*.qzzr.com"]},{name:"RapidAPI",category:"utility",domains:["*.rapidapi.com"]},{name:"RCS Media Group",category:"ad",domains:["*.rcsadv.it"]},{name:"REVIVVE",category:"ad",domains:["*.revivve.com"]},{name:"RSSinclude",category:"social",domains:["*.rssinclude.com"]},{name:"RTB House AdPilot",company:"RTB House",category:"ad",domains:["*.erne.co","*.creativecdn.com"]},{name:"RTB Media",category:"ad",domains:["*.rtb-media.me"]},{name:"RUN",category:"ad",domains:["*.runadtag.com","*.rundsp.com"]},{name:"Rackspace",category:"hosting",domains:["*.rackcdn.com","*.rackspacecloud.com","*.raxcdn.com","*.websitetestlink.com"]},{name:"RadiumOne",category:"ad",domains:["*.gwallet.com","*.r1-cdn.net"]},{name:"Rakuten DC Storm",company:"Rakuten",category:"analytics",domains:["*.dc-storm.com","*.h4k5.com","*.stormiq.com"]},{name:"Rakuten LinkShare",company:"Rakuten",category:"ad",domains:["*.linksynergy.com"]},{name:"Rakuten Marketing",company:"Rakuten",category:"ad",domains:["*.rakuten-static.com","*.rmtag.com","tag.rmp.rakuten.com"]},{name:"Rakuten MediaForge",company:"Rakuten",category:"ad",domains:["*.mediaforge.com"]},{name:"Rambler",company:"Rambler & Co",category:"utility",domains:["*.rambler.ru"]},{name:"Ranker",category:"content",domains:["*.ranker.com","*.rnkr-static.com"]},{name:"Ravelin",category:"utility",domains:["*.ravelin.com"]},{name:"Raygun",category:"utility",domains:["*.raygun.io"]},{name:"ReCollect",category:"utility",domains:["*.recollect.net"]},{name:"ReSRC",category:"utility",domains:["*.resrc.it"]},{name:"ReTargeter",category:"ad",domains:["*.retargeter.com"]},{name:"Reach Group",category:"ad",domains:["*.redintelligence.net"]},{name:"ReachDynamics",category:"ad",domains:["*.rdcdn.com"]},{name:"ReachForce",category:"ad",domains:["*.reachforce.com"]},{name:"ReachLocal",category:"ad",domains:["*.rtrk.co.nz"]},{name:"ReachMee",category:"content",domains:["*.reachmee.com"]},{name:"Reactful",category:"analytics",domains:["*.reactful.com"]},{name:"Realtime",company:"internet business technologies",category:"utility",domains:["*.realtime.co"]},{name:"Realtime Media (Brian Communications)",category:"ad",domains:["*.rtm.com"]},{name:"Realtime Targeting",category:"ad",domains:["*.idtargeting.com"]},{name:"Realytics",category:"analytics",domains:["dcniko1cv0rz.cloudfront.net","*.realytics.net"]},{name:"RebelMouse",category:"ad",domains:["*.rebelmouse.com","*.rbl.ms"]},{name:"Receiptful",category:"utility",domains:["*.receiptful.com"]},{name:"Recite Me",category:"other",domains:["*.reciteme.com"]},{name:"RecoBell",category:"analytics",domains:["*.recobell.io"]},{name:"Recommend",category:"analytics",domains:["*.recommend.pro"]},{name:"Red Eye International",category:"ad",domains:["*.pajmc.com"]},{name:"Redfish Group",category:"ad",domains:["*.wmps.com"]},{name:"Reevoo",category:"analytics",domains:["*.reevoo.com"]},{name:"Refersion",category:"ad",domains:["*.refersion.com"]},{name:"Refined Ads",category:"ad",domains:["*.refinedads.com"]},{name:"Reflektion",category:"analytics",domains:["*.reflektion.com","d26opx5dl8t69i.cloudfront.net"]},{name:"Reflow",company:"Scenestealer",category:"ad",domains:["*.reflow.tv"]},{name:"Reklama",category:"ad",domains:["*.o2.pl","*.wp.pl"]},{name:"Relevad ReleStar",company:"Relevad",category:"ad",domains:["*.relestar.com"]},{name:"Remarketing Pixel",company:"Adsterra Network",category:"ad",domains:["*.datadbs.com","*.remarketingpixel.com"]},{name:"Remintrex",company:"SmartUp Venture",category:"ad",domains:["*.remintrex.com"]},{name:"Republer",category:"ad",domains:["*.republer.com"]},{name:"Research Now",category:"analytics",domains:["*.researchgnow.com","*.researchnow.com"]},{name:"Research Online",company:"Skills Development Scotland",category:"content",domains:["*.researchonline.org.uk"]},{name:"Resonance Insights",category:"analytics",domains:["*.res-x.com"]},{name:"Resonate Networks",category:"analytics",domains:["*.reson8.com"]},{name:"Response Team",category:"ad",domains:["*.i-transactads.com"]},{name:"ResponseTap",category:"analytics",domains:["*.adinsight.com","*.responsetap.com"]},{name:"ResponsiveVoice",category:"other",domains:["*.responsivevoice.org"]},{name:"Retention Science",category:"ad",domains:["*.retentionscience.com","d1stxfv94hrhia.cloudfront.net"]},{name:"Revcontent",category:"content",domains:["*.revcontent.com"]},{name:"Revee",category:"ad",domains:["*.revee.com"]},{name:"Revenue Conduit",category:"utility",domains:["*.revenueconduit.com"]},{name:"RevenueMantra",category:"ad",domains:["*.revenuemantra.com"]},{name:"Reviews.co.uk",category:"analytics",domains:["*.reviews.co.uk"]},{name:"Reviews.io",category:"analytics",domains:["*.reviews.io"]},{name:"Revolver Maps",category:"analytics",domains:["*.revolvermaps.com"]},{name:"Revv",category:"utility",domains:["*.revv.co"]},{name:"RichRelevance",category:"analytics",domains:["*.richrelevance.com"]},{name:"RightNow Service Cloud",company:"Oracle",category:"customer-success",domains:["*.rightnowtech.com","*.rnengage.com"]},{name:"Rightster",category:"ad",domains:["*.ads-creativesyndicator.com"]},{name:"Riskified",category:"utility",domains:["*.riskified.com"]},{name:"Rockerbox",category:"analytics",homepage:"https://www.rockerbox.com/",domains:["getrockerbox.com"]},{name:"Rocket Fuel",category:"ad",domains:["*.rfihub.com","*.ru4.com","*.rfihub.net","*.ad1x.com"]},{name:"Rollbar",category:"utility",domains:["*.rollbar.com","d37gvrvc0wt4s1.cloudfront.net"]},{name:"RomanCart",category:"utility",domains:["*.romancart.com"]},{name:"Rondavu",category:"ad",domains:["*.rondavu.com"]},{name:"Roomkey",category:"content",domains:["*.roomkey.com"]},{name:"Roost",category:"utility",domains:["*.goroost.com"]},{name:"Roxot",category:"ad",domains:["*.rxthdr.com"]},{name:"Roxr Software",category:"analytics",domains:["*.getclicky.com"]},{name:"Rtoaster",company:"Brainpad",homepage:"https://www.brainpad.co.jp/rtoaster/",category:"marketing",domains:["*.rtoaster.jp"]},{name:"Rubikloud.com",category:"analytics",domains:["*.rubikloud.com"]},{name:"Ruler Analytics",company:"Ruler",category:"analytics",domains:["*.nyltx.com","*.ruleranalytics.com"]},{name:"Runner",company:"Rambler & Co",category:"content",domains:["*.begun.ru"]},{name:"S4M",category:"ad",domains:["*.sam4m.com"]},{name:"SAP Hybris Marketing Convert",company:"SAP",category:"ad",domains:["*.seewhy.com"]},{name:"SAS Institute",category:"ad",domains:["*.aimatch.com","*.sas.com"]},{name:"SATORI",homepage:"https://satori.marketing/",category:"marketing",domains:["satori.segs.jp"]},{name:"SC ShopMania Net SRL",category:"content",domains:["*.shopmania.com"]},{name:"SDL Media Manager",company:"SDL",category:"other",domains:["*.sdlmedia.com"]},{name:"SFR",category:"other",domains:["*.sfr.fr"]},{name:"SLI Systems",category:"utility",domains:["*.resultslist.com","*.resultspage.com","*.sli-spark.com"]},{name:"SMARTASSISTANT",company:"Smart Information Systems",category:"customer-success",domains:["*.smartassistant.com"]},{name:"SMARTSTREAM.TV",category:"ad",domains:["*.smartstream.tv"]},{name:"SPX",company:"Smaato",category:"ad",domains:["*.smaato.net"]},{name:"Sabio",category:"customer-success",domains:["*.sabio.co.uk"]},{name:"Sailthru",category:"analytics",domains:["*.sail-horizon.com","*.sail-personalize.com","*.sail-track.com"]},{name:"Sailthru Sightlines",company:"Sailthru",category:"marketing",domains:["*.sailthru.com"]},{name:"Sajari Pty",category:"utility",domains:["*.sajari.com"]},{name:"SaleCycle",category:"ad",domains:["*.salecycle.com","d16fk4ms6rqz1v.cloudfront.net","d22j4fzzszoii2.cloudfront.net","d30ke5tqu2tkyx.cloudfront.net","dn1i8v75r669j.cloudfront.net"]},{name:"Salesforce Live Agent",company:"Salesforce.com",category:"customer-success",domains:["*.salesforceliveagent.com"]},{name:"Salesforce.com",category:"ad",domains:["*.force.com","*.salesforce.com"]},{name:"Samba TV",company:"Samba",category:"content",domains:["*.samba.tv"]},{name:"Samplicio.us",category:"analytics",domains:["*.samplicio.us"]},{name:"Say Media",category:"ad",domains:["*.saymedia.com"]},{name:"Scenario",category:"analytics",domains:["*.getscenario.com"]},{name:"Schuh (image shard)",company:"Schuh",category:"other",domains:["d2ob0iztsaxy5v.cloudfront.net"]},{name:"Science Rockstars",category:"analytics",domains:["*.persuasionapi.com"]},{name:"ScientiaMobile",category:"analytics",domains:["*.wurflcloud.com","*.wurfl.io"]},{name:"Scoota",category:"ad",domains:["*.rockabox.co","*.scoota.co","d31i2625d5nv27.cloudfront.net","dyjnzf8evxrp2.cloudfront.net"]},{name:"ScribbleLive",category:"ad",domains:["*.scribblelive.com"]},{name:"SearchForce",category:"ad",domains:["*.searchforce.net"]},{name:"SearchSpring",category:"utility",domains:["*.searchspring.net"]},{name:"Searchanise",category:"analytics",domains:["*.searchanise.com"]},{name:"Sears Holdings",category:"content",domains:["*.shld.net"]},{name:"Secomapp",category:"utility",domains:["*.secomapp.com"]},{name:"SecuredVisit",company:"4Cite Marketing",category:"ad",domains:["*.securedvisit.com"]},{name:"SecurityMetrics",category:"utility",domains:["*.securitymetrics.com"]},{name:"Segmento",category:"ad",domains:["*.rutarget.ru"]},{name:"Segmint",category:"analytics",domains:["*.segmint.net"]},{name:"Sekindo",category:"content",domains:["*.sekindo.com"]},{name:"Seldon",category:"analytics",domains:["*.rummblelabs.com"]},{name:"SelectMedia International",category:"content",domains:["*.selectmedia.asia"]},{name:"Selligent",category:"ad",domains:["*.emsecure.net","*.slgnt.eu","targetemsecure.blob.core.windows.net"]},{name:"Sellpoints",category:"analytics",domains:["*.sellpoints.com"]},{name:"Semantics3",category:"analytics",domains:["*.hits.io"]},{name:"Semasio",category:"analytics",domains:["*.semasio.net"]},{name:"Semcasting Site Visitor Attribution",company:"Semcasting",category:"ad",domains:["*.smartzonessva.com"]},{name:"Sentifi",category:"social",domains:["*.sentifi.com"]},{name:"ServMetric",category:"analytics",domains:["*.servmetric.com"]},{name:"ServiceSource International",category:"marketing",domains:["*.scoutanalytics.net"]},{name:"ServiceTick",category:"analytics",domains:["*.servicetick.com"]},{name:"Servo",company:"Xervo",category:"hosting",domains:["*.onmodulus.net"]},{name:"SessionCam",company:"ServiceTick",category:"analytics",domains:["*.sessioncam.com","d2oh4tlt9mrke9.cloudfront.net"]},{name:"Seznam",category:"utility",domains:["*.imedia.cz"]},{name:"Sharethrough",category:"ad",domains:["*.sharethrough.com"]},{name:"SharpSpring",category:"marketing",domains:["*.sharpspring.com","*.marketingautomation.services"]},{name:"ShopRunner",category:"content",domains:["*.shoprunner.com","*.s-9.us"]},{name:"ShopStorm",category:"utility",domains:["*.shopstorm.com"]},{name:"Shopatron",category:"hosting",domains:["*.shopatron.com"]},{name:"Shopgate",category:"utility",domains:["*.shopgate.com"]},{name:"ShopiMind",company:"ShopIMind",category:"ad",domains:["*.shopimind.com"]},{name:"Shopkeeper Tools",category:"utility",domains:["*.shopkeepertools.com"]},{name:"Sidecar",category:"other",domains:["*.getsidecar.com","d3v27wwd40f0xu.cloudfront.net"]},{name:"Sidereel",category:"analytics",domains:["*.sidereel.com"]},{name:"Sift Science",category:"utility",domains:["*.siftscience.com"]},{name:"Signal",category:"tag-manager",domains:["*.sitetagger.co.uk"]},{name:"Signyfyd",category:"utility",domains:["*.signifyd.com"]},{name:"Silktide",category:"hosting",domains:["*.silktide.com"]},{name:"Silverpop",company:"IBM",category:"ad",domains:["*.mkt912.com","*.mkt922.com","*.mkt932.com","*.mkt941.com","*.mkt51.net","*.mkt61.net","*.pages01.net","*.pages02.net","*.pages03.net","*.pages04.net","*.pages05.net"]},{name:"Simplaex",category:"marketing",domains:["*.simplaex.net"]},{name:"SimpleReach",category:"analytics",domains:["*.simplereach.com","d8rk54i4mohrb.cloudfront.net"]},{name:"Simplestream",category:"content",domains:["*.simplestream.com"]},{name:"Simpli.fi",category:"ad",domains:["*.simpli.fi"]},{name:"Simplicity Marketing",category:"ad",domains:["*.flashtalking.com"]},{name:"SinnerSchrader Deutschland",category:"ad",domains:["*.s2Betrieb.de"]},{name:"Sirv",category:"other",domains:["*.sirv.com"]},{name:"Site Meter",category:"analytics",domains:["*.sitemeter.com"]},{name:"Site24x7 Real User Monitoring",company:"Site24x7",category:"analytics",domains:["*.site24x7rum.com"]},{name:"SiteGainer",category:"analytics",domains:["*.sitegainer.com","d191y0yd6d0jy4.cloudfront.net"]},{name:"SiteScout",company:"Centro",category:"ad",domains:["*.pixel.ad","*.sitescout.com"]},{name:"Siteimprove",category:"utility",domains:["*.siteimprove.com","*.siteimproveanalytics.com"]},{name:"Six Degrees Group",category:"hosting",domains:["*.fstech.co.uk"]},{name:"Skimbit",category:"ad",domains:["*.redirectingat.com","*.skimresources.com","*.skimresources.net"]},{name:"Skimlinks",category:"ad",domains:["*.skimlinks.com"]},{name:"SkyGlue Technology",category:"analytics",domains:["*.skyglue.com"]},{name:"SkyScanner",category:"content",domains:["*.skyscanner.net"]},{name:"Skybet",company:"Bonne Terre t/a Sky Vegas (Sky)",category:"other",domains:["*.skybet.com"]},{name:"Skype",category:"other",domains:["*.skype.com"]},{name:"Slate Group",category:"content",domains:["*.cdnslate.com"]},{name:"SlimCut Media Outstream",company:"SlimCut Media",category:"ad",domains:["*.freeskreen.com"]},{name:"Smart Insight Tracking",company:"Emarsys",category:"analytics",domains:["*.scarabresearch.com"]},{name:"Smart AdServer",category:"ad",domains:["*.01net.com","*.sascdn.com","*.sasqos.com","*.smartadserver.com"]},{name:"SmartFocus",category:"analytics",domains:["*.emv2.com","*.emv3.com","*.predictiveintent.com","*.smartfocus.com","*.themessagecloud.com"]},{name:"Smarter Click",category:"ad",domains:["*.smct.co","*.smarterclick.co.uk"]},{name:"SmarterHQ",category:"analytics",domains:["*.smarterhq.io","d1n00d49gkbray.cloudfront.net","*.smarterremarketer.net"]},{name:"Smarttools",category:"customer-success",domains:["*.smartertrack.com"]},{name:"Smartzer",category:"ad",domains:["*.smartzer.com"]},{name:"Snack Media",category:"content",domains:["*.snack-media.com"]},{name:"Snacktools",category:"ad",domains:["*.bannersnack.com"]},{name:"SnapEngage",category:"customer-success",domains:["*.snapengage.com"]},{name:"SnapWidget",category:"content",domains:["*.snapwidget.com"]},{name:"Soasta",category:"analytics",domains:["*.lognormal.net"]},{name:"SociableLabs",category:"ad",domains:["*.sociablelabs.net","*.sociablelabs.com"]},{name:"Social Annex",category:"customer-success",domains:["*.socialannex.com"]},{name:"SocialShopWave",category:"social",domains:["*.socialshopwave.com"]},{name:"Socialphotos",category:"social",domains:["*.slpht.com"]},{name:"Sociomantic Labs",company:"DunnHumby",category:"ad",domains:["*.sociomantic.com"]},{name:"SodaHead",category:"analytics",domains:["*.sodahead.com"]},{name:"Softwebzone",category:"hosting",domains:["*.softwebzone.com"]},{name:"Sojern",category:"marketing",domains:["*.sojern.com"]},{name:"Sokrati",category:"marketing",domains:["*.sokrati.com"]},{name:"Sonobi",category:"ad",domains:["*.sonobi.com"]},{name:"Sooqr Search",company:"Sooqr",category:"utility",domains:["*.sooqr.com"]},{name:"Sophus3",category:"analytics",domains:["*.s3ae.com","*.sophus3.com"]},{name:"Sorenson Media",category:"content",domains:["*.sorensonmedia.com"]},{name:"Sortable",category:"ad",domains:["*.deployads.com"]},{name:"Sotic",category:"hosting",domains:["*.sotic.net","*.soticservers.net"]},{name:"Soundest",category:"ad",domains:["*.soundestlink.com","*.soundest.net"]},{name:"Sourcepoint",category:"ad",domains:["*.decenthat.com","*.fallingfalcon.com","*.summerhamster.com","d2lv4zbk7v5f93.cloudfront.net","d3qxwzhswv93jk.cloudfront.net"]},{name:"SourceKnowledge",homepage:"https://www.sourceknowledge.com",category:"ad",domains:["*.provenpixel.com"]},{name:"SpaceNet",category:"hosting",domains:["*.nmm.de"]},{name:"Sparkflow",company:"Intercept Interactive",category:"ad",domains:["*.sparkflow.net"]},{name:"Specific Media",category:"ad",domains:["*.specificmedia.com","*.adviva.net","*.specificclick.net"]},{name:"Spicy",company:"Data-Centric Alliance",category:"ad",domains:["*.sspicy.ru"]},{name:"Spoke",category:"customer-success",domains:["*.121d8.com"]},{name:"Spongecell",category:"ad",domains:["*.spongecell.com"]},{name:"Spot.IM",category:"social",domains:["*.spot.im","*.spotim.market"]},{name:"SpotXchange",category:"ad",domains:["*.spotxcdn.com","*.spotxchange.com","*.spotx.tv"]},{name:"SpringServer",category:"ad",domains:["*.springserve.com"]},{name:"Spylight",category:"other",domains:["*.spylight.com"]},{name:"SreamAMG",company:"StreamAMG",category:"other",domains:["*.streamamg.com"]},{name:"StackAdapt",category:"ad",domains:["*.stackadapt.com"]},{name:"StackExchange",category:"social",domains:["*.sstatic.net"]},{name:"Stackla PTY",category:"social",domains:["*.stackla.com"]},{name:"Stailamedia",category:"ad",domains:["*.stailamedia.com"]},{name:"Stamped.io",category:"analytics",domains:["*.stamped.io"]},{name:"Starfield Services Root Certificate Authority",company:"Starfield Technologies",category:"utility",domains:["*.starfieldtech.com","ss2.us","*.ss2.us"]},{name:"Starfield Technologies",category:"utility",domains:["*.websiteprotection.com"]},{name:"StatCounter",category:"analytics",domains:["*.statcounter.com"]},{name:"Statful",category:"analytics",domains:["*.statful.com"]},{name:"Steelhouse",category:"ad",domains:["*.steelhousemedia.com"]},{name:"Steepto",category:"ad",domains:["*.steepto.com"]},{name:"StellaService",category:"analytics",domains:["*.stellaservice.com"]},{name:"StickyADS.tv",category:"ad",domains:["*.stickyadstv.com"]},{name:"STINGRAY",company:"FlexOne",category:"ad",domains:["*.impact-ad.jp"]},{name:"Storify",company:"Adobe Systems",category:"social",domains:["*.storify.com"]},{name:"Storm Tag Manager",company:"Rakuten",category:"tag-manager",domains:["*.stormcontainertag.com"]},{name:"Storygize",category:"ad",domains:["*.storygize.net"]},{name:"Strands",category:"utility",domains:["*.strands.com"]},{name:"StreamRail",category:"ad",domains:["*.streamrail.com","*.streamrail.net"]},{name:"StrikeAd",category:"ad",domains:["*.strikead.com"]},{name:"Struq",company:"Quantcast",category:"ad",domains:["*.struq.com"]},{name:"StrÃ¶er Digital Media",category:"ad",domains:["*.stroeerdigitalmedia.de"]},{name:"StumbleUpon",category:"content",domains:["*.stumble-upon.com","*.stumbleupon.com"]},{name:"Sub2 Technologies",category:"analytics",domains:["*.sub2tech.com"]},{name:"SublimeSkinz",category:"ad",domains:["*.ayads.co"]},{name:"Sumo Logic",category:"utility",domains:["*.sumologic.com"]},{name:"Sunday Times Driving",category:"content",domains:["*.driving.co.uk"]},{name:"SundaySky",category:"ad",domains:["*.sundaysky.com","dds6m601du5ji.cloudfront.net"]},{name:"Sunrise Integration",category:"utility",domains:["*.sunriseintegration.com"]},{name:"Supertool Network Technology",category:"analytics",domains:["*.miaozhen.com"]},{name:"Survata",category:"analytics",domains:["*.survata.com"]},{name:"SurveyGizmo",category:"analytics",domains:["*.surveygizmo.eu"]},{name:"SurveyMonkey",category:"analytics",domains:["*.surveymonkey.com"]},{name:"Survicate",category:"analytics",domains:["*.survicate.com"]},{name:"Sweet Tooth",category:"ad",domains:["*.sweettooth.io"]},{name:"Swiftype",category:"utility",domains:["*.swiftype.com","*.swiftypecdn.com"]},{name:"Switch Concepts",category:"ad",domains:["*.switchadhub.com"]},{name:"SwitchAds",company:"Switch Concepts",category:"ad",domains:["*.switchads.com"]},{name:"Swogo",category:"analytics",domains:["*.xsellapp.com"]},{name:"Swoop",category:"ad",domains:["*.swoop.com"]},{name:"Symantec",category:"utility",domains:["*.norton.com","*.symantec.com","*.symcb.com","*.symcd.com"]},{name:"Syncapse",category:"social",domains:["*.clickable.net"]},{name:"Synergetic",category:"ad",domains:["*.synergetic.ag"]},{name:"Synthetix",category:"customer-success",domains:["*.syn-finity.com","*.synthetix-ec1.com","*.synthetix.com"]},{name:"Syte",category:"other",domains:["*.syteapi.com"]},{name:"TINT",category:"content",domains:["*.71n7.com","d33w9bm0n1egwm.cloudfront.net","d36hc0p18k1aoc.cloudfront.net","d3l7tj34e9fc43.cloudfront.net"]},{name:"TNS (Kantar Group)",category:"analytics",domains:["*.tns-counter.ru"]},{name:"TRUSTe",category:"utility",domains:["*.truste.com"]},{name:"TV Genius",company:"Ericcson Media Services",category:"content",domains:["*.tvgenius.net"]},{name:"TVSquared",category:"ad",domains:["*.tvsquared.com"]},{name:"TVTY",category:"ad",domains:["*.distribeo.com","*.ogigl.com"]},{name:"Tactics bvba",category:"hosting",domains:["*.influid.co"]},{name:"Tag Inspector",company:"InfoTrust",category:"analytics",domains:["d22xmn10vbouk4.cloudfront.net"]},{name:"TagCommander",category:"tag-manager",domains:["*.commander1.com","*.tagcommander.com"]},{name:"Tagboard",category:"social",domains:["*.tagboard.com"]},{name:"Taggstar",company:"Taggstar UK",category:"ad",domains:["*.taggstar.com"]},{name:"Tail Target",company:"Tail",category:"ad",domains:["*.tailtarget.com"]},{name:"Tailored",category:"other",domains:["d24qm7bu56swjs.cloudfront.net","dw3vahmen1rfy.cloudfront.net","*.tailored.to"]},{name:"Taleo Enterprise Cloud Service",company:"Oracle",category:"content",domains:["*.taleo.net"]},{name:"Talkable",category:"ad",domains:["*.talkable.com","d2jjzw81hqbuqv.cloudfront.net"]},{name:"TapSense",category:"ad",domains:["*.tapsense.com"]},{name:"Tapad",category:"ad",domains:["*.tapad.com"]},{name:"Teads",category:"ad",domains:["*.teads.tv"]},{name:"Team Internet Tonic",company:"Team Internet",category:"ad",domains:["*.dntrax.com"]},{name:"TechTarget",category:"content",domains:["*.techtarget.com","*.ttgtmedia.com"]},{name:"Technorati",company:"Synacor",category:"ad",domains:["*.technoratimedia.com"]},{name:"Teedhaze",category:"content",domains:["*.fuel451.com"]},{name:"Tell Apart",category:"analytics",domains:["*.tellapart.com","*.tellaparts.com"]},{name:"Tencent",category:"content",domains:["*.qq.com","*.ywxi.net"]},{name:"Thanx Media",category:"utility",domains:["*.hawksearch.info"]},{name:"Thawte",category:"utility",domains:["*.thawte.com"]},{name:"Thesis",category:"analytics",homepage:"https://www.thesistesting.com/",domains:["*.ttsep.com"]},{name:"The AA",category:"ad",domains:["*.adstheaa.com"]},{name:"The ADEX",category:"ad",domains:["*.theadex.com"]},{name:"The Best Day",category:"social",domains:["*.thebestday.com"]},{name:"The Filter",company:"Exabre",category:"analytics",domains:["*.thefilter.com"]},{name:"The Guardian",category:"analytics",domains:["*.ophan.co.uk"]},{name:"The Hut Group",category:"content",domains:["*.thcdn.com"]},{name:"The Numa Group",category:"other",domains:["*.hittail.com"]},{name:"The Publisher Desk",category:"ad",domains:["*.206ads.com","*.publisherdesk.com"]},{name:"The Sydney Morning Herald",company:"Fairfax Media",category:"content",domains:["*.smh.com.au"]},{name:"The Wall Street Jounal",category:"content",domains:["*.wsj.net"]},{name:"The Wall Street Journal",category:"content",domains:["*.marketwatch.com"]},{name:"TheFind",category:"content",domains:["*.thefind.com"]},{name:"Thinglink",category:"utility",domains:["*.thinglink.com"]},{name:"Thirdpresence",category:"ad",domains:["*.thirdpresence.com"]},{name:"ThreatMetrix",category:"utility",domains:["*.online-metrix.net"]},{name:"Throtle",homepage:"https://throtle.io/",category:"analytics",domains:["*.thrtle.com","*.v12group.com"]},{name:"TicketMaster",category:"content",domains:["*.t-x.io","*.tmcs.net"]},{name:"TikTok",company:"ByteDance Ltd",homepage:"https://www.tiktok.com/en/",category:"social",domains:["*.tiktok.com","*.ipstatp.com"]},{name:"Tidio Live Chat",company:"Tidio",homepage:"https://www.tidiochat.com/en/",category:"customer-success",domains:["*.tidiochat.com"]},{name:"Tiledesk Live Chat",company:"Tiledesk SRL",homepage:"https://www.tiledesk.com/",category:"customer-success",domains:["*.tiledesk.com"]},{name:"Time",category:"content",domains:["*.timeinc.net"]},{name:"Time2Perf",category:"ad",domains:["*.time2perf.com"]},{name:"TinyURL",category:"utility",domains:["*.tinyurl.com"]},{name:"Tivo",category:"analytics",domains:["*.rovicorp.com"]},{name:"Tom&Co",category:"hosting",domains:["*.tomandco.uk"]},{name:"Toms Native Ads",company:"Purch",category:"ad",domains:["*.natoms.com"]},{name:"ToneMedia",category:"ad",domains:["*.clickfuse.com"]},{name:"Tonic",company:"Team Internet",category:"ad",domains:["*.dntx.com"]},{name:"Touch Commerce",category:"customer-success",domains:["*.inq.com","*.touchcommerce.com"]},{name:"ToutApp",category:"ad",domains:["*.toutapp.com"]},{name:"TraceView",company:"Solarwinds",category:"analytics",domains:["*.tracelytics.com","d2gfdmu30u15x7.cloudfront.net"]},{name:"TrackJS",category:"analytics",domains:["*.trackjs.com","d2zah9y47r7bi2.cloudfront.net"]},{name:"Tradedoubler",category:"ad",domains:["*.pvnsolutions.com","*.tradedoubler.com"]},{name:"Tradelab",category:"ad",domains:["*.tradelab.fr"]},{name:"TrafficFactory",category:"ad",domains:["*.trafficfactory.biz"]},{name:"TrafficHunt",category:"ad",domains:["*.traffichunt.com"]},{name:"TrafficStars",category:"ad",domains:["*.trafficstars.com","*.tsyndicate.com"]},{name:"Transifex",category:"utility",domains:["*.transifex.com"]},{name:"Travelex",category:"utility",domains:["*.travelex.net","*.travelex.co.uk"]},{name:"Travelocity Canada",company:"Travelocity",category:"content",domains:["*.travelocity.ca"]},{name:"Travelocity USA",company:"Travelocity",category:"content",domains:["*.travelocity.com"]},{name:"Travelzoo",category:"content",domains:["*.travelzoo.com"]},{name:"Treasure Data",category:"analytics",domains:["*.treasuredata.com"]},{name:"Tremor Video",category:"ad",domains:["*.tremorhub.com","*.videohub.tv"]},{name:"Trialfire",category:"analytics",domains:["*.trialfire.com"]},{name:"Tribal Fusion",company:"Exponential Interactive",category:"ad",domains:["*.tribalfusion.com"]},{name:"Triblio",category:"marketing",domains:["*.tribl.io"]},{name:"Triggered Messaging",company:"Fresh Relevance",category:"ad",domains:["*.triggeredmessaging.com"]},{name:"Trinity Mirror",category:"content",domains:["*.mirror.co.uk"]},{name:"Trinity Mirror Digital Media",category:"social",domains:["*.tm-aws.com","*.icnetwork.co.uk"]},{name:"TripAdvisor",category:"content",domains:["*.jscache.com","*.tacdn.com","*.tamgrt.com","*.tripadvisor.com","*.viator.com","*.tripadvisor.co.uk"]},{name:"TripleLift",category:"ad",domains:["*.3lift.com"]},{name:"Tru Optik",category:"ad",domains:["*.truoptik.com"]},{name:"TruConversion",category:"analytics",domains:["*.truconversion.com"]},{name:"Trueffect",category:"marketing",domains:["*.adlegend.com"]},{name:"Truefit",category:"analytics",domains:["*.truefitcorp.com"]},{name:"Trust Guard",category:"utility",domains:["*.trust-guard.com"]},{name:"Trust Pilot",category:"analytics",domains:["*.trustpilot.com"]},{name:"Amazon Trust Services",company:"Amazon",category:"utility",domains:["*.amazontrust.com","o.ss2.us"]},{name:"Google Trust Services",company:"Google",category:"utility",domains:["*.pki.goog"]},{name:"Let's Encrypt",homepage:"https://letsencrypt.org/",category:"utility",domains:["*.letsencrypt.org"]},{name:"TrustX",category:"ad",domains:["*.trustx.org"]},{name:"Trusted Shops",category:"utility",domains:["*.trustedshops.com"]},{name:"Trustev",company:"TransUnion",category:"utility",domains:["*.trustev.com"]},{name:"Trustwave",category:"utility",domains:["*.trustwave.com"]},{name:"Tryzens TradeState",company:"Tryzens",category:"analytics",domains:["*.tryzens-analytics.com"]},{name:"TubeMogul",category:"ad",domains:["*.tubemogul.com"]},{name:"Turn",category:"ad",domains:["*.turn.com"]},{name:"Tutorialize",category:"customer-success",domains:["*.tutorialize.me"]},{name:"Twenga",category:"content",domains:["*.twenga.fr","*.c4tw.net","*.twenga.co.uk"]},{name:"Twitframe",company:"Superblock",category:"utility",domains:["*.twitframe.com"]},{name:"Twitter Online Conversion Tracking",company:"Twitter",category:"ad",domains:["*.ads-twitter.com","analytics.twitter.com"]},{name:"Twitter Short URL",company:"Twitter",category:"social",domains:["*.t.co"]},{name:"Twyn Group",category:"ad",domains:["*.twyn.com"]},{name:"Tynt",company:"33 Across",category:"ad",domains:["*.tynt.com"]},{name:"Typepad",category:"hosting",domains:["*.typepad.com"]},{name:"TyrbooBytes",category:"utility",domains:["*.turbobytes.net"]},{name:"UPS i-parcel",company:"UPS",category:"other",domains:["*.i-parcel.com"]},{name:"US Media Consulting",category:"ad",domains:["*.mediade.sk"]},{name:"Ubertags",category:"tag-manager",domains:["*.ubertags.com"]},{name:"Umbel",category:"analytics",domains:["*.umbel.com"]},{name:"Unanimis",company:"Switch",category:"ad",domains:["*.unanimis.co.uk"]},{name:"Unbounce",category:"ad",domains:["*.ubembed.com","*.unbounce.com","d2xxq4ijfwetlm.cloudfront.net","d9hhrg4mnvzow.cloudfront.net"]},{name:"Underdog Media",category:"ad",domains:["*.underdog.media","*.udmserve.net"]},{name:"Understand Digital",category:"ad",domains:["*.redirecting2.net"]},{name:"Undertone",company:"Perion",category:"ad",domains:["*.legolas-media.com"]},{name:"Unidays",category:"ad",domains:["*.myunidays.com","*.unidays.world"]},{name:"Uniqodo",category:"ad",domains:["*.uniqodo.com"]},{name:"Unite",category:"ad",domains:["*.uadx.com"]},{name:"United Card Services",category:"utility",domains:["*.ucs.su"]},{name:"United Internet",category:"hosting",domains:["*.uicdn.com"]},{name:"United Internet Media",category:"ad",domains:["*.ui-portal.de"]},{name:"United Internet Media AG",category:"hosting",domains:["*.tifbs.net","*.uicdn.net","*.uimserv.net"]},{name:"Unknown",category:"other",domains:[]},{name:"Unruly Media",category:"ad",domains:["*.unrulymedia.com"]},{name:"UpBuild",category:"ad",domains:["*.upbuild.io"]},{name:"UpSellit",category:"analytics",domains:["*.upsellit.com"]},{name:"Upland Software",category:"hosting",domains:["*.clickability.com"]},{name:"Airship",category:"marketing",domains:["*.urbanairship.com","*.aswpsdkus.com"]},{name:"UsabilityTools",category:"analytics",domains:["*.usabilitytools.com"]},{name:"Usablenet.net",category:"utility",domains:["*.usablenet.net"]},{name:"Use It Better",category:"analytics",domains:["*.useitbetter.com"]},{name:"User Replay",category:"analytics",domains:["*.userreplay.net"]},{name:"UserReport",category:"analytics",domains:["*.userreport.com"]},{name:"Userneeds",category:"analytics",domains:["*.userneeds.dk"]},{name:"Userzoom",category:"analytics",domains:["*.userzoom.com"]},{name:"V12 Retail Finance",category:"utility",domains:["*.v12finance.com"]},{name:"Vacaciones eDreams",category:"content",domains:["*.odistatic.net"]},{name:"Varick Media Management",category:"ad",domains:["*.vmmpxl.com"]},{name:"Vdopia Chocolate",company:"Vdopia",category:"ad",domains:["*.vdopia.com"]},{name:"Ve",company:"Ve",homepage:"https://www.ve.com/",category:"marketing",domains:["*.veinteractive.com","*.ve.com"]},{name:"Ve Interactive",company:"Ve",category:"ad",domains:["*.vepxl1.net","*.adgenie.co.uk"]},{name:"Vee24",category:"customer-success",domains:["*.vee24.com"]},{name:"Veeseo",category:"content",domains:["*.veeseo.com"]},{name:"Venatus Media",category:"marketing",domains:["*.alcvid.com","*.venatusmedia.com"]},{name:"Veoxa",category:"ad",domains:["*.veoxa.com"]},{name:"Vergic AB",category:"customer-success",domains:["*.psplugin.com"]},{name:"Vergic Engage Platform",company:"Vergic",category:"customer-success",domains:["*.vergic.com"]},{name:"Verisign (Symantec)",category:"utility",domains:["*.verisign.com"]},{name:"Verizon",category:"utility",domains:["*.public-trust.com"]},{name:"Verizon Digital Media CDN",homepage:"https://www.verizondigitalmedia.com/",category:"cdn",domains:["*.edgecastcdn.net","*.edgecastdns.net"]},{name:"Verizon Uplynk",company:"Verizon",category:"content",domains:["*.uplynk.com"]},{name:"Vero",company:"Semblance",category:"ad",domains:["*.getvero.com","d3qxef4rp70elm.cloudfront.net"]},{name:"VertaMedia",category:"ad",domains:["*.vertamedia.com"]},{name:"Vertical Mass",category:"ad",domains:["*.vmweb.net"]},{name:"Vestorly",category:"ad",domains:["*.oodalab.com"]},{name:"Vextras",category:"other",domains:["*.vextras.com"]},{name:"Viacom",category:"content",domains:["*.mtvnservices.com"]},{name:"Vibrant Media",category:"ad",domains:["*.intellitxt.com","*.picadmedia.com"]},{name:"VidPulse",category:"analytics",domains:["*.vidpulse.com"]},{name:"Video Media Groep",category:"ad",domains:["*.vmg.host","*.inpagevideo.nl"]},{name:"VideoHub",company:"Tremor Video",category:"ad",domains:["*.scanscout.com"]},{name:"Videology",category:"ad",domains:["*.tidaltv.com"]},{name:"Vidible",category:"ad",domains:["*.vidible.tv"]},{name:"VigLink",category:"ad",domains:["*.viglink.com"]},{name:"Vindico",company:"Viant",category:"ad",domains:["*.vindicosuite.com"]},{name:"Viocorp International",category:"content",domains:["*.vioapi.com"]},{name:"ViralNinjas",category:"ad",domains:["*.viralninjas.com"]},{name:"Virool",category:"ad",domains:["*.virool.com"]},{name:"Virtual Earth",company:"Microsoft",category:"utility",domains:["*.virtualearth.net"]},{name:"Visely",company:"Visely",category:"other",homepage:"https://visely.io/",domains:["*.visely.io"]},{name:"VisScore",category:"analytics",domains:["*.visscore.com","d2hkbi3gan6yg6.cloudfront.net"]},{name:"Visible Measures",category:"ad",domains:["*.visiblemeasures.com"]},{name:"Visual Studio",company:"Microsoft",category:"utility",domains:["*.visualstudio.com"]},{name:"VisualDNA",category:"ad",domains:["*.visualdna.com"]},{name:"VisualVisitor",category:"ad",domains:["*.id-visitors.com"]},{name:"Vivocha S.p.A",category:"customer-success",domains:["*.vivocha.com"]},{name:"Vizu (Nielsen)",category:"analytics",domains:["*.vizu.com"]},{name:"Vizury",category:"ad",domains:["*.vizury.com"]},{name:"VoiceFive",category:"analytics",domains:["*.voicefive.com"]},{name:"Volvelle",company:"Optomaton",category:"ad",domains:["*.volvelle.tech"]},{name:"VouchedFor",category:"analytics",domains:["*.vouchedfor.co.uk"]},{name:"WARPCACHE",category:"utility",domains:["*.warpcache.net"]},{name:"WISHLIST",company:"Shopapps",category:"social",domains:["*.shopapps.in"]},{name:"WP Engine",category:"hosting",domains:["*.wpengine.com"]},{name:"WalkMe",category:"customer-success",domains:["*.walkme.com"]},{name:"Watching That",category:"other",domains:["*.watchingthat.com"]},{name:"Wayfair",category:"analytics",domains:["*.wayfair.com"]},{name:"Web CEO",category:"other",domains:["*.websiteceo.com"]},{name:"Web Dissector",company:"Beijing Gridsum Technologies",category:"analytics",domains:["*.gridsumdissector.com","*.webdissector.com"]},{name:"Web Forensics",category:"analytics",domains:["*.webforensics.co.uk"]},{name:"Web Security and Performance",company:"NCC Group",category:"utility",domains:["*.nccgroup.trust"]},{name:"WebEngage",category:"customer-success",domains:["*.webengage.co","*.webengage.com","d23nd6ymopvz52.cloudfront.net","d3701cc9l7v9a6.cloudfront.net"]},{name:"WebInsight",company:"dotMailer",category:"analytics",domains:["*.trackedlink.net","*.trackedweb.net"]},{name:"WebPageOne Solutions",category:"other",domains:["*.webpageone.com"]},{name:"WebSpectator",category:"ad",domains:["*.webspectator.com"]},{name:"WebTuna",company:"Application Performance",category:"analytics",domains:["*.webtuna.com"]},{name:"WebVideoCore",company:"StreamingVideoProvider",category:"content",domains:["*.webvideocore.net"]},{name:"WebWombat",category:"utility",domains:["*.ic.com.au"]},{name:"Webcollage",category:"customer-success",domains:["*.webcollage.net"]},{name:"Webcore",category:"ad",domains:["*.onefeed.co.uk"]},{name:"Webkul",company:"Webkul Software",category:"utility",domains:["*.webkul.com"]},{name:"Webmarked",category:"utility",domains:["*.webmarked.net"]},{name:"Weborama",category:"ad",domains:["*.weborama.com","*.weborama.fr"]},{name:"WebpageFX",category:"ad",domains:["*.leadmanagerfx.com"]},{name:"Webphone",company:"IP WEB SERVICES",category:"customer-success",domains:["*.webphone.net"]},{name:"Webselect selectcommerce",company:"Webselect Internet",category:"hosting",domains:["*.webselect.net"]},{name:"Webthinking",category:"hosting",domains:["*.webthinking.co.uk"]},{name:"Webtrekk",category:"analytics",domains:["*.wbtrk.net","*.webtrekk-asia.net","*.webtrekk.net","*.wt-eu02.net","*.wt-safetag.com"]},{name:"Webtrends",category:"analytics",domains:["*.webtrends.com","*.webtrendslive.com","d1q62gfb8siqnm.cloudfront.net"]},{name:"Webtype",category:"cdn",domains:["*.webtype.com"]},{name:"White Ops",category:"utility",domains:["*.acexedge.com","*.tagsrvcs.com"]},{name:"Whitespace",category:"ad",domains:["*.whitespacers.com"]},{name:"WhosOn Live Chat Software",category:"customer-success",domains:["*.whoson.com"]},{name:"Wibbitz",category:"other",domains:["*.wibbitz.com"]},{name:"Wide Area Communications",category:"hosting",domains:["*.widearea.co.uk"]},{name:"WideOrbit",category:"marketing",domains:["*.admaym.com"]},{name:"William Reed",category:"content",domains:["*.wrbm.com"]},{name:"WillyFogg.com",category:"content",domains:["*.willyfogg.com"]},{name:"Windows",company:"Microsoft",category:"utility",domains:["*.windowsupdate.com"]},{name:"WisePops",category:"utility",domains:["*.wisepops.com"]},{name:"Wishlist King",company:"Appmate",category:"other",homepage:"https://appmate.io/",domains:["*.appmate.io"]},{name:"Wishpond Technologies",category:"marketing",domains:["*.wishpond.com","*.wishpond.net"]},{name:"WizRocket Technologies",category:"analytics",domains:["*.wzrkt.com"]},{name:"Woopra",category:"analytics",domains:["*.woopra.com"]},{name:"Woosmap",category:"utility",domains:["*.woosmap.com"]},{name:"WorkCast",category:"hosting",domains:["*.workcast.net"]},{name:"World News Media",category:"content",domains:["*.wnmedia.co.uk"]},{name:"Worldpay",category:"utility",domains:["*.worldpay.com"]},{name:"Wow Analytics",category:"analytics",domains:["*.wowanalytics.co.uk"]},{name:"Wowcher",category:"ad",domains:["*.wowcher.co.uk"]},{name:"Wufoo",category:"utility",domains:["*.wufoo.com"]},{name:"Wunderkind",category:"marketing",homepage:"https://www.wunderkind.co/",domains:["*.bounceexchange.com","*.bouncex.net","*.wknd.ai","*.cdnbasket.net","*.cdnwidget.com"]},{name:"Wyng",category:"ad",domains:["*.offerpop.com"]},{name:"XMLSHOP",category:"hosting",domains:["*.xmlshop.biz"]},{name:"XiTi",company:"AT Internet",category:"analytics",domains:["*.xiti.com","*.aticdn.net"],homepage:"https://www.atinternet.com/en/"},{name:"YUDU",category:"content",domains:["*.yudu.com"]},{name:"Yahoo! Ad Exchange",company:"Yahoo!",category:"ad",domains:["*.yieldmanager.com","*.browsiprod.com"]},{name:"Yahoo! JAPAN Ads",company:"Yahoo! JAPAN",category:"ad",homepage:"https://marketing.yahoo.co.jp/service/yahooads/",domains:["yads.c.yimg.jp","s.yimg.jp","b92.yahoo.co.jp"]},{name:"Yahoo! Tag Manager",company:"Yahoo! JAPAN",category:"tag-manager",homepage:"https://marketing.yahoo.co.jp/service/tagmanager/",domains:["*.yjtag.jp"]},{name:"Yahoo! Small Business",company:"Yahoo!",category:"hosting",domains:["*.aabacosmallbusiness.com"]},{name:"Yellow Robot",category:"ad",domains:["*.backinstock.org"]},{name:"YieldPartners",category:"ad",domains:["*.yieldpartners.com"]},{name:"Yieldbot",category:"ad",domains:["*.yldbt.com"]},{name:"Yieldify",category:"ad",domains:["*.yieldify.com","*.yieldifylabs.com","d33wq5gej88ld6.cloudfront.net","dwmvwp56lzq5t.cloudfront.net"]},{name:"Yieldlab",category:"ad",domains:["*.yieldlab.net"]},{name:"Yieldmo",category:"ad",domains:["*.yieldmo.com"]},{name:"Yieldr",category:"ad",domains:["*.254a.com"]},{name:"Yo",category:"utility",domains:["*.yopify.com"]},{name:"YoYo",category:"utility",domains:["*.goadservices.com"]},{name:"Yotpo",homepage:"https://www.yotpo.com/",category:"marketing",domains:["*.yotpo.com","*.swellrewards.com"]},{name:"Yottaa",category:"hosting",domains:["*.yottaa.com","*.yottaa.net"]},{name:"YourAmigo",category:"utility",domains:["*.youramigo.com"]},{name:"YuMe",category:"ad",domains:["*.yume.com","*.yumenetworks.com"]},{name:"Yummley",category:"other",domains:["*.yummly.com"]},{name:"ZEDO",category:"ad",domains:["*.zedo.com"]},{name:"Zafu",category:"analytics",domains:["*.zafu.com"]},{name:"Zaius",category:"ad",domains:["*.zaius.com"]},{name:"Zamplus ad",category:"ad",domains:["*.zampda.net"]},{name:"Zanox",category:"ad",domains:["*.zanox.com","*.zanox.ws"]},{name:"Zapper",category:"utility",domains:["*.zapper.com"]},{name:"Zarget",category:"analytics",domains:["*.zarget.com"]},{name:"Zemanta",category:"ad",domains:["*.zemanta.com"]},{name:"Zen Internet",category:"other",domains:["*.zyen.com"]},{name:"Zenovia Digital Exchange",category:"ad",domains:["*.rhythmxchange.com","*.zenoviaexchange.com"]},{name:"ZergNet",category:"content",domains:["*.zergnet.com"]},{name:"Zerogrey",category:"hosting",domains:["*.zerogrey.com"]},{name:"Ziff Davis Tech",category:"ad",domains:["*.adziff.com","*.zdbb.net"]},{name:"Zmags",category:"marketing",domains:["*.zmags.com"]},{name:"Zolando",category:"content",domains:["*.ztat.net"]},{name:"Zoover",category:"analytics",domains:["*.zoover.nl","*.zoover.co.uk"]},{name:"Zopim",category:"customer-success",domains:["*.zopim.io"]},{name:"[24]7",category:"customer-success",domains:["*.247-inc.net","*.247inc.net","d1af033869koo7.cloudfront.net"]},{name:"adKernel",category:"ad",domains:["*.adkernel.com"]},{name:"adMarketplace",company:"AMPexchange",category:"ad",domains:["*.ampxchange.com","*.admarketplace.net"]},{name:"addtocalendar",category:"utility",domains:["*.addtocalendar.com"]},{name:"adnanny",category:"ad",domains:["*.adserver01.de"]},{name:"affilinet",category:"ad",domains:["*.reussissonsensemble.fr","*.successfultogether.co.uk"]},{name:"audioBoom",category:"social",domains:["*.audioboom.com","*.audioboo.fm"]},{name:"bPay by Barclaycard",company:"Barclays Bank",category:"utility",domains:["*.bpay.co.uk"]},{name:"bRealTime",category:"ad",domains:["*.brealtime.com"]},{name:"bd4travel",category:"analytics",domains:["*.bd4travel.com"]},{name:"bizinformation-VOID",company:"bizinformation",category:"analytics",domains:["*.bizinformation.org"]},{name:"carrot",category:"social",domains:["*.sharebutton.co"]},{name:"cloudIQ",category:"analytics",domains:["*.cloud-iq.com"]},{name:"comScore",category:"analytics",domains:["*.adxpose.com","*.comscore.com","*.sitestat.com","*.zqtk.net"]},{name:"content.ad",category:"ad",domains:["*.content.ad"]},{name:"d3 Media",company:"d3 Technologies",category:"other",domains:["*.d3sv.net"]},{name:"dexiMEDIA",category:"ad",domains:["*.deximedia.com"]},{name:"dianomi",category:"ad",domains:["*.dianomi.com","*.dianomioffers.co.uk"]},{name:"donReach",category:"social",domains:["*.donreach.com"]},{name:"dotMailer",category:"ad",domains:["*.dmtrk.com","*.dotmailer.com","*.emlfiles.com"]},{name:"dotMailer Surveys",company:"dotMailer",category:"analytics",domains:["*.dotmailer-surveys.com"]},{name:"dstillery",category:"ad",domains:["*.dstillery.com","*.media6degrees.com"]},{name:"eBay",category:"ad",domains:["*.ebay.com","*.ebayimg.com","*.fetchback.com"]},{name:"eBay Enterprise",category:"hosting",domains:["*.csdata1.com","*.gsipartners.com"]},{name:"eBuzzing",company:"Teads Managed Services",category:"ad",domains:["*.ebz.io"]},{name:"eDigital Research",category:"customer-success",domains:["*.edigitalresearch.com","*.edigitalsurvey.com","*.edrcdn.com","*.ecustomeropinions.com"]},{name:"eGain",category:"analytics",domains:["*.analytics-egain.com","*.egain.com"]},{name:"eHost",category:"hosting",domains:["*.ehosts.net"]},{name:"eKomi",category:"analytics",domains:["*.ekomi.com","*.ekomi.de"]},{name:"eWAY",company:"Web Active Pty",category:"utility",domains:["*.eway.com.au"]},{name:"eXTReMe digital",category:"analytics",domains:["*.extreme-dm.com"]},{name:"eXelate",category:"ad",domains:["*.exelator.com"]},{name:"ecommercefeed.net",category:"marketing",domains:["*.ecommercefeed.net"]},{name:"engage:BDR",category:"ad",domains:["*.bnmla.com","*.ebdr3.com"]},{name:"epago",category:"ad",domains:["*.adaos-ads.net"]},{name:"epoq internet services",category:"analytics",domains:["*.epoq.de"]},{name:"etouches",category:"hosting",domains:["*.etouches.com"]},{name:"etracker",category:"analytics",domains:["*.etracker.com","*.etracker.de"]},{name:"everestads.com",category:"content",domains:["*.verestads.net"]},{name:"exebid.DCA",company:"Data-Centric Alliance",category:"ad",domains:["*.exe.bid"]},{name:"eyeReturn Marketing",category:"marketing",domains:["*.eyereturn.com"]},{name:"feedoptimise",category:"hosting",domains:["*.feedoptimise.com","d1w78njrm56n7g.cloudfront.net"]},{name:"fifty-five",category:"ad",domains:["*.55labs.com"]},{name:"fluct",category:"ad",domains:["*.adingo.jp"]},{name:"freegeoip.net",company:"(community-funded)",category:"utility",domains:["*.freegeoip.net"]},{name:"freewheel.tv",category:"content",domains:["*.fwmrm.net"]},{name:"gnatta",category:"customer-success",domains:["*.gnatta.com"]},{name:"home.pl",category:"hosting",domains:["*.nscontext.eu"]},{name:"hyfn",category:"ad",domains:["*.hyfn.com"]},{name:"iAdvize SAS",category:"customer-success",domains:["*.iadvize.com"]},{name:"iBillboard",category:"ad",domains:["*.ibillboard.com"]},{name:"iCrossing",category:"ad",domains:["*.ic-live.com"]},{name:"iFactory",company:"RDW Group",category:"hosting",domains:["*.ifactory.com"]},{name:"iGoDigital",category:"analytics",domains:["*.igodigital.com"]},{name:"iJento",company:"Fopsha",category:"ad",domains:["*.ijento.com"]},{name:"iPage",category:"hosting",domains:["*.ipage.com"]},{name:"iPerceptions",category:"customer-success",domains:["*.iperceptions.com"]},{name:"iTunes",company:"Apple",category:"content",domains:["*.mzstatic.com"]},{name:"imgix",company:"Zebrafish Labs",category:"utility",domains:["*.imgix.net"]},{name:"infogr.am",category:"utility",domains:["*.infogr.am","*.jifo.co"]},{name:"iotec",category:"analytics",domains:["*.dsp.io"]},{name:"iovation",category:"utility",domains:["*.iesnare.com"]},{name:"ipinfo.io",category:"utility",domains:["*.ipinfo.io"]},{name:"issuu",category:"content",domains:["*.issuu.com","*.isu.pub"]},{name:"iubenda",category:"utility",domains:["*.iubenda.com"]},{name:"j2 Cloud Services",category:"ad",domains:["*.campaigner.com"]},{name:"jsonip.com",category:"analytics",domains:["*.jsonip.com"]},{name:"linkpulse",category:"analytics",domains:["*.lp4.io"]},{name:"loGo_net",category:"analytics",domains:["*.logo-net.co.uk"]},{name:"mainADV",category:"ad",domains:["*.httptrack.com","*.solocpm.com"]},{name:"mbr targeting",category:"ad",domains:["*.m6r.eu"]},{name:"media.ventive",category:"ad",domains:["*.contentspread.net"]},{name:"metrigo",category:"ad",domains:["*.metrigo.com"]},{name:"minicabit.com",category:"content",domains:["*.minicabit.com"]},{name:"mobiManage",category:"hosting",domains:["*.mobimanage.com"]},{name:"moving-pictures",category:"other",domains:["*.moving-pictures.biz","*.v6-moving-pictures.com","*.vtstat.com","*.moving-pictures.de"]},{name:"my6sense",category:"ad",domains:["*.mynativeplatform.com"]},{name:"myThings",category:"ad",domains:["*.mythings.com","*.mythingsmedia.net"]},{name:"mymovies",category:"content",domains:["*.mymovies.net"]},{name:"nRelate-VOID",company:"nRelate",category:"content",domains:["*.nrelate.com"]},{name:"nToklo",category:"analytics",domains:["*.ntoklo.com"]},{name:"neXeps",category:"ad",domains:["*.nexeps.com"]},{name:"ninemsn Pty.",category:"utility",domains:["*.ninemsn.com.au"]},{name:"nugg.ad",category:"ad",domains:["*.nuggad.net"]},{name:"numero interactive",company:"numero",category:"ad",domains:["*.numerointeractive.com"]},{name:"optMD",company:"Optimax Media Delivery",category:"ad",domains:["*.optmd.com"]},{name:"otracking.com",category:"analytics",domains:["*.otracking.com"]},{name:"paysafecard",company:"Paysafe Group",category:"utility",domains:["*.paysafecard.com"]},{name:"piano",category:"ad",domains:["*.npttech.com","*.tinypass.com"]},{name:"piclike",category:"ad",domains:["*.piclike.us"]},{name:"placehold.it",category:"utility",domains:["*.placehold.it"]},{name:"plista",category:"ad",domains:["*.plista.com"]},{name:"prebid.org",category:"utility",domains:["*.prebid.org"]},{name:"reEmbed",category:"other",domains:["*.reembed.com"]},{name:"reddit",category:"social",domains:["*.reddit.com","*.redditstatic.com"]},{name:"rewardStyle.com",category:"ad",domains:["*.rewardstyle.com"]},{name:"rss2json",category:"utility",domains:["*.rss2json.com"]},{name:"sage Pay",company:"Sage Pay Europe",category:"utility",domains:["*.sagepay.com"]},{name:"section.io",category:"utility",domains:["*.squixa.net"]},{name:"smartclip",category:"ad",domains:["*.smartclip.net"]},{name:"sovrn",category:"ad",domains:["*.lijit.com"]},{name:"stackpile.io",company:"StackPile",category:"tag-manager",domains:["*.stackpile.io"]},{name:"template-help.com",category:"hosting",domains:["*.template-help.com"]},{name:"test",company:"test only",category:"other",domains:["*.testtesttest.com"]},{name:"trueAnthem",category:"social",domains:["*.tru.am"]},{name:"tweetmeme-VOID",company:"tweetmeme",category:"analytics",domains:["*.tweetmeme.com"]},{name:"uLogin",category:"other",domains:["*.ulogin.ru"]},{name:"uLogix",category:"ad",domains:["*.ulogix.ru"]},{name:"ucfunnel ucX",company:"ucfunnel",category:"ad",domains:["*.aralego.com"]},{name:"up-value",category:"ad",domains:["*.up-value.de"]},{name:"wywy",category:"ad",domains:["*.wywy.com","*.wywyuserservice.com"]},{name:"CDK Dealer Management",company:"CDK Global",homepage:"https://www.cdkglobal.com/us",category:"hosting",domains:["*.assets-cdk.com"]},{name:"fam",company:"Fing Co Ltd.",homepage:"http://admin.fam-ad.com/report/",category:"ad",domains:["*.fam-ad.com"]},{name:"zypmedia",category:"ad",domains:["*.extend.tv"]},{name:"codigo",homepage:"https://www.codigo.se",category:"analytics",domains:["*.codigo.se"]},{name:"Playground",homepage:"https://playground.xyz",category:"ad",domains:["*.playground.xyz"]},{name:"RAM",homepage:"https://www2.rampanel.com/",category:"analytics",domains:["*.rampanel.com"]},{name:"Adition",homepage:"https://www.adition.com",category:"ad",domains:["*.adition.com"]},{name:"Widespace",homepage:"https://www.widespace.com",category:"ad",domains:["*.widespace.com"]},{name:"Colpirio",homepage:"https://www.widespace.com",category:"analytics",domains:["*.colpirio.com"]},{name:"Brandmetrics",homepage:"https://www.brandmetrics.com",category:"analytics",domains:["*.brandmetrics.com"]},{name:"EasyAd",homepage:"https://web.easy-ads.com/",category:"ad",domains:["*.easy-ads.com"]},{name:"Glimr",homepage:"https://glimr.io/",category:"analytics",domains:["*.glimr.io"]},{name:"Webtreck",homepage:"https://www.webtrekk.com/en/home/",category:"analytics",domains:["*.wcfbc.net"]},{name:"DigiTrust",homepage:"http://www.digitru.st/",category:"analytics",domains:["*.digitru.st"]},{name:"Kantar Sifo",homepage:"https://www.kantarsifo.se",category:"analytics",domains:["*.research-int.se"]},{name:"Concert",homepage:"https://concert.io/",category:"ad",domains:["*.concert.io"]},{name:"Emerse",homepage:"https://www.emerse.com/",category:"ad",domains:["*.emerse.com"]},{name:"Iterate",homepage:"https://iteratehq.com/",category:"analytics",domains:["*.iteratehq.com"]},{name:"Cookiebot",homepage:"https://www.cookiebot.com/",category:"utility",domains:["*.cookiebot.com"]},{name:"Netlify",homepage:"https://www.netlify.com/",category:"utility",domains:["*.netlify.com","*.netlifyusercontent.com"]},{name:"Scroll",homepage:"https://scroll.com/",category:"utility",domains:["*.scroll.com"]},{name:"Consumable",homepage:"https://consumable.com/",category:"ad",domains:["*.serverbid.com"]},{name:"DMD Marketing",homepage:"https://www.dmdconnects.com/",category:"ad",domains:["*.medtargetsystem.com"]},{name:"Catchpoint",homepage:"https://www.catchpoint.com/",category:"analytics",domains:["*.3gl.net"]},{name:"Terminus",homepage:"https://terminus.com/",category:"ad",domains:["*.terminus.services"]},{name:"Acceptable Ads",homepage:"https://acceptableads.com/",category:"ad",domains:["*.aaxads.com","*.aaxdetect.com"]},{name:"ClearBrain",homepage:"https://www.clearbrain.com/",category:"analytics",domains:["*.clearbrain.com"]},{name:"Optanon",homepage:"https://www.cookielaw.org/",category:"consent-provider",domains:["*.onetrust.com","*.cookielaw.org"]},{name:"TrustArc",homepage:"https://www.trustarc.com/",category:"utility",domains:["*.trustarc.com"]},{name:"iSpot.tv",homepage:"https://www.ispot.tv/",category:"ad",domains:["*.ispot.tv"]},{name:"RevJet",homepage:"https://www.revjet.com/",category:"ad",domains:["*.revjet.com"]},{name:"atlasRTX",homepage:"https://www.atlasrtx.com/",category:"customer-success",domains:["*.atlasrtx.com"]},{name:"ContactAtOnce",homepage:"https://www.contactatonce.com/",category:"customer-success",domains:["*.contactatonce.com"]},{name:"Algolia",homepage:"https://www.algolia.com/",category:"utility",domains:["*.algolianet.com","*.algolia.net","*.algolia.io"]},{name:"EMX Digital",homepage:"https://emxdigital.com",category:"ad",domains:["*.emxdgt.com"]},{name:"Moxie",homepage:"https://www.gomoxie.com/",category:"utility",domains:["*.gomoxie.solutions"]},{name:"Scripps Network Digital",homepage:"https://www.scrippsnetworksdigital.com/",category:"ad",domains:["*.snidigital.com"]},{name:"TurnTo",homepage:"https://www.turntonetworks.com/",category:"utility",domains:["*.turnto.com"]},{name:"Quantum Metric",homepage:"https://www.quantummetric.com/",category:"analytics",domains:["*.quantummetric.com"]},{name:"Carbon Ads",homepage:"https://www.carbonads.net/",category:"ad",domains:["*.carbonads.net","*.carbonads.com"]},{name:"Ably",homepage:"https://www.ably.io/",category:"utility",domains:["*.ably.io"]},{name:"Sectigo",homepage:"https://sectigo.com/",category:"utility",domains:["*.sectigo.com"]},{name:"Specless",homepage:"https://gospecless.com/",category:"ad",domains:["*.specless.tech"]},{name:"Loggly",homepage:"https://www.loggly.com/",category:"analytics",domains:["*.loggly.com","d9jmv9u00p0mv.cloudfront.net"]},{name:"Intent Media",homepage:"https://intent.com/",category:"ad",domains:["*.intentmedia.net"]},{name:"Supership",homepage:"https://supership.jp/",category:"ad",domains:["*.socdm.com"]},{name:"F@N Communications",homepage:"https://www.fancs.com/",category:"ad",domains:["*.ladsp.com"]},{name:"Vidyard",homepage:"https://www.vidyard.com/",category:"utility",domains:["*.vidyard.com"]},{name:"RapidSSL",homepage:"https://www.rapidssl.com/",category:"utility",domains:["*.rapidssl.com"]},{name:"Coherent Path",homepage:"https://coherentpath.com/",category:"utility",domains:["*.coherentpath.com"]},{name:"Attentive",homepage:"https://attentivemobile.com/",category:"ad",domains:["*.attn.tv","*.attentivemobile.com"]},{name:"emetriq",homepage:"https://www.emetriq.com/",category:"ad",domains:["*.emetriq.de","*.xplosion.de"]},{name:"Bonzai",homepage:"https://www.bonzai.co/",category:"ad",domains:["*.bonzai.co"]},{name:"Freshchat",homepage:"https://www.freshworks.com/live-chat-software/",category:"customer-success",domains:["*.freshchat.com","*.freshworksapi.com"],products:[{name:"Freshdesk Messaging",urlPatterns:["wchat.freshchat.com"],facades:[{name:"Freshdesk Messaging (formerly Freshchat) Facade",repo:"https://github.com/coliff/freshdesk-messaging-facade/"}]}]},{name:"Contentful",homepage:"https://www.contentful.com/",category:"utility",domains:["*.contentful.com"]},{name:"PureCars",homepage:"https://www.purecars.com/",category:"marketing",domains:["*.purecars.com"]},{name:"Tray Commerce",homepage:"https://www.tray.com.br/",category:"marketing",domains:["*.tcdn.com.br"]},{name:"AdScore",homepage:"https://www.adscore.com/",category:"ad",domains:["*.adsco.re"]},{name:"WebsiteBuilder.com",homepage:"https://www.websitebuilder.com",category:"hosting",domains:["*.mywebsitebuilder.com"]},{name:"mParticle",homepage:"https://www.mparticle.com/",category:"utility",domains:["*.mparticle.com"]},{name:"Ada",homepage:"https://www.ada.support/",category:"customer-success",domains:["*.ada.support"]},{name:"Quora Ads",homepage:"https://www.quora.com/business/",category:"ad",domains:["*.quora.com"]},{name:"Auth0",homepage:"https://auth0.com/",category:"utility",domains:["*.auth0.com"]},{name:"Bridgewell DSP",homepage:"https://www.bridgewell.com/",category:"ad",domains:["*.scupio.com"]},{name:"Wicked Reports",homepage:"https://www.wickedreports.com/",category:"marketing",domains:["*.wickedreports.com"]},{name:"Jaywing",homepage:"https://jaywing.com/",category:"marketing",domains:["*.jaywing.com"]},{name:"Holimetrix",homepage:"https://u360.d-bi.fr/",category:"marketing",domains:["*.d-bi.fr"]},{name:"iZooto",homepage:"https://www.izooto.com",category:"marketing",domains:["*.izooto.com"]},{name:"Ordergroove",homepage:"https://www.ordergroove.com/",category:"marketing",domains:["*.ordergroove.com"]},{name:"PageSense",homepage:"https://www.zoho.com/pagesense/",category:"analytics",domains:["*.pagesense.io"]},{name:"Vizzit",homepage:"https://www.vizzit.se",category:"analytics",domains:["*.vizzit.se"]},{name:"Click Guardian",homepage:"https://www.clickguardian.co.uk/",category:"ad",domains:["*.clickguardian.app","*.clickguardian.co.uk"]},{name:"Smartsupp",company:"Smartsupp.com",homepage:"https://www.smartsupp.com",category:"customer-success",domains:["*.smartsuppchat.com","*.smartsupp.com","smartsupp-widget-161959.c.cdn77.org","*.smartsuppcdn.com"]},{name:"Smartlook",company:"Smartsupp.com",homepage:"https://www.smartlook.com/",category:"analytics",domains:["*.smartlook.com"]},{name:"Luigis Box",company:"Luigis Box",homepage:"https://www.luigisbox.com/",category:"utility",domains:["*.luigisbox.com"]},{name:"Targito",company:"VIVmail.cz",homepage:"https://www.targito.com",category:"marketing",domains:["*.targito.com"]},{name:"Foxentry",company:"AVANTRO",homepage:"https://foxentry.cz/",category:"utility",domains:["*.foxentry.cz"]},{name:"Pendo",homepage:"https://www.pendo.io",category:"analytics",domains:["*.pendo.io"]},{name:"Braze",homepage:"https://www.braze.com",category:"analytics",domains:["*.appboycdn.com"]},{name:"Usersnap",homepage:"https://usersnap.com",category:"customer-success",domains:["*.usersnap.com"]},{name:"Rewardful",homepage:"https://www.getrewardful.com",category:"analytics",domains:["*.wdfl.co"]},{name:"Launch Darkly",homepage:"https://launchdarkly.com",category:"utility",domains:["*.launchdarkly.com"]},{name:"Statuspage",company:"Atlassian",homepage:"https://www.statuspage.io",category:"utility",domains:["*.statuspage.io"]},{name:"HyperInzerce",homepage:"https://hyperinzerce.cz",category:"ad",domains:["*.hyperinzerce.cz"]},{name:"POWr",homepage:"https://www.powr.io",category:"utility",domains:["*.powr.io"]},{name:"Coral",company:"Coral",homepage:"https://coralproject.net",category:"content",domains:["*.coral.coralproject.net"]},{name:"Bolt",homepage:"https://www.bolt.com/",category:"utility",domains:["*.bolt.com"]},{name:"Judge.me",homepage:"https://judge.me/",category:"marketing",domains:["*.judge.me"]},{name:"Tilda",homepage:"https://tilda.cc/",category:"hosting",domains:["*.tildacdn.com"]},{name:"SalesLoft",homepage:"https://salesloft.com/",category:"marketing",domains:["*.salesloft.com"]},{name:"Accessibe Accessibility Overlay",company:"Accessibe",homepage:"https://accessibe.com/",category:"utility",domains:["*.accessibe.com","*.acsbapp.com","*.acsbap.com"]},{name:"Builder",homepage:"https://www.builder.io/",category:"hosting",domains:["*.builder.io"]},{name:"Pepperjam",homepage:"https://www.pepperjam.com/",category:"marketing",domains:["*.pepperjam.com","*.affiliatetechnology.com"]},{name:"Reach",homepage:"https://withreach.com/",category:"utility",domains:["*.gointerpay.net"]},{name:"Chameleon",homepage:"https://www.trychameleon.com/",category:"marketing",domains:["*.trychameleon.com"]},{name:"Matomo",company:"InnoCraft",homepage:"https://matomo.org/",category:"analytics",domains:["*.matomo.cloud"]},{name:"Segmanta",homepage:"https://segmanta.com/",category:"marketing",domains:["*.segmanta.com"]},{name:"Podsights",homepage:"https://podsights.com/",category:"marketing",domains:["*.pdst.fm","us-central1-adaptive-growth.cloudfunctions.net"]},{name:"Chatwoot",homepage:"https://www.chatwoot.com/",category:"customer-success",domains:["*.chatwoot.com"]},{name:"Crisp",homepage:"https://crisp.chat/",category:"customer-success",domains:["*.crisp.chat"]},{name:"Admiral CMP",homepage:"https://www.getadmiral.com",category:"consent-provider",domains:["admiral.mgr.consensu.org","*.admiral.mgr.consensu.org"]},{name:"Adnuntius CMP",homepage:"https://adnuntius.com",category:"consent-provider",domains:["adnuntiusconsent.mgr.consensu.org","*.adnuntiusconsent.mgr.consensu.org"]},{name:"Clickio CMP",homepage:"https://clickio.com",category:"consent-provider",domains:["clickio.mgr.consensu.org","*.clickio.mgr.consensu.org"]},{name:"AppConsent CMP",homepage:"https://appconsent.io/en",category:"consent-provider",domains:["appconsent.mgr.consensu.org","*.appconsent.mgr.consensu.org"]},{name:"DMG Media CMP",homepage:"https://www.dmgmedia.co.uk",category:"consent-provider",domains:["dmgmedia.mgr.consensu.org","*.dmgmedia.mgr.consensu.org"]},{name:"Axel Springer CMP",homepage:"https://www.axelspringer.com",category:"consent-provider",domains:["axelspringer.mgr.consensu.org","*.axelspringer.mgr.consensu.org"]},{name:"Bedrock CMP",homepage:"https://www.bedrockstreaming.com",category:"consent-provider",domains:["bedrock.mgr.consensu.org","*.bedrock.mgr.consensu.org"]},{name:"BMIND CMP",homepage:"https://www.bmind.es",category:"consent-provider",domains:["bmind.mgr.consensu.org","*.bmind.mgr.consensu.org"]},{name:"Borlabs CMP",homepage:"https://borlabs.io",category:"consent-provider",domains:["borlabs.mgr.consensu.org","*.borlabs.mgr.consensu.org"]},{name:"Civic CMP",homepage:"https://www.civicuk.com",category:"consent-provider",domains:["cookiecontrol.mgr.consensu.org","*.cookiecontrol.mgr.consensu.org"]},{name:"Commanders Act CMP",homepage:"https://www.commandersact.com",category:"consent-provider",domains:["commandersact.mgr.consensu.org","*.commandersact.mgr.consensu.org"]},{name:"Complianz CMP",homepage:"https://complianz.io/",category:"consent-provider",domains:["complianz.mgr.consensu.org","*.complianz.mgr.consensu.org"]},{name:"Consent Desk CMP",homepage:"https://www.consentdesk.com/",category:"consent-provider",domains:["consentdesk.mgr.consensu.org","*.consentdesk.mgr.consensu.org"]},{name:"Consent Manager CMP",homepage:"https://consentmanager.net",category:"consent-provider",domains:["consentmanager.mgr.consensu.org","*.consentmanager.mgr.consensu.org"]},{name:"Conversant CMP",homepage:"https://www.conversantmedia.eu/",category:"consent-provider",domains:["conversant.mgr.consensu.org","*.conversant.mgr.consensu.org"]},{name:"Cookie Information CMP",homepage:"https://www.cookieinformation.com/",category:"consent-provider",domains:["cookieinformation.mgr.consensu.org","*.cookieinformation.mgr.consensu.org"]},{name:"Cookiebot CMP",homepage:"https://www.cookiebot.com",category:"consent-provider",domains:["cookiebot.mgr.consensu.org","*.cookiebot.mgr.consensu.org"]},{name:"Truendo CMP",homepage:"https://truendo.com/",category:"consent-provider",domains:["truendo.mgr.consensu.org","*.truendo.mgr.consensu.org"]},{name:"Dentsu CMP",homepage:"https://www.dentsuaegisnetwork.de/",category:"consent-provider",domains:["dan.mgr.consensu.org","*.dan.mgr.consensu.org"]},{name:"Didomi CMP",homepage:"https://www.didomi.io/en/",category:"consent-provider",domains:["didomi.mgr.consensu.org","*.didomi.mgr.consensu.org"]},{name:"Ensighten CMP",homepage:"https://www.ensighten.com/",category:"consent-provider",domains:["ensighten.mgr.consensu.org","*.ensighten.mgr.consensu.org"]},{name:"Evidon CMP",homepage:"https://evidon.com",category:"consent-provider",domains:["evidon.mgr.consensu.org","*.evidon.mgr.consensu.org"]},{name:"Ezoic CMP",homepage:"https://www.ezoic.com/",category:"consent-provider",domains:["ezoic.mgr.consensu.org","*.ezoic.mgr.consensu.org"]},{name:"Gemius CMP",homepage:"https://www.gemius.com",category:"consent-provider",domains:["gemius.mgr.consensu.org","*.gemius.mgr.consensu.org"]},{name:"NitroPay CMP",homepage:"https://nitropay.com/",category:"consent-provider",domains:["nitropay.mgr.consensu.org","*.nitropay.mgr.consensu.org"]},{name:"Google FundingChoices",homepage:"https://fundingchoices.google.com/start/",category:"consent-provider",domains:["fundingchoices.mgr.consensu.org","*.fundingchoices.mgr.consensu.org","fundingchoicesmessages.google.com","*.fundingchoicesmessages.google.com"]},{name:"Gravito CMP",homepage:"https://www.gravito.net/",category:"consent-provider",domains:["gravito.mgr.consensu.org","*.gravito.mgr.consensu.org"]},{name:"ID Ward CMP",homepage:"https://id-ward.com/enterprise",category:"consent-provider",domains:["idward.mgr.consensu.org","*.idward.mgr.consensu.org"]},{name:"iubenda CMP",homepage:"https://www.iubenda.com",category:"consent-provider",domains:["iubenda.mgr.consensu.org","*.iubenda.mgr.consensu.org"]},{name:"Jump CMP",homepage:"https://jumpgroup.it/",category:"consent-provider",domains:["avacy.mgr.consensu.org","*.avacy.mgr.consensu.org"]},{name:"LiveRamp CMP",homepage:"https://liveramp.com/",category:"consent-provider",domains:["faktor.mgr.consensu.org","*.faktor.mgr.consensu.org"]},{name:"Madvertise CMP",homepage:"https://madvertise.com/en/",category:"consent-provider",domains:["madvertise.mgr.consensu.org","*.madvertise.mgr.consensu.org"]},{name:"Mairdumont Netletic CMP",homepage:"https://www.mairdumont-netletix.com/",category:"consent-provider",domains:["mdnxmp.mgr.consensu.org","*.mdnxmp.mgr.consensu.org"]},{name:"Marfeel CMP",homepage:"https://www.marfeel.com/",category:"consent-provider",domains:["marfeel.mgr.consensu.org","*.marfeel.mgr.consensu.org"]},{name:"Mediavine CMP",homepage:"https://www.mediavine.com/",category:"consent-provider",domains:["mediavine.mgr.consensu.org","*.mediavine.mgr.consensu.org"]},{name:"ConsentServe CMP",homepage:"https://www.consentserve.com/",category:"consent-provider",domains:["consentserve.mgr.consensu.org","*.consentserve.mgr.consensu.org"]},{name:"Next14 CMP",homepage:"https://www.next14.com/",category:"consent-provider",domains:["next14.mgr.consensu.org","*.next14.mgr.consensu.org"]},{name:"AdRoll CMP",homepage:"https://www.adroll.com/",category:"consent-provider",domains:["adroll.mgr.consensu.org","*.adroll.mgr.consensu.org"]},{name:"Ogury CMP",homepage:"https://www.ogury.com/",category:"consent-provider",domains:["ogury.mgr.consensu.org","*.ogury.mgr.consensu.org"]},{name:"OneTag CMP",homepage:"https://onetag.net",category:"consent-provider",domains:["onetag.mgr.consensu.org","*.onetag.mgr.consensu.org"]},{name:"OneTrust CMP",homepage:"https://onetrust.com",category:"consent-provider",domains:["onetrust.mgr.consensu.org","*.onetrust.mgr.consensu.org"]},{name:"optAd360 CMP",homepage:"https://www.optad360.com/",category:"consent-provider",domains:["optad360.mgr.consensu.org","*.optad360.mgr.consensu.org"]},{name:"Osano CMP",homepage:"https://www.osano.com",category:"consent-provider",domains:["osano.mgr.consensu.org","*.osano.mgr.consensu.org"]},{name:"Playwire CMP",homepage:"https://www.playwire.com",category:"consent-provider",domains:["playwire.mgr.consensu.org","*.playwire.mgr.consensu.org"]},{name:"Pulselive CMP",homepage:"https://www.pulselive.com",category:"consent-provider",domains:["pulselive.mgr.consensu.org","*.pulselive.mgr.consensu.org"]},{name:"Quantcast Choice",homepage:"https://quantcast.com",category:"consent-provider",domains:["quantcast.mgr.consensu.org","*.quantcast.mgr.consensu.org"]},{name:"RCS Pubblicita CMP",homepage:"http://www.rcspubblicita.it/site/home.html",category:"consent-provider",domains:["rcsmediagroup.mgr.consensu.org","*.rcsmediagroup.mgr.consensu.org"]},{name:"Rich Audience CMP",homepage:"https://richaudience.com",category:"consent-provider",domains:["richaudience.mgr.consensu.org","*.richaudience.mgr.consensu.org"]},{name:"Ringier Axel Springer CMP",homepage:"https://www.ringieraxelspringer.pl/en/home/",category:"consent-provider",domains:["rasp.mgr.consensu.org","*.rasp.mgr.consensu.org"]},{name:"Secure Privacy CMP",homepage:"https://secureprivacy.ai/",category:"consent-provider",domains:["secureprivacy.mgr.consensu.org","*.secureprivacy.mgr.consensu.org"]},{name:"Securiti CMP",homepage:"https://securiti.ai/",category:"consent-provider",domains:["securiti.mgr.consensu.org","*.securiti.mgr.consensu.org"]},{name:"Seznam.cz CMP",homepage:"https://www.seznam.cz/",category:"consent-provider",domains:["seznam.mgr.consensu.org","*.seznam.mgr.consensu.org"]},{name:"ShareThis CMP",homepage:"https://sharethis.com",category:"consent-provider",domains:["sharethis.mgr.consensu.org","*.sharethis.mgr.consensu.org"]},{name:"ShinyStat CMP",homepage:"https://www.shinystat.com",category:"consent-provider",domains:["shinystat.mgr.consensu.org","*.shinystat.mgr.consensu.org"]},{name:"Sibbo CMP",homepage:"https://sibboventures.com/en/",category:"consent-provider",domains:["sibboventures.mgr.consensu.org","*.sibboventures.mgr.consensu.org"]},{name:"Singlespot CMP",homepage:"https://www.singlespot.com/en",category:"consent-provider",domains:["singlespot.mgr.consensu.org","*.singlespot.mgr.consensu.org"]},{name:"Sirdata CMP",homepage:"https://www.sirdata.com",category:"consent-provider",domains:["sddan.mgr.consensu.org","*.sddan.mgr.consensu.org"]},{name:"Snigel CMP",homepage:"https://snigel.com",category:"consent-provider",domains:["snigelweb.mgr.consensu.org","*.snigelweb.mgr.consensu.org"]},{name:"Sourcepoint CMP",homepage:"https://sourcepoint.com",category:"consent-provider",domains:["sourcepoint.mgr.consensu.org","*.sourcepoint.mgr.consensu.org"]},{name:"Pubtech CMP",homepage:"https://www.pubtech.ai/",category:"consent-provider",domains:["pubtech.mgr.consensu.org","*.pubtech.mgr.consensu.org"]},{name:"AdMetrics Pro CMP",homepage:"https://admetricspro.com",category:"consent-provider",domains:["cmp.mgr.consensu.org","*.cmp.mgr.consensu.org"]},{name:"Traffective CMP",homepage:"https://traffective.com",category:"consent-provider",domains:["traffective.mgr.consensu.org","*.traffective.mgr.consensu.org"]},{name:"UniConsent CMP",homepage:"https://uniconsent.com",category:"consent-provider",domains:["uniconsent.mgr.consensu.org","*.uniconsent.mgr.consensu.org"]},{name:"TrustArc CMP",homepage:"https://trustarc.com/",category:"consent-provider",domains:["trustarc.mgr.consensu.org","*.trustarc.mgr.consensu.org"]},{name:"Usercentrics CMP",homepage:"https://usercentrics.com",category:"consent-provider",domains:["usercentrics.mgr.consensu.org","*.usercentrics.mgr.consensu.org","*.usercentrics.eu","*.services.usercentrics.eu"]},{name:"WebAds CMP",homepage:"https://www.webads.nl/",category:"consent-provider",domains:["webads.mgr.consensu.org","*.webads.mgr.consensu.org"]},{name:"Trustcommander",company:"Commandersact",homepage:"https://www.commandersact.com",category:"consent-provider",domains:["*.trustcommander.net"]},{name:"Hubvisor",homepage:"https://www.hubvisor.io",category:"ad",domains:["*.hubvisor.io"]},{name:"Castle",homepage:"https://castle.io",category:"utility",domains:["*.castle.io","d2t77mnxyo7adj.cloudfront.net"]},{name:"Wigzo",homepage:"https://www.wigzo.com/",category:"marketing",domains:["*.wigzo.com","*.wigzopush.com"]},{name:"Convertful",homepage:"https://convertful.com/",category:"marketing",domains:["*.convertful.com"]},{name:"OpenLink",company:"MediaWallah",homepage:"https://www.mediawallah.com/",category:"ad",domains:["*.mediawallahscript.com"]},{name:"TPMN",company:"TPMN",homepage:"http://tpmn.io/",category:"ad",domains:["*.tpmn.co.kr"]},{name:"HERO",company:"Klarna",homepage:"https://www.usehero.com/",category:"customer-success",domains:["*.usehero.com"]},{name:"Zync",company:"Zeta Global",homepage:"https://zetaglobal.com/",category:"marketing",domains:["*.rezync.com"]},{name:"AdFuel Video",company:"AdFuel",homepage:"https://goadfuel.com/",category:"ad",domains:["*.videoplayerhub.com"]},{name:"Prefix Box AI Search",company:"Prefix Box",homepage:"https://www.prefixbox.com/",category:"utility",domains:["*.prefixbox.com"]},{name:"SpeedSize Service Worker",company:"SpeedSize",homepage:"https://speedsize.com/",category:"utility",domains:["di6367dava8ow.cloudfront.net","d2d22nphq0yz8t.cloudfront.net"]},{name:"Vonage Video API",company:"Vonage",homepage:"https://www.vonage.com/communications-apis/video/",category:"video",domains:["*.opentok.com"]},{name:"Checkout.com",company:"Checkout.com",homepage:"https://www.checkout.com",category:"utility",domains:["*.checkout.com"]},{name:"Noibu",company:"Noibu",homepage:"https://www.noibu.com",category:"utility",domains:["*.noibu.com"]},{name:"Clarity",company:"Microsoft",homepage:"https://clarity.microsoft.com/",category:"utility",domains:["*.clarity.ms"]},{name:"goinstore",company:"Emplifi",homepage:"https://goinstore.com/",category:"customer-success",domains:["*.goinstore.com"]},{name:"SegmentStream",company:"SegmentStream",homepage:"https://segmentstream.com/",category:"marketing",domains:["*.segmentstream.com"]},{name:"Amazon Associates",company:"Amazon",homepage:"https://affiliate-program.amazon.co.uk/",category:"marketing",domains:["*.associates-amazon.com"]},{name:"DotMetrics",company:"Ipsos",homepage:"https://www.dotmetrics.net/",category:"analytics",domains:["*.dotmetrics.net"]},{name:"Truffle Bid",company:"Truffle",homepage:"https://truffle.bid/",category:"ad",domains:["*.truffle.bid"]},{name:"Hybrid",company:"Hybrid",homepage:"https://hybrid.ai/",category:"ad",domains:["*.hybrid.ai"]},{name:"AdMan Media",company:"AdMan",homepage:"https://admanmedia.com/",category:"video",domains:["*.admanmedia.com"]},{name:"ID5 Identity Cloud",company:"ID5",homepage:"https://id5.io/",category:"ad",domains:["id5-sync.com","*.id5-sync.com"]},{name:"Audience Rate",company:"Audience Rate Limited",homepage:"https://www.audiencerate.com/",category:"ad",domains:["*.audrte.com"]},{name:"Seedtag",company:"Seedtag Advertising",homepage:"https://www.seedtag.com/",category:"ad",domains:["*.seedtag.com"]},{name:"IVI",company:"IVI Technologies",homepage:"http://ivitechnologies.com/",category:"ad",domains:["*.ivitrack.com"]},{name:"Sportradar",company:"Sportradar",homepage:"https://www.sportradar.com/",category:"ad",domains:["*.sportradarserving.com"]},{name:"ZEOTAP",company:"ZEOTAP",homepage:"https://zeotap.com/",category:"ad",domains:["*.zeotap.com"]},{name:"Web Content Assessor",company:"TMT Digital",homepage:"https://mediatrust.com/",category:"ad",domains:["*.webcontentassessor.com"]},{name:"Genie",company:"Media Force",homepage:"https://hellogenie.com/",category:"ad",domains:["*.mfadsrvr.com"]},{name:"mediarithmics",company:"mediarithmics",homepage:"https://www.mediarithmics.com/",category:"ad",domains:["*.mediarithmics.com"]},{name:"Ozone Project",company:"The Ozone Project",homepage:"https://www.ozoneproject.com/",category:"ad",domains:["*.the-ozone-project.com"]},{name:"FiftyAurora",company:"Fifty",homepage:"https://fifty.io/",category:"ad",domains:["*.fiftyt.com"]},{name:"smadex",company:"entravision",homepage:"https://smadex.com/",category:"ad",domains:["*.smadex.com"]},{name:"AWX",company:"Trinity Mirror",category:"ad",domains:["*.tm-awx.com"]},{name:"XPO",company:"Knorex",category:"ad",homepage:"https://www.knorex.com/",domains:["*.brand-display.com"]},{name:"Viafoura",company:"Viafoura",category:"ad",homepage:"https://viafoura.com/",domains:["*.viafoura.co","*.viafoura.net"]},{name:"Adnami",company:"Adnami",category:"ad",homepage:"https://www.adnami.io/",domains:["*.adnami.io"]},{name:"LiveRamp Privacy Manager",company:"LiveRamp",category:"ad",homepage:"https://liveramp.com/privacy-legal-compliance/",domains:["*.privacymanager.io"]},{name:"Onfocus",company:"Onfocus SAS",category:"ad",domains:["*.4dex.io"]},{name:"viewTag",company:"Advanced Store",category:"ad",domains:["*.ad4m.at"]},{name:"MRP Prelytics",company:"Market Resource Partners",category:"ad",homepage:"https://www.mrpfd.com/",domains:["*.mrpdata.net"]},{name:"iPROM",company:"iPROM",category:"ad",homepage:"https://iprom.eu/",domains:["*.iprom.net"]},{name:"Plausible",company:"Plausible",homepage:"https://plausible.io/",category:"analytics",domains:["*.plausible.io"]},{name:"Micro Analytics",company:"Micro Analytics",homepage:"https://microanalytics.io/",category:"analytics",domains:["padmin.microanalytics.io","www.microanalytics.io","dev.microanalytics.io","status.microanalytics.io"]},{name:"Scale8",company:"Scale8",homepage:"https://scale8.com/",category:"analytics",domains:["www.scale8.com","api-dev.scale8.com","cdn.scale8.com","ui.scale8.com"]},{name:"Cabin",company:"Cabin",homepage:"https://withcabin.com/",category:"analytics",domains:["*.withcabin.com"]},{name:"Appcues",company:"Appcues",homepage:"https://www.appcues.com/",category:"analytics",domains:["*.appcues.com"]},{name:"Fathom Analytics",company:"Fathom",homepage:"https://usefathom.com/",category:"analytics",domains:["*.usefathom.com"]}]});var C_=L((Rve,x_)=>{d();var{createAPIFromDataset:lY}=T_(),dY=S_();x_.exports=lY(dY)});var F_=L((kve,A_)=>{d();A_.exports=C_()});function R_(t){return sh.default.getEntity(t)}function mY(t){return sh.default.getProduct(t)}function __(t,e){let n=R_(t);return!(!n||n===e)}function pY(t,e){return!__(t,e)}var sh,Va,pp=v(()=>{"use strict";d();sh=zt(F_(),1);s(R_,"getEntity");s(mY,"getProduct");s(__,"isThirdParty");s(pY,"isFirstParty");Va={getEntity:R_,getProduct:mY,isThirdParty:__,isFirstParty:pY}});var ch,gn,ma=v(()=>{"use strict";d();we();De();Rr();lt();pp();ch=class t{static{s(this,"EntityClassification")}static makeupChromeExtensionEntity_(e,n,r){let a=rt.getChromeExtensionOrigin(n),o=new URL(a).host,i=r||o,c=e.get(a);if(c)return c;let u={name:i,company:i,category:"Chrome Extension",homepage:"https://chromewebstore.google.com/detail/"+o,categories:[],domains:[],averageExecutionTime:0,totalExecutionTime:0,totalOccurrences:0};return e.set(a,u),u}static _makeUpAnEntity(e,n){if(!te.isValid(n))return;let r=rt.createOrReturnURL(n);if(r.protocol==="chrome-extension:")return t.makeupChromeExtensionEntity_(e,n);if(!r.protocol.startsWith("http"))return;let a=rt.getRootDomain(n);if(!a)return;if(e.has(a))return e.get(a);let o={name:a,company:a,category:"",categories:[],domains:[a],averageExecutionTime:0,totalExecutionTime:0,totalOccurrences:0,isUnrecognized:!0};return e.set(a,o),o}static _preloadChromeExtensionsToCache(e,n){for(let r of n.values()){if(r.method!=="Runtime.executionContextCreated")continue;let a=r.params.context.origin;a.startsWith("chrome-extension:")&&(e.has(a)||t.makeupChromeExtensionEntity_(e,a,r.params.context.name))}}static async compute_(e,n){let r=await $.request(e.devtoolsLog,n),a=new Map,o=new Map,i=new Map;t._preloadChromeExtensionsToCache(a,e.devtoolsLog);for(let m of r){let{url:p}=m;if(o.has(p))continue;let g=Va.getEntity(p)||t._makeUpAnEntity(a,p);if(!g)continue;let f=i.get(g)||new Set;f.add(p),i.set(g,f),o.set(p,g)}let c=e.URL.mainDocumentUrl||e.URL.finalDisplayedUrl,u=Va.getEntity(c)||t._makeUpAnEntity(a,c);function l(m){return o.get(m)===u}return s(l,"isFirstParty"),{entityByUrl:o,urlsByEntity:i,firstParty:u,isFirstParty:l}}},gn=W(ch,["URL","devtoolsLog"])});var uh,cn,$a=v(()=>{"use strict";d();ca();qo();He();uh=zt(cu(),1);mF();J();la();bR();f_();da();mp();Bt();rs();Vo();ma();lt();cn=class t{static{s(this,"Runner")}static async audit(e,n){let{resolvedConfig:r,computedCache:a}=n,o=r.settings;try{let i={msg:"Audit phase",id:"lh:runner:audit"};N.time(i,"verbose");let c=[];if(o.gatherMode&&!o.auditMode)return;if(!r.audits)throw new Error("No audits to evaluate.");let u=await t._runAudits(o,r.audits,e,c,a),l={msg:"Generating results...",id:"lh:runner:generate"};N.time(l),e.LighthouseRunWarnings&&c.push(...e.LighthouseRunWarnings);let p={"axe-core":e.Accessibility?.version},g={};r.categories&&(g=Km.scoreAllCategories(r.categories,u)),N.timeEnd(l),N.timeEnd(i);let f=e.FullPageScreenshot;(r.settings.disableFullPageScreenshot||f instanceof Error)&&(f=void 0);let y={lighthouseVersion:Xm,requestedUrl:e.URL.requestedUrl,mainDocumentUrl:e.URL.mainDocumentUrl,finalDisplayedUrl:e.URL.finalDisplayedUrl,finalUrl:e.URL.mainDocumentUrl,fetchTime:e.fetchTime,gatherMode:e.GatherContext.gatherMode,runtimeError:t.getArtifactRuntimeError(e),runWarnings:c,userAgent:e.HostUserAgent,environment:{networkUserAgent:e.NetworkUserAgent,hostUserAgent:e.HostUserAgent,benchmarkIndex:e.BenchmarkIndex,benchmarkIndexes:e.BenchmarkIndexes,credits:p},audits:u,configSettings:o,categories:g,categoryGroups:r.groups||void 0,stackPacks:vR(e.Stacks),entities:await t.getEntityClassification(e,{computedCache:a}),fullPageScreenshot:f,timing:this._getTiming(e),i18n:{rendererFormattedStrings:kF(o.locale),icuMessagePaths:{}}};y.i18n.icuMessagePaths=Tg(y,o.locale);let b=y;if(o.auditMode){let T=t._getDataSavePath(o);m_(b,T)}let D=ms.generateReport(b,o.output);return{lhr:b,artifacts:e,report:D}}catch(i){throw t.createRunnerError(i,o)}}static async getEntityClassification(e,n){let r=e.devtoolsLogs?.[h.DEFAULT_PASS];if(!r)return;let a=await gn.request({URL:e.URL,devtoolsLog:r},n),o=[];for(let[i,c]of a.urlsByEntity){let u=new Set;for(let m of c){let p=te.getOrigin(m);p&&u.add(p)}let l={name:i.name,homepage:i.homepage,origins:[...u]};i===a.firstParty&&(l.isFirstParty=!0),i.isUnrecognized&&(l.isUnrecognized=!0),i.category&&(l.category=i.category),o.push(l)}return o}static async gather(e,n){let r=n.resolvedConfig.settings;try{let a=en.getContext();en.captureBreadcrumb({message:"Run started",category:"lifecycle",data:a});let o;if(r.auditMode&&!r.gatherMode){let i=this._getDataSavePath(r);o=l_(i)}else{let i={msg:"Gather phase",id:"lh:runner:gather"};if(N.time(i,"verbose"),o=await e({resolvedConfig:n.resolvedConfig}),N.timeEnd(i),o.Timing=N.takeTimeEntries(),r.gatherMode){let c=this._getDataSavePath(r);await d_(o,c)}}return o}catch(a){throw t.createRunnerError(a,r)}}static createRunnerError(e,n){return e.friendlyMessage&&(e.friendlyMessage=$o(e.friendlyMessage,n.locale)),en.captureException(e,{level:"fatal"}),e}static _getTiming(e){let n=e.Timing||[],r=N.takeTimeEntries(),a=[...n,...r].map(m=>[`${m.startTime}-${m.name}-${m.duration}`,m]),o=Array.from(new Map(a).values()).map(m=>({startTime:parseFloat(m.startTime.toFixed(2)),name:m.name,duration:parseFloat(m.duration.toFixed(2)),entryType:m.entryType})).sort((m,p)=>m.startTime-p.startTime),i=o.find(m=>m.name==="lh:runner:gather"),c=o.find(m=>m.name==="lh:runner:audit"),u=i?.duration||0,l=c?.duration||0;return{entries:o,total:u+l}}static async _runAudits(e,n,r,a,o){let i={msg:"Analyzing and running audits...",id:"lh:runner:auditing"};if(N.time(i),r.settings){let l={locale:void 0,gatherMode:void 0,auditMode:void 0,output:void 0,channel:void 0,budgets:void 0},m=Object.assign({},r.settings,l),p=Object.assign({},e,l),g=new Set([...Object.keys(m),...Object.keys(p)]);for(let f of g)if(!(0,uh.default)(m[f],p[f]))throw new Error(`Cannot change settings between gathering and auditing. Difference found at: ${f}`);if(!(0,uh.default)(m,p))throw new Error("Cannot change settings between gathering and auditing")}let c={settings:e,computedCache:o},u={};for(let l of n){let m=l.implementation.meta.id,p=await t._runAudit(l,r,c,a);u[m]=p}return N.timeEnd(i),u}static async _runAudit(e,n,r,a){let o=e.implementation,i={msg:`Auditing: ${$o(o.meta.title,"en-US")}`,id:`lh:audit:${o.meta.id}`};N.time(i);let c;try{if(n.PageLoadError)throw n.PageLoadError;for(let f of o.meta.requiredArtifacts){let y=n[f]===void 0,b=f==="traces"&&!n.traces[h.DEFAULT_PASS],D=f==="devtoolsLogs"&&!n.devtoolsLogs[h.DEFAULT_PASS];if(y||b||D)throw N.warn("Runner",`${f} gatherer, required by audit ${o.meta.id}, did not run.`),new G(G.errors.MISSING_REQUIRED_ARTIFACT,{artifactName:f});if(n[f]instanceof Error){let T=n[f];N.warn("Runner",`${f} gatherer, required by audit ${o.meta.id}, encountered an error: ${T.message}`);let A=new G(G.errors.ERRORED_REQUIRED_ARTIFACT,{artifactName:f,errorMessage:T.message},{cause:T});throw A.expected=!0,A}}let l={options:Object.assign({},o.defaultOptions,e.options),...r},p=o.meta.requiredArtifacts.concat(o.meta.__internalOptionalArtifacts||[]).reduce((f,y)=>{let b=n[y];return f[y]=b,f},{}),g=await o.audit(p,l);a.push(...g.runWarnings||[]),c=h.generateAuditResult(o,g)}catch(u){u.code!=="MISSING_REQUIRED_ARTIFACT"&&u.code!=="ERRORED_REQUIRED_ARTIFACT"&&N.warn(o.meta.id,`Caught exception: ${u.message}`),en.captureException(u,{tags:{audit:o.meta.id},level:"error"});let l=u.friendlyMessage?u.friendlyMessage:u.message,m=u.cause?.stack??u.stack;c=h.generateErrorAuditResult(o,l,m)}return N.timeEnd(i),c}static getArtifactRuntimeError(e){let n=[e.PageLoadError,...Object.values(e)];for(let r of n)if(r instanceof G&&r.lhrRuntimeError){let o=r.friendlyMessage||r.message;return{code:r.code,message:o}}}static getAuditList(){let e=["audit.js","violation-audit.js","accessibility/axe-audit.js","multi-check-audit.js","byte-efficiency/byte-efficiency-audit.js","manual/manual-audit.js"];return["accessibility","audit.js","autocomplete.js","bf-cache.js","bootup-time.js","byte-efficiency","content-width.js","critical-request-chains.js","csp-xss.js","deprecations.js","diagnostics.js","dobetterweb","errors-in-console.js","final-screenshot.js","font-display.js","image-aspect-ratio.js","image-size-responsive.js","installable-manifest.js","is-on-https.js","largest-contentful-paint-element.js","layout-shift-elements.js","lcp-lazy-loaded.js","long-tasks.js","main-thread-tasks.js","mainthread-work-breakdown.js","manual","maskable-icon.js","metrics","metrics.js","multi-check-audit.js","network-requests.js","network-rtt.js","network-server-latency.js","no-unload-listeners.js","non-composited-animations.js","oopif-iframe-test-audit.js","performance-budget.js","predictive-perf.js","preload-fonts.js","prioritize-lcp-image.js","redirects.js","screenshot-thumbnails.js","script-elements-test-audit.js","script-treemap-data.js","seo","server-response-time.js","splash-screen.js","themed-omnibox.js","third-party-facades.js","third-party-summary.js","timing-budget.js","unsized-images.js","user-timings.js","uses-rel-preconnect.js","uses-rel-preload.js","valid-source-maps.js","viewport.js","violation-audit.js","work-during-interaction.js",...["charset.js","doctype.js","dom-size.js","geolocation-on-start.js","inspector-issues.js","js-libraries.js","no-document-write.js","notification-on-start.js","paste-preventing-inputs.js","uses-http2.js","uses-passive-event-listeners.js"].map(r=>`dobetterweb/${r}`),...["cumulative-layout-shift.js","first-contentful-paint.js","first-meaningful-paint.js","interaction-to-next-paint.js","interactive.js","largest-contentful-paint.js","max-potential-fid.js","speed-index.js","total-blocking-time.js"].map(r=>`metrics/${r}`),...["canonical.js","crawlable-anchors.js","font-size.js","hreflang.js","http-status-code.js","is-crawlable.js","link-text.js","manual","meta-description.js","plugins.js","robots-txt.js","tap-targets.js"].map(r=>`seo/${r}`),...["structured-data.js"].map(r=>`seo/manual/${r}`),...["accesskeys.js","aria-allowed-attr.js","aria-allowed-role.js","aria-command-name.js","aria-dialog-name.js","aria-hidden-body.js","aria-hidden-focus.js","aria-input-field-name.js","aria-meter-name.js","aria-progressbar-name.js","aria-required-attr.js","aria-required-children.js","aria-required-parent.js","aria-roles.js","aria-text.js","aria-toggle-field-name.js","aria-tooltip-name.js","aria-treeitem-name.js","aria-valid-attr-value.js","aria-valid-attr.js","axe-audit.js","button-name.js","bypass.js","color-contrast.js","definition-list.js","dlitem.js","document-title.js","duplicate-id-active.js","duplicate-id-aria.js","empty-heading.js","form-field-multiple-labels.js","frame-title.js","heading-order.js","html-has-lang.js","html-lang-valid.js","html-xml-lang-mismatch.js","identical-links-same-purpose.js","image-alt.js","image-redundant-alt.js","input-button-name.js","input-image-alt.js","label-content-name-mismatch.js","label.js","landmark-one-main.js","link-in-text-block.js","link-name.js","list.js","listitem.js","manual","meta-refresh.js","meta-viewport.js","object-alt.js","select-name.js","skip-link.js","tabindex.js","table-duplicate-name.js","table-fake-caption.js","target-size.js","td-has-header.js","td-headers-attr.js","th-has-data-cells.js","valid-lang.js","video-caption.js"].map(r=>`accessibility/${r}`),...["custom-controls-labels.js","custom-controls-roles.js","focus-traps.js","focusable-controls.js","interactive-element-affordance.js","logical-tab-order.js","managed-focus.js","offscreen-content-hidden.js","use-landmarks.js","visual-order-follows-dom.js"].map(r=>`accessibility/manual/${r}`),...["byte-efficiency-audit.js","duplicated-javascript.js","efficient-animated-content.js","legacy-javascript.js","modern-image-formats.js","offscreen-images.js","polyfill-graph-data.json","render-blocking-resources.js","total-byte-weight.js","unminified-css.js","unminified-javascript.js","unused-css-rules.js","unused-javascript.js","uses-long-cache-ttl.js","uses-optimized-images.js","uses-responsive-images-snapshot.js","uses-responsive-images.js","uses-text-compression.js"].map(r=>`byte-efficiency/${r}`),...["manual-audit.js","pwa-cross-browser.js","pwa-each-page-has-url.js","pwa-page-transitions.js"].map(r=>`manual/${r}`)].filter(r=>/\.js$/.test(r)&&!e.includes(r)).sort()}static getGathererList(){return["accessibility.js","anchor-elements.js","bf-cache-failures.js","cache-contents.js","console-messages.js","css-usage.js","devtools-log-compat.js","devtools-log.js","dobetterweb","full-page-screenshot.js","global-listeners.js","iframe-elements.js","image-elements.js","inputs.js","inspector-issues.js","installability-errors.js","js-usage.js","link-elements.js","main-document-content.js","meta-elements.js","network-user-agent.js","script-elements.js","scripts.js","seo","service-worker.js","source-maps.js","stacks.js","trace-compat.js","trace-elements.js","trace.js","viewport-dimensions.js","web-app-manifest.js",...["embedded-content.js","font-size.js","robots-txt.js","tap-targets.js"].map(n=>`seo/${n}`),...["doctype.js","domstats.js","optimized-images.js","response-compression.js","tags-blocking-first-paint.js"].map(n=>`dobetterweb/${n}`)].filter(n=>/\.js$/.test(n)&&n!=="gatherer.js").sort()}static _getDataSavePath(e){let{auditMode:n,gatherMode:r}=e;return typeof n=="string"?Ot.resolve(process.cwd(),n):typeof r=="string"?Ot.resolve(process.cwd(),r):Ot.join(process.cwd(),"latest-run")}}});function fY(t){return(!t||typeof t=="string")&&(t=new Error(t)),{__failedInBrowser:!0,name:t.name||"Error",message:t.message||"unknown error",stack:t.stack}}function gY(t){let e=window.__ElementMatches||window.Element.prototype.matches,n=[],r=s(a=>{for(let o of a){if(!t||e.call(o,t)){let i=o;n.push(i)}o.shadowRoot&&r(o.shadowRoot.querySelectorAll("*"))}},"_findAllElements");return r(document.querySelectorAll("*")),n}function Du(t,e=[],n=500){let a=["autofill-information","autofill-prediction","title"];t instanceof ShadowRoot&&(t=t.host);try{let o=t.cloneNode();t.ownerDocument.createElement("template").content.append(o),e.concat(a).forEach(m=>{o.removeAttribute(m)});let c=0;for(let m of o.getAttributeNames()){if(c>n){o.removeAttribute(m);continue}let p=o.getAttribute(m);if(p===null)continue;let g=!1;if(m==="src"&&"currentSrc"in t){let y=t,b=y.currentSrc,D=y.ownerDocument.location.href;new URL(p,D).toString()!==b&&(p=b,g=!0)}let f=Ya(p,75);if(f!==p&&(g=!0),p=f,g)if(m==="style"){let y=o;y.style.cssText=p}else o.setAttribute(m,p);c+=m.length+p.length}let u=/^[\s\S]*?>/,[l]=o.outerHTML.match(u)||[];return l&&c>n?l.slice(0,l.length-1)+" …>":l||""}catch{return`<${t.localName}>`}}function hY(){function t(){let n=Date.now(),r=0;for(;Date.now()-n<500;){let o="";for(let i=0;i<1e4;i++)o+="a";if(o.length===1)throw new Error("will never happen, but prevents compiler optimizations");r++}let a=(Date.now()-n)/1e3;return Math.round(r/10/a)}s(t,"benchmarkIndexGC");function e(){let n=[],r=[];for(let c=0;c<1e5;c++)n[c]=r[c]=c;let a=Date.now(),o=0;for(;o%10!==0||Date.now()-a<500;){let c=o%2===0?n:r,u=o%2===0?r:n;for(let l=0;l<c.length;l++)u[l]=c[l];o++}let i=(Date.now()-a)/1e3;return Math.round(o/10/i)}return s(e,"benchmarkIndexNoGC"),(t()+e())/2}function lh(t){let e=s(i=>i.nodeType===Node.DOCUMENT_FRAGMENT_NODE,"isShadowRoot"),n=s(i=>e(i)?i.host:i.parentNode,"getNodeParent");function r(i){if(e(i))return"a";let c=0,u;for(;u=i.previousSibling;)i=u,!(i.nodeType===Node.TEXT_NODE&&(i.nodeValue||"").trim().length===0)&&c++;return c}s(r,"getNodeIndex");let a=t,o=[];for(;a&&n(a);){let i=r(a);o.push([i,a.nodeName]),a=n(a)}return o.reverse(),o.join(",")}function dh(t){function e(r){let a=r.tagName.toLowerCase();return r.id?a+="#"+r.id:r.classList.length>0&&(a+="."+r.classList[0]),a}s(e,"getSelectorPart");let n=[];for(;n.length<4&&(n.unshift(e(t)),!(!t.parentElement||(t=t.parentElement,t.tagName==="HTML"))););return n.join(" > ")}function yY(t){function e(a,o){return a.style[o]||window.getComputedStyle(a)[o]}s(e,"getStyleAttrValue");let n=document.querySelector("html");if(!n)throw new Error("html element not found in document");if(n.scrollHeight<=n.clientHeight||!["scroll","auto","visible"].includes(e(n,"overflowY")))return!1;let r=t;for(;r;){let a=e(r,"position");if(a==="fixed"||a==="sticky")return!0;r=r.parentElement}return!1}function ps(t){let e=t.tagName.toLowerCase();if(e!=="html"&&e!=="body"){let n=t instanceof HTMLElement&&t.innerText||t.getAttribute("alt")||t.getAttribute("aria-label");if(n)return Ya(n,80);{let r=t.querySelector("[alt], [aria-label]");if(r)return ps(r)}}return null}function mh(t){let n=(window.__HTMLElementBoundingClientRect||window.HTMLElement.prototype.getBoundingClientRect).call(t);return{top:Math.round(n.top),bottom:Math.round(n.bottom),left:Math.round(n.left),right:Math.round(n.right),width:Math.round(n.width),height:Math.round(n.height)}}function vY(t){let n=Math.floor(40/t),r=window.requestIdleCallback;window.requestIdleCallback=(a,o)=>r(s(c=>{let u=Date.now();c.__timeRemaining=c.timeRemaining,c.timeRemaining=()=>{let l=c.__timeRemaining();return Math.min(l,Math.max(0,n-(Date.now()-u)))},c.timeRemaining.toString=()=>"function timeRemaining() { [native code] }",a(c)},"cbWrap"),o),window.requestIdleCallback.toString=()=>"function requestIdleCallback() { [native code] }"}function fp(t){window.__lighthouseNodesDontTouchOrAllVarianceGoesAway||(window.__lighthouseNodesDontTouchOrAllVarianceGoesAway=new Map),t=t instanceof ShadowRoot?t.host:t;let e=dh(t),n=window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.get(t);return n||(n=[window.__lighthouseExecutionContextUniqueIdentifier===void 0?"page":window.__lighthouseExecutionContextUniqueIdentifier,window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.size,t.tagName].join("-"),window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.set(t,n)),{lhId:n,devtoolsNodePath:lh(t),selector:e,boundingRect:mh(t),snippet:Du(t),nodeLabel:ps(t)||e}}function Ya(t,e){return rt.truncate(t,e)}function bY(){if(globalThis.isDevtools||globalThis.isLightrider)return!0;let t=Go("core/lib/page-functions.js");try{return t.resolve("lighthouse-logger"),!1}catch{return!0}}function DY(){if(!bY())return"";let e=(()=>{let a=s(()=>{},"a")}).toString().replace("/* @__PURE__ */","").match(/=\s*([\w_]+)\(/);if(!e)throw new Error("Could not determine esbuild function wrapper name");let n=s((a,o)=>Object.defineProperty(a,"name",{value:o,configurable:!0}),"esbuildFunctionWrapper");return`let ${e[1]}=${n}`}function wu(t){let e=t.toString().match(/function ([\w$]+)/);if(!e)throw new Error(`could not find function name for: ${t}`);return e[1]}var wY,gp,k_,I_,EY,Ee,un=v(()=>{"use strict";d();es();Rr();s(fY,"wrapRuntimeEvalErrorInBrowser");s(gY,"getElementsInDocument");s(Du,"getOuterHTMLSnippet");s(hY,"computeBenchmarkIndex");s(lh,"getNodePath");s(dh,"getNodeSelector");s(yY,"isPositionFixed");s(ps,"getNodeLabel");s(mh,"getBoundingClientRect");s(vY,"wrapRequestIdleCallback");s(fp,"getNodeDetails");s(Ya,"truncate");s(bY,"isBundledEnvironment");wY=DY();s(DY,"createEsbuildFunctionWrapper");s(wu,"getRuntimeFunctionName");gp={truncate:wu(Ya),getNodeLabel:wu(ps),getOuterHTMLSnippet:wu(Du),getNodeDetails:wu(fp)};Ya.toString=()=>`function ${gp.truncate}(string, characterLimit) {
  const Util = { ${rt.truncate} };
  return Util.truncate(string, characterLimit);
}`;k_=ps.toString();ps.toString=()=>`function ${gp.getNodeLabel}(element) {
  ${Ya};
  return (${k_})(element);
}`;I_=Du.toString();Du.toString=()=>`function ${gp.getOuterHTMLSnippet}(element, ignoreAttrs = [], snippetCharacterLimit = 500) {
  ${Ya};
  return (${I_})(element, ignoreAttrs, snippetCharacterLimit);
}`;EY=fp.toString();fp.toString=()=>`function ${gp.getNodeDetails}(element) {
  ${Ya};
  ${lh};
  ${dh};
  ${mh};
  ${I_};
  ${k_};
  return (${EY})(element);
}`;Ee={wrapRuntimeEvalErrorInBrowser:fY,getElementsInDocument:gY,getOuterHTMLSnippet:Du,computeBenchmarkIndex:hY,getNodeDetails:fp,getNodePath:lh,getNodeSelector:dh,getNodeLabel:ps,isPositionFixed:yY,wrapRequestIdleCallback:vY,getBoundingClientRect:mh,truncate:Ya,esbuildFunctionWrapperString:wY,getRuntimeFunctionName:wu}});var Ka,hp=v(()=>{"use strict";d();Yt();un();Ka=class t{static{s(this,"ExecutionContext")}constructor(e){this._session=e,this._executionContextId=void 0,this._executionContextIdentifiersCreated=0,e.on("Page.frameNavigated",()=>this.clearContextId()),e.on("Runtime.executionContextDestroyed",n=>{n.executionContextId===this._executionContextId&&this.clearContextId()})}getContextId(){return this._executionContextId}clearContextId(){this._executionContextId=void 0}async _getOrCreateIsolatedContextId(){if(typeof this._executionContextId=="number")return this._executionContextId;await this._session.sendCommand("Page.enable"),await this._session.sendCommand("Runtime.enable");let n=(await this._session.sendCommand("Page.getFrameTree")).frameTree.frame.id,r=await this._session.sendCommand("Page.createIsolatedWorld",{frameId:n,worldName:"lighthouse_isolated_context"});return this._executionContextId=r.executionContextId,this._executionContextIdentifiersCreated++,r.executionContextId}async _evaluateInContext(e,n){let r=this._session.hasNextProtocolTimeout()?this._session.getNextProtocolTimeout():6e4,a=n===void 0?void 0:this._executionContextIdentifiersCreated,o={expression:`(function wrapInNativePromise() {
        ${t._cachedNativesPreamble};
        globalThis.__lighthouseExecutionContextUniqueIdentifier =
          ${a};
        ${Ee.esbuildFunctionWrapperString}
        return new Promise(function (resolve) {
          return Promise.resolve()
            .then(_ => ${e})
            .catch(${Ee.wrapRuntimeEvalErrorInBrowser})
            .then(resolve);
        });
      }())
      //# sourceURL=_lighthouse-eval.js`,includeCommandLineAPI:!0,awaitPromise:!0,returnByValue:!0,timeout:r,contextId:n};this._session.setNextProtocolTimeout(r);let i=await this._session.sendCommand("Runtime.evaluate",o),c=i.exceptionDetails;if(c){let m=["Runtime.evaluate exception",`Expression: ${e.replace(/\s+/g," ").substring(0,100)}
---- (elided)`,c.stackTrace?null:`Parse error at: ${c.lineNumber+1}:${c.columnNumber+1}`,c.exception?.description||c.text].filter(Boolean),p=new Error(m.join(`
`));return Promise.reject(p)}if(i.result===void 0)return Promise.reject(new Error('Runtime.evaluate response did not contain a "result" object'));let u=i.result.value;return u?.__failedInBrowser?Promise.reject(Object.assign(new Error,u)):u}async evaluateAsync(e,n={}){let r=n.useIsolation?await this._getOrCreateIsolatedContextId():void 0;try{return await this._evaluateInContext(e,r)}catch(a){if(r&&a.message.includes("Cannot find context")){this.clearContextId();let o=await this._getOrCreateIsolatedContextId();return this._evaluateInContext(e,o)}throw a}}evaluate(e,n){let r=t.serializeArguments(n.args),o=`(() => {
      ${t.serializeDeps(n.deps)}
      return (${e})(${r});
    })()`;return this.evaluateAsync(o,n)}async evaluateOnNewDocument(e,n){let r=t.serializeArguments(n.args),a=t.serializeDeps(n.deps),o=`(() => {
      ${t._cachedNativesPreamble};
      ${a};
      (${e})(${r});
    })()
    //# sourceURL=_lighthouse-eval.js`;await this._session.sendCommand("Page.addScriptToEvaluateOnNewDocument",{source:o})}async cacheNativesOnNewDocument(){await this.evaluateOnNewDocument(()=>{window.__nativePromise=window.Promise,window.__nativeURL=window.URL,window.__nativePerformance=window.performance,window.__nativeFetch=window.fetch,window.__ElementMatches=window.Element.prototype.matches,window.__HTMLElementBoundingClientRect=window.HTMLElement.prototype.getBoundingClientRect},{args:[]})}static _cachedNativesPreamble=["const Promise = globalThis.__nativePromise || globalThis.Promise","const URL = globalThis.__nativeURL || globalThis.URL","const performance = globalThis.__nativePerformance || globalThis.performance","const fetch = globalThis.__nativeFetch || globalThis.fetch"].join(`;
`);static serializeArguments(e){return e.map(n=>n===void 0?"undefined":JSON.stringify(n)).join(",")}static serializeDeps(e){return e=[Ee.esbuildFunctionWrapperString,...e||[]],e.map(n=>{if(typeof n=="function"){let r=n.toString(),a=Ee.getRuntimeFunctionName(n);return a!==n.name?`${r}; const ${n.name} = ${a};`:r}else return n}).join(`
`)}}});var TY,SY,yp,M_=v(()=>{"use strict";d();ia();Bt();TY=3e4,SY=Zn,yp=class extends SY{static{s(this,"ProtocolSession")}constructor(e){super(),this._cdpSession=e,this._targetInfo=void 0,this._nextProtocolTimeout=void 0,this._handleProtocolEvent=this._handleProtocolEvent.bind(this),this._cdpSession.on("*",this._handleProtocolEvent)}id(){return this._cdpSession.id()}_handleProtocolEvent(e,...n){this.emit(e,...n)}setTargetInfo(e){this._targetInfo=e}hasNextProtocolTimeout(){return this._nextProtocolTimeout!==void 0}getNextProtocolTimeout(){return this._nextProtocolTimeout||TY}setNextProtocolTimeout(e){this._nextProtocolTimeout=e}sendCommand(e,...n){let r=this.getNextProtocolTimeout();this._nextProtocolTimeout=void 0;let a,o=new Promise((u,l)=>{r!==1/0&&(a=setTimeout(l,r,new G(G.errors.PROTOCOL_TIMEOUT,{protocolMethod:e})))}),i=this._cdpSession.send(e,...n);return Promise.race([i,o]).finally(()=>{a&&clearTimeout(a)})}async dispose(){this._cdpSession.off("*",this._handleProtocolEvent),await this._cdpSession.detach()}}});var xY,vp,N_=v(()=>{"use strict";d();ia();He();M_();xY=Zn,vp=class extends xY{static{s(this,"TargetManager")}constructor(e){super(),this._enabled=!1,this._rootCdpSession=e,this._mainFrameId="",this._targetIdToTargets=new Map,this._executionContextIdToDescriptions=new Map,this._onSessionAttached=this._onSessionAttached.bind(this),this._onFrameNavigated=this._onFrameNavigated.bind(this),this._onExecutionContextCreated=this._onExecutionContextCreated.bind(this),this._onExecutionContextDestroyed=this._onExecutionContextDestroyed.bind(this),this._onExecutionContextsCleared=this._onExecutionContextsCleared.bind(this)}async _onFrameNavigated(e){if(!e.frame.parentId&&this._enabled)try{await this._rootCdpSession.send("Target.setAutoAttach",{autoAttach:!0,flatten:!0,waitForDebuggerOnStart:!0})}catch(n){if(this._enabled)throw n}}_findSession(e){for(let{session:n,cdpSession:r}of this._targetIdToTargets.values())if(r.id()===e)return n;throw new Error(`session ${e} not found`)}rootSession(){let e=this._rootCdpSession.id();return this._findSession(e)}mainFrameExecutionContexts(){return[...this._executionContextIdToDescriptions.values()].filter(e=>e.auxData.frameId===this._mainFrameId)}async _onSessionAttached(e){let n=new yp(e);try{let r=await n.sendCommand("Target.getTargetInfo").catch(()=>null),a=r?.targetInfo?.type;if(!r||!(a==="page"||a==="iframe"))return;let i=r.targetInfo.targetId;if(this._targetIdToTargets.has(i))return;n.setTargetInfo(r.targetInfo);let c=r.targetInfo.url||r.targetInfo.targetId;N.verbose("target-manager",`target ${c} attached`);let l=this._getProtocolEventListener(a,n.id());e.on("*",l),e.on("sessionattached",this._onSessionAttached);let m={target:r.targetInfo,cdpSession:e,session:n,protocolListener:l};this._targetIdToTargets.set(i,m),await n.sendCommand("Network.enable"),await n.sendCommand("Target.setAutoAttach",{autoAttach:!0,flatten:!0,waitForDebuggerOnStart:!0})}catch(r){if(/Target closed/.test(r.message))return;throw r}finally{await n.sendCommand("Runtime.runIfWaitingForDebugger").catch(()=>{})}}_onExecutionContextCreated(e){e.context.name!=="__puppeteer_utility_world__"&&e.context.name!=="lighthouse_isolated_context"&&this._executionContextIdToDescriptions.set(e.context.uniqueId,e.context)}_onExecutionContextDestroyed(e){this._executionContextIdToDescriptions.delete(e.executionContextUniqueId)}_onExecutionContextsCleared(){this._executionContextIdToDescriptions.clear()}_getProtocolEventListener(e,n){return s((a,o)=>{let i={method:a,params:o,targetType:e,sessionId:n};this.emit("protocolevent",i)},"onProtocolEvent")}async enable(){this._enabled||(this._enabled=!0,this._targetIdToTargets=new Map,this._executionContextIdToDescriptions=new Map,this._rootCdpSession.on("Page.frameNavigated",this._onFrameNavigated),this._rootCdpSession.on("Runtime.executionContextCreated",this._onExecutionContextCreated),this._rootCdpSession.on("Runtime.executionContextDestroyed",this._onExecutionContextDestroyed),this._rootCdpSession.on("Runtime.executionContextsCleared",this._onExecutionContextsCleared),await this._rootCdpSession.send("Page.enable"),await this._rootCdpSession.send("Runtime.enable"),this._mainFrameId=(await this._rootCdpSession.send("Page.getFrameTree")).frameTree.frame.id,await this._onSessionAttached(this._rootCdpSession))}async disable(){this._rootCdpSession.off("Page.frameNavigated",this._onFrameNavigated),this._rootCdpSession.off("Runtime.executionContextCreated",this._onExecutionContextCreated),this._rootCdpSession.off("Runtime.executionContextDestroyed",this._onExecutionContextDestroyed),this._rootCdpSession.off("Runtime.executionContextsCleared",this._onExecutionContextsCleared);for(let{cdpSession:e,protocolListener:n}of this._targetIdToTargets.values())e.off("*",n),e.off("sessionattached",this._onSessionAttached);await this._rootCdpSession.send("Page.disable"),await this._rootCdpSession.send("Runtime.disable"),this._enabled=!1,this._targetIdToTargets=new Map,this._executionContextIdToDescriptions=new Map,this._mainFrameId=""}}});var bp,L_=v(()=>{"use strict";d();Yt();bp=class{static{s(this,"Fetcher")}constructor(e){this.session=e}async fetchResource(e,n={timeout:2e3}){return globalThis.isLightrider?this._wrapWithTimeout(this._fetchWithFetchApi(e),n.timeout):this._fetchResourceOverProtocol(e,n)}async _fetchWithFetchApi(e){let n=await fetch(e),r=null;try{r=await n.text()}catch{}return{content:r,status:n.status}}async _readIOStream(e,n={timeout:2e3}){let r=Date.now(),a,o="";for(;!a||!a.eof;){if(Date.now()-r>n.timeout)throw new Error("Waiting for the end of the IO stream exceeded the allotted time.");a=await this.session.sendCommand("IO.read",{handle:e});let c=a.base64Encoded?Buffer.from(a.data,"base64").toString("utf-8"):a.data;o=o.concat(c)}return o}async _loadNetworkResource(e){let n=await this.session.sendCommand("Page.getFrameTree"),r=await this.session.sendCommand("Network.loadNetworkResource",{frameId:n.frameTree.frame.id,url:e,options:{disableCache:!0,includeCredentials:!0}});return{stream:r.resource.success&&r.resource.stream||null,status:r.resource.httpStatusCode||null}}async _fetchResourceOverProtocol(e,n){let r=Date.now(),a=await this._wrapWithTimeout(this._loadNetworkResource(e),n.timeout),o=a.status&&a.status>=200&&a.status<=299;if(!a.stream||!o)return{status:a.status,content:null};let i=n.timeout-(Date.now()-r),c=await this._readIOStream(a.stream,{timeout:i});return{status:a.status,content:c}}async _wrapWithTimeout(e,n){let r,a=new Promise((i,c)=>{r=setTimeout(c,n,new Error("Timed out fetching resource"))});return await Promise.race([e,a]).finally(()=>clearTimeout(r))}}});var CY,fs,ph=v(()=>{"use strict";d();ia();He();Yt();eh();St();lt();CY=Xe,fs=class extends CY{static{s(this,"NetworkMonitor")}_networkRecorder=void 0;_frameNavigations=[];constructor(e){super(),this._targetManager=e,this._session=e.rootSession(),this._onFrameNavigated=n=>this._frameNavigations.push(n.frame),this._onProtocolMessage=n=>{this._networkRecorder&&this._networkRecorder.dispatch(n)}}async enable(){if(this._networkRecorder)return;this._frameNavigations=[],this._networkRecorder=new us;let e=s(n=>r=>{this.emit(n,r),this._emitNetworkStatus()},"reEmit");this._networkRecorder.on("requeststarted",e("requeststarted")),this._networkRecorder.on("requestfinished",e("requestfinished")),this._session.on("Page.frameNavigated",this._onFrameNavigated),this._targetManager.on("protocolevent",this._onProtocolMessage)}async disable(){this._networkRecorder&&(this._session.off("Page.frameNavigated",this._onFrameNavigated),this._targetManager.off("protocolevent",this._onProtocolMessage),this._frameNavigations=[],this._networkRecorder=void 0)}async getNavigationUrls(){let e=this._frameNavigations;if(!e.length)return{};let n=e.filter(a=>!a.parentId);n.length||N.warn("NetworkMonitor","No detected navigations");let r=n[0]?.url;if(this._networkRecorder){let o=this._networkRecorder.getRawRecords().find(i=>i.url===r);for(;o?.redirectSource;)o=o.redirectSource,r=o.url}return{requestedUrl:r,mainDocumentUrl:n[n.length-1]?.url}}getInflightRequests(){return this._networkRecorder?this._networkRecorder.getRawRecords().filter(e=>!e.finished):[]}isIdle(){return this._isActiveIdlePeriod(0)}isCriticalIdle(){if(!this._networkRecorder)return!1;let r=this._networkRecorder.getRawRecords().find(a=>a.resourceType==="Document")?.frameId;return this._isActiveIdlePeriod(0,a=>a.frameId===r&&(a.priority==="VeryHigh"||a.priority==="High"))}is2Idle(){return this._isActiveIdlePeriod(2)}_isActiveIdlePeriod(e,n){if(!this._networkRecorder)return!1;let r=this._networkRecorder.getRawRecords(),a=0;for(let o=0;o<r.length;o++){let i=r[o];i.finished||n&&!n(i)||Y.isNonNetworkRequest(i)||a++}return a<=e}_emitNetworkStatus(){let e=this.isIdle(),n=this.is2Idle(),r=this.isCriticalIdle();this.emit(e?"networkidle":"networkbusy"),this.emit(n?"network-2-idle":"network-2-busy"),this.emit(r?"network-critical-idle":"network-critical-busy"),n&&e?N.verbose("NetworkRecorder","network fully-quiet"):n&&!e?N.verbose("NetworkRecorder","network semi-quiet"):N.verbose("NetworkRecorder","network busy")}static findNetworkQuietPeriods(e,n,r=1/0){let a=[];e.forEach(u=>{te.isNonNetworkProtocol(u.protocol)||u.protocol==="ws"||u.protocol==="wss"||(a.push({time:u.networkRequestTime*1e3,isStart:!0}),u.finished&&a.push({time:u.networkEndTime*1e3,isStart:!1}))}),a=a.filter(u=>u.time<=r).sort((u,l)=>u.time-l.time);let o=0,i=0,c=[];return a.forEach(u=>{u.isStart?(o===n&&c.push({start:i,end:u.time}),o++):(o--,o===n&&(i=u.time))}),o<=n&&c.push({start:i,end:r}),c.filter(u=>u.start!==u.end)}}});var Yn,fh,Ja,wp=v(()=>{"use strict";d();He();hp();N_();L_();ph();Yn=s(()=>{throw new Error("Session not connected")},"throwNotConnectedFn"),fh={setTargetInfo:Yn,hasNextProtocolTimeout:Yn,getNextProtocolTimeout:Yn,setNextProtocolTimeout:Yn,on:Yn,once:Yn,off:Yn,sendCommand:Yn,dispose:Yn},Ja=class{static{s(this,"Driver")}constructor(e){this._page=e,this._targetManager=void 0,this._networkMonitor=void 0,this._executionContext=void 0,this._fetcher=void 0,this.defaultSession=fh}get executionContext(){return this._executionContext?this._executionContext:Yn()}get fetcher(){return this._fetcher?this._fetcher:Yn()}get targetManager(){return this._targetManager?this._targetManager:Yn()}get networkMonitor(){return this._networkMonitor?this._networkMonitor:Yn()}async url(){return this._page.url()}async connect(){if(this.defaultSession!==fh)return;let e={msg:"Connecting to browser",id:"lh:driver:connect"};N.time(e);let n=await this._page.target().createCDPSession();this._targetManager=new vp(n),await this._targetManager.enable(),this._networkMonitor=new fs(this._targetManager),await this._networkMonitor.enable(),this.defaultSession=this._targetManager.rootSession(),this._executionContext=new Ka(this.defaultSession),this._fetcher=new bp(this.defaultSession),N.timeEnd(e)}async disconnect(){this.defaultSession!==fh&&(await this._targetManager?.disable(),await this._networkMonitor?.disable(),await this.defaultSession.dispose())}}});function P_(t,e){return new Error(`Dependency "${t.id}" failed with exception: ${e.message}`)}function gs(){return{startInstrumentation:{},startSensitiveInstrumentation:{},stopSensitiveInstrumentation:{},stopInstrumentation:{},getArtifact:{}}}async function Fn(t){let{driver:e,page:n,artifactDefinitions:r,artifactState:a,baseArtifacts:o,phase:i,gatherMode:c,computedCache:u,settings:l}=t,m=AY[i],p=m&&a[m]||{},g=i==="getArtifact";for(let f of r){N.verbose(`artifacts:${i}`,f.id);let y=f.gatherer.instance,D=(p[f.id]||Promise.resolve()).then(async()=>{let T=g?await FY(f,a.getArtifact):{},A={msg:`Getting artifact: ${f.id}`,id:`lh:gather:getArtifact:${f.id}`};g&&N.time(A);let R=await y[i]({gatherMode:c,driver:e,page:n,baseArtifacts:o,dependencies:T,computedCache:u,settings:l});return g&&N.timeEnd(A),R});await D.catch(T=>{en.captureException(T,{tags:{gatherer:f.id,phase:i},level:"error"}),N.error(f.id,T.message)}),a[i][f.id]=D}}async function FY(t,e){if(!t.dependencies)return{};let n=Object.entries(t.dependencies).map(async([r,a])=>{let o=e[a.id];if(o===void 0)throw new Error(`"${a.id}" did not run`);if(o instanceof Error)throw P_(a,o);let i=Promise.resolve().then(()=>o).catch(c=>Promise.reject(P_(a,c)));return[r,await i]});return Object.fromEntries(await Promise.all(n))}async function hs(t){let e={};for(let[n,r]of Object.entries(t.getArtifact)){let a=await r.catch(o=>o);a!==void 0&&(e[n]=a)}return e}var AY,Dp=v(()=>{"use strict";d();He();da();s(P_,"createDependencyError");s(gs,"getEmptyArtifactState");AY={startInstrumentation:void 0,startSensitiveInstrumentation:"startInstrumentation",stopSensitiveInstrumentation:"startSensitiveInstrumentation",stopInstrumentation:"stopSensitiveInstrumentation",getArtifact:"stopInstrumentation"};s(Fn,"collectPhaseArtifacts");s(FY,"collectArtifactDependencies");s(hs,"awaitArtifacts")});var O_,RY,_Y,kY,IY,ys,U_=v(()=>{"use strict";d();O_=["server-response-time","render-blocking-resources","redirects","critical-request-chains","uses-text-compression","uses-rel-preconnect","uses-rel-preload","font-display","unminified-javascript","unminified-css","unused-css-rules"],RY=[...O_,"largest-contentful-paint-element","prioritize-lcp-image","unused-javascript","efficient-animated-content","total-byte-weight","lcp-lazy-loaded"],_Y=["long-tasks","third-party-summary","third-party-facades","bootup-time","mainthread-work-breakdown","dom-size","duplicated-javascript","legacy-javascript","viewport"],kY=["layout-shift-elements","non-composited-animations","unsized-images"],IY=["work-during-interaction"],ys={fcpRelevantAudits:O_,lcpRelevantAudits:RY,tbtRelevantAudits:_Y,clsRelevantAudits:kY,inpRelevantAudits:IY}});var Se,Re,B_,Ep,gh=v(()=>{"use strict";d();Yt();Vn();k();U_();Se={performanceCategoryTitle:"Performance",budgetsGroupTitle:"Budgets",budgetsGroupDescription:"Performance budgets set standards for the performance of your site.",metricGroupTitle:"Metrics",loadOpportunitiesGroupTitle:"Opportunities",loadOpportunitiesGroupDescription:"These suggestions can help your page load faster. They don't [directly affect](https://developer.chrome.com/docs/lighthouse/performance/performance-scoring/) the Performance score.",firstPaintImprovementsGroupTitle:"First Paint Improvements",firstPaintImprovementsGroupDescription:"The most critical aspect of performance is how quickly pixels are rendered onscreen. Key metrics: First Contentful Paint, First Meaningful Paint",overallImprovementsGroupTitle:"Overall Improvements",overallImprovementsGroupDescription:"Enhance the overall loading experience, so the page is responsive and ready to use as soon as possible. Key metrics: Time to Interactive, Speed Index",diagnosticsGroupTitle:"Diagnostics",diagnosticsGroupDescription:"More information about the performance of your application. These numbers don't [directly affect](https://developer.chrome.com/docs/lighthouse/performance/performance-scoring/) the Performance score.",a11yCategoryTitle:"Accessibility",a11yCategoryDescription:"These checks highlight opportunities to [improve the accessibility of your web app](https://developer.chrome.com/docs/lighthouse/accessibility/). Automatic detection can only detect a subset of issues and does not guarantee the accessibility of your web app, so [manual testing](https://web.dev/how-to-review/) is also encouraged.",a11yCategoryManualDescription:"These items address areas which an automated testing tool cannot cover. Learn more in our guide on [conducting an accessibility review](https://web.dev/how-to-review/).",a11yBestPracticesGroupTitle:"Best practices",a11yBestPracticesGroupDescription:"These items highlight common accessibility best practices.",a11yColorContrastGroupTitle:"Contrast",a11yColorContrastGroupDescription:"These are opportunities to improve the legibility of your content.",a11yNamesLabelsGroupTitle:"Names and labels",a11yNamesLabelsGroupDescription:"These are opportunities to improve the semantics of the controls in your application. This may enhance the experience for users of assistive technology, like a screen reader.",a11yNavigationGroupTitle:"Navigation",a11yNavigationGroupDescription:"These are opportunities to improve keyboard navigation in your application.",a11yAriaGroupTitle:"ARIA",a11yAriaGroupDescription:"These are opportunities to improve the usage of ARIA in your application which may enhance the experience for users of assistive technology, like a screen reader.",a11yLanguageGroupTitle:"Internationalization and localization",a11yLanguageGroupDescription:"These are opportunities to improve the interpretation of your content by users in different locales.",a11yAudioVideoGroupTitle:"Audio and video",a11yAudioVideoGroupDescription:"These are opportunities to provide alternative content for audio and video. This may improve the experience for users with hearing or vision impairments.",a11yTablesListsVideoGroupTitle:"Tables and lists",a11yTablesListsVideoGroupDescription:"These are opportunities to improve the experience of reading tabular or list data using assistive technology, like a screen reader.",seoCategoryTitle:"SEO",seoCategoryDescription:"These checks ensure that your page is following basic search engine optimization advice. There are many additional factors Lighthouse does not score here that may affect your search ranking, including performance on [Core Web Vitals](https://web.dev/learn-core-web-vitals/). [Learn more about Google Search Essentials](https://support.google.com/webmasters/answer/35769).",seoCategoryManualDescription:"Run these additional validators on your site to check additional SEO best practices.",seoMobileGroupTitle:"Mobile Friendly",seoMobileGroupDescription:"Make sure your pages are mobile friendly so users don’t have to pinch or zoom in order to read the content pages. [Learn how to make pages mobile-friendly](https://developers.google.com/search/mobile-sites/).",seoContentGroupTitle:"Content Best Practices",seoContentGroupDescription:"Format your HTML in a way that enables crawlers to better understand your app’s content.",seoCrawlingGroupTitle:"Crawling and Indexing",seoCrawlingGroupDescription:"To appear in search results, crawlers need access to your app.",pwaCategoryTitle:"PWA",pwaCategoryDescription:"These checks validate the aspects of a Progressive Web App. [Learn what makes a good Progressive Web App](https://web.dev/pwa-checklist/).",pwaCategoryManualDescription:"These checks are required by the baseline [PWA Checklist](https://web.dev/pwa-checklist/) but are not automatically checked by Lighthouse. They do not affect your score but it's important that you verify them manually.",bestPracticesCategoryTitle:"Best Practices",bestPracticesTrustSafetyGroupTitle:"Trust and Safety",bestPracticesUXGroupTitle:"User Experience",bestPracticesBrowserCompatGroupTitle:"Browser Compatibility",bestPracticesGeneralGroupTitle:"General",pwaInstallableGroupTitle:"Installable",pwaOptimizedGroupTitle:"PWA Optimized"},Re=w("core/config/default-config.js",Se),B_={settings:Qn,artifacts:[{id:"DevtoolsLog",gatherer:"devtools-log"},{id:"Trace",gatherer:"trace"},{id:"Accessibility",gatherer:"accessibility"},{id:"AnchorElements",gatherer:"anchor-elements"},{id:"CacheContents",gatherer:"cache-contents"},{id:"ConsoleMessages",gatherer:"console-messages"},{id:"CSSUsage",gatherer:"css-usage"},{id:"Doctype",gatherer:"dobetterweb/doctype"},{id:"DOMStats",gatherer:"dobetterweb/domstats"},{id:"EmbeddedContent",gatherer:"seo/embedded-content"},{id:"FontSize",gatherer:"seo/font-size"},{id:"Inputs",gatherer:"inputs"},{id:"GlobalListeners",gatherer:"global-listeners"},{id:"IFrameElements",gatherer:"iframe-elements"},{id:"ImageElements",gatherer:"image-elements"},{id:"InstallabilityErrors",gatherer:"installability-errors"},{id:"InspectorIssues",gatherer:"inspector-issues"},{id:"JsUsage",gatherer:"js-usage"},{id:"LinkElements",gatherer:"link-elements"},{id:"MainDocumentContent",gatherer:"main-document-content"},{id:"MetaElements",gatherer:"meta-elements"},{id:"NetworkUserAgent",gatherer:"network-user-agent"},{id:"OptimizedImages",gatherer:"dobetterweb/optimized-images"},{id:"ResponseCompression",gatherer:"dobetterweb/response-compression"},{id:"RobotsTxt",gatherer:"seo/robots-txt"},{id:"ServiceWorker",gatherer:"service-worker"},{id:"ScriptElements",gatherer:"script-elements"},{id:"Scripts",gatherer:"scripts"},{id:"SourceMaps",gatherer:"source-maps"},{id:"Stacks",gatherer:"stacks"},{id:"TagsBlockingFirstPaint",gatherer:"dobetterweb/tags-blocking-first-paint"},{id:"TapTargets",gatherer:"seo/tap-targets"},{id:"TraceElements",gatherer:"trace-elements"},{id:"ViewportDimensions",gatherer:"viewport-dimensions"},{id:"WebAppManifest",gatherer:"web-app-manifest"},{id:"devtoolsLogs",gatherer:"devtools-log-compat"},{id:"traces",gatherer:"trace-compat"},{id:"FullPageScreenshot",gatherer:"full-page-screenshot"},{id:"BFCacheFailures",gatherer:"bf-cache-failures"}],audits:["is-on-https","viewport","metrics/first-contentful-paint","metrics/largest-contentful-paint","metrics/first-meaningful-paint","metrics/speed-index","screenshot-thumbnails","final-screenshot","metrics/total-blocking-time","metrics/max-potential-fid","metrics/cumulative-layout-shift","metrics/interaction-to-next-paint","errors-in-console","server-response-time","metrics/interactive","user-timings","critical-request-chains","redirects","installable-manifest","splash-screen","themed-omnibox","maskable-icon","content-width","image-aspect-ratio","image-size-responsive","preload-fonts","deprecations","mainthread-work-breakdown","bootup-time","uses-rel-preload","uses-rel-preconnect","font-display","diagnostics","network-requests","network-rtt","network-server-latency","main-thread-tasks","metrics","performance-budget","timing-budget","third-party-summary","third-party-facades","largest-contentful-paint-element","lcp-lazy-loaded","layout-shift-elements","long-tasks","no-unload-listeners","non-composited-animations","unsized-images","valid-source-maps","prioritize-lcp-image","csp-xss","script-treemap-data","manual/pwa-cross-browser","manual/pwa-page-transitions","manual/pwa-each-page-has-url","accessibility/accesskeys","accessibility/aria-allowed-attr","accessibility/aria-allowed-role","accessibility/aria-command-name","accessibility/aria-dialog-name","accessibility/aria-hidden-body","accessibility/aria-hidden-focus","accessibility/aria-input-field-name","accessibility/aria-meter-name","accessibility/aria-progressbar-name","accessibility/aria-required-attr","accessibility/aria-required-children","accessibility/aria-required-parent","accessibility/aria-roles","accessibility/aria-text","accessibility/aria-toggle-field-name","accessibility/aria-tooltip-name","accessibility/aria-treeitem-name","accessibility/aria-valid-attr-value","accessibility/aria-valid-attr","accessibility/button-name","accessibility/bypass","accessibility/color-contrast","accessibility/definition-list","accessibility/dlitem","accessibility/document-title","accessibility/duplicate-id-active","accessibility/duplicate-id-aria","accessibility/empty-heading","accessibility/form-field-multiple-labels","accessibility/frame-title","accessibility/heading-order","accessibility/html-has-lang","accessibility/html-lang-valid","accessibility/html-xml-lang-mismatch","accessibility/identical-links-same-purpose","accessibility/image-alt","accessibility/image-redundant-alt","accessibility/input-button-name","accessibility/input-image-alt","accessibility/label-content-name-mismatch","accessibility/label","accessibility/landmark-one-main","accessibility/link-name","accessibility/link-in-text-block","accessibility/list","accessibility/listitem","accessibility/meta-refresh","accessibility/meta-viewport","accessibility/object-alt","accessibility/select-name","accessibility/skip-link","accessibility/tabindex","accessibility/table-duplicate-name","accessibility/table-fake-caption","accessibility/target-size","accessibility/td-has-header","accessibility/td-headers-attr","accessibility/th-has-data-cells","accessibility/valid-lang","accessibility/video-caption","accessibility/manual/custom-controls-labels","accessibility/manual/custom-controls-roles","accessibility/manual/focus-traps","accessibility/manual/focusable-controls","accessibility/manual/interactive-element-affordance","accessibility/manual/logical-tab-order","accessibility/manual/managed-focus","accessibility/manual/offscreen-content-hidden","accessibility/manual/use-landmarks","accessibility/manual/visual-order-follows-dom","byte-efficiency/uses-long-cache-ttl","byte-efficiency/total-byte-weight","byte-efficiency/offscreen-images","byte-efficiency/render-blocking-resources","byte-efficiency/unminified-css","byte-efficiency/unminified-javascript","byte-efficiency/unused-css-rules","byte-efficiency/unused-javascript","byte-efficiency/modern-image-formats","byte-efficiency/uses-optimized-images","byte-efficiency/uses-text-compression","byte-efficiency/uses-responsive-images","byte-efficiency/efficient-animated-content","byte-efficiency/duplicated-javascript","byte-efficiency/legacy-javascript","byte-efficiency/uses-responsive-images-snapshot","dobetterweb/doctype","dobetterweb/charset","dobetterweb/dom-size","dobetterweb/geolocation-on-start","dobetterweb/inspector-issues","dobetterweb/no-document-write","dobetterweb/js-libraries","dobetterweb/notification-on-start","dobetterweb/paste-preventing-inputs","dobetterweb/uses-http2","dobetterweb/uses-passive-event-listeners","seo/meta-description","seo/http-status-code","seo/font-size","seo/link-text","seo/crawlable-anchors","seo/is-crawlable","seo/robots-txt","seo/tap-targets","seo/hreflang","seo/plugins","seo/canonical","seo/manual/structured-data","work-during-interaction","bf-cache"],groups:{metrics:{title:Re(Se.metricGroupTitle)},"load-opportunities":{title:Re(Se.loadOpportunitiesGroupTitle),description:Re(Se.loadOpportunitiesGroupDescription)},budgets:{title:Re(Se.budgetsGroupTitle),description:Re(Se.budgetsGroupDescription)},diagnostics:{title:Re(Se.diagnosticsGroupTitle),description:Re(Se.diagnosticsGroupDescription)},"pwa-installable":{title:Re(Se.pwaInstallableGroupTitle)},"pwa-optimized":{title:Re(Se.pwaOptimizedGroupTitle)},"a11y-best-practices":{title:Re(Se.a11yBestPracticesGroupTitle),description:Re(Se.a11yBestPracticesGroupDescription)},"a11y-color-contrast":{title:Re(Se.a11yColorContrastGroupTitle),description:Re(Se.a11yColorContrastGroupDescription)},"a11y-names-labels":{title:Re(Se.a11yNamesLabelsGroupTitle),description:Re(Se.a11yNamesLabelsGroupDescription)},"a11y-navigation":{title:Re(Se.a11yNavigationGroupTitle),description:Re(Se.a11yNavigationGroupDescription)},"a11y-aria":{title:Re(Se.a11yAriaGroupTitle),description:Re(Se.a11yAriaGroupDescription)},"a11y-language":{title:Re(Se.a11yLanguageGroupTitle),description:Re(Se.a11yLanguageGroupDescription)},"a11y-audio-video":{title:Re(Se.a11yAudioVideoGroupTitle),description:Re(Se.a11yAudioVideoGroupDescription)},"a11y-tables-lists":{title:Re(Se.a11yTablesListsVideoGroupTitle),description:Re(Se.a11yTablesListsVideoGroupDescription)},"seo-mobile":{title:Re(Se.seoMobileGroupTitle),description:Re(Se.seoMobileGroupDescription)},"seo-content":{title:Re(Se.seoContentGroupTitle),description:Re(Se.seoContentGroupDescription)},"seo-crawl":{title:Re(Se.seoCrawlingGroupTitle),description:Re(Se.seoCrawlingGroupDescription)},"best-practices-trust-safety":{title:Re(Se.bestPracticesTrustSafetyGroupTitle)},"best-practices-ux":{title:Re(Se.bestPracticesUXGroupTitle)},"best-practices-browser-compat":{title:Re(Se.bestPracticesBrowserCompatGroupTitle)},"best-practices-general":{title:Re(Se.bestPracticesGeneralGroupTitle)},hidden:{title:""}},categories:{performance:{title:Re(Se.performanceCategoryTitle),supportedModes:["navigation","timespan","snapshot"],auditRefs:[{id:"first-contentful-paint",weight:10,group:"metrics",acronym:"FCP",relevantAudits:ys.fcpRelevantAudits},{id:"largest-contentful-paint",weight:25,group:"metrics",acronym:"LCP",relevantAudits:ys.lcpRelevantAudits},{id:"total-blocking-time",weight:30,group:"metrics",acronym:"TBT",relevantAudits:ys.tbtRelevantAudits},{id:"cumulative-layout-shift",weight:25,group:"metrics",acronym:"CLS",relevantAudits:ys.clsRelevantAudits},{id:"speed-index",weight:10,group:"metrics",acronym:"SI"},{id:"interaction-to-next-paint",weight:0,group:"metrics",acronym:"INP",relevantAudits:ys.inpRelevantAudits},{id:"interactive",weight:0,group:"hidden",acronym:"TTI"},{id:"max-potential-fid",weight:0,group:"hidden"},{id:"first-meaningful-paint",weight:0,acronym:"FMP",group:"hidden"},{id:"render-blocking-resources",weight:0},{id:"uses-responsive-images",weight:0},{id:"offscreen-images",weight:0},{id:"unminified-css",weight:0},{id:"unminified-javascript",weight:0},{id:"unused-css-rules",weight:0},{id:"unused-javascript",weight:0},{id:"uses-optimized-images",weight:0},{id:"modern-image-formats",weight:0},{id:"uses-text-compression",weight:0},{id:"uses-rel-preconnect",weight:0},{id:"server-response-time",weight:0},{id:"redirects",weight:0},{id:"uses-rel-preload",weight:0},{id:"uses-http2",weight:0},{id:"efficient-animated-content",weight:0},{id:"duplicated-javascript",weight:0},{id:"legacy-javascript",weight:0},{id:"prioritize-lcp-image",weight:0},{id:"total-byte-weight",weight:0},{id:"uses-long-cache-ttl",weight:0},{id:"dom-size",weight:0},{id:"critical-request-chains",weight:0},{id:"user-timings",weight:0},{id:"bootup-time",weight:0},{id:"mainthread-work-breakdown",weight:0},{id:"font-display",weight:0},{id:"third-party-summary",weight:0},{id:"third-party-facades",weight:0},{id:"largest-contentful-paint-element",weight:0},{id:"lcp-lazy-loaded",weight:0},{id:"layout-shift-elements",weight:0},{id:"uses-passive-event-listeners",weight:0},{id:"no-document-write",weight:0},{id:"long-tasks",weight:0},{id:"non-composited-animations",weight:0},{id:"unsized-images",weight:0},{id:"viewport",weight:0},{id:"uses-responsive-images-snapshot",weight:0},{id:"work-during-interaction",weight:0},{id:"bf-cache",weight:0},{id:"performance-budget",weight:0,group:"budgets"},{id:"timing-budget",weight:0,group:"budgets"},{id:"network-requests",weight:0,group:"hidden"},{id:"network-rtt",weight:0,group:"hidden"},{id:"network-server-latency",weight:0,group:"hidden"},{id:"main-thread-tasks",weight:0,group:"hidden"},{id:"diagnostics",weight:0,group:"hidden"},{id:"metrics",weight:0,group:"hidden"},{id:"screenshot-thumbnails",weight:0,group:"hidden"},{id:"final-screenshot",weight:0,group:"hidden"},{id:"script-treemap-data",weight:0,group:"hidden"}]},accessibility:{title:Re(Se.a11yCategoryTitle),description:Re(Se.a11yCategoryDescription),manualDescription:Re(Se.a11yCategoryManualDescription),supportedModes:["navigation","snapshot"],auditRefs:[{id:"accesskeys",weight:7,group:"a11y-navigation"},{id:"aria-allowed-attr",weight:10,group:"a11y-aria"},{id:"aria-allowed-role",weight:1,group:"a11y-aria"},{id:"aria-command-name",weight:7,group:"a11y-aria"},{id:"aria-dialog-name",weight:7,group:"a11y-aria"},{id:"aria-hidden-body",weight:10,group:"a11y-aria"},{id:"aria-hidden-focus",weight:7,group:"a11y-aria"},{id:"aria-input-field-name",weight:7,group:"a11y-aria"},{id:"aria-meter-name",weight:7,group:"a11y-aria"},{id:"aria-progressbar-name",weight:7,group:"a11y-aria"},{id:"aria-required-attr",weight:10,group:"a11y-aria"},{id:"aria-required-children",weight:10,group:"a11y-aria"},{id:"aria-required-parent",weight:10,group:"a11y-aria"},{id:"aria-roles",weight:7,group:"a11y-aria"},{id:"aria-text",weight:7,group:"a11y-aria"},{id:"aria-toggle-field-name",weight:7,group:"a11y-aria"},{id:"aria-tooltip-name",weight:7,group:"a11y-aria"},{id:"aria-treeitem-name",weight:7,group:"a11y-aria"},{id:"aria-valid-attr-value",weight:10,group:"a11y-aria"},{id:"aria-valid-attr",weight:10,group:"a11y-aria"},{id:"button-name",weight:10,group:"a11y-names-labels"},{id:"bypass",weight:7,group:"a11y-navigation"},{id:"color-contrast",weight:7,group:"a11y-color-contrast"},{id:"definition-list",weight:7,group:"a11y-tables-lists"},{id:"dlitem",weight:7,group:"a11y-tables-lists"},{id:"document-title",weight:7,group:"a11y-names-labels"},{id:"duplicate-id-active",weight:7,group:"a11y-navigation"},{id:"duplicate-id-aria",weight:10,group:"a11y-aria"},{id:"form-field-multiple-labels",weight:3,group:"a11y-names-labels"},{id:"frame-title",weight:7,group:"a11y-names-labels"},{id:"heading-order",weight:3,group:"a11y-navigation"},{id:"html-has-lang",weight:7,group:"a11y-language"},{id:"html-lang-valid",weight:7,group:"a11y-language"},{id:"html-xml-lang-mismatch",weight:3,group:"a11y-language"},{id:"image-alt",weight:10,group:"a11y-names-labels"},{id:"image-redundant-alt",weight:1,group:"a11y-names-labels"},{id:"input-button-name",weight:10,group:"a11y-names-labels"},{id:"input-image-alt",weight:10,group:"a11y-names-labels"},{id:"label-content-name-mismatch",weight:7,group:"a11y-names-labels"},{id:"label",weight:7,group:"a11y-names-labels"},{id:"link-in-text-block",weight:7,group:"a11y-color-contrast"},{id:"link-name",weight:7,group:"a11y-names-labels"},{id:"list",weight:7,group:"a11y-tables-lists"},{id:"listitem",weight:7,group:"a11y-tables-lists"},{id:"meta-refresh",weight:10,group:"a11y-best-practices"},{id:"meta-viewport",weight:10,group:"a11y-best-practices"},{id:"object-alt",weight:7,group:"a11y-names-labels"},{id:"select-name",weight:7,group:"a11y-names-labels"},{id:"skip-link",weight:3,group:"a11y-names-labels"},{id:"tabindex",weight:7,group:"a11y-navigation"},{id:"table-duplicate-name",weight:1,group:"a11y-tables-lists"},{id:"table-fake-caption",weight:7,group:"a11y-tables-lists"},{id:"td-has-header",weight:10,group:"a11y-tables-lists"},{id:"td-headers-attr",weight:7,group:"a11y-tables-lists"},{id:"th-has-data-cells",weight:7,group:"a11y-tables-lists"},{id:"valid-lang",weight:7,group:"a11y-language"},{id:"video-caption",weight:10,group:"a11y-audio-video"},{id:"focusable-controls",weight:0},{id:"interactive-element-affordance",weight:0},{id:"logical-tab-order",weight:0},{id:"visual-order-follows-dom",weight:0},{id:"focus-traps",weight:0},{id:"managed-focus",weight:0},{id:"use-landmarks",weight:0},{id:"offscreen-content-hidden",weight:0},{id:"custom-controls-labels",weight:0},{id:"custom-controls-roles",weight:0},{id:"empty-heading",weight:0,group:"hidden"},{id:"identical-links-same-purpose",weight:0,group:"hidden"},{id:"landmark-one-main",weight:0,group:"hidden"},{id:"target-size",weight:0,group:"hidden"}]},"best-practices":{title:Re(Se.bestPracticesCategoryTitle),supportedModes:["navigation","timespan","snapshot"],auditRefs:[{id:"is-on-https",weight:5,group:"best-practices-trust-safety"},{id:"geolocation-on-start",weight:1,group:"best-practices-trust-safety"},{id:"notification-on-start",weight:1,group:"best-practices-trust-safety"},{id:"csp-xss",weight:0,group:"best-practices-trust-safety"},{id:"paste-preventing-inputs",weight:3,group:"best-practices-ux"},{id:"image-aspect-ratio",weight:1,group:"best-practices-ux"},{id:"image-size-responsive",weight:1,group:"best-practices-ux"},{id:"preload-fonts",weight:1,group:"best-practices-ux"},{id:"doctype",weight:1,group:"best-practices-browser-compat"},{id:"charset",weight:1,group:"best-practices-browser-compat"},{id:"no-unload-listeners",weight:1,group:"best-practices-general"},{id:"js-libraries",weight:0,group:"best-practices-general"},{id:"deprecations",weight:5,group:"best-practices-general"},{id:"errors-in-console",weight:1,group:"best-practices-general"},{id:"valid-source-maps",weight:0,group:"best-practices-general"},{id:"inspector-issues",weight:1,group:"best-practices-general"}]},seo:{title:Re(Se.seoCategoryTitle),description:Re(Se.seoCategoryDescription),manualDescription:Re(Se.seoCategoryManualDescription),supportedModes:["navigation","snapshot"],auditRefs:[{id:"viewport",weight:1,group:"seo-mobile"},{id:"document-title",weight:1,group:"seo-content"},{id:"meta-description",weight:1,group:"seo-content"},{id:"http-status-code",weight:1,group:"seo-crawl"},{id:"link-text",weight:1,group:"seo-content"},{id:"crawlable-anchors",weight:1,group:"seo-crawl"},{id:"is-crawlable",weight:1,group:"seo-crawl"},{id:"robots-txt",weight:1,group:"seo-crawl"},{id:"image-alt",weight:1,group:"seo-content"},{id:"hreflang",weight:1,group:"seo-content"},{id:"canonical",weight:1,group:"seo-content"},{id:"font-size",weight:1,group:"seo-mobile"},{id:"plugins",weight:1,group:"seo-content"},{id:"tap-targets",weight:1,group:"seo-mobile"},{id:"structured-data",weight:0}]},pwa:{title:Re(Se.pwaCategoryTitle),description:Re(Se.pwaCategoryDescription),manualDescription:Re(Se.pwaCategoryManualDescription),supportedModes:["navigation"],auditRefs:[{id:"installable-manifest",weight:2,group:"pwa-installable"},{id:"splash-screen",weight:1,group:"pwa-optimized"},{id:"themed-omnibox",weight:1,group:"pwa-optimized"},{id:"content-width",weight:1,group:"pwa-optimized"},{id:"viewport",weight:2,group:"pwa-optimized"},{id:"maskable-icon",weight:1,group:"pwa-optimized"},{id:"pwa-cross-browser",weight:0},{id:"pwa-page-transitions",weight:0},{id:"pwa-each-page-has-url",weight:0}]}}};Object.defineProperty(B_,"UIStrings",{enumerable:!1,get:()=>Se});Ep=B_});function j_(t,e){let n={timespan:0,snapshot:1,navigation:2},r=Math.min(...t.instance.meta.supportedModes.map(o=>n[o])),a=Math.min(...e.instance.meta.supportedModes.map(o=>n[o]));return r===n.timespan?a===n.timespan:r===n.snapshot?a===n.snapshot:!0}function q_(t,e){if(!e.startsWith("lighthouse-plugin-"))throw new Error(`plugin name '${e}' does not start with 'lighthouse-plugin-'`);if(t.categories?.[e])throw new Error(`plugin name '${e}' not allowed because it is the id of a category already found in config`)}function MY(t){let e=t.gatherer.instance;if(typeof e.meta!="object")throw new Error(`Gatherer for ${t.id} did not provide a meta object.`);if(e.meta.supportedModes.length===0)throw new Error(`Gatherer for ${t.id} did not support any gather modes.`);if(typeof e.getArtifact!="function"||e.getArtifact===X.prototype.getArtifact)throw new Error(`Gatherer for ${t.id} did not define a "getArtifact" method.`)}function NY(t){if(!t||!t.length)return{warnings:[]};let e=[],n=t[0];if(n.loadFailureMode!=="fatal"){let o=n.loadFailureMode,i=[`"${n.id}" is the first navigation but had a failure mode of ${o}.`,"The first navigation will always be treated as loadFailureMode=fatal."].join(" ");e.push(i),n.loadFailureMode="fatal"}let r=t.map(o=>o.id),a=r.find((o,i)=>r.slice(i+1).some(c=>o===c));if(a)throw new Error(`Navigation must have unique identifiers, but "${a}" was repeated.`);return{warnings:e}}function hh(t){let{implementation:e,path:n}=t,r=n||e?.meta?.id||"Unknown audit";if(typeof e.audit!="function"||e.audit===h.audit)throw new Error(`${r} has no audit() method.`);if(typeof e.meta.id!="string")throw new Error(`${r} has no meta.id property, or the property is not a string.`);if(!_r(e.meta.title))throw new Error(`${r} has no meta.title property, or the property is not a string.`);let a=e.meta.scoreDisplayMode||h.SCORING_MODES.BINARY;if(!_r(e.meta.failureTitle)&&a===h.SCORING_MODES.BINARY)throw new Error(`${r} has no meta.failureTitle and should.`);if(_r(e.meta.description)){if(e.meta.description==="")throw new Error(`${r} has an empty meta.description string. Please add a description for the UI.`)}else throw new Error(`${r} has no meta.description property, or the property is not a string.`);if(!Array.isArray(e.meta.requiredArtifacts))throw new Error(`${r} has no meta.requiredArtifacts property, or the property is not an array.`)}function LY(t,e,n){if(!t)return;let r=new Map((e||[]).map(a=>[a.implementation.meta.id,a]));Object.keys(t).forEach(a=>{t[a].auditRefs.forEach((o,i)=>{if(!o.id)throw new Error(`missing an audit id at ${a}[${i}]`);let c=r.get(o.id);if(!c)throw new Error(`could not find ${o.id} audit for category ${a}`);let l=c.implementation.meta.scoreDisplayMode==="manual";if(a==="accessibility"&&!o.group&&!l)throw new Error(`${o.id} accessibility audit does not have a group`);if(o.weight>0&&l)throw new Error(`${o.id} is manual but has a positive weight`);if(o.group&&(!n||!n[o.group]))throw new Error(`${o.id} references unknown group ${o.group}`)})})}function yh(t){if(!t.formFactor)throw new Error("`settings.formFactor` must be defined as 'mobile' or 'desktop'. See https://github.com/GoogleChrome/lighthouse/blob/main/docs/emulation.md");if(!t.screenEmulation.disabled&&t.screenEmulation.mobile!==(t.formFactor==="mobile"))throw new Error(`Screen emulation mobile setting (${t.screenEmulation.mobile}) does not match formFactor setting (${t.formFactor}). See https://github.com/GoogleChrome/lighthouse/blob/main/docs/emulation.md`);let e=t.skipAudits?.find(n=>t.onlyAudits?.includes(n));if(e)throw new Error(`${e} appears in both skipAudits and onlyAudits`)}function z_(t){let e=new Set;for(let n of t)for(let r of n.artifacts)if(e.add(r.id),!!r.dependencies)for(let[a,{id:o}]of Object.entries(r.dependencies))e.has(o)||vh(r.id,a)}function H_(t){let{warnings:e}=NY(t.navigations),n=new Set;for(let r of t.artifacts||[]){if(n.has(r.id))throw new Error(`Config defined multiple artifacts with id '${r.id}'`);n.add(r.id),MY(r)}for(let r of t.audits||[])hh(r);return LY(t.categories,t.audits,t.groups),yh(t.settings),{warnings:e}}function vh(t,e){throw new Error([`Failed to find dependency "${e}" for "${t}" artifact`,"Check that...",`  1. A gatherer exposes a matching Symbol that satisfies "${e}".`,`  2. "${e}" is configured to run before "${t}"`].join(`
`))}function G_(t,e){throw new Error([`Dependency "${e}" for "${t}" artifact is invalid.`,"The dependency must be collected before the dependent."].join(`
`))}var bh=v(()=>{"use strict";d();J();Ue();k();s(j_,"isValidArtifactDependency");s(q_,"assertValidPluginName");s(MY,"assertValidArtifact");s(NY,"assertValidNavigations");s(hh,"assertValidAudit");s(LY,"assertValidCategories");s(yh,"assertValidSettings");s(z_,"assertArtifactTopologicalOrder");s(H_,"assertValidConfig");s(vh,"throwInvalidDependencyOrder");s(G_,"throwInvalidArtifactDependency")});function W_(t,e){if(!t)return new Set;e=e||Object.keys(t);let r=e.map(a=>t[a]).flatMap(a=>a?.auditRefs||[]);return new Set(r.map(a=>a.id))}function jY(t,e){if(!t)return null;if(!e)return t;let n=new Map(t.map(o=>[o.id,o])),r=new Set([...BY,...e.flatMap(o=>o.implementation.meta.requiredArtifacts)]),a=0;for(;a!==r.size;){a=r.size;for(let o of r){let i=n.get(o);if(i&&i.dependencies)for(let c of Object.values(i.dependencies))r.add(c.id)}}return t.filter(o=>r.has(o.id))}function qY(t,e){return t?t.filter(n=>n.gatherer.instance.meta.supportedModes.includes(e)):null}function zY(t,e){if(!t)return t;let n=new Set(e.map(r=>r.id).concat(V_));return t.map(r=>({...r,artifacts:r.artifacts.filter(a=>n.has(a.id))})).filter(r=>r.artifacts.length)}function HY(t,e){if(!t)return null;let n=new Set(e.map(r=>r.id).concat(V_));return t.filter(r=>r.implementation.meta.requiredArtifacts.every(o=>n.has(o)))}function GY(t,e){return t?t.filter(n=>{let r=n.implementation.meta;return!r.supportedModes||r.supportedModes.includes(e)}):null}function WY(t,e){if(!t)return null;let n=Object.entries(t).filter(([r,a])=>!a.supportedModes||a.supportedModes.includes(e));return Object.fromEntries(n)}function VY(t,e){if(!t||!e)return t;let n=Object.entries(t).filter(([r])=>e.includes(r));return Object.fromEntries(n)}function $Y(t,e){if(e)for(let n of e)t?.[n]||N.warn("config",`unrecognized category in 'onlyCategories': ${n}`)}function $_(t,e){if(!t)return t;let n=new Map(e.map(a=>[a.implementation.meta.id,a.implementation.meta])),r=Object.entries(t).map(([a,o])=>{let i={...o,auditRefs:o.auditRefs.filter(l=>n.has(l.id))},c=i.auditRefs.length<o.auditRefs.length,u=i.auditRefs.every(l=>{let m=n.get(l.id);return m?m.scoreDisplayMode===h.SCORING_MODES.MANUAL:!1});return c&&u&&(i.auditRefs=[]),[a,i]}).filter(a=>typeof a[1]=="object"&&a[1].auditRefs.length);return Object.fromEntries(r)}function Y_(t,e){let n=qY(t.artifacts,e),r=GY(t.audits,e),a=HY(r,n||[]),o=WY(t.categories,e),i=$_(o,a||[]);return{...t,artifacts:n,audits:a,categories:i}}function K_(t,e){let{onlyAudits:n,onlyCategories:r,skipAudits:a}=e;$Y(t.categories,r);let o=W_(t.categories,void 0);r?o=W_(t.categories,r):n?o=new Set:(!t.categories||!Object.keys(t.categories).length)&&(o=new Set(t.audits?.map(g=>g.implementation.meta.id)));let i=new Set([...o,...n||[],...UY].filter(g=>!a||!a.includes(g))),c=i.size&&t.audits?t.audits.filter(g=>i.has(g.implementation.meta.id)):t.audits,u=$_(t.categories,c||[]),l=VY(u,r),m=jY(t.artifacts,c);m&&t.settings.disableFullPageScreenshot&&(m=m.filter(({id:g})=>g!=="FullPageScreenshot"));let p=zY(t.navigations,m||[]);return{...t,artifacts:m,navigations:p,audits:c,categories:l}}var OY,V_,UY,BY,J_=v(()=>{"use strict";d();He();J();OY={fetchTime:"",LighthouseRunWarnings:"",BenchmarkIndex:"",BenchmarkIndexes:"",settings:"",Timing:"",URL:"",PageLoadError:"",HostFormFactor:"",HostUserAgent:"",GatherContext:""},V_=Object.keys(OY),UY=[],BY=["Stacks","NetworkUserAgent","FullPageScreenshot"];s(W_,"getAuditIdsInCategories");s(jY,"filterArtifactsByAvailableAudits");s(qY,"filterArtifactsByGatherMode");s(zY,"filterNavigationsByAvailableArtifacts");s(HY,"filterAuditsByAvailableArtifacts");s(GY,"filterAuditsByGatherMode");s(WY,"filterCategoriesByGatherMode");s(VY,"filterCategoriesByExplicitFilters");s($Y,"warnOnUnknownOnlyCategories");s($_,"filterCategoriesByAvailableAudits");s(Y_,"filterConfigByGatherMode");s(K_,"filterConfigByExplicitFilters")});function Tp(t){return Array.isArray(t)&&t.every(Z_)}function Z_(t){return typeof t=="object"&&t!==null&&!Array.isArray(t)}function X_(t){return typeof t=="number"&&!isNaN(t)}var Mr,Eu=v(()=>{"use strict";d();s(Tp,"isArrayOfUnknownObjects");s(Z_,"isObjectOfUnknownProperties");s(X_,"isNumber");Mr=class t{static{s(this,"Budget")}static assertNoExcessProperties(e,n){let r=Object.keys(e);if(r.length>0){let a=r.join(", ");throw new Error(`${n} has unrecognized properties: [${a}]`)}}static assertNoDuplicateStrings(e,n){let r=new Set;for(let a of e){if(r.has(a))throw new Error(`${n} has duplicate entry of type '${a}'`);r.add(a)}}static validateResourceBudget(e){let{resourceType:n,budget:r,...a}=e;t.assertNoExcessProperties(a,"Resource Budget");let o=["total","document","script","stylesheet","image","media","font","other","third-party"];if(!o.includes(n))throw new Error(`Invalid resource type: ${n}. 
Valid resource types are: ${o.join(", ")}`);if(!X_(r))throw new Error(`Invalid budget: ${r}`);return{resourceType:n,budget:r}}static throwInvalidPathError(e,n){throw new Error(`Invalid path ${e}. ${n}
'Path' should be specified using the 'robots.txt' format.
Learn more about the 'robots.txt' format here:
https://developers.google.com/search/reference/robots_txt#url-matching-based-on-path-values`)}static validatePath(e){if(e!==void 0){if(typeof e!="string"){this.throwInvalidPathError(e,"Path should be a string.");return}else e.startsWith("/")?(e.match(/\*/g)||[]).length>1?this.throwInvalidPathError(e,"Path should only contain one '*'."):(e.match(/\$/g)||[]).length>1?this.throwInvalidPathError(e,"Path should only contain one '$' character."):e.includes("$")&&!e.endsWith("$")&&this.throwInvalidPathError(e,"'$' character should only occur at end of path."):this.throwInvalidPathError(e,"Path should start with '/'.");return e}}static getMatchingBudget(e,n){if(!(e===null||n===void 0))for(let r=e.length-1;r>=0;r--){let a=e[r];if(this.urlMatchesPattern(n,a.path))return a}}static urlMatchesPattern(e,n="/"){let r=new URL(e),a=r.pathname+r.search,o=n.includes("*"),i=n.includes("$");if(!o&&!i)return a.startsWith(n);if(!o&&i)return a===n.slice(0,-1);if(o&&!i){let[c,u]=n.split("*"),l=a.slice(c.length);return a.startsWith(c)&&l.includes(u)}else if(o&&i){let[c,u]=n.split("*"),l=a.slice(c.length);return a.startsWith(c)&&l.endsWith(u.slice(0,-1))}return!1}static validateTimingBudget(e){let{metric:n,budget:r,...a}=e;t.assertNoExcessProperties(a,"Timing Budget");let o=["first-contentful-paint","interactive","first-meaningful-paint","max-potential-fid","total-blocking-time","speed-index","largest-contentful-paint","cumulative-layout-shift"];if(!o.includes(n))throw new Error(`Invalid timing metric: ${n}. 
Valid timing metrics are: ${o.join(", ")}`);if(!X_(r))throw new Error(`Invalid budget: ${r}`);return{metric:n,budget:r}}static validateHostname(e){let n=`${e} is not a valid hostname.`;if(e.length===0)throw new Error(n);if(e.includes("/"))throw new Error(n);if(e.includes(":"))throw new Error(n);if(e.includes("*")&&(!e.startsWith("*.")||e.lastIndexOf("*")>0))throw new Error(n);return e}static validateHostnames(e){if(Array.isArray(e)&&e.every(n=>typeof n=="string"))return e.map(t.validateHostname);if(e!==void 0)throw new Error("firstPartyHostnames should be defined as an array of strings.")}static initializeBudget(e){if(e=JSON.parse(JSON.stringify(e)),!Tp(e))throw new Error("Budget file is not defined as an array of budgets.");return e.map((r,a)=>{let o={},{path:i,options:c,resourceSizes:u,resourceCounts:l,timings:m,...p}=r;if(t.assertNoExcessProperties(p,"Budget"),o.path=t.validatePath(i),Z_(c)){let{firstPartyHostnames:g,...f}=c;t.assertNoExcessProperties(f,"Options property"),o.options={},o.options.firstPartyHostnames=t.validateHostnames(g)}else if(c!==void 0)throw new Error(`Invalid options property in budget at index ${a}`);if(Tp(u))o.resourceSizes=u.map(t.validateResourceBudget),t.assertNoDuplicateStrings(o.resourceSizes.map(g=>g.resourceType),`budgets[${a}].resourceSizes`);else if(u!==void 0)throw new Error(`Invalid resourceSizes entry in budget at index ${a}`);if(Tp(l))o.resourceCounts=l.map(t.validateResourceBudget),t.assertNoDuplicateStrings(o.resourceCounts.map(g=>g.resourceType),`budgets[${a}].resourceCounts`);else if(l!==void 0)throw new Error(`Invalid resourceCounts entry in budget at index ${a}`);if(Tp(m))o.timings=m.map(t.validateTimingBudget),t.assertNoDuplicateStrings(o.timings.map(g=>g.metric),`budgets[${a}].timings`);else if(m!==void 0)throw new Error(`Invalid timings entry in budget at index ${a}`);return o})}}});function Q_(t){return Array.isArray(t)&&t.every(Su)}function Su(t){return typeof t=="object"&&t!==null&&!Array.isArray(t)}function YY(t){return typeof t!="string"?!1:t==="navigation"||t==="timespan"||t==="snapshot"}function KY(t){return Array.isArray(t)?t.every(YY):!1}function Tu(t,e,n=""){n&&(n+=" ");let r=Object.keys(t);if(r.length>0){let a=r.join(", ");throw new Error(`${e} has unrecognized ${n}properties: [${a}]`)}}var wh,ek,tk=v(()=>{"use strict";d();k();s(Q_,"isArrayOfUnknownObjects");s(Su,"isObjectOfUnknownProperties");s(YY,"objectIsGatherMode");s(KY,"isArrayOfGatherModes");s(Tu,"assertNoExcessProperties");wh=class t{static{s(this,"ConfigPlugin")}static _parseAuditsList(e,n){if(e!==void 0){if(!Q_(e))throw new Error(`${n} has an invalid audits array.`);return e.map(r=>{let{path:a,...o}=r;if(Tu(o,n,"audit"),typeof a!="string")throw new Error(`${n} has a missing audit path.`);return{path:a}})}}static _parseAuditRefsList(e,n){if(!Q_(e))throw new Error(`${n} has no valid auditsRefs.`);return e.map(r=>{let{id:a,weight:o,group:i,...c}=r;if(Tu(c,n,"auditRef"),typeof a!="string")throw new Error(`${n} has an invalid auditRef id.`);if(typeof o!="number")throw new Error(`${n} has an invalid auditRef weight.`);if(typeof i!="string"&&typeof i<"u")throw new Error(`${n} has an invalid auditRef group.`);let u=i&&`${n}-${i}`;return{id:a,weight:o,group:u}})}static _parseCategory(e,n){if(!Su(e))throw new Error(`${n} has no valid category.`);let{title:r,description:a,manualDescription:o,auditRefs:i,supportedModes:c,...u}=e;if(Tu(u,n,"category"),!_r(r))throw new Error(`${n} has an invalid category tile.`);if(!_r(a)&&a!==void 0)throw new Error(`${n} has an invalid category description.`);if(!_r(o)&&o!==void 0)throw new Error(`${n} has an invalid category manualDescription.`);if(!KY(c)&&c!==void 0)throw new Error(`${n} supportedModes must be an array, valid array values are "navigation", "timespan", and "snapshot".`);let l=t._parseAuditRefsList(i,n);return{title:r,auditRefs:l,description:a,manualDescription:o,supportedModes:c}}static _parseGroups(e,n){if(e===void 0)return;if(!Su(e))throw new Error(`${n} groups json is not defined as an object.`);let r=Object.entries(e),a={};return r.forEach(([o,i])=>{if(!Su(i))throw new Error(`${n} has a group not defined as an object.`);let{title:c,description:u,...l}=i;if(Tu(l,n,"group"),!_r(c))throw new Error(`${n} has an invalid group title.`);if(!_r(u)&&u!==void 0)throw new Error(`${n} has an invalid group description.`);a[`${n}-${o}`]={title:c,description:u}}),a}static parsePlugin(e,n){if(e=JSON.parse(JSON.stringify(e)),!Su(e))throw new Error(`${n} is not defined as an object.`);let{audits:r,category:a,groups:o,...i}=e;return Tu(i,n),{audits:t._parseAuditsList(r,n),categories:{[n]:t._parseCategory(a,n)},groups:t._parseGroups(o,n)}}},ek=wh});var nk,rk=v(()=>{"use strict";d();ca();es();nk=`/*! axe v4.7.2
 * Copyright (c) 2023 Deque Systems, Inc.
 *
 * Your use of this Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This entire copyright notice must appear in every copy of this file you
 * distribute or in any file that contains substantial portions of this source
 * code.
 */
!function e(t){var n=t,a=t.document;function r(e){return(r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e})(e)}var o=o||{};function u(e){this.name="SupportError",this.cause=e.cause,this.message="\`".concat(e.cause,"\` - feature unsupported in your environment."),e.ruleId&&(this.ruleId=e.ruleId,this.message+=" Skipping ".concat(this.ruleId," rule.")),this.stack=(new Error).stack}o.version="4.7.2","function"==typeof define&&define.amd&&define("axe-core",[],(function(){return o})),"object"===("undefined"==typeof module?"undefined":r(module))&&module.exports&&"function"==typeof e.toString&&(o.source="("+e.toString()+')(typeof window === "object" ? window : this);',module.exports=o),"function"==typeof t.getComputedStyle&&(t.axe=o),(u.prototype=Object.create(Error.prototype)).constructor=u;var i=["node"],l=["variant"],s=["matches"],c=["chromium"],d=["noImplicit"],p=["noPresentational"],f=["precision","format","inGamut"],D=["space"],m=["algorithm"],h=["method"],g=["maxDeltaE","deltaEMethod","steps","maxSteps"],b=["node"],v=["nodes"],y=["node"],F=["relatedNodes"],w=["environmentData"],E=["environmentData"],C=["node"],x=["environmentData"],A=["environmentData"],k=["environmentData"];function B(e,t,n){return(B=O()?Reflect.construct.bind():function(e,t,n){var a=[null];return a.push.apply(a,t),t=new(Function.bind.apply(e,a)),n&&N(t,n.prototype),t}).apply(null,arguments)}function T(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&N(e,t)}function N(e,t){return(N=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e})(e,t)}function R(e){var t=O();return function(){var n,a=S(e);n=t?(n=S(this).constructor,Reflect.construct(a,arguments,n)):a.apply(this,arguments),a=this;if(n&&("object"===r(n)||"function"==typeof n))return n;if(void 0!==n)throw new TypeError("Derived constructors may only return object or undefined");return _(a)}}function _(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function O(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}function S(e){return(S=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)})(e)}function M(e,t,n){I(e,t),t.set(e,n)}function P(e,t){I(e,t),t.add(e)}function I(e,t){if(t.has(e))throw new TypeError("Cannot initialize the same private elements twice on an object")}function j(e,t){return(t=z(e,t,"get")).get?t.get.call(e):t.value}function L(e,t,n){if(t.has(e))return n;throw new TypeError("attempted to get private field on non-instance")}function q(e,t,n){if((t=z(e,t,"set")).set)t.set.call(e,n);else{if(!t.writable)throw new TypeError("attempted to set read only private field");t.value=n}}function z(e,t,n){if(t.has(e))return t.get(e);throw new TypeError("attempted to "+n+" private field on non-instance")}function V(e,t){if(null==e)return{};var n,a=function(e,t){if(null==e)return{};var n,a,r={},o=Object.keys(e);for(a=0;a<o.length;a++)n=o[a],0<=t.indexOf(n)||(r[n]=e[n]);return r}(e,t);if(Object.getOwnPropertySymbols)for(var r=Object.getOwnPropertySymbols(e),o=0;o<r.length;o++)n=r[o],0<=t.indexOf(n)||Object.prototype.propertyIsEnumerable.call(e,n)&&(a[n]=e[n]);return a}function $(e){return function(e){if(Array.isArray(e))return te(e)}(e)||H(e)||ee(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function H(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}function U(){return(U=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n,a=arguments[t];for(n in a)Object.prototype.hasOwnProperty.call(a,n)&&(e[n]=a[n])}return e}).apply(this,arguments)}function G(e,t){return Y(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var a,r,o,u,i=[],l=!0,s=!1;try{if(o=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;l=!1}else for(;!(l=(a=o.call(n)).done)&&(i.push(a.value),i.length!==t);l=!0);}catch(e){s=!0,r=e}finally{try{if(!l&&null!=n.return&&(u=n.return(),Object(u)!==u))return}finally{if(s)throw r}}return i}}(e,t)||ee(e,t)||W()}function W(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function Y(e){if(Array.isArray(e))return e}function K(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function X(e,t){for(var n=0;n<t.length;n++){var a=t[n];a.enumerable=a.enumerable||!1,a.configurable=!0,"value"in a&&(a.writable=!0),Object.defineProperty(e,J(a.key),a)}}function Z(e,t,n){return t&&X(e.prototype,t),n&&X(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}function J(e){return e=function(e,t){if("object"!==r(e)||null===e)return e;var n=e[Symbol.toPrimitive];if(void 0===n)return String(e);if(n=n.call(e,"string"),"object"===r(n))throw new TypeError("@@toPrimitive must return a primitive value.");return n}(e),"symbol"===r(e)?e:String(e)}function Q(e,t){var n,a,r,o,u="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(u)return a=!(n=!0),{s:function(){u=u.call(e)},n:function(){var e=u.next();return n=e.done,e},e:function(e){a=!0,r=e},f:function(){try{n||null==u.return||u.return()}finally{if(a)throw r}}};if(Array.isArray(e)||(u=ee(e))||t&&e&&"number"==typeof e.length)return u&&(e=u),o=0,{s:t=function(){},n:function(){return o>=e.length?{done:!0}:{done:!1,value:e[o++]}},e:function(e){throw e},f:t};throw new TypeError("Invalid attempt to iterate non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function ee(e,t){var n;if(e)return"string"==typeof e?te(e,t):"Map"===(n="Object"===(n=Object.prototype.toString.call(e).slice(8,-1))&&e.constructor?e.constructor.name:n)||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?te(e,t):void 0}function te(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,a=new Array(t);n<t;n++)a[n]=e[n];return a}function r(e){return(r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e})(e)}function ne(e,t){return function(){return t||e((t={exports:{}}).exports,t),t.exports}}function ae(e,t){for(var n in t)de(e,n,{get:t[n],enumerable:!0})}function re(e){return function(e,t,n){if(t&&"object"===r(t)||"function"==typeof t){var a,o=Q(De(t));try{for(o.s();!(a=o.n()).done;)!function(){var r=a.value;fe.call(e,r)||"default"===r||de(e,r,{get:function(){return t[r]},enumerable:!(n=me(t,r))||n.enumerable})}()}catch(e){o.e(e)}finally{o.f()}}return e}((t=de(null!=e?ce(pe(e)):{},"default",e&&e.__esModule&&"default"in e?{get:function(){return e.default},enumerable:!0}:{value:e,enumerable:!0}),de(t,"__esModule",{value:!0})),e);var t}function oe(e,t,n){(t="symbol"!==r(t)?t+"":t)in e?de(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n}var ue,ie,le,se,ce=Object.create,de=Object.defineProperty,pe=Object.getPrototypeOf,fe=Object.prototype.hasOwnProperty,De=Object.getOwnPropertyNames,me=Object.getOwnPropertyDescriptor,he=ne((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isIdentStart=function(e){return"a"<=e&&e<="z"||"A"<=e&&e<="Z"||"-"===e||"_"===e},e.isIdent=function(e){return"a"<=e&&e<="z"||"A"<=e&&e<="Z"||"0"<=e&&e<="9"||"-"===e||"_"===e},e.isHex=function(e){return"a"<=e&&e<="f"||"A"<=e&&e<="F"||"0"<=e&&e<="9"},e.escapeIdentifier=function(t){for(var n=t.length,a="",r=0;r<n;){var o=t.charAt(r);if(e.identSpecialChars[o])a+="\\\\"+o;else if("_"===o||"-"===o||"A"<=o&&o<="Z"||"a"<=o&&o<="z"||0!==r&&"0"<=o&&o<="9")a+=o;else{if(55296==(63488&(o=o.charCodeAt(0)))){var u=t.charCodeAt(r++);if(55296!=(64512&o)||56320!=(64512&u))throw Error("UCS-2(decode): illegal sequence");o=((1023&o)<<10)+(1023&u)+65536}a+="\\\\"+o.toString(16)+" "}r++}return a},e.escapeStr=function(t){for(var n,a=t.length,r="",o=0;o<a;){var u=t.charAt(o);'"'===u?u='\\\\"':"\\\\"===u?u="\\\\\\\\":void 0!==(n=e.strReplacementsRev[u])&&(u=n),r+=u,o++}return'"'+r+'"'},e.identSpecialChars={"!":!0,'"':!0,"#":!0,$:!0,"%":!0,"&":!0,"'":!0,"(":!0,")":!0,"*":!0,"+":!0,",":!0,".":!0,"/":!0,";":!0,"<":!0,"=":!0,">":!0,"?":!0,"@":!0,"[":!0,"\\\\":!0,"]":!0,"^":!0,"\`":!0,"{":!0,"|":!0,"}":!0,"~":!0},e.strReplacementsRev={"\\n":"\\\\n","\\r":"\\\\r","\\t":"\\\\t","\\f":"\\\\f","\\v":"\\\\v"},e.singleQuoteEscapeChars={n:"\\n",r:"\\r",t:"\\t",f:"\\f","\\\\":"\\\\","'":"'"},e.doubleQuotesEscapeChars={n:"\\n",r:"\\r",t:"\\t",f:"\\f","\\\\":"\\\\",'"':'"'}})),ge=ne((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=he();e.parseCssSelector=function(e,n,a,r,o,u){var i=e.length,l="";function s(a,r){var o="";for(n++,l=e.charAt(n);n<i;){if(l===a)return n++,o;var u;if("\\\\"===l)if(n++,(l=e.charAt(n))===a)o+=a;else if(void 0!==(u=r[l]))o+=u;else{if(t.isHex(l)){var s=l;for(n++,l=e.charAt(n);t.isHex(l);)s+=l,n++,l=e.charAt(n);" "===l&&(n++,l=e.charAt(n)),o+=String.fromCharCode(parseInt(s,16));continue}o+=l}else o+=l;n++,l=e.charAt(n)}return o}function c(){var a="";for(l=e.charAt(n);n<i;){if(!t.isIdent(l)){if("\\\\"!==l)return a;if(i<=++n)throw Error("Expected symbol but end of file reached.");if(l=e.charAt(n),!t.identSpecialChars[l]&&t.isHex(l)){var r=l;for(n++,l=e.charAt(n);t.isHex(l);)r+=l,n++,l=e.charAt(n);" "===l&&(n++,l=e.charAt(n)),a+=String.fromCharCode(parseInt(r,16));continue}}a+=l,n++,l=e.charAt(n)}return a}function d(){for(l=e.charAt(n);" "===l||"\\t"===l||"\\n"===l||"\\r"===l||"\\f"===l;)n++,l=e.charAt(n)}function p(){var t=f();if(!t)return null;var a=t;for(l=e.charAt(n);","===l;){if(n++,d(),"selectors"!==a.type&&(a={type:"selectors",selectors:[t]}),!(t=f()))throw Error('Rule expected after ",".');a.selectors.push(t)}return a}function f(){d();var t={type:"ruleSet"},a=D();if(!a)return null;for(var r=t;a&&(a.type="rule",r.rule=a,r=a,d(),l=e.charAt(n),!(i<=n||","===l||")"===l));)if(o[l]){var u=l;if(n++,d(),!(a=D()))throw Error('Rule expected after "'+u+'".');a.nestingOperator=u}else(a=D())&&(a.nestingOperator=null);return t}function D(){for(var o=null;n<i;)if("*"===(l=e.charAt(n)))n++,(o=o||{}).tagName="*";else if(t.isIdentStart(l)||"\\\\"===l)(o=o||{}).tagName=c();else if("."===l)n++,((o=o||{}).classNames=o.classNames||[]).push(c());else if("#"===l)n++,(o=o||{}).id=c();else if("["===l){n++,d();var f={name:c()};if(d(),"]"===l)n++;else{var D="";if(r[l]&&(D=l,n++,l=e.charAt(n)),i<=n)throw Error('Expected "=" but end of file reached.');if("="!==l)throw Error('Expected "=" but "'+l+'" found.');f.operator=D+"=",n++,d();var m="";if(f.valueType="string",'"'===l)m=s('"',t.doubleQuotesEscapeChars);else if("'"===l)m=s("'",t.singleQuoteEscapeChars);else if(u&&"$"===l)n++,m=c(),f.valueType="substitute";else{for(;n<i&&"]"!==l;)m+=l,n++,l=e.charAt(n);m=m.trim()}if(d(),i<=n)throw Error('Expected "]" but end of file reached.');if("]"!==l)throw Error('Expected "]" but "'+l+'" found.');n++,f.value=m}((o=o||{}).attrs=o.attrs||[]).push(f)}else{if(":"!==l)break;if(n++,f={name:D=c()},"("===l){n++;var h="";if(d(),"selector"===a[D])f.valueType="selector",h=p();else{if(f.valueType=a[D]||"string",'"'===l)h=s('"',t.doubleQuotesEscapeChars);else if("'"===l)h=s("'",t.singleQuoteEscapeChars);else if(u&&"$"===l)n++,h=c(),f.valueType="substitute";else{for(;n<i&&")"!==l;)h+=l,n++,l=e.charAt(n);h=h.trim()}d()}if(i<=n)throw Error('Expected ")" but end of file reached.');if(")"!==l)throw Error('Expected ")" but "'+l+'" found.');n++,f.value=h}((o=o||{}).pseudos=o.pseudos||[]).push(f)}return o}var m=p();if(n<i)throw Error('Rule expected but "'+e.charAt(n)+'" found.');return m}})),be=ne((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=he();e.renderEntity=function e(n){var a="";switch(n.type){case"ruleSet":for(var r=n.rule,o=[];r;)r.nestingOperator&&o.push(r.nestingOperator),o.push(e(r)),r=r.rule;a=o.join(" ");break;case"selectors":a=n.selectors.map(e).join(", ");break;case"rule":n.tagName&&(a="*"===n.tagName?"*":t.escapeIdentifier(n.tagName)),n.id&&(a+="#"+t.escapeIdentifier(n.id)),n.classNames&&(a+=n.classNames.map((function(e){return"."+t.escapeIdentifier(e)})).join("")),n.attrs&&(a+=n.attrs.map((function(e){return"operator"in e?"substitute"===e.valueType?"["+t.escapeIdentifier(e.name)+e.operator+"$"+e.value+"]":"["+t.escapeIdentifier(e.name)+e.operator+t.escapeStr(e.value)+"]":"["+t.escapeIdentifier(e.name)+"]"})).join("")),n.pseudos&&(a+=n.pseudos.map((function(n){return n.valueType?"selector"===n.valueType?":"+t.escapeIdentifier(n.name)+"("+e(n.value)+")":"substitute"===n.valueType?":"+t.escapeIdentifier(n.name)+"($"+n.value+")":"numeric"===n.valueType?":"+t.escapeIdentifier(n.name)+"("+n.value+")":":"+t.escapeIdentifier(n.name)+"("+t.escapeIdentifier(n.value)+")":":"+t.escapeIdentifier(n.name)})).join(""));break;default:throw Error('Unknown entity type: "'+n.type+'".')}return a}})),ve=ne((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=ge(),n=be();function a(){this.pseudos={},this.attrEqualityMods={},this.ruleNestingOperators={},this.substitutesEnabled=!1}a.prototype.registerSelectorPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,a=e;n<a.length;n++)this.pseudos[a[n]]="selector";return this},a.prototype.unregisterSelectorPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,a=e;n<a.length;n++)delete this.pseudos[a[n]];return this},a.prototype.registerNumericPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,a=e;n<a.length;n++)this.pseudos[a[n]]="numeric";return this},a.prototype.unregisterNumericPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,a=e;n<a.length;n++)delete this.pseudos[a[n]];return this},a.prototype.registerNestingOperators=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,a=e;n<a.length;n++)this.ruleNestingOperators[a[n]]=!0;return this},a.prototype.unregisterNestingOperators=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,a=e;n<a.length;n++)delete this.ruleNestingOperators[a[n]];return this},a.prototype.registerAttrEqualityMods=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,a=e;n<a.length;n++)this.attrEqualityMods[a[n]]=!0;return this},a.prototype.unregisterAttrEqualityMods=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,a=e;n<a.length;n++)delete this.attrEqualityMods[a[n]];return this},a.prototype.enableSubstitutes=function(){return this.substitutesEnabled=!0,this},a.prototype.disableSubstitutes=function(){return this.substitutesEnabled=!1,this},a.prototype.parse=function(e){return t.parseCssSelector(e,0,this.pseudos,this.attrEqualityMods,this.ruleNestingOperators,this.substitutesEnabled)},a.prototype.render=function(e){return n.renderEntity(e).trim()},e.CssSelectorParser=a})),ye=ne((function(e,t){"use strict";t.exports=function(){}})),Fe=ne((function(e,t){"use strict";var n=ye()();t.exports=function(e){return e!==n&&null!==e}})),we=ne((function(e,t){"use strict";var n=Fe(),a=Array.prototype.forEach,r=Object.create;t.exports=function(e){var t=r(null);return a.call(arguments,(function(e){if(n(e)){var a,r=Object(e),o=t;for(a in r)o[a]=r[a]}})),t}})),Ee=ne((function(e,t){"use strict";t.exports=function(){var e=Math.sign;return"function"==typeof e&&1===e(10)&&-1===e(-20)}})),Ce=ne((function(e,t){"use strict";t.exports=function(e){return e=Number(e),isNaN(e)||0===e?e:0<e?1:-1}})),xe=ne((function(e,t){"use strict";t.exports=Ee()()?Math.sign:Ce()})),Ae=ne((function(e,t){"use strict";var n=xe(),a=Math.abs,r=Math.floor;t.exports=function(e){return isNaN(e)?0:0!==(e=Number(e))&&isFinite(e)?n(e)*r(a(e)):e}})),ke=ne((function(e,t){"use strict";var n=Ae(),a=Math.max;t.exports=function(e){return a(0,n(e))}})),Be=ne((function(e,t){"use strict";var n=ke();t.exports=function(e,t,a){return isNaN(e)?0<=t?a&&t?t-1:t:1:!1!==e&&n(e)}})),Te=ne((function(e,t){"use strict";t.exports=function(e){if("function"!=typeof e)throw new TypeError(e+" is not a function");return e}})),Ne=ne((function(e,t){"use strict";var n=Fe();t.exports=function(e){if(n(e))return e;throw new TypeError("Cannot use null or undefined")}})),Re=ne((function(e,t){"use strict";var n=Te(),a=Ne(),r=Function.prototype.bind,o=Function.prototype.call,u=Object.keys,i=Object.prototype.propertyIsEnumerable;t.exports=function(e,t){return function(l,s){var c,d=arguments[2],p=arguments[3];return l=Object(a(l)),n(s),c=u(l),p&&c.sort("function"==typeof p?r.call(p,l):void 0),"function"!=typeof e&&(e=c[e]),o.call(e,c,(function(e,n){return i.call(l,e)?o.call(s,d,l[e],e,l,n):t}))}}})),_e=ne((function(e,t){"use strict";t.exports=Re()("forEach")})),Oe=ne((function(){})),Se=ne((function(e,t){"use strict";t.exports=function(){var e=Object.assign;return"function"==typeof e&&(e(e={foo:"raz"},{bar:"dwa"},{trzy:"trzy"}),e.foo+e.bar+e.trzy==="razdwatrzy")}})),Me=ne((function(e,t){"use strict";t.exports=function(){try{return Object.keys("primitive"),!0}catch(e){return!1}}})),Pe=ne((function(e,t){"use strict";var n=Fe(),a=Object.keys;t.exports=function(e){return a(n(e)?Object(e):e)}})),Ie=ne((function(e,t){"use strict";t.exports=Me()()?Object.keys:Pe()})),je=ne((function(e,t){"use strict";var n=Ie(),a=Ne(),r=Math.max;t.exports=function(e,t){var o,u,i,l=r(arguments.length,2);for(e=Object(a(e)),i=function(n){try{e[n]=t[n]}catch(n){o=o||n}},u=1;u<l;++u)n(t=arguments[u]).forEach(i);if(void 0!==o)throw o;return e}})),Le=ne((function(e,t){"use strict";t.exports=Se()()?Object.assign:je()})),qe=ne((function(e,t){"use strict";var n=Fe(),a={function:!0,object:!0};t.exports=function(e){return n(e)&&a[r(e)]||!1}})),ze=ne((function(e,t){"use strict";var n=Le(),a=qe(),r=Fe(),o=Error.captureStackTrace;t.exports=function(e){e=new Error(e);var u=arguments[1],i=arguments[2];return r(i)||a(u)&&(i=u,u=null),r(i)&&n(e,i),r(u)&&(e.code=u),o&&o(e,t.exports),e}})),Ve=ne((function(e,t){"use strict";var n=Ne(),a=Object.defineProperty,r=Object.getOwnPropertyDescriptor,o=Object.getOwnPropertyNames,u=Object.getOwnPropertySymbols;t.exports=function(e,t){var i,l=Object(n(t));if(e=Object(n(e)),o(l).forEach((function(n){try{a(e,n,r(t,n))}catch(n){i=n}})),"function"==typeof u&&u(l).forEach((function(n){try{a(e,n,r(t,n))}catch(n){i=n}})),void 0!==i)throw i;return e}})),$e=ne((function(e,t){"use strict";function n(e,t){return t}var a,r,o,u,i,l=ke();try{Object.defineProperty(n,"length",{configurable:!0,writable:!1,enumerable:!1,value:1})}catch(e){}1===n.length?(a={configurable:!0,writable:!1,enumerable:!1},r=Object.defineProperty,t.exports=function(e,t){return t=l(t),e.length===t?e:(a.value=t,r(e,"length",a))}):(u=Ve(),i=[],o=function(e){var t,n=0;if(i[e])return i[e];for(t=[];e--;)t.push("a"+(++n).toString(36));return new Function("fn","return function ("+t.join(", ")+") { return fn.apply(this, arguments); };")},t.exports=function(e,t){if(t=l(t),e.length===t)return e;t=o(t)(e);try{u(t,e)}catch(e){}return t})})),He=ne((function(e,t){"use strict";t.exports=function(e){return null!=e}})),Ue=ne((function(e,t){"use strict";var n=He(),a={object:!0,function:!0,undefined:!0};t.exports=function(e){return!!n(e)&&hasOwnProperty.call(a,r(e))}})),Ge=ne((function(e,t){"use strict";var n=Ue();t.exports=function(e){if(!n(e))return!1;try{return!!e.constructor&&e.constructor.prototype===e}catch(e){return!1}}})),We=ne((function(e,t){"use strict";var n=Ge();t.exports=function(e){if("function"!=typeof e)return!1;if(!hasOwnProperty.call(e,"length"))return!1;try{if("number"!=typeof e.length)return!1;if("function"!=typeof e.call)return!1;if("function"!=typeof e.apply)return!1}catch(e){return!1}return!n(e)}})),Ye=ne((function(e,t){"use strict";var n=We(),a=/^\\s*class[\\s{/}]/,r=Function.prototype.toString;t.exports=function(e){return!!n(e)&&!a.test(r.call(e))}})),Ke=ne((function(e,t){"use strict";var n="razdwatrzy";t.exports=function(){return"function"==typeof n.contains&&!0===n.contains("dwa")&&!1===n.contains("foo")}})),Xe=ne((function(e,t){"use strict";var n=String.prototype.indexOf;t.exports=function(e){return-1<n.call(this,e,arguments[1])}})),Ze=ne((function(e,t){"use strict";t.exports=Ke()()?String.prototype.contains:Xe()})),Je=ne((function(e,t){"use strict";var n=He(),a=Ye(),r=Le(),o=we(),u=Ze();(t.exports=function(e,t){var a,i,l,s;return arguments.length<2||"string"!=typeof e?(s=t,t=e,e=null):s=arguments[2],n(e)?(a=u.call(e,"c"),i=u.call(e,"e"),l=u.call(e,"w")):i=!(a=l=!0),e={value:t,configurable:a,enumerable:i,writable:l},s?r(o(s),e):e}).gs=function(e,t,i){var l,s;return"string"!=typeof e?(s=i,i=t,t=e,e=null):s=arguments[3],n(t)?a(t)?n(i)?a(i)||(s=i,i=void 0):i=void 0:(s=t,t=i=void 0):t=void 0,e=n(e)?(l=u.call(e,"c"),u.call(e,"e")):!(l=!0),t={get:t,set:i,configurable:l,enumerable:e},s?r(o(s),t):t}})),Qe=ne((function(e,t){"use strict";var n=Je(),a=Te(),o=Function.prototype.apply,u=Function.prototype.call,i=Object.create,l=Object.defineProperty,s=Object.defineProperties,c=Object.prototype.hasOwnProperty,d={configurable:!0,enumerable:!1,writable:!0},p=function(e,t){var n;return a(t),c.call(this,"__ee__")?n=this.__ee__:(n=d.value=i(null),l(this,"__ee__",d),d.value=null),n[e]?"object"===r(n[e])?n[e].push(t):n[e]=[n[e],t]:n[e]=t,this},f=function(e,t){var n,r;return a(t),r=this,p.call(this,e,n=function(){D.call(r,e,n),o.call(t,this,arguments)}),n.__eeOnceListener__=t,this},D=function(e,t){var n,o,u,i;if(a(t),c.call(this,"__ee__")&&(n=this.__ee__)[e])if(o=n[e],"object"===r(o))for(i=0;u=o[i];++i)u!==t&&u.__eeOnceListener__!==t||(2===o.length?n[e]=o[i?0:1]:o.splice(i,1));else o!==t&&o.__eeOnceListener__!==t||delete n[e];return this},m=function(e){var t,n,a,i,l;if(c.call(this,"__ee__")&&(i=this.__ee__[e]))if("object"===r(i)){for(n=arguments.length,l=new Array(n-1),t=1;t<n;++t)l[t-1]=arguments[t];for(i=i.slice(),t=0;a=i[t];++t)o.call(a,this,l)}else switch(arguments.length){case 1:u.call(i,this);break;case 2:u.call(i,this,arguments[1]);break;case 3:u.call(i,this,arguments[1],arguments[2]);break;default:for(n=arguments.length,l=new Array(n-1),t=1;t<n;++t)l[t-1]=arguments[t];o.call(i,this,l)}},h={on:p,once:f,off:D,emit:m},g={on:n(p),once:n(f),off:n(D),emit:n(m)},b=s({},g);t.exports=e=function(e){return null==e?i(b):s(Object(e),g)},e.methods=h})),et=ne((function(e,t){"use strict";t.exports=function(){var e,t=Array.from;return"function"==typeof t&&(e=t(t=["raz","dwa"]),Boolean(e&&e!==t&&"dwa"===e[1]))}})),tt=ne((function(e,t){"use strict";t.exports=function(){return"object"===("undefined"==typeof globalThis?"undefined":r(globalThis))&&!!globalThis&&globalThis.Array===Array}})),nt=ne((function(e,n){function a(){if("object"===("undefined"==typeof self?"undefined":r(self))&&self)return self;if("object"===(void 0===t?"undefined":r(t))&&t)return t;throw new Error("Unable to resolve global \`this\`")}n.exports=function(){if(this)return this;try{Object.defineProperty(Object.prototype,"__global__",{get:function(){return this},configurable:!0})}catch(e){return a()}try{return __global__||a()}finally{delete Object.prototype.__global__}}()})),at=ne((function(e,t){"use strict";t.exports=tt()()?globalThis:nt()})),rt=ne((function(e,t){"use strict";var n=at(),a={object:!0,symbol:!0};t.exports=function(){var e,t=n.Symbol;if("function"!=typeof t)return!1;e=t("test symbol");try{String(e)}catch(e){return!1}return!!a[r(t.iterator)]&&!!a[r(t.toPrimitive)]&&!!a[r(t.toStringTag)]}})),ot=ne((function(e,t){"use strict";t.exports=function(e){return!!e&&("symbol"===r(e)||!!e.constructor&&"Symbol"===e.constructor.name&&"Symbol"===e[e.constructor.toStringTag])}})),ut=ne((function(e,t){"use strict";var n=ot();t.exports=function(e){if(n(e))return e;throw new TypeError(e+" is not a symbol")}})),it=ne((function(e,t){"use strict";var n=Je(),a=Object.create,r=Object.defineProperty,o=Object.prototype,u=a(null);t.exports=function(e){for(var t,a,i=0;u[e+(i||"")];)++i;return u[e+=i||""]=!0,r(o,t="@@"+e,n.gs(null,(function(e){a||(a=!0,r(this,t,n(e)),a=!1)}))),t}})),lt=ne((function(e,t){"use strict";var n=Je(),a=at().Symbol;t.exports=function(e){return Object.defineProperties(e,{hasInstance:n("",a&&a.hasInstance||e("hasInstance")),isConcatSpreadable:n("",a&&a.isConcatSpreadable||e("isConcatSpreadable")),iterator:n("",a&&a.iterator||e("iterator")),match:n("",a&&a.match||e("match")),replace:n("",a&&a.replace||e("replace")),search:n("",a&&a.search||e("search")),species:n("",a&&a.species||e("species")),split:n("",a&&a.split||e("split")),toPrimitive:n("",a&&a.toPrimitive||e("toPrimitive")),toStringTag:n("",a&&a.toStringTag||e("toStringTag")),unscopables:n("",a&&a.unscopables||e("unscopables"))})}})),st=ne((function(e,t){"use strict";var n=Je(),a=ut(),r=Object.create(null);t.exports=function(e){return Object.defineProperties(e,{for:n((function(t){return r[t]||(r[t]=e(String(t)))})),keyFor:n((function(e){for(var t in a(e),r)if(r[t]===e)return t}))})}})),ct=ne((function(e,t){"use strict";var n,a,o,u=Je(),i=ut(),l=at().Symbol,s=it(),c=lt(),d=st(),p=Object.create,f=Object.defineProperties,D=Object.defineProperty;if("function"==typeof l)try{String(l()),o=!0}catch(e){}else l=null;a=function(e){if(this instanceof a)throw new TypeError("Symbol is not a constructor");return n(e)},t.exports=n=function e(t){var n;if(this instanceof e)throw new TypeError("Symbol is not a constructor");return o?l(t):(n=p(a.prototype),t=void 0===t?"":String(t),f(n,{__description__:u("",t),__name__:u("",s(t))}))},c(n),d(n),f(a.prototype,{constructor:u(n),toString:u("",(function(){return this.__name__}))}),f(n.prototype,{toString:u((function(){return"Symbol ("+i(this).__description__+")"})),valueOf:u((function(){return i(this)}))}),D(n.prototype,n.toPrimitive,u("",(function(){var e=i(this);return"symbol"===r(e)?e:e.toString()}))),D(n.prototype,n.toStringTag,u("c","Symbol")),D(a.prototype,n.toStringTag,u("c",n.prototype[n.toStringTag])),D(a.prototype,n.toPrimitive,u("c",n.prototype[n.toPrimitive]))})),dt=ne((function(e,t){"use strict";t.exports=rt()()?at().Symbol:ct()})),pt=ne((function(e,t){"use strict";var n=Object.prototype.toString,a=n.call(function(){return arguments}());t.exports=function(e){return n.call(e)===a}})),ft=ne((function(e,t){"use strict";var n=Object.prototype.toString,a=RegExp.prototype.test.bind(/^[object [A-Za-z0-9]*Function]$/);t.exports=function(e){return"function"==typeof e&&a(n.call(e))}})),Dt=ne((function(e,t){"use strict";var n=Object.prototype.toString,a=n.call("");t.exports=function(e){return"string"==typeof e||e&&"object"===r(e)&&(e instanceof String||n.call(e)===a)||!1}})),mt=ne((function(e,t){"use strict";var n=dt().iterator,a=pt(),r=ft(),o=ke(),u=Te(),i=Ne(),l=Fe(),s=Dt(),c=Array.isArray,d=Function.prototype.call,p={configurable:!0,enumerable:!0,writable:!0,value:null},f=Object.defineProperty;t.exports=function(e){var t,D,m,h,g,b,v,y,F,w,E=arguments[1],C=arguments[2];if(e=Object(i(e)),l(E)&&u(E),this&&this!==Array&&r(this))t=this;else{if(!E){if(a(e))return 1!==(g=e.length)?Array.apply(null,e):((h=new Array(1))[0]=e[0],h);if(c(e)){for(h=new Array(g=e.length),D=0;D<g;++D)h[D]=e[D];return h}}h=[]}if(!c(e))if(void 0!==(F=e[n])){for(v=u(F).call(e),t&&(h=new t),y=v.next(),D=0;!y.done;)w=E?d.call(E,C,y.value,D):y.value,t?(p.value=w,f(h,D,p)):h[D]=w,y=v.next(),++D;g=D}else if(s(e)){for(g=e.length,t&&(h=new t),m=D=0;D<g;++D)w=e[D],D+1<g&&55296<=(b=w.charCodeAt(0))&&b<=56319&&(w+=e[++D]),w=E?d.call(E,C,w,m):w,t?(p.value=w,f(h,m,p)):h[m]=w,++m;g=m}if(void 0===g)for(g=o(e.length),t&&(h=new t(g)),D=0;D<g;++D)w=E?d.call(E,C,e[D],D):e[D],t?(p.value=w,f(h,D,p)):h[D]=w;return t&&(p.value=null,h.length=g),h}})),ht=ne((function(e,t){"use strict";t.exports=et()()?Array.from:mt()})),gt=ne((function(e,t){"use strict";var n=ht(),a=Array.isArray;t.exports=function(e){return a(e)?e:n(e)}})),bt=ne((function(e,t){"use strict";var n=gt(),a=Fe(),r=Te(),o=Array.prototype.slice,u=function(e){return this.map((function(t,n){return t?t(e[n]):e[n]})).concat(o.call(e,this.length))};t.exports=function(e){return(e=n(e)).forEach((function(e){a(e)&&r(e)})),u.bind(e)}})),vt=ne((function(e,t){"use strict";var n=Te();t.exports=function(e){var t;return"function"==typeof e?{set:e,get:e}:(t={get:n(e.get)},void 0!==e.set?(t.set=n(e.set),e.delete&&(t.delete=n(e.delete)),e.clear&&(t.clear=n(e.clear))):t.set=t.get,t)}})),yt=ne((function(e,t){"use strict";var n=ze(),a=$e(),r=Je(),o=Qe().methods,u=bt(),i=vt(),l=Function.prototype.apply,s=Function.prototype.call,c=Object.create,d=Object.defineProperties,p=o.on,f=o.emit;t.exports=function(e,t,o){var D,m,h,g,b,v,y,F,w,E,C,x=c(null),A=!1!==t?t:isNaN(e.length)?1:e.length;return o.normalizer&&(E=i(o.normalizer),m=E.get,h=E.set,g=E.delete,b=E.clear),null!=o.resolvers&&(C=u(o.resolvers)),E=m?a((function(t){var a,r,o=arguments;if(C&&(o=C(o)),null!==(a=m(o))&&hasOwnProperty.call(x,a))return y&&D.emit("get",a,o,this),x[a];if(r=1===o.length?s.call(e,this,o[0]):l.call(e,this,o),null===a){if(null!==(a=m(o)))throw n("Circular invocation","CIRCULAR_INVOCATION");a=h(o)}else if(hasOwnProperty.call(x,a))throw n("Circular invocation","CIRCULAR_INVOCATION");return x[a]=r,F&&D.emit("set",a,null,r),r}),A):0===t?function(){var t;if(hasOwnProperty.call(x,"data"))return y&&D.emit("get","data",arguments,this),x.data;if(t=arguments.length?l.call(e,this,arguments):s.call(e,this),hasOwnProperty.call(x,"data"))throw n("Circular invocation","CIRCULAR_INVOCATION");return x.data=t,F&&D.emit("set","data",null,t),t}:function(t){var a,r=arguments;if(C&&(r=C(arguments)),a=String(r[0]),hasOwnProperty.call(x,a))return y&&D.emit("get",a,r,this),x[a];if(r=1===r.length?s.call(e,this,r[0]):l.call(e,this,r),hasOwnProperty.call(x,a))throw n("Circular invocation","CIRCULAR_INVOCATION");return x[a]=r,F&&D.emit("set",a,null,r),r},D={original:e,memoized:E,profileName:o.profileName,get:function(e){return C&&(e=C(e)),m?m(e):String(e[0])},has:function(e){return hasOwnProperty.call(x,e)},delete:function(e){var t;hasOwnProperty.call(x,e)&&(g&&g(e),t=x[e],delete x[e],w)&&D.emit("delete",e,t)},clear:function(){var e=x;b&&b(),x=c(null),D.emit("clear",e)},on:function(e,t){return"get"===e?y=!0:"set"===e?F=!0:"delete"===e&&(w=!0),p.call(this,e,t)},emit:f,updateEnv:function(){e=D.original}},o=m?a((function(e){var t=arguments;C&&(t=C(t)),null!==(t=m(t))&&D.delete(t)}),A):0===t?function(){return D.delete("data")}:function(e){return C&&(e=C(arguments)[0]),D.delete(e)},A=a((function(){var e=arguments;return 0===t?x.data:(C&&(e=C(e)),e=m?m(e):String(e[0]),x[e])})),v=a((function(){var e=arguments;return 0===t?D.has("data"):(C&&(e=C(e)),null!==(e=m?m(e):String(e[0]))&&D.has(e))})),d(E,{__memoized__:r(!0),delete:r(o),clear:r(D.clear),_get:r(A),_has:r(v)}),D}})),Ft=ne((function(e,t){"use strict";var n=Te(),a=_e(),r=Oe(),o=yt(),u=Be();t.exports=function e(t){var i,l,s;if(n(t),(i=Object(arguments[1])).async&&i.promise)throw new Error("Options 'async' and 'promise' cannot be used together");return hasOwnProperty.call(t,"__memoized__")&&!i.force?t:(l=u(i.length,t.length,i.async&&r.async),s=o(t,l,i),a(r,(function(e,t){i[t]&&e(i[t],s,i)})),e.__profiler__&&e.__profiler__(s),s.updateEnv(),s.memoized)}})),wt=ne((function(e,t){"use strict";t.exports=function(e){var t,n,a=e.length;if(!a)return"";for(t=String(e[n=0]);--a;)t+=""+e[++n];return t}})),Et=ne((function(e,t){"use strict";t.exports=function(e){return e?function(t){for(var n=String(t[0]),a=0,r=e;--r;)n+=""+t[++a];return n}:function(){return""}}})),Ct=ne((function(e,t){"use strict";t.exports=function(){var e=Number.isNaN;return"function"==typeof e&&!e({})&&e(NaN)&&!e(34)}})),xt=ne((function(e,t){"use strict";t.exports=function(e){return e!=e}})),At=ne((function(e,t){"use strict";t.exports=Ct()()?Number.isNaN:xt()})),kt=ne((function(e,t){"use strict";var n=At(),a=ke(),r=Ne(),o=Array.prototype.indexOf,u=Object.prototype.hasOwnProperty,i=Math.abs,l=Math.floor;t.exports=function(e){var t,s,c;if(!n(e))return o.apply(this,arguments);for(s=a(r(this).length),e=arguments[1],t=e=isNaN(e)?0:0<=e?l(e):a(this.length)-l(i(e));t<s;++t)if(u.call(this,t)&&(c=this[t],n(c)))return t;return-1}})),Bt=ne((function(e,t){"use strict";var n=kt(),a=Object.create;t.exports=function(){var e=0,t=[],r=a(null);return{get:function(e){var a,r=0,o=t,u=e.length;if(0===u)return o[u]||null;if(o=o[u]){for(;r<u-1;){if(-1===(a=n.call(o[0],e[r])))return null;o=o[1][a],++r}return-1===(a=n.call(o[0],e[r]))?null:o[1][a]||null}return null},set:function(a){var o,u=0,i=t,l=a.length;if(0===l)i[l]=++e;else{for(i[l]||(i[l]=[[],[]]),i=i[l];u<l-1;)-1===(o=n.call(i[0],a[u]))&&(o=i[0].push(a[u])-1,i[1].push([[],[]])),i=i[1][o],++u;-1===(o=n.call(i[0],a[u]))&&(o=i[0].push(a[u])-1),i[1][o]=++e}return r[e]=a,e},delete:function(e){var a,o=0,u=t,i=r[e],l=i.length,s=[];if(0===l)delete u[l];else if(u=u[l]){for(;o<l-1;){if(-1===(a=n.call(u[0],i[o])))return;s.push(u,a),u=u[1][a],++o}if(-1===(a=n.call(u[0],i[o])))return;for(e=u[1][a],u[0].splice(a,1),u[1].splice(a,1);!u[0].length&&s.length;)a=s.pop(),(u=s.pop())[0].splice(a,1),u[1].splice(a,1)}delete r[e]},clear:function(){t=[],r=a(null)}}}})),Tt=ne((function(e,t){"use strict";var n=kt();t.exports=function(){var e=0,t=[],a=[];return{get:function(e){return-1===(e=n.call(t,e[0]))?null:a[e]},set:function(n){return t.push(n[0]),a.push(++e),e},delete:function(e){-1!==(e=n.call(a,e))&&(t.splice(e,1),a.splice(e,1))},clear:function(){t=[],a=[]}}}})),Nt=ne((function(e,t){"use strict";var n=kt(),a=Object.create;t.exports=function(e){var t=0,r=[[],[]],o=a(null);return{get:function(t){for(var a,o=0,u=r;o<e-1;){if(-1===(a=n.call(u[0],t[o])))return null;u=u[1][a],++o}return-1!==(a=n.call(u[0],t[o]))&&u[1][a]||null},set:function(a){for(var u,i=0,l=r;i<e-1;)-1===(u=n.call(l[0],a[i]))&&(u=l[0].push(a[i])-1,l[1].push([[],[]])),l=l[1][u],++i;return-1===(u=n.call(l[0],a[i]))&&(u=l[0].push(a[i])-1),l[1][u]=++t,o[t]=a,t},delete:function(t){for(var a,u=0,i=r,l=[],s=o[t];u<e-1;){if(-1===(a=n.call(i[0],s[u])))return;l.push(i,a),i=i[1][a],++u}if(-1!==(a=n.call(i[0],s[u]))){for(t=i[1][a],i[0].splice(a,1),i[1].splice(a,1);!i[0].length&&l.length;)a=l.pop(),(i=l.pop())[0].splice(a,1),i[1].splice(a,1);delete o[t]}},clear:function(){r=[[],[]],o=a(null)}}}})),Rt=ne((function(e,t){"use strict";var n=Te(),a=_e(),r=Function.prototype.call;t.exports=function(e,t){var o={},u=arguments[2];return n(t),a(e,(function(e,n,a,i){o[n]=r.call(t,u,e,n,a,i)})),o}})),_t=ne((function(e,t){"use strict";function n(e){if("function"!=typeof e)throw new TypeError(e+" is not a function");return e}function o(e){var t,r,o=a.createTextNode(""),u=0;return new e((function(){var e;if(t)r&&(t=r.concat(t));else{if(!r)return;t=r}if(r=t,t=null,"function"==typeof r)e=r,r=null,e();else for(o.data=u=++u%2;r;)e=r.shift(),r.length||(r=null),e()})).observe(o,{characterData:!0}),function(e){n(e),t?"function"==typeof t?t=[t,e]:t.push(e):(t=e,o.data=u=++u%2)}}t.exports=function(){if("object"===("undefined"==typeof process?"undefined":r(process))&&process&&"function"==typeof process.nextTick)return process.nextTick;if("function"==typeof queueMicrotask)return function(e){queueMicrotask(n(e))};if("object"===(void 0===a?"undefined":r(a))&&a){if("function"==typeof MutationObserver)return o(MutationObserver);if("function"==typeof WebKitMutationObserver)return o(WebKitMutationObserver)}return"function"==typeof setImmediate?function(e){setImmediate(n(e))}:"function"==typeof setTimeout||"object"===("undefined"==typeof setTimeout?"undefined":r(setTimeout))?function(e){setTimeout(n(e),0)}:null}()})),Ot=ne((function(){"use strict";var e=ht(),t=Rt(),n=Ve(),a=$e(),r=_t(),o=Array.prototype.slice,u=Function.prototype.apply,i=Object.create;Oe().async=function(l,s){var c,d,p,f=i(null),D=i(null),m=s.memoized,h=s.original;s.memoized=a((function(e){var t=arguments,n=t[t.length-1];return"function"==typeof n&&(c=n,t=o.call(t,0,-1)),m.apply(d=this,p=t)}),m);try{n(s.memoized,m)}catch(l){}s.on("get",(function(e){var t,n,a;c&&(f[e]?("function"==typeof f[e]?f[e]=[f[e],c]:f[e].push(c),c=null):(t=c,n=d,a=p,c=d=p=null,r((function(){var r;hasOwnProperty.call(D,e)?(r=D[e],s.emit("getasync",e,a,n),u.call(t,r.context,r.args)):(c=t,d=n,p=a,m.apply(n,a))}))))})),s.original=function(){var t,n,a,o;return c?(t=e(arguments),a=c,c=d=p=null,t.push(n=function t(n){var a,i,l=t.id;if(null==l)r(u.bind(t,this,arguments));else if(delete t.id,a=f[l],delete f[l],a)return i=e(arguments),s.has(l)&&(n?s.delete(l):(D[l]={context:this,args:i},s.emit("setasync",l,"function"==typeof a?1:a.length))),"function"==typeof a?o=u.call(a,this,i):a.forEach((function(e){o=u.call(e,this,i)}),this),o}),o=u.call(h,this,t),n.cb=a,c=n,o):u.call(h,this,arguments)},s.on("set",(function(e){c?(f[e]?"function"==typeof f[e]?f[e]=[f[e],c.cb]:f[e].push(c.cb):f[e]=c.cb,delete c.cb,c.id=e,c=null):s.delete(e)})),s.on("delete",(function(e){var t;hasOwnProperty.call(f,e)||D[e]&&(t=D[e],delete D[e],s.emit("deleteasync",e,o.call(t.args,1)))})),s.on("clear",(function(){var e=D;D=i(null),s.emit("clearasync",t(e,(function(e){return o.call(e.args,1)})))}))}})),St=ne((function(e,t){"use strict";var n=Array.prototype.forEach,a=Object.create;t.exports=function(e){var t=a(null);return n.call(arguments,(function(e){t[e]=!0})),t}})),Mt=ne((function(e,t){"use strict";t.exports=function(e){return"function"==typeof e}})),Pt=ne((function(e,t){"use strict";var n=Mt();t.exports=function(e){try{return e&&n(e.toString)?e.toString():String(e)}catch(e){throw new TypeError("Passed argument cannot be stringifed")}}})),It=ne((function(e,t){"use strict";var n=Ne(),a=Pt();t.exports=function(e){return a(n(e))}})),jt=ne((function(e,t){"use strict";var n=Mt();t.exports=function(e){try{return e&&n(e.toString)?e.toString():String(e)}catch(e){return"<Non-coercible to string value>"}}})),Lt=ne((function(e,t){"use strict";var n=jt(),a=/[\\n\\r\\u2028\\u2029]/g;t.exports=function(e){return(e=100<(e=n(e)).length?e.slice(0,99)+"…":e).replace(a,(function(e){return JSON.stringify(e).slice(1,-1)}))}})),qt=ne((function(e,t){function n(e){return!!e&&("object"===r(e)||"function"==typeof e)&&"function"==typeof e.then}t.exports=n,t.exports.default=n})),zt=ne((function(){"use strict";var e=Rt(),t=St(),n=It(),a=Lt(),r=qt(),o=_t(),u=Object.create,i=t("then","then:finally","done","done:finally");Oe().promise=function(t,l){var s=u(null),c=u(null),d=u(null);if(!0===t)t=null;else if(t=n(t),!i[t])throw new TypeError("'"+a(t)+"' is not valid promise mode");l.on("set",(function(e,n,a){var u=!1;if(r(a)){s[e]=1,d[e]=a;var i=function(t){var n=s[e];if(u)throw new Error("Memoizee error: Detected unordered then|done & finally resolution, which in turn makes proper detection of success/failure impossible (when in 'done:finally' mode)\\nConsider to rely on 'then' or 'done' mode instead.");n&&(delete s[e],c[e]=t,l.emit("setasync",e,n))},p=function(){u=!0,s[e]&&(delete s[e],delete d[e],l.delete(e))},f=t;if("then"===(f=f||"then")){var D=function(){o(p)};"function"==typeof(a=a.then((function(e){o(i.bind(this,e))}),D)).finally&&a.finally(D)}else if("done"===f){if("function"!=typeof a.done)throw new Error("Memoizee error: Retrieved promise does not implement 'done' in 'done' mode");a.done(i,p)}else if("done:finally"===f){if("function"!=typeof a.done)throw new Error("Memoizee error: Retrieved promise does not implement 'done' in 'done:finally' mode");if("function"!=typeof a.finally)throw new Error("Memoizee error: Retrieved promise does not implement 'finally' in 'done:finally' mode");a.done(i),a.finally(p)}}else c[e]=a,l.emit("setasync",e,1)})),l.on("get",(function(e,t,n){var a,u;s[e]?++s[e]:(a=d[e],u=function(){l.emit("getasync",e,t,n)},r(a)?"function"==typeof a.done?a.done(u):a.then((function(){o(u)})):u())})),l.on("delete",(function(e){var t;delete d[e],s[e]?delete s[e]:hasOwnProperty.call(c,e)&&(t=c[e],delete c[e],l.emit("deleteasync",e,[t]))})),l.on("clear",(function(){var t=c;c=u(null),s=u(null),d=u(null),l.emit("clearasync",e(t,(function(e){return[e]})))}))}})),Vt=ne((function(){"use strict";var e=Te(),t=_e(),n=Oe(),a=Function.prototype.apply;n.dispose=function(r,o,u){var i;e(r),u.async&&n.async||u.promise&&n.promise?(o.on("deleteasync",i=function(e,t){a.call(r,null,t)}),o.on("clearasync",(function(e){t(e,(function(e,t){i(t,e)}))}))):(o.on("delete",i=function(e,t){r(t)}),o.on("clear",(function(e){t(e,(function(e,t){i(t,e)}))})))}})),$t=ne((function(e,t){"use strict";t.exports=2147483647})),Ht=ne((function(e,t){"use strict";var n=ke(),a=$t();t.exports=function(e){if(e=n(e),a<e)throw new TypeError(e+" exceeds maximum possible timeout");return e}})),Ut=ne((function(){"use strict";var e=ht(),t=_e(),n=_t(),a=qt(),r=Ht(),o=Oe(),u=Function.prototype,i=Math.max,l=Math.min,s=Object.create;o.maxAge=function(c,d,p){var f,D,m,h;(c=r(c))&&(f=s(null),D=p.async&&o.async||p.promise&&o.promise?"async":"",d.on("set"+D,(function(e){f[e]=setTimeout((function(){d.delete(e)}),c),"function"==typeof f[e].unref&&f[e].unref(),h&&(h[e]&&"nextTick"!==h[e]&&clearTimeout(h[e]),h[e]=setTimeout((function(){delete h[e]}),m),"function"==typeof h[e].unref)&&h[e].unref()})),d.on("delete"+D,(function(e){clearTimeout(f[e]),delete f[e],h&&("nextTick"!==h[e]&&clearTimeout(h[e]),delete h[e])})),p.preFetch&&(m=!0===p.preFetch||isNaN(p.preFetch)?.333:i(l(Number(p.preFetch),1),0))&&(h={},m=(1-m)*c,d.on("get"+D,(function(t,r,o){h[t]||(h[t]="nextTick",n((function(){var n;"nextTick"===h[t]&&(delete h[t],d.delete(t),p.async&&(r=e(r)).push(u),n=d.memoized.apply(o,r),p.promise)&&a(n)&&("function"==typeof n.done?n.done(u,u):n.then(u,u))})))}))),d.on("clear"+D,(function(){t(f,(function(e){clearTimeout(e)})),f={},h&&(t(h,(function(e){"nextTick"!==e&&clearTimeout(e)})),h={})})))}})),Gt=ne((function(e,t){"use strict";var n=ke(),a=Object.create,r=Object.prototype.hasOwnProperty;t.exports=function(e){var t,o=0,u=1,i=a(null),l=a(null),s=0;return e=n(e),{hit:function(n){var a=l[n],c=++s;if(i[c]=n,l[n]=c,!a)return++o<=e?void 0:(n=i[u],t(n),n);if(delete i[a],u===a)for(;!r.call(i,++u););},delete:t=function(e){var t=l[e];if(t&&(delete i[t],delete l[e],--o,u===t))if(o)for(;!r.call(i,++u););else s=0,u=1},clear:function(){o=0,u=1,i=a(null),l=a(null),s=0}}}})),Wt=ne((function(){"use strict";var e=ke(),t=Gt(),n=Oe();n.max=function(a,r,o){var u;(a=e(a))&&(u=t(a),a=o.async&&n.async||o.promise&&n.promise?"async":"",r.on("set"+a,o=function(e){void 0!==(e=u.hit(e))&&r.delete(e)}),r.on("get"+a,o),r.on("delete"+a,u.delete),r.on("clear"+a,u.clear))}})),Yt=ne((function(){"use strict";var e=Je(),t=Oe(),n=Object.create,a=Object.defineProperties;t.refCounter=function(r,o,u){var i=n(null);u=u.async&&t.async||u.promise&&t.promise?"async":"";o.on("set"+u,(function(e,t){i[e]=t||1})),o.on("get"+u,(function(e){++i[e]})),o.on("delete"+u,(function(e){delete i[e]})),o.on("clear"+u,(function(){i={}})),a(o.memoized,{deleteRef:e((function(){var e=o.get(arguments);return null!==e&&i[e]?!--i[e]&&(o.delete(e),!0):null})),getRefCount:e((function(){var e=o.get(arguments);return null!==e&&i[e]||0}))})}})),Kt=ne((function(e,t){"use strict";var n=we(),a=Be(),r=Ft();t.exports=function(e){var t,o=n(arguments[1]);return o.normalizer||0!==(t=o.length=a(o.length,e.length,o.async))&&(o.primitive?!1===t?o.normalizer=wt():1<t&&(o.normalizer=Et()(t)):o.normalizer=!1===t?Bt()():1===t?Tt()():Nt()(t)),o.async&&Ot(),o.promise&&zt(),o.dispose&&Vt(),o.maxAge&&Ut(),o.max&&Wt(),o.refCounter&&Yt(),r(e,o)}})),Xt=ne((function(e,a){!function(){"use strict";var e={name:"doT",version:"1.1.1",templateSettings:{evaluate:/\\{\\{([\\s\\S]+?(\\}?)+)\\}\\}/g,interpolate:/\\{\\{=([\\s\\S]+?)\\}\\}/g,encode:/\\{\\{!([\\s\\S]+?)\\}\\}/g,use:/\\{\\{#([\\s\\S]+?)\\}\\}/g,useParams:/(^|[^\\w$])def(?:\\.|\\[[\\'\\"])([\\w$\\.]+)(?:[\\'\\"]\\])?\\s*\\:\\s*([\\w$\\.]+|\\"[^\\"]+\\"|\\'[^\\']+\\'|\\{[^\\}]+\\})/g,define:/\\{\\{##\\s*([\\w\\.$]+)\\s*(\\:|=)([\\s\\S]+?)#\\}\\}/g,defineParams:/^\\s*([\\w$]+):([\\s\\S]+)/,conditional:/\\{\\{\\?(\\?)?\\s*([\\s\\S]*?)\\s*\\}\\}/g,iterate:/\\{\\{~\\s*(?:\\}\\}|([\\s\\S]+?)\\s*\\:\\s*([\\w$]+)\\s*(?:\\:\\s*([\\w$]+))?\\s*\\}\\})/g,varname:"it",strip:!0,append:!0,selfcontained:!1,doNotSkipEncoded:!1},template:void 0,compile:void 0,log:!0};if("object"!==("undefined"==typeof globalThis?"undefined":r(globalThis)))try{Object.defineProperty(Object.prototype,"__magic__",{get:function(){return this},configurable:!0}),__magic__.globalThis=__magic__,delete Object.prototype.__magic__}catch(e){t.globalThis=function(){if("undefined"!=typeof self)return self;if(void 0!==t)return t;if(void 0!==n)return n;if(void 0!==this)return this;throw new Error("Unable to locate global \`this\`")}()}e.encodeHTMLSource=function(e){var t={"&":"&#38;","<":"&#60;",">":"&#62;",'"':"&#34;","'":"&#39;","/":"&#47;"},n=e?/[&<>"'\\/]/g:/&(?!#?\\w+;)|<|>|"|'|\\//g;return function(e){return e?e.toString().replace(n,(function(e){return t[e]||e})):""}},void 0!==a&&a.exports?a.exports=e:"function"==typeof define&&define.amd?define((function(){return e})):globalThis.doT=e;var o={append:{start:"'+(",end:")+'",startencode:"'+encodeHTML("},split:{start:"';out+=(",end:");out+='",startencode:"';out+=encodeHTML("}},u=/$^/;function i(e){return e.replace(/\\\\('|\\\\)/g,"$1").replace(/[\\r\\t\\n]/g," ")}e.template=function(t,n,a){var r,l,s=(n=n||e.templateSettings).append?o.append:o.split,c=0;a=n.use||n.define?function e(t,n,a){return("string"==typeof n?n:n.toString()).replace(t.define||u,(function(e,n,r,o){return(n=0===n.indexOf("def.")?n.substring(4):n)in a||(":"===r?(t.defineParams&&o.replace(t.defineParams,(function(e,t,r){a[n]={arg:t,text:r}})),n in a||(a[n]=o)):new Function("def","def['"+n+"']="+o)(a)),""})).replace(t.use||u,(function(n,r){return t.useParams&&(r=r.replace(t.useParams,(function(e,t,n,r){var o;if(a[n]&&a[n].arg&&r)return o=(n+":"+r).replace(/'|\\\\/g,"_"),a.__exp=a.__exp||{},a.__exp[o]=a[n].text.replace(new RegExp("(^|[^\\\\w$])"+a[n].arg+"([^\\\\w$])","g"),"$1"+r+"$2"),t+"def.__exp['"+o+"']"}))),(r=new Function("def","return "+r)(a))&&e(t,r,a)}))}(n,t,a||{}):t,a=("var out='"+(n.strip?a.replace(/(^|\\r|\\n)\\t* +| +\\t*(\\r|\\n|$)/g," ").replace(/\\r|\\n|\\t|\\/\\*[\\s\\S]*?\\*\\//g,""):a).replace(/'|\\\\/g,"\\\\$&").replace(n.interpolate||u,(function(e,t){return s.start+i(t)+s.end})).replace(n.encode||u,(function(e,t){return r=!0,s.startencode+i(t)+s.end})).replace(n.conditional||u,(function(e,t,n){return t?n?"';}else if("+i(n)+"){out+='":"';}else{out+='":n?"';if("+i(n)+"){out+='":"';}out+='"})).replace(n.iterate||u,(function(e,t,n,a){return t?(c+=1,l=a||"i"+c,t=i(t),"';var arr"+c+"="+t+";if(arr"+c+"){var "+n+","+l+"=-1,l"+c+"=arr"+c+".length-1;while("+l+"<l"+c+"){"+n+"=arr"+c+"["+l+"+=1];out+='"):"';} } out+='"})).replace(n.evaluate||u,(function(e,t){return"';"+i(t)+"out+='"}))+"';return out;").replace(/\\n/g,"\\\\n").replace(/\\t/g,"\\\\t").replace(/\\r/g,"\\\\r").replace(/(\\s|;|\\}|^|\\{)out\\+='';/g,"$1").replace(/\\+''/g,"");r&&(n.selfcontained||!globalThis||globalThis._encodeHTML||(globalThis._encodeHTML=e.encodeHTMLSource(n.doNotSkipEncoded)),a="var encodeHTML = typeof _encodeHTML !== 'undefined' ? _encodeHTML : ("+e.encodeHTMLSource.toString()+"("+(n.doNotSkipEncoded||"")+"));"+a);try{return new Function(n.varname,a)}catch(t){throw"undefined"!=typeof console&&console.log("Could not create a template function: "+a),t}},e.compile=function(t,n){return e.template(t,null,n)}}()})),Zt=ne((function(e,o){var u;u=function(){"use strict";function e(e){return"function"==typeof e}var o=Array.isArray||function(e){return"[object Array]"===Object.prototype.toString.call(e)},u=0,i=void 0,l=void 0,s=function(e,t){m[u]=e,m[u+1]=t,2===(u+=2)&&(l?l(h):y())},c=void 0!==t?t:void 0,d=(d=c||{}).MutationObserver||d.WebKitMutationObserver,p="undefined"==typeof self&&"undefined"!=typeof process&&"[object process]"==={}.toString.call(process),f="undefined"!=typeof Uint8ClampedArray&&"undefined"!=typeof importScripts&&"undefined"!=typeof MessageChannel;function D(){var e=setTimeout;return function(){return e(h,1)}}var m=new Array(1e3);function h(){for(var e=0;e<u;e+=2)(0,m[e])(m[e+1]),m[e]=void 0,m[e+1]=void 0;u=0}var g,b,v,y=void 0;function F(e,t){var n,a=this,r=new this.constructor(C),o=(void 0===r[E]&&I(r),a._state);return o?(n=arguments[o-1],s((function(){return M(o,r,n,a._result)}))):O(a,r,e,t),r}function w(e){var t;return e&&"object"===r(e)&&e.constructor===this?e:(T(t=new this(C),e),t)}y=p?function(){return process.nextTick(h)}:d?(b=0,p=new d(h),v=a.createTextNode(""),p.observe(v,{characterData:!0}),function(){v.data=b=++b%2}):f?((g=new MessageChannel).port1.onmessage=h,function(){return g.port2.postMessage(0)}):(void 0===c?function(){try{var e=Function("return this")().require("vertx");return void 0!==(i=e.runOnLoop||e.runOnContext)?function(){i(h)}:D()}catch(e){return D()}}:D)();var E=Math.random().toString(36).substring(2);function C(){}var x=void 0,A=1,k=2;function B(t,n,a){var r,o;n.constructor===t.constructor&&a===F&&n.constructor.resolve===w?(r=t,(o=n)._state===A?R(r,o._result):o._state===k?_(r,o._result):O(o,void 0,(function(e){return T(r,e)}),(function(e){return _(r,e)}))):void 0!==a&&e(a)?function(e,t,n){s((function(e){var a=!1,r=function(e,t,n,a){try{e.call(t,n,a)}catch(e){return e}}(n,t,(function(n){a||(a=!0,(t!==n?T:R)(e,n))}),(function(t){a||(a=!0,_(e,t))}),e._label);!a&&r&&(a=!0,_(e,r))}),e)}(t,n,a):R(t,n)}function T(e,t){if(e===t)_(e,new TypeError("You cannot resolve a promise with itself"));else if(a=r(n=t),null===n||"object"!==a&&"function"!==a)R(e,t);else{n=void 0;try{n=t.then}catch(t){return void _(e,t)}B(e,t,n)}var n,a}function N(e){e._onerror&&e._onerror(e._result),S(e)}function R(e,t){e._state===x&&(e._result=t,e._state=A,0!==e._subscribers.length)&&s(S,e)}function _(e,t){e._state===x&&(e._state=k,e._result=t,s(N,e))}function O(e,t,n,a){var r=e._subscribers,o=r.length;e._onerror=null,r[o]=t,r[o+A]=n,r[o+k]=a,0===o&&e._state&&s(S,e)}function S(e){var t=e._subscribers,n=e._state;if(0!==t.length){for(var a,r=void 0,o=e._result,u=0;u<t.length;u+=3)a=t[u],r=t[u+n],a?M(n,a,r,o):r(o);e._subscribers.length=0}}function M(t,n,a,r){var o=e(a),u=void 0,i=void 0,l=!0;if(o){try{u=a(r)}catch(t){l=!1,i=t}if(n===u)return void _(n,new TypeError("A promises callback cannot return that same promise."))}else u=r;n._state===x&&(o&&l?T(n,u):!1===l?_(n,i):t===A?R(n,u):t===k&&_(n,u))}var P=0;function I(e){e[E]=P++,e._state=void 0,e._result=void 0,e._subscribers=[]}L.prototype._enumerate=function(e){for(var t=0;this._state===x&&t<e.length;t++)this._eachEntry(e[t],t)},L.prototype._eachEntry=function(e,t){var n=this._instanceConstructor,a=n.resolve;if(a===w){var r,o=void 0,u=void 0,i=!1;try{o=e.then}catch(t){i=!0,u=t}o===F&&e._state!==x?this._settledAt(e._state,t,e._result):"function"!=typeof o?(this._remaining--,this._result[t]=e):n===q?(r=new n(C),i?_(r,u):B(r,e,o),this._willSettleAt(r,t)):this._willSettleAt(new n((function(t){return t(e)})),t)}else this._willSettleAt(a(e),t)},L.prototype._settledAt=function(e,t,n){var a=this.promise;a._state===x&&(this._remaining--,e===k?_(a,n):this._result[t]=n),0===this._remaining&&R(a,this._result)},L.prototype._willSettleAt=function(e,t){var n=this;O(e,void 0,(function(e){return n._settledAt(A,t,e)}),(function(e){return n._settledAt(k,t,e)}))};var j=L;function L(e,t){this._instanceConstructor=e,this.promise=new e(C),this.promise[E]||I(this.promise),o(t)?(this.length=t.length,this._remaining=t.length,this._result=new Array(this.length),0!==this.length&&(this.length=this.length||0,this._enumerate(t),0!==this._remaining)||R(this.promise,this._result)):_(this.promise,new Error("Array Methods must be provided an Array"))}z.prototype.catch=function(e){return this.then(null,e)},z.prototype.finally=function(t){var n=this.constructor;return e(t)?this.then((function(e){return n.resolve(t()).then((function(){return e}))}),(function(e){return n.resolve(t()).then((function(){throw e}))})):this.then(t,t)};var q=z;function z(e){if(this[E]=P++,this._result=this._state=void 0,this._subscribers=[],C!==e){if("function"!=typeof e)throw new TypeError("You must pass a resolver function as the first argument to the promise constructor");if(!(this instanceof z))throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.");var t=this;try{e((function(e){T(t,e)}),(function(e){_(t,e)}))}catch(e){_(t,e)}}}return q.prototype.then=F,q.all=function(e){return new j(this,e).promise},q.race=function(e){var t=this;return o(e)?new t((function(n,a){for(var r=e.length,o=0;o<r;o++)t.resolve(e[o]).then(n,a)})):new t((function(e,t){return t(new TypeError("You must pass an array to race."))}))},q.resolve=w,q.reject=function(e){var t=new this(C);return _(t,e),t},q._setScheduler=function(e){l=e},q._setAsap=function(e){s=e},q._asap=s,q.polyfill=function(){var e=void 0;if(void 0!==n)e=n;else if("undefined"!=typeof self)e=self;else try{e=Function("return this")()}catch(e){throw new Error("polyfill failed because global object is unavailable in this environment")}var t=e.Promise;if(t){var a=null;try{a=Object.prototype.toString.call(t.resolve())}catch(e){}if("[object Promise]"===a&&!t.cast)return}e.Promise=q},q.Promise=q},"object"===r(e)&&void 0!==o?o.exports=u():"function"==typeof define&&define.amd?define(u):e.ES6Promise=u()})),Jt=ne((function(e){var t,n,a=1e5,o=(t=Object.prototype.toString,n=Object.prototype.hasOwnProperty,{Class:function(e){return t.call(e).replace(/^\\[object *|\\]$/g,"")},HasProperty:function(e,t){return t in e},HasOwnProperty:function(e,t){return n.call(e,t)},IsCallable:function(e){return"function"==typeof e},ToInt32:function(e){return e>>0},ToUint32:function(e){return e>>>0}}),u=Math.LN2,i=Math.abs,l=Math.floor,s=Math.log,c=Math.min,d=Math.pow,p=Math.round;function f(e,t,n){return e<t?t:n<e?n:e}var D,m,h,g,b,v,y,F,w,E,C,x=Object.getOwnPropertyNames||function(e){if(e!==Object(e))throw new TypeError("Object.getOwnPropertyNames called on non-object");var t,n=[];for(t in e)o.HasOwnProperty(e,t)&&n.push(t);return n};function A(e){if(x&&D)for(var t=x(e),n=0;n<t.length;n+=1)D(e,t[n],{value:e[t[n]],writable:!1,enumerable:!1,configurable:!1})}function k(e){if(D){if(e.length>a)throw new RangeError("Array too large for polyfill");for(var t=0;t<e.length;t+=1)!function(t){D(e,t,{get:function(){return e._getter(t)},set:function(n){e._setter(t,n)},enumerable:!0,configurable:!1})}(t)}}function B(e,t){return e<<(t=32-t)>>t}function T(e,t){return e<<(t=32-t)>>>t}function N(e){return T(e[0],8)}function R(e,t,n){var a,r,o,p,f,D,m,h=(1<<t-1)-1;function g(e){var t=l(e);return(e=e-t)<.5||!(.5<e||t%2)?t:t+1}for(e!=e?(r=(1<<t)-1,o=d(2,n-1),a=0):e===1/0||e===-1/0?(r=(1<<t)-1,a=e<(o=0)?1:0):0===e?a=1/e==-1/(o=r=0)?1:0:(a=e<0,(e=i(e))>=d(2,1-h)?(r=c(l(s(e)/u),1023),2<=(o=g(e/d(2,r)*d(2,n)))/d(2,n)&&(r+=1,o=1),h<r?(r=(1<<t)-1,o=0):(r+=h,o-=d(2,n))):(r=0,o=g(e/d(2,1-h-n)))),f=[],p=n;p;--p)f.push(o%2?1:0),o=l(o/2);for(p=t;p;--p)f.push(r%2?1:0),r=l(r/2);for(f.push(a?1:0),f.reverse(),D=f.join(""),m=[];D.length;)m.push(parseInt(D.substring(0,8),2)),D=D.substring(8);return m}function _(e,t,n){for(var a,r,o,u,i,l,s=[],c=e.length;c;--c)for(r=e[c-1],a=8;a;--a)s.push(r%2?1:0),r>>=1;return s.reverse(),l=s.join(""),o=(1<<t-1)-1,u=parseInt(l.substring(0,1),2)?-1:1,i=parseInt(l.substring(1,1+t),2),l=parseInt(l.substring(1+t),2),i===(1<<t)-1?0===l?1/0*u:NaN:0<i?u*d(2,i-o)*(1+l/d(2,n)):0!==l?u*d(2,-(o-1))*(l/d(2,n)):u<0?-0:0}function O(e){if((e=o.ToInt32(e))<0)throw new RangeError("ArrayBuffer size is not a small enough positive integer");var t;for(this.byteLength=e,this._bytes=[],this._bytes.length=e,t=0;t<this.byteLength;t+=1)this._bytes[t]=0;A(this)}function S(){}function M(e,t,n){var a=function(e,t,n){var u,i,l,s;if(arguments.length&&"number"!=typeof e)if("object"===r(e)&&e.constructor===a)for(this.length=(u=e).length,this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new O(this.byteLength),l=this.byteOffset=0;l<this.length;l+=1)this._setter(l,u._getter(l));else if("object"!==r(e)||e instanceof O||"ArrayBuffer"===o.Class(e)){if("object"!==r(e)||!(e instanceof O||"ArrayBuffer"===o.Class(e)))throw new TypeError("Unexpected argument type(s)");if(this.buffer=e,this.byteOffset=o.ToUint32(t),this.byteOffset>this.buffer.byteLength)throw new RangeError("byteOffset out of range");if(this.byteOffset%this.BYTES_PER_ELEMENT)throw new RangeError("ArrayBuffer length minus the byteOffset is not a multiple of the element size.");if(arguments.length<3){if(this.byteLength=this.buffer.byteLength-this.byteOffset,this.byteLength%this.BYTES_PER_ELEMENT)throw new RangeError("length of buffer minus byteOffset not a multiple of the element size");this.length=this.byteLength/this.BYTES_PER_ELEMENT}else this.length=o.ToUint32(n),this.byteLength=this.length*this.BYTES_PER_ELEMENT;if(this.byteOffset+this.byteLength>this.buffer.byteLength)throw new RangeError("byteOffset and length reference an area beyond the end of the buffer")}else for(this.length=o.ToUint32((i=e).length),this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new O(this.byteLength),l=this.byteOffset=0;l<this.length;l+=1)s=i[l],this._setter(l,Number(s));else{if(this.length=o.ToInt32(e),n<0)throw new RangeError("ArrayBufferView size is not a small enough positive integer");this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new O(this.byteLength),this.byteOffset=0}this.constructor=a,A(this),k(this)};return(a.prototype=new S).BYTES_PER_ELEMENT=e,a.prototype._pack=t,a.prototype._unpack=n,a.BYTES_PER_ELEMENT=e,a.prototype.get=a.prototype._getter=function(e){if(arguments.length<1)throw new SyntaxError("Not enough arguments");if(!((e=o.ToUint32(e))>=this.length)){for(var t=[],n=0,a=this.byteOffset+e*this.BYTES_PER_ELEMENT;n<this.BYTES_PER_ELEMENT;n+=1,a+=1)t.push(this.buffer._bytes[a]);return this._unpack(t)}},a.prototype._setter=function(e,t){if(arguments.length<2)throw new SyntaxError("Not enough arguments");if((e=o.ToUint32(e))<this.length)for(var n=this._pack(t),a=0,r=this.byteOffset+e*this.BYTES_PER_ELEMENT;a<this.BYTES_PER_ELEMENT;a+=1,r+=1)this.buffer._bytes[r]=n[a]},a.prototype.set=function(e,t){if(arguments.length<1)throw new SyntaxError("Not enough arguments");var n,a,u,i,l,s,c,d,p,f;if("object"===r(e)&&e.constructor===this.constructor){if(n=e,(u=o.ToUint32(t))+n.length>this.length)throw new RangeError("Offset plus length of array is out of range");if(d=this.byteOffset+u*this.BYTES_PER_ELEMENT,p=n.length*this.BYTES_PER_ELEMENT,n.buffer===this.buffer){for(f=[],l=0,s=n.byteOffset;l<p;l+=1,s+=1)f[l]=n.buffer._bytes[s];for(l=0,c=d;l<p;l+=1,c+=1)this.buffer._bytes[c]=f[l]}else for(l=0,s=n.byteOffset,c=d;l<p;l+=1,s+=1,c+=1)this.buffer._bytes[c]=n.buffer._bytes[s]}else{if("object"!==r(e)||void 0===e.length)throw new TypeError("Unexpected argument type(s)");if(i=o.ToUint32((a=e).length),(u=o.ToUint32(t))+i>this.length)throw new RangeError("Offset plus length of array is out of range");for(l=0;l<i;l+=1)s=a[l],this._setter(u+l,Number(s))}},a.prototype.subarray=function(e,t){e=o.ToInt32(e),t=o.ToInt32(t),arguments.length<1&&(e=0),arguments.length<2&&(t=this.length),e<0&&(e=this.length+e),t<0&&(t=this.length+t),e=f(e,0,this.length);var n=(t=f(t,0,this.length))-e;return new this.constructor(this.buffer,this.byteOffset+e*this.BYTES_PER_ELEMENT,n=n<0?0:n)},a}function P(e,t){return o.IsCallable(e.get)?e.get(t):e[t]}function I(t,n,a){if(0===arguments.length)t=new e.ArrayBuffer(0);else if(!(t instanceof e.ArrayBuffer||"ArrayBuffer"===o.Class(t)))throw new TypeError("TypeError");if(this.buffer=t||new e.ArrayBuffer(0),this.byteOffset=o.ToUint32(n),this.byteOffset>this.buffer.byteLength)throw new RangeError("byteOffset out of range");if(this.byteLength=arguments.length<3?this.buffer.byteLength-this.byteOffset:o.ToUint32(a),this.byteOffset+this.byteLength>this.buffer.byteLength)throw new RangeError("byteOffset and length reference an area beyond the end of the buffer");A(this)}function j(t){return function(n,a){if((n=o.ToUint32(n))+t.BYTES_PER_ELEMENT>this.byteLength)throw new RangeError("Array index out of range");n+=this.byteOffset;for(var r=new e.Uint8Array(this.buffer,n,t.BYTES_PER_ELEMENT),u=[],i=0;i<t.BYTES_PER_ELEMENT;i+=1)u.push(P(r,i));return Boolean(a)===Boolean(C)&&u.reverse(),P(new t(new e.Uint8Array(u).buffer),0)}}function L(t){return function(n,a,r){if((n=o.ToUint32(n))+t.BYTES_PER_ELEMENT>this.byteLength)throw new RangeError("Array index out of range");a=new t([a]);for(var u=new e.Uint8Array(a.buffer),i=[],l=0;l<t.BYTES_PER_ELEMENT;l+=1)i.push(P(u,l));Boolean(r)===Boolean(C)&&i.reverse(),new e.Uint8Array(this.buffer,n,t.BYTES_PER_ELEMENT).set(i)}}D=Object.defineProperty&&function(){try{return Object.defineProperty({},"x",{}),1}catch(e){}}()?Object.defineProperty:function(e,t,n){if(!e===Object(e))throw new TypeError("Object.defineProperty called on non-object");return o.HasProperty(n,"get")&&Object.prototype.__defineGetter__&&Object.prototype.__defineGetter__.call(e,t,n.get),o.HasProperty(n,"set")&&Object.prototype.__defineSetter__&&Object.prototype.__defineSetter__.call(e,t,n.set),o.HasProperty(n,"value")&&(e[t]=n.value),e},e.ArrayBuffer=e.ArrayBuffer||O,E=M(1,(function(e){return[255&e]}),(function(e){return B(e[0],8)})),m=M(1,(function(e){return[255&e]}),N),h=M(1,(function(e){return[(e=p(Number(e)))<0?0:255<e?255:255&e]}),N),g=M(2,(function(e){return[e>>8&255,255&e]}),(function(e){return B(e[0]<<8|e[1],16)})),b=M(2,(function(e){return[e>>8&255,255&e]}),(function(e){return T(e[0]<<8|e[1],16)})),v=M(4,(function(e){return[e>>24&255,e>>16&255,e>>8&255,255&e]}),(function(e){return B(e[0]<<24|e[1]<<16|e[2]<<8|e[3],32)})),y=M(4,(function(e){return[e>>24&255,e>>16&255,e>>8&255,255&e]}),(function(e){return T(e[0]<<24|e[1]<<16|e[2]<<8|e[3],32)})),F=M(4,(function(e){return R(e,8,23)}),(function(e){return _(e,8,23)})),w=M(8,(function(e){return R(e,11,52)}),(function(e){return _(e,11,52)})),e.Int8Array=e.Int8Array||E,e.Uint8Array=e.Uint8Array||m,e.Uint8ClampedArray=e.Uint8ClampedArray||h,e.Int16Array=e.Int16Array||g,e.Uint16Array=e.Uint16Array||b,e.Int32Array=e.Int32Array||v,e.Uint32Array=e.Uint32Array||y,e.Float32Array=e.Float32Array||F,e.Float64Array=e.Float64Array||w,E=new e.Uint16Array([4660]),C=18===P(new e.Uint8Array(E.buffer),0),I.prototype.getUint8=j(e.Uint8Array),I.prototype.getInt8=j(e.Int8Array),I.prototype.getUint16=j(e.Uint16Array),I.prototype.getInt16=j(e.Int16Array),I.prototype.getUint32=j(e.Uint32Array),I.prototype.getInt32=j(e.Int32Array),I.prototype.getFloat32=j(e.Float32Array),I.prototype.getFloat64=j(e.Float64Array),I.prototype.setUint8=L(e.Uint8Array),I.prototype.setInt8=L(e.Int8Array),I.prototype.setUint16=L(e.Uint16Array),I.prototype.setInt16=L(e.Int16Array),I.prototype.setUint32=L(e.Uint32Array),I.prototype.setInt32=L(e.Int32Array),I.prototype.setFloat32=L(e.Float32Array),I.prototype.setFloat64=L(e.Float64Array),e.DataView=e.DataView||I})),Qt=ne((function(e){!function(e){"use strict";var t,n,a;function o(){if(void 0===this)throw new TypeError("Constructor WeakMap requires 'new'");if(a(this,"_id","_WeakMap_"+i()+"."+i()),0<arguments.length)throw new TypeError("WeakMap iterable is not supported")}function u(e,n){if(!l(e)||!t.call(e,"_id"))throw new TypeError(n+" method called on incompatible receiver "+r(e))}function i(){return Math.random().toString().substring(2)}function l(e){return Object(e)===e}e.WeakMap||(t=Object.prototype.hasOwnProperty,n=Object.defineProperty&&function(){try{return 1===Object.defineProperty({},"x",{value:1}).x}catch(e){}}(),e.WeakMap=((a=function(e,t,a){n?Object.defineProperty(e,t,{configurable:!0,writable:!0,value:a}):e[t]=a})(o.prototype,"delete",(function(e){var t;return u(this,"delete"),!!l(e)&&!(!(t=e[this._id])||t[0]!==e||(delete e[this._id],0))})),a(o.prototype,"get",(function(e){var t;return u(this,"get"),l(e)&&(t=e[this._id])&&t[0]===e?t[1]:void 0})),a(o.prototype,"has",(function(e){var t;return u(this,"has"),!!l(e)&&!(!(t=e[this._id])||t[0]!==e)})),a(o.prototype,"set",(function(e,t){var n;if(u(this,"set"),l(e))return(n=e[this._id])&&n[0]===e?n[1]=t:a(e,this._id,[e,t]),this;throw new TypeError("Invalid value used as weak map key")})),a(o,"_polyfill",!0),o))}("undefined"!=typeof globalThis?globalThis:"undefined"!=typeof self?self:void 0!==t?t:void 0!==n?n:e)})),en={helpUrlBase:"https://dequeuniversity.com/rules/",gridSize:200,results:[],resultGroups:[],resultGroupMap:{},impact:Object.freeze(["minor","moderate","serious","critical"]),preload:Object.freeze({assets:["cssom","media"],timeout:1e4}),allOrigins:"<unsafe_all_origins>",sameOrigin:"<same_origin>"},tn=([{name:"NA",value:"inapplicable",priority:0,group:"inapplicable"},{name:"PASS",value:"passed",priority:1,group:"passes"},{name:"CANTTELL",value:"cantTell",priority:2,group:"incomplete"},{name:"FAIL",value:"failed",priority:3,group:"violations"}].forEach((function(e){var t=e.name,n=e.value,a=e.priority;e=e.group;en[t]=n,en[t+"_PRIO"]=a,en[t+"_GROUP"]=e,en.results[a]=n,en.resultGroups[a]=e,en.resultGroupMap[n]=e})),Object.freeze(en.results),Object.freeze(en.resultGroups),Object.freeze(en.resultGroupMap),Object.freeze(en),en),nn=function(){"object"===("undefined"==typeof console?"undefined":r(console))&&console.log&&Function.prototype.apply.call(console.log,console,arguments)},an=/[\\t\\r\\n\\f]/g;function rn(){K(this,rn),this.parent=void 0}Z(rn,[{key:"props",get:function(){throw new Error('VirtualNode class must have a "props" object consisting of "nodeType" and "nodeName" properties')}},{key:"attrNames",get:function(){throw new Error('VirtualNode class must have an "attrNames" property')}},{key:"attr",value:function(){throw new Error('VirtualNode class must have an "attr" function')}},{key:"hasAttr",value:function(){throw new Error('VirtualNode class must have a "hasAttr" function')}},{key:"hasClass",value:function(e){var t=this.attr("class");return!!t&&(e=" "+e+" ",0<=(" "+t+" ").replace(an," ").indexOf(e))}}]);var on=rn,un={},ln=(ae(un,{DqElement:function(){return Jn},aggregate:function(){return ln},aggregateChecks:function(){return Dn},aggregateNodeResults:function(){return hn},aggregateResult:function(){return bn},areStylesSet:function(){return vn},assert:function(){return yn},checkHelper:function(){return Qn},clone:function(){return ea},closest:function(){return ca},collectResultsFromFrames:function(){return tr},contains:function(){return nr},convertSelector:function(){return ia},cssParser:function(){return ta},deepMerge:function(){return ar},escapeSelector:function(){return wn},extendMetaData:function(){return rr},filterHtmlAttrs:function(){return fp},finalizeRuleResult:function(){return mn},findBy:function(){return Ja},getAllChecks:function(){return Za},getAncestry:function(){return Gn},getBaseLang:function(){return nd},getCheckMessage:function(){return cd},getCheckOption:function(){return dd},getEnvironmentData:function(){return pd},getFlattenedTree:function(){return td},getFrameContexts:function(){return Cd},getFriendlyUriEnd:function(){return kn},getNodeAttributes:function(){return Bn},getNodeFromTree:function(){return Xn},getPreloadConfig:function(){return up},getRootNode:function(){return lr},getRule:function(){return xd},getScroll:function(){return Ad},getScrollState:function(){return Bd},getSelector:function(){return Hn},getSelectorData:function(){return qn},getShadowSelector:function(){return Rn},getStandards:function(){return Td},getStyleSheetFactory:function(){return Rd},getXpath:function(){return Wn},injectStyle:function(){return _d},isHidden:function(){return Od},isHtmlElement:function(){return Sd},isNodeInContext:function(){return Md},isShadowRoot:function(){return ur},isValidLang:function(){return Ep},isXHTML:function(){return Nn},matchAncestry:function(){return Id},matches:function(){return sa},matchesExpression:function(){return la},matchesSelector:function(){return Tn},memoize:function(){return Dr},mergeResults:function(){return er},nodeLookup:function(){return Ld},nodeSorter:function(){return jd},parseCrossOriginStylesheet:function(){return Hd},parseSameOriginStylesheet:function(){return Vd},parseStylesheet:function(){return $d},performanceTimer:function(){return Yd},pollyfillElementsFromPoint:function(){return Kd},preload:function(){return ip},preloadCssom:function(){return tp},preloadMedia:function(){return rp},processMessage:function(){return sd},publishMetaData:function(){return sp},querySelectorAll:function(){return cp},querySelectorAllFilter:function(){return ep},queue:function(){return ha},respondable:function(){return Ga},ruleShouldRun:function(){return pp},select:function(){return mp},sendCommandToFrame:function(){return Ya},setScrollState:function(){return hp},shadowSelect:function(){return gp},shadowSelectAll:function(){return bp},shouldPreload:function(){return op},toArray:function(){return Fn},tokenList:function(){return Gc},uniqueArray:function(){return Zd},uuid:function(){return Ta},validInputTypes:function(){return vp},validLangs:function(){return Fp}}),function(e,t,n){return t=t.slice(),n&&t.push(n),n=t.map((function(t){return e.indexOf(t)})).sort(),e[n.pop()]}),sn=tn.CANTTELL_PRIO,cn=tn.FAIL_PRIO,dn=[],pn=(dn[tn.PASS_PRIO]=!0,dn[tn.CANTTELL_PRIO]=null,dn[tn.FAIL_PRIO]=!1,["any","all","none"]);function fn(e,t){pn.reduce((function(n,a){return n[a]=(e[a]||[]).map((function(e){return t(e,a)})),n}),{})}var Dn=function(e){var t=Object.assign({},e),n=(fn(t,(function(e,t){var n=void 0===e.result?-1:dn.indexOf(e.result);e.priority=-1!==n?n:tn.CANTTELL_PRIO,"none"===t&&(e.priority===tn.PASS_PRIO?e.priority=tn.FAIL_PRIO:e.priority===tn.FAIL_PRIO&&(e.priority=tn.PASS_PRIO))})),{all:t.all.reduce((function(e,t){return Math.max(e,t.priority)}),0),none:t.none.reduce((function(e,t){return Math.max(e,t.priority)}),0),any:t.any.reduce((function(e,t){return Math.min(e,t.priority)}),4)%4}),a=(t.priority=Math.max(n.all,n.none,n.any),[]);return pn.forEach((function(e){t[e]=t[e].filter((function(a){return a.priority===t.priority&&a.priority===n[e]})),t[e].forEach((function(e){return a.push(e.impact)}))})),[sn,cn].includes(t.priority)?t.impact=ln(tn.impact,a):t.impact=null,fn(t,(function(e){delete e.result,delete e.priority})),t.result=tn.results[t.priority],delete t.priority,t},mn=function(e){var t=o._audit.rules.find((function(t){return t.id===e.id}));return t&&t.impact&&e.nodes.forEach((function(e){["any","all","none"].forEach((function(n){(e[n]||[]).forEach((function(e){e.impact=t.impact}))}))})),Object.assign(e,hn(e.nodes)),delete e.nodes,e},hn=function(e){var t={},n=((e=e.map((function(e){if(e.any&&e.all&&e.none)return Dn(e);if(Array.isArray(e.node))return mn(e);throw new TypeError("Invalid Result type")})))&&e.length?(n=e.map((function(e){return e.result})),t.result=ln(tn.results,n,t.result)):t.result="inapplicable",tn.resultGroups.forEach((function(e){return t[e]=[]})),e.forEach((function(e){var n=tn.resultGroupMap[e.result];t[n].push(e)})),tn.FAIL_GROUP);return 0===t[n].length&&(n=tn.CANTTELL_GROUP),0<t[n].length?(e=t[n].map((function(e){return e.impact})),t.impact=ln(tn.impact,e)||null):t.impact=null,t};function gn(e,t,n){var a=Object.assign({},t);a.nodes=(a[n]||[]).concat(),tn.resultGroups.forEach((function(e){delete a[e]})),e[n].push(a)}var bn=function(e){var t={};return tn.resultGroups.forEach((function(e){return t[e]=[]})),e.forEach((function(e){e.error?gn(t,e,tn.CANTTELL_GROUP):e.result===tn.NA?gn(t,e,tn.NA_GROUP):tn.resultGroups.forEach((function(n){Array.isArray(e[n])&&0<e[n].length&&gn(t,e,n)}))})),t},vn=function e(n,a,r){var o=t.getComputedStyle(n,null);if(!o)return!1;for(var u=0;u<a.length;++u){var i=a[u];if(o.getPropertyValue(i.property)===i.value)return!0}return!(!n.parentNode||n.nodeName.toUpperCase()===r.toUpperCase())&&e(n.parentNode,a,r)},yn=function(e,t){if(!e)throw new Error(t)},Fn=function(e){return Array.prototype.slice.call(e)},wn=function(e){for(var t,n=String(e),a=n.length,r=-1,o="",u=n.charCodeAt(0);++r<a;)0==(t=n.charCodeAt(r))?o+="�":o+=1<=t&&t<=31||127==t||0==r&&48<=t&&t<=57||1==r&&48<=t&&t<=57&&45==u?"\\\\"+t.toString(16)+" ":0==r&&1==a&&45==t||!(128<=t||45==t||95==t||48<=t&&t<=57||65<=t&&t<=90||97<=t&&t<=122)?"\\\\"+n.charAt(r):n.charAt(r);return o};function En(e,t){return[e.substring(0,t),e.substring(t)]}function Cn(e){return e.replace(/\\s+$/,"")}var xn,An,kn=function(){var e,t,n,a,r,o,u,i,l=0<arguments.length&&void 0!==arguments[0]?arguments[0]:"",s=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};if(!(l.length<=1||"data:"===l.substr(0,5)||"javascript:"===l.substr(0,11)||l.includes("?")))return e=s.currentDomain,s=void 0===(s=s.maxLength)?25:s,u=o=i=r=a="",(n=l).includes("#")&&(l=(t=G(En(l,l.indexOf("#")),2))[0],u=t[1]),l.includes("?")&&(l=(t=G(En(l,l.indexOf("?")),2))[0],o=t[1]),l.includes("://")?(a=(t=G(l.split("://"),2))[0],r=(t=G(En(l=t[1],l.indexOf("/")),2))[0],l=t[1]):"//"===l.substr(0,2)&&(r=(t=G(En(l=l.substr(2),l.indexOf("/")),2))[0],l=t[1]),(r="www."===r.substr(0,4)?r.substr(4):r)&&r.includes(":")&&(r=(t=G(En(r,r.indexOf(":")),2))[0],i=t[1]),n=(t={original:n,protocol:a,domain:r,port:i,path:l,query:o,hash:u}).domain,a=t.hash,i=(r=t.path).substr(r.substr(0,r.length-2).lastIndexOf("/")+1),a?i&&(i+a).length<=s?Cn(i+a):i.length<2&&2<a.length&&a.length<=s?Cn(a):void 0:n&&n.length<s&&r.length<=1||r==="/"+i&&n&&e&&n!==e&&(n+r).length<=s?Cn(n+r):(-1===(l=i.lastIndexOf("."))||1<l)&&(-1!==l||2<i.length)&&i.length<=s&&!i.match(/index(\\.[a-zA-Z]{2-4})?/)&&!function(e){var t=0<arguments.length&&void 0!==e?e:"";return 0!==t.length&&(t.match(/[0-9]/g)||"").length>=t.length/2}(i)?Cn(i):void 0},Bn=function(e){return(e.attributes instanceof t.NamedNodeMap?e:e.cloneNode(!1)).attributes},Tn=function(e,t){return!!e[xn=xn&&e[xn]?xn:function(e){for(var t,n=["matches","matchesSelector","mozMatchesSelector","webkitMatchesSelector","msMatchesSelector"],a=n.length,r=0;r<a;r++)if(e[t=n[r]])return t}(e)]&&e[xn](t)},Nn=function(e){return!!e.createElement&&"A"===e.createElement("A").localName},Rn=function(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{};if(!t)return"";var r=t.getRootNode&&t.getRootNode()||a;if(11!==r.nodeType)return e(t,n,r);for(var o=[];11===r.nodeType;){if(!r.host)return"";o.unshift({elm:t,doc:r}),r=(t=r.host).getRootNode()}return o.unshift({elm:t,doc:r}),o.map((function(t){var a=t.elm;t=t.doc;return e(a,n,t)}))},_n=["class","style","id","selected","checked","disabled","tabindex","aria-checked","aria-selected","aria-invalid","aria-activedescendant","aria-busy","aria-disabled","aria-expanded","aria-grabbed","aria-pressed","aria-valuenow"],On=31,Sn=/([\\\\"])/g,Mn=/(\\r\\n|\\r|\\n)/g;function Pn(e){return e.replace(Sn,"\\\\$1").replace(Mn,"\\\\a ")}function In(e,t){var n,a=t.name;return-1!==a.indexOf("href")||-1!==a.indexOf("src")?(n=kn(e.getAttribute(a)))?wn(t.name)+'$="'+Pn(n)+'"':wn(t.name)+'="'+Pn(e.getAttribute(a))+'"':wn(a)+'="'+Pn(t.value)+'"'}function jn(e,t){return e.count<t.count?-1:e.count===t.count?0:1}function Ln(e){return!_n.includes(e.name)&&-1===e.name.indexOf(":")&&(!e.value||e.value.length<On)}function qn(e){for(var t={classes:{},tags:{},attributes:{}},n=(e=Array.isArray(e)?e:[e]).slice(),a=[];n.length;)!function(){var e,r=n.pop(),o=r.actualNode;for(o.querySelectorAll&&(e=o.nodeName,t.tags[e]?t.tags[e]++:t.tags[e]=1,o.classList&&Array.from(o.classList).forEach((function(e){e=wn(e),t.classes[e]?t.classes[e]++:t.classes[e]=1})),o.hasAttributes())&&Array.from(Bn(o)).filter(Ln).forEach((function(e){(e=In(o,e))&&(t.attributes[e]?t.attributes[e]++:t.attributes[e]=1)})),r.children.length&&(a.push(n),n=r.children.slice());!n.length&&a.length;)n=a.pop()}();return t}function zn(e){return void 0===An&&(An=Nn(a)),wn(An?e.localName:e.nodeName.toLowerCase())}function Vn(e,t){var n,a,r,o,u,i,l,s,c,d="",p=(a=e,r=[],o=t.classes,u=t.tags,a.classList&&Array.from(a.classList).forEach((function(e){e=wn(e),o[e]<u[a.nodeName]&&r.push({name:e,count:o[e],species:"class"})})),r.sort(jn));i=e,l=[],s=t.attributes,c=t.tags,i.hasAttributes()&&Array.from(Bn(i)).filter(Ln).forEach((function(e){(e=In(i,e))&&s[e]<c[i.nodeName]&&l.push({name:e,count:s[e],species:"attribute"})})),t=l.sort(jn);return p.length&&1===p[0].count?n=[p[0]]:t.length&&1===t[0].count?(n=[t[0]],d=zn(e)):((n=p.concat(t)).sort(jn),(n=n.slice(0,3)).some((function(e){return"class"===e.species}))?n.sort((function(e,t){return e.species!==t.species&&"class"===e.species?-1:e.species===t.species?0:1})):d=zn(e)),d+n.reduce((function(e,t){switch(t.species){case"class":return e+"."+t.name;case"attribute":return e+"["+t.name+"]"}return e}),"")}function $n(e,t,n){if(!o._selectorData)throw new Error("Expect axe._selectorData to be set up");var r,u,i=void 0!==(t=t.toRoot)&&t;do{var l=function(e){var t;if(e.getAttribute("id"))return t=e.getRootNode&&e.getRootNode()||a,(e="#"+wn(e.getAttribute("id")||"")).match(/player_uid_/)||1!==t.querySelectorAll(e).length?void 0:e}(e);l||(l=Vn(e,o._selectorData),l+=function(e,t){var n=e.parentNode&&Array.from(e.parentNode.children||"")||[];return n.find((function(n){return n!==e&&Tn(n,t)}))?":nth-child("+(1+n.indexOf(e))+")":""}(e,l)),r=r?l+" > "+r:l,u=u?u.filter((function(e){return Tn(e,r)})):Array.from(n.querySelectorAll(r)),e=e.parentElement}while((1<u.length||i)&&e&&11!==e.nodeType);return 1===u.length?r:-1!==r.indexOf(" > ")?":root"+r.substring(r.indexOf(" > ")):":root"}function Hn(e,t){return Rn($n,e,t)}function Un(e){var t,n=e.nodeName.toLowerCase(),a=e.parentElement;return a?(t="","head"!==n&&"body"!==n&&1<a.children.length&&(e=Array.prototype.indexOf.call(a.children,e)+1,t=":nth-child(".concat(e,")")),Un(a)+" > "+n+t):n}function Gn(e,t){return Rn(Un,e,t)}var Wn=function(e){return function e(t,n){var a,r,o,u;if(!t)return[];if(!n&&9===t.nodeType)return[{str:"html"}];if(n=n||[],t.parentNode&&t.parentNode!==t&&(n=e(t.parentNode,n)),t.previousSibling){for(r=1,a=t.previousSibling;1===a.nodeType&&a.nodeName===t.nodeName&&r++,a=a.previousSibling;);1===r&&(r=null)}else if(t.nextSibling)for(a=t.nextSibling;a=1===a.nodeType&&a.nodeName===t.nodeName?(r=1,null):(r=null,a.previousSibling););return 1===t.nodeType&&((o={}).str=t.nodeName.toLowerCase(),(u=t.getAttribute&&wn(t.getAttribute("id")))&&1===t.ownerDocument.querySelectorAll("#"+u).length&&(o.id=t.getAttribute("id")),1<r&&(o.count=r),n.push(o)),n}(e).reduce((function(e,t){return t.id?"/".concat(t.str,"[@id='").concat(t.id,"']"):e+"/".concat(t.str)+(0<t.count?"[".concat(t.count,"]"):"")}),"")},Yn={},Kn={set:function(e,t){var n;yn("string"==typeof(n=e),"key must be a string, "+r(n)+" given"),yn(""!==n,"key must not be empty"),Yn[e]=t},get:function(e,t){var n;return yn("function"==typeof(n=t)||void 0===n,"creator must be a function or undefined, "+r(n)+" given"),e in Yn?Yn[e]:"function"==typeof t?(n=t(),yn(void 0!==n,"Cache creator function should not return undefined"),this.set(e,n),Yn[e]):void 0},clear:function(){Yn={}}},Xn=function(e,t){return t=t||e,Kn.get("nodeMap")?Kn.get("nodeMap").get(t):null};function Zn(e){var n,a,r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};this.spec=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{},e instanceof on?(this._virtualNode=e,this._element=e.actualNode):(this._element=e,this._virtualNode=Xn(e)),this.fromFrame=1<(null==(n=this.spec.selector)?void 0:n.length),r.absolutePaths&&(this._options={toRoot:!0}),this.nodeIndexes=[],Array.isArray(this.spec.nodeIndexes)?this.nodeIndexes=this.spec.nodeIndexes:"number"==typeof(null==(n=this._virtualNode)?void 0:n.nodeIndex)&&(this.nodeIndexes=[this._virtualNode.nodeIndex]),this.source=null,o._audit.noHtml||(this.source=null!=(r=this.spec.source)?r:null!=(n=this._element)&&n.outerHTML?((r=n.outerHTML)||"function"!=typeof t.XMLSerializer||(r=(new t.XMLSerializer).serializeToString(n)),(n=r||"").length>(a=a||300)&&(a=n.indexOf(">"),n=n.substring(0,a+1)),n):"")}Zn.prototype={get selector(){return this.spec.selector||[Hn(this.element,this._options)]},get ancestry(){return this.spec.ancestry||[Gn(this.element)]},get xpath(){return this.spec.xpath||[Wn(this.element)]},get element(){return this._element},toJSON:function(){return{selector:this.selector,source:this.source,xpath:this.xpath,ancestry:this.ancestry,nodeIndexes:this.nodeIndexes}}},Zn.fromFrame=function(e,t,n){return e=Zn.mergeSpecs(e,n),new Zn(n.element,t,e)},Zn.mergeSpecs=function(e,t){return U({},e,{selector:[].concat($(t.selector),$(e.selector)),ancestry:[].concat($(t.ancestry),$(e.ancestry)),xpath:[].concat($(t.xpath),$(e.xpath)),nodeIndexes:[].concat($(t.nodeIndexes),$(e.nodeIndexes))})};var Jn=Zn,Qn=function(e,n,a,r){return{isAsync:!1,async:function(){return this.isAsync=!0,function(t){t instanceof Error==0?(e.result=t,a(e)):r(t)}},data:function(t){e.data=t},relatedNodes:function(a){t.Node&&(a=a instanceof t.Node||a instanceof on?[a]:Fn(a),e.relatedNodes=[],a.forEach((function(a){(a=a instanceof on?a.actualNode:a)instanceof t.Node&&(a=new Jn(a,n),e.relatedNodes.push(a))})))}}},ea=function e(n){var a,o,u,i=n;if(null!=(a=t)&&a.Node&&n instanceof t.Node||null!=(a=t)&&a.HTMLCollection&&n instanceof t.HTMLCollection)return n;if(null!==n&&"object"===r(n))if(Array.isArray(n))for(i=[],o=0,u=n.length;o<u;o++)i[o]=e(n[o]);else for(o in i={},n)i[o]=e(n[o]);return i},ta=((Po=new(re(ve()).CssSelectorParser)).registerSelectorPseudos("not"),Po.registerSelectorPseudos("is"),Po.registerNestingOperators(">"),Po.registerAttrEqualityMods("^","$","*","~"),Po);function na(e,t){return u=t,1===(o=e).props.nodeType&&("*"===u.tag||o.props.nodeName===u.tag)&&(r=e,!(o=t).classes||o.classes.every((function(e){return r.hasClass(e.value)})))&&(a=e,!(u=t).attributes||u.attributes.every((function(e){var t=a.attr(e.key);return null!==t&&e.test(t)})))&&(o=e,!(u=t).id||o.props.id===u.id)&&(n=e,!((o=t).pseudos&&!o.pseudos.every((function(e){if("not"===e.name)return!e.expressions.some((function(e){return la(n,e)}));if("is"===e.name)return e.expressions.some((function(e){return la(n,e)}));throw new Error("the pseudo selector "+e.name+" has not yet been implemented")}))));var n,a,r,o,u}aa=/(?=[\\-\\[\\]{}()*+?.\\\\\\^$|,#\\s])/g;var aa,ra=function(e){return e.replace(aa,"\\\\")},oa=/\\\\/g;function ua(e){return e.map((function(e){for(var t=[],n=e.rule;n;)t.push({tag:n.tagName?n.tagName.toLowerCase():"*",combinator:n.nestingOperator||" ",id:n.id,attributes:function(e){if(e)return e.map((function(e){var t,n,a=e.name.replace(oa,""),r=(e.value||"").replace(oa,"");switch(e.operator){case"^=":n=new RegExp("^"+ra(r));break;case"$=":n=new RegExp(ra(r)+"$");break;case"~=":n=new RegExp("(^|\\\\s)"+ra(r)+"(\\\\s|$)");break;case"|=":n=new RegExp("^"+ra(r)+"(-|$)");break;case"=":t=function(e){return r===e};break;case"*=":t=function(e){return e&&e.includes(r)};break;case"!=":t=function(e){return r!==e};break;default:t=function(e){return null!==e}}return""===r&&/^[*$^]=$/.test(e.operator)&&(t=function(){return!1}),{key:a,value:r,type:void 0===e.value?"attrExist":"attrValue",test:t=t||function(e){return e&&n.test(e)}}}))}(n.attrs),classes:function(e){if(e)return e.map((function(e){return{value:e=e.replace(oa,""),regexp:new RegExp("(^|\\\\s)"+ra(e)+"(\\\\s|$)")}}))}(n.classNames),pseudos:function(e){if(e)return e.map((function(e){var t;return["is","not"].includes(e.name)&&(t=ua(t=(t=e.value).selectors||[t])),{name:e.name,expressions:t,value:e.value}}))}(n.pseudos)}),n=n.rule;return t}))}function ia(e){return ua((e=ta.parse(e)).selectors||[e])}function la(e,t,n){return function e(t,n,a,r){if(!t)return!1;for(var o=Array.isArray(n)?n[a]:n,u=na(t,o);!u&&r&&t.parent;)u=na(t=t.parent,o);if(0<a){if(!1===[" ",">"].includes(o.combinator))throw new Error("axe.utils.matchesExpression does not support the combinator: "+o.combinator);u=u&&e(t.parent,n,a-1," "===o.combinator)}return u}(e,t,t.length-1,n)}var sa=function(e,t){return ia(t).some((function(t){return la(e,t)}))},ca=function(e,t){for(;e;){if(sa(e,t))return e;if(void 0===e.parent)throw new TypeError("Cannot resolve parent for non-DOM nodes");e=e.parent}return null};function da(){}function pa(e){if("function"!=typeof e)throw new TypeError("Queue methods require functions as arguments")}for(var fa,Da,ma,ha=function(){function e(e){t=e,setTimeout((function(){null!=t&&nn("Uncaught error (of queue)",t)}),1)}var t,n=[],a=0,o=0,u=da,i=!1,l=e;function s(e){return u=da,l(e),n}function c(){for(var e=n.length;a<e;a++){var t=n[a];try{t.call(null,function(e){return function(t){n[e]=t,--o||u===da||(i=!0,u(n))}}(a),s)}catch(e){s(e)}}}var d={defer:function(e){var a;if("object"===r(e)&&e.then&&e.catch&&(a=e,e=function(e,t){a.then(e).catch(t)}),pa(e),void 0===t){if(i)throw new Error("Queue already completed");return n.push(e),++o,c(),d}},then:function(e){if(pa(e),u!==da)throw new Error("queue \`then\` already set");return t||(u=e,o)||(i=!0,u(n)),d},catch:function(n){if(pa(n),l!==e)throw new Error("queue \`catch\` already set");return t?(n(t),t=null):l=n,d},abort:s};return d},ga=t.crypto||t.msCrypto,ba=(!fa&&ga&&ga.getRandomValues&&(Da=new Uint8Array(16),fa=function(){return ga.getRandomValues(Da),Da}),fa||(ma=new Array(16),fa=function(){for(var e,t=0;t<16;t++)0==(3&t)&&(e=4294967296*Math.random()),ma[t]=e>>>((3&t)<<3)&255;return ma}),"function"==typeof t.Buffer?t.Buffer:Array),va=[],ya={},Fa=0;Fa<256;Fa++)va[Fa]=(Fa+256).toString(16).substr(1),ya[va[Fa]]=Fa;function wa(e,t){return t=t||0,va[e[t++]]+va[e[t++]]+va[e[t++]]+va[e[t++]]+"-"+va[e[t++]]+va[e[t++]]+"-"+va[e[t++]]+va[e[t++]]+"-"+va[e[t++]]+va[e[t++]]+"-"+va[e[t++]]+va[e[t++]]+va[e[t++]]+va[e[t++]]+va[e[t++]]+va[e[+t]]}var Ea=[1|(Po=fa())[0],Po[1],Po[2],Po[3],Po[4],Po[5]],Ca=16383&(Po[6]<<8|Po[7]),xa=0,Aa=0;function ka(e,t,n){var a=t&&n||0,r=t||[],o=(n=null!=(e=e||{}).clockseq?e.clockseq:Ca,null!=e.msecs?e.msecs:(new Date).getTime()),u=null!=e.nsecs?e.nsecs:Aa+1;if((i=o-xa+(u-Aa)/1e4)<0&&null==e.clockseq&&(n=n+1&16383),1e4<=(u=(i<0||xa<o)&&null==e.nsecs?0:u))throw new Error("uuid.v1(): Can't create more than 10M uuids/sec");xa=o,Ca=n;for(var i=(1e4*(268435455&(o+=122192928e5))+(Aa=u))%4294967296,l=(u=(r[a++]=i>>>24&255,r[a++]=i>>>16&255,r[a++]=i>>>8&255,r[a++]=255&i,o/4294967296*1e4&268435455),r[a++]=u>>>8&255,r[a++]=255&u,r[a++]=u>>>24&15|16,r[a++]=u>>>16&255,r[a++]=n>>>8|128,r[a++]=255&n,e.node||Ea),s=0;s<6;s++)r[a+s]=l[s];return t||wa(r)}function Ba(e,t,n){var a=t&&n||0,r=("string"==typeof e&&(t="binary"==e?new ba(16):null,e=null),(e=e||{}).random||(e.rng||fa)());if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,t)for(var o=0;o<16;o++)t[a+o]=r[o];return t||wa(r)}(Po=Ba).v1=ka,Po.v4=Ba,Po.parse=function(e,t,n){var a=t&&n||0,r=0;for(t=t||[],e.toLowerCase().replace(/[0-9a-f]{2}/g,(function(e){r<16&&(t[a+r++]=ya[e])}));r<16;)t[a+r++]=0;return t},Po.unparse=wa,Po.BufferClass=ba,o._uuid=ka();var Ta=Ba,Na=Object.freeze(["EvalError","RangeError","ReferenceError","SyntaxError","TypeError","URIError"]);function Ra(){var e="axeAPI",t="";return(e=void 0!==o&&o._audit&&o._audit.application?o._audit.application:e)+"."+(void 0!==o?o.version:t)}function _a(e){Sa(e),yn(t.parent===e,"Source of the response must be the parent window.")}function Oa(e){Sa(e),yn(e.parent===t,"Respondable target must be a frame in the current window")}function Sa(e){yn(t!==e,"Messages can not be sent to the same window.")}var Ma={},Pa=[];function Ia(){var e="".concat(Ba(),":").concat(Ba());return Pa.includes(e)?Ia():(Pa.push(e),e)}function ja(e,t,n,a){var r,u;return"function"==typeof a&&function(e,t,n){var a=!(2<arguments.length&&void 0!==n)||n;yn(!Ma[e],"A replyHandler already exists for this message channel."),Ma[e]={replyHandler:t,sendToParent:a}}(t.channelId,a,n),(n?_a:Oa)(e),t.message instanceof Error&&!n?(o.log(t.message),!1):(n=(a=U({messageId:Ia()},t)).topic,t=a.channelId,u=a.message,t={channelId:t,topic:n,messageId:a.messageId,keepalive:!!a.keepalive,source:Ra()},u instanceof Error?t.error={name:u.name,message:u.message,stack:u.stack}:t.payload=u,r=JSON.stringify(t),!(!(n=o._audit.allowedOrigins)||!n.length||(n.forEach((function(t){try{e.postMessage(r,t)}catch(n){if(n instanceof e.DOMException)throw new Error('allowedOrigins value "'.concat(t,'" is not a valid origin'));throw n}})),0)))}function La(e,t,n){var a=!(2<arguments.length&&void 0!==n)||n;return function(n,r,o){ja(e,{channelId:t,message:n,keepalive:r},a,o)}}function qa(e,n){var a,u,i,l=e.origin,s=e.data;e=e.source;try{var c=function(e){var n,a,o,u;try{n=JSON.parse(e)}catch(e){return}if(null!==(e=n)&&"object"===r(e)&&"string"==typeof e.channelId&&e.source===Ra())return a=(e=n).topic,o=e.channelId,u=e.messageId,e=e.keepalive,{topic:a,message:"object"===r(n.error)?function(e){var n=e.message||"Unknown error occurred",a=Na.includes(e.name)?e.name:"Error";return a=t[a]||Error,e.stack&&(n+="\\n"+e.stack.replace(e.message,"")),new a(n)}(n.error):n.payload,messageId:u,channelId:o,keepalive:!!e}}(s)||{},d=c.channelId,p=c.message,f=c.messageId;if(u=l,((i=o._audit.allowedOrigins)&&i.includes("*")||i.includes(u))&&(a=f,!Pa.includes(a))&&(Pa.push(a),1))if(p instanceof Error&&e.parent!==t)o.log(p);else try{if(c.topic){var D=La(e,d);_a(e),n(c,D)}else{var m=e,h=(b=c).channelId,g=b.message,b=b.keepalive,v=(y=function(e){return Ma[e]}(h)||{}).replyHandler,y=y.sendToParent;if(v){(y?_a:Oa)(m),m=La(m,h,y),!b&&h&&function(e){delete Ma[e]}(h);try{v(g,b,m)}catch(n){o.log(n),m(n,b)}}}}catch(n){var F=e,w=n,E=d;if(!F.parent!==t)o.log(w);else try{ja(F,{topic:null,channelId:E,message:w,messageId:Ia(),keepalive:!0},!0)}catch(n){return void o.log(n)}}}catch(n){o.log(n)}}var za,Va,$a={open:function(e){var n;if("function"==typeof t.addEventListener)return t.addEventListener("message",n=function(t){qa(t,e)},!1),function(){t.removeEventListener("message",n,!1)}},post:function(e,n,a){return"function"==typeof t.addEventListener&&ja(e,n,!1,a)}};function Ha(e){e.updateMessenger($a)}var Ua={};function Ga(e,t,n,a,r){return t={topic:t,message:n,channelId:"".concat(Ba(),":").concat(Ba()),keepalive:a},Va(e,t,r)}function Wa(e,t){var n=e.topic,a=e.message;e=e.keepalive;if(n=Ua[n])try{n(a,e,t)}catch(n){o.log(n),t(n,e)}}function Ya(e,t,n,a){var r,o=e.contentWindow,u=null!=(u=null==(u=t.options)?void 0:u.pingWaitTime)?u:500;o?0===u?Ka(e,t,n,a):(r=setTimeout((function(){r=setTimeout((function(){t.debug?a(Xa("No response from frame",e)):n(null)}),0)}),u),Ga(o,"axe.ping",null,void 0,(function(){clearTimeout(r),Ka(e,t,n,a)}))):(nn("Frame does not have a content window",e),n(null))}function Ka(e,t,n,a){var r=null!=(r=null==(r=t.options)?void 0:r.frameWaitTime)?r:6e4,o=e.contentWindow,u=setTimeout((function(){a(Xa("Axe in frame timed out",e))}),r);Ga(o,"axe.start",t,void 0,(function(e){clearTimeout(u),(e instanceof Error==0?n:a)(e)}))}function Xa(e,t){var n;return o._tree&&(n=Hn(t)),new Error(e+": "+(n||t))}Ga.updateMessenger=function(e){var t=e.open;e=e.post,yn("function"==typeof t,"open callback must be a function"),yn("function"==typeof e,"post callback must be a function"),za&&za(),t=t(Wa);za=t?(yn("function"==typeof t,"open callback must return a cleanup function"),t):null,Va=e},Ga.subscribe=function(e,t){yn("function"==typeof t,"Subscriber callback must be a function"),yn(!Ua[e],"Topic ".concat(e," is already registered to.")),Ua[e]=t},Ga.isInFrame=function(){return!!(0<arguments.length&&void 0!==arguments[0]?arguments[0]:t).frameElement},Ha(Ga);var Za=function(e){return[].concat(e.any||[]).concat(e.all||[]).concat(e.none||[])},Ja=function(e,t,n){if(Array.isArray(e))return e.find((function(e){return"object"===r(e)&&e[t]===n}))};function Qa(e,t){for(var n=0<arguments.length&&void 0!==e?e:[],a=1<arguments.length&&void 0!==t?t:[],r=Math.max(null==n?void 0:n.length,null==a?void 0:a.length),o=0;o<r;o++){var u=null==n?void 0:n[o],i=null==a?void 0:a[o];if("number"!=typeof u||isNaN(u))return 0===o?1:-1;if("number"!=typeof i||isNaN(i))return 0===o?-1:1;if(u!==i)return u-i}return 0}var er=function(e,t){var n=[];return e.forEach((function(e){var a,r=(r=e)&&r.results?Array.isArray(r.results)?r.results.length?r.results:null:[r.results]:null;r&&r.length&&(a=function(e,t){return e.frameElement?new Jn(e.frameElement,t):e.frameSpec?e.frameSpec:null}(e,t),r.forEach((function(e){e.nodes&&a&&(u=e.nodes,r=t,o=a,u.forEach((function(e){e.node=Jn.fromFrame(e.node,r,o),Za(e).forEach((function(e){e.relatedNodes=e.relatedNodes.map((function(e){return Jn.fromFrame(e,r,o)}))}))})));var r,o,u=Ja(n,"id",e.id);if(u){if(e.nodes.length){for(var i=u.nodes,l=e.nodes,s=l[0].node,c=0;c<i.length;c++){var d=i[c].node,p=Qa(d.nodeIndexes,s.nodeIndexes);if(0<p||0===p&&s.selector.length<d.selector.length)return void i.splice.apply(i,[c,0].concat($(l)))}i.push.apply(i,$(l))}}else n.push(e)})))})),n.forEach((function(e){e.nodes&&e.nodes.sort((function(e,t){return Qa(e.node.nodeIndexes,t.node.nodeIndexes)}))})),n};function tr(e,t,n,a,r,o){var u=ha();e.frames.forEach((function(e){var r=e.node,o=V(e,i);u.defer((function(e,u){Ya(r,{options:t,command:n,parameter:a,context:o},(function(t){return e(t?{results:t,frameElement:r}:null)}),u)}))})),u.then((function(e){r(er(e,t))})).catch(o)}function nr(e,t){if(!e.shadowId&&!t.shadowId&&e.actualNode&&"function"==typeof e.actualNode.contains)return e.actualNode.contains(t.actualNode);do{if(e===t)return!0;if(t.nodeIndex<e.nodeIndex)return!1}while(t=t.parent);return!1}var ar=function e(){for(var t={},n=arguments.length,a=new Array(n),o=0;o<n;o++)a[o]=arguments[o];return a.forEach((function(n){if(n&&"object"===r(n)&&!Array.isArray(n))for(var a=0,o=Object.keys(n);a<o.length;a++){var u=o[a];!t.hasOwnProperty(u)||"object"!==r(n[u])||Array.isArray(t[u])?t[u]=n[u]:t[u]=e(t[u],n[u])}})),t},rr=function(e,t){Object.assign(e,t),Object.keys(t).filter((function(e){return"function"==typeof t[e]})).forEach((function(n){e[n]=null;try{e[n]=t[n](e)}catch(n){}}))},or=["article","aside","blockquote","body","div","footer","h1","h2","h3","h4","h5","h6","header","main","nav","p","section","span"],ur=function(e){return!!(e.shadowRoot&&(e=e.nodeName.toLowerCase(),or.includes(e)||/^[a-z][a-z0-9_.-]*-[a-z0-9_.-]*$/.test(e)))},ir={},lr=(ae(ir,{createGrid:function(){return Xr},findElmsInContext:function(){return cr},findNearbyElms:function(){return ao},findUp:function(){return pr},findUpVirtual:function(){return dr},focusDisabled:function(){return po},getComposedParent:function(){return Mr},getElementByReference:function(){return ho},getElementCoordinates:function(){return Ir},getElementStack:function(){return ko},getModalDialog:function(){return uo},getOverflowHiddenAncestors:function(){return gr},getRootNode:function(){return sr},getScrollOffset:function(){return Pr},getTabbableElements:function(){return Bo},getTextElementStack:function(){return Di},getViewportSize:function(){return jr},getVisibleChildTextRects:function(){return fi},hasContent:function(){return yi},hasContentVirtual:function(){return vi},hasLangText:function(){return Fi},idrefs:function(){return No},insertedIntoFocusOrder:function(){return wi},isCurrentPageLink:function(){return mo},isFocusable:function(){return Qo},isHTML5:function(){return Ai},isHiddenForEveryone:function(){return _r},isHiddenWithCSS:function(){return xi},isInTabOrder:function(){return ki},isInTextBlock:function(){return Ri},isInert:function(){return io},isModalOpen:function(){return _i},isMultiline:function(){return Oi},isNativelyFocusable:function(){return Jo},isNode:function(){return Si},isOffscreen:function(){return Lr},isOpaque:function(){return Bc},isSkipLink:function(){return Tc},isVisible:function(){return Oc},isVisibleOnScreen:function(){return zr},isVisibleToScreenReaders:function(){return Pu},isVisualContent:function(){return hi},reduceToElementsBelowFloating:function(){return Sc},shadowElementsFromPoint:function(){return Lc},urlPropsFromAttribute:function(){return qc},visuallyContains:function(){return Mc},visuallyOverlaps:function(){return zc},visuallySort:function(){return go}}),function(e){var t=e.getRootNode&&e.getRootNode()||a;return t===e?a:t}),sr=lr,cr=function(e){var t=e.context,n=e.value,a=e.attr;e=void 0===(e=e.elm)?"":e,n=wn(n),t=9===t.nodeType||11===t.nodeType?t:sr(t);return Array.from(t.querySelectorAll(e+"["+a+"="+n+"]"))},dr=function(e,t){var n=e.actualNode;if(!e.shadowId&&"function"==typeof e.actualNode.closest)return e.actualNode.closest(t)||null;for(;(n=(n=n.assignedSlot||n.parentNode)&&11===n.nodeType?n.host:n)&&!Tn(n,t)&&n!==a.documentElement;);return n&&Tn(n,t)?n:null},pr=function(e,t){return dr(Xn(e),t)},fr=re(Kt()),Dr=(o._memoizedFns=[],function(e){return e=(0,fr.default)(e),o._memoizedFns.push(e),e});function mr(e,t){return(0|e.left)<(0|t.right)&&(0|e.right)>(0|t.left)&&(0|e.top)<(0|t.bottom)&&(0|e.bottom)>(0|t.top)}var hr=Dr((function(e){var t=[];return e?("hidden"===e.getComputedStylePropertyValue("overflow")&&t.push(e),t.concat(hr(e.parent))):t})),gr=hr,br=/rect\\s*\\(([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px\\s*\\)/,vr=/(\\w+)\\((\\d+)/;function yr(e){return["style","script","noscript","template"].includes(e.props.nodeName)}function Fr(e){return"area"!==e.props.nodeName&&"none"===e.getComputedStylePropertyValue("display")}function wr(e){return!(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).isAncestor&&["hidden","collapse"].includes(e.getComputedStylePropertyValue("visibility"))}function Er(e){return!!(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).isAncestor&&"hidden"===e.getComputedStylePropertyValue("content-visibility")}function Cr(e){return"true"===e.attr("aria-hidden")}function xr(e){return"0"===e.getComputedStylePropertyValue("opacity")}function Ar(e){var t=Ad(e.actualNode),n=parseInt(e.getComputedStylePropertyValue("height"));e=parseInt(e.getComputedStylePropertyValue("width"));return!!t&&(0===n||0===e)}function kr(e){var t,n;return!(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).isAncestor&&(t=e.boundingClientRect,!!(n=gr(e)).length)&&n.some((function(e){return(e=e.boundingClientRect).width<2||e.height<2||!mr(t,e)}))}function Br(e){var t=e.getComputedStylePropertyValue("clip").match(br),n=e.getComputedStylePropertyValue("clip-path").match(vr);if(t&&5===t.length&&(e=e.getComputedStylePropertyValue("position"),["fixed","absolute"].includes(e)))return t[3]-t[1]<=0&&t[2]-t[4]<=0;if(n){e=n[1];var a=parseInt(n[2],10);switch(e){case"inset":return 50<=a;case"circle":return 0===a}}return!1}function Tr(e,t){var n,a=ca(e,"map");return!a||!((a=a.attr("name"))&&(e=lr(e.actualNode))&&9===e.nodeType&&(n=cp(o._tree,'img[usemap="#'.concat(wn(a),'"]')))&&n.length)||n.some((function(e){return!t(e)}))}function Nr(e){var t;return"details"===(null==(t=e.parent)?void 0:t.props.nodeName)&&(("summary"!==e.props.nodeName||e.parent.children.find((function(e){return"summary"===e.props.nodeName}))!==e)&&!e.parent.hasAttr("open"))}var Rr=[Fr,wr,Er,Nr];function _r(e){var t=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).skipAncestors,n=void 0!==(n=n.isAncestor)&&n;return e=Ld(e).vNode,(t?Or:Sr)(e,n)}var Or=Dr((function(e,t){return!!yr(e)||!(!e.actualNode||!Rr.some((function(n){return n(e,{isAncestor:t})}))&&e.actualNode.isConnected)})),Sr=Dr((function(e,t){return!!Or(e,t)||!!e.parent&&Sr(e.parent,!0)})),Mr=function e(t){if(t.assignedSlot)return e(t.assignedSlot);if(t.parentNode){if(1===(t=t.parentNode).nodeType)return t;if(t.host)return t.host}return null},Pr=function(e){var t,n;return 9===(e=!e.nodeType&&e.document?e.document:e).nodeType?(t=e.documentElement,n=e.body,{left:t&&t.scrollLeft||n&&n.scrollLeft||0,top:t&&t.scrollTop||n&&n.scrollTop||0}):{left:e.scrollLeft,top:e.scrollTop}},Ir=function(e){var t=(n=Pr(a)).left,n=n.top;return{top:(e=e.getBoundingClientRect()).top+n,right:e.right+t,bottom:e.bottom+n,left:e.left+t,width:e.right-e.left,height:e.bottom-e.top}},jr=function(e){var t=e.document,n=t.documentElement;return e.innerWidth?{width:e.innerWidth,height:e.innerHeight}:n?{width:n.clientWidth,height:n.clientHeight}:{width:(e=t.body).clientWidth,height:e.clientHeight}},Lr=function(e){if((1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).isAncestor)return!1;var n=Ld(e).domNode;if(n){var r=a.documentElement,o=t.getComputedStyle(n),u=t.getComputedStyle(a.body||r).getPropertyValue("direction"),i=Ir(n);if(i.bottom<0&&(function(e,t){for(e=Mr(e);e&&"html"!==e.nodeName.toLowerCase();){if(e.scrollTop&&0<=(t+=e.scrollTop))return;e=Mr(e)}return 1}(n,i.bottom)||"absolute"===o.position))return!0;if(0!==i.left||0!==i.right)if("ltr"===u){if(i.right<=0)return!0}else if(n=Math.max(r.scrollWidth,jr(t).width),i.left>=n)return!0;return!1}},qr=[xr,Ar,kr,Br,Lr];function zr(e){return e=Ld(e).vNode,Vr(e)}var Vr=Dr((function(e,t){return e.actualNode&&"area"===e.props.nodeName?!Tr(e,Vr):!(_r(e,{skipAncestors:!0,isAncestor:t})||e.actualNode&&qr.some((function(n){return n(e,{isAncestor:t})})))&&(!e.parent||Vr(e.parent,!0))}));function $r(e,n){var a=Math.min(e.top,n.top),r=Math.max(e.right,n.right),o=Math.max(e.bottom,n.bottom);e=Math.min(e.left,n.left);return new t.DOMRect(e,a,r-e,o-a)}function Hr(e,t){var n=e.x,a=(e=e.y,t.top),r=t.right,o=t.bottom;t=t.left;return a<=e&&n<=r&&e<=o&&t<=n}var Ur=0,Gr=.1,Wr=.2,Yr=.3,Kr=0;function Xr(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:a.body,n=1<arguments.length?arguments[1]:void 0,r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:null;if(!Kn.get("gridCreated")||r){Kn.set("gridCreated",!0),r||(i=(i=Xn(a.documentElement))||new Uc(a.documentElement),Kr=0,i._stackingOrder=[Jr(Ur,null)],Qr(n=null!=n?n:new eo,i),Ad(i.actualNode)&&(u=new eo(i),i._subGrid=u));for(var u,i,l=a.createTreeWalker(e,t.NodeFilter.SHOW_ELEMENT,null,!1),s=r?l.nextNode():l.currentNode;s;){var c=Xn(s),d=(c&&c.parent?r=c.parent:s.assignedSlot?r=Xn(s.assignedSlot):s.parentElement?r=Xn(s.parentElement):s.parentNode&&Xn(s.parentNode)&&(r=Xn(s.parentNode)),(c=c||new o.VirtualNode(s,r))._stackingOrder=function(e,t,n){var a=t._stackingOrder.slice();if(function(e,t){var n=e.getComputedStylePropertyValue("position"),a=e.getComputedStylePropertyValue("z-index");return"fixed"===n||"sticky"===n||"auto"!==a&&"static"!==n||"1"!==e.getComputedStylePropertyValue("opacity")||"none"!==(e.getComputedStylePropertyValue("-webkit-transform")||e.getComputedStylePropertyValue("-ms-transform")||e.getComputedStylePropertyValue("transform")||"none")||(n=e.getComputedStylePropertyValue("mix-blend-mode"))&&"normal"!==n||(n=e.getComputedStylePropertyValue("filter"))&&"none"!==n||(n=e.getComputedStylePropertyValue("perspective"))&&"none"!==n||(n=e.getComputedStylePropertyValue("clip-path"))&&"none"!==n||"none"!==(e.getComputedStylePropertyValue("-webkit-mask")||e.getComputedStylePropertyValue("mask")||"none")||"none"!==(e.getComputedStylePropertyValue("-webkit-mask-image")||e.getComputedStylePropertyValue("mask-image")||"none")||"none"!==(e.getComputedStylePropertyValue("-webkit-mask-border")||e.getComputedStylePropertyValue("mask-border")||"none")||"isolate"===e.getComputedStylePropertyValue("isolation")||"transform"===(n=e.getComputedStylePropertyValue("will-change"))||"opacity"===n||"touch"===e.getComputedStylePropertyValue("-webkit-overflow-scrolling")?1:(n=e.getComputedStylePropertyValue("contain"),["layout","paint","strict","content"].includes(n)||"auto"!==a&&Zr(t)?1:void 0)}(e,t)){var r=a.findIndex((function(e){return e=e.value,[Ur,Wr,Yr].includes(e)}));r=(-1!==r&&a.splice(r,a.length-r),function(e,t){return"static"!==e.getComputedStylePropertyValue("position")||Zr(t)?e.getComputedStylePropertyValue("z-index"):"auto"}(e,t));if(["auto","0"].includes(r)){for(var o=n.toString();o.length<10;)o="0"+o;a.push(Jr(parseFloat("".concat(Gr).concat(o)),e))}else a.push(Jr(parseInt(r),e))}else"static"!==e.getComputedStylePropertyValue("position")?a.push(Jr(Yr,e)):"none"!==e.getComputedStylePropertyValue("float")&&a.push(Jr(Wr,e));return a}(c,r,Kr++),function(e,t){for(var n=null,a=[e];t;){if(Ad(t.actualNode)){n=t;break}if(t._scrollRegionParent){n=t._scrollRegionParent;break}a.push(t),t=Xn(t.actualNode.parentElement||t.actualNode.parentNode)}return a.forEach((function(e){return e._scrollRegionParent=n})),n}(c,r)),p=(d=d?d._subGrid:n,Ad(c.actualNode)&&(p=new eo(c),c._subGrid=p),c.boundingClientRect);0!==p.width&&0!==p.height&&zr(s)&&Qr(d,c),ur(s)&&Xr(s.shadowRoot,d,c),s=l.nextNode()}}return tn.gridSize}function Zr(e){if(e)return e=e.getComputedStylePropertyValue("display"),["flex","inline-flex","grid","inline-grid"].includes(e)}function Jr(e,t){return{value:e,vNode:t}}function Qr(e,t){t.clientRects.forEach((function(n){null==t._grid&&(t._grid=e),n=e.getGridPositionOfRect(n),e.loopGridPosition(n,(function(e){e.includes(t)||e.push(t)}))}))}Z(to,[{key:"toGridIndex",value:function(e){return Math.floor(e/tn.gridSize)}},{key:"getCellFromPoint",value:function(e){var t=e.x;e=e.y,yn(this.boundaries,"Grid does not have cells added"),e=this.toGridIndex(e),t=this.toGridIndex(t);return null!=(t=(e=(yn(Hr({y:e,x:t},this.boundaries),"Element midpoint exceeds the grid bounds"),null!=(e=this.cells[e-this.cells._negativeIndex])?e:[]))[t-e._negativeIndex])?t:[]}},{key:"loopGridPosition",value:function(e,t){var n=(o=e).left,a=o.right,r=o.top,o=o.bottom;this.boundaries&&(e=$r(this.boundaries,e)),this.boundaries=e,no(this.cells,r,o,(function(e,r){no(e,n,a,(function(e,n){t(e,{row:r,col:n})}))}))}},{key:"getGridPositionOfRect",value:function(e){var n=e.top,a=e.right,r=e.bottom,o=e.left,u=1<arguments.length&&void 0!==arguments[1]?arguments[1]:0;n=this.toGridIndex(n-u),a=this.toGridIndex(a+u-1),r=this.toGridIndex(r+u-1),o=this.toGridIndex(o-u);return new t.DOMRect(o,n,a-o,r-n)}}]);var eo=to;function to(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:null;K(this,to),this.container=e,this.cells=[]}function no(e,t,n,a){if(null!=e._negativeIndex||(e._negativeIndex=0),t<e._negativeIndex){for(var r=0;r<e._negativeIndex-t;r++)e.splice(0,0,[]);e._negativeIndex=t}for(var o,u=t-e._negativeIndex,i=n-e._negativeIndex,l=u;l<=i;l++)null==e[o=l]&&(e[o]=[]),a(e[l],l+e._negativeIndex)}function ao(e){var t,n,a,r,o=1<arguments.length&&void 0!==arguments[1]?arguments[1]:0;return Xr(),null!=(a=e._grid)&&null!=(a=a.cells)&&a.length?(a=e.boundingClientRect,t=e._grid,n=ro(e),a=t.getGridPositionOfRect(a,o),r=[],t.loopGridPosition(a,(function(t){var a,o=Q(t);try{for(o.s();!(a=o.n()).done;){var u=a.value;u&&u!==e&&!r.includes(u)&&n===ro(u)&&r.push(u)}}catch(t){o.e(t)}finally{o.f()}})),r):[]}var ro=Dr((function(e){return!!e&&("fixed"===e.getComputedStylePropertyValue("position")||ro(e.parent))}));function oo(e,n){var a=Math.max(e.left,n.left),r=Math.min(e.right,n.right),o=Math.max(e.top,n.top);e=Math.min(e.bottom,n.bottom);return r<=a||e<=o?null:new t.DOMRect(a,o,r-a,e-o)}var uo=Dr((function(){var e;return o._tree&&(e=ep(o._tree[0],"dialog[open]",(function(e){var t=e.boundingClientRect;return a.elementsFromPoint(t.left+1,t.top+1).includes(e.actualNode)&&zr(e)}))).length?e.find((function(e){var t=e.boundingClientRect;return a.elementsFromPoint(t.left-10,t.top-10).includes(e.actualNode)}))||(null!=(e=e.find((function(e){e=null!=(e=function(e){Xr();var n=o._tree[0]._grid,a=new t.DOMRect(0,0,t.innerWidth,t.innerHeight);if(n)for(var r=0;r<n.cells.length;r++){var u=n.cells[r];if(u)for(var i=0;i<u.length;i++){var l=u[i];if(l)for(var s=0;s<l.length;s++){var c=l[s],d=oo(c.boundingClientRect,a);if("html"!==c.props.nodeName&&c!==e&&"none"!==c.getComputedStylePropertyValue("pointer-events")&&d)return{vNode:c,rect:d}}}}}(e))?e:{};var n=e.vNode;e=e.rect;return!!n&&!a.elementsFromPoint(e.left+1,e.top+1).includes(n.actualNode)})))?e:null):null}));function io(e){var t=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).skipAncestors,n=n.isAncestor;return(t?lo:so)(e,n)}var lo=Dr((function(e,t){return!!e.hasAttr("inert")||!(t||!e.actualNode||!(t=uo())||nr(t,e))})),so=Dr((function(e,t){return!!lo(e,t)||!!e.parent&&so(e.parent,!0)})),co=["button","command","fieldset","keygen","optgroup","option","select","textarea","input"],po=function(e){var t=Ld(e).vNode;if(e=t.props.nodeName,co.includes(e)&&t.hasAttr("disabled")||io(t))return!0;for(var n=t.parent,a=[],r=!1;n&&n.shadowId===t.shadowId&&!r&&(a.push(n),"legend"!==n.props.nodeName);){if(void 0!==n._inDisabledFieldset){r=n._inDisabledFieldset;break}"fieldset"===n.props.nodeName&&n.hasAttr("disabled")&&(r=!0),n=n.parent}return a.forEach((function(e){return e._inDisabledFieldset=r})),!!r||"area"!==t.props.nodeName&&!!t.actualNode&&_r(t)},fo=/^\\/\\#/,Do=/^#[!/]/;function mo(e){var n,a,r,o,u=e.getAttribute("href");return!(!u||"#"===u)&&(!!fo.test(u)||(o=e.hash,n=e.protocol,a=e.hostname,r=e.port,e=e.pathname,!Do.test(o)&&("#"===u.charAt(0)||("string"!=typeof(null==(o=t.location)?void 0:o.origin)||-1===t.location.origin.indexOf("://")?null:(u=t.location.origin+t.location.pathname,o=a?"".concat(n,"//").concat(a).concat(r?":".concat(r):""):t.location.origin,(o+=e?("/"!==e[0]?"/":"")+e:t.location.pathname)===u)))))}var ho=function(e,t){var n=e.getAttribute(t);return n&&("href"!==t||mo(e))?(-1!==n.indexOf("#")&&(n=decodeURIComponent(n.substr(n.indexOf("#")+1))),(t=a.getElementById(n))||((t=a.getElementsByName(n)).length?t[0]:null)):null};function go(e,n){Xr();for(var a=Math.max(e._stackingOrder.length,n._stackingOrder.length),r=0;r<a;r++){if(void 0===n._stackingOrder[r])return-1;if(void 0===e._stackingOrder[r])return 1;if(n._stackingOrder[r].value>e._stackingOrder[r].value)return 1;if(n._stackingOrder[r].value<e._stackingOrder[r].value)return-1}var o=e.actualNode,u=n.actualNode;if(o.getRootNode&&o.getRootNode()!==u.getRootNode()){for(var i=[];o;)i.push({root:o.getRootNode(),node:o}),o=o.getRootNode().host;for(;u&&!i.find((function(e){return e.root===u.getRootNode()}));)u=u.getRootNode().host;if((o=i.find((function(e){return e.root===u.getRootNode()})).node)===u)return e.actualNode.getRootNode()!==o.getRootNode()?-1:1}var l,s=(d=t.Node).DOCUMENT_POSITION_FOLLOWING,c=d.DOCUMENT_POSITION_CONTAINS,d=d.DOCUMENT_POSITION_CONTAINED_BY;s=(l=o.compareDocumentPosition(u))&s?1:-1,c=l&c||l&d;return(l=bo(e))===(d=bo(n))||c?s:d-l}function bo(e){return-1!==e.getComputedStylePropertyValue("display").indexOf("inline")?2:function e(t){if(!t)return!1;if(void 0!==t._isFloated)return t._isFloated;var n=t.getComputedStylePropertyValue("float");return"none"!==n?t._isFloated=!0:(n=e(t.parent),t._isFloated=n,n)}(e)?1:0}var vo={};function yo(e,t){e=e.boundingClientRect,t=t.boundingClientRect;var n,a,r,o=(n=e,a=t,r={},[["x","left","right","width"],["y","top","bottom","height"]].forEach((function(e){var t,o=(e=G(e,4))[0],u=e[1],i=e[2];e=e[3];a[u]<n[u]&&a[i]>n[i]?r[o]=n[u]+n[e]/2:(e=a[u]+a[e]/2,t=Math.abs(e-n[u]),e=Math.abs(e-n[i]),r[o]=e<=t?n[u]:n[i])})),r);e=function(e,t,n){var a=e.x;if(function(e,t){var n=e.x;return(e=e.y)>=t.top&&n<=t.right&&e<=t.bottom&&n>=t.left}({x:a,y:e=e.y},n)){var r=function(e,t,n){var a,r,o=e.x;e=e.y;return o===t.left&&t.right<n.right?a=t.right:o===t.right&&t.left>n.left&&(a=t.left),e===t.top&&t.bottom<n.bottom?r=t.bottom:e===t.bottom&&t.top>n.top&&(r=t.top),a||r?r?a&&Math.abs(o-a)<Math.abs(e-r)?{x:a,y:e}:{x:o,y:r}:{x:a,y:e}:null}({x:a,y:e},t,n);if(null!==r)return r;n=t}t=(r=n).top,n=r.right;var o=r.bottom,u=(r=r.left)<=a&&a<=n,i=t<=e&&e<=o;r=Math.abs(r-a)<Math.abs(n-a)?r:n,n=Math.abs(t-e)<Math.abs(o-e)?t:o;return!u&&i?{x:r,y:e}:u&&!i?{x:a,y:n}:u||i?Math.abs(a-r)<Math.abs(e-n)?{x:r,y:e}:{x:a,y:n}:{x:r,y:n}}(o,e,t);return t=o,o=e,e=Math.abs(t.x-o.x),t=Math.abs(t.y-o.y),e&&t?Math.sqrt(Math.pow(e,2)+Math.pow(t,2)):e||t}function Fo(e){var n=e.left,a=e.top,r=e.width;e=e.height;return new t.DOMPoint(n+r/2,a+e/2)}function wo(e,t){var n=e.boundingClientRect,a=t.boundingClientRect;return!(n.left>=a.right||n.right<=a.left||n.top>=a.bottom||n.bottom<=a.top)&&0<go(e,t)}function Eo(e,t){var n,a=[e],r=Q(t);try{function o(){var e=n.value;a=a.reduce((function(t,n){return t.concat(function(e,t){var n=e.top,a=e.left,r=e.bottom,o=e.right,u=n<t.bottom&&r>t.top,i=a<t.right&&o>t.left,l=[];return Co(t.top,n,r)&&i&&l.push({top:n,left:a,bottom:t.top,right:o}),Co(t.right,a,o)&&u&&l.push({top:n,left:t.right,bottom:r,right:o}),Co(t.bottom,n,r)&&i&&l.push({top:t.bottom,right:o,bottom:r,left:a}),Co(t.left,a,o)&&u&&l.push({top:n,left:a,bottom:r,right:t.left}),0===l.length&&l.push(e),l.map(xo)}(n,e))}),[])}for(r.s();!(n=r.n()).done;)o()}catch(e){r.e(e)}finally{r.f()}return a}ae(vo,{getBoundingRect:function(){return $r},getIntersectionRect:function(){return oo},getOffset:function(){return yo},getRectCenter:function(){return Fo},hasVisualOverlap:function(){return wo},isPointInRect:function(){return Hr},rectsOverlap:function(){return mr},splitRects:function(){return Eo}});var Co=function(e,t,n){return t<e&&e<n};function xo(e){return U({},e,{x:e.left,y:e.top,height:e.bottom-e.top,width:e.right-e.left})}function Ao(e,t,n){var r=2<arguments.length&&void 0!==n&&n,o=Fo(t),u=e.getCellFromPoint(o)||[],i=Math.floor(o.x),l=Math.floor(o.y);o=u.filter((function(e){return e.clientRects.some((function(e){var t=e.left,n=e.top;return i<Math.floor(t+e.width)&&i>=Math.floor(t)&&l<Math.floor(n+e.height)&&l>=Math.floor(n)}))}));return(u=e.container)&&(o=Ao(u._grid,u.boundingClientRect,!0).concat(o)),r?o:o.sort(go).map((function(e){return e.actualNode})).concat(a.documentElement).filter((function(e,t,n){return n.indexOf(e)===t}))}var ko=function(e){Xr();var t=(e=Xn(e))._grid;return t?Ao(t,e.boundingClientRect):[]},Bo=function(e){return cp(e,"*").filter((function(e){var t=e.isFocusable;return(e=(e=e.actualNode.getAttribute("tabindex"))&&!isNaN(parseInt(e,10))?parseInt(e):null)?t&&0<=e:t}))},To={},No=(ae(To,{accessibleText:function(){return Ro},accessibleTextVirtual:function(){return ni},autocomplete:function(){return oi},formControlValue:function(){return Xu},formControlValueMethods:function(){return Yu},hasUnicode:function(){return Ju},isHumanInterpretable:function(){return ri},isIconLigature:function(){return Qu},isValidAutocomplete:function(){return ui},label:function(){return ci},labelText:function(){return Tu},labelVirtual:function(){return si},nativeElementType:function(){return di},nativeTextAlternative:function(){return Su},nativeTextMethods:function(){return Ou},removeUnicode:function(){return ai},sanitize:function(){return Zo},subtreeText:function(){return Bu},titleText:function(){return Cu},unsupported:function(){return Mu},visible:function(){return li},visibleTextNodes:function(){return pi},visibleVirtual:function(){return ju}}),function(e,t){e=e.actualNode||e;try{var n=sr(e),a=[];if(r=e.getAttribute(t))for(var r=Gc(r),o=0;o<r.length;o++)a.push(n.getElementById(r[o]));return a}catch(e){throw new TypeError("Cannot resolve id references for non-DOM nodes")}}),Ro=function(e,t){return e=Xn(e),ni(e,t)},_o=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=Ld(e).vNode;return 1!==(null==n?void 0:n.props.nodeType)||1!==n.props.nodeType||t.inLabelledByContext||t.inControlContext||!n.attr("aria-labelledby")?"":No(n,"aria-labelledby").filter((function(e){return e})).reduce((function(e,a){return a=Ro(a,U({inLabelledByContext:!0,startNode:t.startNode||n},t)),e?"".concat(e," ").concat(a):a}),"")};function Oo(e){return 1===(null==(e=Ld(e).vNode)?void 0:e.props.nodeType)&&e.attr("aria-label")||""}var So={"aria-activedescendant":{type:"idref",allowEmpty:!0},"aria-atomic":{type:"boolean",global:!0},"aria-autocomplete":{type:"nmtoken",values:["inline","list","both","none"]},"aria-braillelabel":{type:"string",global:!0},"aria-brailleroledescription":{type:"string",global:!0},"aria-busy":{type:"boolean",global:!0},"aria-checked":{type:"nmtoken",values:["false","mixed","true","undefined"]},"aria-colcount":{type:"int",minValue:-1},"aria-colindex":{type:"int",minValue:1},"aria-colspan":{type:"int",minValue:1},"aria-controls":{type:"idrefs",allowEmpty:!0,global:!0},"aria-current":{type:"nmtoken",allowEmpty:!0,values:["page","step","location","date","time","true","false"],global:!0},"aria-describedby":{type:"idrefs",allowEmpty:!0,global:!0},"aria-description":{type:"string",allowEmpty:!0,global:!0},"aria-details":{type:"idref",allowEmpty:!0,global:!0},"aria-disabled":{type:"boolean",global:!0},"aria-dropeffect":{type:"nmtokens",values:["copy","execute","link","move","none","popup"],global:!0},"aria-errormessage":{type:"idref",allowEmpty:!0,global:!0},"aria-expanded":{type:"nmtoken",values:["true","false","undefined"]},"aria-flowto":{type:"idrefs",allowEmpty:!0,global:!0},"aria-grabbed":{type:"nmtoken",values:["true","false","undefined"],global:!0},"aria-haspopup":{type:"nmtoken",allowEmpty:!0,values:["true","false","menu","listbox","tree","grid","dialog"],global:!0},"aria-hidden":{type:"nmtoken",values:["true","false","undefined"],global:!0},"aria-invalid":{type:"nmtoken",values:["grammar","false","spelling","true"],global:!0},"aria-keyshortcuts":{type:"string",allowEmpty:!0,global:!0},"aria-label":{type:"string",allowEmpty:!0,global:!0},"aria-labelledby":{type:"idrefs",allowEmpty:!0,global:!0},"aria-level":{type:"int",minValue:1},"aria-live":{type:"nmtoken",values:["assertive","off","polite"],global:!0},"aria-modal":{type:"boolean"},"aria-multiline":{type:"boolean"},"aria-multiselectable":{type:"boolean"},"aria-orientation":{type:"nmtoken",values:["horizontal","undefined","vertical"]},"aria-owns":{type:"idrefs",allowEmpty:!0,global:!0},"aria-placeholder":{type:"string",allowEmpty:!0},"aria-posinset":{type:"int",minValue:1},"aria-pressed":{type:"nmtoken",values:["false","mixed","true","undefined"]},"aria-readonly":{type:"boolean"},"aria-relevant":{type:"nmtokens",values:["additions","all","removals","text"],global:!0},"aria-required":{type:"boolean"},"aria-roledescription":{type:"string",allowEmpty:!0,global:!0},"aria-rowcount":{type:"int",minValue:-1},"aria-rowindex":{type:"int",minValue:1},"aria-rowspan":{type:"int",minValue:0},"aria-selected":{type:"nmtoken",values:["false","true","undefined"]},"aria-setsize":{type:"int",minValue:-1},"aria-sort":{type:"nmtoken",values:["ascending","descending","none","other"]},"aria-valuemax":{type:"decimal"},"aria-valuemin":{type:"decimal"},"aria-valuenow":{type:"decimal"},"aria-valuetext":{type:"string"}},Mo={alert:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},alertdialog:{type:"widget",allowedAttrs:["aria-expanded","aria-modal"],superclassRole:["alert","dialog"],accessibleNameRequired:!0},application:{type:"landmark",allowedAttrs:["aria-activedescendant","aria-expanded"],superclassRole:["structure"],accessibleNameRequired:!0},article:{type:"structure",allowedAttrs:["aria-posinset","aria-setsize","aria-expanded"],superclassRole:["document"]},banner:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},blockquote:{type:"structure",superclassRole:["section"]},button:{type:"widget",allowedAttrs:["aria-expanded","aria-pressed"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},caption:{type:"structure",requiredContext:["figure","table","grid","treegrid"],superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},cell:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-colindex","aria-colspan","aria-rowindex","aria-rowspan","aria-expanded"],superclassRole:["section"],nameFromContent:!0},checkbox:{type:"widget",requiredAttrs:["aria-checked"],allowedAttrs:["aria-readonly","aria-required"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},code:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},columnheader:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-sort","aria-colindex","aria-colspan","aria-expanded","aria-readonly","aria-required","aria-rowindex","aria-rowspan","aria-selected"],superclassRole:["cell","gridcell","sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},combobox:{type:"widget",requiredAttrs:["aria-expanded","aria-controls"],allowedAttrs:["aria-owns","aria-autocomplete","aria-readonly","aria-required","aria-activedescendant","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!0},command:{type:"abstract",superclassRole:["widget"]},complementary:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},composite:{type:"abstract",superclassRole:["widget"]},contentinfo:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},comment:{type:"structure",allowedAttrs:["aria-level","aria-posinset","aria-setsize"],superclassRole:["article"]},definition:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"]},deletion:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},dialog:{type:"widget",allowedAttrs:["aria-expanded","aria-modal"],superclassRole:["window"],accessibleNameRequired:!0},directory:{type:"structure",deprecated:!0,allowedAttrs:["aria-expanded"],superclassRole:["list"],nameFromContent:!0},document:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["structure"]},emphasis:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},feed:{type:"structure",requiredOwned:["article"],allowedAttrs:["aria-expanded"],superclassRole:["list"]},figure:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},form:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},grid:{type:"composite",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-level","aria-multiselectable","aria-readonly","aria-activedescendant","aria-colcount","aria-expanded","aria-rowcount"],superclassRole:["composite","table"],accessibleNameRequired:!1},gridcell:{type:"widget",requiredContext:["row"],allowedAttrs:["aria-readonly","aria-required","aria-selected","aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan"],superclassRole:["cell","widget"],nameFromContent:!0},group:{type:"structure",allowedAttrs:["aria-activedescendant","aria-expanded"],superclassRole:["section"]},heading:{type:"structure",requiredAttrs:["aria-level"],allowedAttrs:["aria-expanded"],superclassRole:["sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},img:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],accessibleNameRequired:!0,childrenPresentational:!0},input:{type:"abstract",superclassRole:["widget"]},insertion:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},landmark:{type:"abstract",superclassRole:["section"]},link:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0},list:{type:"structure",requiredOwned:["listitem"],allowedAttrs:["aria-expanded"],superclassRole:["section"]},listbox:{type:"widget",requiredOwned:["group","option"],allowedAttrs:["aria-multiselectable","aria-readonly","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!0},listitem:{type:"structure",requiredContext:["list"],allowedAttrs:["aria-level","aria-posinset","aria-setsize","aria-expanded"],superclassRole:["section"],nameFromContent:!0},log:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},main:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},marquee:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},math:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],childrenPresentational:!0},menu:{type:"composite",requiredOwned:["group","menuitemradio","menuitem","menuitemcheckbox","menu","separator"],allowedAttrs:["aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"]},menubar:{type:"composite",requiredOwned:["group","menuitemradio","menuitem","menuitemcheckbox","menu","separator"],allowedAttrs:["aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["menu"]},menuitem:{type:"widget",requiredContext:["menu","menubar","group"],allowedAttrs:["aria-posinset","aria-setsize","aria-expanded"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0},menuitemcheckbox:{type:"widget",requiredContext:["menu","menubar","group"],requiredAttrs:["aria-checked"],allowedAttrs:["aria-expanded","aria-posinset","aria-readonly","aria-setsize"],superclassRole:["checkbox","menuitem"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},menuitemradio:{type:"widget",requiredContext:["menu","menubar","group"],requiredAttrs:["aria-checked"],allowedAttrs:["aria-expanded","aria-posinset","aria-readonly","aria-setsize"],superclassRole:["menuitemcheckbox","radio"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},meter:{type:"structure",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-valuemax","aria-valuemin","aria-valuetext"],superclassRole:["range"],accessibleNameRequired:!0,childrenPresentational:!0},mark:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},navigation:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},none:{type:"structure",superclassRole:["structure"],prohibitedAttrs:["aria-label","aria-labelledby"]},note:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"]},option:{type:"widget",requiredContext:["group","listbox"],allowedAttrs:["aria-selected","aria-checked","aria-posinset","aria-setsize"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},paragraph:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},presentation:{type:"structure",superclassRole:["structure"],prohibitedAttrs:["aria-label","aria-labelledby"]},progressbar:{type:"widget",allowedAttrs:["aria-expanded","aria-valuemax","aria-valuemin","aria-valuenow","aria-valuetext"],superclassRole:["range"],accessibleNameRequired:!0,childrenPresentational:!0},radio:{type:"widget",requiredAttrs:["aria-checked"],allowedAttrs:["aria-posinset","aria-setsize","aria-required"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},radiogroup:{type:"composite",allowedAttrs:["aria-readonly","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!1},range:{type:"abstract",superclassRole:["widget"]},region:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"],accessibleNameRequired:!1},roletype:{type:"abstract",superclassRole:[]},row:{type:"structure",requiredContext:["grid","rowgroup","table","treegrid"],requiredOwned:["cell","columnheader","gridcell","rowheader"],allowedAttrs:["aria-colindex","aria-level","aria-rowindex","aria-selected","aria-activedescendant","aria-expanded","aria-posinset","aria-setsize"],superclassRole:["group","widget"],nameFromContent:!0},rowgroup:{type:"structure",requiredContext:["grid","table","treegrid"],requiredOwned:["row"],superclassRole:["structure"],nameFromContent:!0},rowheader:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-sort","aria-colindex","aria-colspan","aria-expanded","aria-readonly","aria-required","aria-rowindex","aria-rowspan","aria-selected"],superclassRole:["cell","gridcell","sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},scrollbar:{type:"widget",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-controls","aria-orientation","aria-valuemax","aria-valuemin","aria-valuetext"],superclassRole:["range"],childrenPresentational:!0},search:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},searchbox:{type:"widget",allowedAttrs:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-placeholder","aria-readonly","aria-required"],superclassRole:["textbox"],accessibleNameRequired:!0},section:{type:"abstract",superclassRole:["structure"],nameFromContent:!0},sectionhead:{type:"abstract",superclassRole:["structure"],nameFromContent:!0},select:{type:"abstract",superclassRole:["composite","group"]},separator:{type:"structure",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-valuemax","aria-valuemin","aria-orientation","aria-valuetext"],superclassRole:["structure","widget"],childrenPresentational:!0},slider:{type:"widget",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-valuemax","aria-valuemin","aria-orientation","aria-readonly","aria-required","aria-valuetext"],superclassRole:["input","range"],accessibleNameRequired:!0,childrenPresentational:!0},spinbutton:{type:"widget",allowedAttrs:["aria-valuemax","aria-valuemin","aria-readonly","aria-required","aria-activedescendant","aria-valuetext","aria-valuenow"],superclassRole:["composite","input","range"],accessibleNameRequired:!0},status:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},strong:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},structure:{type:"abstract",superclassRole:["roletype"]},subscript:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},superscript:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},switch:{type:"widget",requiredAttrs:["aria-checked"],allowedAttrs:["aria-readonly","aria-required"],superclassRole:["checkbox"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},suggestion:{type:"structure",requiredOwned:["insertion","deletion"],superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},tab:{type:"widget",requiredContext:["tablist"],allowedAttrs:["aria-posinset","aria-selected","aria-setsize","aria-expanded"],superclassRole:["sectionhead","widget"],nameFromContent:!0,childrenPresentational:!0},table:{type:"structure",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-colcount","aria-rowcount","aria-expanded"],superclassRole:["section"],accessibleNameRequired:!1,nameFromContent:!0},tablist:{type:"composite",requiredOwned:["tab"],allowedAttrs:["aria-level","aria-multiselectable","aria-orientation","aria-activedescendant","aria-expanded"],superclassRole:["composite"]},tabpanel:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"],accessibleNameRequired:!1},term:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},text:{type:"structure",superclassRole:["section"],nameFromContent:!0},textbox:{type:"widget",allowedAttrs:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-placeholder","aria-readonly","aria-required"],superclassRole:["input"],accessibleNameRequired:!0},time:{type:"structure",superclassRole:["section"]},timer:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["status"]},toolbar:{type:"structure",allowedAttrs:["aria-orientation","aria-activedescendant","aria-expanded"],superclassRole:["group"],accessibleNameRequired:!0},tooltip:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},tree:{type:"composite",requiredOwned:["group","treeitem"],allowedAttrs:["aria-multiselectable","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!1},treegrid:{type:"composite",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-activedescendant","aria-colcount","aria-expanded","aria-level","aria-multiselectable","aria-orientation","aria-readonly","aria-required","aria-rowcount"],superclassRole:["grid","tree"],accessibleNameRequired:!1},treeitem:{type:"widget",requiredContext:["group","tree"],allowedAttrs:["aria-checked","aria-expanded","aria-level","aria-posinset","aria-selected","aria-setsize"],superclassRole:["listitem","option"],accessibleNameRequired:!0,nameFromContent:!0},widget:{type:"abstract",superclassRole:["roletype"]},window:{type:"abstract",superclassRole:["roletype"]}},Po={a:{variant:{href:{matches:"[href]",contentTypes:["interactive","phrasing","flow"],allowedRoles:["button","checkbox","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab","treeitem","doc-backlink","doc-biblioref","doc-glossref","doc-noteref"],namingMethods:["subtreeText"]},default:{contentTypes:["phrasing","flow"],allowedRoles:!0}}},abbr:{contentTypes:["phrasing","flow"],allowedRoles:!0},address:{contentTypes:["flow"],allowedRoles:!0},area:{variant:{href:{matches:"[href]",allowedRoles:!1},default:{allowedRoles:["button","link"]}},contentTypes:["phrasing","flow"],namingMethods:["altText"]},article:{contentTypes:["sectioning","flow"],allowedRoles:["feed","presentation","none","document","application","main","region"],shadowRoot:!0},aside:{contentTypes:["sectioning","flow"],allowedRoles:["feed","note","presentation","none","region","search","doc-dedication","doc-example","doc-footnote","doc-pullquote","doc-tip"]},audio:{variant:{controls:{matches:"[controls]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application"],chromiumRole:"Audio"},b:{contentTypes:["phrasing","flow"],allowedRoles:!0},base:{allowedRoles:!1,noAriaAttrs:!0},bdi:{contentTypes:["phrasing","flow"],allowedRoles:!0},bdo:{contentTypes:["phrasing","flow"],allowedRoles:!0},blockquote:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},body:{allowedRoles:!1,shadowRoot:!0},br:{contentTypes:["phrasing","flow"],allowedRoles:["presentation","none"],namingMethods:["titleText","singleSpace"]},button:{contentTypes:["interactive","phrasing","flow"],allowedRoles:["checkbox","combobox","link","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab"],namingMethods:["subtreeText"]},canvas:{allowedRoles:!0,contentTypes:["embedded","phrasing","flow"],chromiumRole:"Canvas"},caption:{allowedRoles:!1},cite:{contentTypes:["phrasing","flow"],allowedRoles:!0},code:{contentTypes:["phrasing","flow"],allowedRoles:!0},col:{allowedRoles:!1,noAriaAttrs:!0},colgroup:{allowedRoles:!1,noAriaAttrs:!0},data:{contentTypes:["phrasing","flow"],allowedRoles:!0},datalist:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0,implicitAttrs:{"aria-multiselectable":"false"}},dd:{allowedRoles:!1},del:{contentTypes:["phrasing","flow"],allowedRoles:!0},dfn:{contentTypes:["phrasing","flow"],allowedRoles:!0},details:{contentTypes:["interactive","flow"],allowedRoles:!1},dialog:{contentTypes:["flow"],allowedRoles:["alertdialog"]},div:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},dl:{contentTypes:["flow"],allowedRoles:["group","list","presentation","none"],chromiumRole:"DescriptionList"},dt:{allowedRoles:["listitem"]},em:{contentTypes:["phrasing","flow"],allowedRoles:!0},embed:{contentTypes:["interactive","embedded","phrasing","flow"],allowedRoles:["application","document","img","presentation","none"],chromiumRole:"EmbeddedObject"},fieldset:{contentTypes:["flow"],allowedRoles:["none","presentation","radiogroup"],namingMethods:["fieldsetLegendText"]},figcaption:{allowedRoles:["group","none","presentation"]},figure:{contentTypes:["flow"],allowedRoles:!0,namingMethods:["figureText","titleText"]},footer:{contentTypes:["flow"],allowedRoles:["group","none","presentation","doc-footnote"],shadowRoot:!0},form:{contentTypes:["flow"],allowedRoles:["search","none","presentation"]},h1:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"1"}},h2:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"2"}},h3:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"3"}},h4:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"4"}},h5:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"5"}},h6:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"6"}},head:{allowedRoles:!1,noAriaAttrs:!0},header:{contentTypes:["flow"],allowedRoles:["group","none","presentation","doc-footnote"],shadowRoot:!0},hgroup:{contentTypes:["heading","flow"],allowedRoles:!0},hr:{contentTypes:["flow"],allowedRoles:["none","presentation","doc-pagebreak"],namingMethods:["titleText","singleSpace"]},html:{allowedRoles:!1,noAriaAttrs:!0},i:{contentTypes:["phrasing","flow"],allowedRoles:!0},iframe:{contentTypes:["interactive","embedded","phrasing","flow"],allowedRoles:["application","document","img","none","presentation"],chromiumRole:"Iframe"},img:{variant:{nonEmptyAlt:{matches:[{attributes:{alt:"/.+/"}},{hasAccessibleName:!0}],allowedRoles:["button","checkbox","link","menuitem","menuitemcheckbox","menuitemradio","option","progressbar","radio","scrollbar","separator","slider","switch","tab","treeitem","doc-cover"]},usemap:{matches:"[usemap]",contentTypes:["interactive","embedded","flow"]},default:{allowedRoles:["presentation","none"],contentTypes:["embedded","flow"]}},namingMethods:["altText"]},input:{variant:{button:{matches:{properties:{type:"button"}},allowedRoles:["checkbox","combobox","link","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab"]},buttonType:{matches:{properties:{type:["button","submit","reset"]}},namingMethods:["valueText","titleText","buttonDefaultText"]},checkboxPressed:{matches:{properties:{type:"checkbox"},attributes:{"aria-pressed":"/.*/"}},allowedRoles:["button","menuitemcheckbox","option","switch"],implicitAttrs:{"aria-checked":"false"}},checkbox:{matches:{properties:{type:"checkbox"},attributes:{"aria-pressed":null}},allowedRoles:["menuitemcheckbox","option","switch"],implicitAttrs:{"aria-checked":"false"}},noRoles:{matches:{properties:{type:["color","date","datetime-local","file","month","number","password","range","reset","submit","time","week"]}},allowedRoles:!1},hidden:{matches:{properties:{type:"hidden"}},contentTypes:["flow"],allowedRoles:!1,noAriaAttrs:!0},image:{matches:{properties:{type:"image"}},allowedRoles:["link","menuitem","menuitemcheckbox","menuitemradio","radio","switch"],namingMethods:["altText","valueText","labelText","titleText","buttonDefaultText"]},radio:{matches:{properties:{type:"radio"}},allowedRoles:["menuitemradio"],implicitAttrs:{"aria-checked":"false"}},textWithList:{matches:{properties:{type:"text"},attributes:{list:"/.*/"}},allowedRoles:!1},default:{contentTypes:["interactive","flow"],allowedRoles:["combobox","searchbox","spinbutton"],implicitAttrs:{"aria-valuenow":""},namingMethods:["labelText","placeholderText"]}}},ins:{contentTypes:["phrasing","flow"],allowedRoles:!0},kbd:{contentTypes:["phrasing","flow"],allowedRoles:!0},label:{contentTypes:["interactive","phrasing","flow"],allowedRoles:!1,chromiumRole:"Label"},legend:{allowedRoles:!1},li:{allowedRoles:["menuitem","menuitemcheckbox","menuitemradio","option","none","presentation","radio","separator","tab","treeitem","doc-biblioentry","doc-endnote"],implicitAttrs:{"aria-setsize":"1","aria-posinset":"1"}},link:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},main:{contentTypes:["flow"],allowedRoles:!1,shadowRoot:!0},map:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},math:{contentTypes:["embedded","phrasing","flow"],allowedRoles:!1},mark:{contentTypes:["phrasing","flow"],allowedRoles:!0},menu:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},meta:{variant:{itemprop:{matches:"[itemprop]",contentTypes:["phrasing","flow"]}},allowedRoles:!1,noAriaAttrs:!0},meter:{contentTypes:["phrasing","flow"],allowedRoles:!1,chromiumRole:"progressbar"},nav:{contentTypes:["sectioning","flow"],allowedRoles:["doc-index","doc-pagelist","doc-toc","menu","menubar","none","presentation","tablist"],shadowRoot:!0},noscript:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},object:{variant:{usemap:{matches:"[usemap]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application","document","img"],chromiumRole:"PluginObject"},ol:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},optgroup:{allowedRoles:!1},option:{allowedRoles:!1,implicitAttrs:{"aria-selected":"false"}},output:{contentTypes:["phrasing","flow"],allowedRoles:!0,namingMethods:["subtreeText"]},p:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},param:{allowedRoles:!1,noAriaAttrs:!0},picture:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},pre:{contentTypes:["flow"],allowedRoles:!0},progress:{contentTypes:["phrasing","flow"],allowedRoles:!1,implicitAttrs:{"aria-valuemax":"100","aria-valuemin":"0","aria-valuenow":"0"}},q:{contentTypes:["phrasing","flow"],allowedRoles:!0},rp:{allowedRoles:!0},rt:{allowedRoles:!0},ruby:{contentTypes:["phrasing","flow"],allowedRoles:!0},s:{contentTypes:["phrasing","flow"],allowedRoles:!0},samp:{contentTypes:["phrasing","flow"],allowedRoles:!0},script:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},section:{contentTypes:["sectioning","flow"],allowedRoles:["alert","alertdialog","application","banner","complementary","contentinfo","dialog","document","feed","group","log","main","marquee","navigation","none","note","presentation","search","status","tabpanel","doc-abstract","doc-acknowledgments","doc-afterword","doc-appendix","doc-bibliography","doc-chapter","doc-colophon","doc-conclusion","doc-credit","doc-credits","doc-dedication","doc-endnotes","doc-epigraph","doc-epilogue","doc-errata","doc-example","doc-foreword","doc-glossary","doc-index","doc-introduction","doc-notice","doc-pagelist","doc-part","doc-preface","doc-prologue","doc-pullquote","doc-qna","doc-toc"],shadowRoot:!0},select:{variant:{combobox:{matches:{attributes:{multiple:null,size:[null,"1"]}},allowedRoles:["menu"]},default:{allowedRoles:!1}},contentTypes:["interactive","phrasing","flow"],implicitAttrs:{"aria-valuenow":""},namingMethods:["labelText"]},slot:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},small:{contentTypes:["phrasing","flow"],allowedRoles:!0},source:{allowedRoles:!1,noAriaAttrs:!0},span:{contentTypes:["phrasing","flow"],allowedRoles:!0,shadowRoot:!0},strong:{contentTypes:["phrasing","flow"],allowedRoles:!0},style:{allowedRoles:!1,noAriaAttrs:!0},svg:{contentTypes:["embedded","phrasing","flow"],allowedRoles:!0,chromiumRole:"SVGRoot",namingMethods:["svgTitleText"]},sub:{contentTypes:["phrasing","flow"],allowedRoles:!0},summary:{allowedRoles:!1,namingMethods:["subtreeText"]},sup:{contentTypes:["phrasing","flow"],allowedRoles:!0},table:{contentTypes:["flow"],allowedRoles:!0,namingMethods:["tableCaptionText","tableSummaryText"]},tbody:{allowedRoles:!0},template:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},textarea:{contentTypes:["interactive","phrasing","flow"],allowedRoles:!1,implicitAttrs:{"aria-valuenow":"","aria-multiline":"true"},namingMethods:["labelText","placeholderText"]},tfoot:{allowedRoles:!0},thead:{allowedRoles:!0},time:{contentTypes:["phrasing","flow"],allowedRoles:!0},title:{allowedRoles:!1,noAriaAttrs:!0},td:{allowedRoles:!0},th:{allowedRoles:!0},tr:{allowedRoles:!0},track:{allowedRoles:!1,noAriaAttrs:!0},u:{contentTypes:["phrasing","flow"],allowedRoles:!0},ul:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},var:{contentTypes:["phrasing","flow"],allowedRoles:!0},video:{variant:{controls:{matches:"[controls]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application"],chromiumRole:"video"},wbr:{contentTypes:["phrasing","flow"],allowedRoles:["presentation","none"]}},Io={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169],darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegreen:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]},jo={ariaAttrs:So,ariaRoles:U({},Mo,{"doc-abstract":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-acknowledgments":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-afterword":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-appendix":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-backlink":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-biblioentry":{type:"listitem",allowedAttrs:["aria-expanded","aria-level","aria-posinset","aria-setsize"],superclassRole:["listitem"],deprecated:!0},"doc-bibliography":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-biblioref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-chapter":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-colophon":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-conclusion":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-cover":{type:"img",allowedAttrs:["aria-expanded"],superclassRole:["img"]},"doc-credit":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-credits":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-dedication":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-endnote":{type:"listitem",allowedAttrs:["aria-expanded","aria-level","aria-posinset","aria-setsize"],superclassRole:["listitem"],deprecated:!0},"doc-endnotes":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-epigraph":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-epilogue":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-errata":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-example":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-footnote":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-foreword":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-glossary":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-glossref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-index":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]},"doc-introduction":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-noteref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-notice":{type:"note",allowedAttrs:["aria-expanded"],superclassRole:["note"]},"doc-pagebreak":{type:"separator",allowedAttrs:["aria-expanded","aria-orientation"],superclassRole:["separator"],childrenPresentational:!0},"doc-pagelist":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]},"doc-part":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-preface":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-prologue":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-pullquote":{type:"none",superclassRole:["none"]},"doc-qna":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-subtitle":{type:"sectionhead",allowedAttrs:["aria-expanded"],superclassRole:["sectionhead"]},"doc-tip":{type:"note",allowedAttrs:["aria-expanded"],superclassRole:["note"]},"doc-toc":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]}},{"graphics-document":{type:"structure",superclassRole:["document"],accessibleNameRequired:!0},"graphics-object":{type:"structure",superclassRole:["group"],nameFromContent:!0},"graphics-symbol":{type:"structure",superclassRole:["img"],accessibleNameRequired:!0,childrenPresentational:!0}}),htmlElms:Po,cssColors:Io},Lo=U({},jo),qo=Lo,zo=function(e){return!!(e=qo.ariaRoles[e])&&!!e.unsupported},Vo=function(e){var t=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).allowAbstract,n=void 0!==(n=n.flagUnsupported)&&n,a=qo.ariaRoles[e],r=zo(e);return!(!a||n&&r||!t&&"abstract"===a.type)},$o=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=t.fallback,a=t.abstracts,r=t.dpub;return 1===(e=e instanceof on?e:Xn(e)).props.nodeType&&(t=(e.attr("role")||"").trim().toLowerCase(),(n?Gc(t):[t]).find((function(e){return!(!r&&"doc-"===e.substr(0,4))&&Vo(e,{allowAbstract:a})})))||null},Ho=function(e){return Object.keys(qo.htmlElms).filter((function(t){return(t=qo.htmlElms[t]).contentTypes?t.contentTypes.includes(e):!!t.variant&&!(!t.variant.default||!t.variant.default.contentTypes)&&t.variant.default.contentTypes.includes(e)}))},Uo=function(){return Kn.get("globalAriaAttrs",(function(){return Object.keys(qo.ariaAttrs).filter((function(e){return qo.ariaAttrs[e].global}))}))},Go=Dr((function(e){for(var t=[],n=e.rows,a=0,r=n.length;a<r;a++)for(var o=n[a].cells,u=(t[a]=t[a]||[],0),i=0,l=o.length;i<l;i++)for(var s=0;s<o[i].colSpan;s++){for(var c=o[i].getAttribute("rowspan"),d=0===parseInt(c)||0===o[i].rowspan?n.length:o[i].rowSpan,p=0;p<d;p++){for(t[a+p]=t[a+p]||[];t[a+p][u];)u++;t[a+p][u]=o[i]}u++}return t})),Wo=Dr((function(e,t){var n,a;for(t=t||Go(pr(e,"table")),n=0;n<t.length;n++)if(t[n]&&-1!==(a=t[n].indexOf(e)))return{x:a,y:n}})),Yo=function(e){var t,n=(e=Ld(e)).vNode,a=(e=e.domNode,n.attr("scope")),r=n.attr("role");if(["td","th"].includes(n.props.nodeName))return"columnheader"===r?"col":"rowheader"===r?"row":"col"===a||"row"===a?a:"th"===n.props.nodeName&&(n.actualNode?(r=Go(pr(e,"table")))[(t=Wo(e,r)).y].reduce((function(e,t){return e&&"TH"===t.nodeName.toUpperCase()}),!0)?"col":r.map((function(e){return e[t.x]})).reduce((function(e,t){return e&&t&&"TH"===t.nodeName.toUpperCase()}),!0)?"row":"auto":"auto");throw new TypeError("Expected TD or TH element")},Ko=function(e){return-1!==["col","auto"].indexOf(Yo(e))},Xo=function(e){return["row","auto"].includes(Yo(e))},Zo=function(e){return e?e.replace(/\\r\\n/g,"\\n").replace(/\\u00A0/g," ").replace(/[\\s]{2,}/g," ").trim():""},Jo=function(e){var t=Ld(e).vNode;if(t&&!po(t))switch(t.props.nodeName){case"a":case"area":if(t.hasAttr("href"))return!0;break;case"input":return"hidden"!==t.props.type;case"textarea":case"select":case"summary":case"button":return!0;case"details":return!cp(t,"summary").length}return!1};function Qo(e){return 1===(e=Ld(e).vNode).props.nodeType&&!(po(e)||!Jo(e)&&(!(e=e.attr("tabindex"))||isNaN(parseInt(e,10))))}var eu=Ho("sectioning").map((function(e){return"".concat(e,":not([role])")})).join(", ")+" , main:not([role]), [role=article], [role=complementary], [role=main], [role=navigation], [role=region]";function tu(e){var t=Zo(_o(e));e=Zo(Oo(e));return t||e}var nu={a:function(e){return e.hasAttr("href")?"link":null},area:function(e){return e.hasAttr("href")?"link":null},article:"article",aside:"complementary",body:"document",button:"button",datalist:"listbox",dd:"definition",dfn:"term",details:"group",dialog:"dialog",dt:"term",fieldset:"group",figure:"figure",footer:function(e){return ca(e,eu)?null:"contentinfo"},form:function(e){return tu(e)?"form":null},h1:"heading",h2:"heading",h3:"heading",h4:"heading",h5:"heading",h6:"heading",header:function(e){return ca(e,eu)?null:"banner"},hr:"separator",img:function(e){var t=e.hasAttr("alt")&&!e.attr("alt"),n=Uo().find((function(t){return e.hasAttr(t)}));return!t||n||Qo(e)?"img":"presentation"},input:function(e){var t,n;switch(e.hasAttr("list")&&(n=(t=No(e.actualNode,"list").filter((function(e){return!!e}))[0])&&"datalist"===t.nodeName.toLowerCase()),e.props.type){case"checkbox":return"checkbox";case"number":return"spinbutton";case"radio":return"radio";case"range":return"slider";case"search":return n?"combobox":"searchbox";case"button":case"image":case"reset":case"submit":return"button";case"text":case"tel":case"url":case"email":case"":return n?"combobox":"textbox";default:return"textbox"}},li:"listitem",main:"main",math:"math",menu:"list",nav:"navigation",ol:"list",optgroup:"group",option:"option",output:"status",progress:"progressbar",section:function(e){return tu(e)?"region":null},select:function(e){return e.hasAttr("multiple")||1<parseInt(e.attr("size"))?"listbox":"combobox"},summary:"button",table:"table",tbody:"rowgroup",td:function(e){return e=ca(e,"table"),e=$o(e),["grid","treegrid"].includes(e)?"gridcell":"cell"},textarea:"textbox",tfoot:"rowgroup",th:function(e){return Ko(e)?"columnheader":Xo(e)?"rowheader":void 0},thead:"rowgroup",tr:"row",ul:"list"},au=function(e,t){var n=r(t);if(Array.isArray(t)&&void 0!==e)return t.includes(e);if("function"===n)return!!t(e);if(null!=e){if(t instanceof RegExp)return t.test(e);if(/^\\/.*\\/$/.test(t))return n=t.substring(1,t.length-1),new RegExp(n).test(e)}return t===e};function ru(e,t){return au(!!ni(e),t)}var ou=function(e,t){if("object"!==r(t)||Array.isArray(t)||t instanceof RegExp)throw new Error("Expect matcher to be an object");return Object.keys(t).every((function(n){return au(e(n),t[n])}))};function uu(e,t){return e=Ld(e).vNode,ou((function(t){return e.attr(t)}),t)}function iu(e,t){return!!t(e)}function lu(e,t){return au($o(e),t)}function su(e,t){return au(bu(e),t)}function cu(e,t){return e=Ld(e).vNode,au(e.props.nodeName,t)}function du(e,t){return e=Ld(e).vNode,ou((function(t){return e.props[t]}),t)}function pu(e,t){return au(wu(e),t)}var fu={hasAccessibleName:ru,attributes:uu,condition:iu,explicitRole:lu,implicitRole:su,nodeName:cu,properties:du,semanticRole:pu},Du=function e(t,n){return t=Ld(t).vNode,Array.isArray(n)?n.some((function(n){return e(t,n)})):"string"==typeof n?sa(t,n):Object.keys(n).every((function(e){var a;if(fu[e])return a=n[e],(0,fu[e])(t,a);throw new Error('Unknown matcher type "'.concat(e,'"'))}))},mu=function(e,t){return Du(e,t)},hu=(mu.hasAccessibleName=ru,mu.attributes=uu,mu.condition=iu,mu.explicitRole=lu,mu.fromDefinition=Du,mu.fromFunction=ou,mu.fromPrimative=au,mu.implicitRole=su,mu.nodeName=cu,mu.properties=du,mu.semanticRole=pu,mu),gu=function(e){var t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).noMatchAccessibleName,n=void 0!==t&&t,a=qo.htmlElms[e.props.nodeName];if(!a)return{};if(!a.variant)return a;var r,o,u=a.variant,i=V(a,l);for(r in u)if(u.hasOwnProperty(r)&&"default"!==r){for(var c=u[r],d=c.matches,p=V(c,s),f=Array.isArray(d)?d:[d],D=0;D<f.length&&n;D++)if(f[D].hasOwnProperty("hasAccessibleName"))return a;if(hu(e,d))for(var m in p)p.hasOwnProperty(m)&&(i[m]=p[m])}for(o in u.default)u.default.hasOwnProperty(o)&&void 0===i[o]&&(i[o]=u.default[o]);return i},bu=function(e){var t,n=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).chromium,a=e instanceof on?e:Xn(e);if(e=a.actualNode,a)return t=a.props.nodeName,!(t=nu[t])&&n?gu(a).chromiumRole||null:"function"==typeof t?t(a):t||null;throw new ReferenceError("Cannot get implicit role of a node outside the current scope.")},vu={td:["tr"],th:["tr"],tr:["thead","tbody","tfoot","table"],thead:["table"],tbody:["table"],tfoot:["table"],li:["ol","ul"],dt:["dl","div"],dd:["dl","div"],div:["dl"]};function yu(e,t){var n=t.chromium;t=V(t,c);return(n=bu(e,{chromium:n}))?function e(t,n){var a=vu[t.props.nodeName];if(a){if(t.parent)return a.includes(t.parent.props.nodeName)?(a=$o(t.parent,n),["none","presentation"].includes(a)&&!Fu(t.parent)?a:a?null:e(t.parent,n)):null;if(t.actualNode)throw new ReferenceError("Cannot determine role presentational inheritance of a required parent outside the current scope.")}return null}(e,t)||n:null}function Fu(e){return Uo().some((function(t){return e.hasAttr(t)}))||Qo(e)}var wu=function(e){var t=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).noPresentational,n=function(e,t){var n,a=(r=1<arguments.length&&void 0!==t?t:{}).noImplicit,r=V(r,d),o=Ld(e).vNode;return 1!==o.props.nodeType?null:!(n=$o(o,r))||["presentation","none"].includes(n)&&Fu(o)?a?null:yu(o,r):n}(e,V(n,p));return t&&["presentation","none"].includes(n)?null:n},Eu=["iframe"],Cu=function(e){var t=Ld(e).vNode;return 1!==t.props.nodeType||!e.hasAttr("title")||!mu(t,Eu)&&["none","presentation"].includes(wu(t))?"":t.attr("title")},xu=function(e){var t,n,a=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).strict;return 1===(e=e instanceof on?e:Xn(e)).props.nodeType&&(t=wu(e),!(!(n=qo.ariaRoles[t])||!n.nameFromContent)||!a&&(!n||["presentation","none"].includes(t)))},Au=function(e){var t=e.actualNode,n=e.children;if(n)return e.hasAttr("aria-owns")?(e=No(t,"aria-owns").filter((function(e){return!!e})).map((function(e){return o.utils.getNodeFromTree(e)})),[].concat($(n),$(e))):$(n);throw new Error("getOwnedVirtual requires a virtual node")},ku=Ho("phrasing").concat(["#text"]),Bu=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=ni.alreadyProcessed;t.startNode=t.startNode||e;var a=(o=t).strict,r=o.inControlContext,o=o.inLabelledByContext,u=gu(e,{noMatchAccessibleName:!0}).contentTypes;return n(e,t)||1!==e.props.nodeType||null!=u&&u.includes("embedded")||!xu(e,{strict:a})&&!t.subtreeDescendant?"":(a||(t=U({subtreeDescendant:!r&&!o},t)),Au(e).reduce((function(e,n){var a=t,r=n.props.nodeName;return(n=ni(n,a))?(ku.includes(r)||(" "!==n[0]&&(n+=" "),e&&" "!==e[e.length-1]&&(n=" "+n)),e+n):e}),""))},Tu=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=ni.alreadyProcessed;if(t.inControlContext||t.inLabelledByContext||n(e,t))return"";t.startNode||(t.startNode=e);var a,r=U({inControlContext:!0},t);n=function(e){if(!e.attr("id"))return[];if(e.actualNode)return cr({elm:"label",attr:"for",value:e.attr("id"),context:e.actualNode});throw new TypeError("Cannot resolve explicit label reference for non-DOM nodes")}(e);return(t=ca(e,"label"))?(a=[].concat($(n),[t.actualNode])).sort(jd):a=n,a.map((function(e){return Ro(e,r)})).filter((function(e){return""!==e})).join(" ")},Nu={submit:"Submit",image:"Submit",reset:"Reset",button:""};function Ru(e,t){return t.attr(e)||""}function _u(e,t,n){t=t.actualNode;var a=[e=e.toLowerCase(),t.nodeName.toLowerCase()].join(",");return(t=t.querySelector(a))&&t.nodeName.toLowerCase()===e?Ro(t,n):""}var Ou={valueText:function(e){return e.actualNode.value||""},buttonDefaultText:function(e){return e=e.actualNode,Nu[e.type]||""},tableCaptionText:_u.bind(null,"caption"),figureText:_u.bind(null,"figcaption"),svgTitleText:_u.bind(null,"title"),fieldsetLegendText:_u.bind(null,"legend"),altText:Ru.bind(null,"alt"),tableSummaryText:Ru.bind(null,"summary"),titleText:Cu,subtreeText:Bu,labelText:Tu,singleSpace:function(){return" "},placeholderText:Ru.bind(null,"placeholder")},Su=function(e){var t,n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=e.actualNode;return 1!==e.props.nodeType||["presentation","none"].includes(wu(e))?"":(t=(gu(e,{noMatchAccessibleName:!0}).namingMethods||[]).map((function(e){return Ou[e]})).reduce((function(t,a){return t||a(e,n)}),""),n.debug&&o.log(t||"{empty-value}",a,n),t)},Mu={accessibleNameFromFieldValue:["combobox","listbox","progressbar"]};function Pu(e){return e=Ld(e).vNode,Iu(e)}var Iu=Dr((function(e,t){return!Cr(e)&&!io(e,{skipAncestors:!0,isAncestor:t})&&(e.actualNode&&"area"===e.props.nodeName?!Tr(e,Iu):!_r(e,{skipAncestors:!0,isAncestor:t})&&(!e.parent||Iu(e.parent,!0)))})),ju=function e(t,n,a){var r=Ld(t).vNode,o=n?Pu:zr,u=!t.actualNode||t.actualNode&&o(t);o=r.children.map((function(t){var r=(o=t.props).nodeType,o=o.nodeValue;if(3===r){if(o&&u)return o}else if(!a)return e(t,n)})).join("");return Zo(o)},Lu=["button","checkbox","color","file","hidden","image","password","radio","reset","submit"],qu=function(e){var t=(e=e instanceof on?e:Xn(e)).props.nodeName;return"textarea"===t||"input"===t&&!Lu.includes((e.attr("type")||"").toLowerCase())},zu=function(e){return"select"===(e=e instanceof on?e:Xn(e)).props.nodeName},Vu=function(e){return"textbox"===$o(e)},$u=function(e){return"listbox"===$o(e)},Hu=function(e){return"combobox"===$o(e)},Uu=["progressbar","scrollbar","slider","spinbutton"],Gu=function(e){return e=$o(e),Uu.includes(e)},Wu=["textbox","progressbar","scrollbar","slider","spinbutton","combobox","listbox"],Yu={nativeTextboxValue:function(e){return e=Ld(e).vNode,qu(e)&&e.props.value||""},nativeSelectValue:function(e){if(e=Ld(e).vNode,!zu(e))return"";var t=(e=cp(e,"option")).filter((function(e){return e.props.selected}));return t.length||t.push(e[0]),t.map((function(e){return ju(e)})).join(" ")||""},ariaTextboxValue:function(e){var t=(e=Ld(e)).vNode;e=e.domNode;return Vu(t)?e&&_r(e)?e.textContent:ju(t,!0):""},ariaListboxValue:Ku,ariaComboboxValue:function(e,t){e=Ld(e).vNode;return Hu(e)&&(e=Au(e).filter((function(e){return"listbox"===wu(e)}))[0])?Ku(e,t):""},ariaRangeValue:function(e){e=Ld(e).vNode;return Gu(e)&&e.hasAttr("aria-valuenow")?(e=+e.attr("aria-valuenow"),isNaN(e)?"0":String(e)):""}};function Ku(e,t){e=Ld(e).vNode;return $u(e)&&0!==(e=Au(e).filter((function(e){return"option"===wu(e)&&"true"===e.attr("aria-selected")}))).length?ni(e[0],t):""}var Xu=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=e.actualNode,a=Mu.accessibleNameFromFieldValue||[],r=wu(e);return t.startNode===e||!Wu.includes(r)||a.includes(r)?"":(a=Object.keys(Yu).map((function(e){return Yu[e]})).reduce((function(n,a){return n||a(e,t)}),""),t.debug&&nn(a||"{empty-value}",n,t),a)};function Zu(){return/[#*0-9]\\uFE0F?\\u20E3|[\\xA9\\xAE\\u203C\\u2049\\u2122\\u2139\\u2194-\\u2199\\u21A9\\u21AA\\u231A\\u231B\\u2328\\u23CF\\u23ED-\\u23EF\\u23F1\\u23F2\\u23F8-\\u23FA\\u24C2\\u25AA\\u25AB\\u25B6\\u25C0\\u25FB\\u25FC\\u25FE\\u2600-\\u2604\\u260E\\u2611\\u2614\\u2615\\u2618\\u2620\\u2622\\u2623\\u2626\\u262A\\u262E\\u262F\\u2638-\\u263A\\u2640\\u2642\\u2648-\\u2653\\u265F\\u2660\\u2663\\u2665\\u2666\\u2668\\u267B\\u267E\\u267F\\u2692\\u2694-\\u2697\\u2699\\u269B\\u269C\\u26A0\\u26A7\\u26AA\\u26B0\\u26B1\\u26BD\\u26BE\\u26C4\\u26C8\\u26CF\\u26D1\\u26D3\\u26E9\\u26F0-\\u26F5\\u26F7\\u26F8\\u26FA\\u2702\\u2708\\u2709\\u270F\\u2712\\u2714\\u2716\\u271D\\u2721\\u2733\\u2734\\u2744\\u2747\\u2757\\u2763\\u27A1\\u2934\\u2935\\u2B05-\\u2B07\\u2B1B\\u2B1C\\u2B55\\u3030\\u303D\\u3297\\u3299]\\uFE0F?|[\\u261D\\u270C\\u270D](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\u270A\\u270B](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\u23E9-\\u23EC\\u23F0\\u23F3\\u25FD\\u2693\\u26A1\\u26AB\\u26C5\\u26CE\\u26D4\\u26EA\\u26FD\\u2705\\u2728\\u274C\\u274E\\u2753-\\u2755\\u2795-\\u2797\\u27B0\\u27BF\\u2B50]|\\u26F9(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\u2764\\uFE0F?(?:\\u200D(?:\\uD83D\\uDD25|\\uD83E\\uDE79))?|\\uD83C(?:[\\uDC04\\uDD70\\uDD71\\uDD7E\\uDD7F\\uDE02\\uDE37\\uDF21\\uDF24-\\uDF2C\\uDF36\\uDF7D\\uDF96\\uDF97\\uDF99-\\uDF9B\\uDF9E\\uDF9F\\uDFCD\\uDFCE\\uDFD4-\\uDFDF\\uDFF5\\uDFF7]\\uFE0F?|[\\uDF85\\uDFC2\\uDFC7](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDFC3\\uDFC4\\uDFCA](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDFCB\\uDFCC](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDCCF\\uDD8E\\uDD91-\\uDD9A\\uDE01\\uDE1A\\uDE2F\\uDE32-\\uDE36\\uDE38-\\uDE3A\\uDE50\\uDE51\\uDF00-\\uDF20\\uDF2D-\\uDF35\\uDF37-\\uDF7C\\uDF7E-\\uDF84\\uDF86-\\uDF93\\uDFA0-\\uDFC1\\uDFC5\\uDFC6\\uDFC8\\uDFC9\\uDFCF-\\uDFD3\\uDFE0-\\uDFF0\\uDFF8-\\uDFFF]|\\uDDE6\\uD83C[\\uDDE8-\\uDDEC\\uDDEE\\uDDF1\\uDDF2\\uDDF4\\uDDF6-\\uDDFA\\uDDFC\\uDDFD\\uDDFF]|\\uDDE7\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEF\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9\\uDDFB\\uDDFC\\uDDFE\\uDDFF]|\\uDDE8\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDEE\\uDDF0-\\uDDF5\\uDDF7\\uDDFA-\\uDDFF]|\\uDDE9\\uD83C[\\uDDEA\\uDDEC\\uDDEF\\uDDF0\\uDDF2\\uDDF4\\uDDFF]|\\uDDEA\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDED\\uDDF7-\\uDDFA]|\\uDDEB\\uD83C[\\uDDEE-\\uDDF0\\uDDF2\\uDDF4\\uDDF7]|\\uDDEC\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEE\\uDDF1-\\uDDF3\\uDDF5-\\uDDFA\\uDDFC\\uDDFE]|\\uDDED\\uD83C[\\uDDF0\\uDDF2\\uDDF3\\uDDF7\\uDDF9\\uDDFA]|\\uDDEE\\uD83C[\\uDDE8-\\uDDEA\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9]|\\uDDEF\\uD83C[\\uDDEA\\uDDF2\\uDDF4\\uDDF5]|\\uDDF0\\uD83C[\\uDDEA\\uDDEC-\\uDDEE\\uDDF2\\uDDF3\\uDDF5\\uDDF7\\uDDFC\\uDDFE\\uDDFF]|\\uDDF1\\uD83C[\\uDDE6-\\uDDE8\\uDDEE\\uDDF0\\uDDF7-\\uDDFB\\uDDFE]|\\uDDF2\\uD83C[\\uDDE6\\uDDE8-\\uDDED\\uDDF0-\\uDDFF]|\\uDDF3\\uD83C[\\uDDE6\\uDDE8\\uDDEA-\\uDDEC\\uDDEE\\uDDF1\\uDDF4\\uDDF5\\uDDF7\\uDDFA\\uDDFF]|\\uDDF4\\uD83C\\uDDF2|\\uDDF5\\uD83C[\\uDDE6\\uDDEA-\\uDDED\\uDDF0-\\uDDF3\\uDDF7-\\uDDF9\\uDDFC\\uDDFE]|\\uDDF6\\uD83C\\uDDE6|\\uDDF7\\uD83C[\\uDDEA\\uDDF4\\uDDF8\\uDDFA\\uDDFC]|\\uDDF8\\uD83C[\\uDDE6-\\uDDEA\\uDDEC-\\uDDF4\\uDDF7-\\uDDF9\\uDDFB\\uDDFD-\\uDDFF]|\\uDDF9\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDED\\uDDEF-\\uDDF4\\uDDF7\\uDDF9\\uDDFB\\uDDFC\\uDDFF]|\\uDDFA\\uD83C[\\uDDE6\\uDDEC\\uDDF2\\uDDF3\\uDDF8\\uDDFE\\uDDFF]|\\uDDFB\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDEE\\uDDF3\\uDDFA]|\\uDDFC\\uD83C[\\uDDEB\\uDDF8]|\\uDDFD\\uD83C\\uDDF0|\\uDDFE\\uD83C[\\uDDEA\\uDDF9]|\\uDDFF\\uD83C[\\uDDE6\\uDDF2\\uDDFC]|\\uDFF3\\uFE0F?(?:\\u200D(?:\\u26A7\\uFE0F?|\\uD83C\\uDF08))?|\\uDFF4(?:\\u200D\\u2620\\uFE0F?|\\uDB40\\uDC67\\uDB40\\uDC62\\uDB40(?:\\uDC65\\uDB40\\uDC6E\\uDB40\\uDC67|\\uDC73\\uDB40\\uDC63\\uDB40\\uDC74|\\uDC77\\uDB40\\uDC6C\\uDB40\\uDC73)\\uDB40\\uDC7F)?)|\\uD83D(?:[\\uDC08\\uDC26](?:\\u200D\\u2B1B)?|[\\uDC3F\\uDCFD\\uDD49\\uDD4A\\uDD6F\\uDD70\\uDD73\\uDD76-\\uDD79\\uDD87\\uDD8A-\\uDD8D\\uDDA5\\uDDA8\\uDDB1\\uDDB2\\uDDBC\\uDDC2-\\uDDC4\\uDDD1-\\uDDD3\\uDDDC-\\uDDDE\\uDDE1\\uDDE3\\uDDE8\\uDDEF\\uDDF3\\uDDFA\\uDECB\\uDECD-\\uDECF\\uDEE0-\\uDEE5\\uDEE9\\uDEF0\\uDEF3]\\uFE0F?|[\\uDC42\\uDC43\\uDC46-\\uDC50\\uDC66\\uDC67\\uDC6B-\\uDC6D\\uDC72\\uDC74-\\uDC76\\uDC78\\uDC7C\\uDC83\\uDC85\\uDC8F\\uDC91\\uDCAA\\uDD7A\\uDD95\\uDD96\\uDE4C\\uDE4F\\uDEC0\\uDECC](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC6E\\uDC70\\uDC71\\uDC73\\uDC77\\uDC81\\uDC82\\uDC86\\uDC87\\uDE45-\\uDE47\\uDE4B\\uDE4D\\uDE4E\\uDEA3\\uDEB4-\\uDEB6](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD74\\uDD90](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC00-\\uDC07\\uDC09-\\uDC14\\uDC16-\\uDC25\\uDC27-\\uDC3A\\uDC3C-\\uDC3E\\uDC40\\uDC44\\uDC45\\uDC51-\\uDC65\\uDC6A\\uDC79-\\uDC7B\\uDC7D-\\uDC80\\uDC84\\uDC88-\\uDC8E\\uDC90\\uDC92-\\uDCA9\\uDCAB-\\uDCFC\\uDCFF-\\uDD3D\\uDD4B-\\uDD4E\\uDD50-\\uDD67\\uDDA4\\uDDFB-\\uDE2D\\uDE2F-\\uDE34\\uDE37-\\uDE44\\uDE48-\\uDE4A\\uDE80-\\uDEA2\\uDEA4-\\uDEB3\\uDEB7-\\uDEBF\\uDEC1-\\uDEC5\\uDED0-\\uDED2\\uDED5-\\uDED7\\uDEDC-\\uDEDF\\uDEEB\\uDEEC\\uDEF4-\\uDEFC\\uDFE0-\\uDFEB\\uDFF0]|\\uDC15(?:\\u200D\\uD83E\\uDDBA)?|\\uDC3B(?:\\u200D\\u2744\\uFE0F?)?|\\uDC41\\uFE0F?(?:\\u200D\\uD83D\\uDDE8\\uFE0F?)?|\\uDC68(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDC68\\uDC69]\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC69(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?[\\uDC68\\uDC69]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?|\\uDC69\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?))|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC6F(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDD75(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDE2E(?:\\u200D\\uD83D\\uDCA8)?|\\uDE35(?:\\u200D\\uD83D\\uDCAB)?|\\uDE36(?:\\u200D\\uD83C\\uDF2B\\uFE0F?)?)|\\uD83E(?:[\\uDD0C\\uDD0F\\uDD18-\\uDD1F\\uDD30-\\uDD34\\uDD36\\uDD77\\uDDB5\\uDDB6\\uDDBB\\uDDD2\\uDDD3\\uDDD5\\uDEC3-\\uDEC5\\uDEF0\\uDEF2-\\uDEF8](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDD26\\uDD35\\uDD37-\\uDD39\\uDD3D\\uDD3E\\uDDB8\\uDDB9\\uDDCD-\\uDDCF\\uDDD4\\uDDD6-\\uDDDD](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDDDE\\uDDDF](?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD0D\\uDD0E\\uDD10-\\uDD17\\uDD20-\\uDD25\\uDD27-\\uDD2F\\uDD3A\\uDD3F-\\uDD45\\uDD47-\\uDD76\\uDD78-\\uDDB4\\uDDB7\\uDDBA\\uDDBC-\\uDDCC\\uDDD0\\uDDE0-\\uDDFF\\uDE70-\\uDE7C\\uDE80-\\uDE88\\uDE90-\\uDEBD\\uDEBF-\\uDEC2\\uDECE-\\uDEDB\\uDEE0-\\uDEE8]|\\uDD3C(?:\\u200D[\\u2640\\u2642]\\uFE0F?|\\uD83C[\\uDFFB-\\uDFFF])?|\\uDDD1(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFC-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFD-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFD\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFE]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?))?|\\uDEF1(?:\\uD83C(?:\\uDFFB(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFC-\\uDFFF])?|\\uDFFC(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])?|\\uDFFD(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])?|\\uDFFE(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])?|\\uDFFF(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFE])?))?)/g}var Ju=function(e,t){var n=t.emoji,a=t.nonBmp;t=t.punctuations;return n?/[#*0-9]\\uFE0F?\\u20E3|[\\xA9\\xAE\\u203C\\u2049\\u2122\\u2139\\u2194-\\u2199\\u21A9\\u21AA\\u231A\\u231B\\u2328\\u23CF\\u23ED-\\u23EF\\u23F1\\u23F2\\u23F8-\\u23FA\\u24C2\\u25AA\\u25AB\\u25B6\\u25C0\\u25FB\\u25FC\\u25FE\\u2600-\\u2604\\u260E\\u2611\\u2614\\u2615\\u2618\\u2620\\u2622\\u2623\\u2626\\u262A\\u262E\\u262F\\u2638-\\u263A\\u2640\\u2642\\u2648-\\u2653\\u265F\\u2660\\u2663\\u2665\\u2666\\u2668\\u267B\\u267E\\u267F\\u2692\\u2694-\\u2697\\u2699\\u269B\\u269C\\u26A0\\u26A7\\u26AA\\u26B0\\u26B1\\u26BD\\u26BE\\u26C4\\u26C8\\u26CF\\u26D1\\u26D3\\u26E9\\u26F0-\\u26F5\\u26F7\\u26F8\\u26FA\\u2702\\u2708\\u2709\\u270F\\u2712\\u2714\\u2716\\u271D\\u2721\\u2733\\u2734\\u2744\\u2747\\u2757\\u2763\\u27A1\\u2934\\u2935\\u2B05-\\u2B07\\u2B1B\\u2B1C\\u2B55\\u3030\\u303D\\u3297\\u3299]\\uFE0F?|[\\u261D\\u270C\\u270D](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\u270A\\u270B](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\u23E9-\\u23EC\\u23F0\\u23F3\\u25FD\\u2693\\u26A1\\u26AB\\u26C5\\u26CE\\u26D4\\u26EA\\u26FD\\u2705\\u2728\\u274C\\u274E\\u2753-\\u2755\\u2795-\\u2797\\u27B0\\u27BF\\u2B50]|\\u26F9(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\u2764\\uFE0F?(?:\\u200D(?:\\uD83D\\uDD25|\\uD83E\\uDE79))?|\\uD83C(?:[\\uDC04\\uDD70\\uDD71\\uDD7E\\uDD7F\\uDE02\\uDE37\\uDF21\\uDF24-\\uDF2C\\uDF36\\uDF7D\\uDF96\\uDF97\\uDF99-\\uDF9B\\uDF9E\\uDF9F\\uDFCD\\uDFCE\\uDFD4-\\uDFDF\\uDFF5\\uDFF7]\\uFE0F?|[\\uDF85\\uDFC2\\uDFC7](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDFC3\\uDFC4\\uDFCA](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDFCB\\uDFCC](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDCCF\\uDD8E\\uDD91-\\uDD9A\\uDE01\\uDE1A\\uDE2F\\uDE32-\\uDE36\\uDE38-\\uDE3A\\uDE50\\uDE51\\uDF00-\\uDF20\\uDF2D-\\uDF35\\uDF37-\\uDF7C\\uDF7E-\\uDF84\\uDF86-\\uDF93\\uDFA0-\\uDFC1\\uDFC5\\uDFC6\\uDFC8\\uDFC9\\uDFCF-\\uDFD3\\uDFE0-\\uDFF0\\uDFF8-\\uDFFF]|\\uDDE6\\uD83C[\\uDDE8-\\uDDEC\\uDDEE\\uDDF1\\uDDF2\\uDDF4\\uDDF6-\\uDDFA\\uDDFC\\uDDFD\\uDDFF]|\\uDDE7\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEF\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9\\uDDFB\\uDDFC\\uDDFE\\uDDFF]|\\uDDE8\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDEE\\uDDF0-\\uDDF5\\uDDF7\\uDDFA-\\uDDFF]|\\uDDE9\\uD83C[\\uDDEA\\uDDEC\\uDDEF\\uDDF0\\uDDF2\\uDDF4\\uDDFF]|\\uDDEA\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDED\\uDDF7-\\uDDFA]|\\uDDEB\\uD83C[\\uDDEE-\\uDDF0\\uDDF2\\uDDF4\\uDDF7]|\\uDDEC\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEE\\uDDF1-\\uDDF3\\uDDF5-\\uDDFA\\uDDFC\\uDDFE]|\\uDDED\\uD83C[\\uDDF0\\uDDF2\\uDDF3\\uDDF7\\uDDF9\\uDDFA]|\\uDDEE\\uD83C[\\uDDE8-\\uDDEA\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9]|\\uDDEF\\uD83C[\\uDDEA\\uDDF2\\uDDF4\\uDDF5]|\\uDDF0\\uD83C[\\uDDEA\\uDDEC-\\uDDEE\\uDDF2\\uDDF3\\uDDF5\\uDDF7\\uDDFC\\uDDFE\\uDDFF]|\\uDDF1\\uD83C[\\uDDE6-\\uDDE8\\uDDEE\\uDDF0\\uDDF7-\\uDDFB\\uDDFE]|\\uDDF2\\uD83C[\\uDDE6\\uDDE8-\\uDDED\\uDDF0-\\uDDFF]|\\uDDF3\\uD83C[\\uDDE6\\uDDE8\\uDDEA-\\uDDEC\\uDDEE\\uDDF1\\uDDF4\\uDDF5\\uDDF7\\uDDFA\\uDDFF]|\\uDDF4\\uD83C\\uDDF2|\\uDDF5\\uD83C[\\uDDE6\\uDDEA-\\uDDED\\uDDF0-\\uDDF3\\uDDF7-\\uDDF9\\uDDFC\\uDDFE]|\\uDDF6\\uD83C\\uDDE6|\\uDDF7\\uD83C[\\uDDEA\\uDDF4\\uDDF8\\uDDFA\\uDDFC]|\\uDDF8\\uD83C[\\uDDE6-\\uDDEA\\uDDEC-\\uDDF4\\uDDF7-\\uDDF9\\uDDFB\\uDDFD-\\uDDFF]|\\uDDF9\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDED\\uDDEF-\\uDDF4\\uDDF7\\uDDF9\\uDDFB\\uDDFC\\uDDFF]|\\uDDFA\\uD83C[\\uDDE6\\uDDEC\\uDDF2\\uDDF3\\uDDF8\\uDDFE\\uDDFF]|\\uDDFB\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDEE\\uDDF3\\uDDFA]|\\uDDFC\\uD83C[\\uDDEB\\uDDF8]|\\uDDFD\\uD83C\\uDDF0|\\uDDFE\\uD83C[\\uDDEA\\uDDF9]|\\uDDFF\\uD83C[\\uDDE6\\uDDF2\\uDDFC]|\\uDFF3\\uFE0F?(?:\\u200D(?:\\u26A7\\uFE0F?|\\uD83C\\uDF08))?|\\uDFF4(?:\\u200D\\u2620\\uFE0F?|\\uDB40\\uDC67\\uDB40\\uDC62\\uDB40(?:\\uDC65\\uDB40\\uDC6E\\uDB40\\uDC67|\\uDC73\\uDB40\\uDC63\\uDB40\\uDC74|\\uDC77\\uDB40\\uDC6C\\uDB40\\uDC73)\\uDB40\\uDC7F)?)|\\uD83D(?:[\\uDC08\\uDC26](?:\\u200D\\u2B1B)?|[\\uDC3F\\uDCFD\\uDD49\\uDD4A\\uDD6F\\uDD70\\uDD73\\uDD76-\\uDD79\\uDD87\\uDD8A-\\uDD8D\\uDDA5\\uDDA8\\uDDB1\\uDDB2\\uDDBC\\uDDC2-\\uDDC4\\uDDD1-\\uDDD3\\uDDDC-\\uDDDE\\uDDE1\\uDDE3\\uDDE8\\uDDEF\\uDDF3\\uDDFA\\uDECB\\uDECD-\\uDECF\\uDEE0-\\uDEE5\\uDEE9\\uDEF0\\uDEF3]\\uFE0F?|[\\uDC42\\uDC43\\uDC46-\\uDC50\\uDC66\\uDC67\\uDC6B-\\uDC6D\\uDC72\\uDC74-\\uDC76\\uDC78\\uDC7C\\uDC83\\uDC85\\uDC8F\\uDC91\\uDCAA\\uDD7A\\uDD95\\uDD96\\uDE4C\\uDE4F\\uDEC0\\uDECC](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC6E\\uDC70\\uDC71\\uDC73\\uDC77\\uDC81\\uDC82\\uDC86\\uDC87\\uDE45-\\uDE47\\uDE4B\\uDE4D\\uDE4E\\uDEA3\\uDEB4-\\uDEB6](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD74\\uDD90](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC00-\\uDC07\\uDC09-\\uDC14\\uDC16-\\uDC25\\uDC27-\\uDC3A\\uDC3C-\\uDC3E\\uDC40\\uDC44\\uDC45\\uDC51-\\uDC65\\uDC6A\\uDC79-\\uDC7B\\uDC7D-\\uDC80\\uDC84\\uDC88-\\uDC8E\\uDC90\\uDC92-\\uDCA9\\uDCAB-\\uDCFC\\uDCFF-\\uDD3D\\uDD4B-\\uDD4E\\uDD50-\\uDD67\\uDDA4\\uDDFB-\\uDE2D\\uDE2F-\\uDE34\\uDE37-\\uDE44\\uDE48-\\uDE4A\\uDE80-\\uDEA2\\uDEA4-\\uDEB3\\uDEB7-\\uDEBF\\uDEC1-\\uDEC5\\uDED0-\\uDED2\\uDED5-\\uDED7\\uDEDC-\\uDEDF\\uDEEB\\uDEEC\\uDEF4-\\uDEFC\\uDFE0-\\uDFEB\\uDFF0]|\\uDC15(?:\\u200D\\uD83E\\uDDBA)?|\\uDC3B(?:\\u200D\\u2744\\uFE0F?)?|\\uDC41\\uFE0F?(?:\\u200D\\uD83D\\uDDE8\\uFE0F?)?|\\uDC68(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDC68\\uDC69]\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC69(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?[\\uDC68\\uDC69]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?|\\uDC69\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?))|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC6F(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDD75(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDE2E(?:\\u200D\\uD83D\\uDCA8)?|\\uDE35(?:\\u200D\\uD83D\\uDCAB)?|\\uDE36(?:\\u200D\\uD83C\\uDF2B\\uFE0F?)?)|\\uD83E(?:[\\uDD0C\\uDD0F\\uDD18-\\uDD1F\\uDD30-\\uDD34\\uDD36\\uDD77\\uDDB5\\uDDB6\\uDDBB\\uDDD2\\uDDD3\\uDDD5\\uDEC3-\\uDEC5\\uDEF0\\uDEF2-\\uDEF8](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDD26\\uDD35\\uDD37-\\uDD39\\uDD3D\\uDD3E\\uDDB8\\uDDB9\\uDDCD-\\uDDCF\\uDDD4\\uDDD6-\\uDDDD](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDDDE\\uDDDF](?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD0D\\uDD0E\\uDD10-\\uDD17\\uDD20-\\uDD25\\uDD27-\\uDD2F\\uDD3A\\uDD3F-\\uDD45\\uDD47-\\uDD76\\uDD78-\\uDDB4\\uDDB7\\uDDBA\\uDDBC-\\uDDCC\\uDDD0\\uDDE0-\\uDDFF\\uDE70-\\uDE7C\\uDE80-\\uDE88\\uDE90-\\uDEBD\\uDEBF-\\uDEC2\\uDECE-\\uDEDB\\uDEE0-\\uDEE8]|\\uDD3C(?:\\u200D[\\u2640\\u2642]\\uFE0F?|\\uD83C[\\uDFFB-\\uDFFF])?|\\uDDD1(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFC-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFD-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFD\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFE]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?))?|\\uDEF1(?:\\uD83C(?:\\uDFFB(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFC-\\uDFFF])?|\\uDFFC(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])?|\\uDFFD(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])?|\\uDFFE(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])?|\\uDFFF(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFE])?))?)/g.test(e):a?/[\\u1D00-\\u1D7F\\u1D80-\\u1DBF\\u1DC0-\\u1DFF\\u20A0-\\u20CF\\u20D0-\\u20FF\\u2100-\\u214F\\u2150-\\u218F\\u2190-\\u21FF\\u2200-\\u22FF\\u2300-\\u23FF\\u2400-\\u243F\\u2440-\\u245F\\u2460-\\u24FF\\u2500-\\u257F\\u2580-\\u259F\\u25A0-\\u25FF\\u2600-\\u26FF\\u2700-\\u27BF\\uE000-\\uF8FF]/g.test(e)||/[\\uDB80-\\uDBBF][\\uDC00-\\uDFFF]/g.test(e):!!t&&/[\\u2000-\\u206F\\u2E00-\\u2E7F\\\\'!"#$%&\\xa3\\xa2\\xa5\\xa7\\u20ac()*+,\\-.\\/:;<=>?@\\[\\]^_\`{|}~\\xb1]/g.test(e)},Qu=function(e){var n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:.15,r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:3,o=e.actualNode.nodeValue.trim();if(!Zo(o)||Ju(o,{emoji:!0,nonBmp:!0}))return!1;var u=Kn.get("canvasContext",(function(){return a.createElement("canvas").getContext("2d",{willReadFrequently:!0})})),i=u.canvas,l=(Kn.get("fonts")||Kn.set("fonts",{}),Kn.get("fonts"));if(l[D=t.getComputedStyle(e.parent.actualNode).getPropertyValue("font-family")]||(l[D]={occurrences:0,numLigatures:0}),(l=l[D]).occurrences>=r){if(l.numLigatures/l.occurrences==1)return!0;if(0===l.numLigatures)return!1}l.occurrences++;var s="".concat(r=30,"px ").concat(D),c=(u.font=s,o.charAt(0)),d=u.measureText(c).width,p=(d<30&&(d*=p=30/d,s="".concat(r*=p,"px ").concat(D)),i.width=d,i.height=r,u.font=s,u.textAlign="left",u.textBaseline="top",u.fillText(c,0,0),new Uint32Array(u.getImageData(0,0,d,r).data.buffer));if(!p.some((function(e){return e})))return l.numLigatures++,!0;u.clearRect(0,0,d,r),u.fillText(o,0,0);var f=new Uint32Array(u.getImageData(0,0,d,r).data.buffer),D=p.reduce((function(e,t,n){return 0===t&&0===f[n]||0!==t&&0!==f[n]?e:++e}),0);i=o.split("").reduce((function(e,t){return e+u.measureText(t).width}),0),s=u.measureText(o).width;return n<=D/p.length&&n<=1-s/i&&(l.numLigatures++,!0)};function ei(e){var t,n,a,r,u,i=function(e,t){return t.startNode||(t=U({startNode:e},t)),1===e.props.nodeType&&t.inLabelledByContext&&void 0===t.includeHidden&&(t=U({includeHidden:!Pu(e)},t)),t}(e,1<arguments.length&&void 0!==arguments[1]?arguments[1]:{});return function(e,t){if(e&&1===e.props.nodeType&&!t.includeHidden)return!Pu(e)}(e,i)||(t=e,n=(u=i).ignoreIconLigature,a=u.pixelThreshold,r=null!=(r=u.occurrenceThreshold)?r:u.occuranceThreshold,3===t.props.nodeType&&n&&Qu(t,a,r))?"":(u=[_o,Oo,Su,Xu,Bu,ti,Cu].reduce((function(t,n){return""!==(t=i.startNode===e?Zo(t):t)?t:n(e,i)}),""),i.debug&&o.log(u||"{empty-value}",e.actualNode,i),u)}function ti(e){return 3!==e.props.nodeType?"":e.props.nodeValue}ei.alreadyProcessed=function(e,t){return t.processed=t.processed||[],!!t.processed.includes(e)||(t.processed.push(e),!1)};var ni=ei,ai=function(e,t){var n=t.emoji,a=t.nonBmp;t=t.punctuations;return n&&(e=e.replace(/[#*0-9]\\uFE0F?\\u20E3|[\\xA9\\xAE\\u203C\\u2049\\u2122\\u2139\\u2194-\\u2199\\u21A9\\u21AA\\u231A\\u231B\\u2328\\u23CF\\u23ED-\\u23EF\\u23F1\\u23F2\\u23F8-\\u23FA\\u24C2\\u25AA\\u25AB\\u25B6\\u25C0\\u25FB\\u25FC\\u25FE\\u2600-\\u2604\\u260E\\u2611\\u2614\\u2615\\u2618\\u2620\\u2622\\u2623\\u2626\\u262A\\u262E\\u262F\\u2638-\\u263A\\u2640\\u2642\\u2648-\\u2653\\u265F\\u2660\\u2663\\u2665\\u2666\\u2668\\u267B\\u267E\\u267F\\u2692\\u2694-\\u2697\\u2699\\u269B\\u269C\\u26A0\\u26A7\\u26AA\\u26B0\\u26B1\\u26BD\\u26BE\\u26C4\\u26C8\\u26CF\\u26D1\\u26D3\\u26E9\\u26F0-\\u26F5\\u26F7\\u26F8\\u26FA\\u2702\\u2708\\u2709\\u270F\\u2712\\u2714\\u2716\\u271D\\u2721\\u2733\\u2734\\u2744\\u2747\\u2757\\u2763\\u27A1\\u2934\\u2935\\u2B05-\\u2B07\\u2B1B\\u2B1C\\u2B55\\u3030\\u303D\\u3297\\u3299]\\uFE0F?|[\\u261D\\u270C\\u270D](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\u270A\\u270B](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\u23E9-\\u23EC\\u23F0\\u23F3\\u25FD\\u2693\\u26A1\\u26AB\\u26C5\\u26CE\\u26D4\\u26EA\\u26FD\\u2705\\u2728\\u274C\\u274E\\u2753-\\u2755\\u2795-\\u2797\\u27B0\\u27BF\\u2B50]|\\u26F9(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\u2764\\uFE0F?(?:\\u200D(?:\\uD83D\\uDD25|\\uD83E\\uDE79))?|\\uD83C(?:[\\uDC04\\uDD70\\uDD71\\uDD7E\\uDD7F\\uDE02\\uDE37\\uDF21\\uDF24-\\uDF2C\\uDF36\\uDF7D\\uDF96\\uDF97\\uDF99-\\uDF9B\\uDF9E\\uDF9F\\uDFCD\\uDFCE\\uDFD4-\\uDFDF\\uDFF5\\uDFF7]\\uFE0F?|[\\uDF85\\uDFC2\\uDFC7](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDFC3\\uDFC4\\uDFCA](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDFCB\\uDFCC](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDCCF\\uDD8E\\uDD91-\\uDD9A\\uDE01\\uDE1A\\uDE2F\\uDE32-\\uDE36\\uDE38-\\uDE3A\\uDE50\\uDE51\\uDF00-\\uDF20\\uDF2D-\\uDF35\\uDF37-\\uDF7C\\uDF7E-\\uDF84\\uDF86-\\uDF93\\uDFA0-\\uDFC1\\uDFC5\\uDFC6\\uDFC8\\uDFC9\\uDFCF-\\uDFD3\\uDFE0-\\uDFF0\\uDFF8-\\uDFFF]|\\uDDE6\\uD83C[\\uDDE8-\\uDDEC\\uDDEE\\uDDF1\\uDDF2\\uDDF4\\uDDF6-\\uDDFA\\uDDFC\\uDDFD\\uDDFF]|\\uDDE7\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEF\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9\\uDDFB\\uDDFC\\uDDFE\\uDDFF]|\\uDDE8\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDEE\\uDDF0-\\uDDF5\\uDDF7\\uDDFA-\\uDDFF]|\\uDDE9\\uD83C[\\uDDEA\\uDDEC\\uDDEF\\uDDF0\\uDDF2\\uDDF4\\uDDFF]|\\uDDEA\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDED\\uDDF7-\\uDDFA]|\\uDDEB\\uD83C[\\uDDEE-\\uDDF0\\uDDF2\\uDDF4\\uDDF7]|\\uDDEC\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEE\\uDDF1-\\uDDF3\\uDDF5-\\uDDFA\\uDDFC\\uDDFE]|\\uDDED\\uD83C[\\uDDF0\\uDDF2\\uDDF3\\uDDF7\\uDDF9\\uDDFA]|\\uDDEE\\uD83C[\\uDDE8-\\uDDEA\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9]|\\uDDEF\\uD83C[\\uDDEA\\uDDF2\\uDDF4\\uDDF5]|\\uDDF0\\uD83C[\\uDDEA\\uDDEC-\\uDDEE\\uDDF2\\uDDF3\\uDDF5\\uDDF7\\uDDFC\\uDDFE\\uDDFF]|\\uDDF1\\uD83C[\\uDDE6-\\uDDE8\\uDDEE\\uDDF0\\uDDF7-\\uDDFB\\uDDFE]|\\uDDF2\\uD83C[\\uDDE6\\uDDE8-\\uDDED\\uDDF0-\\uDDFF]|\\uDDF3\\uD83C[\\uDDE6\\uDDE8\\uDDEA-\\uDDEC\\uDDEE\\uDDF1\\uDDF4\\uDDF5\\uDDF7\\uDDFA\\uDDFF]|\\uDDF4\\uD83C\\uDDF2|\\uDDF5\\uD83C[\\uDDE6\\uDDEA-\\uDDED\\uDDF0-\\uDDF3\\uDDF7-\\uDDF9\\uDDFC\\uDDFE]|\\uDDF6\\uD83C\\uDDE6|\\uDDF7\\uD83C[\\uDDEA\\uDDF4\\uDDF8\\uDDFA\\uDDFC]|\\uDDF8\\uD83C[\\uDDE6-\\uDDEA\\uDDEC-\\uDDF4\\uDDF7-\\uDDF9\\uDDFB\\uDDFD-\\uDDFF]|\\uDDF9\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDED\\uDDEF-\\uDDF4\\uDDF7\\uDDF9\\uDDFB\\uDDFC\\uDDFF]|\\uDDFA\\uD83C[\\uDDE6\\uDDEC\\uDDF2\\uDDF3\\uDDF8\\uDDFE\\uDDFF]|\\uDDFB\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDEE\\uDDF3\\uDDFA]|\\uDDFC\\uD83C[\\uDDEB\\uDDF8]|\\uDDFD\\uD83C\\uDDF0|\\uDDFE\\uD83C[\\uDDEA\\uDDF9]|\\uDDFF\\uD83C[\\uDDE6\\uDDF2\\uDDFC]|\\uDFF3\\uFE0F?(?:\\u200D(?:\\u26A7\\uFE0F?|\\uD83C\\uDF08))?|\\uDFF4(?:\\u200D\\u2620\\uFE0F?|\\uDB40\\uDC67\\uDB40\\uDC62\\uDB40(?:\\uDC65\\uDB40\\uDC6E\\uDB40\\uDC67|\\uDC73\\uDB40\\uDC63\\uDB40\\uDC74|\\uDC77\\uDB40\\uDC6C\\uDB40\\uDC73)\\uDB40\\uDC7F)?)|\\uD83D(?:[\\uDC08\\uDC26](?:\\u200D\\u2B1B)?|[\\uDC3F\\uDCFD\\uDD49\\uDD4A\\uDD6F\\uDD70\\uDD73\\uDD76-\\uDD79\\uDD87\\uDD8A-\\uDD8D\\uDDA5\\uDDA8\\uDDB1\\uDDB2\\uDDBC\\uDDC2-\\uDDC4\\uDDD1-\\uDDD3\\uDDDC-\\uDDDE\\uDDE1\\uDDE3\\uDDE8\\uDDEF\\uDDF3\\uDDFA\\uDECB\\uDECD-\\uDECF\\uDEE0-\\uDEE5\\uDEE9\\uDEF0\\uDEF3]\\uFE0F?|[\\uDC42\\uDC43\\uDC46-\\uDC50\\uDC66\\uDC67\\uDC6B-\\uDC6D\\uDC72\\uDC74-\\uDC76\\uDC78\\uDC7C\\uDC83\\uDC85\\uDC8F\\uDC91\\uDCAA\\uDD7A\\uDD95\\uDD96\\uDE4C\\uDE4F\\uDEC0\\uDECC](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC6E\\uDC70\\uDC71\\uDC73\\uDC77\\uDC81\\uDC82\\uDC86\\uDC87\\uDE45-\\uDE47\\uDE4B\\uDE4D\\uDE4E\\uDEA3\\uDEB4-\\uDEB6](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD74\\uDD90](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC00-\\uDC07\\uDC09-\\uDC14\\uDC16-\\uDC25\\uDC27-\\uDC3A\\uDC3C-\\uDC3E\\uDC40\\uDC44\\uDC45\\uDC51-\\uDC65\\uDC6A\\uDC79-\\uDC7B\\uDC7D-\\uDC80\\uDC84\\uDC88-\\uDC8E\\uDC90\\uDC92-\\uDCA9\\uDCAB-\\uDCFC\\uDCFF-\\uDD3D\\uDD4B-\\uDD4E\\uDD50-\\uDD67\\uDDA4\\uDDFB-\\uDE2D\\uDE2F-\\uDE34\\uDE37-\\uDE44\\uDE48-\\uDE4A\\uDE80-\\uDEA2\\uDEA4-\\uDEB3\\uDEB7-\\uDEBF\\uDEC1-\\uDEC5\\uDED0-\\uDED2\\uDED5-\\uDED7\\uDEDC-\\uDEDF\\uDEEB\\uDEEC\\uDEF4-\\uDEFC\\uDFE0-\\uDFEB\\uDFF0]|\\uDC15(?:\\u200D\\uD83E\\uDDBA)?|\\uDC3B(?:\\u200D\\u2744\\uFE0F?)?|\\uDC41\\uFE0F?(?:\\u200D\\uD83D\\uDDE8\\uFE0F?)?|\\uDC68(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDC68\\uDC69]\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC69(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?[\\uDC68\\uDC69]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?|\\uDC69\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?))|\\uD83E[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD])|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC6F(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDD75(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDE2E(?:\\u200D\\uD83D\\uDCA8)?|\\uDE35(?:\\u200D\\uD83D\\uDCAB)?|\\uDE36(?:\\u200D\\uD83C\\uDF2B\\uFE0F?)?)|\\uD83E(?:[\\uDD0C\\uDD0F\\uDD18-\\uDD1F\\uDD30-\\uDD34\\uDD36\\uDD77\\uDDB5\\uDDB6\\uDDBB\\uDDD2\\uDDD3\\uDDD5\\uDEC3-\\uDEC5\\uDEF0\\uDEF2-\\uDEF8](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDD26\\uDD35\\uDD37-\\uDD39\\uDD3D\\uDD3E\\uDDB8\\uDDB9\\uDDCD-\\uDDCF\\uDDD4\\uDDD6-\\uDDDD](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDDDE\\uDDDF](?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD0D\\uDD0E\\uDD10-\\uDD17\\uDD20-\\uDD25\\uDD27-\\uDD2F\\uDD3A\\uDD3F-\\uDD45\\uDD47-\\uDD76\\uDD78-\\uDDB4\\uDDB7\\uDDBA\\uDDBC-\\uDDCC\\uDDD0\\uDDE0-\\uDDFF\\uDE70-\\uDE7C\\uDE80-\\uDE88\\uDE90-\\uDEBD\\uDEBF-\\uDEC2\\uDECE-\\uDEDB\\uDEE0-\\uDEE8]|\\uDD3C(?:\\u200D[\\u2640\\u2642]\\uFE0F?|\\uD83C[\\uDFFB-\\uDFFF])?|\\uDDD1(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFC-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFD-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFD\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFE]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF-\\uDDB3\\uDDBC\\uDDBD]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?))?|\\uDEF1(?:\\uD83C(?:\\uDFFB(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFC-\\uDFFF])?|\\uDFFC(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])?|\\uDFFD(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])?|\\uDFFE(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])?|\\uDFFF(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFE])?))?)/g,"")),a&&(e=(e=e.replace(/[\\u1D00-\\u1D7F\\u1D80-\\u1DBF\\u1DC0-\\u1DFF\\u20A0-\\u20CF\\u20D0-\\u20FF\\u2100-\\u214F\\u2150-\\u218F\\u2190-\\u21FF\\u2200-\\u22FF\\u2300-\\u23FF\\u2400-\\u243F\\u2440-\\u245F\\u2460-\\u24FF\\u2500-\\u257F\\u2580-\\u259F\\u25A0-\\u25FF\\u2600-\\u26FF\\u2700-\\u27BF\\uE000-\\uF8FF]/g,"")).replace(/[\\uDB80-\\uDBBF][\\uDC00-\\uDFFF]/g,"")),t?e.replace(/[\\u2000-\\u206F\\u2E00-\\u2E7F\\\\'!"#$%&\\xa3\\xa2\\xa5\\xa7\\u20ac()*+,\\-.\\/:;<=>?@\\[\\]^_\`{|}~\\xb1]/g,""):e},ri=function(e){return e.length&&!["x","i"].includes(e)&&(e=ai(e,{emoji:!0,nonBmp:!0,punctuations:!0}),Zo(e))?1:0},oi={stateTerms:["on","off"],standaloneTerms:["name","honorific-prefix","given-name","additional-name","family-name","honorific-suffix","nickname","username","new-password","current-password","organization-title","organization","street-address","address-line1","address-line2","address-line3","address-level4","address-level3","address-level2","address-level1","country","country-name","postal-code","cc-name","cc-given-name","cc-additional-name","cc-family-name","cc-number","cc-exp","cc-exp-month","cc-exp-year","cc-csc","cc-type","transaction-currency","transaction-amount","language","bday","bday-day","bday-month","bday-year","sex","url","photo","one-time-code"],qualifiers:["home","work","mobile","fax","pager"],qualifiedTerms:["tel","tel-country-code","tel-national","tel-area-code","tel-local","tel-local-prefix","tel-local-suffix","tel-extension","email","impp"],locations:["billing","shipping"]},ui=function(e){var t=void 0!==(t=(u=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).looseTyped)&&t,n=void 0===(n=u.stateTerms)?[]:n,a=void 0===(a=u.locations)?[]:a,r=void 0===(r=u.qualifiers)?[]:r,o=void 0===(o=u.standaloneTerms)?[]:o,u=void 0===(u=u.qualifiedTerms)?[]:u;return e=e.toLowerCase().trim(),!(!(n=n.concat(oi.stateTerms)).includes(e)&&""!==e)||(r=r.concat(oi.qualifiers),a=a.concat(oi.locations),o=o.concat(oi.standaloneTerms),u=u.concat(oi.qualifiedTerms),!("webauthn"===(n=e.split(/\\s+/g))[n.length-1]&&(n.pop(),0===n.length)||!t&&(8<n[0].length&&"section-"===n[0].substr(0,8)&&n.shift(),a.includes(n[0])&&n.shift(),r.includes(n[0])&&(n.shift(),o=[]),1!==n.length))&&(t=n[n.length-1],o.includes(t)||u.includes(t)))},ii=function(e){var t;return e.attr("aria-labelledby")&&(t=No(e.actualNode,"aria-labelledby").map((function(e){return(e=Xn(e))?ju(e):""})).join(" ").trim())?t:(t=(t=e.attr("aria-label"))&&Zo(t))||null},li=function(e,t,n){return e=Xn(e),ju(e,t,n)},si=function(e){if(t=ii(e))return t;if(e.attr("id")){if(!e.actualNode)throw new TypeError("Cannot resolve explicit label reference for non-DOM nodes");var t,n=wn(e.attr("id"));if(t=(n=sr(e.actualNode).querySelector('label[for="'+n+'"]'))&&li(n,!0))return t}return(t=(n=ca(e,"label"))&&ju(n,!0))||null},ci=function(e){return e=Xn(e),si(e)},di=[{matches:[{nodeName:"textarea"},{nodeName:"input",properties:{type:["text","password","search","tel","email","url"]}}],namingMethods:"labelText"},{matches:{nodeName:"input",properties:{type:["button","submit","reset"]}},namingMethods:["valueText","titleText","buttonDefaultText"]},{matches:{nodeName:"input",properties:{type:"image"}},namingMethods:["altText","valueText","labelText","titleText","buttonDefaultText"]},{matches:"button",namingMethods:"subtreeText"},{matches:"fieldset",namingMethods:"fieldsetLegendText"},{matches:"OUTPUT",namingMethods:"subtreeText"},{matches:[{nodeName:"select"},{nodeName:"input",properties:{type:/^(?!text|password|search|tel|email|url|button|submit|reset)/}}],namingMethods:"labelText"},{matches:"summary",namingMethods:"subtreeText"},{matches:"figure",namingMethods:["figureText","titleText"]},{matches:"img",namingMethods:"altText"},{matches:"table",namingMethods:["tableCaptionText","tableSummaryText"]},{matches:["hr","br"],namingMethods:["titleText","singleSpace"]}],pi=function e(t){var n=zr(t),a=[];return t.children.forEach((function(t){3===t.actualNode.nodeType?n&&a.push(t):a=a.concat(e(t))})),a},fi=Dr((function(e){var t=Xn(e),n=t.boundingClientRect,r=[],o=gr(t);return e.childNodes.forEach((function(e){var t,u,i,l;3!==e.nodeType||""===Zo(e.nodeValue)||((t=a.createRange()).selectNodeContents(e),e=Array.from(t.getClientRects()),u=n,e.some((function(e){return!Hr(Fo(e),u)})))||r.push.apply(r,$((i=o,l=[],e.forEach((function(e){e.width<1||e.height<1||(e=i.reduce((function(e,t){return e&&oo(e,t.boundingClientRect)}),e))&&l.push(e)})),l)))})),r.length?r:[n]})),Di=function(e){Xr();var t=Xn(e)._grid;return t?fi(e).map((function(e){return Ao(t,e)})):[]},mi=["checkbox","img","meter","progressbar","scrollbar","radio","slider","spinbutton","textbox"],hi=function(e){var t=Ld(e).vNode;if(e=o.commons.aria.getExplicitRole(t))return-1!==mi.indexOf(e);switch(t.props.nodeName){case"img":case"iframe":case"object":case"video":case"audio":case"canvas":case"svg":case"math":case"button":case"select":case"textarea":case"keygen":case"progress":case"meter":return!0;case"input":return"hidden"!==t.props.type;default:return!1}},gi=["head","title","template","script","style","iframe","object","video","audio","noscript"];function bi(e){return!gi.includes(e.props.nodeName)&&e.children.some((function(e){return 3===(e=e.props).nodeType&&e.nodeValue.trim()}))}var vi=function e(t,n,a){return bi(t)||hi(t.actualNode)||!a&&!!ii(t)||!n&&t.children.some((function(t){return 1===t.actualNode.nodeType&&e(t)}))},yi=function(e,t,n){return e=Xn(e),vi(e,t,n)};function Fi(e){return!(void 0!==e.children&&!bi(e))||(1===e.props.nodeType&&hi(e)?!!o.commons.text.accessibleTextVirtual(e):e.children.some((function(e){return!e.attr("lang")&&Fi(e)&&!_r(e)})))}var wi=function(e){return-1<parseInt(e.getAttribute("tabindex"),10)&&Qo(e)&&!Jo(e)};function Ei(e,t){var n=(e=Ld(e)).vNode;e=e.domNode;return n?(void 0===n._isHiddenWithCSS&&(n._isHiddenWithCSS=Ci(e,t)),n._isHiddenWithCSS):Ci(e,t)}function Ci(e,n){if(9===e.nodeType)return!1;if(11===e.nodeType&&(e=e.host),["STYLE","SCRIPT"].includes(e.nodeName.toUpperCase()))return!1;var a,r=t.getComputedStyle(e,null);if(r)return"none"===r.getPropertyValue("display")||(a=["hidden","collapse"],r=r.getPropertyValue("visibility"),!(!a.includes(r)||n))||!!(a.includes(r)&&n&&a.includes(n))||!(!(n=Mr(e))||a.includes(r))&&Ei(n,r);throw new Error("Style does not exist for the given element.")}var xi=Ei,Ai=function(e){return null!==(e=e.doctype)&&"html"===e.name&&!e.publicId&&!e.systemId};function ki(e){return 1===(e=Ld(e).vNode).props.nodeType&&!(parseInt(e.attr("tabindex",10))<=-1)&&Qo(e)}var Bi=function(e){(e instanceof on||null!=(n=t)&&n.Node&&e instanceof t.Node)&&(e=o.commons.aria.getRole(e));var n=qo.ariaRoles[e];return(null==n?void 0:n.type)||null},Ti=["block","list-item","table","flex","grid","inline-block"];function Ni(e){return e=t.getComputedStyle(e).getPropertyValue("display"),Ti.includes(e)||"table-"===e.substr(0,6)}var Ri=function(e,t){var n,a,r,o;return!Ni(e)&&(n=function(e){for(var t=Mr(e);t&&!Ni(t);)t=Mr(t);return Xn(t)}(e),r=a="",o=0,function e(t,n){!1!==n(t.actualNode)&&t.children.forEach((function(t){return e(t,n)}))}(n,(function(t){if(2===o)return!1;if(3===t.nodeType&&(a+=t.nodeValue),1===t.nodeType){var n=(t.nodeName||"").toUpperCase();if(t===e&&(o=1),!["BR","HR"].includes(n))return!("none"===t.style.display||"hidden"===t.style.overflow||!["",null,"none"].includes(t.style.float)||!["",null,"relative"].includes(t.style.position))&&("widget"===Bi(t)?(r+=t.textContent,!1):void 0);0===o?r=a="":o=2}})),a=Zo(a),null!=t&&t.noLengthCompare?0!==a.length:(r=Zo(r),a.length>r.length))},_i=function(e){if(e=(e=e||{}).modalPercent||.75,Kn.get("isModalOpen"))return Kn.get("isModalOpen");if(ep(o._tree[0],"dialog, [role=dialog], [aria-modal=true]",zr).length)return Kn.set("isModalOpen",!0),!0;for(var n=jr(t),u=n.width*e,i=n.height*e,l=(e=(n.width-u)/2,(n.height-i)/2),s=[{x:e,y:l},{x:n.width-e,y:l},{x:n.width/2,y:n.height/2},{x:e,y:n.height-l},{x:n.width-e,y:n.height-l}].map((function(e){return Array.from(a.elementsFromPoint(e.x,e.y))})),c=0;c<s.length;c++){var d=function(e){var n=s[e].find((function(e){return e=t.getComputedStyle(e),parseInt(e.width,10)>=u&&parseInt(e.height,10)>=i&&"none"!==e.getPropertyValue("pointer-events")&&("absolute"===e.position||"fixed"===e.position)}));if(n&&s.every((function(e){return e.includes(n)})))return Kn.set("isModalOpen",!0),{v:!0}}(c);if("object"===r(d))return d.v}Kn.set("isModalOpen",void 0)};function Oi(e){var t,n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:2,a=e.ownerDocument.createRange(),r=(a.setStart(e,0),a.setEnd(e,e.childNodes.length),0),o=0,u=Q(a.getClientRects());try{for(u.s();!(t=u.n()).done;){var i=t.value;if(!(i.height<=n))if(r>i.top+n)r=Math.max(r,i.bottom);else{if(0!==o)return!0;r=i.bottom,o++}}}catch(e){u.e(e)}finally{u.f()}return!1}var Si=function(e){return e instanceof t.Node},Mi={},Pi={set:function(e,t){if("string"!=typeof e)throw new Error("Incomplete data: key must be a string");return t&&(Mi[e]=t),Mi[e]},get:function(e){return Mi[e]},clear:function(){Mi={}}},Ii=function(e,n){var a=e.nodeName.toUpperCase();return["IMG","CANVAS","OBJECT","IFRAME","VIDEO","SVG"].includes(a)?(Pi.set("bgColor","imgNode"),!0):((e="none"!==(a=(n=n||t.getComputedStyle(e)).getPropertyValue("background-image")))&&(n=/gradient/.test(a),Pi.set("bgColor",n?"bgGradient":"bgImage")),e)},ji=(ae(Po={},{Colorjs:function(){return mc},CssSelectorParser:function(){return ji.CssSelectorParser},doT:function(){return Li.default},emojiRegexText:function(){return Zu},memoize:function(){return qi.default}}),re(ve())),Li=re(Xt()),qi=re(Kt());function zi(e,t){var n=e.length,a=(Array.isArray(e[0])||(e=[e]),(t=Array.isArray(t[0])?t:t.map((function(e){return[e]})))[0].length),r=t[0].map((function(e,n){return t.map((function(e){return e[n]}))}));e=e.map((function(e){return r.map((function(t){var n=0;if(Array.isArray(e))for(var a=0;a<e.length;a++)n+=e[a]*(t[a]||0);else{var r,o=Q(t);try{for(o.s();!(r=o.n()).done;){var u=r.value;n+=e*u}}catch(t){o.e(t)}finally{o.f()}}return n}))}));return 1===n&&(e=e[0]),1===a?e.map((function(e){return e[0]})):e}function Vi(e){return"string"===$i(e)}function $i(e){return(Object.prototype.toString.call(e).match(/^\\[object\\s+(.*?)\\]$/)[1]||"").toLowerCase()}function Hi(e,t){e=+e,t=+t;var n=(Math.floor(e)+"").length;return n<t?+e.toFixed(t-n):(n=Math.pow(10,n-t),Math.round(e/n)*n)}function Ui(e){var t,n;if(e)return e=e.trim(),t=/^-?[\\d.]+$/,(e=e.match(/^([a-z]+)\\((.+?)\\)$/i))?(n=[],e[2].replace(/\\/?\\s*([-\\w.]+(?:%|deg)?)/g,(function(e,a){/%$/.test(a)?(a=new Number(a.slice(0,-1)/100)).type="<percentage>":/deg$/.test(a)?((a=new Number(+a.slice(0,-3))).type="<angle>",a.unit="deg"):t.test(a)&&((a=new Number(a)).type="<number>"),e.startsWith("/")&&((a=a instanceof Number?a:new Number(a)).alpha=!0),n.push(a)})),{name:e[1].toLowerCase(),rawName:e[1],rawArgs:e[2],args:n}):void 0}function Gi(e){return e[e.length-1]}function Wi(e,t,n){return isNaN(e)?t:isNaN(t)?e:e+(t-e)*n}function Yi(e,t,n){return(n-e)/(t-e)}function Ki(e,t,n){return Wi(t[0],t[1],Yi(e[0],e[1],n))}function Xi(e){return e.map((function(e){return e.split("|").map((function(e){var t,n=(e=e.trim()).match(/^(<[a-z]+>)\\[(-?[.\\d]+),\\s*(-?[.\\d]+)\\]?$/);return n?((t=new String(n[1])).range=[+n[2],+n[3]],t):e}))}))}function Zi(){K(this,Zi)}Io=Object.freeze({__proto__:null,isString:Vi,type:$i,toPrecision:Hi,parseFunction:Ui,last:Gi,interpolate:Wi,interpolateInv:Yi,mapRange:Ki,parseCoordGrammar:Xi,multiplyMatrices:zi}),Z(Zi,[{key:"add",value:function(e,t,n){if("string"!=typeof arguments[0])for(var e in arguments[0])this.add(e,arguments[0][e],t);else(Array.isArray(e)?e:[e]).forEach((function(e){this[e]=this[e]||[],t&&this[e][n?"unshift":"push"](t)}),this)}},{key:"run",value:function(e,t){this[e]=this[e]||[],this[e].forEach((function(e){e.call(t&&t.context?t.context:t,t)}))}}]);var Ji=new Zi,Qi={gamut_mapping:"lch.c",precision:5,deltaE:"76"},el={D50:[.3457/.3585,1,.2958/.3585],D65:[.3127/.329,1,.3583/.329]};function tl(e){return Array.isArray(e)?e:el[e]}function nl(e,t,n,a){var r=3<arguments.length&&void 0!==a?a:{};if(e=tl(e),t=tl(t),!e||!t)throw new TypeError("Missing white point to convert ".concat(e?"":"from").concat(e||t?"":"/").concat(t?"":"to"));if(e===t)return n;if(r={W1:e,W2:t,XYZ:n,options:r},Ji.run("chromatic-adaptation-start",r),r.M||(r.W1===el.D65&&r.W2===el.D50?r.M=[[1.0479298208405488,.022946793341019088,-.05019222954313557],[.029627815688159344,.990434484573249,-.01707382502938514],[-.009243058152591178,.015055144896577895,.7518742899580008]]:r.W1===el.D50&&r.W2===el.D65&&(r.M=[[.9554734527042182,-.023098536874261423,.0632593086610217],[-.028369706963208136,1.0099954580058226,.021041398966943008],[.012314001688319899,-.020507696433477912,1.3303659366080753]])),Ji.run("chromatic-adaptation-end",r),r.M)return zi(r.M,r.XYZ);throw new TypeError("Only Bradford CAT with white points D50 and D65 supported for now.")}function al(e){K(this,al),P(this,le),P(this,ue),M(this,ie,{writable:!0,value:void 0}),this.id=e.id,this.name=e.name,this.base=e.base?al.get(e.base):null,this.aliases=e.aliases,this.base&&(this.fromBase=e.fromBase,this.toBase=e.toBase);var t,n=null!=(n=e.coords)?n:this.base.coords;this.coords=n,n=null!=(n=null!=(n=e.white)?n:this.base.white)?n:"D65";for(t in this.white=tl(n),this.formats=null!=(n=e.formats)?n:{},this.formats){var a=this.formats[t];a.type||(a.type="function"),a.name||(a.name=t)}!e.cssId||null!=(n=this.formats.functions)&&n.color?null==(n=this.formats)||!n.color||null!=(n=this.formats)&&n.color.id||(this.formats.color.id=this.id):(this.formats.color={id:e.cssId},Object.defineProperty(this,"cssId",{value:e.cssId})),this.referred=e.referred,q(this,ie,L(this,le,ol).call(this).reverse()),Ji.run("colorspace-init-end",this)}function rl(e){var t;return e.coords&&!e.coordGrammar&&(e.type||(e.type="function"),e.name||(e.name="color"),e.coordGrammar=Xi(e.coords),t=Object.entries(this.coords).map((function(t,n){(t=G(t,2))[0],t=t[1],n=e.coordGrammar[n][0],t=t.range||t.refRange;var a=n.range,r="";return"<percentage>"==n?(a=[0,100],r="%"):"<angle>"==n&&(r="deg"),{fromRange:t,toRange:a,suffix:r}})),e.serializeCoords=function(e,n){return e.map((function(e,a){var r=(a=t[a]).fromRange,o=a.toRange;a=a.suffix;return e=Hi(e=r&&o?Ki(r,o,e):e,n),a&&(e+=a),e}))}),e}function ol(){for(var e=[this],t=this;t=t.base;)e.push(t);return e}ue=new WeakSet,ie=new WeakMap,le=new WeakSet,Z(al,[{key:"inGamut",value:function(e){var t,n=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).epsilon,a=void 0===n?75e-6:n;return this.isPolar?(e=this.toBase(e),this.base.inGamut(e,{epsilon:a})):(t=Object.values(this.coords),e.every((function(e,n){var r;return"angle"===(n=t[n]).type||!n.range||!!Number.isNaN(e)||(r=(n=G(n.range,2))[0],n=n[1],(void 0===r||r-a<=e)&&(void 0===n||e<=n+a))})))}},{key:"cssId",get:function(){var e;return(null==(e=this.formats.functions)||null==(e=e.color)?void 0:e.id)||this.id}},{key:"isPolar",get:function(){for(var e in this.coords)if("angle"===this.coords[e].type)return!0;return!1}},{key:"getFormat",value:function(e){return"object"===r(e)||(e="default"===e?Object.values(this.formats)[0]:this.formats[e])?L(this,ue,rl).call(this,e):null}},{key:"to",value:function(e,t){var n;if(1===arguments.length&&(e=(n=[e.space,e.coords])[0],t=n[1]),this!==(e=al.get(e))){t=t.map((function(e){return Number.isNaN(e)?0:e}));for(var a,r,o=j(this,ie),u=j(e,ie),i=0;i<o.length&&o[i]===u[i];i++)a=o[i],r=i;if(!a)throw new Error("Cannot convert between color spaces ".concat(this," and ").concat(e,": no connection space was found"));for(var l=o.length-1;r<l;l--)t=o[l].toBase(t);for(var s=r+1;s<u.length;s++)t=u[s].fromBase(t)}return t}},{key:"from",value:function(e,t){var n;return 1===arguments.length&&(e=(n=[e.space,e.coords])[0],t=n[1]),(e=al.get(e)).to(this,t)}},{key:"toString",value:function(){return"".concat(this.name," (").concat(this.id,")")}},{key:"getMinCoords",value:function(){var e,t=[];for(e in this.coords){var n=(n=this.coords[e]).range||n.refRange;t.push(null!=(n=null==n?void 0:n.min)?n:0)}return t}}],[{key:"all",get:function(){return $(new Set(Object.values(al.registry)))}},{key:"register",value:function(e,t){if(1===arguments.length&&(e=(t=arguments[0]).id),t=this.get(t),this.registry[e]&&this.registry[e]!==t)throw new Error("Duplicate color space registration: '".concat(e,"'"));if(this.registry[e]=t,1===arguments.length&&t.aliases){var n,a=Q(t.aliases);try{for(a.s();!(n=a.n()).done;){var r=n.value;this.register(r,t)}}catch(e){a.e(e)}finally{a.f()}}return t}},{key:"get",value:function(e){if(!e||e instanceof al)return e;if("string"===$i(e)){var t=al.registry[e.toLowerCase()];if(t)return t;throw new TypeError('No color space found with id = "'.concat(e,'"'))}for(var n=arguments.length,a=new Array(1<n?n-1:0),r=1;r<n;r++)a[r-1]=arguments[r];if(a.length)return al.get.apply(al,a);throw new TypeError("".concat(e," is not a valid color space"))}},{key:"resolveCoord",value:function(e,t){var n,a;if(a="string"===$i(e)?e.includes(".")?(n=(a=G(e.split("."),2))[0],a[1]):(n=void 0,e):Array.isArray(e)?(n=(a=G(e,2))[0],a[1]):(n=e.space,e.coordId),!(n=(n=al.get(n))||t))throw new TypeError("Cannot resolve coordinate reference ".concat(e,": No color space specified and relative references are not allowed here"));if(("number"===(t=$i(a))||"string"===t&&0<=a)&&(e=Object.entries(n.coords)[a]))return U({space:n,id:e[0],index:a},e[1]);n=al.get(n);var r,o=a.toLowerCase(),u=0;for(r in n.coords){var i,l=n.coords[r];if(r.toLowerCase()===o||(null==(i=l.name)?void 0:i.toLowerCase())===o)return U({space:n,id:r,index:u},l);u++}throw new TypeError('No "'.concat(a,'" coordinate found in ').concat(n.name,". Its coordinates are: ").concat(Object.keys(n.coords).join(", ")))}}]);var ul,il=al,ll=(oe(il,"registry",{}),oe(il,"DEFAULT_FORMAT",{type:"functions",name:"color"}),new il({id:"xyz-d65",name:"XYZ D65",coords:{x:{name:"X"},y:{name:"Y"},z:{name:"Z"}},white:"D65",formats:{color:{ids:["xyz-d65","xyz"]}},aliases:["xyz"]}));T(sl,il),ul=R(sl),ve=Z(sl);function sl(e){var t;return K(this,sl),e.coords||(e.coords={r:{range:[0,1],name:"Red"},g:{range:[0,1],name:"Green"},b:{range:[0,1],name:"Blue"}}),e.base||(e.base=ll),e.toXYZ_M&&e.fromXYZ_M&&(null==e.toBase&&(e.toBase=function(n){return n=zi(e.toXYZ_M,n),t.white!==t.base.white?nl(t.white,t.base.white,n):n}),null==e.fromBase)&&(e.fromBase=function(n){return n=nl(t.base.white,t.white,n),zi(e.fromXYZ_M,n)}),null==e.referred&&(e.referred="display"),t=ul.call(this,e)}function cl(e){var t={str:null==(n=String(e))?void 0:n.trim()};if(Ji.run("parse-start",t),t.color)return t.color;if(t.parsed=Ui(t.str),t.parsed){var n=function(){var e=t.parsed.name;if("color"===e){var n,a=t.parsed.args.shift(),o=0<t.parsed.rawArgs.indexOf("/")?t.parsed.args.pop():1,u=Q(il.all);try{for(u.s();!(n=u.n()).done;){var i,l=n.value,s=l.getFormat("color");if(s&&(a===s.id||null!=(i=s.ids)&&i.includes(a))){var c=function(){var e=Object.keys(l.coords).length,n=Array(e).fill(0);return n.forEach((function(e,a){return n[a]=t.parsed.args[a]||0})),{v:{v:{spaceId:l.id,coords:n,alpha:o}}}}();if("object"===r(c))return c.v}}}catch(n){u.e(n)}finally{u.f()}var d,p="";throw a in il.registry&&(d=null==(d=il.registry[a].formats)||null==(d=d.functions)||null==(d=d.color)?void 0:d.id)&&(p="Did you mean color(".concat(d,")?")),new TypeError("Cannot parse color(".concat(a,"). ")+(p||"Missing a plugin?"))}var f,D=Q(il.all);try{for(D.s();!(f=D.n()).done;){var m=function(){var n,a,r=f.value,o=r.getFormat(e);if(o&&"function"===o.type)return n=1,(o.lastAlpha||Gi(t.parsed.args).alpha)&&(n=t.parsed.args.pop()),a=t.parsed.args,o.coordGrammar&&Object.entries(r.coords).forEach((function(t,n){var r=(t=G(t,2))[0],u=(t=t[1],o.coordGrammar[n]),i=null==(l=a[n])?void 0:l.type;if(!(u=u.find((function(e){return e==i}))))throw l=t.name||r,new TypeError("".concat(i," not allowed for ").concat(l," in ").concat(e,"()"));r=u.range;var l=t.range||t.refRange;(r="<percentage>"===i?r||[0,1]:r)&&l&&(a[n]=Ki(r,l,a[n]))})),{v:{v:{spaceId:r.id,coords:a,alpha:n}}}}();if("object"===r(m))return m.v}}catch(n){D.e(n)}finally{D.f()}}();if("object"===r(n))return n.v}else{var a,o=Q(il.all);try{for(o.s();!(a=o.n()).done;){var u,i=a.value;for(u in i.formats){var l=i.formats[u];if("custom"===l.type&&(!l.test||l.test(t.str))){var s=l.parse(t.str);if(s)return null==s.alpha&&(s.alpha=1),s}}}}catch(e){o.e(e)}finally{o.f()}}throw new TypeError("Could not parse ".concat(e," as a color. Missing a plugin?"))}function dl(e){var t;if(e)return(t=(e=Vi(e)?cl(e):e).space||e.spaceId)instanceof il||(e.space=il.get(t)),void 0===e.alpha&&(e.alpha=1),e;throw new TypeError("Empty color reference")}function pl(e,t){return(t=il.get(t)).from(e)}function fl(e,t){var n=(t=il.resolveCoord(t,e.space)).space;t=t.index;return pl(e,n)[t]}function Dl(e,t,n){return t=il.get(t),e.coords=t.to(e.space,n),e}function ml(e,t,n){if(e=dl(e),2===arguments.length&&"object"===$i(t)){var a,r=t;for(a in r)ml(e,a,r[a])}else{"function"==typeof n&&(n=n(fl(e,t)));var o=(u=il.resolveCoord(t,e.space)).space,u=u.index,i=pl(e,o);i[u]=n,Dl(e,o,i)}return e}Kt=new il({id:"xyz-d50",name:"XYZ D50",white:"D50",base:ll,fromBase:function(e){return nl(ll.white,"D50",e)},toBase:function(e){return nl("D50",ll.white,e)},formats:{color:{}}});var hl=24389/27,gl=el.D50,bl=new il({id:"lab",name:"Lab",coords:{l:{refRange:[0,100],name:"L"},a:{refRange:[-125,125]},b:{refRange:[-125,125]}},white:gl,base:Kt,fromBase:function(e){return e=e.map((function(e,t){return e/gl[t]})).map((function(e){return 216/24389<e?Math.cbrt(e):(hl*e+16)/116})),[116*e[1]-16,500*(e[0]-e[1]),200*(e[1]-e[2])]},toBase:function(e){var t=[];return t[1]=(e[0]+16)/116,t[0]=e[1]/500+t[1],t[2]=t[1]-e[2]/200,[24/116<t[0]?Math.pow(t[0],3):(116*t[0]-16)/hl,8<e[0]?Math.pow((e[0]+16)/116,3):e[0]/hl,24/116<t[2]?Math.pow(t[2],3):(116*t[2]-16)/hl].map((function(e,t){return e*gl[t]}))},formats:{lab:{coords:["<number> | <percentage>","<number>","<number>"]}}});function vl(e){return(e%360+360)%360}var yl=new il({id:"lch",name:"LCH",coords:{l:{refRange:[0,100],name:"Lightness"},c:{refRange:[0,150],name:"Chroma"},h:{refRange:[0,360],type:"angle",name:"Hue"}},base:bl,fromBase:function(e){var t=(e=G(e,3))[0],n=e[1],a=(e=e[2],Math.abs(n)<.02&&Math.abs(e)<.02?NaN:180*Math.atan2(e,n)/Math.PI);return[t,Math.sqrt(Math.pow(n,2)+Math.pow(e,2)),vl(a)]},toBase:function(e){var t=(e=G(e,3))[0],n=e[1];e=e[2];return n<0&&(n=0),isNaN(e)&&(e=0),[t,n*Math.cos(e*Math.PI/180),n*Math.sin(e*Math.PI/180)]},formats:{lch:{coords:["<number> | <percentage>","<number>","<number> | <angle>"]}}}),Fl=Math.pow(25,7),wl=Math.PI,El=180/wl,Cl=wl/180;function xl(e,t){var n=void 0===(n=(r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{}).kL)?1:n,a=void 0===(a=r.kC)?1:a,r=void 0===(r=r.kH)?1:r,o=(i=G(bl.from(e),3))[0],u=i[1],i=i[2],l=yl.from(bl,[o,u,i])[1],s=(d=G(bl.from(t),3))[0],c=d[1],d=d[2],p=(l=((l=l<0?0:l)+(p=(p=yl.from(bl,[s,c,d])[1])<0?0:p))/2,Math.pow(l,7)),f=(p=(1+(l=.5*(1-Math.sqrt(p/(p+Fl)))))*u,u=(1+l)*c,l=Math.sqrt(Math.pow(p,2)+Math.pow(i,2)),c=Math.sqrt(Math.pow(u,2)+Math.pow(d,2)),i=0==p&&0===i?0:Math.atan2(i,p),p=0==u&&0===d?0:Math.atan2(d,u),d=(i<0&&(i+=2*wl),p<0&&(p+=2*wl),s-o),u=c-l,(p*=El)-(i*=El)),D=(i=i+p,p=Math.abs(f),f=(l*c==0?D=0:p<=180?D=f:180<f?D=f-360:f<-180?D=360+f:console.log("the unthinkable has happened"),2*Math.sqrt(c*l)*Math.sin(D*Cl/2)),(o+s)/2);o=(l+c)/2,s=Math.pow(o,7),l=l*c==0?i:p<=180?i/2:i<360?(i+360)/2:(i-360)/2,p=1+.015*(c=Math.pow(D-50,2))/Math.sqrt(20+c),i=1+.045*o,D=1,c=1+.015*o*((D-=.17*Math.cos((l-30)*Cl))+.24*Math.cos(2*l*Cl)+.32*Math.cos((3*l+6)*Cl)-.2*Math.cos((4*l-63)*Cl)),o=30*Math.exp(-1*Math.pow((l-275)/25,2)),D=2*Math.sqrt(s/(s+Fl)),l=-1*Math.sin(2*o*Cl)*D,s=Math.pow(d/(n*p),2),s=(s+=Math.pow(u/(a*i),2))+Math.pow(f/(r*c),2)+u/(a*i)*l*(f/(r*c));return Math.sqrt(s)}var Al=75e-6;function kl(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:e.space,n=void 0===(n=(2<arguments.length&&void 0!==arguments[2]?arguments[2]:{}).epsilon)?Al:n,a=(e=dl(e),t=il.get(t),e.coords);return t!==e.space&&(a=t.from(e)),t.inGamut(a,{epsilon:n})}function Bl(e){return{space:e.space,coords:e.coords.slice(),alpha:e.alpha}}function Tl(e){var t=void 0===(t=(r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).method)?Qi.gamut_mapping:t,n=void 0===(r=r.space)?e.space:r;if(Vi(arguments[1])&&(n=arguments[1]),!kl(e,n=il.get(n),{epsilon:0})){var a,r=Nl(e,n);if("clip"!==t&&!kl(e,n)){var o=Tl(Bl(r),{method:"clip",space:n});if(2<xl(e,o)){for(var u=il.resolveCoord(t),i=u.space,l=u.id,s=Nl(r,i),c=(u.range||u.refRange)[0],d=fl(s,l);.01<d-c;)xl(s,Tl(Bl(s),{space:n,method:"clip"}))-2<.01?c=fl(s,l):d=fl(s,l),ml(s,l,(c+d)/2);r=Nl(s,n)}else r=o}"clip"!==t&&kl(r,n,{epsilon:0})||(a=Object.values(n.coords).map((function(e){return e.range||[]})),r.coords=r.coords.map((function(e,t){var n=(t=G(a[t],2))[0];t=t[1];return void 0!==n&&(e=Math.max(n,e)),void 0!==t?Math.min(e,t):e}))),n!==e.space&&(r=Nl(r,e.space)),e.coords=r.coords}return e}function Nl(e,t){var n=(2<arguments.length&&void 0!==arguments[2]?arguments[2]:{}).inGamut,a=(e=dl(e),(t=il.get(t)).from(e));a={space:t,coords:a,alpha:e.alpha};return n?Tl(a):a}function Rl(e){var t=void 0===(n=(r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).precision)?Qi.precision:n,n=void 0===(n=r.format)?"default":n,a=void 0===(a=r.inGamut)||a,r=V(r,f),o=n,u=(n=null!=(u=null!=(u=(e=dl(e)).space.getFormat(n))?u:e.space.getFormat("default"))?u:il.DEFAULT_FORMAT,a=a||n.toGamut,(u=e.coords).map((function(e){return e||0})));if(a&&!kl(e)&&(u=Tl(Bl(e),!0===a?void 0:a).coords),"custom"===n.type){if(r.precision=t,!n.serialize)throw new TypeError("format ".concat(o," can only be used to parse colors, not for serialization"));i=n.serialize(u,e.alpha,r)}else{a=n.name||"color",o=(n.serializeCoords?u=n.serializeCoords(u,t):null!==t&&(u=u.map((function(e){return Hi(e,t)}))),$(u)),r=("color"===a&&(u=n.id||(null==(r=n.ids)?void 0:r[0])||e.space.id,o.unshift(u)),e.alpha),u=(null!==t&&(r=Hi(r,t)),e.alpha<1&&!n.noAlpha?"".concat(n.commas?",":" /"," ").concat(r):"");var i="".concat(a,"(").concat(o.join(n.commas?", ":" ")).concat(u,")")}return i}Nl.returns=Tl.returns="color";var _l=new ve({id:"rec2020-linear",name:"Linear REC.2020",white:"D65",toXYZ_M:[[.6369580483012914,.14461690358620832,.1688809751641721],[.2627002120112671,.6779980715188708,.05930171646986196],[0,.028072693049087428,1.060985057710791]],fromXYZ_M:[[1.716651187971268,-.355670783776392,-.25336628137366],[-.666684351832489,1.616481236634939,.0157685458139111],[.017639857445311,-.042770613257809,.942103121235474]],formats:{color:{}}}),Ol=1.09929682680944,Sl=.018053968510807,Ml=new ve({id:"rec2020",name:"REC.2020",base:_l,toBase:function(e){return e.map((function(e){return e<4.5*Sl?e/4.5:Math.pow((e+Ol-1)/Ol,1/.45)}))},fromBase:function(e){return e.map((function(e){return Sl<=e?Ol*Math.pow(e,.45)-(Ol-1):4.5*e}))},formats:{color:{}}}),Pl=new ve({id:"p3-linear",name:"Linear P3",white:"D65",toXYZ_M:[[.4865709486482162,.26566769316909306,.1982172852343625],[.2289745640697488,.6917385218365064,.079286914093745],[0,.04511338185890264,1.043944368900976]],fromXYZ_M:[[2.493496911941425,-.9313836179191239,-.40271078445071684],[-.8294889695615747,1.7626640603183463,.023624685841943577],[.03584583024378447,-.07617238926804182,.9568845240076872]]}),Il=new ve({id:"srgb-linear",name:"Linear sRGB",white:"D65",toXYZ_M:[[.41239079926595934,.357584339383878,.1804807884018343],[.21263900587151027,.715168678767756,.07219231536073371],[.01933081871559182,.11919477979462598,.9505321522496607]],fromXYZ_M:[[3.2409699419045226,-1.537383177570094,-.4986107602930034],[-.9692436362808796,1.8759675015077202,.04155505740717559],[.05563007969699366,-.20397695888897652,1.0569715142428786]],formats:{color:{}}}),jl={aliceblue:[240/255,248/255,1],antiquewhite:[250/255,235/255,215/255],aqua:[0,1,1],aquamarine:[127/255,1,212/255],azure:[240/255,1,1],beige:[245/255,245/255,220/255],bisque:[1,228/255,196/255],black:[0,0,0],blanchedalmond:[1,235/255,205/255],blue:[0,0,1],blueviolet:[138/255,43/255,226/255],brown:[165/255,42/255,42/255],burlywood:[222/255,184/255,135/255],cadetblue:[95/255,158/255,160/255],chartreuse:[127/255,1,0],chocolate:[210/255,105/255,30/255],coral:[1,127/255,80/255],cornflowerblue:[100/255,149/255,237/255],cornsilk:[1,248/255,220/255],crimson:[220/255,20/255,60/255],cyan:[0,1,1],darkblue:[0,0,139/255],darkcyan:[0,139/255,139/255],darkgoldenrod:[184/255,134/255,11/255],darkgray:[169/255,169/255,169/255],darkgreen:[0,100/255,0],darkgrey:[169/255,169/255,169/255],darkkhaki:[189/255,183/255,107/255],darkmagenta:[139/255,0,139/255],darkolivegreen:[85/255,107/255,47/255],darkorange:[1,140/255,0],darkorchid:[.6,50/255,.8],darkred:[139/255,0,0],darksalmon:[233/255,150/255,122/255],darkseagreen:[143/255,188/255,143/255],darkslateblue:[72/255,61/255,139/255],darkslategray:[47/255,79/255,79/255],darkslategrey:[47/255,79/255,79/255],darkturquoise:[0,206/255,209/255],darkviolet:[148/255,0,211/255],deeppink:[1,20/255,147/255],deepskyblue:[0,191/255,1],dimgray:[105/255,105/255,105/255],dimgrey:[105/255,105/255,105/255],dodgerblue:[30/255,144/255,1],firebrick:[178/255,34/255,34/255],floralwhite:[1,250/255,240/255],forestgreen:[34/255,139/255,34/255],fuchsia:[1,0,1],gainsboro:[220/255,220/255,220/255],ghostwhite:[248/255,248/255,1],gold:[1,215/255,0],goldenrod:[218/255,165/255,32/255],gray:[128/255,128/255,128/255],green:[0,128/255,0],greenyellow:[173/255,1,47/255],grey:[128/255,128/255,128/255],honeydew:[240/255,1,240/255],hotpink:[1,105/255,180/255],indianred:[205/255,92/255,92/255],indigo:[75/255,0,130/255],ivory:[1,1,240/255],khaki:[240/255,230/255,140/255],lavender:[230/255,230/255,250/255],lavenderblush:[1,240/255,245/255],lawngreen:[124/255,252/255,0],lemonchiffon:[1,250/255,205/255],lightblue:[173/255,216/255,230/255],lightcoral:[240/255,128/255,128/255],lightcyan:[224/255,1,1],lightgoldenrodyellow:[250/255,250/255,210/255],lightgray:[211/255,211/255,211/255],lightgreen:[144/255,238/255,144/255],lightgrey:[211/255,211/255,211/255],lightpink:[1,182/255,193/255],lightsalmon:[1,160/255,122/255],lightseagreen:[32/255,178/255,170/255],lightskyblue:[135/255,206/255,250/255],lightslategray:[119/255,136/255,.6],lightslategrey:[119/255,136/255,.6],lightsteelblue:[176/255,196/255,222/255],lightyellow:[1,1,224/255],lime:[0,1,0],limegreen:[50/255,205/255,50/255],linen:[250/255,240/255,230/255],magenta:[1,0,1],maroon:[128/255,0,0],mediumaquamarine:[.4,205/255,170/255],mediumblue:[0,0,205/255],mediumorchid:[186/255,85/255,211/255],mediumpurple:[147/255,112/255,219/255],mediumseagreen:[60/255,179/255,113/255],mediumslateblue:[123/255,104/255,238/255],mediumspringgreen:[0,250/255,154/255],mediumturquoise:[72/255,209/255,.8],mediumvioletred:[199/255,21/255,133/255],midnightblue:[25/255,25/255,112/255],mintcream:[245/255,1,250/255],mistyrose:[1,228/255,225/255],moccasin:[1,228/255,181/255],navajowhite:[1,222/255,173/255],navy:[0,0,128/255],oldlace:[253/255,245/255,230/255],olive:[128/255,128/255,0],olivedrab:[107/255,142/255,35/255],orange:[1,165/255,0],orangered:[1,69/255,0],orchid:[218/255,112/255,214/255],palegoldenrod:[238/255,232/255,170/255],palegreen:[152/255,251/255,152/255],paleturquoise:[175/255,238/255,238/255],palevioletred:[219/255,112/255,147/255],papayawhip:[1,239/255,213/255],peachpuff:[1,218/255,185/255],peru:[205/255,133/255,63/255],pink:[1,192/255,203/255],plum:[221/255,160/255,221/255],powderblue:[176/255,224/255,230/255],purple:[128/255,0,128/255],rebeccapurple:[.4,.2,.6],red:[1,0,0],rosybrown:[188/255,143/255,143/255],royalblue:[65/255,105/255,225/255],saddlebrown:[139/255,69/255,19/255],salmon:[250/255,128/255,114/255],sandybrown:[244/255,164/255,96/255],seagreen:[46/255,139/255,87/255],seashell:[1,245/255,238/255],sienna:[160/255,82/255,45/255],silver:[192/255,192/255,192/255],skyblue:[135/255,206/255,235/255],slateblue:[106/255,90/255,205/255],slategray:[112/255,128/255,144/255],slategrey:[112/255,128/255,144/255],snow:[1,250/255,250/255],springgreen:[0,1,127/255],steelblue:[70/255,130/255,180/255],tan:[210/255,180/255,140/255],teal:[0,128/255,128/255],thistle:[216/255,191/255,216/255],tomato:[1,99/255,71/255],turquoise:[64/255,224/255,208/255],violet:[238/255,130/255,238/255],wheat:[245/255,222/255,179/255],white:[1,1,1],whitesmoke:[245/255,245/255,245/255],yellow:[1,1,0],yellowgreen:[154/255,205/255,50/255]},Ll=new ve({id:"srgb",name:"sRGB",base:Il,fromBase:function(e){return e.map((function(e){var t=e<0?-1:1,n=e*t;return.0031308<n?t*(1.055*Math.pow(n,1/2.4)-.055):12.92*e}))},toBase:function(e){return e.map((function(e){var t=e<0?-1:1,n=e*t;return n<.04045?e/12.92:t*Math.pow((.055+n)/1.055,2.4)}))},formats:{rgb:{coords:Ll=Array(3).fill("<percentage> | <number>[0, 255]")},rgb_number:{name:"rgb",commas:!0,coords:ql=Array(3).fill("<number>[0, 255]"),noAlpha:!0},color:{},rgba:{coords:Ll,commas:!0,lastAlpha:!0},rgba_number:{name:"rgba",commas:!0,coords:ql},hex:{type:"custom",toGamut:!0,test:function(e){return/^#([a-f0-9]{3,4}){1,2}$/i.test(e)},parse:function(e){e.length<=5&&(e=e.replace(/[a-f0-9]/gi,"$&$&"));var t=[];return e.replace(/[a-f0-9]{2}/gi,(function(e){t.push(parseInt(e,16)/255)})),{spaceId:"srgb",coords:t.slice(0,3),alpha:t.slice(3)[0]}},serialize:function(e,t){var n=void 0===(n=(2<arguments.length&&void 0!==arguments[2]?arguments[2]:{}).collapse)||n,a=(t<1&&e.push(t),e=e.map((function(e){return Math.round(255*e)})),n&&e.every((function(e){return e%17==0})));return"#"+e.map((function(e){return a?(e/17).toString(16):e.toString(16).padStart(2,"0")})).join("")}},keyword:{type:"custom",test:function(e){return/^[a-z]+$/i.test(e)},parse:function(e){var t={spaceId:"srgb",coords:null,alpha:1};if("transparent"===(e=e.toLowerCase())?(t.coords=jl.black,t.alpha=0):t.coords=jl[e],t.coords)return t}}}}),ql=new ve({id:"p3",name:"P3",base:Pl,fromBase:Ll.fromBase,toBase:Ll.toBase,formats:{color:{id:"display-p3"}}});if(Qi.display_space=Ll,"undefined"!=typeof CSS&&CSS.supports)for(var zl=0,Vl=[bl,Ml,ql];zl<Vl.length;zl++){var $l=Vl[zl],Hl=$l.getMinCoords();Hl=Rl({space:$l,coords:Hl,alpha:1});if(CSS.supports("color",Hl)){Qi.display_space=$l;break}}function Ul(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:"lab",a=(n=il.get(n)).from(e),r=n.from(t);return Math.sqrt(a.reduce((function(e,t,n){return n=r[n],isNaN(t)||isNaN(n)?e:e+Math.pow(n-t,2)}),0))}function Gl(e){return fl(e,[ll,"y"])}function Wl(e,t){ml(e,[ll,"y"],t)}var Yl=Object.freeze({__proto__:null,getLuminance:Gl,setLuminance:Wl,register:function(e){Object.defineProperty(e.prototype,"luminance",{get:function(){return Gl(this)},set:function(e){Wl(this,e)}})}});function Kl(e){return.022<=e?e:e+Math.pow(.022-e,1.414)}function Xl(e){var t=e<0?-1:1;e=Math.abs(e);return t*Math.pow(e,2.4)}var Zl=24389/27,Jl=el.D65,Ql=new il({id:"lab-d65",name:"Lab D65",coords:{l:{refRange:[0,100],name:"L"},a:{refRange:[-125,125]},b:{refRange:[-125,125]}},white:Jl,base:ll,fromBase:function(e){return e=e.map((function(e,t){return e/Jl[t]})).map((function(e){return 216/24389<e?Math.cbrt(e):(Zl*e+16)/116})),[116*e[1]-16,500*(e[0]-e[1]),200*(e[1]-e[2])]},toBase:function(e){var t=[];return t[1]=(e[0]+16)/116,t[0]=e[1]/500+t[1],t[2]=t[1]-e[2]/200,[24/116<t[0]?Math.pow(t[0],3):(116*t[0]-16)/Zl,8<e[0]?Math.pow((e[0]+16)/116,3):e[0]/Zl,24/116<t[2]?Math.pow(t[2],3):(116*t[2]-16)/Zl].map((function(e,t){return e*Jl[t]}))},formats:{"lab-d65":{coords:["<number> | <percentage>","<number>","<number>"]}}}),es=.5*Math.pow(5,.5)+.5,ts=Object.freeze({__proto__:null,contrastWCAG21:function(e,t){var n;return e=dl(e),t=dl(t),(e=Math.max(Gl(e),0))<(t=Math.max(Gl(t),0))&&(e=(n=[t,e])[0],t=n[1]),(e+.05)/(t+.05)},contrastAPCA:function(e,t){t=dl(t),e=dl(e);var n=(t=G((t=Nl(t,"srgb")).coords,3))[0],a=t[1],r=(t=t[2],.2126729*Xl(n)+.7151522*Xl(a)+.072175*Xl(t));n=(e=G((e=Nl(e,"srgb")).coords,3))[0],a=e[1],t=e[2],e=.2126729*Xl(n)+.7151522*Xl(a)+.072175*Xl(t),t=(n=Kl(r))<(a=Kl(e)),r=Math.abs(a-n)<5e-4?0:t?1.14*(Math.pow(a,.56)-Math.pow(n,.57)):1.14*(Math.pow(a,.65)-Math.pow(n,.62));return 100*(Math.abs(r)<.1?0:0<r?r-.027:r+.027)},contrastMichelson:function(e,t){e=dl(e),t=dl(t);var n=((e=Math.max(Gl(e),0))<(t=Math.max(Gl(t),0))&&(e=(n=[t,e])[0],t=n[1]),e+t);return 0===n?0:(e-t)/n},contrastWeber:function(e,t){var n;return e=dl(e),t=dl(t),(e=Math.max(Gl(e),0))<(t=Math.max(Gl(t),0))&&(e=(n=[t,e])[0],t=n[1]),0===t?5e4:(e-t)/t},contrastLstar:function(e,t){return e=dl(e),t=dl(t),e=fl(e,[bl,"l"]),t=fl(t,[bl,"l"]),Math.abs(e-t)},contrastDeltaPhi:function(e,t){return e=dl(e),t=dl(t),e=fl(e,[Ql,"l"]),t=fl(t,[Ql,"l"]),e=Math.abs(Math.pow(e,es)-Math.pow(t,es)),(t=Math.pow(e,1/es)*Math.SQRT2-40)<7.5?0:t}});function ns(e){var t=(e=G(pl(e,ll),3))[0],n=e[1];return[4*t/(e=t+15*n+3*e[2]),9*n/e]}function as(e){var t=(e=G(pl(e,ll),3))[0],n=e[1];return[t/(e=t+n+e[2]),n/e]}var rs=Object.freeze({__proto__:null,uv:ns,xy:as,register:function(e){Object.defineProperty(e.prototype,"uv",{get:function(){return ns(this)}}),Object.defineProperty(e.prototype,"xy",{get:function(){return as(this)}})}}),os=Math.PI/180,us=new il({id:"xyz-abs-d65",name:"Absolute XYZ D65",coords:{x:{refRange:[0,9504.7],name:"Xa"},y:{refRange:[0,1e4],name:"Ya"},z:{refRange:[0,10888.3],name:"Za"}},base:ll,fromBase:function(e){return e.map((function(e){return Math.max(203*e,0)}))},toBase:function(e){return e.map((function(e){return Math.max(e/203,0)}))}}),is=2610/Math.pow(2,14),ls=Math.pow(2,14)/2610,ss=3424/Math.pow(2,12),cs=2413/Math.pow(2,7),ds=2392/Math.pow(2,7),ps=1.7*2523/Math.pow(2,5),fs=Math.pow(2,5)/(1.7*2523),Ds=16295499532821565e-27,ms=[[.41478972,.579999,.014648],[-.20151,1.120649,.0531008],[-.0166008,.2648,.6684799]],hs=[[1.9242264357876067,-1.0047923125953657,.037651404030618],[.35031676209499907,.7264811939316552,-.06538442294808501],[-.09098281098284752,-.3127282905230739,1.5227665613052603]],gs=[[.5,.5,0],[3.524,-4.066708,.542708],[.199076,1.096799,-1.295875]],bs=[[1,.1386050432715393,.05804731615611886],[.9999999999999999,-.1386050432715393,-.05804731615611886],[.9999999999999998,-.09601924202631895,-.8118918960560388]],vs=new il({id:"jzazbz",name:"Jzazbz",coords:{jz:{refRange:[0,1],name:"Jz"},az:{refRange:[-.5,.5]},bz:{refRange:[-.5,.5]}},base:us,fromBase:function(e){var t=(e=G(e,3))[0],n=e[1];e=e[2],n=zi(ms,[1.15*t-(1.15-1)*e,.66*n-(.66-1)*t,e]).map((function(e){var t=ss+cs*Math.pow(e/1e4,is);e=1+ds*Math.pow(e/1e4,is);return Math.pow(t/e,ps)})),e=(t=G(zi(gs,n),3))[0],n=t[1],t=t[2];return[(1-.56)*e/(1+-.56*e)-Ds,n,t]},toBase:function(e){var t=(e=G(e,3))[0],n=e[1];e=e[2],t=zi(bs,[(t+Ds)/(1-.56- -.56*(t+Ds)),n,e]).map((function(e){var t=ss-Math.pow(e,fs);e=ds*Math.pow(e,fs)-cs;return 1e4*Math.pow(t/e,ls)})),e=(n=G(zi(hs,t),3))[0],t=n[1];return[e=(e+(1.15-1)*(n=n[2]))/1.15,(t+(.66-1)*e)/.66,n]},formats:{color:{}}}),ys=new il({id:"jzczhz",name:"JzCzHz",coords:{jz:{refRange:[0,1],name:"Jz"},cz:{refRange:[0,1],name:"Chroma"},hz:{refRange:[0,360],type:"angle",name:"Hue"}},base:vs,fromBase:function(e){var t=(e=G(e,3))[0],n=e[1],a=(e=e[2],Math.abs(n)<2e-4&&Math.abs(e)<2e-4?NaN:180*Math.atan2(e,n)/Math.PI);return[t,Math.sqrt(Math.pow(n,2)+Math.pow(e,2)),vl(a)]},toBase:function(e){return[e[0],e[1]*Math.cos(e[2]*Math.PI/180),e[1]*Math.sin(e[2]*Math.PI/180)]},formats:{color:{}}}),Fs=2610/16384,ws=[[.3592,.6976,-.0358],[-.1922,1.1004,.0755],[.007,.0749,.8434]],Es=[[.5,.5,0],[6610/4096,-13613/4096,7003/4096],[17933/4096,-17390/4096,-543/4096]],Cs=[[.9999888965628402,.008605050147287059,.11103437159861648],[1.00001110343716,-.008605050147287059,-.11103437159861648],[1.0000320633910054,.56004913547279,-.3206339100541203]],xs=[[2.0701800566956137,-1.326456876103021,.20661600684785517],[.3649882500326575,.6804673628522352,-.04542175307585323],[-.04959554223893211,-.04942116118675749,1.1879959417328034]],As=new il({id:"ictcp",name:"ICTCP",coords:{i:{refRange:[0,1],name:"I"},ct:{refRange:[-.5,.5],name:"CT"},cp:{refRange:[-.5,.5],name:"CP"}},base:us,fromBase:function(e){var t=e=zi(ws,e);return t=e.map((function(e){var t=.8359375+2413/128*Math.pow(e/1e4,Fs);e=1+18.6875*Math.pow(e/1e4,Fs);return Math.pow(t/e,2523/32)})),zi(Es,t)},toBase:function(e){return e=zi(Cs,e).map((function(e){var t=Math.max(Math.pow(e,32/2523)-.8359375,0);e=2413/128-18.6875*Math.pow(e,32/2523);return 1e4*Math.pow(t/e,16384/2610)})),zi(xs,e)},formats:{color:{}}}),ks=[[.8190224432164319,.3619062562801221,-.12887378261216414],[.0329836671980271,.9292868468965546,.03614466816999844],[.048177199566046255,.26423952494422764,.6335478258136937]],Bs=[[1.2268798733741557,-.5578149965554813,.28139105017721583],[-.04057576262431372,1.1122868293970594,-.07171106666151701],[-.07637294974672142,-.4214933239627914,1.5869240244272418]],Ts=[[.2104542553,.793617785,-.0040720468],[1.9779984951,-2.428592205,.4505937099],[.0259040371,.7827717662,-.808675766]],Ns=[[.9999999984505198,.39633779217376786,.2158037580607588],[1.0000000088817609,-.10556134232365635,-.06385417477170591],[1.0000000546724108,-.08948418209496575,-1.2914855378640917]],Rs=new il({id:"oklab",name:"OKLab",coords:{l:{refRange:[0,1],name:"L"},a:{refRange:[-.4,.4]},b:{refRange:[-.4,.4]}},white:"D65",base:ll,fromBase:function(e){return e=zi(ks,e).map((function(e){return Math.cbrt(e)})),zi(Ts,e)},toBase:function(e){return e=zi(Ns,e).map((function(e){return Math.pow(e,3)})),zi(Bs,e)},formats:{oklab:{coords:["<number> | <percentage>","<number>","<number>"]}}}),_s=Object.freeze({__proto__:null,deltaE76:function(e,t){return Ul(e,t,"lab")},deltaECMC:function(e,t){var n=void 0===(n=(a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{}).l)?2:n,a=void 0===(a=a.c)?1:a,r=(u=G(bl.from(e),3))[0],o=u[1],u=u[2],i=(l=G(yl.from(bl,[r,o,u]),3))[1],l=l[2],s=(d=G(bl.from(t),3))[0],c=d[1],d=d[2],p=yl.from(bl,[s,c,d])[1];s=r-s,p=(i=i<0?0:i)-(p=p<0?0:p),u-=d,d=Math.pow(o-c,2)+Math.pow(u,2)-Math.pow(p,2),o=.511,16<=r&&(o=.040975*r/(1+.01765*r)),c=.0638*i/(1+.0131*i)+.638,u=164<=(l=Number.isNaN(l)?0:l)&&l<=345?.56+Math.abs(.2*Math.cos((l+168)*os)):.36+Math.abs(.4*Math.cos((l+35)*os)),r=Math.pow(i,4),i=c*((l=Math.sqrt(r/(r+1900)))*u+1-l),r=Math.pow(s/(n*o),2),r=(r+=Math.pow(p/(a*c),2))+d/Math.pow(i,2);return Math.sqrt(r)},deltaE2000:xl,deltaEJz:function(e,t){var n=(e=G(ys.from(e),3))[0],a=e[1],r=(e=e[2],(t=G(ys.from(t),3))[0]),o=t[1];t=t[2],n-=r,r=a-o,Number.isNaN(e)&&Number.isNaN(t)?t=e=0:Number.isNaN(e)?e=t:Number.isNaN(t)&&(t=e),e-=t,t=2*Math.sqrt(a*o)*Math.sin(e/2*(Math.PI/180));return Math.sqrt(Math.pow(n,2)+Math.pow(r,2)+Math.pow(t,2))},deltaEITP:function(e,t){var n=(e=G(As.from(e),3))[0],a=e[1],r=(e=e[2],(t=G(As.from(t),3))[0]),o=t[1];t=t[2];return 720*Math.sqrt(Math.pow(n-r,2)+.25*Math.pow(a-o,2)+Math.pow(e-t,2))},deltaEOK:function(e,t){var n=(e=G(Rs.from(e),3))[0],a=e[1],r=(e=e[2],(t=G(Rs.from(t),3))[0]);a-=t[1],e-=t[2];return Math.sqrt(Math.pow(n-r,2)+Math.pow(a,2)+Math.pow(e,2))}});function Os(e,t){var n,a,r=(a=a=Vi(a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{})?{method:a}:a).method,o=void 0===r?Qi.deltaE:r,u=V(a,h);for(n in e=dl(e),t=dl(t),_s)if("deltae"+o.toLowerCase()===n.toLowerCase())return _s[n](e,t,u);throw new TypeError("Unknown deltaE method: ".concat(o))}var Ss=Object.freeze({__proto__:null,lighten:function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:.25;return ml(e,[il.get("oklch","lch"),"l"],(function(e){return e*(1+t)}))},darken:function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:.25;return ml(e,[il.get("oklch","lch"),"l"],(function(e){return e*(1-t)}))}});function Ms(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:.5,a=3<arguments.length&&void 0!==arguments[3]?arguments[3]:{},r=(e=(r=[dl(e),dl(t)])[0],t=r[1],"object"===$i(n)&&(n=(r=[.5,n])[0],a=r[1]),a);return Is(e,t,{space:r.space,outputSpace:r.outputSpace,premultiplied:r.premultiplied})(n)}function Ps(e,t){var n,a,r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{},o=(s=(js(e)&&(r=t,e=(s=G((n=e).rangeArgs.colors,2))[0],t=s[1]),r)).maxDeltaE,u=s.deltaEMethod,i=(r=void 0===(r=s.steps)?2:r,void 0===(l=s.maxSteps)?1e3:l),l=V(s,g),s=(n||(e=(s=[dl(e),dl(t)])[0],t=s[1],n=Is(e,t,l)),Os(e,t)),c=(l=0<o?Math.max(r,Math.ceil(s/o)+1):r,[]);if(void 0!==i&&(l=Math.min(l,i)),c=1===l?[{p:.5,color:n(.5)}]:(a=1/(l-1),Array.from({length:l},(function(e,t){return{p:t*=a,color:n(t)}}))),0<o)for(var d=c.reduce((function(e,t,n){return 0===n?0:(t=Os(t.color,c[n-1].color,u),Math.max(e,t))}),0);o<d;){d=0;for(var p=1;p<c.length&&c.length<i;p++){var f=c[p-1],D=c[p],m=(D.p+f.p)/2,h=n(m);d=Math.max(d,Os(h,f.color),Os(h,D.color));c.splice(p,0,{p:m,color:n(m)}),p++}}return c=c.map((function(e){return e.color}))}function Is(e,t){var n,a,r,o,u,i,l,s,c,d,p,f,D=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{};return js(e)?(r=e,o=t,Is.apply(void 0,$(r.rangeArgs.colors).concat([U({},r.rangeArgs.options,o)]))):(p=D.space,f=D.outputSpace,n=D.progression,a=D.premultiplied,e=dl(e),t=dl(t),e=Bl(e),t=Bl(t),r={colors:[e,t],options:D},p=p?il.get(p):il.registry[Qi.interpolationSpace]||e.space,f=f?il.get(f):p,e=Nl(e,p),t=Nl(t,p),e=Tl(e),t=Tl(t),p.coords.h&&"angle"===p.coords.h.type&&(o=D.hue=D.hue||"shorter",s=[(i=[fl(e,D=[p,"h"]),fl(t,D)])[0],i=i[1]],l="raw"===(l=o)?s:(c=(s=G(s.map(vl),2))[0],d=(s=s[1])-c,"increasing"===l?d<0&&(s+=360):"decreasing"===l?0<d&&(c+=360):"longer"===l?-180<d&&d<180&&(0<d?s+=360:c+=360):"shorter"===l&&(180<d?c+=360:d<-180&&(s+=360)),[c,s]),u=(d=G(l,2))[0],i=d[1],ml(e,D,u),ml(t,D,i)),a&&(e.coords=e.coords.map((function(t){return t*e.alpha})),t.coords=t.coords.map((function(e){return e*t.alpha}))),Object.assign((function(r){r=n?n(r):r;var o=e.coords.map((function(e,n){return Wi(e,t.coords[n],r)})),u=Wi(e.alpha,t.alpha,r);o={space:p,coords:o,alpha:u};return a&&(o.coords=o.coords.map((function(e){return e/u}))),f!==p?Nl(o,f):o}),{rangeArgs:r}))}function js(e){return"function"===$i(e)&&!!e.rangeArgs}Qi.interpolationSpace="lab";var Ls=Object.freeze({__proto__:null,mix:Ms,steps:Ps,range:Is,isRange:js,register:function(e){e.defineFunction("mix",Ms,{returns:"color"}),e.defineFunction("range",Is,{returns:"function<color>"}),e.defineFunction("steps",Ps,{returns:"array<color>"})}}),qs=new il({id:"hsl",name:"HSL",coords:{h:{refRange:[0,360],type:"angle",name:"Hue"},s:{range:[0,100],name:"Saturation"},l:{range:[0,100],name:"Lightness"}},base:Ll,fromBase:function(e){var t=Math.max.apply(Math,$(e)),n=Math.min.apply(Math,$(e)),a=(e=G(e,3))[0],r=e[1],o=e[2],u=NaN,i=(e=0,(n+t)/2),l=t-n;if(0!=l){switch(e=0==i||1==i?0:(t-i)/Math.min(i,1-i),t){case a:u=(r-o)/l+(r<o?6:0);break;case r:u=(o-a)/l+2;break;case o:u=(a-r)/l+4}u*=60}return[u,100*e,100*i]},toBase:function(e){var t=(e=G(e,3))[0],n=e[1],a=e[2];function r(e){e=(e+t/30)%12;var r=n*Math.min(a,1-a);return a-r*Math.max(-1,Math.min(e-3,9-e,1))}return(t%=360)<0&&(t+=360),n/=100,a/=100,[r(0),r(8),r(4)]},formats:{hsl:{toGamut:!0,coords:["<number> | <angle>","<percentage>","<percentage>"]},hsla:{coords:["<number> | <angle>","<percentage>","<percentage>"],commas:!0,lastAlpha:!0}}}),zs=new il({id:"hsv",name:"HSV",coords:{h:{refRange:[0,360],type:"angle",name:"Hue"},s:{range:[0,100],name:"Saturation"},v:{range:[0,100],name:"Value"}},base:qs,fromBase:function(e){var t=(e=G(e,3))[0],n=e[1];e=e[2];return[t,0==(n=(e/=100)+(n/=100)*Math.min(e,1-e))?0:200*(1-e/n),100*n]},toBase:function(e){var t=(e=G(e,3))[0],n=e[1];e=e[2];return[t,0==(n=(e/=100)*(1-(n/=100)/2))||1==n?0:(e-n)/Math.min(n,1-n)*100,100*n]},formats:{color:{toGamut:!0}}}),Vs=new il({id:"hwb",name:"HWB",coords:{h:{refRange:[0,360],type:"angle",name:"Hue"},w:{range:[0,100],name:"Whiteness"},b:{range:[0,100],name:"Blackness"}},base:zs,fromBase:function(e){var t=(e=G(e,3))[0],n=e[1];return[t,(e=e[2])*(100-n)/100,100-e]},toBase:function(e){var t=(e=G(e,3))[0],n=e[1],a=(e=e[2],(n/=100)+(e/=100));return 1<=a?[t,0,n/a*100]:[t,100*(0==(a=1-e)?0:1-n/a),100*a]},formats:{hwb:{toGamut:!0,coords:["<number> | <angle>","<percentage>","<percentage>"]}}}),$s=new ve({id:"a98rgb-linear",name:"Linear Adobe® 98 RGB compatible",white:"D65",toXYZ_M:[[.5766690429101305,.1855582379065463,.1882286462349947],[.29734497525053605,.6273635662554661,.07529145849399788],[.02703136138641234,.07068885253582723,.9913375368376388]],fromXYZ_M:[[2.0415879038107465,-.5650069742788596,-.34473135077832956],[-.9692436362808795,1.8759675015077202,.04155505740717557],[.013444280632031142,-.11836239223101838,1.0151749943912054]]}),Hs=new ve({id:"a98rgb",name:"Adobe® 98 RGB compatible",base:$s,toBase:function(e){return e.map((function(e){return Math.pow(Math.abs(e),563/256)*Math.sign(e)}))},fromBase:function(e){return e.map((function(e){return Math.pow(Math.abs(e),256/563)*Math.sign(e)}))},formats:{color:{id:"a98-rgb"}}}),Us=new ve({id:"prophoto-linear",name:"Linear ProPhoto",white:"D50",base:Kt,toXYZ_M:[[.7977604896723027,.13518583717574031,.0313493495815248],[.2880711282292934,.7118432178101014,8565396060525902e-20],[0,0,.8251046025104601]],fromXYZ_M:[[1.3457989731028281,-.25558010007997534,-.05110628506753401],[-.5446224939028347,1.5082327413132781,.02053603239147973],[0,0,1.2119675456389454]]}),Gs=new ve({id:"prophoto",name:"ProPhoto",base:Us,toBase:function(e){return e.map((function(e){return e<.03125?e/16:Math.pow(e,1.8)}))},fromBase:function(e){return e.map((function(e){return 1/512<=e?Math.pow(e,1/1.8):16*e}))},formats:{color:{id:"prophoto-rgb"}}}),Ws=new il({id:"oklch",name:"OKLCh",coords:{l:{refRange:[0,1],name:"Lightness"},c:{refRange:[0,.4],name:"Chroma"},h:{refRange:[0,360],type:"angle",name:"Hue"}},white:"D65",base:Rs,fromBase:function(e){var t=(e=G(e,3))[0],n=e[1],a=(e=e[2],Math.abs(n)<2e-4&&Math.abs(e)<2e-4?NaN:180*Math.atan2(e,n)/Math.PI);return[t,Math.sqrt(Math.pow(n,2)+Math.pow(e,2)),vl(a)]},toBase:function(e){var t,n=(e=G(e,3))[0],a=e[1];e=e[2],a=isNaN(e)?t=0:(t=a*Math.cos(e*Math.PI/180),a*Math.sin(e*Math.PI/180));return[n,t,a]},formats:{oklch:{coords:["<number> | <percentage>","<number>","<number> | <angle>"]}}}),Ys=2610/Math.pow(2,14),Ks=Math.pow(2,14)/2610,Xs=2523/Math.pow(2,5),Zs=Math.pow(2,5)/2523,Js=3424/Math.pow(2,12),Qs=2413/Math.pow(2,7),ec=2392/Math.pow(2,7),tc=new ve({id:"rec2100pq",name:"REC.2100-PQ",base:_l,toBase:function(e){return e.map((function(e){return 1e4*Math.pow(Math.max(Math.pow(e,Zs)-Js,0)/(Qs-ec*Math.pow(e,Zs)),Ks)/203}))},fromBase:function(e){return e.map((function(e){e=Math.max(203*e/1e4,0);var t=Js+Qs*Math.pow(e,Ys);e=1+ec*Math.pow(e,Ys);return Math.pow(t/e,Xs)}))},formats:{color:{id:"rec2100-pq"}}}),nc=.17883277,ac=.28466892,rc=.55991073,oc=3.7743,uc=new ve({id:"rec2100hlg",cssid:"rec2100-hlg",name:"REC.2100-HLG",referred:"scene",base:_l,toBase:function(e){return e.map((function(e){return e<=.5?Math.pow(e,2)/3*oc:Math.exp((e-rc)/nc+ac)/12*oc}))},fromBase:function(e){return e.map((function(e){return(e/=oc)<=1/12?Math.sqrt(3*e):nc*Math.log(12*e-ac)+rc}))},formats:{color:{id:"rec2100-hlg"}}}),ic={};function lc(e){var t=e.id;e.toCone_M,e.fromCone_M,ic[t]=e}function sc(e,t,n){var a=ic[2<arguments.length&&void 0!==n?n:"Bradford"],r=(u=G(zi(a.toCone_M,e),3))[0],o=u[1],u=u[2],i=G(zi(a.toCone_M,t),3);r=zi([[i[0]/r,0,0],[0,i[1]/o,0],[0,0,i[2]/u]],a.toCone_M);return zi(a.fromCone_M,r)}Ji.add("chromatic-adaptation-start",(function(e){e.options.method&&(e.M=sc(e.W1,e.W2,e.options.method))})),Ji.add("chromatic-adaptation-end",(function(e){e.M||(e.M=sc(e.W1,e.W2,e.options.method))})),lc({id:"von Kries",toCone_M:[[.40024,.7076,-.08081],[-.2263,1.16532,.0457],[0,0,.91822]],fromCone_M:[[1.8599364,-1.1293816,.2198974],[.3611914,.6388125,-64e-7],[0,0,1.0890636]]}),lc({id:"Bradford",toCone_M:[[.8951,.2664,-.1614],[-.7502,1.7135,.0367],[.0389,-.0685,1.0296]],fromCone_M:[[.9869929,-.1470543,.1599627],[.4323053,.5183603,.0492912],[-.0085287,.0400428,.9684867]]}),lc({id:"CAT02",toCone_M:[[.7328,.4296,-.1624],[-.7036,1.6975,.0061],[.003,.0136,.9834]],fromCone_M:[[1.0961238,-.278869,.1827452],[.454369,.4735332,.0720978],[-.0096276,-.005698,1.0153256]]}),lc({id:"CAT16",toCone_M:[[.401288,.650173,-.051461],[-.250268,1.204414,.045854],[-.002079,.048952,.953127]],fromCone_M:[[1.862067855087233,-1.011254630531685,.1491867754444518],[.3875265432361372,.6214474419314753,-.008973985167612518],[-.01584149884933386,-.03412293802851557,1.04996443687785]]}),Object.assign(el,{A:[1.0985,1,.35585],C:[.98074,1,1.18232],D55:[.95682,1,.92149],D75:[.94972,1,1.22638],E:[1,1,1],F2:[.99186,1,.67393],F7:[.95041,1,1.08747],F11:[1.00962,1,.6435]}),el.ACES=[.32168/.33767,1,.34065/.33767];var cc=new ve({id:"acescg",name:"ACEScg",coords:{r:{range:[0,65504],name:"Red"},g:{range:[0,65504],name:"Green"},b:{range:[0,65504],name:"Blue"}},referred:"scene",white:el.ACES,toXYZ_M:[[.6624541811085053,.13400420645643313,.1561876870049078],[.27222871678091454,.6740817658111484,.05368951740793705],[-.005574649490394108,.004060733528982826,1.0103391003129971]],fromXYZ_M:[[1.6410233796943257,-.32480329418479,-.23642469523761225],[-.6636628587229829,1.6153315916573379,.016756347685530137],[.011721894328375376,-.008284441996237409,.9883948585390215]],formats:{color:{}}}),dc=Math.pow(2,-16),pc=-.35828683,fc=(Math.log2(65504)+9.72)/17.52,Dc=(ve=new ve({id:"acescc",name:"ACEScc",coords:{r:{range:[pc,fc],name:"Red"},g:{range:[pc,fc],name:"Green"},b:{range:[pc,fc],name:"Blue"}},referred:"scene",base:cc,toBase:function(e){return e.map((function(e){return e<=(9.72-15)/17.52?2*(Math.pow(2,17.52*e-9.72)-dc):e<fc?Math.pow(2,17.52*e-9.72):65504}))},fromBase:function(e){return e.map((function(e){return e<=0?(Math.log2(dc)+9.72)/17.52:e<dc?(Math.log2(dc+.5*e)+9.72)/17.52:(Math.log2(e)+9.72)/17.52}))},formats:{color:{}}}),Object.freeze({__proto__:null,XYZ_D65:ll,XYZ_D50:Kt,XYZ_ABS_D65:us,Lab_D65:Ql,Lab:bl,LCH:yl,sRGB_Linear:Il,sRGB:Ll,HSL:qs,HWB:Vs,HSV:zs,P3_Linear:Pl,P3:ql,A98RGB_Linear:$s,A98RGB:Hs,ProPhoto_Linear:Us,ProPhoto:Gs,REC_2020_Linear:_l,REC_2020:Ml,OKLab:Rs,OKLCH:Ws,Jzazbz:vs,JzCzHz:ys,ICTCP:As,REC_2100_PQ:tc,REC_2100_HLG:uc,ACEScg:cc,ACEScc:ve})),mc=(se=new WeakMap,Z(hc,[{key:"space",get:function(){return j(this,se)}},{key:"spaceId",get:function(){return j(this,se).id}},{key:"clone",value:function(){return new hc(this.space,this.coords,this.alpha)}},{key:"toJSON",value:function(){return{spaceId:this.spaceId,coords:this.coords,alpha:this.alpha}}},{key:"display",value:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var a=function(e){var t=void 0===(t=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).space)?Qi.display_space:t,n=V(n,D),a=Rl(e,n);return"undefined"==typeof CSS||CSS.supports("color",a)||!Qi.display_space?(a=new String(a)).color=e:(t=Nl(e,t),(a=new String(Rl(t,n))).color=t),a}.apply(void 0,[this].concat(t));return a.color=new hc(a.color),a}}],[{key:"get",value:function(e){if(e instanceof hc)return e;for(var t=arguments.length,n=new Array(1<t?t-1:0),a=1;a<t;a++)n[a-1]=arguments[a];return B(hc,[e].concat(n))}},{key:"defineFunction",value:function(e,t){function n(){var e,n=t.apply(void 0,arguments);return"color"===o?n=hc.get(n):"function<color>"===o?(e=n,n=function(){var t=e.apply(void 0,arguments);return hc.get(t)},Object.assign(n,e)):"array<color>"===o&&(n=n.map((function(e){return hc.get(e)}))),n}var a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:t,r=void 0===(r=a.instance)||r,o=a.returns;e in hc||(hc[e]=n),r&&(hc.prototype[e]=function(){for(var e=arguments.length,t=new Array(e),a=0;a<e;a++)t[a]=arguments[a];return n.apply(void 0,[this].concat(t))})}},{key:"defineFunctions",value:function(e){for(var t in e)hc.defineFunction(t,e[t],e[t])}},{key:"extend",value:function(e){if(e.register)e.register(hc);else for(var t in e)hc.defineFunction(t,e[t])}}]),hc);function hc(){var e=this;K(this,hc),M(this,se,{writable:!0,value:void 0});for(var t,n,a,r=arguments.length,o=new Array(r),u=0;u<r;u++)o[u]=arguments[u];a=(a=1===o.length?dl(o[0]):a)?(t=a.space||a.spaceId,n=a.coords,a.alpha):(t=o[0],n=o[1],o[2]),q(this,se,il.get(t)),this.coords=n?n.slice():[0,0,0],this.alpha=a<1?a:1;for(var i=0;i<this.coords.length;i++)"NaN"===this.coords[i]&&(this.coords[i]=NaN);for(var l in j(this,se).coords)!function(t){Object.defineProperty(e,t,{get:function(){return e.get(t)},set:function(n){return e.set(t,n)}})}(l)}mc.defineFunctions({get:fl,getAll:pl,set:ml,setAll:Dl,to:Nl,equals:function(e,t){return e=dl(e),t=dl(t),e.space===t.space&&e.alpha===t.alpha&&e.coords.every((function(e,n){return e===t.coords[n]}))},inGamut:kl,toGamut:Tl,distance:Ul,toString:Rl}),Object.assign(mc,{util:Io,hooks:Ji,WHITES:el,Space:il,spaces:il.registry,parse:cl,defaults:Qi});for(var gc,bc=0,vc=Object.keys(Dc);bc<vc.length;bc++){var yc=vc[bc];il.register(Dc[yc])}for(gc in il.registry)Fc(gc,il.registry[gc]);function Fc(e,t){Object.keys(t.coords),Object.values(t.coords).map((function(e){return e.name}));var n=e.replace(/-/g,"_");Object.defineProperty(mc.prototype,n,{get:function(){var n=this,a=this.getAll(e);return"undefined"==typeof Proxy?a:new Proxy(a,{has:function(e,n){try{return il.resolveCoord([t,n]),!0}catch(e){}return Reflect.has(e,n)},get:function(e,n,a){if(n&&"symbol"!==r(n)&&!(n in e)){var o=il.resolveCoord([t,n]).index;if(0<=o)return e[o]}return Reflect.get(e,n,a)},set:function(a,o,u,i){if(o&&"symbol"!==r(o)&&!(o in a)||0<=o){var l=il.resolveCoord([t,o]).index;if(0<=l)return a[l]=u,n.setAll(e,a),!0}return Reflect.set(a,o,u,i)}})},set:function(t){this.setAll(e,t)},configurable:!0,enumerable:!0})}Ji.add("colorspace-init-end",(function(e){var t;Fc(e.id,e),null!=(t=e.aliases)&&t.forEach((function(t){Fc(t,e)}))})),mc.extend(_s),mc.extend({deltaE:Os}),mc.extend(Ss),mc.extend({contrast:function(e,t){var n,a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{},r=(a=a=Vi(a)?{algorithm:a}:a).algorithm,o=V(a,m);if(!r)throw a=Object.keys(ts).map((function(e){return e.replace(/^contrast/,"")})).join(", "),new TypeError("contrast() function needs a contrast algorithm. Please specify one of: ".concat(a));for(n in e=dl(e),t=dl(t),ts)if("contrast"+r.toLowerCase()===n.toLowerCase())return ts[n](e,t,o);throw new TypeError("Unknown contrast algorithm: ".concat(r))}}),mc.extend(rs),mc.extend(Yl),mc.extend(Ls),mc.extend(ts);pc=re(Zt()),Kt=re(Jt());var wc=(re(Qt()),Li.default.templateSettings.strip=!1,"Promise"in t||pc.default.polyfill(),"Uint32Array"in t||(t.Uint32Array=Kt.Uint32Array),t.Uint32Array&&("some"in t.Uint32Array.prototype||Object.defineProperty(t.Uint32Array.prototype,"some",{value:Array.prototype.some}),"reduce"in t.Uint32Array.prototype||Object.defineProperty(t.Uint32Array.prototype,"reduce",{value:Array.prototype.reduce})),/^#[0-9a-f]{3,8}$/i),Ec=/hsl\\(\\s*([\\d.]+)(rad|turn)/;function Cc(e,t,n){var a=3<arguments.length&&void 0!==arguments[3]?arguments[3]:1;K(this,Cc),this.red=e,this.green=t,this.blue=n,this.alpha=a}Z(Cc,[{key:"toHexString",value:function(){var e=Math.round(this.red).toString(16),t=Math.round(this.green).toString(16),n=Math.round(this.blue).toString(16);return"#"+(15.5<this.red?e:"0"+e)+(15.5<this.green?t:"0"+t)+(15.5<this.blue?n:"0"+n)}},{key:"toJSON",value:function(){return{red:this.red,green:this.green,blue:this.blue,alpha:this.alpha}}},{key:"parseString",value:function(e){e=e.replace(Ec,(function(e,t,n){var a=t+n;switch(n){case"rad":return e.replace(a,180*t/Math.PI);case"turn":return e.replace(a,360*t)}}));try{var t=new mc(e).to("srgb");this.red=Math.round(255*Ac(t.r,0,1)),this.green=Math.round(255*Ac(t.g,0,1)),this.blue=Math.round(255*Ac(t.b,0,1)),this.alpha=+t.alpha}catch(t){throw new Error('Unable to parse color "'.concat(e,'"'))}return this}},{key:"parseRgbString",value:function(e){this.parseString(e)}},{key:"parseHexString",value:function(e){e.match(wc)&&![6,8].includes(e.length)&&this.parseString(e)}},{key:"parseColorFnString",value:function(e){this.parseString(e)}},{key:"getRelativeLuminance",value:function(){var e=this.red/255,t=this.green/255,n=this.blue/255;return.2126*(e<=.03928?e/12.92:Math.pow((.055+e)/1.055,2.4))+.7152*(t<=.03928?t/12.92:Math.pow((.055+t)/1.055,2.4))+.0722*(n<=.03928?n/12.92:Math.pow((.055+n)/1.055,2.4))}}]);var xc=Cc;function Ac(e,t,n){return Math.min(Math.max(t,e),n)}var kc=function(e){var t=new xc;return t.parseString(e.getPropertyValue("background-color")),0!==t.alpha&&(e=e.getPropertyValue("opacity"),t.alpha=t.alpha*e),t},Bc=function(e){var n=t.getComputedStyle(e);return Ii(e,n)||1===kc(n).alpha};function Tc(e){var t;return!(!e.href||(t=Kn.get("firstPageLink",Nc))&&e.compareDocumentPosition(t.actualNode)!==e.DOCUMENT_POSITION_FOLLOWING)}function Nc(){return(t.location.origin?cp(o._tree,'a[href]:not([href^="javascript:"])').find((function(e){return!mo(e.actualNode)})):cp(o._tree,'a:not([href^="#"]):not([href^="/#"]):not([href^="javascript:"])')[0])||null}var Rc=/rect\\s*\\(([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px\\s*\\)/,_c=/(\\w+)\\((\\d+)/;var Oc=function e(n,a,r){if(!n)throw new TypeError("Cannot determine if element is visible for non-DOM nodes");var u,i,l,s=n instanceof on?n:Xn(n),c=(n=s?s.actualNode:n,"_isVisible"+(a?"ScreenReader":"")),d=(p=null!=(p=t.Node)?p:{}).DOCUMENT_NODE,p=p.DOCUMENT_FRAGMENT_NODE,f=(s?s.props:n).nodeType,D=s?s.props.nodeName:n.nodeName.toLowerCase();return s&&void 0!==s[c]?s[c]:f===d||!["style","script","noscript","template"].includes(D)&&(n&&f===p&&(n=n.host),(!a||"true"!==(s?s.attr("aria-hidden"):n.getAttribute("aria-hidden")))&&(n?null!==(d=t.getComputedStyle(n,null))&&("area"===D?(u=a,i=r,!!(p=pr(f=n,"map"))&&!!(p=p.getAttribute("name"))&&!(!(f=sr(f))||9!==f.nodeType||!(l=cp(o._tree,'img[usemap="#'.concat(wn(p),'"]')))||!l.length)&&l.some((function(t){return e(t.actualNode,u,i)}))):"none"!==d.getPropertyValue("display")&&(D=parseInt(d.getPropertyValue("height")),f=parseInt(d.getPropertyValue("width")),l=(p=Ad(n))&&0===D,p=p&&0===f,D="absolute"===d.getPropertyValue("position")&&(D<2||f<2)&&"hidden"===d.getPropertyValue("overflow"),!(!a&&(function(e){var t=e.getPropertyValue("clip").match(Rc),n=e.getPropertyValue("clip-path").match(_c);if(t&&5===t.length&&(e=e.getPropertyValue("position"),["fixed","absolute"].includes(e)))return t[3]-t[1]<=0&&t[2]-t[4]<=0;if(n){e=n[1];var a=parseInt(n[2],10);switch(e){case"inset":return 50<=a;case"circle":return 0===a}}}(d)||"0"===d.getPropertyValue("opacity")||l||p||D)||!r&&("hidden"===d.getPropertyValue("visibility")||!a&&Lr(n))))&&(f=!1,(p=n.assignedSlot||n.parentNode)&&(f=e(p,a,!0)),s&&(s[c]=f),f)):(D=!0,(r=s.parent)&&(D=e(r,a,!0)),s&&(s[c]=D),D)))},Sc=function(e,n){for(var a=["fixed","sticky"],r=[],o=!1,u=0;u<e.length;++u){var i=e[u],l=(i===n&&(o=!0),t.getComputedStyle(i));o||-1===a.indexOf(l.position)?r.push(i):r=[]}return r};function Mc(e,n){var a=Pc(n);do{var r,o,u,i,l,s,c=Pc(e);if(c===a||c===n)return i=e,r=n,u=(o=t.getComputedStyle(r)).getPropertyValue("overflow"),"inline"===o.getPropertyValue("display")||(i=Array.from(i.getClientRects()),l=r.getBoundingClientRect(),s={left:l.left,top:l.top,width:l.width,height:l.height},(["scroll","auto"].includes(u)||r instanceof t.HTMLHtmlElement)&&(s.width=r.scrollWidth,s.height=r.scrollHeight),1===i.length&&"hidden"===u&&"nowrap"===o.getPropertyValue("white-space")&&(i[0]=s),i.some((function(e){return!(Math.ceil(e.left)<Math.floor(s.left)||Math.ceil(e.top)<Math.floor(s.top)||Math.floor(e.left+e.width)>Math.ceil(s.left+s.width)||Math.floor(e.top+e.height)>Math.ceil(s.top+s.height))})))}while(e=c);return!1}function Pc(e){for(var t=Xn(e).parent;t;){if(Ad(t.actualNode))return t.actualNode;t=t.parent}}var Ic,jc,Lc=function e(t,n){var r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:a,o=3<arguments.length&&void 0!==arguments[3]?arguments[3]:0;if(999<o)throw new Error("Infinite loop detected");return Array.from(r.elementsFromPoint(t,n)||[]).filter((function(e){return sr(e)===r})).reduce((function(a,r){var u;return ur(r)&&(u=e(t,n,r.shadowRoot,o+1),!(a=a.concat(u)).length||!Mc(a[0],r))||a.push(r),a}),[])},qc=function(e,t){var n,r;if(e.hasAttribute(t))return r=e.nodeName.toUpperCase(),n=e,["A","AREA"].includes(r)&&!e.ownerSVGElement||((n=a.createElement("a")).href=e.getAttribute(t)),r=["https:","ftps:"].includes(n.protocol)?n.protocol.replace(/s:$/,":"):n.protocol,t=(e=(e=(t=e=/^\\//.test(n.pathname)?n.pathname:"/".concat(n.pathname)).split("/").pop())&&-1!==e.indexOf(".")?{pathname:t.replace(e,""),filename:/index./.test(e)?"":e}:{pathname:t,filename:""}).pathname,e=e.filename,{protocol:r,hostname:n.hostname,port:(r=n.port,["443","80"].includes(r)?"":r),pathname:/\\/$/.test(t)?t:"".concat(t,"/"),search:function(e){var t={};if(e&&e.length){var n=e.substring(1).split("&");if(n&&n.length)for(var a=0;a<n.length;a++){var r=(o=G(n[a].split("="),2))[0],o=void 0===(o=o[1])?"":o;t[decodeURIComponent(r)]=decodeURIComponent(o)}}return t}(n.search),hash:(r=n.hash)&&(t=r.match(/#!?\\/?/g))&&"#"!==G(t,1)[0]?r:"",filename:e}},zc=function(e,n){var a=n.getBoundingClientRect(),r=a.top,o=a.left,u=r-n.scrollTop,i=(r=r-n.scrollTop+n.scrollHeight,o-n.scrollLeft);o=o-n.scrollLeft+n.scrollWidth;return!(e.left>o&&e.left>a.right||e.top>r&&e.top>a.bottom||e.right<i&&e.right<a.left||e.bottom<u&&e.bottom<a.top)&&(o=t.getComputedStyle(n),!(e.left>a.right||e.top>a.bottom)||"scroll"===o.overflow||"auto"===o.overflow||n instanceof t.HTMLBodyElement||n instanceof t.HTMLHtmlElement)},Vc=0;function $c(e,t,n){var a;return K(this,$c),(a=jc.call(this)).shadowId=n,a.children=[],a.actualNode=e,(a.parent=t)||(Vc=0),a.nodeIndex=Vc++,a._isHidden=null,a._cache={},void 0===Ic&&(Ic=Nn(e.ownerDocument)),a._isXHTML=Ic,"input"===e.nodeName.toLowerCase()&&(n=e.getAttribute("type"),n=a._isXHTML?n:(n||"").toLowerCase(),vp().includes(n)||(n="text"),a._type=n),Kn.get("nodeMap")&&Kn.get("nodeMap").set(e,_(a)),a}T($c,on),jc=R($c),Z($c,[{key:"props",get:function(){var e,t,n,a,r,o,u,i,l;return this._cache.hasOwnProperty("props")||(e=(l=this.actualNode).nodeType,t=l.nodeName,n=l.id,a=l.multiple,r=l.nodeValue,o=l.value,u=l.selected,i=l.checked,l=l.indeterminate,this._cache.props={nodeType:e,nodeName:this._isXHTML?t:t.toLowerCase(),id:n,type:this._type,multiple:a,nodeValue:r,value:o,selected:u,checked:i,indeterminate:l}),this._cache.props}},{key:"attr",value:function(e){return"function"!=typeof this.actualNode.getAttribute?null:this.actualNode.getAttribute(e)}},{key:"hasAttr",value:function(e){return"function"==typeof this.actualNode.hasAttribute&&this.actualNode.hasAttribute(e)}},{key:"attrNames",get:function(){var e;return this._cache.hasOwnProperty("attrNames")||(e=(this.actualNode.attributes instanceof t.NamedNodeMap?this.actualNode:this.actualNode.cloneNode(!1)).attributes,this._cache.attrNames=Array.from(e).map((function(e){return e.name}))),this._cache.attrNames}},{key:"getComputedStylePropertyValue",value:function(e){var n="computedStyle_"+e;return this._cache.hasOwnProperty(n)||(this._cache.hasOwnProperty("computedStyle")||(this._cache.computedStyle=t.getComputedStyle(this.actualNode)),this._cache[n]=this._cache.computedStyle.getPropertyValue(e)),this._cache[n]}},{key:"isFocusable",get:function(){return this._cache.hasOwnProperty("isFocusable")||(this._cache.isFocusable=Qo(this.actualNode)),this._cache.isFocusable}},{key:"tabbableElements",get:function(){return this._cache.hasOwnProperty("tabbableElements")||(this._cache.tabbableElements=Bo(this)),this._cache.tabbableElements}},{key:"clientRects",get:function(){return this._cache.hasOwnProperty("clientRects")||(this._cache.clientRects=Array.from(this.actualNode.getClientRects()).filter((function(e){return 0<e.width}))),this._cache.clientRects}},{key:"boundingClientRect",get:function(){return this._cache.hasOwnProperty("boundingClientRect")||(this._cache.boundingClientRect=this.actualNode.getBoundingClientRect()),this._cache.boundingClientRect}}]);var Hc,Uc=$c,Gc=function(e){return(e||"").trim().replace(/\\s{2,}/g," ").split(" ")},Wc=" [idsMap]";function Yc(e,t,n){var a=e[0]._selectorMap;if(a){for(var r=e[0].shadowId,o=0;o<t.length;o++)if(1<t[o].length&&t[o].some(Kc))return;var u=new Set,i=(t.forEach((function(e){var t,n=function(e,t,n){var a=e[e.length-1],r=null,o=1<e.length||!!a.pseudos||!!a.classes;if(Kc(a))r=t["*"];else{if(a.id){if(!t[Wc]||null==(e=t[Wc][a.id])||!e.length)return;r=t[Wc][a.id].filter((function(e){return e.shadowId===n}))}if(a.tag&&"*"!==a.tag){if(null==(e=t[a.tag])||!e.length)return;e=t[a.tag];r=r?Xc(e,r):e}if(a.classes){if(null==(e=t["[class]"])||!e.length)return;e=t["[class]"],r=r?Xc(e,r):e}if(a.attributes)for(var u=0;u<a.attributes.length;u++){var i=a.attributes[u];if("attrValue"===i.type&&(o=!0),null==(l=t["[".concat(i.key,"]")])||!l.length)return;var l=t["[".concat(i.key,"]")];r=r?Xc(l,r):l}}return{nodes:r,isComplexSelector:o}}(e,a,r);null!=n&&null!=(t=n.nodes)&&t.forEach((function(t){n.isComplexSelector&&!la(t,e)||u.add(t)}))})),[]);return u.forEach((function(e){return i.push(e)})),(i=n?i.filter(n):i).sort((function(e,t){return e.nodeIndex-t.nodeIndex}))}}function Kc(e){return"*"===e.tag&&!e.attributes&&!e.id&&!e.classes}function Xc(e,t){return e.filter((function(e){return t.includes(e)}))}function Zc(e,t,n){n[e]=n[e]||[],n[e].push(t)}function Jc(e,t){1===e.props.nodeType&&(Zc(e.props.nodeName,e,t),Zc("*",e,t),e.attrNames.forEach((function(n){"id"===n&&(t[Wc]=t[Wc]||{},Gc(e.attr(n)).forEach((function(n){Zc(n,e,t[Wc])}))),Zc("[".concat(n,"]"),e,t)})))}function Qc(e,t,n){return Jc(e=new Uc(e,t,n),Kn.get("selectorMap")),e}function ed(e,n,a){var r,o,u;function i(e,t,a){return(t=ed(t,n,a))?e.concat(t):e}return u=(e=e.documentElement?e.documentElement:e).nodeName.toLowerCase(),ur(e)?(Hc=!0,r=Qc(e,a,n),n="a"+Math.random().toString().substring(2),o=Array.from(e.shadowRoot.childNodes),r.children=o.reduce((function(e,t){return i(e,t,r)}),[]),[r]):"content"===u&&"function"==typeof e.getDistributedNodes?(o=Array.from(e.getDistributedNodes())).reduce((function(e,t){return i(e,t,a)}),[]):"slot"===u&&"function"==typeof e.assignedNodes?((o=Array.from(e.assignedNodes())).length||(o=function(e){var t=[];for(e=e.firstChild;e;)t.push(e),e=e.nextSibling;return t}(e)),t.getComputedStyle(e),o.reduce((function(e,t){return i(e,t,a)}),[])):1===e.nodeType?(r=Qc(e,a,n),o=Array.from(e.childNodes),r.children=o.reduce((function(e,t){return i(e,t,r)}),[]),[r]):3===e.nodeType?[Qc(e,a)]:void 0}var td=function(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:a.documentElement,t=1<arguments.length?arguments[1]:void 0,n=(Hc=!1,{});return Kn.set("nodeMap",new WeakMap),Kn.set("selectorMap",n),(e=ed(e,t,null))[0]._selectorMap=n,e[0]._hasShadowRoot=Hc,e},nd=function(e){return e?e.trim().split("-")[0].toLowerCase():""},ad=function(e){var t={};return t.none=e.none.concat(e.all),t.any=e.any,Object.keys(t).map((function(e){var n;return t[e].length&&(n=o._audit.data.failureSummaries[e])&&"function"==typeof n.failureMessage?n.failureMessage(t[e].map((function(e){return e.message||""}))):void 0})).filter((function(e){return void 0!==e})).join("\\n\\n")};function rd(){var e=o._audit.data.incompleteFallbackMessage;return"string"!=typeof(e="function"==typeof e?e():e)?"":e}var od=tn.resultGroups,ud=function(e,t){var n=o.utils.aggregateResult(e);return od.forEach((function(e){t.resultTypes&&!t.resultTypes.includes(e)&&(n[e]||[]).forEach((function(e){Array.isArray(e.nodes)&&0<e.nodes.length&&(e.nodes=[e.nodes[0]])})),n[e]=(n[e]||[]).map((function(e){return e=Object.assign({},e),Array.isArray(e.nodes)&&0<e.nodes.length&&(e.nodes=e.nodes.map((function(e){var n,a;return"object"===r(e.node)&&(e.html=e.node.source,t.elementRef&&!e.node.fromFrame&&(e.element=e.node.element),!1===t.selectors&&!e.node.fromFrame||(e.target=e.node.selector),t.ancestry&&(e.ancestry=e.node.ancestry),t.xpath)&&(e.xpath=e.node.xpath),delete e.result,delete e.node,n=e,a=t,["any","all","none"].forEach((function(e){Array.isArray(n[e])&&n[e].filter((function(e){return Array.isArray(e.relatedNodes)})).forEach((function(e){e.relatedNodes=e.relatedNodes.map((function(e){var t,n={html:null!=(n=null==e?void 0:e.source)?n:"Undefined"};return!a.elementRef||null!=e&&e.fromFrame||(n.element=null!=(t=null==e?void 0:e.element)?t:null),(!1!==a.selectors||null!=e&&e.fromFrame)&&(n.target=null!=(t=null==e?void 0:e.selector)?t:[":root"]),a.ancestry&&(n.ancestry=null!=(t=null==e?void 0:e.ancestry)?t:[":root"]),a.xpath&&(n.xpath=null!=(t=null==e?void 0:e.xpath)?t:["/"]),n}))}))})),e}))),od.forEach((function(t){return delete e[t]})),delete e.pageLevel,delete e.result,e}))})),n},id=/\\$\\{\\s?data\\s?\\}/g;function ld(e,t){if("string"==typeof t)return e.replace(id,t);for(var n in t){var a;t.hasOwnProperty(n)&&(a=new RegExp("\\\\\${\\\\s?data\\\\."+n+"\\\\s?}","g"),n=void 0===t[n]?"":String(t[n]),e=e.replace(a,n))}return e}var sd=function e(t,n){var a;if(t)return Array.isArray(n)?(n.values=n.join(", "),"string"==typeof t.singular&&"string"==typeof t.plural?ld(1===n.length?t.singular:t.plural,n):ld(t,n)):"string"==typeof t?ld(t,n):"string"==typeof n?ld(t[n],n):(a=t.default||rd(),e(a=n&&n.messageKey&&t[n.messageKey]?t[n.messageKey]:a,n))},cd=function(e,t,n){var a=o._audit.data.checks[e];if(!a)throw new Error("Cannot get message for unknown check: ".concat(e,"."));if(a.messages[t])return sd(a.messages[t],n);throw new Error('Check "'.concat(e,'"" does not have a "').concat(t,'" message.'))},dd=function(e,t,n){t=((n.rules&&n.rules[t]||{}).checks||{})[e.id];var a=(n.checks||{})[e.id],r=e.enabled;e=e.options;return a&&(a.hasOwnProperty("enabled")&&(r=a.enabled),a.hasOwnProperty("options"))&&(e=a.options),t&&(t.hasOwnProperty("enabled")&&(r=t.enabled),t.hasOwnProperty("options"))&&(e=t.options),{enabled:r,options:e,absolutePaths:n.absolutePaths}};function pd(){var e,n,a,u,i=0<arguments.length&&void 0!==arguments[0]?arguments[0]:null,l=1<arguments.length&&void 0!==arguments[1]?arguments[1]:t;return i&&"object"===r(i)?i:"object"!==r(l)?{}:{testEngine:{name:"axe-core",version:o.version},testRunner:{name:o._audit.brand},testEnvironment:(i=l).navigator&&"object"===r(i.navigator)?(e=i.navigator,n=i.innerHeight,a=i.innerWidth,i=function(e){return(e=e.screen).orientation||e.msOrientation||e.mozOrientation}(i)||{},u=i.angle,i=i.type,{userAgent:e.userAgent,windowWidth:a,windowHeight:n,orientationAngle:u,orientationType:i}):{},timestamp:(new Date).toISOString(),url:null==(e=l.location)?void 0:e.href}}function fd(e,t){var n=t.focusable;t=t.page;return{node:e,include:[],exclude:[],initiator:!1,focusable:n&&(!(n=(n=e).getAttribute("tabindex"))||(n=parseInt(n,10),isNaN(n))||0<=n),size:function(e){var t=parseInt(e.getAttribute("width"),10),n=parseInt(e.getAttribute("height"),10);return(isNaN(t)||isNaN(n))&&(e=e.getBoundingClientRect(),t=isNaN(t)?e.width:t,n=isNaN(n)?e.height:n),{width:t,height:n}}(e),page:t}}function Dd(e){var n=0<arguments.length&&void 0!==e?e:[],a=[];vd(n)||(n=[n]);for(var r=0;r<n.length;r++){var o=function(e){return e instanceof t.Node?e:"string"==typeof e?[e]:(gd(e)?(function(e){yd(Array.isArray(e.fromFrames),"fromFrames property must be an array"),yd(e.fromFrames.every((function(e){return!Fd(e,"fromFrames")})),"Invalid context; fromFrames selector must be appended, rather than nested"),yd(!Fd(e,"fromShadowDom"),"fromFrames and fromShadowDom cannot be used on the same object")}(e),e=e.fromFrames):bd(e)&&(e=[e]),function(e){if(Array.isArray(e)){var t,n=[],a=Q(e);try{for(a.s();!(t=a.n()).done;){var r=t.value;if(bd(r)&&(function(e){yd(Array.isArray(e.fromShadowDom),"fromShadowDom property must be an array"),yd(e.fromShadowDom.every((function(e){return!Fd(e,"fromFrames")})),"shadow selector must be inside fromFrame instead"),yd(e.fromShadowDom.every((function(e){return!Fd(e,"fromShadowDom")})),"fromShadowDom selector must be appended, rather than nested")}(r),r=r.fromShadowDom),"string"!=typeof r&&!function(e){return Array.isArray(e)&&e.every((function(e){return"string"==typeof e}))}(r))return;n.push(r)}}catch(e){a.e(e)}finally{a.f()}return n}}(e))}(n[r]);o&&a.push(o)}return a}function md(e){return["include","exclude"].some((function(t){return Fd(e,t)&&hd(e[t])}))}function hd(e){return"string"==typeof e||e instanceof t.Node||gd(e)||bd(e)||vd(e)}function gd(e){return Fd(e,"fromFrames")}function bd(e){return Fd(e,"fromShadowDom")}function vd(e){return e&&"object"===r(e)&&"number"==typeof e.length&&e instanceof t.Node==0}function yd(e,t){yn(e,"Invalid context; ".concat(t,"\\nSee: https://github.com/dequelabs/axe-core/blob/master/doc/context.md"))}function Fd(e,t){return!(!e||"object"!==r(e))&&Object.prototype.hasOwnProperty.call(e,t)}function wd(e,n){for(var a=[],r=0,o=e[n].length;r<o;r++){var u=e[n][r];u instanceof t.Node?u.documentElement instanceof t.Node?a.push(e.flatTree[0]):a.push(Xn(u)):u&&u.length&&(1<u.length?function(e,t,n){e.frames=e.frames||[],bp(n.shift()).forEach((function(a){var r=e.frames.find((function(e){return e.node===a}));r||(r=fd(a,e),e.frames.push(r)),r[t].push(n)}))}(e,n,u):(u=bp(u[0]),a.push.apply(a,$(u.map((function(e){return Xn(e)}))))))}return a.filter((function(e){return e}))}function Ed(e,n){var o=this,u=(e=ea(e),this.frames=[],this.page="boolean"==typeof(null==(u=e)?void 0:u.page)?e.page:void 0,this.initiator="boolean"!=typeof(null==(u=e)?void 0:u.initiator)||e.initiator,this.focusable="boolean"!=typeof(null==(u=e)?void 0:u.focusable)||e.focusable,this.size="object"===r(null==(u=e)?void 0:u.size)?e.size:{},e=function(e){if(md(e)){var t=" must be used inside include or exclude. It should not be on the same object.";yd(!Fd(e,"fromFrames"),"fromFrames"+t),yd(!Fd(e,"fromShadowDom"),"fromShadowDom"+t)}else{if(!hd(e))return{include:[a],exclude:[]};e={include:e,exclude:[]}}return 0===(t=Dd(e.include)).length&&t.push(a),{include:t,exclude:e=Dd(e.exclude)}}(e),this.flatTree=null!=n?n:td(function(e){for(var n=e.include,r=(e=e.exclude,Array.from(n).concat(Array.from(e))),o=0;o<r.length;o++){var u=r[o];if(u instanceof t.Element)return u.ownerDocument.documentElement;if(u instanceof t.Document)return u.documentElement}return a.documentElement}(e)),this.exclude=e.exclude,this.include=e.include,this.include=wd(this,"include"),this.exclude=wd(this,"exclude"),mp("frame, iframe",this).forEach((function(e){var t;Md(e,o)&&(t=o,Pu(e=e.actualNode))&&!Ja(t.frames,"node",e)&&t.frames.push(fd(e,t))})),void 0===this.page&&(this.page=function(e){return 1===(e=e.include).length&&e[0].actualNode===a.documentElement}(this),this.frames.forEach((function(e){e.page=o.page}))),this);if(0===u.include.length&&0===u.frames.length)throw u=Ga.isInFrame()?"frame":"page",new Error("No elements found for include in "+u+" Context");Array.isArray(this.include)||(this.include=Array.from(this.include)),this.include.sort(jd)}function Cd(e){return!1===(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).iframes?[]:new Ed(e).frames.map((function(e){var t=e.node;return(e=V(e,b)).initiator=!1,{frameSelector:Gn(t),frameContext:e}}))}var xd=function(e){var t=o._audit.rules.find((function(t){return t.id===e}));if(t)return t;throw new Error("Cannot find rule by id: ".concat(e))};function Ad(e){var n,a,r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:0,o=e.scrollWidth>e.clientWidth+r;r=e.scrollHeight>e.clientHeight+r;if(o||r)return n=kd(a=t.getComputedStyle(e),"overflow-x"),a=kd(a,"overflow-y"),o&&n||r&&a?{elm:e,top:e.scrollTop,left:e.scrollLeft}:void 0}function kd(e,t){return e=e.getPropertyValue(t),["scroll","auto"].includes(e)}var Bd=function(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:t,n=e.document.documentElement;return[void 0!==e.pageXOffset?{elm:e,top:e.pageYOffset,left:e.pageXOffset}:{elm:n,top:n.scrollTop,left:n.scrollLeft}].concat(function e(t){return Array.from(t.children||t.childNodes||[]).reduce((function(t,n){var a=Ad(n);return a&&t.push(a),t.concat(e(n))}),[])}(a.body))};function Td(){return ea(qo)}var Nd,Rd=function(e){if(e)return function(t){var n=t.data,a=void 0!==(a=t.isCrossOrigin)&&a,r=t.shadowId,o=t.root,u=t.priority,i=(t=void 0!==(t=t.isLink)&&t,e.createElement("style"));return t?(t=e.createTextNode('@import "'.concat(n.href,'"')),i.appendChild(t)):i.appendChild(e.createTextNode(n)),e.head.appendChild(i),{sheet:i.sheet,isCrossOrigin:a,shadowId:r,root:o,priority:u}};throw new Error("axe.utils.getStyleSheetFactory should be invoked with an argument")},_d=function(e){var t;return Nd&&Nd.parentNode?(void 0===Nd.styleSheet?Nd.appendChild(a.createTextNode(e)):Nd.styleSheet.cssText+=e,Nd):e?(t=a.head||a.getElementsByTagName("head")[0],(Nd=a.createElement("style")).type="text/css",void 0===Nd.styleSheet?Nd.appendChild(a.createTextNode(e)):Nd.styleSheet.cssText=e,t.appendChild(Nd),Nd):void 0},Od=function e(n,a){var r,o=Xn(n);return 9!==n.nodeType&&(11===n.nodeType&&(n=n.host),o&&null!==o._isHidden?o._isHidden:!(r=t.getComputedStyle(n,null))||!n.parentNode||"none"===r.getPropertyValue("display")||!a&&"hidden"===r.getPropertyValue("visibility")||"true"===n.getAttribute("aria-hidden")||(a=e(n.assignedSlot||n.parentNode,!0),o&&(o._isHidden=a),a))},Sd=function(e){var t=null!=(t=null==(t=e.props)?void 0:t.nodeName)?t:e.nodeName.toLowerCase();return"http://www.w3.org/2000/svg"!==e.namespaceURI&&!!qo.htmlElms[t]};function Md(e,t){var n=void 0===(n=t.include)?[]:n;t=void 0===(t=t.exclude)?[]:t,n=n.filter((function(t){return nr(t,e)}));return 0!==n.length&&(0===(t=t.filter((function(t){return nr(t,e)}))).length||(n=Pd(n),nr(Pd(t),n)))}function Pd(e){var t,n,a=Q(e);try{for(a.s();!(n=a.n()).done;){var r=n.value;t&&nr(r,t)||(t=r)}}catch(e){a.e(e)}finally{a.f()}return t}var Id=function(e,t){return e.length===t.length&&e.every((function(e,n){var a=t[n];return Array.isArray(e)?e.length===a.length&&e.every((function(e,t){return a[t]===e})):e===a}))},jd=function(e,t){return(e=e.actualNode||e)===(t=t.actualNode||t)?0:4&e.compareDocumentPosition(t)?-1:1};function Ld(e){return e instanceof on?{vNode:e,domNode:e.actualNode}:{vNode:Xn(e),domNode:e}}var qd,zd,Vd=function(e,t,n,a){var r,o=4<arguments.length&&void 0!==arguments[4]&&arguments[4],u=Array.from(e.cssRules);return u?(r=u.filter((function(e){return 3===e.type}))).length?(r=r.filter((function(e){return e.href})).map((function(e){return e.href})).filter((function(e){return!a.includes(e)})).map((function(e,r){r=[].concat($(n),[r]);var o=/^https?:\\/\\/|^\\/\\//i.test(e);return Hd(e,t,r,a,o)})),(u=u.filter((function(e){return 3!==e.type}))).length&&r.push(Promise.resolve(t.convertDataToStylesheet({data:u.map((function(e){return e.cssText})).join(),isCrossOrigin:o,priority:n,root:t.rootNode,shadowId:t.shadowId}))),Promise.all(r)):Promise.resolve({isCrossOrigin:o,priority:n,root:t.rootNode,shadowId:t.shadowId,sheet:e}):Promise.resolve()},$d=function(e,t,n,a){var r=4<arguments.length&&void 0!==arguments[4]&&arguments[4];return function(e){try{return!(!e.cssRules&&e.href)}catch(e){return!1}}(e)?Vd(e,t,n,a,r):Hd(e.href,t,n,a,!0)},Hd=function(e,n,a,r,o){return r.push(e),new Promise((function(n,a){var r=new t.XMLHttpRequest;r.open("GET",e),r.timeout=tn.preload.timeout,r.addEventListener("error",a),r.addEventListener("timeout",a),r.addEventListener("loadend",(function(e){if(e.loaded&&r.responseText)return n(r.responseText);a(r.responseText)})),r.send()})).then((function(e){return e=n.convertDataToStylesheet({data:e,isCrossOrigin:o,priority:a,root:n.rootNode,shadowId:n.shadowId}),$d(e.sheet,n,a,r,e.isCrossOrigin)}))};function Ud(){if(t.performance&&t.performance)return t.performance.now()}qd=null,zd=Ud();var Gd,Wd,Yd={start:function(){this.mark("mark_axe_start")},end:function(){this.mark("mark_axe_end"),this.measure("axe","mark_axe_start","mark_axe_end"),this.logMeasures("axe")},auditStart:function(){this.mark("mark_audit_start")},auditEnd:function(){this.mark("mark_audit_end"),this.measure("audit_start_to_end","mark_audit_start","mark_audit_end"),this.logMeasures()},mark:function(e){t.performance&&void 0!==t.performance.mark&&t.performance.mark(e)},measure:function(e,n,a){t.performance&&void 0!==t.performance.measure&&t.performance.measure(e,n,a)},logMeasures:function(e){function n(e){nn("Measure "+e.name+" took "+e.duration+"ms")}if(t.performance&&void 0!==t.performance.getEntriesByType)for(var a=t.performance.getEntriesByName("mark_axe_start")[0],r=t.performance.getEntriesByType("measure").filter((function(e){return e.startTime>=a.startTime})),o=0;o<r.length;++o){var u=r[o];if(u.name===e)return void n(u);n(u)}},timeElapsed:function(){return Ud()-zd},reset:function(){qd=qd||Ud(),zd=Ud()}};function Kd(){var e,t,n,r;return a.elementsFromPoint||a.msElementsFromPoint||((e=a.createElement("x")).style.cssText="pointer-events:auto",e="auto"===e.style.pointerEvents,t=e?"pointer-events":"visibility",n=e?"none":"hidden",(r=a.createElement("style")).innerHTML=e?"* { pointer-events: all }":"* { visibility: visible }",function(e,o){var u,i,l,s=[],c=[];for(a.head.appendChild(r);(u=a.elementFromPoint(e,o))&&-1===s.indexOf(u);)s.push(u),c.push({value:u.style.getPropertyValue(t),priority:u.style.getPropertyPriority(t)}),u.style.setProperty(t,n,"important");for(s.indexOf(a.documentElement)<s.length-1&&(s.splice(s.indexOf(a.documentElement),1),s.push(a.documentElement)),i=c.length;l=c[--i];)s[i].style.setProperty(t,l.value||"",l.priority);return a.head.removeChild(r),s})}function Xd(e){return"function"==typeof e||"[object Function]"===Gd.call(e)}"function"!=typeof Object.assign&&(Object.assign=function(e){if(null==e)throw new TypeError("Cannot convert undefined or null to object");for(var t=Object(e),n=1;n<arguments.length;n++){var a=arguments[n];if(null!=a)for(var r in a)a.hasOwnProperty(r)&&(t[r]=a[r])}return t}),Array.prototype.find||Object.defineProperty(Array.prototype,"find",{value:function(e){if(null===this)throw new TypeError("Array.prototype.find called on null or undefined");if("function"!=typeof e)throw new TypeError("predicate must be a function");for(var t,n=Object(this),a=n.length>>>0,r=arguments[1],o=0;o<a;o++)if(t=n[o],e.call(r,t,o,n))return t}}),Array.prototype.findIndex||Object.defineProperty(Array.prototype,"findIndex",{value:function(e,t){if(null===this)throw new TypeError("Array.prototype.find called on null or undefined");if("function"!=typeof e)throw new TypeError("predicate must be a function");for(var n,a=Object(this),r=a.length>>>0,o=0;o<r;o++)if(n=a[o],e.call(t,n,o,a))return o;return-1}}),"function"==typeof t.addEventListener&&(a.elementsFromPoint=Kd()),Array.prototype.includes||Object.defineProperty(Array.prototype,"includes",{value:function(e){var t=Object(this),n=parseInt(t.length,10)||0;if(0!==n){var a,r,o=parseInt(arguments[1],10)||0;for(0<=o?a=o:(a=n+o)<0&&(a=0);a<n;){if(e===(r=t[a])||e!=e&&r!=r)return!0;a++}}return!1}}),Array.prototype.some||Object.defineProperty(Array.prototype,"some",{value:function(e){if(null==this)throw new TypeError("Array.prototype.some called on null or undefined");if("function"!=typeof e)throw new TypeError;for(var t=Object(this),n=t.length>>>0,a=2<=arguments.length?arguments[1]:void 0,r=0;r<n;r++)if(r in t&&e.call(a,t[r],r,t))return!0;return!1}}),Array.from||Object.defineProperty(Array,"from",{value:(Gd=Object.prototype.toString,Wd=Math.pow(2,53)-1,function(e){var t=Object(e);if(null==e)throw new TypeError("Array.from requires an array-like object - not null or undefined");var n,a=1<arguments.length?arguments[1]:void 0;if(void 0!==a){if(!Xd(a))throw new TypeError("Array.from: when provided, the second argument must be a function");2<arguments.length&&(n=arguments[2])}for(var r,o=function(e){return e=function(e){return e=Number(e),isNaN(e)?0:0!==e&&isFinite(e)?(0<e?1:-1)*Math.floor(Math.abs(e)):e}(e),Math.min(Math.max(e,0),Wd)}(t.length),u=Xd(this)?Object(new this(o)):new Array(o),i=0;i<o;)r=t[i],u[i]=a?void 0===n?a(r,i):a.call(n,r,i):r,i+=1;return u.length=o,u})}),String.prototype.includes||(String.prototype.includes=function(e,t){return!((t="number"!=typeof t?0:t)+e.length>this.length)&&-1!==this.indexOf(e,t)}),Array.prototype.flat||Object.defineProperty(Array.prototype,"flat",{configurable:!0,value:function e(){var t=isNaN(arguments[0])?1:Number(arguments[0]);return t?Array.prototype.reduce.call(this,(function(n,a){return Array.isArray(a)?n.push.apply(n,e.call(a,t-1)):n.push(a),n}),[]):Array.prototype.slice.call(this)},writable:!0}),!t.Node||"isConnected"in t.Node.prototype||Object.defineProperty(t.Node.prototype,"isConnected",{get:function(){return!(this.ownerDocument&&this.ownerDocument.compareDocumentPosition(this)&this.DOCUMENT_POSITION_DISCONNECTED)}});var Zd=function(e,t){return e.concat(t).filter((function(e,t,n){return n.indexOf(e)===t}))};function Jd(e,t,n,a,r){return(r=r||{}).vNodes=e,r.vNodesIndex=0,r.anyLevel=t,r.thisLevel=n,r.parentShadowId=a,r}var Qd=[],ep=function(e,t,n){if(a=Yc(e=Array.isArray(e)?e:[e],t=ia(t),n))return a;for(var a=e,r=(e=t,n),o=[],u=Jd(Array.isArray(a)?a:[a],e,null,a[0].shadowId,Qd.pop()),i=[];u.vNodesIndex<u.vNodes.length;){for(var l,s=u.vNodes[u.vNodesIndex++],c=null,d=null,p=((null==(l=u.anyLevel)?void 0:l.length)||0)+((null==(l=u.thisLevel)?void 0:l.length)||0),f=!1,D=0;D<p;D++){var m=D<((null==(m=u.anyLevel)?void 0:m.length)||0)?u.anyLevel[D]:u.thisLevel[D-((null==(m=u.anyLevel)?void 0:m.length)||0)];if((!m[0].id||s.shadowId===u.parentShadowId)&&la(s,m[0]))if(1===m.length)f||r&&!r(s)||(i.push(s),f=!0);else{var h=m.slice(1);if(!1===[" ",">"].includes(h[0].combinator))throw new Error("axe.utils.querySelectorAll does not support the combinator: "+m[1].combinator);(">"===h[0].combinator?c=c||[]:d=d||[]).push(h)}m[0].id&&s.shadowId!==u.parentShadowId||null==(h=u.anyLevel)||!h.includes(m)||(d=d||[]).push(m)}for(s.children&&s.children.length&&(o.push(u),u=Jd(s.children,d,c,s.shadowId,Qd.pop()));u.vNodesIndex===u.vNodes.length&&o.length;)Qd.push(u),u=o.pop()}return i},tp=function(e){var t,n,r,u;e=void 0===(e=e.treeRoot)?o._tree[0]:e;return t=[],e=ep(e,"*",(function(e){return!t.includes(e.shadowId)&&(t.push(e.shadowId),!0)})).map((function(e){return{shadowId:e.shadowId,rootNode:lr(e.actualNode)}})),(e=Zd(e,[])).length?(n=a.implementation.createHTMLDocument("Dynamic document for loading cssom"),n=Rd(n),r=n,u=[],e.forEach((function(e,t){var n=e.rootNode,a=function(e,t,n){return t=11===e.nodeType&&t?function(e,t){return Array.from(e.children).filter(np).reduce((function(n,a){var r=a.nodeName.toUpperCase();a="STYLE"===r?a.textContent:a,a=t({data:a,isLink:"LINK"===r,root:e});return n.push(a.sheet),n}),[])}(e,n):function(e){return Array.from(e.styleSheets).filter((function(e){return!!e.media&&ap(e.media.mediaText)}))}(e),function(e){var t=[];return e.filter((function(e){if(e.href){if(t.includes(e.href))return!1;t.push(e.href)}return!0}))}(t)}(n,e=e.shadowId,r);if(!a)return Promise.all(u);var o=t+1,i={rootNode:n,shadowId:e,convertDataToStylesheet:r,rootIndex:o},l=[];t=Promise.all(a.map((function(e,t){return $d(e,i,[o,t],l)})));u.push(t)})),Promise.all(u).then((function e(t){return t.reduce((function(t,n){return Array.isArray(n)?t.concat(e(n)):t.concat(n)}),[])}))):Promise.resolve()};function np(e){var t=e.nodeName.toUpperCase(),n=e.getAttribute("href"),a=e.getAttribute("rel");n="LINK"===t&&n&&a&&e.rel.toUpperCase().includes("STYLESHEET");return"STYLE"===t||n&&ap(e.media)}function ap(e){return!e||!e.toUpperCase().includes("PRINT")}var rp=function(e){return e=void 0===(e=e.treeRoot)?o._tree[0]:e,e=ep(e,"video, audio",(function(e){return(e=e.actualNode).hasAttribute("src")?!!e.getAttribute("src"):!(Array.from(e.getElementsByTagName("source")).filter((function(e){return!!e.getAttribute("src")})).length<=0)})),Promise.all(e.map((function(e){var t;e=e.actualNode;return t=e,new Promise((function(e){0<t.readyState&&e(t),t.addEventListener("loadedmetadata",(function n(){t.removeEventListener("loadedmetadata",n),e(t)}))}))})))};function op(e){return!e||void 0===e.preload||null===e.preload||("boolean"==typeof e.preload?e.preload:(e=e.preload,"object"===r(e)&&Array.isArray(e.assets)))}function up(e){var t=(n=tn.preload).assets,n=n.timeout;n={assets:t,timeout:n};if(e.preload&&"boolean"!=typeof e.preload){if(!e.preload.assets.every((function(e){return t.includes(e.toLowerCase())})))throw new Error("Requested assets, not supported. Supported assets are: ".concat(t.join(", "),"."));n.assets=Zd(e.preload.assets.map((function(e){return e.toLowerCase()})),[]),e.preload.timeout&&"number"==typeof e.preload.timeout&&!isNaN(e.preload.timeout)&&(n.timeout=e.preload.timeout)}return n}var ip=function(e){var t={cssom:tp,media:rp};return op(e)?new Promise((function(n,a){var r=(o=up(e)).assets,o=o.timeout,u=setTimeout((function(){return a(new Error("Preload assets timed out."))}),o);Promise.all(r.map((function(n){return t[n](e).then((function(e){return t={},(a=J(a=n))in t?Object.defineProperty(t,a,{value:e,enumerable:!0,configurable:!0,writable:!0}):t[a]=e,t;var t,a}))}))).then((function(e){e=e.reduce((function(e,t){return U({},e,t)}),{}),clearTimeout(u),n(e)})).catch((function(e){clearTimeout(u),a(e)}))})):Promise.resolve()};function lp(e,t,n){return function(a){var o,u=(o=e[a.id]||{}).messages||{};delete(o=Object.assign({},o)).messages,n.reviewOnFail||void 0!==a.result?o.message=a.result===t?u.pass:u.fail:("object"!==r(u.incomplete)||Array.isArray(a.data)||(o.message=function(e,t){function n(e){return e.incomplete&&e.incomplete.default?e.incomplete.default:rd()}if(!e||!e.missingData)return e&&e.messageKey?t.incomplete[e.messageKey]:n(t);try{var a=t.incomplete[e.missingData[0].reason];if(a)return a;throw new Error}catch(a){return"string"==typeof e.missingData?t.incomplete[e.missingData]:n(t)}}(a.data,u)),o.message||(o.message=u.incomplete)),"function"!=typeof o.message&&(o.message=sd(o.message,a.data)),rr(a,o)}}var sp=function(e){var t=o._audit.data.checks||{},n=o._audit.data.rules||{},a=Ja(o._audit.rules,"id",e.id)||{},r=(e.tags=ea(a.tags||[]),lp(t,!0,a)),u=lp(t,!1,a);e.nodes.forEach((function(e){e.any.forEach(r),e.all.forEach(r),e.none.forEach(u)})),rr(e,ea(n[e.id]||{}))},cp=function(e,t){return ep(e,t)};function dp(e,t){var n,a=o._audit&&o._audit.tagExclude?o._audit.tagExclude:[],r=t.hasOwnProperty("include")||t.hasOwnProperty("exclude")?(n=t.include||[],n=Array.isArray(n)?n:[n],r=t.exclude||[],(r=Array.isArray(r)?r:[r]).concat(a.filter((function(e){return-1===n.indexOf(e)})))):(n=Array.isArray(t)?t:[t],a.filter((function(e){return-1===n.indexOf(e)})));return!!(n.some((function(t){return-1!==e.tags.indexOf(t)}))||0===n.length&&!1!==e.enabled)&&r.every((function(t){return-1===e.tags.indexOf(t)}))}var pp=function(e,t,n){var a=n.runOnly||{};n=(n.rules||{})[e.id];return!(e.pageLevel&&!t.page)&&("rule"===a.type?-1!==a.values.indexOf(e.id):n&&"boolean"==typeof n.enabled?n.enabled:"tag"===a.type&&a.values?dp(e,a.values):dp(e,[]))};function fp(e,t){var n,a,r;return t?(r=e.cloneNode(!1),n=Bn(r),r=1===r.nodeType?(a=r.outerHTML,Kn.get(a,(function(){return Dp(r,n,e,t)}))):Dp(r,n,e,t),Array.from(e.childNodes).forEach((function(e){r.appendChild(fp(e,t))})),r):e}function Dp(e,t,n,r){return t&&(e=a.createElement(e.nodeName),Array.from(t).forEach((function(t){var a,o,u;a=n,o=t.name,void 0!==(u=r)[o]&&(!0===u[o]||Tn(a,u[o]))||e.setAttribute(t.name,t.value)}))),e}function mp(e,t){var n=[];if(o._selectCache)for(var a=0,r=o._selectCache.length;a<r;a++){var u=o._selectCache[a];if(u.selector===e)return u.result}for(var i,l=t.include.reduce((function(e,t){return e.length&&nr(e[e.length-1],t)||e.push(t),e}),[]),s=(i=t).exclude&&0!==i.exclude.length?function(e){return Md(e,i)}:null,c=0;c<l.length;c++){var d=l[c];n=function(e,t){if(0===e.length)return t;var n;e.length<t.length&&(n=e,e=t,t=n);for(var a=0,r=t.length;a<r;a++)e.includes(t[a])||e.push(t[a]);return e}(n,ep(d,e,s))}return o._selectCache&&o._selectCache.push({selector:e,result:n}),n}var hp=function(e){e.forEach((function(e){var n=e.elm,a=e.top;e=e.left;if(n===t)return n.scroll(e,a);n.scrollTop=a,n.scrollLeft=e}))};function gp(e){return function e(t,n){var a=t.shift();return n=a?n.querySelector(a):null,0===t.length?n:null!=n&&n.shadowRoot?e(t,n.shadowRoot):null}(Array.isArray(e)?$(e):[e],a)}function bp(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:a,n=Array.isArray(e)?$(e):[e];return 0===e.length?[]:function e(t,n){t=function(e){return Y(e)||H(e)||ee(e)||W()}(t);var a=t[0],r=t.slice(1);if(t=n.querySelectorAll(a),0===r.length)return Array.from(t);var o,u=[],i=Q(t);try{for(i.s();!(o=i.n()).done;){var l=o.value;null!=l&&l.shadowRoot&&u.push.apply(u,$(e(r,l.shadowRoot)))}}catch(e){i.e(e)}finally{i.f()}return u}(n,t)}var vp=function(){return["hidden","text","search","tel","url","email","password","date","month","week","time","datetime-local","number","range","color","checkbox","radio","file","submit","image","reset","button"]},yp=[,[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,,,,,1,1,1,1,,,1,1,1,,1,,1,,1,1],[1,1,1,,1,1,,1,1,1,,1,,,1,1,1,,,1,1,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,,,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1],[,1,,,,,,1,,1,,,,,1,,1,,,,1,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,,,1,,,,,1,1,1,,1,,1,,1,,,,,,1],[1,,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,,1,,1,,,,,1,,1,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,,1,1,1,,1,,1,1,1,,,1,1,1,1,1,1,1,1],[,,1,,,1,,1,,,,1,1,1,,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1,1,1,1,1,,,1,1,1],[1,1,1,1,1,,,1,,,1,,,1,1,1,,,,,1,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1],[,1,,1,1,1,,1,1,,1,,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,,,1,1,1,,,1,1,,,,,,1,1],[1,1,1,,,,,1,,,,1,1,,1,,,,,,1,,,,,1],[,1,,,1,,,1,,,,,,1],[,1,,1,,,,1,,,,1],[1,,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,,1,,,1,1,1,1],[,1,1,1,1,1,,,1,,,1,,1,1,,1,,1,,,,,1,,1],[,1,,,,1,,,1,1,,1,,1,1,1,1,,1,1,,,1,,,1],[,1,1,,,,,,1,,,,1,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,,1,1,1,,,1,1,1,1,1,1,,1,,,,,1,1,,1,,1],[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,1,1],[,1,1,1,,,,1,1,1,,1,1,,,1,1,,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,,1,,,,,1,1,1,,,1,,1,,,1,1],[,,,,1,,,,,,,,,,,,,,,,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,,1,1,1,,1,1,,,,1,1,1,1,1,,,1,1,1,,,,,1],[1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,1,,,,,,,1],[,1,1,,1,1,,1,,,,,,,,,,,,,1],,[1,1,1,,,,,,,,,,,,,1],[,,,,,,,,1,,,1,,,1,1,,,,,1]],[,[1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,,1],[,,,1,,,,,,,,,,,,,,,1],[,1,,,1,1,,1,,1,1,,,,1,1,,,1,1,,,,1],[1,,,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,,,,1],,[,1,1,1,1,1,,1,1,1,,1,1,,1,1,,,1,1,1,1,,1,1,,1],[,1,,,1,,,1,,1,,,1,1,1,1,,,1,1,,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,,,1,1,1,1,1,1,1,,,1,,,1,,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,,,,1],[,,,,,,,1,,,,1,,1,1],[,1,1,1,1,1,1,1,,,,1,1,1,1,1,,,1,1,,1,1,1,1,1],[,1,,,1,1,,1,,1,1,1,,,1,1,,,1,,1,1,1,1,,1],[,1,1,1,,1,1,,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1],[,,,,,,,,,,,,,,,,1],,[,1,1,1,1,1,,1,1,1,,,1,,1,1,,1,1,1,1,1,,1,,1],[,,1,,,1,,,1,1,,,1,,1,1,,1],[,1,1,,1,,,,1,1,,1,,1,1,1,1,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,1,,1,,1,1],,[,1,1,,1,,,1,,1,,,,1,1,1,,,,,,1,,,,1],[1,1,,,1,1,,1,,,,,1,,1]],[,[,1],[,,,1,,,,1,,,,1,,,,1,,,1,,,1],[,,,,,,,,,,,,,,,,,,1,1,,,,,,1],,[1,,,,,1],[,1,,,,1,,,,1],[,1,,,,,,,,,,,1,,,1,,,,,,,,,1,1],[,,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,1,,1],[,1],[,1,,1,,1,,1,,1,,1,1,1,,1,1,,1,,,,,,,1],[1,,,,,1,,,1,1,,1,,1,,1,1,,,,,1,,,1],[,1,1,,,1,,1,,1,,1,,1,1,1,1,,,1,,1,,1,1,1],[1,1,1,1,1,,1,,1,,,,1,1,1,1,,1,1,,,1,1,1,1],[1,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],,[,1,,,,,,1,1,1,,1,,,,1,,,1,1,1,,,1],[1,,,,,1,,1,1,1,,1,1,1,1,1,,1,,1,,1,,,1,1],[1,,1,1,,,,,1,,,,,,1,1,,,1,1,1,1,,,1,,1],[1,,,,,,,,,,,,,,,,,1],[,,,,,1,,,1,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,,,1],[,1,,,,1]],[,[1,1,1,,1,,1,1,1,1,1,1,1,1,1,,1,,1,,1,1,,,1,1,1],[,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],,[,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1],,[1,1,,,,1,1,,,,,,1,,,,1,,1,,1,1,,1],[1],[,,,,,,,,,,,1,,,,,,,,,,,1],[,1,,,,,,,1,1,,,1,,1,,,,1,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,,1],[,,1,,,,,1,,1],[1,,,,1,,,,,1,,,,1,1,,,,1,1,,,,,1],[,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[1,,,1,1,,,,,,,1,,1,,1,1,1,1,1,1],[,,,,,1,,,,,,,1,,,,,,,1],,[,,1,1,1,1,1,,1,1,1,,,1,1,,,1,1,,1,1,1,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,,,,1],,[1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,,,1,1,1,1,,,,,,1,,1,,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,,,,1,,1,,,1,1,1,1,1],[,,,,,,,,,,,1,,,,,,,,,1,,,,1],[,1,1,,1,1,,1,,,,1,1,,1,1,,,1,,1,1,,1],[,1,,1,,1,,,1,,,1,1,,1,1,,,1,1,1],[,1,1,1,1,1,,1,1,,,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,,,,,,,,,1,,1,,1,1,,,,1,,,1],[,1,,,1,1,,,,,,,,,1,1,1,,,,,1],[1,,,1,1,,,,1,1,1,1,1,,,1,,,1,,,1,,1,,1],[,1,1,,1,1,,1,1,,,,1,1,1,,,1,1,,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,,,,1,,,,,,,,,1],[,1,,,,,,,,1,,,,,1,,,,1,,,1],[,1,1,1,1,,,1,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1],[,,,,,1,,1,,,,,1,1,1,1,1,,,1,,,,1],[,1,,,,,,,,1,,,,,,,,,,,,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,1,,,,1,,1,1,1,1,1,,1,1,,,,,,1],[,1,1,1,1,1,1,1,,1,1,,,1,1,,,,1,,1,1,,1,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,1,1,,1,,,1,1,1,1,,,1,,,,,,,1],[,1,,,,,,,,1,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1],[,1,1,,,,,,,,,,,,1,1,,,,,,1],[,1,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,,,,,1],[1,1,,,1,,,1,1,1,,,,1],,[,,,,,,,,,,,,,1,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,1,,,,,,,1],[1,1,1,,1,,1,1,1,1,1,1,1,1,,1,,,1,,1,,,1,1],[,,,,,,,,,1],[,1,,,,1,,,,,,1,,,1,,,,,1],[,1,1,,1,1,,,,,,,,,,,,,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,1,1,1,,,,1,1,,,,1,,1],[1,1,1,1,1,1,,,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,,1,1],[,,,,,,,,,,,,,,,1,,,,1],,[1,1,,1,,1,,,,,,1,,1,,1,1,,1,,1,1,,1,1,,1],[,,1,,,,,,1,,,,1,,1,,,,,1],[1,,,,,,,,,1,,,,,,1,,,,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,,1,,,,,,1,,,1,,,,,,,,1],[,1,,1,,,,,,,,,,,,1],,[1,1,,,,,,,,,,,,,,,,,,,,,,1,1],[1]],[,[1,,,,,,,,,1,,,,,1,,1,,1],[,1,1,,1,1,,1,1,1,,,1,1,1,,,,1,,,1,,,,1],[,1,,,,,,,1,,,,1,,,,,,1],[1,1,1,1,1,1,,,,1,,,,,,,,,1,1,1,1],[1],[,1,1,,,1,1,,,,,1,,1,,,,,,,,1,,,,1],[1,,1,,,1,,1,,,,,1,1,1,1,,,,1,,,,1],[,,1,,,,,,,1,,,,,,,1,,,,,,,1],[1,,,,,,,,,,,,,,1,,,,1],[,,,1,,1,,,,,1,,,,1,1,,,,1],[1,,,,,1,,,,1,,1,1,,,1,1,,1,1,1,,1,1,1,,1],[,1,1,,,,,1,,1,,1,1,1,,1,1,,,1,,1,1,1],[,1,,,,1,,,,1,,,1,,1,1,,,1,1,,,,,,1],[1,,1,1,,1,,1,1,,1,,1,1,1,1,1,,,1,1,,,,,,1],[1,,,,,,,,,,,,,,,,,,1,,,1,,1],[,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,,1,,1],[,1,,,,1,,,1,1,,1,,,1,1,,,1,,,1,,,1,1],[1,1,,1,1,1,,1,1,1,,1,,1,1,1,,,1,,1,1],[1,,1,1,1,1,,,,1,,1,1,1,,1,,,1,1,1,,1,1,1,1,1],[1,,,,,,,,,,,,,1],[,,1,,,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,,,1,,1,,1,,,,1],[,,,1,,,,,,,,,1],[,1,,,,,,,,,,,,,,1,,,,,,,,,1],[,,,,,,,,1,1,,,,,,,,,1,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,,,1,1,1],[,,,,,1,,,,1,1,1,,,1,1,,,1,,1,1,,1],[,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,1,,,,,,,,,,,,,1],[,,1,,,1,,1,1,1,,1,1,,1,,,,1,,1,1],,[,,1,,,1,,,,,,1,,,,1],[,,,,,,,,,1,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,,1,1,,1,,1,,,1,1,1,,,1],[,,,,,1,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,1,,1,1,,1,,,1],[,,,,,1,,,,,,,,,,,,,,1],[,1,1,1,1,,,,,1,,,1,,1,,,,1,1,,,,1,1],[,1,,,1,,,1,,1,1,,1,,,,,,,1],[,,1,,1,,,1,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,,,,,,,,,,1,,1,1],[,,,,,,,,,,,,1],,[,1,1,1,1,,,,1,1,,1,1,1,1,1,1,,1,1,1,1,,1,,1],[1,,,,1,,,,,,,,,,1],[1,,,,,,,,,1],,[,1,,,,1,,,,,,,,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,,1,,,,1,1,,,1,1,,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,1],[1,1,1,,,,,1,1,1,,1,1,1,1,,,1,1,,1,1,,,,,1],[,1,,,,,,,1,1,,,1,1,1,,1,,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,,,1,,,,1,,,1,,,,1,,,,,,,1,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1],[1,1,1,,1,,,1,1,1,1,,1,1,1,1,,,,1,,1,,1,,,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,,1,1,,,,,,,,,1],,[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,,1,,1,,,,1],[,1,,,1,1,,1,1,1,,,1,1,1,1,1,,1,1,1,,1,,,1],[1,,,1,,,,1,1,1,,,,,1,1,,,,1,,1],[1,1,,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,,1,,1,,,,,,,,1,,1],[,1,,,,1,,1,1,,,,1,1,,1,,,,1,1,1,,1],,[,1,,,,,,1,,,,,,,1],[,,,,,,,,1,,,,1,,1,,,,,,,,,,,,1]],[,[,1,1,,1,1,1,1,,1,1,1,,1,1,,1,1,,1,1,1,1,1,1,,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,,,1,,,,,,,,1,,,,,,1,,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,,1,,1,1,1,1,1,1,1,,1,1,,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1],[,1,1,,,,,1,1,1,,,1,,1,1,,,,1,,1,,,1,1],[,,,,,,,1,,,,1,1,1,1,1,,1,,,,,,,,1],[1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,,1,,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,1,1,,1,,1,1,1,,1,,1,1,,1,1,,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,,1,,,,,1,,1],[,1,1,1,,1,,1,,1,,,,1,,1,,,1,,,,,,1,1],[,1,,,1,1,,1,,1,,1,1,1,1,1,,1,1,,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,,1,,1,,1,,,,,,1,,1,,,,1,1]],[,[,1,,1,,,,,,,,,,,,,,,1,,,,1],[,,,,,,,,,1,,1,1,1,,1,,,1,,1,1],[1,1,,,,,,,1,,,,,,,1,,,,,,1],[,1,,,,,,,,,,1,,,,,,,,,1,1],,[,,,,,,,,,,,,,,,1,,,,1,,1],[,,1,1,,1,,1,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,,,,,,,,1],[1,,1,1,,,,1,,,,,,,,,1,,,1,,,1,1],[,1,1,,1,1,,1,1,1,1,1,1,1,1,1,,,1,1,,1,1,,1],[,1,,,1,1,,,,,,1,,1,,1,,,1,,1,1],[1,1,1,1,,1,,1,,1,,1,1,,1,1,1,1,1,,1,1,1,1,1],[,1,1,,,1,,1,,1,1,1,,,1,1,1,,1,1,1,1,,1,1],[,,,,1,,,1,,,,,,,1,,,,1,1],[,1,,,,,,,,,,1,,1,,1,,,,,1,,,,,1],,[1,1,,1,,1,,1,1,,,,,,1,1,,,1,1,1,1,1,1,1,1,1],[1,1,,1,,,,,,1,,,,,,1,1,,,,1,1,,,1],[,1,1,,1,1,,,,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,,,1,,,,1,,,,1,1],[,,,,1],[,,,,,,,,,1,,,1],,[,,1,,1,,,,,,,,,1,,,,,,,,,,,,1],[,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,,,1],[,1,,1,,,,,,1,,,,,1,1,,,,,1,1],[,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,,,1,,1,1,1],[,1,,,,1,,,,,,,1],[,1,,,1,,,1,,1,,1,1,,1,,,,,1,,1,,,,1,1],[,1,,,1,,,1,1,1,,1,1,1,1,1,,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,1,1,,,,1,1,,,,,,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,,1,1,,1,1,1,1,1],[,1,,,,1,,,,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,1,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,,1,1,1,,1,1,1,,,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,,,,,,,1,1,,,,,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,1,,1,1,1,1],,[,1,1,,,,,1,,1,,,,1,1,1,,,1,,,,,1],[,,,,,,,,,,,,,1],[,,,,,1,,,,,,,,1,1,,,,,1,,1,,,1,1],[,,,,,,,,,,,,,,1]],[,[,1],,,,,,,,,,,,,,,,,,,,[1,1,1,1,1,,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,1,1,1,1],[,1,,1,,1,,,1,1,1,,1,1,1,1,1,,,1,,,,1,,1,1],[,1,,1,,1,,,1,,,,,1,,,,,,1,1],[,1,,1,,,,,1,,,,1,,1,1,1,1,1,1,1,1,,1],[,1,,,,,,,,,,,,,,,1]],[,[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,,,,,,,,,1,1,,,,1],[,,,,,,1],[,,1],[,1,1,,,1,,1,,1,1,,1,1,1,,,,1,1,1,,,,,1],,[,1,,,,1,,,,,,1,,,1,,,,1,1,,1],[,,,,,,,1,,,,,,,,,1],[,1,,,,1,1,,,,,,1,1,1,,,,1,,1,1],[,,,,,,,1,,1,,,,,,,,,,1],[,1,1,,,,,,1,1,,,,1,,,,,,,1,,,1],,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,,1,,,1,,,,,1,,1,,1,,1,,,,,1],[1,1,1,1,1,1,1,1,,,,,1,1,,1,1,,1,,,1,,1],[,,,,,,,,,,,,,,1,,,,,,1],,[,,,,,,,,,1,,,,,,1,,,,,1],[,,1,,,,,,,1,,,1,1],[,,,1,,,,,1,,,,,1,,,,,,1,,,,1],[1,,1,1,,1,1,1,1,1,,1,,,,1,1,1,,,1,1,,,,1,1],,[1,1,,,,,,,,,,1,,1,,1,,,1],[,,,,1,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,1],[,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,,1,,,1,,,,,,,,1,,,,,,1,,,,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,1,,,,1,1,1,1,1,1,,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,1,,1,1,,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,,1,,1,,1,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,,,,,,1,,1,,,,,1,1,,,,,1],[1,,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,,1,,,,1,1,1,1,1,,,1,1,,1,,1],[,1,1,1,1,,,,,1,,1,1,1,1,1,,,1,1,,,,1,1,1],[,1,1,1,1,1,,1,,,,,1,,1,,1,,,1,,,1,1,,1]],[,[1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,,,,,1,,,,,1,1,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,,,,1,,1,1,,1,1,1,1,1,,,1,,1,,1],[1,1,1,,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,,1,,,,,,,,,,1,1,1,1,1,1,1,,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,1,1,,,,,,1,1,1,1,1,,,,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,,1,1,1],[,1,1,1,,1,,1,1,1,1,,,1,1,1,,1,1,1,1,1,,,1,1],[1,1,,,,1,,,1,1,1,,1,,1,,1,,1,1,1,1,1,,1,,1],[,1,,,,,,,1,,1,,1,1,1,1,,,,,,,,,1]],[,[,,,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,1,,,1,,,,,,1,,,1,,,,1],,[,1,,,,1,,1,,1,1,,1,1,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],[1,1,1,,,1,,,,,,,,,1,1,,,,,,,,,,1],[,1,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1,,,1],[,,,,,,,,,1],[1,1,,,,,,1,1,1,,1,1,,,,1,1,,1,,1,1,1,,1],[,1,1,1,,1,1,,,1,,1,1,1,1,,,,,,,1,,1],[,1,1,1,1,,,1,,1,,,,1,1,1,1,,1,1,,1],[,1,,,1,1,,1,,,,1,,1,1,,1,,1,,,1,,,1,,1],[,,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,,,,,1],,[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1],[,1,,,,,,,1,1,,1,,,,,1,,,1,,1],[,1,,,,1,,,1,,,,,,,,1,,1,,,1],[,,,,,,,,,,,,,1,1,,,,1,,,1],[,,,,,1,,,1,,,,1],[,1],,[,1],[1,,,,,,,,,,,,,,1,,,,,1]],[,[,1,,,,1,1,1,1,1,1,,1,1,1,1,1,,1,1,,1,1,,,1],[,,1,,,,,,,,,1],,,[1,,,1,1,,,,,,,,1,1,,1,1,,1],,[,,,,,,,,,,,,,,,,,,1,,1],,[1,,,1,1,,1,1,,,,,1,,1,,,,,1,1,,1],,[,1,,,,,,,,1,1,1,1,1,,1,1,,,,1,1],[,,,,,,,,,,,,,,,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,,1,1,1,1,1,1],[,,,,,,,,,,,1,,1,,,1],[1,,,,,,,,,,,,,,,,,,1,,1],,,[,1,,,,,,,,,,,,,,1,,,,1,1],[,,,,,,,,,1,,,1,,,,,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,1,1,,,,,,1],,[,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,1,1,,1,1,1,1,1,1,,,1,1,1,1,1,,1,1],[,1,,,,,,,,1],[,,,,1,,,1,,,1,1,,,,,,,,,,1,,,,1],[,1,,1,1,,,1,1,1,,,,1,1,1,1,,1,1,1,1,,1],[,,,,,,,1],[,1,1,,,,,1,,1,,,,,,1,,,,,,1,,1,,1],[,1,,,,,,1,,,,1,,,,,,,,,,1],[,,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1,1,1,1,,1],[,1,,,,,,,,1],[,1,1,,1,,,,,,,,1,,,,,,1,,,1,,1,,1],[,1,,1,,1,,1,1,1,,1,1,1,,1,,,1,1,,1,1,1,1,1],[,1,1,1,1,1,,,1,1,,,,1,1,1,,,,1,1,,,1,1],[,,1,1,1,1,,1,,1,,1,,1,1,1,1,,,,,1,,1,,1],[1,1,1,1,1,1,1,1,,1,,1,,1,1,1,,,1,1,,,,1,,1],[,,,1],,[,1,1,,1,,,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1],[,1,,,,,,1,,1,,1,,,,,,,1,1,,1,1],[,,,,,,1,,1,1,,1,,1,,,,,,,,,,1],[,1,1,,1,,,,1,,,,1,1,1,,,,1,,1,1,1,,1,1],,[,1,1,,,,,,,,,,,,,1,,,1,,,,,1],[,1,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,1,,,,1,,,,,1,,,,,,,1]],[,[,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[,1,1,1,1,1,,1,,1,1,,,1,1,1,1,,1,,,,,1,1,1],[,,1,1,,1,,1,1,,,,1,1,1,1,,,1,,1,1,1,1,,1],[,1,,1,,,,,,,,1,,1,,1,,,,,,,,,,1],[,,1,,1,,,1,,,,,1,1,,,1,,1,1,1,1],[,1],[,1,1,,1,,1,1,,1,,,1,1,1,,,,1,,,1,,1],[1,1,,1,1,1,,,,,,,,,,,,,1,,1,1,1],[,1,1,,,,,,,1,,,1,,1,,1,,1,1,,,1,,,1],[,,1,,,,,,,,,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,,1,,,,,1,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,,1,,1,1,1,,,1,1,1,1,,,,1,1],[,,,1,1,,,1,,1,,1,,1,1,1,1,,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,,1,,1,,,,1,1,,,1,1,,1,1,,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1,,1,1,,,1],[,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,,1,,,1,,,1,,1,1,1,1,1,,1,,1,1],[,,,,,1,,,,1,,,,,1,1,,,,1],[,1,,1,1,1,,1,,,1,1,1,,,1,,,1,,1,,,1],[,,1,,,,,,,,,1,,1,,,,,1,,1],[,1,1,,,,,,,,1,1,1,,,,,,,,1,,,,,1],[,,,,,,,,1,,,,,1,,,1]],[,[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,,1,1,1,1,1,1,1,1,,,,,,,,,1,1],[,,,,,,,,1,,,,1,,1,,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,1,,1,,1,,,,1,1,,1,,1,,,,1,1,1,1,1,,,1],,[,1,,,,,,,,1,,,1,1,,,1,,1,1,,1,,1],[,1,,,1,,,,,,,,1,,,,,,,1],[1,1,,,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1],,[,1,,,,,,1,,1,,1,1,1,1,1,,,1,,1,1,,,,1],[,1,1,,,1,,1,,1,,,1,1,1,1,,,1,,,1,,,,1],[,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1],[,1,,,1,1,,1,1,,,1,1,,1,1,,1,,1,,1],[1,,1,,,,,1,,1,,1,1,1,1,,,,,1,1,,,,1,1],[,1,1,,,,,1,1,,,1,,1,1,1,1,,,,,,,,,,1],,[,1,1,,,1,,,,1,,1,1,1,1,1,,,,1,,,,1,,1],[,,,1,1,,,1,,,,,1,,1,1,1,,1,1,,,,,,1],[,1,,,,,,,,,,,1,,,,1,,,,,,,1,,1],[,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,1,,,,,1,,1,,,1,1,,1,1,,1],[,1,,,,,,1,,,,,1,1,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1,,,1,,,,,1],[,,,,,,,1,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,,1,,,,,,,1,,,,,,,,1,,,1],[,1,,,,,,,1],[,,,,,,,,,,1],[,1,,,,,,1,1,,,,,,1],,[,1,1,,,,,,1,,,,,1,1,,,,1],[1,,1,,1,,,,,1,,,,,1,,,,,,,,,1,1],[,1,1,,,,,,,,,1,1,1,1,,,,1,,,,,1,,,1],,[,1,1,,1,,,1,1,,,1,,,1,1,1,,1,,1,1,1,,,,1],[,,,,,1,,,,,1,,,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,,,1,,,,,1,,,,,1,,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,1],[,1,,,,,,1,,,,,,,1,1,1,,,1],[,1,,,,,,,,,,1,1,1,,,,,1,,,1],[,,,,,1,,1,,,,,1,1,1,,1,1,,1,1,1,,,1,1],[1,1,,,,,,,1,,,,,1,1,,,,,,,,,,,1],,[,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,,1,,,,,1,,,1,,,,1,,1],[,1,,,,,,,,,1]]];function Fp(e){e=Array.isArray(e)?e:yp;var t=[];return e.forEach((function(e,n){var a=String.fromCharCode(n+96).replace("\`","");Array.isArray(e)?t=t.concat(Fp(e).map((function(e){return a+e}))):t.push(a)})),t}var wp,Ep=function(e){for(var t=yp;e.length<3;)e+="\`";for(var n=0;n<=e.length-1;n++)if(!(t=t[e.charCodeAt(n)-96]))return!1;return!0};T(Cp,on),wp=R(Cp),Z(Cp,[{key:"props",get:function(){return this._props}},{key:"attr",value:function(e){return null!=(e=this._attrs[e])?e:null}},{key:"hasAttr",value:function(e){return void 0!==this._attrs[e]}},{key:"attrNames",get:function(){return Object.keys(this._attrs)}}]),us=Cp;function Cp(e){var t,n,a;return K(this,Cp),(t=wp.call(this))._props=function(e){var t=null!=(t=e.nodeName)?t:kp[e.nodeType],n=null!=(n=null!=(n=e.nodeType)?n:Ap[e.nodeName])?n:1,a=(yn("number"==typeof n,"nodeType has to be a number, got '".concat(n,"'")),yn("string"==typeof t,"nodeName has to be a string, got '".concat(t,"'")),t=t.toLowerCase(),null);return"input"===t&&(a=(e.type||e.attributes&&e.attributes.type||"").toLowerCase(),vp().includes(a)||(a="text")),e=U({},e,{nodeType:n,nodeName:t}),a&&(e.type=a),delete e.attributes,Object.freeze(e)}(e),t._attrs=(e=e.attributes,n=void 0===e?{}:e,a={htmlFor:"for",className:"class"},Object.keys(n).reduce((function(e,t){var o=n[t];return yn("object"!==r(o)||null===o,"expects attributes not to be an object, '".concat(t,"' was")),void 0!==o&&(e[a[t]||t]=null!==o?String(o):null),e}),{})),t}var xp,Ap={"#cdata-section":2,"#text":3,"#comment":8,"#document":9,"#document-fragment":11},kp={},Bp=(Object.keys(Ap).forEach((function(e){kp[Ap[e]]=e})),us),Tp=function(e,t){if(e=e||function(){},t=t||o.log,!o._audit)throw new Error("No audit configured");var n=o.utils.queue(),r=[],u=(Object.keys(o.plugins).forEach((function(e){n.defer((function(t){function n(e){r.push(e),t()}try{o.plugins[e].cleanup(t,n)}catch(e){n(e)}}))})),o.utils.getFlattenedTree(a.body));o.utils.querySelectorAll(u,"iframe, frame").forEach((function(e){n.defer((function(t,n){return o.utils.sendCommandToFrame(e.actualNode,{command:"cleanup-plugin"},t,n)}))})),n.then((function(n){0===r.length?e(n):t(r)})).catch(t)},Np={};function Rp(e){return Np.hasOwnProperty(e)}function _p(e){return"string"==typeof e&&Np[e]?Np[e]:"function"==typeof e?e:xp}var Op={},Sp=(ae(Op,{allowedAttr:function(){return Sp},arialabelText:function(){return Oo},arialabelledbyText:function(){return _o},getAccessibleRefs:function(){return Pp},getElementUnallowedRoles:function(){return qp},getExplicitRole:function(){return $o},getImplicitRole:function(){return bu},getOwnedVirtual:function(){return Au},getRole:function(){return wu},getRoleType:function(){return Bi},getRolesByType:function(){return Vp},getRolesWithNameFromContents:function(){return Gp},implicitNodes:function(){return Yp},implicitRole:function(){return bu},isAccessibleRef:function(){return Kp},isAriaRoleAllowedOnElement:function(){return Ip},isComboboxPopup:function(){return Xp},isUnsupportedRole:function(){return zo},isValidRole:function(){return Vo},label:function(){return Jp},labelVirtual:function(){return ii},lookupTable:function(){return Wp},namedFromContents:function(){return xu},requiredAttr:function(){return Qp},requiredContext:function(){return ef},requiredOwned:function(){return tf},validateAttr:function(){return af},validateAttrValue:function(){return nf}}),function(e){e=qo.ariaRoles[e];var t=$(Uo());return e&&(e.allowedAttrs&&t.push.apply(t,$(e.allowedAttrs)),e.requiredAttrs)&&t.push.apply(t,$(e.requiredAttrs)),t}),Mp=/^idrefs?$/,Pp=function(e){e=e.actualNode||e;var t=(t=sr(e)).documentElement||t,n=Kn.get("idRefsByRoot",(function(){return new WeakMap})),a=n.get(t);return a||(n.set(t,a={}),function e(t,n,a){if(t.hasAttribute){var r;"LABEL"===t.nodeName.toUpperCase()&&t.hasAttribute("for")&&(n[r=t.getAttribute("for")]=n[r]||[],n[r].push(t));for(var o=0;o<a.length;++o){var u=a[o];if(u=Zo(t.getAttribute(u)||""))for(var i=Gc(u),l=0;l<i.length;++l)n[i[l]]=n[i[l]]||[],n[i[l]].push(t)}}for(var s=0;s<t.childNodes.length;s++)1===t.childNodes[s].nodeType&&e(t.childNodes[s],n,a)}(t,a,Object.keys(qo.ariaAttrs).filter((function(e){return e=qo.ariaAttrs[e].type,Mp.test(e)})))),a[e.id]||[]},Ip=function(e,t){e=e instanceof on?e:Xn(e);var n=bu(e);e=gu(e);return Array.isArray(e.allowedRoles)?e.allowedRoles.includes(t):t!==n&&!!e.allowedRoles},jp=["doc-backlink","doc-biblioentry","doc-biblioref","doc-cover","doc-endnote","doc-glossref","doc-noteref"],Lp={header:"banner",footer:"contentinfo"},qp=function(e){var t,n,a,r=!(1<arguments.length&&void 0!==arguments[1])||arguments[1],o=Ld(e).vNode;return Sd(o)?(a=o.props.nodeName,t=bu(o)||Lp[a],a=[],((n=o)?(n.hasAttr("role")&&(n=Gc(n.attr("role").toLowerCase()),a=a.concat(n)),a.filter((function(e){return Vo(e)}))):a).filter((function(e){var n=o,a=t;return!(r&&e===a||(!jp.includes(e)||Bi(e)===a)&&Ip(n,e))}))):[]},zp=function(e){return Object.keys(qo.ariaRoles).filter((function(t){return qo.ariaRoles[t].type===e}))},Vp=function(e){return zp(e)},$p=function(){return Kn.get("ariaRolesNameFromContent",(function(){return Object.keys(qo.ariaRoles).filter((function(e){return qo.ariaRoles[e].nameFromContent}))}))};function Hp(e){return null===e}function Up(e){return null!==e}var Gp=function(){return $p()},Wp=((Il={attributes:{"aria-activedescendant":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-atomic":{type:"boolean",values:["true","false"],unsupported:!1},"aria-autocomplete":{type:"nmtoken",values:["inline","list","both","none"],unsupported:!1},"aria-busy":{type:"boolean",values:["true","false"],unsupported:!1},"aria-checked":{type:"nmtoken",values:["true","false","mixed","undefined"],unsupported:!1},"aria-colcount":{type:"int",unsupported:!1},"aria-colindex":{type:"int",unsupported:!1},"aria-colspan":{type:"int",unsupported:!1},"aria-controls":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-current":{type:"nmtoken",allowEmpty:!0,values:["page","step","location","date","time","true","false"],unsupported:!1},"aria-describedby":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-describedat":{unsupported:!0,unstandardized:!0},"aria-details":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-disabled":{type:"boolean",values:["true","false"],unsupported:!1},"aria-dropeffect":{type:"nmtokens",values:["copy","move","reference","execute","popup","none"],unsupported:!1},"aria-errormessage":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-expanded":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-flowto":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-grabbed":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-haspopup":{type:"nmtoken",allowEmpty:!0,values:["true","false","menu","listbox","tree","grid","dialog"],unsupported:!1},"aria-hidden":{type:"boolean",values:["true","false"],unsupported:!1},"aria-invalid":{type:"nmtoken",allowEmpty:!0,values:["true","false","spelling","grammar"],unsupported:!1},"aria-keyshortcuts":{type:"string",allowEmpty:!0,unsupported:!1},"aria-label":{type:"string",allowEmpty:!0,unsupported:!1},"aria-labelledby":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-level":{type:"int",unsupported:!1},"aria-live":{type:"nmtoken",values:["off","polite","assertive"],unsupported:!1},"aria-modal":{type:"boolean",values:["true","false"],unsupported:!1},"aria-multiline":{type:"boolean",values:["true","false"],unsupported:!1},"aria-multiselectable":{type:"boolean",values:["true","false"],unsupported:!1},"aria-orientation":{type:"nmtoken",values:["horizontal","vertical"],unsupported:!1},"aria-owns":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-placeholder":{type:"string",allowEmpty:!0,unsupported:!1},"aria-posinset":{type:"int",unsupported:!1},"aria-pressed":{type:"nmtoken",values:["true","false","mixed","undefined"],unsupported:!1},"aria-readonly":{type:"boolean",values:["true","false"],unsupported:!1},"aria-relevant":{type:"nmtokens",values:["additions","removals","text","all"],unsupported:!1},"aria-required":{type:"boolean",values:["true","false"],unsupported:!1},"aria-roledescription":{type:"string",allowEmpty:!0,unsupported:!1},"aria-rowcount":{type:"int",unsupported:!1},"aria-rowindex":{type:"int",unsupported:!1},"aria-rowspan":{type:"int",unsupported:!1},"aria-selected":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-setsize":{type:"int",unsupported:!1},"aria-sort":{type:"nmtoken",values:["ascending","descending","other","none"],unsupported:!1},"aria-valuemax":{type:"decimal",unsupported:!1},"aria-valuemin":{type:"decimal",unsupported:!1},"aria-valuenow":{type:"decimal",unsupported:!1},"aria-valuetext":{type:"string",unsupported:!1}},globalAttributes:["aria-atomic","aria-busy","aria-controls","aria-current","aria-describedby","aria-details","aria-disabled","aria-dropeffect","aria-flowto","aria-grabbed","aria-haspopup","aria-hidden","aria-invalid","aria-keyshortcuts","aria-label","aria-labelledby","aria-live","aria-owns","aria-relevant","aria-roledescription"]}).role={alert:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},alertdialog:{type:"widget",attributes:{allowed:["aria-expanded","aria-modal","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["dialog","section"]},application:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage","aria-activedescendant"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["article","audio","embed","iframe","object","section","svg","video"]},article:{type:"structure",attributes:{allowed:["aria-expanded","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["article"],unsupported:!1},banner:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["header"],unsupported:!1,allowedElements:["section"]},button:{type:"widget",attributes:{allowed:["aria-expanded","aria-pressed","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["button",'input[type="button"]','input[type="image"]','input[type="reset"]','input[type="submit"]',"summary"],unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:Up}}]},cell:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-rowindex","aria-rowspan","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["td","th"],unsupported:!1},checkbox:{type:"widget",attributes:{allowed:["aria-checked","aria-required","aria-readonly","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:['input[type="checkbox"]'],unsupported:!1,allowedElements:["button"]},columnheader:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-required","aria-readonly","aria-selected","aria-sort","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["th"],unsupported:!1},combobox:{type:"composite",attributes:{allowed:["aria-autocomplete","aria-required","aria-activedescendant","aria-orientation","aria-errormessage"],required:["aria-expanded"]},owned:{all:["listbox","tree","grid","dialog","textbox"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:"input",properties:{type:["text","search","tel","url","email"]}}]},command:{nameFrom:["author"],type:"abstract",unsupported:!1},complementary:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["aside"],unsupported:!1,allowedElements:["section"]},composite:{nameFrom:["author"],type:"abstract",unsupported:!1},contentinfo:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["footer"],unsupported:!1,allowedElements:["section"]},definition:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["dd","dfn"],unsupported:!1},dialog:{type:"widget",attributes:{allowed:["aria-expanded","aria-modal","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["dialog"],unsupported:!1,allowedElements:["section"]},directory:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:["ol","ul"]},document:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["body"],unsupported:!1,allowedElements:["article","embed","iframe","object","section","svg"]},"doc-abstract":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-acknowledgments":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-afterword":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-appendix":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-backlink":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:Up}}]},"doc-biblioentry":{type:"listitem",attributes:{allowed:["aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author"],context:["doc-bibliography"],unsupported:!1,allowedElements:["li"]},"doc-bibliography":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["doc-biblioentry"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-biblioref":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:Up}}]},"doc-chapter":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-colophon":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-conclusion":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-cover":{type:"img",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1},"doc-credit":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-credits":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-dedication":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-endnote":{type:"listitem",attributes:{allowed:["aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,namefrom:["author"],context:["doc-endnotes"],unsupported:!1,allowedElements:["li"]},"doc-endnotes":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["doc-endnote"]},namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-epigraph":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1},"doc-epilogue":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-errata":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-example":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","section"]},"doc-footnote":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","footer","header"]},"doc-foreword":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-glossary":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:["term","definition"],namefrom:["author"],context:null,unsupported:!1,allowedElements:["dl"]},"doc-glossref":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:Up}}]},"doc-index":{type:"navigation",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},"doc-introduction":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-noteref":{type:"link",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:Up}}]},"doc-notice":{type:"note",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-pagebreak":{type:"separator",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["hr"]},"doc-pagelist":{type:"navigation",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},"doc-part":{type:"landmark",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-preface":{type:"landmark",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-prologue":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-pullquote":{type:"none",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","section"]},"doc-qna":{type:"section",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-subtitle":{type:"sectionhead",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["h1","h2","h3","h4","h5","h6"]}},"doc-tip":{type:"note",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside"]},"doc-toc":{type:"navigation",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},feed:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["article"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["article","aside","section"]},figure:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["figure"],unsupported:!1},form:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["form"],unsupported:!1},grid:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-colcount","aria-level","aria-multiselectable","aria-readonly","aria-rowcount","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author"],context:null,implicit:["table"],unsupported:!1},gridcell:{type:"widget",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-selected","aria-readonly","aria-required","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["td","th"],unsupported:!1},group:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["details","optgroup"],unsupported:!1,allowedElements:["dl","figcaption","fieldset","figure","footer","header","ol","ul"]},heading:{type:"structure",attributes:{required:["aria-level"],allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["h1","h2","h3","h4","h5","h6"],unsupported:!1},img:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["img"],unsupported:!1,allowedElements:["embed","iframe","object","svg"]},input:{nameFrom:["author"],type:"abstract",unsupported:!1},landmark:{nameFrom:["author"],type:"abstract",unsupported:!1},link:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["a[href]","area[href]"],unsupported:!1,allowedElements:["button",{nodeName:"input",properties:{type:["image","button"]}}]},list:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{all:["listitem"]},nameFrom:["author"],context:null,implicit:["ol","ul","dl"],unsupported:!1},listbox:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-multiselectable","aria-readonly","aria-required","aria-expanded","aria-orientation","aria-errormessage"]},owned:{all:["option"]},nameFrom:["author"],context:null,implicit:["select"],unsupported:!1,allowedElements:["ol","ul"]},listitem:{type:"structure",attributes:{allowed:["aria-level","aria-posinset","aria-setsize","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["list"],implicit:["li","dt"],unsupported:!1},log:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},main:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["main"],unsupported:!1,allowedElements:["article","section"]},marquee:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},math:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["math"],unsupported:!1},menu:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:{one:["menuitem","menuitemradio","menuitemcheckbox"]},nameFrom:["author"],context:null,implicit:['menu[type="context"]'],unsupported:!1,allowedElements:["ol","ul"]},menubar:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:{one:["menuitem","menuitemradio","menuitemcheckbox"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},menuitem:{type:"widget",attributes:{allowed:["aria-posinset","aria-setsize","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:['menuitem[type="command"]'],unsupported:!1,allowedElements:["button","li",{nodeName:"iput",properties:{type:["image","button"]}},{nodeName:"a",attributes:{href:Up}}]},menuitemcheckbox:{type:"widget",attributes:{allowed:["aria-checked","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:['menuitem[type="checkbox"]'],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["checkbox","image","button"]}},{nodeName:"a",attributes:{href:Up}}]},menuitemradio:{type:"widget",attributes:{allowed:["aria-checked","aria-selected","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:['menuitem[type="radio"]'],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["image","button","radio"]}},{nodeName:"a",attributes:{href:Up}}]},navigation:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["nav"],unsupported:!1,allowedElements:["section"]},none:{type:"structure",attributes:null,owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:["article","aside","dl","embed","figcaption","fieldset","figure","footer","form","h1","h2","h3","h4","h5","h6","header","hr","iframe","li","ol","section","ul"]},{nodeName:"img",attributes:{alt:Up}}]},note:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["aside"]},option:{type:"widget",attributes:{allowed:["aria-selected","aria-posinset","aria-setsize","aria-checked","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["listbox"],implicit:["option"],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["checkbox","button"]}},{nodeName:"a",attributes:{href:Up}}]},presentation:{type:"structure",attributes:null,owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:["article","aside","dl","embed","figcaption","fieldset","figure","footer","form","h1","h2","h3","h4","h5","h6","header","hr","iframe","li","ol","section","ul"]},{nodeName:"img",attributes:{alt:Up}}]},progressbar:{type:"widget",attributes:{allowed:["aria-valuetext","aria-valuenow","aria-valuemax","aria-valuemin","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["progress"],unsupported:!1},radio:{type:"widget",attributes:{allowed:["aria-selected","aria-posinset","aria-setsize","aria-required","aria-errormessage","aria-checked"]},owned:null,nameFrom:["author","contents"],context:null,implicit:['input[type="radio"]'],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["image","button"]}}]},radiogroup:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-required","aria-expanded","aria-readonly","aria-errormessage","aria-orientation"]},owned:{all:["radio"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["ol","ul","fieldset"]}},range:{nameFrom:["author"],type:"abstract",unsupported:!1},region:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["section[aria-label]","section[aria-labelledby]","section[title]"],unsupported:!1,allowedElements:{nodeName:["article","aside"]}},roletype:{type:"abstract",unsupported:!1},row:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-colindex","aria-expanded","aria-level","aria-selected","aria-rowindex","aria-errormessage"]},owned:{one:["cell","columnheader","rowheader","gridcell"]},nameFrom:["author","contents"],context:["rowgroup","grid","treegrid","table"],implicit:["tr"],unsupported:!1},rowgroup:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-errormessage"]},owned:{all:["row"]},nameFrom:["author","contents"],context:["grid","table","treegrid"],implicit:["tbody","thead","tfoot"],unsupported:!1},rowheader:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-required","aria-readonly","aria-selected","aria-sort","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["th"],unsupported:!1},scrollbar:{type:"widget",attributes:{required:["aria-controls","aria-valuenow"],allowed:["aria-valuetext","aria-orientation","aria-errormessage","aria-valuemax","aria-valuemin"]},owned:null,nameFrom:["author"],context:null,unsupported:!1},search:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["aside","form","section"]}},searchbox:{type:"widget",attributes:{allowed:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-readonly","aria-required","aria-placeholder","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:['input[type="search"]'],unsupported:!1,allowedElements:{nodeName:"input",properties:{type:"text"}}},section:{nameFrom:["author","contents"],type:"abstract",unsupported:!1},sectionhead:{nameFrom:["author","contents"],type:"abstract",unsupported:!1},select:{nameFrom:["author"],type:"abstract",unsupported:!1},separator:{type:"structure",attributes:{allowed:["aria-expanded","aria-orientation","aria-valuenow","aria-valuemax","aria-valuemin","aria-valuetext","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["hr"],unsupported:!1,allowedElements:["li"]},slider:{type:"widget",attributes:{allowed:["aria-valuetext","aria-orientation","aria-readonly","aria-errormessage","aria-valuemax","aria-valuemin"],required:["aria-valuenow"]},owned:null,nameFrom:["author"],context:null,implicit:['input[type="range"]'],unsupported:!1},spinbutton:{type:"widget",attributes:{allowed:["aria-valuetext","aria-required","aria-readonly","aria-errormessage","aria-valuemax","aria-valuemin"],required:["aria-valuenow"]},owned:null,nameFrom:["author"],context:null,implicit:['input[type="number"]'],unsupported:!1,allowedElements:{nodeName:"input",properties:{type:["text","tel"]}}},status:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["output"],unsupported:!1,allowedElements:["section"]},structure:{type:"abstract",unsupported:!1},switch:{type:"widget",attributes:{allowed:["aria-errormessage"],required:["aria-checked"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:["button",{nodeName:"input",properties:{type:["checkbox","image","button"]}},{nodeName:"a",attributes:{href:Up}}]},tab:{type:"widget",attributes:{allowed:["aria-selected","aria-expanded","aria-setsize","aria-posinset","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["tablist"],unsupported:!1,allowedElements:[{nodeName:["button","h1","h2","h3","h4","h5","h6","li"]},{nodeName:"input",properties:{type:"button"}},{nodeName:"a",attributes:{href:Up}}]},table:{type:"structure",attributes:{allowed:["aria-colcount","aria-rowcount","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author","contents"],context:null,implicit:["table"],unsupported:!1},tablist:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-level","aria-multiselectable","aria-orientation","aria-errormessage"]},owned:{all:["tab"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},tabpanel:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},term:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["dt"],unsupported:!1},textbox:{type:"widget",attributes:{allowed:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-readonly","aria-required","aria-placeholder","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:['input[type="text"]','input[type="email"]','input[type="password"]','input[type="tel"]','input[type="url"]',"input:not([type])","textarea"],unsupported:!1},timer:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1},toolbar:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:['menu[type="toolbar"]'],unsupported:!1,allowedElements:["ol","ul"]},tooltip:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1},tree:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-multiselectable","aria-required","aria-expanded","aria-orientation","aria-errormessage"]},owned:{all:["treeitem"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},treegrid:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-colcount","aria-expanded","aria-level","aria-multiselectable","aria-readonly","aria-required","aria-rowcount","aria-orientation","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author"],context:null,unsupported:!1},treeitem:{type:"widget",attributes:{allowed:["aria-checked","aria-selected","aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["group","tree"],unsupported:!1,allowedElements:["li",{nodeName:"a",attributes:{href:Up}}]},widget:{type:"abstract",unsupported:!1},window:{nameFrom:["author"],type:"abstract",unsupported:!1}},Il.implicitHtmlRole=nu,Il.elementsAllowedNoRole=[{nodeName:["base","body","caption","col","colgroup","datalist","dd","details","dt","head","html","keygen","label","legend","main","map","math","meta","meter","noscript","optgroup","param","picture","progress","script","source","style","template","textarea","title","track"]},{nodeName:"area",attributes:{href:Up}},{nodeName:"input",properties:{type:["color","data","datatime","file","hidden","month","number","password","range","reset","submit","time","week"]}},{nodeName:"link",attributes:{href:Up}},{nodeName:"menu",attributes:{type:"context"}},{nodeName:"menuitem",attributes:{type:["command","checkbox","radio"]}},{nodeName:"select",condition:function(e){return e instanceof o.AbstractVirtualNode||(e=o.utils.getNodeFromTree(e)),1<Number(e.attr("size"))},properties:{multiple:!0}},{nodeName:["clippath","cursor","defs","desc","feblend","fecolormatrix","fecomponenttransfer","fecomposite","feconvolvematrix","fediffuselighting","fedisplacementmap","fedistantlight","fedropshadow","feflood","fefunca","fefuncb","fefuncg","fefuncr","fegaussianblur","feimage","femerge","femergenode","femorphology","feoffset","fepointlight","fespecularlighting","fespotlight","fetile","feturbulence","filter","hatch","hatchpath","lineargradient","marker","mask","meshgradient","meshpatch","meshrow","metadata","mpath","pattern","radialgradient","solidcolor","stop","switch","view"]}],Il.elementsAllowedAnyRole=[{nodeName:"a",attributes:{href:Hp}},{nodeName:"img",attributes:{alt:Hp}},{nodeName:["abbr","address","canvas","div","p","pre","blockquote","ins","del","output","span","table","tbody","thead","tfoot","td","em","strong","small","s","cite","q","dfn","abbr","time","code","var","samp","kbd","sub","sup","i","b","u","mark","ruby","rt","rp","bdi","bdo","br","wbr","th","tr"]}],Il.evaluateRoleForElement={A:function(e){var t=e.node;e=e.out;return"http://www.w3.org/2000/svg"===t.namespaceURI||!t.href.length||e},AREA:function(e){return!e.node.href},BUTTON:function(e){var t=e.node,n=e.role;e=e.out;return"menu"===t.getAttribute("type")?"menuitem"===n:e},IMG:function(e){var t=e.node,n=e.role,a=e.out;switch(t.alt){case null:return a;case"":return"presentation"===n||"none"===n;default:return"presentation"!==n&&"none"!==n}},INPUT:function(e){var t=e.node,n=e.role,a=e.out;switch(t.type){case"button":case"image":return a;case"checkbox":return!("button"!==n||!t.hasAttribute("aria-pressed"))||a;case"radio":return"menuitemradio"===n;case"text":return"combobox"===n||"searchbox"===n||"spinbutton"===n;case"tel":return"combobox"===n||"spinbutton"===n;case"url":case"search":case"email":return"combobox"===n;default:return!1}},LI:function(e){var t=e.node;e=e.out;return!o.utils.matchesSelector(t,"ol li, ul li")||e},MENU:function(e){return"context"!==e.node.getAttribute("type")},OPTION:function(e){return e=e.node,!o.utils.matchesSelector(e,"select > option, datalist > option, optgroup > option")},SELECT:function(e){var t=e.node;e=e.role;return!t.multiple&&t.size<=1&&"menu"===e},SVG:function(e){var t=e.node;e=e.out;return!(!t.parentNode||"http://www.w3.org/2000/svg"!==t.parentNode.namespaceURI)||e}},Il.rolesOfType={widget:["button","checkbox","dialog","gridcell","link","log","marquee","menuitem","menuitemcheckbox","menuitemradio","option","progressbar","radio","scrollbar","searchbox","slider","spinbutton","status","switch","tab","tabpanel","textbox","timer","tooltip","tree","treeitem"]},Il),Yp=function(e){var t=null;return(e=Wp.role[e])&&e.implicit?ea(e.implicit):t},Kp=function(e){return!!Pp(e).length};function Xp(e){var t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).popupRoles,n=wu(e);if(!(t=null!=t?t:So["aria-haspopup"].values).includes(n))return!1;if(t=function(e){for(;e=e.parent;)if(null!==wu(e,{noPresentational:!0}))return e;return null}(e),Zp(t))return!0;if(!(n=e.props.id))return!1;if(e.actualNode)return t=lr(e.actualNode).querySelectorAll('[aria-owns~="'.concat(n,'"][role~="combobox"]:not(select),\\n     [aria-controls~="').concat(n,'"][role~="combobox"]:not(select)')),Array.from(t).some(Zp);throw new Error("Unable to determine combobox popup without an actualNode")}var Zp=function(e){return e&&"combobox"===wu(e)},Jp=function(e){return e=Xn(e),ii(e)},Qp=function(e){return(e=qo.ariaRoles[e])&&Array.isArray(e.requiredAttrs)?$(e.requiredAttrs):[]},ef=function(e){return(e=qo.ariaRoles[e])&&Array.isArray(e.requiredContext)?$(e.requiredContext):null},tf=function(e){return(e=qo.ariaRoles[e])&&Array.isArray(e.requiredOwned)?$(e.requiredOwned):null},nf=function(e,t){var n,a=(e=e instanceof on?e:Xn(e)).attr(t),r=qo.ariaAttrs[t];if(!r)return!0;if(r.allowEmpty&&(!a||""===a.trim()))return!0;switch(r.type){case"boolean":return["true","false"].includes(a.toLowerCase());case"nmtoken":return"string"==typeof a&&r.values.includes(a.toLowerCase());case"nmtokens":return(n=Gc(a)).reduce((function(e,t){return e&&r.values.includes(t)}),0!==n.length);case"idref":try{var o=sr(e.actualNode);return!(!a||!o.getElementById(a))}catch(e){throw new TypeError("Cannot resolve id references for partial DOM")}case"idrefs":return No(e,t).some((function(e){return!!e}));case"string":return""!==a.trim();case"decimal":return!(!(n=a.match(/^[-+]?([0-9]*)\\.?([0-9]*)$/))||!n[1]&&!n[2]);case"int":return o=void 0!==r.minValue?r.minValue:-1/0,/^[-+]?[0-9]+$/.test(a)&&parseInt(a)>=o}},af=function(e){return!!qo.ariaAttrs[e]};function rf(e,t,n){var a=(r=n.props).nodeName,r=r.type,o=function(e){return e?(e=e.toLowerCase(),["mixed","true"].includes(e)?e:"false"):""}(n.attr("aria-checked"));return"input"!==a||"checkbox"!==r||!o||o===(a=function(e){return e.props.indeterminate?"mixed":e.props.checked?"true":"false"}(n))||(this.data({messageKey:"checkbox",checkState:a}),!1)}function of(e){var t,n,a=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).invalidTableRowAttrs,r=2<arguments.length?arguments[2]:void 0;a=null!=(t=null==a||null==(t=a.filter)?void 0:t.call(a,(function(e){return r.hasAttr(e)})))?t:[];return 0===a.length||!(t=(t=function(e){if(e.parent)return ca(e,'table:not([role]), [role~="treegrid"], [role~="table"], [role~="grid"]')}(r))&&wu(t))||"treegrid"===t||(n="row".concat(1<a.length?"Plural":"Singular"),this.data({messageKey:n,invalidAttrs:a,ownerRole:t}),!1)}var uf={row:of,checkbox:rf};var lf={};function sf(e){return 3===e.props.nodeType?0<e.props.nodeValue.trim().length:vi(e,!1,!0)}function cf(e,t,n,a){var r=$o(e);if(!(n=n||ef(r)))return null;for(var o=n.includes("group"),u=a?e:e.parent;u;){var i=wu(u,{noPresentational:!0});if(i){if("group"!==i||!o)return n.includes(i)?null:n;t.includes(r)&&n.push(r),n=n.filter((function(e){return"group"!==e}))}u=u.parent}return n}ae(lf,{getAriaRolesByType:function(){return zp},getAriaRolesSupportingNameFromContent:function(){return $p},getElementSpec:function(){return gu},getElementsByContentType:function(){return Ho},getGlobalAriaAttrs:function(){return Uo},implicitHtmlRoles:function(){return nu}});var df={ARTICLE:!0,ASIDE:!0,NAV:!0,SECTION:!0},pf={application:!0,article:!0,banner:!1,complementary:!0,contentinfo:!0,form:!0,main:!0,navigation:!0,region:!0,search:!1};var ff={},Df=(ae(ff,{Color:function(){return xc},centerPointOfRect:function(){return Df},elementHasImage:function(){return Ii},elementIsDistinct:function(){return hf},filteredRectStack:function(){return bf},flattenColors:function(){return Ff},flattenShadowColors:function(){return wf},getBackgroundColor:function(){return Nf},getBackgroundStack:function(){return Ef},getContrast:function(){return Of},getForegroundColor:function(){return Sf},getOwnBackgroundColor:function(){return kc},getRectStack:function(){return gf},getStackingContext:function(){return xf},getTextShadowColors:function(){return Cf},hasValidContrastRatio:function(){return Mf},incompleteData:function(){return Pi},stackingContextToColor:function(){return Af}}),function(e){if(!(e.left>t.innerWidth||e.top>t.innerHeight))return{x:Math.min(Math.ceil(e.left+e.width/2),t.innerWidth-1),y:Math.min(Math.ceil(e.top+e.height/2),t.innerHeight-1)}});function mf(e){return e.getPropertyValue("font-family").split(/[,;]/g).map((function(e){return e.trim().toLowerCase()}))}var hf=function(e,n){var a,r=t.getComputedStyle(e);return"none"!==r.getPropertyValue("background-image")||!!["border-bottom","border-top","outline"].reduce((function(e,t){var n=new xc;return n.parseString(r.getPropertyValue(t+"-color")),e||"none"!==r.getPropertyValue(t+"-style")&&0<parseFloat(r.getPropertyValue(t+"-width"))&&0!==n.alpha}),!1)||(a=t.getComputedStyle(n),mf(r)[0]!==mf(a)[0])||(e=["text-decoration-line","text-decoration-style","font-weight","font-style","font-size"].reduce((function(e,t){return e||r.getPropertyValue(t)!==a.getPropertyValue(t)}),!1),(n=r.getPropertyValue("text-decoration")).split(" ").length<3?e||n!==a.getPropertyValue("text-decoration"):e)},gf=function(e){var t=ko(e);return!(e=Di(e))||e.length<=1?[t]:e.some((function(e){return void 0===e}))?null:(e.splice(0,0,t),e)},bf=function(e){var t,n,a=gf(e);return a&&1===a.length?a[0]:a&&1<a.length?(t=a.shift(),a.forEach((function(r,o){var u,i;0!==o&&(u=a[o-1],i=a[o],n=u.every((function(e,t){return e===i[t]}))||t.includes(e))})),n?a[0]:(Pi.set("bgColor","elmPartiallyObscuring"),null)):(Pi.set("bgColor","outsideViewport"),null)},vf={normal:function(e,t){return t},multiply:function(e,t){return t*e},screen:function(e,t){return e+t-e*t},overlay:function(e,t){return this["hard-light"](t,e)},darken:function(e,t){return Math.min(e,t)},lighten:function(e,t){return Math.max(e,t)},"color-dodge":function(e,t){return 0===e?0:1===t?1:Math.min(1,e/(1-t))},"color-burn":function(e,t){return 1===e?1:0===t?0:1-Math.min(1,(1-e)/t)},"hard-light":function(e,t){return t<=.5?this.multiply(e,2*t):this.screen(e,2*t-1)},"soft-light":function(e,t){return t<=.5?e-(1-2*t)*e*(1-e):e+(2*t-1)*((e<=.25?((16*e-12)*e+4)*e:Math.sqrt(e))-e)},difference:function(e,t){return Math.abs(e-t)},exclusion:function(e,t){return e+t-2*e*t}};function yf(e,t,n,a,r){return t*(1-a)*e+t*a*vf[r](n/255,e/255)*255+(1-t)*a*n}var Ff=function(e,t){var n,a,r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:"normal",o=yf(e.red,e.alpha,t.red,t.alpha,r),u=yf(e.green,e.alpha,t.green,t.alpha,r),i=(r=yf(e.blue,e.alpha,t.blue,t.alpha,r),n=e.alpha+t.alpha*(1-e.alpha),i=0,a=1,Math.min(Math.max(i,n),a));return 0===i?new xc(o,u,r,i):(n=Math.round(o/i),a=Math.round(u/i),o=Math.round(r/i),new xc(n,a,o,i))};function wf(e,t){var n=(1-(r=e.alpha))*t.red+r*e.red,a=(1-r)*t.green+r*e.green,r=(1-r)*t.blue+r*e.blue;t=e.alpha+t.alpha*(1-e.alpha);return new xc(n,a,r,t)}function Ef(e){for(var n=Di(e).map((function(n){return function(e){var n=e.indexOf(a.body),r=kc(t.getComputedStyle(a.documentElement));return 1<n&&0===r.alpha&&!Ii(a.documentElement)&&(1<n&&(e.splice(n,1),e.push(a.body)),0<(r=e.indexOf(a.documentElement)))&&(e.splice(r,1),e.push(a.documentElement)),e}(n=Sc(n,e))})),r=0;r<n.length;r++){var o=n[r];if(o[0]!==e)return Pi.set("bgColor","bgOverlap"),null;if(0!==r&&!function(e,t){if(e!==t){if(null===e||null===t)return;if(e.length!==t.length)return;for(var n=0;n<e.length;++n)if(e[n]!==t[n])return}return 1}(o,n[0]))return Pi.set("bgColor","elmPartiallyObscuring"),null}return n[0]||null}var Cf=function(e){var n,a,r,o=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},u=o.minRatio,i=o.maxRatio,l=t.getComputedStyle(e);return"none"===(o=l.getPropertyValue("text-shadow"))?[]:(n=l.getPropertyValue("font-size"),a=parseInt(n),yn(!1===isNaN(a),"Unable to determine font-size value ".concat(n)),r=[],function(e){var t={pixels:[]},n=e.trim(),a=[t];if(!n)return[];for(;n;){var r=n.match(/^rgba?\\([0-9,.\\s]+\\)/i)||n.match(/^[a-z]+/i)||n.match(/^#[0-9a-f]+/i),o=n.match(/^([0-9.-]+)px/i)||n.match(/^(0)/);if(r)yn(!t.colorStr,"Multiple colors identified in text-shadow: ".concat(e)),n=n.replace(r[0],"").trim(),t.colorStr=r[0];else if(o)yn(t.pixels.length<3,"Too many pixel units in text-shadow: ".concat(e)),n=n.replace(o[0],"").trim(),r=parseFloat(("."===o[1][0]?"0":"")+o[1]),t.pixels.push(r);else{if(","!==n[0])throw new Error("Unable to process text-shadows: ".concat(e));yn(2<=t.pixels.length,"Missing pixel value in text-shadow: ".concat(e)),a.push(t={pixels:[]}),n=n.substr(1).trim()}}return a}(o).forEach((function(e){var t=e.colorStr,n=(e=e.pixels,t=t||l.getPropertyValue("color"),(e=G(e,3))[0]),o=e[1];e=void 0===(e=e[2])?0:e;(!u||a*u<=e)&&(!i||e<a*i)&&(t=function(e){var t=e.colorStr,n=e.offsetX,a=e.offsetY,r=e.blurRadius;e=e.fontSize;return r<n||r<a?new xc(0,0,0,0):((n=new xc).parseString(t),n.alpha*=function(e,t){return 0===e?1:.185/(e/t+.4)}(r,e),n)}({colorStr:t,offsetY:n,offsetX:o,blurRadius:e,fontSize:a}),r.push(t))})),r)};function xf(e,t){var n,a,r,o=Xn(e);return o._stackingContext||(a=[],r=new Map,(t=null!=(n=t)?n:Ef(e)).forEach((function(e){var t=(t=e=Xn(e),(o=new xc).parseString(t.getComputedStylePropertyValue("background-color")),o),n=e._stackingOrder.filter((function(e){return!!e.vNode})),o=(n.forEach((function(e,t){e=e.vNode;var o=null==(o=n[t-1])?void 0:o.vNode;o=Tf(r,e,o);0!==t||r.get(e)||a.unshift(o),r.set(e,o)})),null==(o=n[n.length-1])?void 0:o.vNode);e=Tf(r,e,o);n.length||a.unshift(e),e.bgColor=t})),o._stackingContext=a)}function Af(e){var t;return null!=(t=e.descendants)&&t.length?(t=e.descendants.reduce(kf,Bf()),(t=Ff(t,e.bgColor,e.descendants[0].blendMode)).alpha*=e.opacity):(t=e.bgColor).alpha*=e.opacity,{color:t,blendMode:e.blendMode}}function kf(e,t){e=e instanceof xc?e:Af(e).color;var n=Af(t).color;return Ff(n,e,t.blendMode)}function Bf(e,t){return{vNode:e,ancestor:t,opacity:parseFloat(null!=(t=null==e?void 0:e.getComputedStylePropertyValue("opacity"))?t:1),bgColor:new xc(0,0,0,0),blendMode:(null==e?void 0:e.getComputedStylePropertyValue("mix-blend-mode"))||void 0,descendants:[]}}function Tf(e,t,n){var a=e.get(n);e=null!=(e=e.get(t))?e:Bf(t,a);return a&&n!==t&&!a.descendants.includes(e)&&a.descendants.unshift(e),e}function Nf(e){var n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:[],r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:.1,o=Xn(e),u=o._cache.getBackgroundColor;return u?(n.push.apply(n,$(u.bgElms)),Pi.set("bgColor",u.incompleteData),u.bgColor):(u=function(e,n,r){var o=Ef(e);if(!o)return null;var u=fi(e);(r=Cf(e,{minRatio:r})).length&&(r=[{color:r.reduce(wf)}]);for(var i=0;i<o.length;i++){var l=o[i],s=t.getComputedStyle(l);if(Ii(l,s))return n.push(l),null;var c=kc(s);if(0!==c.alpha){if("inline"!==s.getPropertyValue("display")&&!Rf(l,u))return n.push(l),Pi.set("bgColor","elmPartiallyObscured"),null;if(n.push(l),1===c.alpha)break}}var d=(r=(d=xf(e,o)).map(Af).concat(r),function(e,n){var r,o,u,i,l=[];return n||(n=a.documentElement,i=a.body,n=t.getComputedStyle(n),r=t.getComputedStyle(i),o=kc(n),i=0!==(u=kc(r)).alpha&&Rf(i,e.getBoundingClientRect()),(0!==u.alpha&&0===o.alpha||i&&1!==u.alpha)&&l.unshift({color:u,blendMode:_f(r.getPropertyValue("mix-blend-mode"))}),0===o.alpha)||i&&1===u.alpha||l.unshift({color:o,blendMode:_f(n.getPropertyValue("mix-blend-mode"))}),l}(e,o.includes(a.body)));return r.unshift.apply(r,$(d)),0===r.length?new xc(255,255,255,1):(e=r.reduce((function(e,t){return Ff(t.color,e.color instanceof xc?e.color:e,t.blendMode)})),Ff(e.color instanceof xc?e.color:e,new xc(255,255,255,1)))}(e,n,r),o._cache.getBackgroundColor={bgColor:u,bgElms:n,incompleteData:Pi.get("bgColor")},u)}function Rf(e,n){n=Array.isArray(n)?n:[n];var a=e.getBoundingClientRect(),r=a.right,o=a.bottom,u=t.getComputedStyle(e).getPropertyValue("overflow");return(["scroll","auto"].includes(u)||e instanceof t.HTMLHtmlElement)&&(r=a.left+e.scrollWidth,o=a.top+e.scrollHeight),n.every((function(e){return e.top>=a.top&&e.bottom<=o&&e.left>=a.left&&e.right<=r}))}function _f(e){return e||void 0}var Of=function(e,t){return t&&e?(t.alpha<1&&(t=Ff(t,e)),e=e.getRelativeLuminance(),t=t.getRelativeLuminance(),(Math.max(t,e)+.05)/(Math.min(t,e)+.05)):null};function Sf(e,n,a){for(var r=3<arguments.length&&void 0!==arguments[3]?arguments[3]:{},o=t.getComputedStyle(e),u=[],i=0,l=[function(){var e,t,n=o,a=void 0===(a=(a=r).textStrokeEmMin)?0:a;return 0===(t=parseFloat(n.getPropertyValue("-webkit-text-stroke-width")))||(e=n.getPropertyValue("font-size"),t/=parseFloat(e),isNaN(t))||t<a?null:(e=n.getPropertyValue("-webkit-text-stroke-color"),(new xc).parseString(e))},function(){return e=o,(new xc).parseString(e.getPropertyValue("-webkit-text-fill-color")||e.getPropertyValue("color"));var e},function(){return Cf(e,{minRatio:0})}];i<l.length;i++){var s=(0,l[i])();if(s&&(u=u.concat(s),1===s.alpha))break}var c,d,p=u.reduce((function(e,t){return Ff(e,t)}));return null===(a=null==a?Nf(e,[]):a)?(c=Pi.get("bgColor"),Pi.set("fgColor",c),null):(d=function e(t,n){var a,r=Q(t);try{for(r.s();!(a=r.n()).done;){var o,u=a.value;if((null==(o=u.vNode)?void 0:o.actualNode)===n)return u;var i=e(u.descendants,n);if(i)return i}}catch(e){r.e(e)}finally{r.f()}}(c=xf(e),e),Ff(function(e,t,n){for(;t;){var a;1===t.opacity&&t.ancestor||(e.alpha*=t.opacity,a=(null==(a=t.ancestor)?void 0:a.descendants)||n,(a=(a=1!==t.opacity?a.slice(0,a.indexOf(t)):a).map(Af)).length&&(a=a.reduce((function(e,t){return Ff(t.color,e.color instanceof xc?e.color:e)}),{color:new xc(0,0,0,0),blendMode:"normal"}),e=Ff(e,a))),t=t.ancestor}return e}(p,d,c),new xc(255,255,255,1)))}var Mf=function(e,t,n,a){return e=Of(e,t),{isValid:(t=a&&Math.ceil(72*n)/96<14||!a&&Math.ceil(72*n)/96<18?4.5:3)<e,contrastRatio:e,expectedContrastRatio:t}},Pf=Dr((function(e,n){function a(e,t){return r.getPropertyValue(e)===t}var r=t.getComputedStyle(e,n);return a("content","none")||a("display","none")||a("visibility","hidden")||!1===a("position","absolute")||0===kc(r).alpha&&a("background-image","none")?0:(e=If(r.getPropertyValue("width")),n=If(r.getPropertyValue("height")),"px"!==e.unit||"px"!==n.unit?0===e.value||0===n.value?0:1/0:e.value*n.value)}));function If(e){var t=(e=G(e.match(/^([0-9.]+)([a-z]+)$/i)||[],3))[1];e=void 0===(e=e[2])?"":e;return{value:parseFloat(void 0===t?"":t),unit:e.toLowerCase()}}function jf(e,t){return e=e.getRelativeLuminance(),t=t.getRelativeLuminance(),(Math.max(e,t)+.05)/(Math.min(e,t)+.05)}var Lf=["block","list-item","table","flex","grid","inline-block"];function qf(e){return e=t.getComputedStyle(e).getPropertyValue("display"),-1!==Lf.indexOf(e)||"table-"===e.substr(0,6)}var zf=["block","list-item","table","flex","grid","inline-block"];function Vf(e){return e=t.getComputedStyle(e).getPropertyValue("display"),-1!==zf.indexOf(e)||"table-"===e.substr(0,6)}function $f(e){return e=parseInt(e.attr("tabindex"),10),!isNaN(e)&&e<0}function Hf(e,t){return t=Uf(t),e=Uf(e),!(!t||!e)&&t.includes(e)}function Uf(e){return e=ai(e,{emoji:!0,nonBmp:!0,punctuations:!0}),Zo(e)}function Gf(e){return""!==(e||"").trim()}function Wf(e,t){var n=1<arguments.length&&void 0!==t&&t;return e.map((function(e){return{vChild:e,nested:n}}))}function Yf(e,t){return e=e.boundingClientRect,t=t.boundingClientRect,e.top>=t.top&&e.left>=t.left&&e.bottom<=t.bottom&&e.right<=t.right}function Kf(e){return{width:Math.round(10*e.width)/10,height:Math.round(10*e.height)/10}}function Xf(e,t){return e.actualNode.contains(t.actualNode)&&!ki(t)}function Zf(e,t){var n=t.width;t=t.height;return e<=n+.05&&e<=t+.05}function Jf(e){return e.map((function(e){return e.actualNode}))}function Qf(e,t){var n=null==(n=t.data)?void 0:n.headingOrder,a=tD(t.node.ancestry,1);return n&&(t=n.map((function(e){return U({},e,{ancestry:a.concat(e.ancestry)})})),-1===(n=function(e,t){for(;t.length;){var n=eD(e,t);if(-1!==n)return n;t=tD(t,1)}return-1}(e,a))?e.push.apply(e,$(t)):e.splice.apply(e,[n,0].concat($(t)))),e}function eD(e,t){return e.findIndex((function(e){return Id(e.ancestry,t)}))}function tD(e,t){return e.slice(0,e.length-t)}ae(Ll={},{aria:function(){return Op},color:function(){return ff},dom:function(){return ir},forms:function(){return nD},matches:function(){return hu},math:function(){return vo},standards:function(){return lf},table:function(){return oD},text:function(){return To},utils:function(){return un}});var nD={},aD=(ae(nD,{isAriaCombobox:function(){return Hu},isAriaListbox:function(){return $u},isAriaRange:function(){return Gu},isAriaTextbox:function(){return Vu},isDisabled:function(){return rD},isNativeSelect:function(){return zu},isNativeTextbox:function(){return qu}}),["fieldset","button","select","input","textarea"]),rD=function e(t){var n,a,r=t._isDisabled;return"boolean"!=typeof r&&(n=t.props.nodeName,a=t.attr("aria-disabled"),r=!(!aD.includes(n)||!t.hasAttr("disabled"))||(a?"true"===a.toLowerCase():!!t.parent&&e(t.parent)),t._isDisabled=r),r},oD={},uD=(ae(oD,{getAllCells:function(){return uD},getCellPosition:function(){return Wo},getHeaders:function(){return lD},getScope:function(){return Yo},isColumnHeader:function(){return Ko},isDataCell:function(){return sD},isDataTable:function(){return cD},isHeader:function(){return dD},isRowHeader:function(){return Xo},toArray:function(){return Go},toGrid:function(){return Go},traverse:function(){return pD}}),function(e){for(var t,n,a=[],r=0,o=e.rows.length;r<o;r++)for(t=0,n=e.rows[r].cells.length;t<n;t++)a.push(e.rows[r].cells[t]);return a});function iD(e,t,n){for(var a,r="row"===e?"_rowHeaders":"_colHeaders",u="row"===e?Xo:Ko,i=(s=n[t.y][t.x]).colSpan-1,l=s.getAttribute("rowspan"),s=(l=0===parseInt(l)||0===s.rowspan?n.length:s.rowSpan,t.y+(l-1)),c=t.x+i,d="row"===e?t.y:0,p="row"===e?0:t.x,f=[],D=s;d<=D&&!a;D--)for(var m=c;p<=m;m--){var h=n[D]?n[D][m]:void 0;if(h){var g=o.utils.getNodeFromTree(h);if(g[r]){a=g[r];break}f.push(h)}}return a=(a||[]).concat(f.filter(u)),f.forEach((function(e){o.utils.getNodeFromTree(e)[r]=a})),a}var lD=function(e,t){if(e.getAttribute("headers")){var n=No(e,"headers");if(n.filter((function(e){return e})).length)return n}return t=t||Go(pr(e,"table")),e=iD("row",n=Wo(e,t),t),n=iD("col",n,t),[].concat(e,n).reverse()},sD=function(e){var t;return!(!e.children.length&&!e.textContent.trim())&&(t=e.getAttribute("role"),Vo(t)?["cell","gridcell"].includes(t):"TD"===e.nodeName.toUpperCase())},cD=function(e){var n=(e.getAttribute("role")||"").toLowerCase();if(("presentation"===n||"none"===n)&&!Qo(e))return!1;if("true"===e.getAttribute("contenteditable")||pr(e,'[contenteditable="true"]'))return!0;if("grid"===n||"treegrid"===n||"table"===n)return!0;if("landmark"===Bi(n))return!0;if("0"===e.getAttribute("datatable"))return!1;if(e.getAttribute("summary"))return!0;if(e.tHead||e.tFoot||e.caption)return!0;for(var a=0,r=e.children.length;a<r;a++)if("COLGROUP"===e.children[a].nodeName.toUpperCase())return!0;for(var o,u,i,l=0,s=e.rows.length,c=!1,d=0;d<s;d++)for(var p,f=0,D=(p=e.rows[d]).cells.length;f<D;f++){if("TH"===(o=p.cells[f]).nodeName.toUpperCase())return!0;if(c||o.offsetWidth===o.clientWidth&&o.offsetHeight===o.clientHeight||(c=!0),o.getAttribute("scope")||o.getAttribute("headers")||o.getAttribute("abbr"))return!0;if(["columnheader","rowheader"].includes((o.getAttribute("role")||"").toLowerCase()))return!0;if(1===o.children.length&&"ABBR"===o.children[0].nodeName.toUpperCase())return!0;l++}if(e.getElementsByTagName("table").length)return!1;if(s<2)return!1;if(1===(n=e.rows[Math.ceil(s/2)]).cells.length&&1===n.cells[0].colSpan)return!1;if(5<=n.cells.length)return!0;if(c)return!0;for(d=0;d<s;d++){if(p=e.rows[d],u&&u!==t.getComputedStyle(p).getPropertyValue("background-color"))return!0;if(u=t.getComputedStyle(p).getPropertyValue("background-color"),i&&i!==t.getComputedStyle(p).getPropertyValue("background-image"))return!0;i=t.getComputedStyle(p).getPropertyValue("background-image")}return 20<=s||!(Ir(e).width>.95*jr(t).width||l<10||e.querySelector("object, embed, iframe, applet"))},dD=function(e){return!(!Ko(e)&&!Xo(e))||!!e.getAttribute("id")&&(e=wn(e.getAttribute("id")),!!a.querySelector('[headers~="'.concat(e,'"]')))},pD=function(e,t,n,a){if(Array.isArray(t)&&(a=n,n=t,t={x:0,y:0}),"string"==typeof e)switch(e){case"left":e={x:-1,y:0};break;case"up":e={x:0,y:-1};break;case"right":e={x:1,y:0};break;case"down":e={x:0,y:1}}return function e(t,n,a,r){var o,u=a[n.y]?a[n.y][n.x]:void 0;return u?"function"==typeof r&&!0===(o=r(u,n,a))?[u]:((o=e(t,{x:n.x+t.x,y:n.y+t.y},a,r)).unshift(u),o):[]}(e,{x:t.x+e.x,y:t.y+e.y},n,a)};var fD=/[;,\\s]/,DD=/^[0-9.]+$/;function mD(e){return e=t.getComputedStyle(function(e){for(var t=e,n=e.textContent.trim(),a=n;a===n&&void 0!==t;){var r=-1;if(0===(e=t).children.length)return e;for(;r++,""===(a=e.children[r].textContent.trim())&&r+1<e.children.length;);t=e.children[r]}return e}(e)),{fontWeight:function(e){switch(e){case"lighter":return 100;case"normal":return 400;case"bold":return 700;case"bolder":return 900}return e=parseInt(e),isNaN(e)?400:e}(e.getPropertyValue("font-weight")),fontSize:parseInt(e.getPropertyValue("font-size")),isItalic:"italic"===e.getPropertyValue("font-style")}}function hD(e,t,n){return n.reduce((function(n,a){return n||(!a.size||e.fontSize/a.size>t.fontSize)&&(!a.weight||e.fontWeight-a.weight>t.fontWeight)&&(!a.italic||e.isItalic&&!t.isItalic)}),!1)}var gD=zp("landmark"),bD=["alert","log","status"];function vD(e){return"caption"===e.props.nodeName}qs=zr;var yD=function(e,t,n){return n.initiator};var FD={emoji:!0,nonBmp:!1,punctuations:!0};var wD=function(e,t){try{return"svg"===t.props.nodeName||!!ca(t,"svg")}catch(e){return!1}};var ED=function(e,t){var n=$o(t);return!(n&&!["none","presentation"].includes(n)&&!(Mo[n]||{}).accessibleNameRequired&&!Qo(t))};var CD=[function(e,t){return xD(t)},function(e,t){return"area"!==t.props.nodeName},function(e,t){return!wD(0,t)},function(e,t){return Qo(t)},function(e,t){return ki(t)||!AD(t)},function(e){return!Ri(e,{noLengthCompare:!0})}];function xD(e){return"widget"===Bi(e)}var AD=Dr((function e(t){return!(null==t||!t.parent)&&(!(!xD(t.parent)||!ki(t.parent))||e(t.parent))})),kD={"abstractrole-evaluate":function(e,t,n){return 0<(n=Gc(n.attr("role")).filter((function(e){return"abstract"===Bi(e)}))).length&&(this.data(n),!0)},"accesskeys-after":function(e){var t={};return e.filter((function(e){if(e.data){var n=e.data.toUpperCase();if(!t[n])return(t[n]=e).relatedNodes=[],!0;t[n].relatedNodes.push(e.relatedNodes[0])}return!1})).map((function(e){return e.result=!!e.relatedNodes.length,e}))},"accesskeys-evaluate":function(e,t,n){return _r(n)||(this.data(n.attr("accesskey")),this.relatedNodes([e])),!0},"alt-space-value-evaluate":function(e,t,n){return"string"==typeof(n=n.attr("alt"))&&/^\\s+$/.test(n)},"aria-allowed-attr-evaluate":function(e,t,n){var a,r=[],o=wu(n),u=Sp(o),i=(Array.isArray(t[o])&&(u=Zd(t[o].concat(u))),Q(n.attrNames));try{for(i.s();!(a=i.n()).done;){var l=a.value;af(l)&&!u.includes(l)&&r.push(l)}}catch(e){i.e(e)}finally{i.f()}return!r.length||(this.data(r.map((function(e){return e+'="'+n.attr(e)+'"'}))),!(o||Sd(n)||Qo(n))&&void 0)},"aria-allowed-attr-matches":function(e,t){var n=/^aria-/,a=t.attrNames;if(a.length)for(var r=0,o=a.length;r<o;r++)if(n.test(a[r]))return!0;return!1},"aria-allowed-role-evaluate":function(e){var t=2<arguments.length?arguments[2]:void 0,n=void 0===(n=(a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).allowImplicit)||n,a=void 0===(a=a.ignoredTags)?[]:a,r=t.props.nodeName;return!!a.map((function(e){return e.toLowerCase()})).includes(r)||!(a=qp(t,n)).length||(this.data(a),!Pu(t)&&void 0)},"aria-allowed-role-matches":function(e,t){return null!==$o(t,{dpub:!0,fallback:!0})},"aria-busy-evaluate":function(e,t,n){return"true"===n.attr("aria-busy")},"aria-conditional-attr-evaluate":function(e,t,n){var a=wu(n);return!uf[a]||uf[a].call(this,e,t,n)},"aria-conditional-checkbox-attr-evaluate":rf,"aria-conditional-row-attr-evaluate":of,"aria-errormessage-evaluate":function(e,t,n){t=Array.isArray(t)?t:[];var a=n.attr("aria-errormessage"),r=n.hasAttr("aria-errormessage"),o=n.attr("aria-invalid");return!n.hasAttr("aria-invalid")||"false"===o||-1!==t.indexOf(a)||!r||(this.data(Gc(a)),function(e){if(""===e.trim())return qo.ariaAttrs["aria-errormessage"].allowEmpty;var t;try{t=e&&No(n,"aria-errormessage")[0]}catch(t){return void this.data({messageKey:"idrefs",values:Gc(e)})}return t?Pu(t)?"alert"===t.getAttribute("role")||"assertive"===t.getAttribute("aria-live")||"polite"===t.getAttribute("aria-live")||-1<Gc(n.attr("aria-describedby")).indexOf(e):(this.data({messageKey:"hidden",values:Gc(e)}),!1):void 0}.call(this,a))},"aria-has-attr-matches":function(e,t){var n=/^aria-/;return t.attrNames.some((function(e){return n.test(e)}))},"aria-hidden-body-evaluate":function(e,t,n){return"true"!==n.attr("aria-hidden")},"aria-hidden-focus-matches":function(e){return function e(t){return!t||"true"!==t.getAttribute("aria-hidden")&&e(Mr(t))}(Mr(e))},"aria-label-evaluate":function(e,t,n){return!!Zo(Oo(n))},"aria-labelledby-evaluate":function(e,t,n){try{return!!Zo(_o(n))}catch(e){}},"aria-level-evaluate":function(e,t,n){if(n=n.attr("aria-level"),!(6<(n=parseInt(n,10))))return!0},"aria-prohibited-attr-evaluate":function(e){var t,n=2<arguments.length?arguments[2]:void 0,a=(null==(a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{})?void 0:a.elementsAllowedAriaLabel)||[],r=n.props.nodeName,o=wu(n,{chromium:!0});return 0!==(a=function(e,t,n){var a=qo.ariaRoles[e];return a?a.prohibitedAttrs||[]:e||n.includes(t)?[]:["aria-label","aria-labelledby"]}(o,r,a).filter((function(e){return!!n.attrNames.includes(e)&&""!==Zo(n.attr(e))}))).length&&(t=n.hasAttr("role")?"hasRole":"noRole",t+=1<a.length?"Plural":"Singular",this.data({role:o,nodeName:r,messageKey:t,prohibited:a}),o=Bu(n,{subtreeDescendant:!0}),""===Zo(o)||void 0)},"aria-required-attr-evaluate":function(e){var t,n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=2<arguments.length?arguments[2]:void 0,r=$o(a),o=a.attrNames,u=Qp(r);return Array.isArray(n[r])&&(u=Zd(n[r],u)),!(r&&o.length&&u.length&&(n=a,"separator"!==r||Qo(n))&&(o=a,"combobox"!==r||"false"!==o.attr("aria-expanded"))&&(t=gu(a),(n=u.filter((function(e){return!(a.attr(e)||void 0!==(null==(n=(n=t).implicitAttrs)?void 0:n[e]));var n}))).length&&(this.data(n),1)))},"aria-required-children-evaluate":function(e,t,n){t=t&&Array.isArray(t.reviewEmpty)?t.reviewEmpty:[];var a,o,u=$o(n,{dpub:!0}),i=tf(u);return null===i||(a=(n=function(e,t){function n(e){if(1!==(e=r[e]).props.nodeType)return"continue";var n,o=wu(e,{noPresentational:!0}),u=(n=e,Uo().find((function(e){return n.hasAttr(e)}))),i=!!u||Qo(e);!o&&!i||["group","rowgroup"].includes(o)&&t.some((function(e){return e===o}))?r.push.apply(r,$(e.children)):(o||i)&&a.push({role:o,attr:u||"tabindex",ownedElement:e})}for(var a=[],r=Au(e).filter((function(e){return 1!==e.props.nodeType||Pu(e)})),o=0;o<r.length;o++)n(o);return{ownedRoles:a,ownedElements:r}}(n,i)).ownedRoles,n=n.ownedElements,(o=a.filter((function(e){return e=e.role,!i.includes(e)}))).length?(this.relatedNodes(o.map((function(e){return e.ownedElement}))),this.data({messageKey:"unallowed",values:o.map((function(e){var t=e.ownedElement,n=(e=e.attr,t.props),a=n.nodeName;return 3===n.nodeType?"#text":(n=$o(t,{dpub:!0}))?"[role=".concat(n,"]"):e?a+"[".concat(e,"]"):a})).filter((function(e,t,n){return n.indexOf(e)===t})).join(", ")}),!1):!(o=function(e,t){for(var n=0;n<t.length;n++){var a=function(n){var a=t[n].role;if(e.includes(a))return e=e.filter((function(e){return e!==a})),{v:null}}(n);if("object"===r(a))return a.v}return e.length?e:null}(i,a))||(this.data(o),!(!t.includes(u)||n.some(sf))&&void 0))},"aria-required-children-matches":function(e,t){return t=$o(t,{dpub:!0}),!!tf(t)},"aria-required-parent-evaluate":function(e,t,n){var a=t&&Array.isArray(t.ownGroupRoles)?t.ownGroupRoles:[],r=cf(n,a);if(!r)return!0;var o=function(e){for(var t,n=[];e;)e.getAttribute("id")&&(t=wn(e.getAttribute("id")),t=sr(e).querySelector("[aria-owns~=".concat(t,"]")))&&n.push(t),e=e.parentElement;return n.length?n:null}(e);if(o)for(var u=0,i=o.length;u<i;u++)if(!(r=cf(Xn(o[u]),a,r,!0)))return!0;return this.data(r),!1},"aria-required-parent-matches":function(e,t){return t=$o(t),!!ef(t)},"aria-roledescription-evaluate":function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=wu(2<arguments.length?arguments[2]:void 0);return!!(t.supportedRoles||[]).includes(n)||!(!n||"presentation"===n||"none"===n)&&void 0},"aria-unsupported-attr-evaluate":function(e,t,n){return!!(n=n.attrNames.filter((function(t){var n=qo.ariaAttrs[t];return!!af(t)&&(t=n.unsupported,"object"!==r(t)?!!t:!hu(e,t.exceptions))}))).length&&(this.data(n),!0)},"aria-valid-attr-evaluate":function(e,t,n){t=Array.isArray(t.value)?t.value:[];var a=[],r=/^aria-/;return n.attrNames.forEach((function(e){-1===t.indexOf(e)&&r.test(e)&&!af(e)&&a.push(e)})),!a.length||(this.data(a),!1)},"aria-valid-attr-value-evaluate":function(e,t,n){t=Array.isArray(t.value)?t.value:[];var a="",r="",u=[],i=/^aria-/,l=["aria-errormessage"],s={"aria-controls":function(){return"false"!==n.attr("aria-expanded")&&"false"!==n.attr("aria-selected")},"aria-current":function(e){e||(a='aria-current="'.concat(n.attr("aria-current"),'"'),r="ariaCurrent")},"aria-owns":function(){return"false"!==n.attr("aria-expanded")},"aria-describedby":function(e){e||(a='aria-describedby="'.concat(n.attr("aria-describedby"),'"'),r=o._tree&&o._tree[0]._hasShadowRoot?"noIdShadow":"noId")},"aria-labelledby":function(e){e||(a='aria-labelledby="'.concat(n.attr("aria-labelledby"),'"'),r=o._tree&&o._tree[0]._hasShadowRoot?"noIdShadow":"noId")}};return n.attrNames.forEach((function(e){if(!l.includes(e)&&!t.includes(e)&&i.test(e)){var o,c=n.attr(e);try{o=nf(n,e)}catch(o){return a="".concat(e,'="').concat(c,'"'),void(r="idrefs")}s[e]&&!s[e](o)||o||(""===c&&(o=e,"string"!==(null==(o=qo.ariaAttrs[e])?void 0:o.type))?(a=e,r="empty"):u.push("".concat(e,'="').concat(c,'"')))}})),u.length?(this.data(u),!1):!a||void this.data({messageKey:r,needsReview:a})},"attr-non-space-content-evaluate":function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=2<arguments.length?arguments[2]:void 0;if(t.attribute&&"string"==typeof t.attribute)return n.hasAttr(t.attribute)?(n=n.attr(t.attribute),!!Zo(n)||(this.data({messageKey:"emptyAttr"}),!1)):(this.data({messageKey:"noAttr"}),!1);throw new TypeError("attr-non-space-content requires options.attribute to be a string")},"autocomplete-appropriate-evaluate":function(e,t,n){var a,o,u;return"input"!==n.props.nodeName||(o={bday:["text","search","date"],email:["text","search","email"],username:["text","search","email"],"street-address":["text"],tel:["text","search","tel"],"tel-country-code":["text","search","tel"],"tel-national":["text","search","tel"],"tel-area-code":["text","search","tel"],"tel-local":["text","search","tel"],"tel-local-prefix":["text","search","tel"],"tel-local-suffix":["text","search","tel"],"tel-extension":["text","search","tel"],"cc-number":a=["text","search","number","tel"],"cc-exp":["text","search","month","tel"],"cc-exp-month":a,"cc-exp-year":a,"cc-csc":a,"transaction-amount":a,"bday-day":a,"bday-month":a,"bday-year":a,"new-password":["text","search","password"],"current-password":["text","search","password"],url:u=["text","search","url"],photo:u,impp:u},"object"===r(t)&&Object.keys(t).forEach((function(e){o[e]||(o[e]=[]),o[e]=o[e].concat(t[e])})),u=(a=n.attr("autocomplete").split(/\\s+/g).map((function(e){return e.toLowerCase()})))[a.length-1],!!oi.stateTerms.includes(u))||(a=o[u],u=n.hasAttr("type")?Zo(n.attr("type")).toLowerCase():"text",u=vp().includes(u)?u:"text",void 0===a?"text"===u:a.includes(u))},"autocomplete-matches":function(e,t){if(!(n=t.attr("autocomplete"))||""===Zo(n))return!1;if(n=t.props.nodeName,!1===["textarea","input","select"].includes(n))return!1;if("input"===n&&["submit","reset","button","hidden"].includes(t.props.type))return!1;if(n=t.attr("aria-disabled")||"false",t.hasAttr("disabled")||"true"===n.toLowerCase())return!1;var n=t.attr("role"),a=t.attr("tabindex");return("-1"!==a||!n||void 0!==(n=qo.ariaRoles[n])&&"widget"===n.type)&&!("-1"===a&&t.actualNode&&!zr(t)&&!Pu(t))},"autocomplete-valid-evaluate":function(e,t,n){return n=n.attr("autocomplete")||"",ui(n,t)},"avoid-inline-spacing-evaluate":function(e,t){return!(0<(t=t.cssProperties.filter((function(t){if("important"===e.style.getPropertyPriority(t))return t}))).length&&(this.data(t),1))},"bypass-matches":function(e,t,n){return!yD(0,0,n)||!!e.querySelector("a[href]")},"caption-evaluate":function(e,t,n){return!cp(n,"track").some((function(e){return"captions"===(e.attr("kind")||"").toLowerCase()}))&&void 0},"caption-faked-evaluate":function(e){var t=Go(e),n=t[0];return t.length<=1||n.length<=1||e.rows.length<=1||n.reduce((function(e,t,a){return e||t!==n[a+1]&&void 0!==n[a+1]}),!1)},"color-contrast-evaluate":function(e,n,a){var r=n.ignoreUnicode,o=n.ignoreLength,u=n.ignorePseudo,i=n.boldValue,l=n.boldTextPt,s=n.largeTextPt,c=n.contrastRatio,d=n.shadowOutlineEmMax,p=n.pseudoSizeThreshold;if(!zr(e))return this.data({messageKey:"hidden"}),!0;var f=ju(a,!1,!0);if(r&&(v=Ju(r=f,b={nonBmp:!0}),r=""===Zo(ai(r,b)),v)&&r)this.data({messageKey:"nonBmp"});else{var D,m,h,g,b=t.getComputedStyle(e),v=parseFloat(b.getPropertyValue("font-size"));r=b.getPropertyValue("font-weight"),i=parseFloat(r)>=i||"bold"===r,r=Math.ceil(72*v)/96,r=(l=i&&r<l||!i&&r<s?c.normal:c.large).expected,s=l.minThreshold,c=l.maxThreshold,l=function(e,t){var n=void 0===(n=t.pseudoSizeThreshold)?.25:n;if(!(t=void 0!==(t=t.ignorePseudo)&&t)){var a=(t=e.boundingClientRect).width*t.height*n;do{if(a<Pf(e.actualNode,":before")+Pf(e.actualNode,":after"))return e}while(e=e.parent)}}(a,{ignorePseudo:u,pseudoSizeThreshold:p});if(!l)return p=Sf(e,!(a=[]),u=Nf(e,a,d),n),m=D=n=null,0===(e=Cf(e,{minRatio:.001,maxRatio:d})).length?n=Of(u,p):p&&u&&(m=[].concat($(e),[u]).reduce(wf),d=Of(u,p),e=Of(u,m),h=Of(m,p),(n=Math.max(d,e,h))!==d)&&(D=h<e?"shadowOnBgColor":"fgOnShadowColor"),d=r<n,"number"==typeof s&&("number"!=typeof n||n<s)||"number"==typeof c&&("number"!=typeof n||c<n)?(this.data({contrastRatio:n}),!0):(h=Math.floor(100*n)/100,null===u?g=Pi.get("bgColor"):d||(g=D),e=1===f.length,(s=1==h)?g=Pi.set("bgColor","equalRatio"):d||!e||o||(g="shortTextContent"),this.data({fgColor:p?p.toHexString():void 0,bgColor:u?u.toHexString():void 0,contrastRatio:h,fontSize:"".concat((72*v/96).toFixed(1),"pt (").concat(v,"px)"),fontWeight:i?"bold":"normal",messageKey:g,expectedContrastRatio:r+":1",shadowColor:m?m.toHexString():void 0}),null===p||null===u||s||e&&!o&&!d?(g=null,Pi.clear(),void this.relatedNodes(a)):(d||this.relatedNodes(a),d));this.data({fontSize:"".concat((72*v/96).toFixed(1),"pt (").concat(v,"px)"),fontWeight:i?"bold":"normal",messageKey:"pseudoContent",expectedContrastRatio:r+":1"}),this.relatedNodes(l.actualNode)}},"color-contrast-matches":function(e,n){var r=(o=n.props).nodeName,o=o.type;if("option"!==r&&("select"!==r||e.options.length)&&!("input"===r&&["hidden","range","color","checkbox","radio","image"].includes(o)||rD(n)||io(n))){if(["input","select","textarea"].includes(r)){if(o=t.getComputedStyle(e),o=parseInt(o.getPropertyValue("text-indent"),10)){var u={top:(u=e.getBoundingClientRect()).top,bottom:u.bottom,left:u.left+o,right:u.right+o};if(!zc(u,e))return!1}return!0}if(o=dr(n,"label"),"label"===r||o){if(u=o||e,r=o?Xn(o):n,u.htmlFor&&(u=(o=sr(u).getElementById(u.htmlFor))&&Xn(o))&&rD(u))return!1;if((o=cp(r,'input:not([type="hidden"],[type="image"],[type="button"],[type="submit"],[type="reset"]), select, textarea')[0])&&rD(o))return!1}for(var i,l=[],s=n;s;)s.props.id&&(i=Pp(s).filter((function(e){return Gc(e.getAttribute("aria-labelledby")||"").includes(s.props.id)})).map((function(e){return Xn(e)})),l.push.apply(l,$(i))),s=s.parent;if(!(0<l.length&&l.every(rD))&&""!==(r=ju(u=n,!1,!0))&&""!==ai(r,FD)&&u.children.some((function(e){return"#text"===e.props.nodeName&&!Qu(e)}))){for(var c=a.createRange(),d=n.children,p=0;p<d.length;p++){var f=d[p];3===f.actualNode.nodeType&&""!==Zo(f.actualNode.nodeValue)&&c.selectNodeContents(f.actualNode)}for(var D=c.getClientRects(),m=0;m<D.length;m++)if(zc(D[m],e))return!0}}return!1},"css-orientation-lock-evaluate":function(e,t,n,a){a=void 0===(a=(a||{}).cssom)?void 0:a;var r=void 0===(t=(t||{}).degreeThreshold)?0:t;if(a&&a.length){function o(){var e=c[s],t=(e=l[e]).root;if(!(e=e.rules.filter(d)).length)return"continue";e.forEach((function(e){e=e.cssRules,Array.from(e).forEach((function(e){var n=function(e){var t=e.selectorText;e=e.style;return!(!t||e.length<=0)&&(!(!(t=e.transform||e.webkitTransform||e.msTransform||!1)&&!e.rotate)&&(t=function(e){return e&&(e=e.match(/(rotate|rotateZ|rotate3d|matrix|matrix3d)\\(([^)]+)\\)(?!.*(rotate|rotateZ|rotate3d|matrix|matrix3d))/))?p((e=G(e,3))[1],e=e[2]):0}(t),!!(t+=e=p("rotate",e.rotate))&&(t=Math.abs(t),!(Math.abs(t-180)%180<=r)&&Math.abs(t-90)%90<=r)))}(e);n&&"HTML"!==e.selectorText.toUpperCase()&&(e=Array.from(t.querySelectorAll(e.selectorText))||[],i=i.concat(e)),u=u||n}))}))}for(var u=!1,i=[],l=a.reduce((function(e,t){var n=t.sheet,a=t.root;return e[t=(t=t.shadowId)||"topDocument"]||(e[t]={root:a,rules:[]}),n&&n.cssRules&&(a=Array.from(n.cssRules),e[t].rules=e[t].rules.concat(a)),e}),{}),s=0,c=Object.keys(l);s<c.length;s++)o();return!u||(i.length&&this.relatedNodes(i),!1)}function d(e){var t=e.type;e=e.cssText;return 4===t&&(/orientation:\\s*landscape/i.test(e)||/orientation:\\s*portrait/i.test(e))}function p(e,t){switch(e){case"rotate":case"rotateZ":return f(t);case"rotate3d":var n=G(t.split(",").map((function(e){return e.trim()})),4),a=n[2];n=n[3];return 0===parseInt(a)?void 0:f(n);case"matrix":case"matrix3d":var r,o;return(a=(a=t).split(",")).length<=6?(r=(o=G(a,2))[0],o=o[1],D(Math.atan2(parseFloat(o),parseFloat(r)))):(o=parseFloat(a[8]),r=Math.asin(o),o=Math.cos(r),D(Math.acos(parseFloat(a[0])/o)));default:return 0}}function f(e){var t=G(e.match(/(deg|grad|rad|turn)/)||[],1)[0];if(!t)return 0;var n=parseFloat(e.replace(t,""));switch(t){case"rad":return D(n);case"grad":var a=n;return(a%=400)<0&&(a+=400),Math.round(a/400*360);case"turn":return Math.round(360/(1/n));default:return parseInt(n)}}function D(e){return Math.round(e*(180/Math.PI))}},"data-table-large-matches":function(e){return!!cD(e)&&3<=(e=Go(e)).length&&3<=e[0].length&&3<=e[1].length&&3<=e[2].length},"data-table-matches":function(e){return cD(e)},"deprecatedrole-evaluate":function(e,t,n){n=wu(n,{dpub:!0,fallback:!0});var a=qo.ariaRoles[n];return!(null==a||!a.deprecated||(this.data(n),0))},"dlitem-evaluate":function(e){var t=(e=Mr(e)).nodeName.toUpperCase(),n=$o(e);return"DIV"===t&&["presentation","none",null].includes(n)&&(t=(e=Mr(e)).nodeName.toUpperCase(),n=$o(e)),"DL"===t&&!(n&&!["presentation","none","list"].includes(n))},"doc-has-title-evaluate":function(){var e=a.title;return!!Zo(e)},"duplicate-id-active-matches":function(e){var t=e.getAttribute("id").trim();return t='*[id="'.concat(wn(t),'"]'),t=Array.from(sr(e).querySelectorAll(t)),!Kp(e)&&t.some(Qo)},"duplicate-id-after":function(e){var t=[];return e.filter((function(e){return-1===t.indexOf(e.data)&&(t.push(e.data),!0)}))},"duplicate-id-aria-matches":function(e){return Kp(e)},"duplicate-id-evaluate":function(e){var t,n=e.getAttribute("id").trim();return!n||(t=sr(e),(t=Array.from(t.querySelectorAll('[id="'.concat(wn(n),'"]'))).filter((function(t){return t!==e}))).length&&this.relatedNodes(t),this.data(n),0===t.length)},"duplicate-id-misc-matches":function(e){var t=e.getAttribute("id").trim();return t='*[id="'.concat(wn(t),'"]'),t=Array.from(sr(e).querySelectorAll(t)),!Kp(e)&&t.every((function(e){return!Qo(e)}))},"duplicate-img-label-evaluate":function(e,t,n){return!["none","presentation"].includes(wu(n))&&!!(t=ca(n,t.parentSelector))&&""!==(t=ju(t,!0).toLowerCase())&&t===ni(n).toLowerCase()},"exists-evaluate":function(){},"explicit-evaluate":function(e,t,n){var a=this;if(!n.attr("id"))return!1;if(n.actualNode){var r=sr(n.actualNode),o=wn(n.attr("id"));r=Array.from(r.querySelectorAll('label[for="'.concat(o,'"]')));if(this.relatedNodes(r),!r.length)return!1;try{return r.some((function(e){return!zr(e)||(e=Zo(Ro(e,{inControlContext:!0,startNode:n})),a.data({explicitLabel:e}),!!e)}))}catch(e){}}},"fallbackrole-evaluate":function(e,t,n){var a=Gc(n.attr("role"));return!(a.length<=1)&&(!(!bu(n)&&2===a.length&&a.includes("none")&&a.includes("presentation"))||void 0)},"focusable-content-evaluate":function(e,t,n){var a=n.tabbableElements;return!!a&&0<a.filter((function(e){return e!==n})).length},"focusable-disabled-evaluate":function(e,t,n){var a=["button","fieldset","input","select","textarea"];return!((n=n.tabbableElements)&&n.length&&(n=n.filter((function(e){return a.includes(e.props.nodeName)})),this.relatedNodes(n.map((function(e){return e.actualNode}))),0!==n.length)&&!_i())||!!n.every((function(e){var t=e.getComputedStylePropertyValue("pointer-events"),n=parseInt(e.getComputedStylePropertyValue("width")),a=parseInt(e.getComputedStylePropertyValue("height"));return e.actualNode.onfocus||(0===n||0===a)&&"none"===t}))&&void 0},"focusable-element-evaluate":function(e,t,n){return!(!n.hasAttr("contenteditable")||!function e(t){return"true"===(t=t.attr("contenteditable"))||""===t||"false"!==t&&(!!(t=ca(n.parent,"[contenteditable]"))&&e(t))}(n))||ki(n)},"focusable-modal-open-evaluate":function(e,t,n){return!(n=n.tabbableElements.map((function(e){return e.actualNode})))||!n.length||!_i()||void this.relatedNodes(n)},"focusable-no-name-evaluate":function(e,t,n){var a=n.attr("tabindex");if(!(Qo(n)&&-1<a))return!1;try{return!ni(n)}catch(e){}},"focusable-not-tabbable-evaluate":function(e,t,n){var a=["button","fieldset","input","select","textarea"];return!((n=n.tabbableElements)&&n.length&&(n=n.filter((function(e){return!a.includes(e.props.nodeName)})),this.relatedNodes(n.map((function(e){return e.actualNode}))),0!==n.length)&&!_i())||!!n.every((function(e){var t=e.getComputedStylePropertyValue("pointer-events"),n=parseInt(e.getComputedStylePropertyValue("width")),a=parseInt(e.getComputedStylePropertyValue("height"));return e.actualNode.onfocus||(0===n||0===a)&&"none"===t}))&&void 0},"frame-focusable-content-evaluate":function(e,t,n){if(n.children)try{return!n.children.some((function e(t){if(ki(t))return!0;if(!t.children){if(1===t.props.nodeType)throw new Error("Cannot determine children");return!1}return t.children.some((function(t){return e(t)}))}))}catch(e){}},"frame-focusable-content-matches":function(e,t,n){var a;return!n.initiator&&!n.focusable&&1<(null==(a=n.size)?void 0:a.width)*(null==(a=n.size)?void 0:a.height)},"frame-tested-after":function(e){var t={};return e.filter((function(e){var n;return"html"!==e.node.ancestry[e.node.ancestry.length-1]?(n=e.node.ancestry.flat(1/0).join(" > "),t[n]=e,!0):(n=e.node.ancestry.slice(0,e.node.ancestry.length-1).flat(1/0).join(" > "),t[n]&&(t[n].result=!0),!1)}))},"frame-tested-evaluate":function(e,t){return!t.isViolation&&void 0},"frame-title-has-text-matches":function(e){return e=e.getAttribute("title"),!!Zo(e)},"has-alt-evaluate":function(e,t,n){var a=n.props.nodeName;return!!["img","input","area"].includes(a)&&n.hasAttr("alt")},"has-descendant-after":function(e){return e.some((function(e){return!0===e.result}))&&e.forEach((function(e){e.result=!0})),e},"has-descendant-evaluate":function(e,t,n){if(t&&t.selector&&"string"==typeof t.selector)return!(!t.passForModal||!_i())||(n=ep(n,t.selector,Pu),this.relatedNodes(n.map((function(e){return e.actualNode}))),0<n.length);throw new TypeError("has-descendant requires options.selector to be a string")},"has-global-aria-attribute-evaluate":function(e,t,n){var a=Uo().filter((function(e){return n.hasAttr(e)}));return this.data(a),0<a.length},"has-implicit-chromium-role-matches":function(e,t){return null!==bu(t,{chromium:!0})},"has-lang-evaluate":function(e,t,n){var r=void 0!==a&&Nn(a);return t.attributes.includes("xml:lang")&&t.attributes.includes("lang")&&Gf(n.attr("xml:lang"))&&!Gf(n.attr("lang"))&&!r?(this.data({messageKey:"noXHTML"}),!1):!!t.attributes.some((function(e){return Gf(n.attr(e))}))||(this.data({messageKey:"noLang"}),!1)},"has-text-content-evaluate":function(e,t,n){try{return""!==Zo(Bu(n))}catch(e){}},"has-widget-role-evaluate":function(e){return null!==(e=e.getAttribute("role"))&&("widget"===(e=Bi(e))||"composite"===e)},"heading-matches":function(e,t){return"heading"===wu(t)},"heading-order-after":function(e){(t=$(t=e)).sort((function(e,t){return e=e.node,t=t.node,e.ancestry.length-t.ancestry.length}));var t,n=t.reduce(Qf,[]).filter((function(e){return-1!==e.level}));return e.forEach((function(e){e.result=function(e,t){var n=null!=(n=null==(n=t[e=eD(t,e.node.ancestry)])?void 0:n.level)?n:-1;t=null!=(t=null==(t=t[e-1])?void 0:t.level)?t:-1;return 0===e||(-1!==n?n-t<=1:void 0)}(e,n)})),e},"heading-order-evaluate":function(){var e,t=Kn.get("headingOrder");return t||(t=(e=ep(o._tree[0],"h1, h2, h3, h4, h5, h6, [role=heading], iframe, frame",Pu)).map((function(e){return{ancestry:[Gn(e.actualNode)],level:(t=(t=wu(e))&&t.includes("heading"),n=e.attr("aria-level"),a=parseInt(n,10),e=G(e.props.nodeName.match(/h(\\d)/)||[],2)[1],t?e&&!n?parseInt(e,10):isNaN(a)||a<1?e?parseInt(e,10):2:a||-1:-1)};var t,n,a})),this.data({headingOrder:t}),Kn.set("headingOrder",e)),!0},"help-same-as-label-evaluate":function(e,t,n){n=si(n);var a=e.getAttribute("title");return!!n&&(a||(a="",e.getAttribute("aria-describedby")&&(a=No(e,"aria-describedby").map((function(e){return e?Ro(e):""})).join(""))),Zo(a)===Zo(n))},"hidden-content-evaluate":function(e,n,a){if(!["SCRIPT","HEAD","TITLE","NOSCRIPT","STYLE","TEMPLATE"].includes(e.nodeName.toUpperCase())&&vi(a)){if("none"===(a=t.getComputedStyle(e)).getPropertyValue("display"))return;if("hidden"===a.getPropertyValue("visibility")&&(!(e=(a=Mr(e))&&t.getComputedStyle(a))||"hidden"!==e.getPropertyValue("visibility")))return}return!0},"hidden-explicit-label-evaluate":function(e,t,n){if(n.hasAttr("id")){if(!n.actualNode)return;var a,r=sr(e);e=wn(e.getAttribute("id"));if((r=r.querySelector('label[for="'.concat(e,'"]')))&&!Pu(r)){try{a=ni(n).trim()}catch(e){return}return""===a}}return!1},"html-namespace-matches":function(e,t){return!wD(0,t)},"html5-scope-evaluate":function(e){return!Ai(a)||"TH"===e.nodeName.toUpperCase()},"identical-links-same-purpose-after":function(e){if(e.length<2)return e;function t(e){var t=n[e],u=t.data,i=u.name,l=u.urlProps;if(o[i])return"continue";var s=(u=n.filter((function(t,n){return t.data.name===i&&n!==e}))).every((function(e){return function e(t,n){var a,o;return!(!t||!n)&&(a=Object.getOwnPropertyNames(t),o=Object.getOwnPropertyNames(n),a.length===o.length)&&a.every((function(a){var o=t[a];a=n[a];return r(o)===r(a)&&("object"===r(o)||"object"===r(a)?e(o,a):o===a)}))}(e.data.urlProps,l)}));u.length&&!s&&(t.result=void 0),t.relatedNodes=[],(s=t.relatedNodes).push.apply(s,$(u.map((function(e){return e.relatedNodes[0]})))),o[i]=u,a.push(t)}for(var n=e.filter((function(e){return void 0!==e.result})),a=[],o={},u=0;u<n.length;u++)t(u);return a},"identical-links-same-purpose-evaluate":function(e,t,n){if(n=To.accessibleTextVirtual(n),n=To.sanitize(To.removeUnicode(n,{emoji:!0,nonBmp:!0,punctuations:!0})).toLowerCase())return n={name:n,urlProps:ir.urlPropsFromAttribute(e,"href")},this.data(n),this.relatedNodes([e]),!0},"identical-links-same-purpose-matches":function(e,t){return!(!ni(t)||(t=wu(e))&&"link"!==t)},"implicit-evaluate":function(e,t,n){try{var a,r=ca(n,"label");return!!r&&(a=Zo(ni(r,{inControlContext:!0,startNode:n})),r.actualNode&&this.relatedNodes([r.actualNode]),this.data({implicitLabel:a}),!!a)}catch(e){}},"inline-style-property-evaluate":function(e,n){var a=n.cssProperty,r=n.absoluteValues,o=n.minValue,u=n.maxValue,i=void 0===(i=n.normalValue)?0:i,l=n.noImportant;n=n.multiLineOnly;return!!(!l&&"important"!==e.style.getPropertyPriority(a)||n&&!Oi(e))||(l={},"number"==typeof o&&(l.minValue=o),"number"==typeof u&&(l.maxValue=u),n=e.style.getPropertyValue(a),["inherit","unset","revert","revert-layer"].includes(n)?(this.data(U({value:n},l)),!0):(n=function(e,n){var a=n.cssProperty,r=n.absoluteValues;n=n.normalValue;return"normal"===(a=(e=t.getComputedStyle(e)).getPropertyValue(a))?n:(n=parseFloat(a),r?n:(r=parseFloat(e.getPropertyValue("font-size")),e=Math.round(n/r*100)/100,isNaN(e)?a:e))}(e,{absoluteValues:r,cssProperty:a,normalValue:i}),this.data(U({value:n},l)),"number"==typeof n?("number"!=typeof o||o<=n)&&("number"!=typeof u||n<=u):void 0))},"inserted-into-focus-order-matches":function(e){return wi(e)},"internal-link-present-evaluate":function(e,t,n){return cp(n,"a[href]").some((function(e){return/^#[^/!]/.test(e.attr("href"))}))},"invalid-children-evaluate":function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=2<arguments.length?arguments[2]:void 0,a=[],r=[];if(n.children){for(var o=Wf(n.children);o.length;){var u=(i=o.shift()).vChild,i=i.nested;if(t.divGroups&&!i&&"div"===(l=u).props.nodeName&&null===$o(l)){if(!u.children)return;var l=Wf(u.children,!0);o.push.apply(o,$(l))}else l=function(e,t,n){var a=void 0===(a=n.validRoles)?[]:a,r=(n=void 0===(n=n.validNodeNames)?[]:n,(u=e.props).nodeName),o=u.nodeType,u=u.nodeValue;t=t?"div > ":"";return 3===o&&""!==u.trim()?t+"#text":!(1!==o||!Pu(e))&&((u=$o(e))?!a.includes(u)&&t+"[role=".concat(u,"]"):!n.includes(r)&&t+r)}(u,i,t),l&&(r.includes(l)||r.push(l),1===(null==u||null==(i=u.actualNode)?void 0:i.nodeType))&&a.push(u.actualNode)}return 0!==r.length&&(this.data({values:r.join(", ")}),this.relatedNodes(a),!0)}},"invalidrole-evaluate":function(e,t,n){return!!(n=Gc(n.attr("role"))).every((function(e){return!Vo(e,{allowAbstract:!0})}))&&(this.data(n),!0)},"is-element-focusable-evaluate":function(e,t,n){return Qo(n)},"is-initiator-matches":yD,"is-on-screen-evaluate":qs,"is-visible-matches":zr,"is-visible-on-screen-matches":function(e,t){return zr(t)},"label-content-name-mismatch-evaluate":function(e,t,n){var a=null==t?void 0:t.pixelThreshold,r=null!=(r=null==t?void 0:t.occurrenceThreshold)?r:null==t?void 0:t.occuranceThreshold;if(t=Ro(e).toLowerCase(),!(ri(t)<1))return!(e=Zo(Bu(n,{subtreeDescendant:!0,ignoreIconLigature:!0,pixelThreshold:a,occurrenceThreshold:r})).toLowerCase())||(ri(e)<1?!!Hf(e,t)||void 0:Hf(e,t))},"label-content-name-mismatch-matches":function(e,t){var n=wu(e);return!!(n&&zp("widget").includes(n)&&$p().includes(n)&&(Zo(Oo(t))||Zo(_o(e)))&&Zo(ju(t)))},"label-matches":function(e,t){return"input"!==t.props.nodeName||!1===t.hasAttr("type")||(t=t.attr("type").toLowerCase(),!1===["hidden","image","button","submit","reset"].includes(t))},"landmark-has-body-context-matches":function(e,t){return e.hasAttribute("role")||!dr(t,"article, aside, main, nav, section")},"landmark-is-top-level-evaluate":function(e){var t=zp("landmark"),n=Mr(e),a=wu(e);for(this.data({role:a});n;){var r=n.getAttribute("role");if((r=r||"FORM"===n.nodeName.toUpperCase()?r:bu(n))&&t.includes(r)&&("main"!==r||"complementary"!==a))return!1;n=Mr(n)}return!0},"landmark-is-unique-after":function(e){var t=[];return e.filter((function(e){var n=t.find((function(t){return e.data.role===t.data.role&&e.data.accessibleText===t.data.accessibleText}));return n?(n.result=!1,n.relatedNodes.push(e.relatedNodes[0]),!1):(t.push(e),e.relatedNodes=[],!0)}))},"landmark-is-unique-evaluate":function(e,t,n){var a=wu(e);return n=(n=ni(n))?n.toLowerCase():null,this.data({role:a,accessibleText:n}),this.relatedNodes([e]),!0},"landmark-unique-matches":function(e,t){var n,a,r,o=["article","aside","main","nav","section"].join(",");return n=t.actualNode,a=zp("landmark"),!!(r=wu(n))&&("HEADER"===(n=n.nodeName.toUpperCase())||"FOOTER"===n?!ca(t,o):"SECTION"===n||"FORM"===n?!!ni(t):0<=a.indexOf(r)||"region"===r)&&Pu(e)},"layout-table-matches":function(e){return!cD(e)&&!Qo(e)},"link-in-text-block-evaluate":function(e,t){var n=t.requiredContrastRatio;if(t=t.allowSameColor,qf(e))return!1;for(var a=Mr(e);a&&1===a.nodeType&&!qf(a);)a=Mr(a);if(a){this.relatedNodes([a]);var r=Sf(e),o=Sf(a),u=(e=Nf(e),Nf(a)),i=r&&o?jf(r,o):void 0;if((i=i&&Math.floor(100*i)/100)&&n<=i)return!0;var l=e&&u?jf(e,u):void 0;if((l=l&&Math.floor(100*l)/100)&&n<=l)return!0;if(l){if(i)return!(!t||1!==i||1!==l)||(1===i&&1<l?this.data({messageKey:"bgContrast",contrastRatio:l,requiredContrastRatio:n,nodeBackgroundColor:e?e.toHexString():void 0,parentBackgroundColor:u?u.toHexString():void 0}):this.data({messageKey:"fgContrast",contrastRatio:i,requiredContrastRatio:n,nodeColor:r?r.toHexString():void 0,parentColor:o?o.toHexString():void 0}),!1)}else l=null!=(t=Pi.get("bgColor"))?t:"bgContrast",this.data({messageKey:l}),Pi.clear()}},"link-in-text-block-matches":function(e){var t=Zo(e.innerText),n=e.getAttribute("role");return!(n&&"link"!==n||!t||!zr(e))&&Ri(e)},"link-in-text-block-style-evaluate":function(e){if(Vf(e))return!1;for(var n=Mr(e);n&&1===n.nodeType&&!Vf(n);)n=Mr(n);return n?(this.relatedNodes([n]),!!hf(e,n)||!!function(e){for(var n=0,a=["before","after"];n<a.length;n++){var r=a[n];if("none"!==t.getComputedStyle(e,":".concat(r)).getPropertyValue("content"))return 1}}(e)&&void this.data({messageKey:"pseudoContent"})):void 0},"listitem-evaluate":function(e,t,n){var a;if(n=n.parent)return a=n.props.nodeName,n=$o(n),!!["presentation","none","list"].includes(n)||(n&&Vo(n)?(this.data({messageKey:"roleNotValid"}),!1):["ul","ol","menu"].includes(a))},"matches-definition-evaluate":function(e,t,n){return hu(n,t.matcher)},"meta-refresh-evaluate":function(e,t,n){var a=(r=t||{}).minDelay,r=r.maxDelay;return!(n=G((n.attr("content")||"").trim().split(fD),1)[0]).match(DD)||(n=parseFloat(n),this.data({redirectDelay:n}),"number"==typeof a&&n<=t.minDelay)||"number"==typeof r&&n>t.maxDelay},"meta-viewport-scale-evaluate":function(e,t,n){var a,r=void 0===(r=(t=t||{}).scaleMinimum)?2:r;return t=void 0!==(t=t.lowerBound)&&t,!((n=n.attr("content")||"")&&(n=n.split(/[;,]/).reduce((function(e,t){var n;return(t=t.trim())&&(n=(t=G(t.split("="),2))[0],t=t[1],n)&&t&&(n=n.toLowerCase().trim(),t=t.toLowerCase().trim(),"maximum-scale"===n&&"yes"===t&&(t=1),"maximum-scale"===n&&parseFloat(t)<0||(e[n]=t)),e}),{}),!(t&&n["maximum-scale"]&&parseFloat(n["maximum-scale"])<t))&&(t||"no"!==n["user-scalable"]?(a=parseFloat(n["user-scalable"]),!t&&n["user-scalable"]&&(a||0===a)&&-1<a&&a<1?(this.data("user-scalable"),1):n["maximum-scale"]&&parseFloat(n["maximum-scale"])<r&&(this.data("maximum-scale"),1)):(this.data("user-scalable=no"),1)))},"multiple-label-evaluate":function(e){var t=wn(e.getAttribute("id")),n=e.parentNode,a=(a=sr(e)).documentElement||a,r=Array.from(a.querySelectorAll('label[for="'.concat(t,'"]')));for(r.length&&(r=r.filter((function(e){return!_r(e)})));n;)"LABEL"===n.nodeName.toUpperCase()&&-1===r.indexOf(n)&&r.push(n),n=n.parentNode;return this.relatedNodes(r),1<r.length&&(1<(a=r.filter(Pu)).length||!No(e,"aria-labelledby").includes(a[0]))&&void 0},"nested-interactive-matches":function(e,t){return!!(t=wu(t))&&!!qo.ariaRoles[t].childrenPresentational},"no-autoplay-audio-evaluate":function(e,t){var n,a;if(e.duration)return t=void 0===(t=t.allowedDuration)?3:t,((n=e).currentSrc?(a=function(e){if(e=e.match(/#t=(.*)/))return G(e,2)[1].split(",").map((function(e){if(/:/.test(e)){for(var t=e.split(":"),n=0,a=1;0<t.length;)n+=a*parseInt(t.pop(),10),a*=60;return parseFloat(n)}return parseFloat(e)}))}(n.currentSrc))?1!==a.length?Math.abs(a[1]-a[0]):Math.abs(n.duration-a[0]):Math.abs(n.duration-(n.currentTime||0)):0)<=t&&!e.hasAttribute("loop")||!!e.hasAttribute("controls");console.warn("axe.utils.preloadMedia did not load metadata")},"no-autoplay-audio-matches":function(e){return!!e.currentSrc&&!e.hasAttribute("paused")&&!e.hasAttribute("muted")},"no-empty-role-matches":function(e,t){return!!t.hasAttr("role")&&!!t.attr("role").trim()},"no-explicit-name-required-matches":ED,"no-focusable-content-evaluate":function(e,t,n){if(n.children)try{var a,r=function e(t){if(!t.children){if(1===t.props.nodeType)throw new Error("Cannot determine children");return[]}var n=[];return t.children.forEach((function(t){"widget"===Bi(t)&&Qo(t)?n.push(t):n.push.apply(n,$(e(t)))})),n}(n);return!r.length||(0<(a=r.filter($f)).length?(this.data({messageKey:"notHidden"}),this.relatedNodes(a)):this.relatedNodes(r),!1)}catch(e){}},"no-implicit-explicit-label-evaluate":function(e,t,n){var a,r,o=wu(n,{noImplicit:!0});this.data(o);try{a=Zo(Tu(n)).toLowerCase(),r=Zo(ni(n)).toLowerCase()}catch(e){return}return!(!r&&!a||(r||!a)&&r.includes(a))&&void 0},"no-naming-method-matches":function(e,t){var n=gu(t).namingMethods;return!(n&&0!==n.length||"combobox"===$o(t)&&cp(t,'input:not([type="hidden"])').length||Xp(t,{popupRoles:["listbox"]}))},"no-negative-tabindex-matches":function(e,t){return t=parseInt(t.attr("tabindex"),10),isNaN(t)||0<=t},"no-role-matches":function(e,t){return!t.attr("role")},"non-empty-if-present-evaluate":function(e,t,n){var a=n.props.nodeName,r=(n.attr("type")||"").toLowerCase();return(n=n.attr("value"))&&this.data({messageKey:"has-label"}),!("input"!==a||!["submit","reset"].includes(r))&&null===n},"not-html-matches":function(e,t){return"html"!==t.props.nodeName},"object-is-loaded-matches":function(e,t){return[ED,function(e){var t;return null==e||null==(t=e.ownerDocument)||!t.createRange||((t=e.ownerDocument.createRange()).setStart(e,0),t.setEnd(e,e.childNodes.length),0===t.getClientRects().length)}].every((function(n){return n(e,t)}))},"only-dlitems-evaluate":function(e,t,n){var a=["definition","term","list"];return(n=n.children.reduce((function(e,t){var n=t.actualNode;return"DIV"===n.nodeName.toUpperCase()&&null===wu(n)?e.concat(t.children):e.concat(t)}),[]).reduce((function(e,t){var n,r=(t=t.actualNode).nodeName.toUpperCase();return 1===t.nodeType&&Pu(t)?(n=$o(t),("DT"!==r&&"DD"!==r||n)&&!a.includes(n)&&e.badNodes.push(t)):3===t.nodeType&&""!==t.nodeValue.trim()&&(e.hasNonEmptyTextNode=!0),e}),{badNodes:[],hasNonEmptyTextNode:!1})).badNodes.length&&this.relatedNodes(n.badNodes),!!n.badNodes.length||n.hasNonEmptyTextNode},"only-listitems-evaluate":function(e,t,n){var a=!1,r=!1,o=!0,u=[],i=[],l=[];if(n.children.forEach((function(e){var t,n,s=e.actualNode;3===s.nodeType&&""!==s.nodeValue.trim()?a=!0:1===s.nodeType&&Pu(s)&&(o=!1,t="LI"===s.nodeName.toUpperCase(),n="listitem"===(e=wu(e)),t||n||u.push(s),t&&!n&&(i.push(s),l.includes(e)||l.push(e)),n)&&(r=!0)})),a||u.length)this.relatedNodes(u);else{if(o||r)return!1;this.relatedNodes(i),this.data({messageKey:"roleNotValid",roles:l.join(", ")})}return!0},"p-as-heading-evaluate":function(e,t,n){var a=(u=Array.from(e.parentNode.children)).indexOf(e),r=(t=t||{}).margins||[],o=u.slice(a+1).find((function(e){return"P"===e.nodeName.toUpperCase()})),u=u.slice(0,a).reverse().find((function(e){return"P"===e.nodeName.toUpperCase()})),i=(a=mD(e),o?mD(o):null),l=(u=u?mD(u):null,t.passLength);return t=t.failLength,e=e.textContent.trim().length,(o=null==o?void 0:o.textContent.trim().length)*l<e||!i||!hD(a,i,r)||!!((l=dr(n,"blockquote"))&&"BLOCKQUOTE"===l.nodeName.toUpperCase()||u&&!hD(a,u,r)||o*t<e)&&void 0},"p-as-heading-matches":function(e){var t=Array.from(e.parentNode.childNodes),n=e.textContent.trim();return!(0===n.length||2<=(n.match(/[.!?:;](?![.!?:;])/g)||[]).length)&&0!==t.slice(t.indexOf(e)+1).filter((function(e){return"P"===e.nodeName.toUpperCase()&&""!==e.textContent.trim()})).length},"page-no-duplicate-after":function(e){return e.filter((function(e){return"ignored"!==e.data}))},"page-no-duplicate-evaluate":function(e,t,n){if(!t||!t.selector||"string"!=typeof t.selector)throw new TypeError("page-no-duplicate requires options.selector to be a string");var a="page-no-duplicate;"+t.selector;if(!Kn.get(a))return Kn.set(a,!0),a=ep(o._tree[0],t.selector,Pu),"string"==typeof t.nativeScopeFilter&&(a=a.filter((function(e){return e.actualNode.hasAttribute("role")||!dr(e,t.nativeScopeFilter)}))),this.relatedNodes(a.filter((function(e){return e!==n})).map((function(e){return e.actualNode}))),a.length<=1;this.data("ignored")},"presentation-role-conflict-matches":function(e,t){return null!==bu(t,{chromiumRoles:!0})},"presentational-role-evaluate":function(e,t,n){var a=$o(n);if(["presentation","none"].includes(a)&&["iframe","frame"].includes(n.props.nodeName)&&n.hasAttr("title"))this.data({messageKey:"iframe",nodeName:n.props.nodeName});else{var r,o=wu(n);if(["presentation","none"].includes(o))return this.data({role:o}),!0;["presentation","none"].includes(a)&&(a=Uo().some((function(e){return n.hasAttr(e)})),r=Qo(n),this.data({messageKey:a&&!r?"globalAria":!a&&r?"focusable":"both",role:o}))}return!1},"region-after":function(e){var t=e.filter((function(e){return e.data.isIframe}));return e.forEach((function(e){if(!e.result&&1!==e.node.ancestry.length){var n,a=e.node.ancestry.slice(0,-1),r=Q(t);try{for(r.s();!(n=r.n()).done;){var o=n.value;if(Id(a,o.node.ancestry)){e.result=o.result;break}}}catch(e){r.e(e)}finally{r.f()}}})),t.forEach((function(e){e.result||(e.result=!0)})),e},"region-evaluate":function(e,t,n){return this.data({isIframe:["iframe","frame"].includes(n.props.nodeName)}),!Kn.get("regionlessNodes",(function(){return function e(t,n){var r=t.actualNode;if("button"===wu(t)||function(e,t){var n=e.actualNode,a=wu(e);return n=(n.getAttribute("aria-live")||"").toLowerCase().trim(),!!(["assertive","polite"].includes(n)||bD.includes(a)||gD.includes(a)||t.regionMatcher&&hu(e,t.regionMatcher))}(t,n)||["iframe","frame"].includes(t.props.nodeName)||Tc(t.actualNode)&&ho(t.actualNode,"href")||!Pu(r)){for(var o=t;o;)o._hasRegionDescendant=!0,o=o.parent;return["iframe","frame"].includes(t.props.nodeName)?[t]:[]}return r!==a.body&&yi(r,!0)?[t]:t.children.filter((function(e){return 1===(e=e.actualNode).nodeType})).map((function(t){return e(t,n)})).reduce((function(e,t){return e.concat(t)}),[])}(o._tree[0],t).map((function(e){for(;e.parent&&!e.parent._hasRegionDescendant&&e.parent.actualNode!==a.body;)e=e.parent;return e})).filter((function(e,t,n){return n.indexOf(e)===t}))})).includes(n)},"same-caption-summary-evaluate":function(e,t,n){var a;if(void 0!==n.children)return a=n.attr("summary"),!(!(n=!!(n=n.children.find(vD))&&Zo(Bu(n)))||!a)&&Zo(a).toLowerCase()===Zo(n).toLowerCase()},"scope-value-evaluate":function(e,t){return e=e.getAttribute("scope").toLowerCase(),-1!==t.values.indexOf(e)},"scrollable-region-focusable-matches":function(e,t){return void 0!==Ad(e,13)&&!1===Xp(t)&&cp(t,"*").some((function(e){return vi(e,!0,!0)}))},"skip-link-evaluate":function(e){return!!(e=ho(e,"href"))&&(Pu(e)||void 0)},"skip-link-matches":function(e){return Tc(e)&&Lr(e)},"structured-dlitems-evaluate":function(e,t,n){var a=n.children;if(!a||!a.length)return!1;for(var r,o=!1,u=!1,i=0;i<a.length;i++){if((o="DT"===(r=a[i].props.nodeName.toUpperCase())||o)&&"DD"===r)return!1;"DD"===r&&(u=!0)}return o||u},"svg-namespace-matches":wD,"svg-non-empty-title-evaluate":function(e,t,n){if(n.children){if(n=n.children.find((function(e){return"title"===e.props.nodeName})),!n)return this.data({messageKey:"noTitle"}),!1;try{if(""===Bu(n,{includeHidden:!0}).trim())return this.data({messageKey:"emptyTitle"}),!1}catch(e){return}return!0}},"tabindex-evaluate":function(e,t,n){return n=parseInt(n.attr("tabindex"),10),!!isNaN(n)||n<=0},"table-or-grid-role-matches":function(e,t){return t=wu(t),["treegrid","grid","table"].includes(t)},"target-offset-evaluate":function(e,t,n){var a,r,o=(null==t?void 0:t.minOffset)||24,u=[],i=o,l=Q(ao(n,o));try{for(l.s();!(a=l.n()).done;){var s,c=a.value;"widget"===Bi(c)&&Qo(c)&&(r=yo(n,c),o<=.05+(s=Math.round(10*r)/10)||(i=Math.min(i,s),u.push(c)))}}catch(e){l.e(e)}finally{l.f()}return 0===u.length?(this.data({closestOffset:i,minOffset:o}),!0):(this.relatedNodes(u.map((function(e){return e.actualNode}))),u.some(ki)?(this.data({closestOffset:i,minOffset:o}),!ki(n)&&void 0):void this.data({messageKey:"nonTabbableNeighbor",closestOffset:i,minOffset:o}))},"target-size-evaluate":function(e,t,n){t=(null==t?void 0:t.minSize)||24;var a,r,o=n.boundingClientRect,u=Zf.bind(null,t),i=ao(n),l=(a=n,i.filter((function(e){return!Yf(e,a)&&Xf(a,e)}))),s=(i=function(e,t){var n,a=[],r=[],o=Q(t);try{for(o.s();!(n=o.n()).done;){var u=n.value;!Xf(e,u)&&wo(e,u)&&"none"!==u.getComputedStylePropertyValue("pointer-events")&&(Yf(e,u)?a:r).push(u)}}catch(e){o.e(e)}finally{o.f()}return{fullyObscuringElms:a,partialObscuringElms:r}}(n,i)).fullyObscuringElms;i=i.partialObscuringElms;return s.length&&!l.length?(this.relatedNodes(Jf(s)),this.data({messageKey:"obscured"}),!0):(r=!ki(n)&&void 0,u(o)||l.length?(i=function(e,t){return e=e.boundingClientRect,0===t.length?null:(t=t.map((function(e){return e.boundingClientRect})),function(e,t){return e.reduce((function(e,n){var a=Zf(t,e);return a!==Zf(t,n)?a?e:n:(a=e.width*e.height,n.width*n.height<a?e:n)}))}(Eo(e,t)))}(n,n=i.filter((function(e){return"widget"===Bi(e)&&Qo(e)}))),!l.length||!s.length&&u(i||o)?0===n.length||u(i)?(this.data(U({minSize:t},Kf(i||o))),this.relatedNodes(Jf(n)),!0):(s=n.every(ki),u="partiallyObscured".concat(s?"":"NonTabbable"),this.data(U({messageKey:u,minSize:t},Kf(i))),this.relatedNodes(Jf(n)),s?r:void 0):(this.data({minSize:t,messageKey:"contentOverflow"}),void this.relatedNodes(Jf(l)))):(this.data(U({minSize:t},Kf(o))),r))},"td-has-header-evaluate":function(e){var t=[],n=uD(e),a=Go(e);return n.forEach((function(e){yi(e)&&sD(e)&&!Jp(e)&&!lD(e,a).some((function(e){return null!==e&&!!yi(e)}))&&t.push(e)})),!t.length||(this.relatedNodes(t),!1)},"td-headers-attr-evaluate":function(e){for(var t=[],n=[],a=[],r=0;r<e.rows.length;r++)for(var o=e.rows[r],u=0;u<o.cells.length;u++)t.push(o.cells[u]);var i=t.reduce((function(e,t){return t.getAttribute("id")&&e.push(t.getAttribute("id")),e}),[]);return t.forEach((function(e){var t,r=!1;if(e.hasAttribute("headers")&&Pu(e))return(t=e.getAttribute("headers").trim())?void(0!==(t=Gc(t)).length&&(e.getAttribute("id")&&(r=-1!==t.indexOf(e.getAttribute("id").trim())),t=t.some((function(e){return!i.includes(e)})),r||t)&&a.push(e)):n.push(e)})),0<a.length?(this.relatedNodes(a),!1):!n.length||void this.relatedNodes(n)},"th-has-data-cells-evaluate":function(e){var t=uD(e),n=this,a=[],r=(t=(t.forEach((function(e){var t;(t=((t=e.getAttribute("headers"))&&(a=a.concat(t.split(/\\s+/))),e.getAttribute("aria-labelledby")))&&(a=a.concat(t.split(/\\s+/)))})),t.filter((function(e){return""!==Zo(e.textContent)&&("TH"===e.nodeName.toUpperCase()||-1!==["rowheader","columnheader"].indexOf(e.getAttribute("role")))}))),Go(e)),o=!0;return t.forEach((function(e){var t,u;e.getAttribute("id")&&a.includes(e.getAttribute("id"))||(t=Wo(e,r),u=!1,(u=!(u=Ko(e)?pD("down",t,r).find((function(t){return!Ko(t)&&lD(t,r).includes(e)})):u)&&Xo(e)?pD("right",t,r).find((function(t){return!Xo(t)&&lD(t,r).includes(e)})):u)||n.relatedNodes(e),o=o&&u)})),!!o||void 0},"title-only-evaluate":function(e,t,n){var a=si(n),r=Cu(n);return n=n.attr("aria-describedby"),!(a||!r&&!n)},"unique-frame-title-after":function(e){var t={};return e.forEach((function(e){t[e.data]=void 0!==t[e.data]?++t[e.data]:0})),e.forEach((function(e){e.result=!!t[e.data]})),e},"unique-frame-title-evaluate":function(e,t,n){return n=Zo(n.attr("title")).toLowerCase(),this.data(n),!0},"unsupportedrole-evaluate":function(e,t,n){n=wu(n,{dpub:!0,fallback:!0});var a=zo(n);return a&&this.data(n),a},"valid-lang-evaluate":function(e,t,n){var a=[];return t.attributes.forEach((function(e){var r,o,u=n.attr(e);"string"==typeof u&&(r=nd(u),o=t.value?!t.value.map(nd).includes(r):!Ep(r),""!==r&&o||""!==u&&!Zo(u))&&a.push(e+'="'+n.attr(e)+'"')})),!!a.length&&!("html"!==n.props.nodeName&&!Fi(n)||(this.data(a),0))},"valid-scrollable-semantics-evaluate":function(e,t){return(n=$o(n=e))&&(pf[n]||t.roles.includes(n))||(t=(t=e).nodeName.toUpperCase(),df[t])||!1;var n},"widget-not-inline-matches":function(e,t){return CD.every((function(n){return n(e,t)}))},"window-is-top-matches":function(e){return e.ownerDocument.defaultView.self===e.ownerDocument.defaultView.top},"xml-lang-mismatch-evaluate":function(e,t,n){return nd(n.attr("lang"))===nd(n.attr("xml:lang"))},"xml-lang-mismatch-matches":function(e){var t=nd(e.getAttribute("lang"));e=nd(e.getAttribute("xml:lang"));return Ep(t)&&Ep(e)}},BD=function(e){this.id=e.id,this.data=null,this.relatedNodes=[],this.result=null};function TD(e){if("string"!=typeof e)return e;if(kD[e])return kD[e];if(/^\\s*function[\\s\\w]*\\(/.test(e))return new Function("return "+e+";")();throw new ReferenceError("Function ID does not exist in the metadata-function-map: ".concat(e))}function ND(e){var t=0<arguments.length&&void 0!==e?e:{};return Array.isArray(t)||"object"!==r(t)?{value:t}:t}function RD(e){e&&(this.id=e.id,this.configure(e))}RD.prototype.enabled=!0,RD.prototype.run=function(e,t,n,a,r){var o=((t=t||{}).hasOwnProperty("enabled")?t:this).enabled,u=this.getOptions(t.options);if(o){var i;o=new BD(this),t=Qn(o,t,a,r);try{i=this.evaluate.call(t,e.actualNode,u,e,n)}catch(t){return e&&e.actualNode&&(t.errorNode=new Jn(e).toJSON()),void r(t)}t.isAsync||(o.result=i,a(o))}else a(null)},RD.prototype.runSync=function(e,t,n){if(!(void 0===(r=(t=t||{}).enabled)?this.enabled:r))return null;var a,r=this.getOptions(t.options),o=new BD(this);(t=Qn(o,t)).async=function(){throw new Error("Cannot run async check while in a synchronous run")};try{a=this.evaluate.call(t,e.actualNode,r,e,n)}catch(t){throw e&&e.actualNode&&(t.errorNode=new Jn(e).toJSON()),t}return o.result=a,o},RD.prototype.configure=function(e){var t=this;e.evaluate&&!kD[e.evaluate]||(this._internalCheck=!0),e.hasOwnProperty("enabled")&&(this.enabled=e.enabled),e.hasOwnProperty("options")&&(this._internalCheck?this.options=ND(e.options):this.options=e.options),["evaluate","after"].filter((function(t){return e.hasOwnProperty(t)})).forEach((function(n){return t[n]=TD(e[n])}))},RD.prototype.getOptions=function(e){return this._internalCheck?ar(this.options,ND(e||{})):e||this.options};var _D=RD,OD=function(e){this.id=e.id,this.result=tn.NA,this.pageLevel=e.pageLevel,this.impact=null,this.nodes=[]};function SD(e,t){this._audit=t,this.id=e.id,this.selector=e.selector||"*",e.impact&&(yn(tn.impact.includes(e.impact),"Impact ".concat(e.impact," is not a valid impact")),this.impact=e.impact),this.excludeHidden="boolean"!=typeof e.excludeHidden||e.excludeHidden,this.enabled="boolean"!=typeof e.enabled||e.enabled,this.pageLevel="boolean"==typeof e.pageLevel&&e.pageLevel,this.reviewOnFail="boolean"==typeof e.reviewOnFail&&e.reviewOnFail,this.any=e.any||[],this.all=e.all||[],this.none=e.none||[],this.tags=e.tags||[],this.preload=!!e.preload,this.actIds=e.actIds,e.matches&&(this.matches=TD(e.matches))}function MD(e){var t,n;if(e.length)return t=!1,n={},e.forEach((function(e){var a=e.results.filter((function(e){return e}));(n[e.type]=a).length&&(t=!0)})),t?n:null}SD.prototype.matches=function(){return!0},SD.prototype.gather=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n="mark_gather_start_"+this.id,a="mark_gather_end_"+this.id,r="mark_isVisibleToScreenReaders_start_"+this.id,o="mark_isVisibleToScreenReaders_end_"+this.id,u=(t.performanceTimer&&Yd.mark(n),mp(this.selector,e));return this.excludeHidden&&(t.performanceTimer&&Yd.mark(r),u=u.filter(Pu),t.performanceTimer)&&(Yd.mark(o),Yd.measure("rule_"+this.id+"#gather_axe.utils.isVisibleToScreenReaders",r,o)),t.performanceTimer&&(Yd.mark(a),Yd.measure("rule_"+this.id+"#gather",n,a)),u},SD.prototype.runChecks=function(e,t,n,a,r,o){var u=this,i=ha();this[e].forEach((function(e){var r=u._audit.checks[e.id||e],o=dd(r,u.id,n);i.defer((function(e,n){r.run(t,o,a,e,n)}))})),i.then((function(t){t=t.filter((function(e){return e})),r({type:e,results:t})})).catch(o)},SD.prototype.runChecksSync=function(e,t,n,a){var r=this,o=[];return this[e].forEach((function(e){e=r._audit.checks[e.id||e];var u=dd(e,r.id,n);o.push(e.runSync(t,u,a))})),{type:e,results:o=o.filter((function(e){return e}))}},SD.prototype.run=function(e){var t,n=this,a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=2<arguments.length?arguments[2]:void 0,o=3<arguments.length?arguments[3]:void 0,i=(a.performanceTimer&&this._trackPerformance(),ha()),l=new OD(this);try{t=this.gatherAndMatchNodes(e,a)}catch(t){return void o(new u({cause:t,ruleId:this.id}))}a.performanceTimer&&this._logGatherPerformance(t),t.forEach((function(t){i.defer((function(r,o){var u=ha();["any","all","none"].forEach((function(r){u.defer((function(o,u){n.runChecks(r,t,a,e,o,u)}))})),u.then((function(e){var o=MD(e);o&&(o.node=new Jn(t,a),l.nodes.push(o),n.reviewOnFail)&&(["any","all"].forEach((function(e){o[e].forEach((function(e){!1===e.result&&(e.result=void 0)}))})),o.none.forEach((function(e){!0===e.result&&(e.result=void 0)}))),r()})).catch((function(e){return o(e)}))}))})),i.defer((function(e){return setTimeout(e,0)})),a.performanceTimer&&this._logRulePerformance(),i.then((function(){return r(l)})).catch((function(e){return o(e)}))},SD.prototype.runSync=function(e){var t,n=this,a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=(a.performanceTimer&&this._trackPerformance(),new OD(this));try{t=this.gatherAndMatchNodes(e,a)}catch(t){throw new u({cause:t,ruleId:this.id})}return a.performanceTimer&&this._logGatherPerformance(t),t.forEach((function(t){var o=[],u=(["any","all","none"].forEach((function(r){o.push(n.runChecksSync(r,t,a,e))})),MD(o));u&&(u.node=t.actualNode?new Jn(t,a):null,r.nodes.push(u),n.reviewOnFail)&&(["any","all"].forEach((function(e){u[e].forEach((function(e){!1===e.result&&(e.result=void 0)}))})),u.none.forEach((function(e){!0===e.result&&(e.result=void 0)})))})),a.performanceTimer&&this._logRulePerformance(),r},SD.prototype._trackPerformance=function(){this._markStart="mark_rule_start_"+this.id,this._markEnd="mark_rule_end_"+this.id,this._markChecksStart="mark_runchecks_start_"+this.id,this._markChecksEnd="mark_runchecks_end_"+this.id},SD.prototype._logGatherPerformance=function(e){nn("gather (",e.length,"):",Yd.timeElapsed()+"ms"),Yd.mark(this._markChecksStart)},SD.prototype._logRulePerformance=function(){Yd.mark(this._markChecksEnd),Yd.mark(this._markEnd),Yd.measure("runchecks_"+this.id,this._markChecksStart,this._markChecksEnd),Yd.measure("rule_"+this.id,this._markStart,this._markEnd)},SD.prototype.gatherAndMatchNodes=function(e,t){var n=this,a="mark_matches_start_"+this.id,r="mark_matches_end_"+this.id,o=this.gather(e,t);return t.performanceTimer&&Yd.mark(a),o=o.filter((function(t){return n.matches(t.actualNode,t,e)})),t.performanceTimer&&(Yd.mark(r),Yd.measure("rule_"+this.id+"#matches",a,r)),o},SD.prototype.after=function(e,t){var n,a,r,o=this,u=Za(n=this).map((function(e){return(e=n._audit.checks[e.id||e])&&"function"==typeof e.after?e:null})).filter(Boolean),i=this.id;return u.forEach((function(n){u=e.nodes,a=n.id,r=[],u.forEach((function(e){Za(e).forEach((function(t){t.id===a&&(t.node=e.node,r.push(t))}))}));var a,r,u=r,l=dd(n,i,t),s=n.after(u,l);o.reviewOnFail&&s.forEach((function(e){var t=(o.any.includes(e.id)||o.all.includes(e.id))&&!1===e.result,n=o.none.includes(e.id)&&!0===e.result;(t||n)&&(e.result=void 0)})),u.forEach((function(e){delete e.node,-1===s.indexOf(e)&&(e.filtered=!0)}))})),e.nodes=(a=["any","all","none"],r=(u=e).nodes.filter((function(e){var t=0;return a.forEach((function(n){e[n]=e[n].filter((function(e){return!0!==e.filtered})),t+=e[n].length})),0<t})),r=u.pageLevel&&r.length?[r.reduce((function(e,t){if(e)return a.forEach((function(n){e[n].push.apply(e[n],t[n])})),e}))]:r),e},SD.prototype.configure=function(e){e.hasOwnProperty("selector")&&(this.selector=e.selector),e.hasOwnProperty("excludeHidden")&&(this.excludeHidden="boolean"!=typeof e.excludeHidden||e.excludeHidden),e.hasOwnProperty("enabled")&&(this.enabled="boolean"!=typeof e.enabled||e.enabled),e.hasOwnProperty("pageLevel")&&(this.pageLevel="boolean"==typeof e.pageLevel&&e.pageLevel),e.hasOwnProperty("reviewOnFail")&&(this.reviewOnFail="boolean"==typeof e.reviewOnFail&&e.reviewOnFail),e.hasOwnProperty("any")&&(this.any=e.any),e.hasOwnProperty("all")&&(this.all=e.all),e.hasOwnProperty("none")&&(this.none=e.none),e.hasOwnProperty("tags")&&(this.tags=e.tags),e.hasOwnProperty("actIds")&&(this.actIds=e.actIds),e.hasOwnProperty("matches")&&(this.matches=TD(e.matches)),e.impact&&(yn(tn.impact.includes(e.impact),"Impact ".concat(e.impact," is not a valid impact")),this.impact=e.impact)};var PD=SD,ID=re(Xt()),jD=/\\{\\{.+?\\}\\}/g;function LD(){return t.origin&&"null"!==t.origin?t.origin:t.location&&t.location.origin&&"null"!==t.location.origin?t.location.origin:void 0}function qD(e,t,n){for(var a=0,r=e.length;a<r;a++)t[n](e[a])}function zD(e){K(this,zD),this.lang="en",this.defaultConfig=e,this.standards=qo,this._init(),this._defaultLocale=null}function VD(e,t,n){return n.performanceTimer&&Yd.mark("mark_rule_start_"+e.id),function(a,r){e.run(t,n,(function(e){a(e)}),(function(t){n.debug?r(t):(t=Object.assign(new OD(e),{result:tn.CANTTELL,description:"An error occured while running this rule",message:t.message,stack:t.stack,error:t,errorNode:t.errorNode}),a(t))}))}}function $D(e,t,n){var a=e.brand,r=e.application;e=e.lang;return tn.helpUrlBase+a+"/"+(n||o.version.substring(0,o.version.lastIndexOf(".")))+"/"+t+"?application="+encodeURIComponent(r)+(e&&"en"!==e?"&lang="+encodeURIComponent(e):"")}Z(zD,[{key:"_setDefaultLocale",value:function(){if(!this._defaultLocale){for(var e={checks:{},rules:{},failureSummaries:{},incompleteFallbackMessage:"",lang:this.lang},t=Object.keys(this.data.checks),n=0;n<t.length;n++){var a=t[n],r=(u=this.data.checks[a].messages).pass,o=u.fail,u=u.incomplete;e.checks[a]={pass:r,fail:o,incomplete:u}}for(var i=Object.keys(this.data.rules),l=0;l<i.length;l++){var s=i[l],c=(d=this.data.rules[s]).description,d=d.help;e.rules[s]={description:c,help:d}}for(var p=Object.keys(this.data.failureSummaries),f=0;f<p.length;f++){var D=p[f],m=this.data.failureSummaries[D].failureMessage;e.failureSummaries[D]={failureMessage:m}}e.incompleteFallbackMessage=this.data.incompleteFallbackMessage,this._defaultLocale=e}}},{key:"_resetLocale",value:function(){var e=this._defaultLocale;e&&this.applyLocale(e)}},{key:"_applyCheckLocale",value:function(e){for(var t,n,a,o=Object.keys(e),u=0;u<o.length;u++){var i=o[u];if(!this.data.checks[i])throw new Error('Locale provided for unknown check: "'.concat(i,'"'));this.data.checks[i]=(t=this.data.checks[i],a=n=void 0,n=(i=e[i]).pass,a=i.fail,"string"==typeof n&&jD.test(n)&&(n=ID.default.compile(n)),"string"==typeof a&&jD.test(a)&&(a=ID.default.compile(a)),U({},t,{messages:{pass:n||t.messages.pass,fail:a||t.messages.fail,incomplete:"object"===r(t.messages.incomplete)?U({},t.messages.incomplete,i.incomplete):i.incomplete}}))}}},{key:"_applyRuleLocale",value:function(e){for(var t,n,a=Object.keys(e),r=0;r<a.length;r++){var o=a[r];if(!this.data.rules[o])throw new Error('Locale provided for unknown rule: "'.concat(o,'"'));this.data.rules[o]=(t=this.data.rules[o],n=void 0,n=(o=e[o]).help,o=o.description,"string"==typeof n&&jD.test(n)&&(n=ID.default.compile(n)),"string"==typeof o&&jD.test(o)&&(o=ID.default.compile(o)),U({},t,{help:n||t.help,description:o||t.description}))}}},{key:"_applyFailureSummaries",value:function(e){for(var t=Object.keys(e),n=0;n<t.length;n++){var a=t[n];if(!this.data.failureSummaries[a])throw new Error('Locale provided for unknown failureMessage: "'.concat(a,'"'));this.data.failureSummaries[a]=function(e,t){return U({},e,{failureMessage:(t="string"==typeof(t=t.failureMessage)&&jD.test(t)?ID.default.compile(t):t)||e.failureMessage})}(this.data.failureSummaries[a],e[a])}}},{key:"applyLocale",value:function(e){var t,n;this._setDefaultLocale(),e.checks&&this._applyCheckLocale(e.checks),e.rules&&this._applyRuleLocale(e.rules),e.failureSummaries&&this._applyFailureSummaries(e.failureSummaries,"failureSummaries"),e.incompleteFallbackMessage&&(this.data.incompleteFallbackMessage=(t=this.data.incompleteFallbackMessage,(n="string"==typeof(n=e.incompleteFallbackMessage)&&jD.test(n)?ID.default.compile(n):n)||t)),e.lang&&(this.lang=e.lang)}},{key:"setAllowedOrigins",value:function(e){var t,n=LD(),a=(this.allowedOrigins=[],Q(e));try{for(a.s();!(t=a.n()).done;){var r=t.value;if(r===tn.allOrigins)return void(this.allowedOrigins=["*"]);r!==tn.sameOrigin?this.allowedOrigins.push(r):n&&this.allowedOrigins.push(n)}}catch(e){a.e(e)}finally{a.f()}}},{key:"_init",value:function(){(t=this.defaultConfig)?(e=ea(t)).commons=t.commons:e={},e.reporter=e.reporter||null,e.noHtml=e.noHtml||!1,e.allowedOrigins||(t=LD(),e.allowedOrigins=t?[t]:[]),e.rules=e.rules||[],e.checks=e.checks||[],e.data=U({checks:{},rules:{}},e.data);var e,t=e;this.lang=t.lang||"en",this.reporter=t.reporter,this.commands={},this.rules=[],this.checks={},this.brand="axe",this.application="axeAPI",this.tagExclude=["experimental"],this.noHtml=t.noHtml,this.allowedOrigins=t.allowedOrigins,qD(t.rules,this,"addRule"),qD(t.checks,this,"addCheck"),this.data={},this.data.checks=t.data&&t.data.checks||{},this.data.rules=t.data&&t.data.rules||{},this.data.failureSummaries=t.data&&t.data.failureSummaries||{},this.data.incompleteFallbackMessage=t.data&&t.data.incompleteFallbackMessage||"",this._constructHelpUrls()}},{key:"registerCommand",value:function(e){this.commands[e.id]=e.callback}},{key:"addRule",value:function(e){e.metadata&&(this.data.rules[e.id]=e.metadata);var t=this.getRule(e.id);t?t.configure(e):this.rules.push(new PD(e,this))}},{key:"addCheck",value:function(e){var t=e.metadata;"object"===r(t)&&(this.data.checks[e.id]=t,"object"===r(t.messages))&&Object.keys(t.messages).filter((function(e){return t.messages.hasOwnProperty(e)&&"string"==typeof t.messages[e]})).forEach((function(e){0===t.messages[e].indexOf("function")&&(t.messages[e]=new Function("return "+t.messages[e]+";")())})),this.checks[e.id]?this.checks[e.id].configure(e):this.checks[e.id]=new _D(e)}},{key:"run",value:function(e,t,n,a){this.normalizeOptions(t),o._selectCache=[],i=this.rules,r=e,u=t;var r,u,i=i.reduce((function(e,t){return pp(t,r,u)&&(t.preload?e.later:e.now).push(t),e}),{now:[],later:[]}),l=i.now,s=i.later,c=ha();l.forEach((function(n){c.defer(VD(n,e,t))})),i=ha();(l=(s.length&&i.defer((function(e){ip(t).then((function(t){return e(t)})).catch((function(t){console.warn("Couldn't load preload assets: ",t),e(void 0)}))})),ha())).defer(c),l.defer(i),l.then((function(r){var u,i=r.pop(),l=(i&&i.length&&(i=i[0])&&(e=U({},e,i)),r[0]);s.length?(u=ha(),s.forEach((function(n){n=VD(n,e,t),u.defer(n)})),u.then((function(e){o._selectCache=void 0,n(l.concat(e).filter((function(e){return!!e})))})).catch(a)):(o._selectCache=void 0,n(l.filter((function(e){return!!e}))))})).catch(a)}},{key:"after",value:function(e,t){var n=this.rules;return e.map((function(e){var a=Ja(n,"id",e.id);if(a)return a.after(e,t);throw new Error("Result for unknown rule. You may be running mismatch axe-core versions")}))}},{key:"getRule",value:function(e){return this.rules.find((function(t){return t.id===e}))}},{key:"normalizeOptions",value:function(e){var t=[],n=[];if(this.rules.forEach((function(e){n.push(e.id),e.tags.forEach((function(e){t.includes(e)||t.push(e)}))})),["object","string"].includes(r(e.runOnly))){if("string"==typeof e.runOnly&&(e.runOnly=[e.runOnly]),Array.isArray(e.runOnly)){var a=e.runOnly.find((function(e){return t.includes(e)})),u=e.runOnly.find((function(e){return n.includes(e)}));if(a&&u)throw new Error("runOnly cannot be both rules and tags");e.runOnly=u?{type:"rule",values:e.runOnly}:{type:"tag",values:e.runOnly}}if((a=e.runOnly).value&&!a.values&&(a.values=a.value,delete a.value),!Array.isArray(a.values)||0===a.values.length)throw new Error("runOnly.values must be a non-empty array");if(["rule","rules"].includes(a.type))a.type="rule",a.values.forEach((function(e){if(!n.includes(e))throw new Error("unknown rule \`"+e+"\` in options.runOnly")}));else{if(!["tag","tags",void 0].includes(a.type))throw new Error("Unknown runOnly type '".concat(a.type,"'"));a.type="tag",u=a.values.filter((function(e){return!t.includes(e)&&!/wcag2[1-3]a{1,3}/.test(e)})),0!==u.length&&o.log("Could not find tags \`"+u.join("\`, \`")+"\`")}}return"object"===r(e.rules)&&Object.keys(e.rules).forEach((function(e){if(!n.includes(e))throw new Error("unknown rule \`"+e+"\` in options.rules")})),e}},{key:"setBranding",value:function(e){var t={brand:this.brand,application:this.application};"string"==typeof e&&(this.application=e),e&&e.hasOwnProperty("brand")&&e.brand&&"string"==typeof e.brand&&(this.brand=e.brand),e&&e.hasOwnProperty("application")&&e.application&&"string"==typeof e.application&&(this.application=e.application),this._constructHelpUrls(t)}},{key:"_constructHelpUrls",value:function(){var e=this,t=0<arguments.length&&void 0!==arguments[0]?arguments[0]:null,n=(o.version.match(/^[1-9][0-9]*\\.[0-9]+/)||["x.y"])[0];this.rules.forEach((function(a){e.data.rules[a.id]||(e.data.rules[a.id]={});var r=e.data.rules[a.id];("string"!=typeof r.helpUrl||t&&r.helpUrl===$D(t,a.id,n))&&(r.helpUrl=$D(e,a.id,n))}))}},{key:"resetRulesAndChecks",value:function(){this._init(),this._resetLocale()}}]);var HD=zD;function UD(){Kn.get("globalDocumentSet")&&(Kn.set("globalDocumentSet",!1),a=null),Kn.get("globalWindowSet")&&(Kn.set("globalWindowSet",!1),t=null)}var GD=function(){UD(),o._memoizedFns.forEach((function(e){return e.clear()})),Kn.clear(),o._tree=void 0,o._selectorData=void 0,o._selectCache=void 0},WD=function(e,t,n,a){try{e=new Ed(e),o._tree=e.flatTree,o._selectorData=qn(e.flatTree)}catch(r){return GD(),a(r)}var r=ha(),u=o._audit;t.performanceTimer&&Yd.auditStart(),e.frames.length&&!1!==t.iframes&&r.defer((function(n,a){tr(e,t,"rules",null,n,a)})),r.defer((function(n,a){u.run(e,t,n,a)})),r.then((function(r){try{t.performanceTimer&&Yd.auditEnd();var o=er(r.map((function(e){return{results:e}})));e.initiator&&((o=u.after(o,t)).forEach(sp),o=o.map(mn));try{n(o,GD)}catch(r){GD(),nn(r)}}catch(r){GD(),a(r)}})).catch((function(e){GD(),a(e)}))};function YD(e){this._run=e.run,this._collect=e.collect,this._registry={},e.commands.forEach((function(e){o._audit.registerCommand(e)}))}function KD(e){var t,n=(e=G(e,3))[0],u=e[1],i=(e=e[2],new TypeError("axe.run arguments are invalid"));if(!md(t=n)&&!hd(t)){if(void 0!==e)throw i;e=u,u=n,n=a}if("object"!==r(u)){if(void 0!==e)throw i;e=u,u={}}if("function"!=typeof e&&void 0!==e)throw i;return(u=ea(u)).reporter=null!=(t=null!=(t=u.reporter)?t:null==(i=o._audit)?void 0:i.reporter)?t:"v1",{context:n,options:u,callback:e}}t.top!==t&&(Ga.subscribe("axe.start",(function(e,t,n){function r(e){e instanceof Error==0&&(e=new Error(e)),n(e)}var u=n,i=e&&e.context||{},l=(i.hasOwnProperty("include")&&!i.include.length&&(i.include=[a]),e&&e.options||{});switch(e.command){case"rules":return WD(i,l,(function(e,t){u(e),t()}),r);case"cleanup-plugin":return Tp(u,r);default:if(o._audit&&o._audit.commands&&o._audit.commands[e.command])return o._audit.commands[e.command](e,n)}})),Ga.subscribe("axe.ping",(function(e,t,n){n({axe:!0})}))),YD.prototype.run=function(){return this._run.apply(this,arguments)},YD.prototype.collect=function(){return this._collect.apply(this,arguments)},YD.prototype.cleanup=function(e){var t=o.utils.queue(),n=this;Object.keys(this._registry).forEach((function(e){t.defer((function(t){n._registry[e].cleanup(t)}))})),t.then(e)},YD.prototype.add=function(e){this._registry[e.id]=e};var XD=function(){};function ZD(e){var t=e.node,n=V(e,y);n.node=t.toJSON();for(var a=0,r=["any","all","none"];a<r.length;a++){var o=r[a];n[o]=n[o].map((function(e){var t=e.relatedNodes;return U({},V(e,F),{relatedNodes:t.map((function(e){return e.toJSON()}))})}))}return n}var JD=function(e,t,n){if("function"==typeof t&&(n=t,t={}),!e||!Array.isArray(e))return n(e);n(e.map((function(e){for(var t=U({},e),n=0,a=["passes","violations","incomplete","inapplicable"];n<a.length;n++){var r=a[n];t[r]&&Array.isArray(t[r])&&(t[r]=t[r].map((function(e){var t,n=e.node;e=V(e,C);return U({node:n="function"==typeof(null==(t=n)?void 0:t.toJSON)?n.toJSON():n},e)})))}return t})))};Vs={base:{Audit:HD,CheckResult:BD,Check:_D,Context:Ed,RuleResult:OD,Rule:PD,metadataFunctionMap:kD},public:{reporters:Np},helpers:{failureSummary:ad,incompleteFallbackMessage:rd,processAggregate:ud},utils:{setDefaultFrameMessenger:Ha,cacheNodeSelectors:Jc,getNodesMatchingExpression:Yc,convertSelector:ia},commons:{dom:{nativelyHidden:yr,displayHidden:Fr,visibilityHidden:wr,contentVisibiltyHidden:Er,ariaHidden:Cr,opacityHidden:xr,scrollHidden:Ar,overflowHidden:kr,clipHidden:Br,areaHidden:Tr,detailsHidden:Nr}}};o._thisWillBeDeletedDoNotUse=Vs,o.constants=tn,o.log=nn,o.AbstractVirtualNode=on,o.SerialVirtualNode=Bp,o.VirtualNode=Uc,o._cache=Kn,o.imports=Po,o.cleanup=Tp,o.configure=function(e){var t=o._audit;if(!t)throw new Error("No audit configured");if(e.axeVersion||e.ver){var n=e.axeVersion||e.ver;if(!/^\\d+\\.\\d+\\.\\d+(-canary)?/.test(n))throw new Error("Invalid configured version ".concat(n));var a=(r=G(n.split("-"),2))[0],r=r[1],u=(a=G(a.split(".").map(Number),3))[0],i=a[1],l=(a=a[2],(s=G(o.version.split("-"),2))[0]),s=s[1],c=(l=G(l.split(".").map(Number),3))[0],d=l[1];l=l[2];if(u!==c||d<i||d===i&&l<a||u===c&&i===d&&a===l&&r&&r!==s)throw new Error("Configured version ".concat(n," is not compatible with current axe version ").concat(o.version))}if(e.reporter&&("function"==typeof e.reporter||Rp(e.reporter))&&(t.reporter=e.reporter),e.checks){if(!Array.isArray(e.checks))throw new TypeError("Checks property must be an array");e.checks.forEach((function(e){if(!e.id)throw new TypeError("Configured check ".concat(JSON.stringify(e)," is invalid. Checks must be an object with at least an id property"));t.addCheck(e)}))}var p,f=[];if(e.rules){if(!Array.isArray(e.rules))throw new TypeError("Rules property must be an array");e.rules.forEach((function(e){if(!e.id)throw new TypeError("Configured rule ".concat(JSON.stringify(e)," is invalid. Rules must be an object with at least an id property"));f.push(e.id),t.addRule(e)}))}if(e.disableOtherRules&&t.rules.forEach((function(e){!1===f.includes(e.id)&&(e.enabled=!1)})),void 0!==e.branding?t.setBranding(e.branding):t._constructHelpUrls(),e.tagExclude&&(t.tagExclude=e.tagExclude),e.locale&&t.applyLocale(e.locale),e.standards&&(p=e.standards,Object.keys(Lo).forEach((function(e){p[e]&&(Lo[e]=ar(Lo[e],p[e]))}))),e.noHtml&&(t.noHtml=!0),e.allowedOrigins){if(!Array.isArray(e.allowedOrigins))throw new TypeError("Allowed origins property must be an array");if(e.allowedOrigins.includes("*"))throw new Error('"*" is not allowed. Use "'.concat(tn.allOrigins,'" instead'));t.setAllowedOrigins(e.allowedOrigins)}},o.frameMessenger=function(e){Ga.updateMessenger(e)},o.getRules=function(e){var t=(e=e||[]).length?o._audit.rules.filter((function(t){return!!e.filter((function(e){return-1!==t.tags.indexOf(e)})).length})):o._audit.rules,n=o._audit.data.rules||{};return t.map((function(e){var t=n[e.id]||{};return{ruleId:e.id,description:t.description,help:t.help,helpUrl:t.helpUrl,tags:e.tags,actIds:e.actIds}}))},o._load=function(e){o._audit=new HD(e)},o.plugins={},o.registerPlugin=function(e){o.plugins[e.id]=new YD(e)},o.hasReporter=Rp,o.getReporter=_p,o.addReporter=function(e,t,n){Np[e]=t,n&&(xp=t)},o.reset=function(){var e=o._audit;if(!e)throw new Error("No audit configured");e.resetRulesAndChecks(),Object.keys(Lo).forEach((function(e){Lo[e]=jo[e]}))},o._runRules=WD,o.runVirtualRule=function(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{},a=(n.reporter=n.reporter||o._audit.reporter||"v1",o._selectorData={},t instanceof on||(t=new Bp(t)),xd(e));if(a)return a=(a=Object.create(a,{excludeHidden:{value:!1}})).runSync({initiator:!0,include:[t],exclude:[],frames:[],page:!1,focusable:!0,size:{},flatTree:[]},n),sp(a),mn(a),(a=bn([a])).violations.forEach((function(e){return e.nodes.forEach((function(e){e.failureSummary=ad(e)}))})),U({},pd(),a,{toolOptions:n});throw new Error("unknown rule \`"+e+"\`")},o.run=function(){for(var e=arguments.length,n=new Array(e),r=0;r<e;r++)n[r]=arguments[r];var u=n[0],i=!!a;if(!(c=t&&"Node"in t&&"NodeList"in t)||!i){if(!u||!u.ownerDocument)throw new Error('Required "window" or "document" globals not defined and cannot be deduced from the context. Either set the globals before running or pass in a valid Element.');i||(Kn.set("globalDocumentSet",!0),a=u.ownerDocument),c||(Kn.set("globalWindowSet",!0),t=a.defaultView)}u=(i=KD(n)).context;var l=i.options,s=void 0===(c=i.callback)?XD:c,c=(i=function(e){var t,n,a;return"function"==typeof Promise&&e===XD?t=new Promise((function(e,t){n=t,a=e})):a=n=XD,{thenable:t,reject:n,resolve:a}}(s)).thenable,d=i.resolve,p=i.reject;try{yn(o._audit,"No audit configured"),yn(!o._running,"Axe is already running. Use \`await axe.run()\` to wait for the previous run to finish before starting a new run.")}catch(e){i=e;var f=s;if(UD(),"function"!=typeof f||f===XD)throw i;return void f(i.message)}return o._running=!0,l.performanceTimer&&o.utils.performanceTimer.start(),o._runRules(u,l,(function(e,t){l.performanceTimer&&o.utils.performanceTimer.end();try{var n=e,a=l,r=function(e){o._running=!1,t();try{s(null,e)}catch(e){o.log(e)}d(e)};void 0!==(n=_p(a.reporter)(n,a,r))&&r(n)}catch(e){o._running=!1,t(),s(e),p(e)}}),(function(e){l.performanceTimer&&o.utils.performanceTimer.end(),o._running=!1,UD(),s(e),p(e)})),c},o.setup=function(e){if(o._tree)throw new Error("Axe is already setup. Call \`axe.teardown()\` before calling \`axe.setup\` again.");return o._tree=td(e),o._selectorData=qn(o._tree),o._tree[0]},o.teardown=GD,o.runPartial=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var a=(r=KD(t)).options,r=r.context,u=(yn(o._audit,"Axe is not configured. Audit is missing."),yn(!o._running,"Axe is already running. Use \`await axe.run()\` to wait for the previous run to finish before starting a new run."),new Ed(r,o._tree));return o._tree=u.flatTree,o._selectorData=qn(u.flatTree),o._running=!0,new Promise((function(e,t){o._audit.run(u,a,e,t)})).then((function(e){e=e.map((function(e){var t=e.nodes;e=V(e,v);return U({nodes:t.map(ZD)},e)}));var t,n=u.frames.map((function(e){return e=e.node,new Jn(e,a).toJSON()}));return u.initiator&&(t=pd()),o._running=!1,GD(),{results:e,frames:n,environmentData:t}})).catch((function(e){return o._running=!1,GD(),Promise.reject(e)}))},o.finishRun=function(e){var t,n=ea(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}),a=(e.find((function(e){return e.environmentData}))||{}).environmentData;o._audit.normalizeOptions(n),n.reporter=null!=(p=null!=(p=n.reporter)?p:null==(p=o._audit)?void 0:p.reporter)?p:"v1";var r=[],u=Q(p=e);try{for(u.s();!(t=u.n()).done;){var i,l=t.value,s=r.shift();l&&(l.frameSpec=null!=s?s:null,i=function(e){var t=e.frames,n=e.frameSpec;return n?t.map((function(e){return Jn.mergeSpecs(e,n)})):t}(l),r.unshift.apply(r,$(i)))}}catch(e){u.e(e)}finally{u.f()}var c,d,p=er(e);return(p=o._audit.after(p,n)).forEach(sp),p=p.map(mn),c=p,d=U({environmentData:a},n),new Promise((function(e){_p(d.reporter)(c,d,e)}))},o.commons=Ll,o.utils=un,o.addReporter("na",(function(e,t,n){console.warn('"na" reporter will be deprecated in axe v4.0. Use the "v2" reporter instead.'),"function"==typeof t&&(n=t,t={});var a=t.environmentData,r=V(r=t,w);n(U({},pd(a),{toolOptions:r},ud(e,t)))})),o.addReporter("no-passes",(function(e,t,n){"function"==typeof t&&(n=t,t={});var a=t.environmentData,r=V(r=t,E);t.resultTypes=["violations"],e=ud(e,t).violations,n(U({},pd(a),{toolOptions:r,violations:e}))})),o.addReporter("rawEnv",(function(e,t,n){"function"==typeof t&&(n=t,t={});var a=t.environmentData;t=V(t,x),JD(e,t,(function(e){var t=pd(a);n({raw:e,env:t})}))})),o.addReporter("raw",JD),o.addReporter("v1",(function(e,t,n){function a(e){e.nodes.forEach((function(e){e.failureSummary=ad(e)}))}"function"==typeof t&&(n=t,t={});var r=t.environmentData,o=V(o=t,A);(e=ud(e,t)).incomplete.forEach(a),e.violations.forEach(a),n(U({},pd(r),{toolOptions:o},e))})),o.addReporter("v2",(function(e,t,n){"function"==typeof t&&(n=t,t={});var a=t.environmentData,r=V(r=t,k);e=ud(e,t),n(U({},pd(a),{toolOptions:r},e))}),!0),o._load({lang:"en",data:{rules:{accesskeys:{description:"Ensures every accesskey attribute value is unique",help:"accesskey attribute value should be unique"},"area-alt":{description:"Ensures <area> elements of image maps have alternate text",help:"Active <area> elements must have alternate text"},"aria-allowed-attr":{description:"Ensures ARIA attributes are allowed for an element's role",help:"Elements must only use allowed ARIA attributes"},"aria-allowed-role":{description:"Ensures role attribute has an appropriate value for the element",help:"ARIA role should be appropriate for the element"},"aria-command-name":{description:"Ensures every ARIA button, link and menuitem has an accessible name",help:"ARIA commands must have an accessible name"},"aria-dialog-name":{description:"Ensures every ARIA dialog and alertdialog node has an accessible name",help:"ARIA dialog and alertdialog nodes should have an accessible name"},"aria-hidden-body":{description:"Ensures aria-hidden='true' is not present on the document body.",help:"aria-hidden='true' must not be present on the document body"},"aria-hidden-focus":{description:"Ensures aria-hidden elements are not focusable nor contain focusable elements",help:"ARIA hidden element must not be focusable or contain focusable elements"},"aria-input-field-name":{description:"Ensures every ARIA input field has an accessible name",help:"ARIA input fields must have an accessible name"},"aria-meter-name":{description:"Ensures every ARIA meter node has an accessible name",help:"ARIA meter nodes must have an accessible name"},"aria-progressbar-name":{description:"Ensures every ARIA progressbar node has an accessible name",help:"ARIA progressbar nodes must have an accessible name"},"aria-required-attr":{description:"Ensures elements with ARIA roles have all required ARIA attributes",help:"Required ARIA attributes must be provided"},"aria-required-children":{description:"Ensures elements with an ARIA role that require child roles contain them",help:"Certain ARIA roles must contain particular children"},"aria-required-parent":{description:"Ensures elements with an ARIA role that require parent roles are contained by them",help:"Certain ARIA roles must be contained by particular parents"},"aria-roledescription":{description:"Ensure aria-roledescription is only used on elements with an implicit or explicit role",help:"aria-roledescription must be on elements with a semantic role"},"aria-roles":{description:"Ensures all elements with a role attribute use a valid value",help:"ARIA roles used must conform to valid values"},"aria-text":{description:'Ensures "role=text" is used on elements with no focusable descendants',help:'"role=text" should have no focusable descendants'},"aria-toggle-field-name":{description:"Ensures every ARIA toggle field has an accessible name",help:"ARIA toggle fields must have an accessible name"},"aria-tooltip-name":{description:"Ensures every ARIA tooltip node has an accessible name",help:"ARIA tooltip nodes must have an accessible name"},"aria-treeitem-name":{description:"Ensures every ARIA treeitem node has an accessible name",help:"ARIA treeitem nodes should have an accessible name"},"aria-valid-attr-value":{description:"Ensures all ARIA attributes have valid values",help:"ARIA attributes must conform to valid values"},"aria-valid-attr":{description:"Ensures attributes that begin with aria- are valid ARIA attributes",help:"ARIA attributes must conform to valid names"},"audio-caption":{description:"Ensures <audio> elements have captions",help:"<audio> elements must have a captions track"},"autocomplete-valid":{description:"Ensure the autocomplete attribute is correct and suitable for the form field",help:"autocomplete attribute must be used correctly"},"avoid-inline-spacing":{description:"Ensure that text spacing set through style attributes can be adjusted with custom stylesheets",help:"Inline text spacing must be adjustable with custom stylesheets"},blink:{description:"Ensures <blink> elements are not used",help:"<blink> elements are deprecated and must not be used"},"button-name":{description:"Ensures buttons have discernible text",help:"Buttons must have discernible text"},bypass:{description:"Ensures each page has at least one mechanism for a user to bypass navigation and jump straight to the content",help:"Page must have means to bypass repeated blocks"},"color-contrast-enhanced":{description:"Ensures the contrast between foreground and background colors meets WCAG 2 AAA enhanced contrast ratio thresholds",help:"Elements must meet enhanced color contrast ratio thresholds"},"color-contrast":{description:"Ensures the contrast between foreground and background colors meets WCAG 2 AA minimum contrast ratio thresholds",help:"Elements must meet minimum color contrast ratio thresholds"},"css-orientation-lock":{description:"Ensures content is not locked to any specific display orientation, and the content is operable in all display orientations",help:"CSS Media queries must not lock display orientation"},"definition-list":{description:"Ensures <dl> elements are structured correctly",help:"<dl> elements must only directly contain properly-ordered <dt> and <dd> groups, <script>, <template> or <div> elements"},dlitem:{description:"Ensures <dt> and <dd> elements are contained by a <dl>",help:"<dt> and <dd> elements must be contained by a <dl>"},"document-title":{description:"Ensures each HTML document contains a non-empty <title> element",help:"Documents must have <title> element to aid in navigation"},"duplicate-id-active":{description:"Ensures every id attribute value of active elements is unique",help:"IDs of active elements must be unique"},"duplicate-id-aria":{description:"Ensures every id attribute value used in ARIA and in labels is unique",help:"IDs used in ARIA and labels must be unique"},"duplicate-id":{description:"Ensures every id attribute value is unique",help:"id attribute value must be unique"},"empty-heading":{description:"Ensures headings have discernible text",help:"Headings should not be empty"},"empty-table-header":{description:"Ensures table headers have discernible text",help:"Table header text should not be empty"},"focus-order-semantics":{description:"Ensures elements in the focus order have a role appropriate for interactive content",help:"Elements in the focus order should have an appropriate role"},"form-field-multiple-labels":{description:"Ensures form field does not have multiple label elements",help:"Form field must not have multiple label elements"},"frame-focusable-content":{description:"Ensures <frame> and <iframe> elements with focusable content do not have tabindex=-1",help:"Frames with focusable content must not have tabindex=-1"},"frame-tested":{description:"Ensures <iframe> and <frame> elements contain the axe-core script",help:"Frames should be tested with axe-core"},"frame-title-unique":{description:"Ensures <iframe> and <frame> elements contain a unique title attribute",help:"Frames must have a unique title attribute"},"frame-title":{description:"Ensures <iframe> and <frame> elements have an accessible name",help:"Frames must have an accessible name"},"heading-order":{description:"Ensures the order of headings is semantically correct",help:"Heading levels should only increase by one"},"hidden-content":{description:"Informs users about hidden content.",help:"Hidden content on the page should be analyzed"},"html-has-lang":{description:"Ensures every HTML document has a lang attribute",help:"<html> element must have a lang attribute"},"html-lang-valid":{description:"Ensures the lang attribute of the <html> element has a valid value",help:"<html> element must have a valid value for the lang attribute"},"html-xml-lang-mismatch":{description:"Ensure that HTML elements with both valid lang and xml:lang attributes agree on the base language of the page",help:"HTML elements with lang and xml:lang must have the same base language"},"identical-links-same-purpose":{description:"Ensure that links with the same accessible name serve a similar purpose",help:"Links with the same name must have a similar purpose"},"image-alt":{description:"Ensures <img> elements have alternate text or a role of none or presentation",help:"Images must have alternate text"},"image-redundant-alt":{description:"Ensure image alternative is not repeated as text",help:"Alternative text of images should not be repeated as text"},"input-button-name":{description:"Ensures input buttons have discernible text",help:"Input buttons must have discernible text"},"input-image-alt":{description:'Ensures <input type="image"> elements have alternate text',help:"Image buttons must have alternate text"},"label-content-name-mismatch":{description:"Ensures that elements labelled through their content must have their visible text as part of their accessible name",help:"Elements must have their visible text as part of their accessible name"},"label-title-only":{description:"Ensures that every form element has a visible label and is not solely labeled using hidden labels, or the title or aria-describedby attributes",help:"Form elements should have a visible label"},label:{description:"Ensures every form element has a label",help:"Form elements must have labels"},"landmark-banner-is-top-level":{description:"Ensures the banner landmark is at top level",help:"Banner landmark should not be contained in another landmark"},"landmark-complementary-is-top-level":{description:"Ensures the complementary landmark or aside is at top level",help:"Aside should not be contained in another landmark"},"landmark-contentinfo-is-top-level":{description:"Ensures the contentinfo landmark is at top level",help:"Contentinfo landmark should not be contained in another landmark"},"landmark-main-is-top-level":{description:"Ensures the main landmark is at top level",help:"Main landmark should not be contained in another landmark"},"landmark-no-duplicate-banner":{description:"Ensures the document has at most one banner landmark",help:"Document should not have more than one banner landmark"},"landmark-no-duplicate-contentinfo":{description:"Ensures the document has at most one contentinfo landmark",help:"Document should not have more than one contentinfo landmark"},"landmark-no-duplicate-main":{description:"Ensures the document has at most one main landmark",help:"Document should not have more than one main landmark"},"landmark-one-main":{description:"Ensures the document has a main landmark",help:"Document should have one main landmark"},"landmark-unique":{help:"Ensures landmarks are unique",description:"Landmarks should have a unique role or role/label/title (i.e. accessible name) combination"},"link-in-text-block":{description:"Ensure links are distinguished from surrounding text in a way that does not rely on color",help:"Links must be distinguishable without relying on color"},"link-name":{description:"Ensures links have discernible text",help:"Links must have discernible text"},list:{description:"Ensures that lists are structured correctly",help:"<ul> and <ol> must only directly contain <li>, <script> or <template> elements"},listitem:{description:"Ensures <li> elements are used semantically",help:"<li> elements must be contained in a <ul> or <ol>"},marquee:{description:"Ensures <marquee> elements are not used",help:"<marquee> elements are deprecated and must not be used"},"meta-refresh-no-exceptions":{description:'Ensures <meta http-equiv="refresh"> is not used for delayed refresh',help:"Delayed refresh must not be used"},"meta-refresh":{description:'Ensures <meta http-equiv="refresh"> is not used for delayed refresh',help:"Delayed refresh under 20 hours must not be used"},"meta-viewport-large":{description:'Ensures <meta name="viewport"> can scale a significant amount',help:"Users should be able to zoom and scale the text up to 500%"},"meta-viewport":{description:'Ensures <meta name="viewport"> does not disable text scaling and zooming',help:"Zooming and scaling must not be disabled"},"nested-interactive":{description:"Ensures interactive controls are not nested as they are not always announced by screen readers or can cause focus problems for assistive technologies",help:"Interactive controls must not be nested"},"no-autoplay-audio":{description:"Ensures <video> or <audio> elements do not autoplay audio for more than 3 seconds without a control mechanism to stop or mute the audio",help:"<video> or <audio> elements must not play automatically"},"object-alt":{description:"Ensures <object> elements have alternate text",help:"<object> elements must have alternate text"},"p-as-heading":{description:"Ensure bold, italic text and font-size is not used to style <p> elements as a heading",help:"Styled <p> elements must not be used as headings"},"page-has-heading-one":{description:"Ensure that the page, or at least one of its frames contains a level-one heading",help:"Page should contain a level-one heading"},"presentation-role-conflict":{description:"Elements marked as presentational should not have global ARIA or tabindex to ensure all screen readers ignore them",help:"Ensure elements marked as presentational are consistently ignored"},region:{description:"Ensures all page content is contained by landmarks",help:"All page content should be contained by landmarks"},"role-img-alt":{description:"Ensures [role='img'] elements have alternate text",help:"[role='img'] elements must have an alternative text"},"scope-attr-valid":{description:"Ensures the scope attribute is used correctly on tables",help:"scope attribute should be used correctly"},"scrollable-region-focusable":{description:"Ensure elements that have scrollable content are accessible by keyboard",help:"Scrollable region must have keyboard access"},"select-name":{description:"Ensures select element has an accessible name",help:"Select element must have an accessible name"},"server-side-image-map":{description:"Ensures that server-side image maps are not used",help:"Server-side image maps must not be used"},"skip-link":{description:"Ensure all skip links have a focusable target",help:"The skip-link target should exist and be focusable"},"svg-img-alt":{description:"Ensures <svg> elements with an img, graphics-document or graphics-symbol role have an accessible text",help:"<svg> elements with an img role must have an alternative text"},tabindex:{description:"Ensures tabindex attribute values are not greater than 0",help:"Elements should not have tabindex greater than zero"},"table-duplicate-name":{description:"Ensure the <caption> element does not contain the same text as the summary attribute",help:"tables should not have the same summary and caption"},"table-fake-caption":{description:"Ensure that tables with a caption use the <caption> element.",help:"Data or header cells must not be used to give caption to a data table."},"target-size":{description:"Ensure touch target have sufficient size and space",help:"All touch targets must be 24px large, or leave sufficient space"},"td-has-header":{description:"Ensure that each non-empty data cell in a <table> larger than 3 by 3  has one or more table headers",help:"Non-empty <td> elements in larger <table> must have an associated table header"},"td-headers-attr":{description:"Ensure that each cell in a table that uses the headers attribute refers only to other cells in that table",help:"Table cells that use the headers attribute must only refer to cells in the same table"},"th-has-data-cells":{description:"Ensure that <th> elements and elements with role=columnheader/rowheader have data cells they describe",help:"Table headers in a data table must refer to data cells"},"valid-lang":{description:"Ensures lang attributes have valid values",help:"lang attribute must have a valid value"},"video-caption":{description:"Ensures <video> elements have captions",help:"<video> elements must have captions"}},checks:{abstractrole:{impact:"serious",messages:{pass:"Abstract roles are not used",fail:{singular:"Abstract role cannot be directly used: \${data.values}",plural:"Abstract roles cannot be directly used: \${data.values}"}}},"aria-allowed-attr":{impact:"critical",messages:{pass:"ARIA attributes are used correctly for the defined role",fail:{singular:"ARIA attribute is not allowed: \${data.values}",plural:"ARIA attributes are not allowed: \${data.values}"},incomplete:"Check that there is no problem if the ARIA attribute is ignored on this element: \${data.values}"}},"aria-allowed-role":{impact:"minor",messages:{pass:"ARIA role is allowed for given element",fail:{singular:"ARIA role \${data.values} is not allowed for given element",plural:"ARIA roles \${data.values} are not allowed for given element"},incomplete:{singular:"ARIA role \${data.values} must be removed when the element is made visible, as it is not allowed for the element",plural:"ARIA roles \${data.values} must be removed when the element is made visible, as they are not allowed for the element"}}},"aria-busy":{impact:"serious",messages:{pass:"Element has an aria-busy attribute",fail:'Element uses aria-busy="true" while showing a loader'}},"aria-conditional-attr":{impact:"serious",messages:{pass:"ARIA attribute is allowed",fail:{checkbox:'Remove aria-checked, or set it to "\${data.checkState}" to match the real checkbox state',rowSingular:"This attribute is supported with treegrid rows, but not \${data.ownerRole}: \${data.invalidAttrs}",rowPlural:"These attributes are supported with treegrid rows, but not \${data.ownerRole}: \${data.invalidAttrs}"}}},"aria-errormessage":{impact:"critical",messages:{pass:"aria-errormessage exists and references elements visible to screen readers that use a supported aria-errormessage technique",fail:{singular:"aria-errormessage value \`\${data.values}\` must use a technique to announce the message (e.g., aria-live, aria-describedby, role=alert, etc.)",plural:"aria-errormessage values \`\${data.values}\` must use a technique to announce the message (e.g., aria-live, aria-describedby, role=alert, etc.)",hidden:"aria-errormessage value \`\${data.values}\` cannot reference a hidden element"},incomplete:{singular:"ensure aria-errormessage value \`\${data.values}\` references an existing element",plural:"ensure aria-errormessage values \`\${data.values}\` reference existing elements",idrefs:"unable to determine if aria-errormessage element exists on the page: \${data.values}"}}},"aria-hidden-body":{impact:"critical",messages:{pass:"No aria-hidden attribute is present on document body",fail:"aria-hidden=true should not be present on the document body"}},"aria-level":{impact:"serious",messages:{pass:"aria-level values are valid",incomplete:"aria-level values greater than 6 are not supported in all screenreader and browser combinations"}},"aria-prohibited-attr":{impact:"serious",messages:{pass:"ARIA attribute is allowed",fail:{hasRolePlural:'\${data.prohibited} attributes cannot be used with role "\${data.role}".',hasRoleSingular:'\${data.prohibited} attribute cannot be used with role "\${data.role}".',noRolePlural:"\${data.prohibited} attributes cannot be used on a \${data.nodeName} with no valid role attribute.",noRoleSingular:"\${data.prohibited} attribute cannot be used on a \${data.nodeName} with no valid role attribute."},incomplete:{hasRoleSingular:'\${data.prohibited} attribute is not well supported with role "\${data.role}".',hasRolePlural:'\${data.prohibited} attributes are not well supported with role "\${data.role}".',noRoleSingular:"\${data.prohibited} attribute is not well supported on a \${data.nodeName} with no valid role attribute.",noRolePlural:"\${data.prohibited} attributes are not well supported on a \${data.nodeName} with no valid role attribute."}}},"aria-required-attr":{impact:"critical",messages:{pass:"All required ARIA attributes are present",fail:{singular:"Required ARIA attribute not present: \${data.values}",plural:"Required ARIA attributes not present: \${data.values}"}}},"aria-required-children":{impact:"critical",messages:{pass:"Required ARIA children are present",fail:{singular:"Required ARIA child role not present: \${data.values}",plural:"Required ARIA children role not present: \${data.values}",unallowed:"Element has children which are not allowed: \${data.values}"},incomplete:{singular:"Expecting ARIA child role to be added: \${data.values}",plural:"Expecting ARIA children role to be added: \${data.values}"}}},"aria-required-parent":{impact:"critical",messages:{pass:"Required ARIA parent role present",fail:{singular:"Required ARIA parent role not present: \${data.values}",plural:"Required ARIA parents role not present: \${data.values}"}}},"aria-roledescription":{impact:"serious",messages:{pass:"aria-roledescription used on a supported semantic role",incomplete:"Check that the aria-roledescription is announced by supported screen readers",fail:"Give the element a role that supports aria-roledescription"}},"aria-unsupported-attr":{impact:"critical",messages:{pass:"ARIA attribute is supported",fail:"ARIA attribute is not widely supported in screen readers and assistive technologies: \${data.values}"}},"aria-valid-attr-value":{impact:"critical",messages:{pass:"ARIA attribute values are valid",fail:{singular:"Invalid ARIA attribute value: \${data.values}",plural:"Invalid ARIA attribute values: \${data.values}"},incomplete:{noId:"ARIA attribute element ID does not exist on the page: \${data.needsReview}",noIdShadow:"ARIA attribute element ID does not exist on the page or is a descendant of a different shadow DOM tree: \${data.needsReview}",ariaCurrent:'ARIA attribute value is invalid and will be treated as "aria-current=true": \${data.needsReview}',idrefs:"Unable to determine if ARIA attribute element ID exists on the page: \${data.needsReview}",empty:"ARIA attribute value is ignored while empty: \${data.needsReview}"}}},"aria-valid-attr":{impact:"critical",messages:{pass:"ARIA attribute name is valid",fail:{singular:"Invalid ARIA attribute name: \${data.values}",plural:"Invalid ARIA attribute names: \${data.values}"}}},deprecatedrole:{impact:"minor",messages:{pass:"ARIA role is not deprecated",fail:"The role used is deprecated: \${data}"}},fallbackrole:{impact:"serious",messages:{pass:"Only one role value used",fail:"Use only one role value, since fallback roles are not supported in older browsers",incomplete:"Use only role 'presentation' or 'none' since they are synonymous."}},"has-global-aria-attribute":{impact:"minor",messages:{pass:{singular:"Element has global ARIA attribute: \${data.values}",plural:"Element has global ARIA attributes: \${data.values}"},fail:"Element does not have global ARIA attribute"}},"has-widget-role":{impact:"minor",messages:{pass:"Element has a widget role.",fail:"Element does not have a widget role."}},invalidrole:{impact:"critical",messages:{pass:"ARIA role is valid",fail:{singular:"Role must be one of the valid ARIA roles: \${data.values}",plural:"Roles must be one of the valid ARIA roles: \${data.values}"}}},"is-element-focusable":{impact:"minor",messages:{pass:"Element is focusable.",fail:"Element is not focusable."}},"no-implicit-explicit-label":{impact:"moderate",messages:{pass:"There is no mismatch between a <label> and accessible name",incomplete:"Check that the <label> does not need be part of the ARIA \${data} field's name"}},unsupportedrole:{impact:"critical",messages:{pass:"ARIA role is supported",fail:"The role used is not widely supported in screen readers and assistive technologies: \${data}"}},"valid-scrollable-semantics":{impact:"minor",messages:{pass:"Element has valid semantics for an element in the focus order.",fail:"Element has invalid semantics for an element in the focus order."}},"color-contrast-enhanced":{impact:"serious",messages:{pass:"Element has sufficient color contrast of \${data.contrastRatio}",fail:{default:"Element has insufficient color contrast of \${data.contrastRatio} (foreground color: \${data.fgColor}, background color: \${data.bgColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}",fgOnShadowColor:"Element has insufficient color contrast of \${data.contrastRatio} between the foreground and shadow color (foreground color: \${data.fgColor}, text-shadow color: \${data.shadowColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}",shadowOnBgColor:"Element has insufficient color contrast of \${data.contrastRatio} between the shadow color and background color (text-shadow color: \${data.shadowColor}, background color: \${data.bgColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}"},incomplete:{default:"Unable to determine contrast ratio",bgImage:"Element's background color could not be determined due to a background image",bgGradient:"Element's background color could not be determined due to a background gradient",imgNode:"Element's background color could not be determined because element contains an image node",bgOverlap:"Element's background color could not be determined because it is overlapped by another element",fgAlpha:"Element's foreground color could not be determined because of alpha transparency",elmPartiallyObscured:"Element's background color could not be determined because it's partially obscured by another element",elmPartiallyObscuring:"Element's background color could not be determined because it partially overlaps other elements",outsideViewport:"Element's background color could not be determined because it's outside the viewport",equalRatio:"Element has a 1:1 contrast ratio with the background",shortTextContent:"Element content is too short to determine if it is actual text content",nonBmp:"Element content contains only non-text characters",pseudoContent:"Element's background color could not be determined due to a pseudo element"}}},"color-contrast":{impact:"serious",messages:{pass:{default:"Element has sufficient color contrast of \${data.contrastRatio}",hidden:"Element is hidden"},fail:{default:"Element has insufficient color contrast of \${data.contrastRatio} (foreground color: \${data.fgColor}, background color: \${data.bgColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}",fgOnShadowColor:"Element has insufficient color contrast of \${data.contrastRatio} between the foreground and shadow color (foreground color: \${data.fgColor}, text-shadow color: \${data.shadowColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}",shadowOnBgColor:"Element has insufficient color contrast of \${data.contrastRatio} between the shadow color and background color (text-shadow color: \${data.shadowColor}, background color: \${data.bgColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}"},incomplete:{default:"Unable to determine contrast ratio",bgImage:"Element's background color could not be determined due to a background image",bgGradient:"Element's background color could not be determined due to a background gradient",imgNode:"Element's background color could not be determined because element contains an image node",bgOverlap:"Element's background color could not be determined because it is overlapped by another element",fgAlpha:"Element's foreground color could not be determined because of alpha transparency",elmPartiallyObscured:"Element's background color could not be determined because it's partially obscured by another element",elmPartiallyObscuring:"Element's background color could not be determined because it partially overlaps other elements",outsideViewport:"Element's background color could not be determined because it's outside the viewport",equalRatio:"Element has a 1:1 contrast ratio with the background",shortTextContent:"Element content is too short to determine if it is actual text content",nonBmp:"Element content contains only non-text characters",pseudoContent:"Element's background color could not be determined due to a pseudo element"}}},"link-in-text-block-style":{impact:"serious",messages:{pass:"Links can be distinguished from surrounding text by visual styling",incomplete:{default:"Check if the link needs styling to distinguish it from nearby text",pseudoContent:"Check if the link's pseudo style is sufficient to distinguish it from the surrounding text"},fail:"The link has no styling (such as underline) to distinguish it from the surrounding text"}},"link-in-text-block":{impact:"serious",messages:{pass:"Links can be distinguished from surrounding text in some way other than by color",fail:{fgContrast:"The link has insufficient color contrast of \${data.contrastRatio}:1 with the surrounding text. (Minimum contrast is \${data.requiredContrastRatio}:1, link text: \${data.nodeColor}, surrounding text: \${data.parentColor})",bgContrast:"The link background has insufficient color contrast of \${data.contrastRatio} (Minimum contrast is \${data.requiredContrastRatio}:1, link background color: \${data.nodeBackgroundColor}, surrounding background color: \${data.parentBackgroundColor})"},incomplete:{default:"Element's foreground contrast ratio could not be determined",bgContrast:"Element's background contrast ratio could not be determined",bgImage:"Element's contrast ratio could not be determined due to a background image",bgGradient:"Element's contrast ratio could not be determined due to a background gradient",imgNode:"Element's contrast ratio could not be determined because element contains an image node",bgOverlap:"Element's contrast ratio could not be determined because of element overlap"}}},"autocomplete-appropriate":{impact:"serious",messages:{pass:"the autocomplete value is on an appropriate element",fail:"the autocomplete value is inappropriate for this type of input"}},"autocomplete-valid":{impact:"serious",messages:{pass:"the autocomplete attribute is correctly formatted",fail:"the autocomplete attribute is incorrectly formatted"}},accesskeys:{impact:"serious",messages:{pass:"Accesskey attribute value is unique",fail:"Document has multiple elements with the same accesskey"}},"focusable-content":{impact:"serious",messages:{pass:"Element contains focusable elements",fail:"Element should have focusable content"}},"focusable-disabled":{impact:"serious",messages:{pass:"No focusable elements contained within element",incomplete:"Check if the focusable elements immediately move the focus indicator",fail:"Focusable content should be disabled or be removed from the DOM"}},"focusable-element":{impact:"serious",messages:{pass:"Element is focusable",fail:"Element should be focusable"}},"focusable-modal-open":{impact:"serious",messages:{pass:"No focusable elements while a modal is open",incomplete:"Check that focusable elements are not tabbable in the current state"}},"focusable-no-name":{impact:"serious",messages:{pass:"Element is not in tab order or has accessible text",fail:"Element is in tab order and does not have accessible text",incomplete:"Unable to determine if element has an accessible name"}},"focusable-not-tabbable":{impact:"serious",messages:{pass:"No focusable elements contained within element",incomplete:"Check if the focusable elements immediately move the focus indicator",fail:"Focusable content should have tabindex='-1' or be removed from the DOM"}},"frame-focusable-content":{impact:"serious",messages:{pass:"Element does not have focusable descendants",fail:"Element has focusable descendants",incomplete:"Could not determine if element has descendants"}},"landmark-is-top-level":{impact:"moderate",messages:{pass:"The \${data.role} landmark is at the top level.",fail:"The \${data.role} landmark is contained in another landmark."}},"no-focusable-content":{impact:"serious",messages:{pass:"Element does not have focusable descendants",fail:{default:"Element has focusable descendants",notHidden:"Using a negative tabindex on an element inside an interactive control does not prevent assistive technologies from focusing the element (even with 'aria-hidden=true')"},incomplete:"Could not determine if element has descendants"}},"page-has-heading-one":{impact:"moderate",messages:{pass:"Page has at least one level-one heading",fail:"Page must have a level-one heading"}},"page-has-main":{impact:"moderate",messages:{pass:"Document has at least one main landmark",fail:"Document does not have a main landmark"}},"page-no-duplicate-banner":{impact:"moderate",messages:{pass:"Document does not have more than one banner landmark",fail:"Document has more than one banner landmark"}},"page-no-duplicate-contentinfo":{impact:"moderate",messages:{pass:"Document does not have more than one contentinfo landmark",fail:"Document has more than one contentinfo landmark"}},"page-no-duplicate-main":{impact:"moderate",messages:{pass:"Document does not have more than one main landmark",fail:"Document has more than one main landmark"}},tabindex:{impact:"serious",messages:{pass:"Element does not have a tabindex greater than 0",fail:"Element has a tabindex greater than 0"}},"alt-space-value":{impact:"critical",messages:{pass:"Element has a valid alt attribute value",fail:"Element has an alt attribute containing only a space character, which is not ignored by all screen readers"}},"duplicate-img-label":{impact:"minor",messages:{pass:"Element does not duplicate existing text in <img> alt text",fail:"Element contains <img> element with alt text that duplicates existing text"}},"explicit-label":{impact:"critical",messages:{pass:"Form element has an explicit <label>",fail:"Form element does not have an explicit <label>",incomplete:"Unable to determine if form element has an explicit <label>"}},"help-same-as-label":{impact:"minor",messages:{pass:"Help text (title or aria-describedby) does not duplicate label text",fail:"Help text (title or aria-describedby) text is the same as the label text"}},"hidden-explicit-label":{impact:"critical",messages:{pass:"Form element has a visible explicit <label>",fail:"Form element has explicit <label> that is hidden",incomplete:"Unable to determine if form element has explicit <label> that is hidden"}},"implicit-label":{impact:"critical",messages:{pass:"Form element has an implicit (wrapped) <label>",fail:"Form element does not have an implicit (wrapped) <label>",incomplete:"Unable to determine if form element has an implicit (wrapped} <label>"}},"label-content-name-mismatch":{impact:"serious",messages:{pass:"Element contains visible text as part of it's accessible name",fail:"Text inside the element is not included in the accessible name"}},"multiple-label":{impact:"moderate",messages:{pass:"Form field does not have multiple label elements",incomplete:"Multiple label elements is not widely supported in assistive technologies. Ensure the first label contains all necessary information."}},"title-only":{impact:"serious",messages:{pass:"Form element does not solely use title attribute for its label",fail:"Only title used to generate label for form element"}},"landmark-is-unique":{impact:"moderate",messages:{pass:"Landmarks must have a unique role or role/label/title (i.e. accessible name) combination",fail:"The landmark must have a unique aria-label, aria-labelledby, or title to make landmarks distinguishable"}},"has-lang":{impact:"serious",messages:{pass:"The <html> element has a lang attribute",fail:{noXHTML:"The xml:lang attribute is not valid on HTML pages, use the lang attribute.",noLang:"The <html> element does not have a lang attribute"}}},"valid-lang":{impact:"serious",messages:{pass:"Value of lang attribute is included in the list of valid languages",fail:"Value of lang attribute not included in the list of valid languages"}},"xml-lang-mismatch":{impact:"moderate",messages:{pass:"Lang and xml:lang attributes have the same base language",fail:"Lang and xml:lang attributes do not have the same base language"}},dlitem:{impact:"serious",messages:{pass:"Description list item has a <dl> parent element",fail:"Description list item does not have a <dl> parent element"}},listitem:{impact:"serious",messages:{pass:'List item has a <ul>, <ol> or role="list" parent element',fail:{default:"List item does not have a <ul>, <ol> parent element",roleNotValid:'List item does not have a <ul>, <ol> parent element without a role, or a role="list"'}}},"only-dlitems":{impact:"serious",messages:{pass:"dl element only has direct children that are allowed inside; <dt>, <dd>, or <div> elements",fail:"dl element has direct children that are not allowed: \${data.values}"}},"only-listitems":{impact:"serious",messages:{pass:"List element only has direct children that are allowed inside <li> elements",fail:"List element has direct children that are not allowed: \${data.values}"}},"structured-dlitems":{impact:"serious",messages:{pass:"When not empty, element has both <dt> and <dd> elements",fail:"When not empty, element does not have at least one <dt> element followed by at least one <dd> element"}},caption:{impact:"critical",messages:{pass:"The multimedia element has a captions track",incomplete:"Check that captions is available for the element"}},"frame-tested":{impact:"critical",messages:{pass:"The iframe was tested with axe-core",fail:"The iframe could not be tested with axe-core",incomplete:"The iframe still has to be tested with axe-core"}},"no-autoplay-audio":{impact:"moderate",messages:{pass:"<video> or <audio> does not output audio for more than allowed duration or has controls mechanism",fail:"<video> or <audio> outputs audio for more than allowed duration and does not have a controls mechanism",incomplete:"Check that the <video> or <audio> does not output audio for more than allowed duration or provides a controls mechanism"}},"css-orientation-lock":{impact:"serious",messages:{pass:"Display is operable, and orientation lock does not exist",fail:"CSS Orientation lock is applied, and makes display inoperable",incomplete:"CSS Orientation lock cannot be determined"}},"meta-viewport-large":{impact:"minor",messages:{pass:"<meta> tag does not prevent significant zooming on mobile devices",fail:"<meta> tag limits zooming on mobile devices"}},"meta-viewport":{impact:"critical",messages:{pass:"<meta> tag does not disable zooming on mobile devices",fail:"\${data} on <meta> tag disables zooming on mobile devices"}},"target-offset":{impact:"serious",messages:{pass:"Target has sufficient offset from its closest neighbor (\${data.closestOffset}px should be at least \${data.minOffset}px)",fail:"Target has insufficient offset from its closest neighbor (\${data.closestOffset}px should be at least \${data.minOffset}px)",incomplete:{default:"Element with negative tabindex has insufficient offset from its closest neighbor (\${data.closestOffset}px should be at least \${data.minOffset}px). Is this a target?",nonTabbableNeighbor:"Target has insufficient offset from a neighbor with negative tabindex (\${data.closestOffset}px should be at least \${data.minOffset}px). Is the neighbor a target?"}}},"target-size":{impact:"serious",messages:{pass:{default:"Control has sufficient size (\${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px)",obscured:"Control is ignored because it is fully obscured and thus not clickable"},fail:{default:"Target has insufficient size (\${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px)",partiallyObscured:"Target has insufficient size because it is partially obscured (smallest space is \${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px)"},incomplete:{default:"Element with negative tabindex has insufficient size (\${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px). Is this a target?",contentOverflow:"Element size could not be accurately determined due to overflow content",partiallyObscured:"Element with negative tabindex has insufficient size because it is partially obscured (smallest space is \${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px). Is this a target?",partiallyObscuredNonTabbable:"Target has insufficient size because it is partially obscured by a neighbor with negative tabindex (smallest space is \${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px). Is the neighbor a target?"}}},"header-present":{impact:"serious",messages:{pass:"Page has a heading",fail:"Page does not have a heading"}},"heading-order":{impact:"moderate",messages:{pass:"Heading order valid",fail:"Heading order invalid",incomplete:"Unable to determine previous heading"}},"identical-links-same-purpose":{impact:"minor",messages:{pass:"There are no other links with the same name, that go to a different URL",incomplete:"Check that links have the same purpose, or are intentionally ambiguous."}},"internal-link-present":{impact:"serious",messages:{pass:"Valid skip link found",fail:"No valid skip link found"}},landmark:{impact:"serious",messages:{pass:"Page has a landmark region",fail:"Page does not have a landmark region"}},"meta-refresh-no-exceptions":{impact:"minor",messages:{pass:"<meta> tag does not immediately refresh the page",fail:"<meta> tag forces timed refresh of page"}},"meta-refresh":{impact:"critical",messages:{pass:"<meta> tag does not immediately refresh the page",fail:"<meta> tag forces timed refresh of page (less than 20 hours)"}},"p-as-heading":{impact:"serious",messages:{pass:"<p> elements are not styled as headings",fail:"Heading elements should be used instead of styled <p> elements",incomplete:"Unable to determine if <p> elements are styled as headings"}},region:{impact:"moderate",messages:{pass:"All page content is contained by landmarks",fail:"Some page content is not contained by landmarks"}},"skip-link":{impact:"moderate",messages:{pass:"Skip link target exists",incomplete:"Skip link target should become visible on activation",fail:"No skip link target"}},"unique-frame-title":{impact:"serious",messages:{pass:"Element's title attribute is unique",fail:"Element's title attribute is not unique"}},"duplicate-id-active":{impact:"serious",messages:{pass:"Document has no active elements that share the same id attribute",fail:"Document has active elements with the same id attribute: \${data}"}},"duplicate-id-aria":{impact:"critical",messages:{pass:"Document has no elements referenced with ARIA or labels that share the same id attribute",fail:"Document has multiple elements referenced with ARIA with the same id attribute: \${data}"}},"duplicate-id":{impact:"minor",messages:{pass:"Document has no static elements that share the same id attribute",fail:"Document has multiple static elements with the same id attribute: \${data}"}},"aria-label":{impact:"serious",messages:{pass:"aria-label attribute exists and is not empty",fail:"aria-label attribute does not exist or is empty"}},"aria-labelledby":{impact:"serious",messages:{pass:"aria-labelledby attribute exists and references elements that are visible to screen readers",fail:"aria-labelledby attribute does not exist, references elements that do not exist or references elements that are empty",incomplete:"ensure aria-labelledby references an existing element"}},"avoid-inline-spacing":{impact:"serious",messages:{pass:"No inline styles with '!important' that affect text spacing has been specified",fail:{singular:"Remove '!important' from inline style \${data.values}, as overriding this is not supported by most browsers",plural:"Remove '!important' from inline styles \${data.values}, as overriding this is not supported by most browsers"}}},"button-has-visible-text":{impact:"critical",messages:{pass:"Element has inner text that is visible to screen readers",fail:"Element does not have inner text that is visible to screen readers",incomplete:"Unable to determine if element has children"}},"doc-has-title":{impact:"serious",messages:{pass:"Document has a non-empty <title> element",fail:"Document does not have a non-empty <title> element"}},exists:{impact:"minor",messages:{pass:"Element does not exist",incomplete:"Element exists"}},"has-alt":{impact:"critical",messages:{pass:"Element has an alt attribute",fail:"Element does not have an alt attribute"}},"has-visible-text":{impact:"minor",messages:{pass:"Element has text that is visible to screen readers",fail:"Element does not have text that is visible to screen readers",incomplete:"Unable to determine if element has children"}},"important-letter-spacing":{impact:"serious",messages:{pass:"Letter-spacing in the style attribute is not set to !important, or meets the minimum",fail:"letter-spacing in the style attribute must not use !important, or be at \${data.minValue}em (current \${data.value}em)"}},"important-line-height":{impact:"serious",messages:{pass:"line-height in the style attribute is not set to !important, or meets the minimum",fail:"line-height in the style attribute must not use !important, or be at \${data.minValue}em (current \${data.value}em)"}},"important-word-spacing":{impact:"serious",messages:{pass:"word-spacing in the style attribute is not set to !important, or meets the minimum",fail:"word-spacing in the style attribute must not use !important, or be at \${data.minValue}em (current \${data.value}em)"}},"is-on-screen":{impact:"serious",messages:{pass:"Element is not visible",fail:"Element is visible"}},"non-empty-alt":{impact:"critical",messages:{pass:"Element has a non-empty alt attribute",fail:{noAttr:"Element has no alt attribute",emptyAttr:"Element has an empty alt attribute"}}},"non-empty-if-present":{impact:"critical",messages:{pass:{default:"Element does not have a value attribute","has-label":"Element has a non-empty value attribute"},fail:"Element has a value attribute and the value attribute is empty"}},"non-empty-placeholder":{impact:"serious",messages:{pass:"Element has a placeholder attribute",fail:{noAttr:"Element has no placeholder attribute",emptyAttr:"Element has an empty placeholder attribute"}}},"non-empty-title":{impact:"serious",messages:{pass:"Element has a title attribute",fail:{noAttr:"Element has no title attribute",emptyAttr:"Element has an empty title attribute"}}},"non-empty-value":{impact:"critical",messages:{pass:"Element has a non-empty value attribute",fail:{noAttr:"Element has no value attribute",emptyAttr:"Element has an empty value attribute"}}},"presentational-role":{impact:"minor",messages:{pass:'Element\\'s default semantics were overriden with role="\${data.role}"',fail:{default:'Element\\'s default semantics were not overridden with role="none" or role="presentation"',globalAria:"Element's role is not presentational because it has a global ARIA attribute",focusable:"Element's role is not presentational because it is focusable",both:"Element's role is not presentational because it has a global ARIA attribute and is focusable",iframe:'Using the "title" attribute on an \${data.nodeName} element with a presentational role behaves inconsistently between screen readers'}}},"role-none":{impact:"minor",messages:{pass:'Element\\'s default semantics were overriden with role="none"',fail:'Element\\'s default semantics were not overridden with role="none"'}},"role-presentation":{impact:"minor",messages:{pass:'Element\\'s default semantics were overriden with role="presentation"',fail:'Element\\'s default semantics were not overridden with role="presentation"'}},"svg-non-empty-title":{impact:"serious",messages:{pass:"Element has a child that is a title",fail:{noTitle:"Element has no child that is a title",emptyTitle:"Element child title is empty"},incomplete:"Unable to determine element has a child that is a title"}},"caption-faked":{impact:"serious",messages:{pass:"The first row of a table is not used as a caption",fail:"The first child of the table should be a caption instead of a table cell"}},"html5-scope":{impact:"moderate",messages:{pass:"Scope attribute is only used on table header elements (<th>)",fail:"In HTML 5, scope attributes may only be used on table header elements (<th>)"}},"same-caption-summary":{impact:"minor",messages:{pass:"Content of summary attribute and <caption> are not duplicated",fail:"Content of summary attribute and <caption> element are identical",incomplete:"Unable to determine if <table> element has a caption"}},"scope-value":{impact:"critical",messages:{pass:"Scope attribute is used correctly",fail:"The value of the scope attribute may only be 'row' or 'col'"}},"td-has-header":{impact:"critical",messages:{pass:"All non-empty data cells have table headers",fail:"Some non-empty data cells do not have table headers"}},"td-headers-attr":{impact:"serious",messages:{pass:"The headers attribute is exclusively used to refer to other cells in the table",incomplete:"The headers attribute is empty",fail:"The headers attribute is not exclusively used to refer to other cells in the table"}},"th-has-data-cells":{impact:"serious",messages:{pass:"All table header cells refer to data cells",fail:"Not all table header cells refer to data cells",incomplete:"Table data cells are missing or empty"}},"hidden-content":{impact:"minor",messages:{pass:"All content on the page has been analyzed.",fail:"There were problems analyzing the content on this page.",incomplete:"There is hidden content on the page that was not analyzed. You will need to trigger the display of this content in order to analyze it."}}},failureSummaries:{any:{failureMessage:function(e){var t="Fix any of the following:",n=e;if(n)for(var a=-1,r=n.length-1;a<r;)t+="\\n  "+n[a+=1].split("\\n").join("\\n  ");return t}},none:{failureMessage:function(e){var t="Fix all of the following:",n=e;if(n)for(var a=-1,r=n.length-1;a<r;)t+="\\n  "+n[a+=1].split("\\n").join("\\n  ");return t}}},incompleteFallbackMessage:"axe couldn't tell the reason. Time to break out the element inspector!"},rules:[{id:"accesskeys",selector:"[accesskey]",excludeHidden:!1,tags:["cat.keyboard","best-practice"],all:[],any:[],none:["accesskeys"]},{id:"area-alt",selector:"map area[href]",excludeHidden:!1,tags:["cat.text-alternatives","wcag2a","wcag244","wcag412","section508","section508.22.a","ACT","TTv5","TT6.a"],actIds:["c487ae"],all:[],any:[{options:{attribute:"alt"},id:"non-empty-alt"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-allowed-attr",matches:"aria-allowed-attr-matches",tags:["cat.aria","wcag2a","wcag412"],actIds:["5c01ea"],all:[{options:{validTreeRowAttrs:["aria-posinset","aria-setsize","aria-expanded","aria-level"]},id:"aria-allowed-attr"},{options:{invalidTableRowAttrs:["aria-posinset","aria-setsize","aria-expanded","aria-level"]},id:"aria-conditional-attr"}],any:[],none:["aria-unsupported-attr",{options:{elementsAllowedAriaLabel:["applet","input"]},id:"aria-prohibited-attr"}]},{id:"aria-allowed-role",excludeHidden:!1,selector:"[role]",matches:"aria-allowed-role-matches",tags:["cat.aria","best-practice"],all:[],any:[{options:{allowImplicit:!0,ignoredTags:[]},id:"aria-allowed-role"}],none:[]},{id:"aria-command-name",selector:'[role="link"], [role="button"], [role="menuitem"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","ACT","TTv5","TT6.a"],actIds:["97a4e1"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-dialog-name",selector:'[role="dialog"], [role="alertdialog"]',matches:"no-naming-method-matches",tags:["cat.aria","best-practice"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-hidden-body",selector:"body",excludeHidden:!1,matches:"is-initiator-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:["aria-hidden-body"],none:[]},{id:"aria-hidden-focus",selector:'[aria-hidden="true"]',matches:"aria-hidden-focus-matches",excludeHidden:!1,tags:["cat.name-role-value","wcag2a","wcag412","TTv5","TT6.a"],actIds:["6cfa84"],all:["focusable-modal-open","focusable-disabled","focusable-not-tabbable"],any:[],none:[]},{id:"aria-input-field-name",selector:'[role="combobox"], [role="listbox"], [role="searchbox"], [role="slider"], [role="spinbutton"], [role="textbox"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","ACT","TTv5","TT5.c"],actIds:["e086e5"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["no-implicit-explicit-label"]},{id:"aria-meter-name",selector:'[role="meter"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag111"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-progressbar-name",selector:'[role="progressbar"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag111"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-required-attr",selector:"[role]",tags:["cat.aria","wcag2a","wcag412"],actIds:["4e8ab6"],all:[],any:["aria-required-attr"],none:[]},{id:"aria-required-children",selector:"[role]",matches:"aria-required-children-matches",tags:["cat.aria","wcag2a","wcag131"],actIds:["bc4a75","ff89c9"],all:[],any:[{options:{reviewEmpty:["doc-bibliography","doc-endnotes","grid","list","listbox","menu","menubar","table","tablist","tree","treegrid","rowgroup"]},id:"aria-required-children"},"aria-busy"],none:[]},{id:"aria-required-parent",selector:"[role]",matches:"aria-required-parent-matches",tags:["cat.aria","wcag2a","wcag131"],actIds:["ff89c9"],all:[],any:[{options:{ownGroupRoles:["listitem","treeitem"]},id:"aria-required-parent"}],none:[]},{id:"aria-roledescription",selector:"[aria-roledescription]",tags:["cat.aria","wcag2a","wcag412","deprecated"],enabled:!1,all:[],any:[{options:{supportedRoles:["button","img","checkbox","radio","combobox","menuitemcheckbox","menuitemradio"]},id:"aria-roledescription"}],none:[]},{id:"aria-roles",selector:"[role]",matches:"no-empty-role-matches",tags:["cat.aria","wcag2a","wcag412"],actIds:["674b10"],all:[],any:[],none:["invalidrole","abstractrole","unsupportedrole","deprecatedrole"]},{id:"aria-text",selector:"[role=text]",tags:["cat.aria","best-practice"],all:[],any:["no-focusable-content"],none:[]},{id:"aria-toggle-field-name",selector:'[role="checkbox"], [role="menuitemcheckbox"], [role="menuitemradio"], [role="radio"], [role="switch"], [role="option"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","ACT","TTv5","TT5.c"],actIds:["e086e5"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["no-implicit-explicit-label"]},{id:"aria-tooltip-name",selector:'[role="tooltip"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-treeitem-name",selector:'[role="treeitem"]',matches:"no-naming-method-matches",tags:["cat.aria","best-practice"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-valid-attr-value",matches:"aria-has-attr-matches",tags:["cat.aria","wcag2a","wcag412"],actIds:["6a7281"],all:[{options:[],id:"aria-valid-attr-value"},"aria-errormessage","aria-level"],any:[],none:[]},{id:"aria-valid-attr",matches:"aria-has-attr-matches",tags:["cat.aria","wcag2a","wcag412"],actIds:["5f99a7"],all:[],any:[{options:[],id:"aria-valid-attr"}],none:[]},{id:"audio-caption",selector:"audio",enabled:!1,excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag121","section508","section508.22.a","deprecated"],actIds:["2eb176","afb423"],all:[],any:[],none:["caption"]},{id:"autocomplete-valid",matches:"autocomplete-matches",tags:["cat.forms","wcag21aa","wcag135","ACT"],actIds:["73f2c2"],all:[{options:{stateTerms:["none","false","true","disabled","enabled","undefined","null"]},id:"autocomplete-valid"}],any:[],none:[]},{id:"avoid-inline-spacing",selector:"[style]",matches:"is-visible-on-screen-matches",tags:["cat.structure","wcag21aa","wcag1412","ACT"],actIds:["24afc2","9e45ec","78fd32"],all:[{options:{cssProperty:"letter-spacing",minValue:.12},id:"important-letter-spacing"},{options:{cssProperty:"word-spacing",minValue:.16},id:"important-word-spacing"},{options:{multiLineOnly:!0,cssProperty:"line-height",minValue:1.5,normalValue:1},id:"important-line-height"}],any:[],none:[]},{id:"blink",selector:"blink",excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag222","section508","section508.22.j","TTv5","TT2.b"],all:[],any:[],none:["is-on-screen"]},{id:"button-name",selector:"button",matches:"no-explicit-name-required-matches",tags:["cat.name-role-value","wcag2a","wcag412","section508","section508.22.a","ACT","TTv5","TT6.a"],actIds:["97a4e1","m6b1q3"],all:[],any:["button-has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"bypass",selector:"html",pageLevel:!0,matches:"bypass-matches",reviewOnFail:!0,tags:["cat.keyboard","wcag2a","wcag241","section508","section508.22.o","TTv5","TT9.a"],actIds:["cf77f2","047fe0","b40fd1","3e12e1","ye5d6e"],all:[],any:["internal-link-present",{options:{selector:":is(h1, h2, h3, h4, h5, h6):not([role]), [role=heading]"},id:"header-present"},{options:{selector:"main, [role=main]"},id:"landmark"}],none:[]},{id:"color-contrast-enhanced",matches:"color-contrast-matches",excludeHidden:!1,enabled:!1,tags:["cat.color","wcag2aaa","wcag146","ACT"],actIds:["09o5cg"],all:[],any:[{options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:7,minThreshold:4.5},large:{expected:4.5,minThreshold:3}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.1,textStrokeEmMin:.03},id:"color-contrast-enhanced"}],none:[]},{id:"color-contrast",matches:"color-contrast-matches",excludeHidden:!1,tags:["cat.color","wcag2aa","wcag143","ACT","TTv5","TT13.c"],actIds:["afw4f7","09o5cg"],all:[],any:[{options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:4.5},large:{expected:3}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.2,textStrokeEmMin:.03},id:"color-contrast"}],none:[]},{id:"css-orientation-lock",selector:"html",tags:["cat.structure","wcag134","wcag21aa","experimental"],actIds:["b33eff"],all:[{options:{degreeThreshold:2},id:"css-orientation-lock"}],any:[],none:[],preload:!0},{id:"definition-list",selector:"dl",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:[],none:["structured-dlitems",{options:{validRoles:["definition","term","listitem"],validNodeNames:["dt","dd"],divGroups:!0},id:"only-dlitems"}]},{id:"dlitem",selector:"dd, dt",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:["dlitem"],none:[]},{id:"document-title",selector:"html",matches:"is-initiator-matches",tags:["cat.text-alternatives","wcag2a","wcag242","ACT","TTv5","TT12.a"],actIds:["2779a5"],all:[],any:["doc-has-title"],none:[]},{id:"duplicate-id-active",selector:"[id]",matches:"duplicate-id-active-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag411"],actIds:["3ea0c8"],all:[],any:["duplicate-id-active"],none:[]},{id:"duplicate-id-aria",selector:"[id]",matches:"duplicate-id-aria-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag411"],actIds:["3ea0c8"],all:[],any:["duplicate-id-aria"],none:[]},{id:"duplicate-id",selector:"[id]",matches:"duplicate-id-misc-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag411"],actIds:["3ea0c8"],all:[],any:["duplicate-id"],none:[]},{id:"empty-heading",selector:'h1, h2, h3, h4, h5, h6, [role="heading"]',matches:"heading-matches",tags:["cat.name-role-value","best-practice"],actIds:["ffd0e9"],impact:"minor",all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"empty-table-header",selector:'th:not([role]), [role="rowheader"], [role="columnheader"]',tags:["cat.name-role-value","best-practice"],all:[],any:["has-visible-text"],none:[]},{id:"focus-order-semantics",selector:"div, h1, h2, h3, h4, h5, h6, [role=heading], p, span",matches:"inserted-into-focus-order-matches",tags:["cat.keyboard","best-practice","experimental"],all:[],any:[{options:[],id:"has-widget-role"},{options:{roles:["tooltip"]},id:"valid-scrollable-semantics"}],none:[]},{id:"form-field-multiple-labels",selector:"input, select, textarea",matches:"label-matches",tags:["cat.forms","wcag2a","wcag332","TTv5","TT5.c"],all:[],any:[],none:["multiple-label"]},{id:"frame-focusable-content",selector:"html",matches:"frame-focusable-content-matches",tags:["cat.keyboard","wcag2a","wcag211","TTv5","TT4.a"],actIds:["akn7bn"],all:[],any:["frame-focusable-content"],none:[]},{id:"frame-tested",selector:"html, frame, iframe",tags:["cat.structure","review-item","best-practice"],all:[{options:{isViolation:!1},id:"frame-tested"}],any:[],none:[]},{id:"frame-title-unique",selector:"frame[title], iframe[title]",matches:"frame-title-has-text-matches",tags:["cat.text-alternatives","wcag412","wcag2a","TTv5","TT12.d"],actIds:["4b1c6c"],all:[],any:[],none:["unique-frame-title"],reviewOnFail:!0},{id:"frame-title",selector:"frame, iframe",matches:"no-negative-tabindex-matches",tags:["cat.text-alternatives","wcag2a","wcag412","section508","section508.22.i","TTv5","TT12.d"],actIds:["cae760"],all:[],any:[{options:{attribute:"title"},id:"non-empty-title"},"aria-label","aria-labelledby","presentational-role"],none:[]},{id:"heading-order",selector:"h1, h2, h3, h4, h5, h6, [role=heading]",matches:"heading-matches",tags:["cat.semantics","best-practice"],all:[],any:["heading-order"],none:[]},{id:"hidden-content",selector:"*",excludeHidden:!1,tags:["cat.structure","experimental","review-item","best-practice"],all:[],any:["hidden-content"],none:[]},{id:"html-has-lang",selector:"html",matches:"is-initiator-matches",tags:["cat.language","wcag2a","wcag311","ACT","TTv5","TT11.a"],actIds:["b5c3f8"],all:[],any:[{options:{attributes:["lang","xml:lang"]},id:"has-lang"}],none:[]},{id:"html-lang-valid",selector:'html[lang]:not([lang=""]), html[xml\\\\:lang]:not([xml\\\\:lang=""])',tags:["cat.language","wcag2a","wcag311","ACT","TTv5","TT11.a"],actIds:["bf051a"],all:[],any:[],none:[{options:{attributes:["lang","xml:lang"]},id:"valid-lang"}]},{id:"html-xml-lang-mismatch",selector:"html[lang][xml\\\\:lang]",matches:"xml-lang-mismatch-matches",tags:["cat.language","wcag2a","wcag311","ACT"],actIds:["5b7ae0"],all:["xml-lang-mismatch"],any:[],none:[]},{id:"identical-links-same-purpose",selector:'a[href], area[href], [role="link"]',excludeHidden:!1,enabled:!1,matches:"identical-links-same-purpose-matches",tags:["cat.semantics","wcag2aaa","wcag249"],actIds:["b20e66"],all:["identical-links-same-purpose"],any:[],none:[]},{id:"image-alt",selector:"img",matches:"no-explicit-name-required-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT","TTv5","TT7.a","TT7.b"],actIds:["23a2a8"],all:[],any:["has-alt","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:["alt-space-value"]},{id:"image-redundant-alt",selector:"img",tags:["cat.text-alternatives","best-practice"],all:[],any:[],none:[{options:{parentSelector:"button, [role=button], a[href], p, li, td, th"},id:"duplicate-img-label"}]},{id:"input-button-name",selector:'input[type="button"], input[type="submit"], input[type="reset"]',matches:"no-explicit-name-required-matches",tags:["cat.name-role-value","wcag2a","wcag412","section508","section508.22.a","ACT","TTv5","TT5.c"],actIds:["97a4e1"],all:[],any:["non-empty-if-present",{options:{attribute:"value"},id:"non-empty-value"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"input-image-alt",selector:'input[type="image"]',matches:"no-explicit-name-required-matches",tags:["cat.text-alternatives","wcag2a","wcag111","wcag412","section508","section508.22.a","ACT","TTv5","TT7.a"],actIds:["59796f"],all:[],any:[{options:{attribute:"alt"},id:"non-empty-alt"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"label-content-name-mismatch",matches:"label-content-name-mismatch-matches",tags:["cat.semantics","wcag21a","wcag253","experimental"],actIds:["2ee8b8"],all:[],any:[{options:{pixelThreshold:.1,occurrenceThreshold:3},id:"label-content-name-mismatch"}],none:[]},{id:"label-title-only",selector:"input, select, textarea",matches:"label-matches",tags:["cat.forms","best-practice"],all:[],any:[],none:["title-only"]},{id:"label",selector:"input, textarea",matches:"label-matches",tags:["cat.forms","wcag2a","wcag412","section508","section508.22.n","ACT","TTv5","TT5.c"],actIds:["e086e5"],all:[],any:["implicit-label","explicit-label","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},{options:{attribute:"placeholder"},id:"non-empty-placeholder"},"presentational-role"],none:["help-same-as-label","hidden-explicit-label"]},{id:"landmark-banner-is-top-level",selector:"header:not([role]), [role=banner]",matches:"landmark-has-body-context-matches",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-complementary-is-top-level",selector:"aside:not([role]), [role=complementary]",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-contentinfo-is-top-level",selector:"footer:not([role]), [role=contentinfo]",matches:"landmark-has-body-context-matches",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-main-is-top-level",selector:"main:not([role]), [role=main]",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-no-duplicate-banner",selector:"header:not([role]), [role=banner]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"header:not([role]), [role=banner]",nativeScopeFilter:"article, aside, main, nav, section"},id:"page-no-duplicate-banner"}],none:[]},{id:"landmark-no-duplicate-contentinfo",selector:"footer:not([role]), [role=contentinfo]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"footer:not([role]), [role=contentinfo]",nativeScopeFilter:"article, aside, main, nav, section"},id:"page-no-duplicate-contentinfo"}],none:[]},{id:"landmark-no-duplicate-main",selector:"main:not([role]), [role=main]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"main:not([role]), [role='main']"},id:"page-no-duplicate-main"}],none:[]},{id:"landmark-one-main",selector:"html",tags:["cat.semantics","best-practice"],all:[{options:{selector:"main:not([role]), [role='main']",passForModal:!0},id:"page-has-main"}],any:[],none:[]},{id:"landmark-unique",selector:"[role=banner], [role=complementary], [role=contentinfo], [role=main], [role=navigation], [role=region], [role=search], [role=form], form, footer, header, aside, main, nav, section",tags:["cat.semantics","best-practice"],matches:"landmark-unique-matches",all:[],any:["landmark-is-unique"],none:[]},{id:"link-in-text-block",selector:"a[href], [role=link]",matches:"link-in-text-block-matches",excludeHidden:!1,tags:["cat.color","wcag2a","wcag141","TTv5","TT13.a"],all:[],any:[{options:{requiredContrastRatio:3,allowSameColor:!0},id:"link-in-text-block"},"link-in-text-block-style"],none:[]},{id:"link-name",selector:"a[href]",tags:["cat.name-role-value","wcag2a","wcag412","wcag244","section508","section508.22.a","ACT","TTv5","TT6.a"],actIds:["c487ae"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["focusable-no-name"]},{id:"list",selector:"ul, ol",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:[],none:[{options:{validRoles:["listitem"],validNodeNames:["li"]},id:"only-listitems"}]},{id:"listitem",selector:"li",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131"],all:[],any:["listitem"],none:[]},{id:"marquee",selector:"marquee",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag222","TTv5","TT2.b"],all:[],any:[],none:["is-on-screen"]},{id:"meta-refresh-no-exceptions",selector:'meta[http-equiv="refresh"][content]',excludeHidden:!1,enabled:!1,tags:["cat.time-and-media","wcag2aaa","wcag224","wcag325"],actIds:["bisz58"],all:[],any:[{options:{minDelay:72e3,maxDelay:!1},id:"meta-refresh-no-exceptions"}],none:[]},{id:"meta-refresh",selector:'meta[http-equiv="refresh"][content]',excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag221","TTv5","TT8.a"],actIds:["bc659a","bisz58"],all:[],any:[{options:{minDelay:0,maxDelay:72e3},id:"meta-refresh"}],none:[]},{id:"meta-viewport-large",selector:'meta[name="viewport"]',matches:"is-initiator-matches",excludeHidden:!1,tags:["cat.sensory-and-visual-cues","best-practice"],all:[],any:[{options:{scaleMinimum:5,lowerBound:2},id:"meta-viewport-large"}],none:[]},{id:"meta-viewport",selector:'meta[name="viewport"]',matches:"is-initiator-matches",excludeHidden:!1,tags:["cat.sensory-and-visual-cues","wcag2aa","wcag144","ACT"],actIds:["b4f0c3"],all:[],any:[{options:{scaleMinimum:2},id:"meta-viewport"}],none:[]},{id:"nested-interactive",matches:"nested-interactive-matches",tags:["cat.keyboard","wcag2a","wcag412","TTv5","TT6.a"],actIds:["307n5z"],all:[],any:["no-focusable-content"],none:[]},{id:"no-autoplay-audio",excludeHidden:!1,selector:"audio[autoplay], video[autoplay]",matches:"no-autoplay-audio-matches",reviewOnFail:!0,tags:["cat.time-and-media","wcag2a","wcag142","ACT","TTv5","TT2.a"],actIds:["80f0bf"],preload:!0,all:[{options:{allowedDuration:3},id:"no-autoplay-audio"}],any:[],none:[]},{id:"object-alt",selector:"object[data]",matches:"object-is-loaded-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a"],actIds:["8fc3b6"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"p-as-heading",selector:"p",matches:"p-as-heading-matches",tags:["cat.semantics","wcag2a","wcag131","experimental"],all:[{options:{margins:[{weight:150,italic:!0},{weight:150,size:1.15},{italic:!0,size:1.15},{size:1.4}],passLength:1,failLength:.5},id:"p-as-heading"}],any:[],none:[]},{id:"page-has-heading-one",selector:"html",tags:["cat.semantics","best-practice"],all:[{options:{selector:"h1:not([role], [aria-level]), :is(h1, h2, h3, h4, h5, h6):not([role])[aria-level=1], [role=heading][aria-level=1]",passForModal:!0},id:"page-has-heading-one"}],any:[],none:[]},{id:"presentation-role-conflict",selector:'img[alt=\\'\\'], [role="none"], [role="presentation"]',matches:"has-implicit-chromium-role-matches",tags:["cat.aria","best-practice","ACT"],actIds:["46ca7f"],all:[],any:[],none:["is-element-focusable","has-global-aria-attribute"]},{id:"region",selector:"body *",tags:["cat.keyboard","best-practice"],all:[],any:[{options:{regionMatcher:"dialog, [role=dialog], [role=alertdialog], svg"},id:"region"}],none:[]},{id:"role-img-alt",selector:"[role='img']:not(img, area, input, object)",matches:"html-namespace-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT","TTv5","TT7.a"],actIds:["23a2a8"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"scope-attr-valid",selector:"td[scope], th[scope]",tags:["cat.tables","best-practice"],all:["html5-scope",{options:{values:["row","col","rowgroup","colgroup"]},id:"scope-value"}],any:[],none:[]},{id:"scrollable-region-focusable",selector:"*:not(select,textarea)",matches:"scrollable-region-focusable-matches",tags:["cat.keyboard","wcag2a","wcag211","TTv5","TT4.a"],actIds:["0ssw9k"],all:[],any:["focusable-content","focusable-element"],none:[]},{id:"select-name",selector:"select",tags:["cat.forms","wcag2a","wcag412","section508","section508.22.n","ACT","TTv5","TT5.c"],actIds:["e086e5"],all:[],any:["implicit-label","explicit-label","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:["help-same-as-label","hidden-explicit-label"]},{id:"server-side-image-map",selector:"img[ismap]",tags:["cat.text-alternatives","wcag2a","wcag211","section508","section508.22.f","TTv5","TT4.a"],all:[],any:[],none:["exists"]},{id:"skip-link",selector:'a[href^="#"], a[href^="/#"]',matches:"skip-link-matches",tags:["cat.keyboard","best-practice"],all:[],any:["skip-link"],none:[]},{id:"svg-img-alt",selector:'[role="img"], [role="graphics-symbol"], svg[role="graphics-document"]',matches:"svg-namespace-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","ACT","TTv5","TT7.a"],actIds:["7d6734"],all:[],any:["svg-non-empty-title","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"tabindex",selector:"[tabindex]",tags:["cat.keyboard","best-practice"],all:[],any:["tabindex"],none:[]},{id:"table-duplicate-name",selector:"table",tags:["cat.tables","best-practice"],all:[],any:[],none:["same-caption-summary"]},{id:"table-fake-caption",selector:"table",matches:"data-table-matches",tags:["cat.tables","experimental","wcag2a","wcag131","section508","section508.22.g"],all:["caption-faked"],any:[],none:[]},{id:"target-size",selector:"*",enabled:!1,matches:"widget-not-inline-matches",tags:["wcag22aa","wcag258","cat.sensory-and-visual-cues"],all:[],any:[{options:{minSize:24},id:"target-size"},{options:{minOffset:24},id:"target-offset"}],none:[]},{id:"td-has-header",selector:"table",matches:"data-table-large-matches",tags:["cat.tables","experimental","wcag2a","wcag131","section508","section508.22.g","TTv5","TT14.b"],all:["td-has-header"],any:[],none:[]},{id:"td-headers-attr",selector:"table",matches:"table-or-grid-role-matches",tags:["cat.tables","wcag2a","wcag131","section508","section508.22.g","TTv5","TT14.b"],actIds:["a25f45"],all:["td-headers-attr"],any:[],none:[]},{id:"th-has-data-cells",selector:"table",matches:"data-table-matches",tags:["cat.tables","wcag2a","wcag131","section508","section508.22.g","TTv5","14.b"],actIds:["d0f69e"],all:["th-has-data-cells"],any:[],none:[]},{id:"valid-lang",selector:"[lang]:not(html), [xml\\\\:lang]:not(html)",tags:["cat.language","wcag2aa","wcag312","ACT","TTv5","TT11.b"],actIds:["de46e4"],all:[],any:[],none:[{options:{attributes:["lang","xml:lang"]},id:"valid-lang"}]},{id:"video-caption",selector:"video",tags:["cat.text-alternatives","wcag2a","wcag122","section508","section508.22.a","TTv5","TT17.a"],actIds:["eac66b"],all:[],any:[],none:["caption"]}],checks:[{id:"abstractrole",evaluate:"abstractrole-evaluate"},{id:"aria-allowed-attr",evaluate:"aria-allowed-attr-evaluate",options:{validTreeRowAttrs:["aria-posinset","aria-setsize","aria-expanded","aria-level"]}},{id:"aria-allowed-role",evaluate:"aria-allowed-role-evaluate",options:{allowImplicit:!0,ignoredTags:[]}},{id:"aria-busy",evaluate:"aria-busy-evaluate"},{id:"aria-conditional-attr",evaluate:"aria-conditional-attr-evaluate",options:{invalidTableRowAttrs:["aria-posinset","aria-setsize","aria-expanded","aria-level"]}},{id:"aria-errormessage",evaluate:"aria-errormessage-evaluate"},{id:"aria-hidden-body",evaluate:"aria-hidden-body-evaluate"},{id:"aria-level",evaluate:"aria-level-evaluate"},{id:"aria-prohibited-attr",evaluate:"aria-prohibited-attr-evaluate",options:{elementsAllowedAriaLabel:["applet","input"]}},{id:"aria-required-attr",evaluate:"aria-required-attr-evaluate"},{id:"aria-required-children",evaluate:"aria-required-children-evaluate",options:{reviewEmpty:["doc-bibliography","doc-endnotes","grid","list","listbox","menu","menubar","table","tablist","tree","treegrid","rowgroup"]}},{id:"aria-required-parent",evaluate:"aria-required-parent-evaluate",options:{ownGroupRoles:["listitem","treeitem"]}},{id:"aria-roledescription",evaluate:"aria-roledescription-evaluate",options:{supportedRoles:["button","img","checkbox","radio","combobox","menuitemcheckbox","menuitemradio"]}},{id:"aria-unsupported-attr",evaluate:"aria-unsupported-attr-evaluate"},{id:"aria-valid-attr-value",evaluate:"aria-valid-attr-value-evaluate",options:[]},{id:"aria-valid-attr",evaluate:"aria-valid-attr-evaluate",options:[]},{id:"deprecatedrole",evaluate:"deprecatedrole-evaluate"},{id:"fallbackrole",evaluate:"fallbackrole-evaluate"},{id:"has-global-aria-attribute",evaluate:"has-global-aria-attribute-evaluate"},{id:"has-widget-role",evaluate:"has-widget-role-evaluate",options:[]},{id:"invalidrole",evaluate:"invalidrole-evaluate"},{id:"is-element-focusable",evaluate:"is-element-focusable-evaluate"},{id:"no-implicit-explicit-label",evaluate:"no-implicit-explicit-label-evaluate"},{id:"unsupportedrole",evaluate:"unsupportedrole-evaluate"},{id:"valid-scrollable-semantics",evaluate:"valid-scrollable-semantics-evaluate",options:{roles:["tooltip"]}},{id:"color-contrast-enhanced",evaluate:"color-contrast-evaluate",options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:7,minThreshold:4.5},large:{expected:4.5,minThreshold:3}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.1,textStrokeEmMin:.03}},{id:"color-contrast",evaluate:"color-contrast-evaluate",options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:4.5},large:{expected:3}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.2,textStrokeEmMin:.03}},{id:"link-in-text-block-style",evaluate:"link-in-text-block-style-evaluate"},{id:"link-in-text-block",evaluate:"link-in-text-block-evaluate",options:{requiredContrastRatio:3,allowSameColor:!0}},{id:"autocomplete-appropriate",evaluate:"autocomplete-appropriate-evaluate",deprecated:!0},{id:"autocomplete-valid",evaluate:"autocomplete-valid-evaluate",options:{stateTerms:["none","false","true","disabled","enabled","undefined","null"]}},{id:"accesskeys",evaluate:"accesskeys-evaluate",after:"accesskeys-after"},{id:"focusable-content",evaluate:"focusable-content-evaluate"},{id:"focusable-disabled",evaluate:"focusable-disabled-evaluate"},{id:"focusable-element",evaluate:"focusable-element-evaluate"},{id:"focusable-modal-open",evaluate:"focusable-modal-open-evaluate"},{id:"focusable-no-name",evaluate:"focusable-no-name-evaluate"},{id:"focusable-not-tabbable",evaluate:"focusable-not-tabbable-evaluate"},{id:"frame-focusable-content",evaluate:"frame-focusable-content-evaluate"},{id:"landmark-is-top-level",evaluate:"landmark-is-top-level-evaluate"},{id:"no-focusable-content",evaluate:"no-focusable-content-evaluate"},{id:"page-has-heading-one",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:"h1:not([role], [aria-level]), :is(h1, h2, h3, h4, h5, h6):not([role])[aria-level=1], [role=heading][aria-level=1]",passForModal:!0}},{id:"page-has-main",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:"main:not([role]), [role='main']",passForModal:!0}},{id:"page-no-duplicate-banner",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"header:not([role]), [role=banner]",nativeScopeFilter:"article, aside, main, nav, section"}},{id:"page-no-duplicate-contentinfo",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"footer:not([role]), [role=contentinfo]",nativeScopeFilter:"article, aside, main, nav, section"}},{id:"page-no-duplicate-main",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"main:not([role]), [role='main']"}},{id:"tabindex",evaluate:"tabindex-evaluate"},{id:"alt-space-value",evaluate:"alt-space-value-evaluate"},{id:"duplicate-img-label",evaluate:"duplicate-img-label-evaluate",options:{parentSelector:"button, [role=button], a[href], p, li, td, th"}},{id:"explicit-label",evaluate:"explicit-evaluate"},{id:"help-same-as-label",evaluate:"help-same-as-label-evaluate",enabled:!1},{id:"hidden-explicit-label",evaluate:"hidden-explicit-label-evaluate"},{id:"implicit-label",evaluate:"implicit-evaluate"},{id:"label-content-name-mismatch",evaluate:"label-content-name-mismatch-evaluate",options:{pixelThreshold:.1,occurrenceThreshold:3}},{id:"multiple-label",evaluate:"multiple-label-evaluate"},{id:"title-only",evaluate:"title-only-evaluate"},{id:"landmark-is-unique",evaluate:"landmark-is-unique-evaluate",after:"landmark-is-unique-after"},{id:"has-lang",evaluate:"has-lang-evaluate",options:{attributes:["lang","xml:lang"]}},{id:"valid-lang",evaluate:"valid-lang-evaluate",options:{attributes:["lang","xml:lang"]}},{id:"xml-lang-mismatch",evaluate:"xml-lang-mismatch-evaluate"},{id:"dlitem",evaluate:"dlitem-evaluate"},{id:"listitem",evaluate:"listitem-evaluate"},{id:"only-dlitems",evaluate:"invalid-children-evaluate",options:{validRoles:["definition","term","listitem"],validNodeNames:["dt","dd"],divGroups:!0}},{id:"only-listitems",evaluate:"invalid-children-evaluate",options:{validRoles:["listitem"],validNodeNames:["li"]}},{id:"structured-dlitems",evaluate:"structured-dlitems-evaluate"},{id:"caption",evaluate:"caption-evaluate"},{id:"frame-tested",evaluate:"frame-tested-evaluate",after:"frame-tested-after",options:{isViolation:!1}},{id:"no-autoplay-audio",evaluate:"no-autoplay-audio-evaluate",options:{allowedDuration:3}},{id:"css-orientation-lock",evaluate:"css-orientation-lock-evaluate",options:{degreeThreshold:2}},{id:"meta-viewport-large",evaluate:"meta-viewport-scale-evaluate",options:{scaleMinimum:5,lowerBound:2}},{id:"meta-viewport",evaluate:"meta-viewport-scale-evaluate",options:{scaleMinimum:2}},{id:"target-offset",evaluate:"target-offset-evaluate",options:{minOffset:24}},{id:"target-size",evaluate:"target-size-evaluate",options:{minSize:24}},{id:"header-present",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:":is(h1, h2, h3, h4, h5, h6):not([role]), [role=heading]"}},{id:"heading-order",evaluate:"heading-order-evaluate",after:"heading-order-after"},{id:"identical-links-same-purpose",evaluate:"identical-links-same-purpose-evaluate",after:"identical-links-same-purpose-after"},{id:"internal-link-present",evaluate:"internal-link-present-evaluate"},{id:"landmark",evaluate:"has-descendant-evaluate",options:{selector:"main, [role=main]"}},{id:"meta-refresh-no-exceptions",evaluate:"meta-refresh-evaluate",options:{minDelay:72e3,maxDelay:!1}},{id:"meta-refresh",evaluate:"meta-refresh-evaluate",options:{minDelay:0,maxDelay:72e3}},{id:"p-as-heading",evaluate:"p-as-heading-evaluate",options:{margins:[{weight:150,italic:!0},{weight:150,size:1.15},{italic:!0,size:1.15},{size:1.4}],passLength:1,failLength:.5}},{id:"region",evaluate:"region-evaluate",after:"region-after",options:{regionMatcher:"dialog, [role=dialog], [role=alertdialog], svg"}},{id:"skip-link",evaluate:"skip-link-evaluate"},{id:"unique-frame-title",evaluate:"unique-frame-title-evaluate",after:"unique-frame-title-after"},{id:"duplicate-id-active",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"duplicate-id-aria",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"duplicate-id",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"aria-label",evaluate:"aria-label-evaluate"},{id:"aria-labelledby",evaluate:"aria-labelledby-evaluate"},{id:"avoid-inline-spacing",evaluate:"avoid-inline-spacing-evaluate",options:{cssProperties:["line-height","letter-spacing","word-spacing"]}},{id:"button-has-visible-text",evaluate:"has-text-content-evaluate"},{id:"doc-has-title",evaluate:"doc-has-title-evaluate"},{id:"exists",evaluate:"exists-evaluate"},{id:"has-alt",evaluate:"has-alt-evaluate"},{id:"has-visible-text",evaluate:"has-text-content-evaluate"},{id:"important-letter-spacing",evaluate:"inline-style-property-evaluate",options:{cssProperty:"letter-spacing",minValue:.12}},{id:"important-line-height",evaluate:"inline-style-property-evaluate",options:{multiLineOnly:!0,cssProperty:"line-height",minValue:1.5,normalValue:1}},{id:"important-word-spacing",evaluate:"inline-style-property-evaluate",options:{cssProperty:"word-spacing",minValue:.16}},{id:"is-on-screen",evaluate:"is-on-screen-evaluate"},{id:"non-empty-alt",evaluate:"attr-non-space-content-evaluate",options:{attribute:"alt"}},{id:"non-empty-if-present",evaluate:"non-empty-if-present-evaluate"},{id:"non-empty-placeholder",evaluate:"attr-non-space-content-evaluate",options:{attribute:"placeholder"}},{id:"non-empty-title",evaluate:"attr-non-space-content-evaluate",options:{attribute:"title"}},{id:"non-empty-value",evaluate:"attr-non-space-content-evaluate",options:{attribute:"value"}},{id:"presentational-role",evaluate:"presentational-role-evaluate"},{id:"role-none",evaluate:"matches-definition-evaluate",deprecated:!0,options:{matcher:{attributes:{role:"none"}}}},{id:"role-presentation",evaluate:"matches-definition-evaluate",deprecated:!0,options:{matcher:{attributes:{role:"presentation"}}}},{id:"svg-non-empty-title",evaluate:"svg-non-empty-title-evaluate"},{id:"caption-faked",evaluate:"caption-faked-evaluate"},{id:"html5-scope",evaluate:"html5-scope-evaluate"},{id:"same-caption-summary",evaluate:"same-caption-summary-evaluate"},{id:"scope-value",evaluate:"scope-value-evaluate",options:{values:["row","col","rowgroup","colgroup"]}},{id:"td-has-header",evaluate:"td-has-header-evaluate"},{id:"td-headers-attr",evaluate:"td-headers-attr-evaluate"},{id:"th-has-data-cells",evaluate:"th-has-data-cells-evaluate"},{id:"hidden-content",evaluate:"hidden-content-evaluate"}]})}("object"==typeof window?window:this);`});var ak={};S(ak,{default:()=>XY});async function Dh(){let t=window.axe,e=`lighthouse-${Math.random()}`;t.configure({branding:{application:e},noHtml:!0});let n=await t.run(document,{elementRef:!0,runOnly:{type:"tag",values:["wcag2a","wcag2aa"]},resultTypes:["violations","inapplicable"],rules:{accesskeys:{enabled:!0},"area-alt":{enabled:!1},"aria-allowed-role":{enabled:!0},"aria-dialog-name":{enabled:!0},"aria-roledescription":{enabled:!1},"aria-treeitem-name":{enabled:!0},"aria-text":{enabled:!0},"audio-caption":{enabled:!1},blink:{enabled:!1},"duplicate-id":{enabled:!1},"empty-heading":{enabled:!0},"frame-focusable-content":{enabled:!1},"frame-title-unique":{enabled:!1},"heading-order":{enabled:!0},"html-xml-lang-mismatch":{enabled:!0},"identical-links-same-purpose":{enabled:!0},"image-redundant-alt":{enabled:!0},"input-button-name":{enabled:!0},"label-content-name-mismatch":{enabled:!0},"landmark-one-main":{enabled:!0},"link-in-text-block":{enabled:!0},marquee:{enabled:!1},"meta-viewport":{enabled:!0},"nested-interactive":{enabled:!1},"no-autoplay-audio":{enabled:!1},"role-img-alt":{enabled:!1},"scrollable-region-focusable":{enabled:!1},"select-name":{enabled:!0},"server-side-image-map":{enabled:!1},"skip-link":{enabled:!0},"svg-img-alt":{enabled:!1},tabindex:{enabled:!0},"table-duplicate-name":{enabled:!0},"table-fake-caption":{enabled:!0},"target-size":{enabled:!0},"td-has-header":{enabled:!0}}});return document.documentElement.scrollTop=0,{violations:n.violations.map(Sp),incomplete:n.incomplete.map(Sp),notApplicable:n.inapplicable.map(r=>({id:r.id})),passes:n.passes.map(r=>({id:r.id})),version:n.testEngine.version}}async function JY(){let t={x:window.scrollX,y:window.scrollY};try{return await Dh()}finally{window.scrollTo(t.x,t.y)}}function Sp(t){let e=t.nodes.map(a=>{let{target:o,failureSummary:i,element:c}=a,u=getNodeDetails(c),l=new Set,m=s(f=>[null,"minor","moderate","serious","critical"].indexOf(f),"impactToNumber"),p=[...a.any,...a.all,...a.none].sort((f,y)=>m(y.impact)-m(f.impact));for(let f of p)for(let y of f.relatedNodes||[]){let b=y.element;if(l.size>=3)break;b&&c!==b&&l.add(b)}let g=[...l].map(getNodeDetails);return{target:o,failureSummary:i,node:u,relatedNodes:g}}),n=t.error,r;return n instanceof Error&&(r={name:n.name,message:n.message}),{id:t.id,impact:t.impact||void 0,tags:t.tags,nodes:e,error:r}}var Eh,XY,ok=v(()=>{"use strict";d();Ue();rk();un();s(Dh,"runA11yChecks");s(JY,"runA11yChecksAndResetScroll");s(Sp,"createAxeRuleResultArtifact");Eh=class extends X{static{s(this,"Accessibility")}meta={supportedModes:["snapshot","navigation"]};static pageFns={runA11yChecks:Dh,createAxeRuleResultArtifact:Sp};getArtifact(e){return e.driver.executionContext.evaluate(JY,{args:[],useIsolation:!0,deps:[nk,Ee.getNodeDetails,Sp,Dh]})}},XY=Eh});function ik(t){if(!(/No node.*found/.test(t.message)||/Node.*does not belong to the document/.test(t.message)))throw t}async function sk(t,e){try{return(await t.sendCommand("DOM.resolveNode",{backendNodeId:e})).object.objectId}catch(n){return ik(n)}}async function ck(t,e){try{let{nodeId:n}=await t.sendCommand("DOM.pushNodeByPathToFrontend",{path:e}),{object:{objectId:r}}=await t.sendCommand("DOM.resolveNode",{nodeId:n});return r}catch(n){return ik(n)}}var Th=v(()=>{"use strict";d();s(ik,"handlePotentialMissingNodeError");s(sk,"resolveNodeIdToObjectId");s(ck,"resolveDevtoolsNodePathToObjectId")});var uk={};S(uk,{default:()=>eK});function ZY(){let t=s(r=>{try{return new URL(r,window.location.href).href}catch{return""}},"resolveURLOrEmpty");function e(r){return(r.getAttribute("onclick")||"").slice(0,1024)}return s(e,"getTruncatedOnclick"),getElementsInDocument("a").map(r=>r instanceof HTMLAnchorElement?{href:r.href,rawHref:r.getAttribute("href")||"",onclick:e(r),role:r.getAttribute("role")||"",name:r.name,text:r.innerText,rel:r.rel,target:r.target,id:r.getAttribute("id")||"",node:getNodeDetails(r)}:{href:t(r.href.baseVal),rawHref:r.getAttribute("href")||"",onclick:e(r),role:r.getAttribute("role")||"",text:r.textContent||"",rel:"",target:r.target.baseVal||"",id:r.getAttribute("id")||"",node:getNodeDetails(r)})}async function QY(t,e){let n=await ck(t,e);return n?(await t.sendCommand("DOMDebugger.getEventListeners",{objectId:n})).listeners.map(({type:a})=>({type:a})):[]}var Sh,eK,lk=v(()=>{"use strict";d();Ue();un();Th();s(ZY,"collectAnchorElements");s(QY,"getEventListeners");Sh=class extends X{static{s(this,"AnchorElements")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){let n=e.driver.defaultSession,r=await e.driver.executionContext.evaluate(ZY,{args:[],useIsolation:!0,deps:[Ee.getElementsInDocument,Ee.getNodeDetails]});await n.sendCommand("DOM.enable"),await n.sendCommand("DOM.getDocument",{depth:-1,pierce:!0});let a=r.map(async i=>{let c=await QY(n,i.node.devtoolsNodePath);return{...i,listeners:c}}),o=await Promise.all(a);return await n.sendCommand("DOM.disable"),o}},eK=Sh});function dk(){return{promise:Promise.resolve(),cancel(){}}}function xp(t){let e=s(()=>{throw new Error("waitForFrameNavigated.cancel() called before it was defined")},"cancel");return{promise:new Promise((r,a)=>{t.once("Page.frameNavigated",r),e=s(()=>{t.off("Page.frameNavigated",r),a(new Error("Wait for navigated cancelled"))},"cancel")}),cancel:e}}function tK(t,e,n){let r=s(()=>{throw new Error("waitForFcp.cancel() called before it was defined")},"cancel");return{promise:new Promise((o,i)=>{let c=setTimeout(()=>{i(new G(G.errors.NO_FCP))},n),u,l=s(p=>{p.name==="firstContentfulPaint"&&(u=setTimeout(()=>{o(),r()},e))},"lifecycleListener");t.on("Page.lifecycleEvent",l);let m=!1;r=s(()=>{m||(m=!0,t.off("Page.lifecycleEvent",l),c&&clearTimeout(c),u&&clearTimeout(u),i(new Error("Wait for FCP canceled")))},"cancel")}),cancel:r}}function xh(t,e,n){let r=!1,a,o=s(()=>{throw new Error("waitForNetworkIdle.cancel() called before it was defined")},"cancel"),{networkQuietThresholdMs:i,busyEvent:c,idleEvent:u,isIdle:l}=n;return{promise:new Promise((p,g)=>{let f=s(()=>{e.once(c,y),a=setTimeout(()=>{o(),p()},i)},"onIdle"),y=s(()=>{e.once(u,f),a&&clearTimeout(a)},"onBusy"),b=s(()=>{r=!0,l(e)?f():y()},"domContentLoadedListener"),D=s(()=>{if(!r){N.verbose("waitFor","Waiting on DomContentLoaded");return}let A=e.getInflightRequests();if(N.isVerbose()&&A.length<20&&A.length>0){N.verbose("waitFor",`=== Waiting on ${A.length} requests to finish`);for(let R of A)N.verbose("waitFor",`Waiting on ${R.url.slice(0,120)} to finish`)}},"logStatus");e.on("requeststarted",D),e.on("requestfinished",D),e.on(c,D),n.pretendDCLAlreadyFired?b():t.once("Page.domContentEventFired",b);let T=!1;o=s(()=>{T||(T=!0,a&&clearTimeout(a),n.pretendDCLAlreadyFired||t.off("Page.domContentEventFired",b),e.removeListener(c,y),e.removeListener(u,f),e.removeListener("requeststarted",D),e.removeListener("requestfinished",D),e.removeListener(c,D))},"cancel")}),cancel:o}}function nK(t,e){if(!e)return{promise:Promise.resolve(),cancel:()=>{}};let n,r=!1;async function a(u,l){if(r)return;let m=await u.evaluate(aK,{args:[],useIsolation:!0});if(!r&&typeof m=="number")if(m>=e)N.verbose("waitFor",`CPU has been idle for ${m} ms`),l();else{N.verbose("waitFor",`CPU has been idle for ${m} ms`);let p=e-m;n=setTimeout(()=>a(u,l),p)}}s(a,"checkForQuiet");let o=s(()=>{throw new Error("waitForCPUIdle.cancel() called before it was defined")},"cancel"),i=new Ka(t);return{promise:new Promise((u,l)=>{i.evaluate(rK,{args:[],useIsolation:!0}).then(()=>a(i,u)).catch(l),o=s(()=>{r||(r=!0,n&&clearTimeout(n),l(new Error("Wait for CPU idle canceled")))},"cancel")}),cancel:o}}function rK(){if(window.____lastLongTask!==void 0)return;window.____lastLongTask=performance.now(),new window.PerformanceObserver(e=>{let n=e.getEntries();for(let r of n)if(r.entryType==="longtask"){let a=r.startTime+r.duration;window.____lastLongTask=Math.max(window.____lastLongTask||0,a)}}).observe({type:"longtask",buffered:!0})}function aK(){return new Promise(t=>{let e=performance.now(),n=window.____lastLongTask||0;setTimeout(()=>{let r=window.____lastLongTask||0,a=n===r?e-n:0;t(a)},150)})}function Ch(t,e){let n=s(()=>{throw new Error("waitForLoadEvent.cancel() called before it was defined")},"cancel");return{promise:new Promise((a,o)=>{let i,c=s(function(){i=setTimeout(a,e)},"loadListener");t.once("Page.loadEventFired",c);let u=!1;n=s(()=>{u||(u=!0,t.off("Page.loadEventFired",c),i&&clearTimeout(i))},"cancel")}),cancel:n}}async function oK(t){try{return t.setNextProtocolTimeout(1e3),await t.sendCommand("Runtime.evaluate",{expression:'"ping"',returnByValue:!0,timeout:1e3}),!1}catch{return!0}}async function mk(t,e,n){let{pauseAfterFcpMs:r,pauseAfterLoadMs:a,networkQuietThresholdMs:o,cpuQuietThresholdMs:i,maxWaitForLoadedMs:c,maxWaitForFcpMs:u}=n,{waitForFcp:l,waitForLoadEvent:m,waitForNetworkIdle:p,waitForCPUIdle:g}=n._waitForTestOverrides||iK,f,y=u?l(t,r,u):dk(),b=m(t,a),D=p(t,e,{networkQuietThresholdMs:o,busyEvent:"network-2-busy",idleEvent:"network-2-idle",isIdle:V=>V.is2Idle()}),T=p(t,e,{networkQuietThresholdMs:o,busyEvent:"network-critical-busy",idleEvent:"network-critical-idle",isIdle:V=>V.isCriticalIdle()}),A=dk(),R=Promise.all([y.promise,b.promise,D.promise,T.promise]).then(()=>(A=g(t,i),A.promise)).then(()=>s(async function(){return N.verbose("waitFor","loadEventFired and network considered idle"),{timedOut:!1}},"cleanupFn")).catch(V=>function(){throw V}),F=new Promise((V,z)=>{f=setTimeout(V,c)}).then(V=>async()=>{if(N.warn("waitFor","Timed out waiting for page load. Checking if page is hung..."),await oK(t))throw N.warn("waitFor","Page appears to be hung, killing JavaScript..."),await t.sendCommand("Emulation.setScriptExecutionDisabled",{value:!0}),await t.sendCommand("Runtime.terminateExecution"),new G(G.errors.PAGE_HUNG);let z=e.getInflightRequests().map(ne=>ne.url);return z.length>0&&N.warn("waitFor","Remaining inflight requests URLs",z),{timedOut:!0}}),M=await Promise.race([R,F]);return f&&clearTimeout(f),y.cancel(),b.cancel(),D.cancel(),A.cancel(),M()}function pk(t){function e(){let n=s(()=>{},"resolve"),r=new Promise(a=>n=a);return console.log(["You have enabled Lighthouse navigation debug mode.",'When you have finished inspecting the page, evaluate "continueLighthouseRun()"',"in the console to continue with the Lighthouse run."].join(" ")),window.continueLighthouseRun=n,r}return s(e,"createInPagePromise"),t.defaultSession.setNextProtocolTimeout(2**31-1),t.executionContext.evaluate(e,{args:[]})}var iK,Cp=v(()=>{"use strict";d();He();Bt();hp();s(dk,"waitForNothing");s(xp,"waitForFrameNavigated");s(tK,"waitForFcp");s(xh,"waitForNetworkIdle");s(nK,"waitForCPUIdle");s(rK,"registerPerformanceObserverInPage");s(aK,"checkTimeSinceLastLongTaskInPage");s(Ch,"waitForLoadEvent");s(oK,"isPageHung");iK={waitForFcp:tK,waitForLoadEvent:Ch,waitForCPUIdle:nK,waitForNetworkIdle:xh};s(mk,"waitForFullyLoaded");s(pk,"waitForUserToContinue")});var fk={};S(fk,{DevtoolsMessageLog:()=>Ap,default:()=>Lt});var Ah,Ap,Lt,Kn=v(()=>{"use strict";d();Ue();Ah=class t extends X{static{s(this,"DevtoolsLog")}static symbol=Symbol("DevtoolsLog");meta={symbol:t.symbol,supportedModes:["timespan","navigation"]};constructor(){super(),this._messageLog=new Ap(/^(Page|Network|Target|Runtime)\./),this._onProtocolMessage=e=>this._messageLog.record(e)}async startSensitiveInstrumentation({driver:e}){this._messageLog.reset(),this._messageLog.beginRecording(),e.targetManager.on("protocolevent",this._onProtocolMessage),await e.defaultSession.sendCommand("Page.enable")}async stopSensitiveInstrumentation({driver:e}){this._messageLog.endRecording(),e.targetManager.off("protocolevent",this._onProtocolMessage)}async getArtifact(){return this._messageLog.messages}},Ap=class{static{s(this,"DevtoolsMessageLog")}constructor(e){this._filter=e,this._messages=[],this._isRecording=!1}get messages(){return this._messages}reset(){this._messages=[]}beginRecording(){this._isRecording=!0}endRecording(){this._isRecording=!1}record(e){this._isRecording&&typeof e.method=="string"&&(this._filter&&!this._filter.test(e.method)||this._messages.push(e))}},Lt=Ah});var gk={};S(gk,{default:()=>uK});var sK,cK,Fh,uK,hk=v(()=>{"use strict";d();Ue();Cp();Kn();sK=100,cK=100,Fh=class t extends X{static{s(this,"BFCacheFailures")}meta={supportedModes:["navigation","timespan"],dependencies:{DevtoolsLog:Lt.symbol}};static processBFCacheEventList(e){let n={Circumstantial:{},PageSupportNeeded:{},SupportPending:{}};for(let r of e){let a=n[r.type];a[r.reason]=[]}return{notRestoredReasonsTree:n}}static processBFCacheEventTree(e){let n={Circumstantial:{},PageSupportNeeded:{},SupportPending:{}};function r(a){for(let o of a.explanations){let i=n[o.type],c=i[o.reason]||[];c.push(a.url),i[o.reason]=c}for(let o of a.children)r(o)}return s(r,"traverse"),r(e),{notRestoredReasonsTree:n}}static processBFCacheEvent(e){return e?.notRestoredExplanationsTree?t.processBFCacheEventTree(e.notRestoredExplanationsTree):t.processBFCacheEventList(e?.notRestoredExplanations||[])}async activelyCollectBFCacheEvent(e){let n=e.driver.defaultSession,r;function a(u){r=u}s(a,"onBfCacheNotUsed"),n.on("Page.backForwardCacheNotUsed",a);let o=await n.sendCommand("Page.getNavigationHistory"),i=o.entries[o.currentIndex];await Promise.all([n.sendCommand("Page.navigate",{url:"chrome://terms"}),Ch(n,cK).promise]);let[,c]=await Promise.all([n.sendCommand("Page.navigateToHistoryEntry",{entryId:i.id}),xp(n).promise]);if(await new Promise(u=>setTimeout(u,sK)),c.type!=="BackForwardCacheRestore"&&!r)throw new Error("bfcache failed but the failure reasons were not emitted in time");return n.off("Page.backForwardCacheNotUsed",a),r}passivelyCollectBFCacheEvents(e){let n=[];for(let r of e.dependencies.DevtoolsLog)r.method==="Page.backForwardCacheNotUsed"&&n.push(r.params);return n}async getArtifact(e){let n=this.passivelyCollectBFCacheEvents(e);if(e.gatherMode==="navigation"&&!e.settings.usePassiveGathering){let r=await this.activelyCollectBFCacheEvent(e);r&&n.push(r)}return n.map(t.processBFCacheEvent)}},uK=Fh});var yk={};S(yk,{default:()=>dK});function lK(){return caches.keys().then(t=>Promise.all(t.map(e=>caches.open(e)))).then(t=>{let e=[];return Promise.all(t.map(n=>n.keys().then(r=>{e.push(...r.map(a=>a.url))}))).then(n=>e)})}var Rh,dK,vk=v(()=>{"use strict";d();Ue();s(lK,"getCacheContents");Rh=class extends X{static{s(this,"CacheContents")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){return await e.driver.executionContext.evaluate(lK,{args:[]})}},dK=Rh});var bk={};S(bk,{default:()=>pK});function mK(t){if(typeof t.value<"u"||t.type==="undefined")return String(t.value);if(typeof t.description=="string"&&t.description!==t.className)return t.description;let e=t.subtype||t.type,n=t.className||"Object";return`[${e} ${n}]`}var _h,pK,wk=v(()=>{"use strict";d();Ue();s(mK,"remoteObjectToString");_h=class extends X{static{s(this,"ConsoleMessages")}meta={supportedModes:["timespan","navigation"]};constructor(){super(),this._logEntries=[],this._onConsoleAPICalled=this.onConsoleAPICalled.bind(this),this._onExceptionThrown=this.onExceptionThrown.bind(this),this._onLogEntryAdded=this.onLogEntry.bind(this)}onConsoleAPICalled(e){let{type:n}=e;if(n!=="warning"&&n!=="error")return;let a=(e.args||[]).map(mK).join(" ");if(!a&&!e.stackTrace)return;let{url:o,lineNumber:i,columnNumber:c}=e.stackTrace?.callFrames[0]||{},u={eventType:"consoleAPI",source:n==="warning"?"console.warn":"console.error",level:n,text:a,stackTrace:e.stackTrace,timestamp:e.timestamp,url:o,lineNumber:i,columnNumber:c};this._logEntries.push(u)}onExceptionThrown(e){let n=e.exceptionDetails.exception?e.exceptionDetails.exception.description:e.exceptionDetails.text;if(!n)return;let r={eventType:"exception",source:"exception",level:"error",text:n,stackTrace:e.exceptionDetails.stackTrace,timestamp:e.timestamp,url:e.exceptionDetails.url,scriptId:e.exceptionDetails.scriptId,lineNumber:e.exceptionDetails.lineNumber,columnNumber:e.exceptionDetails.columnNumber};this._logEntries.push(r)}onLogEntry(e){let{source:n,level:r,text:a,stackTrace:o,timestamp:i,url:c,lineNumber:u}=e.entry,l=e.entry.stackTrace?.callFrames[0];this._logEntries.push({eventType:"protocolLog",source:n,level:r,text:a,stackTrace:o,timestamp:i,url:c,scriptId:l?.scriptId,lineNumber:u,columnNumber:l?.columnNumber})}async startInstrumentation(e){let n=e.driver.defaultSession;n.on("Log.entryAdded",this._onLogEntryAdded),await n.sendCommand("Log.enable"),await n.sendCommand("Log.startViolationsReport",{config:[{name:"discouragedAPIUse",threshold:-1}]}),n.on("Runtime.consoleAPICalled",this._onConsoleAPICalled),n.on("Runtime.exceptionThrown",this._onExceptionThrown),await n.sendCommand("Runtime.enable")}async stopInstrumentation({driver:e}){await e.defaultSession.sendCommand("Log.stopViolationsReport"),await e.defaultSession.off("Log.entryAdded",this._onLogEntryAdded),await e.defaultSession.sendCommand("Log.disable"),await e.defaultSession.off("Runtime.consoleAPICalled",this._onConsoleAPICalled),await e.defaultSession.off("Runtime.exceptionThrown",this._onExceptionThrown),await e.defaultSession.sendCommand("Runtime.disable")}async getArtifact(){return this._logEntries}},pK=_h});var Dk={};S(Dk,{default:()=>fK});var kh,fK,Ek=v(()=>{"use strict";d();He();Ue();da();kh=class extends X{static{s(this,"CSSUsage")}constructor(){super(),this._session=void 0,this._sheetPromises=new Map,this._ruleUsage=void 0,this._onStylesheetAdded=this._onStylesheetAdded.bind(this)}meta={supportedModes:["snapshot","timespan","navigation"]};async _onStylesheetAdded(e){if(!this._session)throw new Error("Session not initialized");let n=e.header.styleSheetId,r=this._session.sendCommand("CSS.getStyleSheetText",{styleSheetId:n}).then(a=>({header:e.header,content:a.text})).catch(a=>(N.warn("CSSUsage",`Error fetching content of stylesheet with URL "${e.header.sourceURL}"`),en.captureException(a,{tags:{gatherer:"CSSUsage"},extra:{url:e.header.sourceURL},level:"error"}),a));this._sheetPromises.set(n,r)}async startCSSUsageTracking(e){let n=e.driver.defaultSession;this._session=n,n.on("CSS.styleSheetAdded",this._onStylesheetAdded),await n.sendCommand("DOM.enable"),await n.sendCommand("CSS.enable"),await n.sendCommand("CSS.startRuleUsageTracking")}async stopCSSUsageTracking(e){let n=e.driver.defaultSession,r=await n.sendCommand("CSS.stopRuleUsageTracking");this._ruleUsage=r.ruleUsage,n.off("CSS.styleSheetAdded",this._onStylesheetAdded)}async startInstrumentation(e){e.gatherMode==="timespan"&&await this.startCSSUsageTracking(e)}async stopInstrumentation(e){e.gatherMode==="timespan"&&await this.stopCSSUsageTracking(e)}async getArtifact(e){let n=e.driver.defaultSession,r=e.driver.executionContext;e.gatherMode!=="timespan"&&(await this.startCSSUsageTracking(e),await r.evaluateAsync("getComputedStyle(document.body)"),await this.stopCSSUsageTracking(e));let a=new Map,o=await Promise.all(this._sheetPromises.values());for(let i of o)i instanceof Error||a.set(i.content,i);if(await n.sendCommand("CSS.disable"),await n.sendCommand("DOM.disable"),!this._ruleUsage)throw new Error("Issue collecting rule usages");return{rules:this._ruleUsage,stylesheets:Array.from(a.values())}}},fK=kh});var Tk={};S(Tk,{default:()=>gK});var Ih,gK,Sk=v(()=>{"use strict";d();Kn();Ue();Ih=class extends X{static{s(this,"DevtoolsLogCompat")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:Lt.symbol}};async getArtifact(e){return{defaultPass:e.dependencies.DevtoolsLog}}},gK=Ih});var xk={};S(xk,{default:()=>yK});function hK(){if(!document.doctype)return null;let t=document.compatMode,{name:e,publicId:n,systemId:r}=document.doctype;return{name:e,publicId:n,systemId:r,documentCompatMode:t}}var Mh,yK,Ck=v(()=>{"use strict";d();Ue();s(hK,"getDoctype");Mh=class extends X{static{s(this,"Doctype")}meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate(hK,{args:[],useIsolation:!0})}},yK=Mh});var Ak={};S(Ak,{default:()=>bK});function vK(t=document.body,e=!0){let n=null,r=-1,a=-1,o=0,i=null,c=s(function(l,m=1){m>r&&(n=l,r=m),l.children.length>a&&(i=l,a=l.children.length);let p=l.firstElementChild;for(;p;)c(p,m+1),e&&p.shadowRoot&&c(p.shadowRoot,m+1),p=p.nextElementSibling,o++;return{maxDepth:r,maxWidth:a,numElements:o}},"_calcDOMWidthAndHeight"),u=c(t);return{depth:{max:u.maxDepth,...getNodeDetails(n)},width:{max:u.maxWidth,...getNodeDetails(i)},totalBodyElements:u.numElements}}var Nh,bK,Fk=v(()=>{"use strict";d();Ue();un();s(vK,"getDOMStats");Nh=class extends X{static{s(this,"DOMStats")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){let n=e.driver;await n.defaultSession.sendCommand("DOM.enable");let r=await n.executionContext.evaluate(vK,{args:[],useIsolation:!0,deps:[Ee.getNodeDetails]});return await n.defaultSession.sendCommand("DOM.disable"),r}},bK=Nh});var Rk={};S(Rk,{default:()=>CK});var wK,DK,EK,TK,SK,xK,Lh,CK,_k=v(()=>{"use strict";d();He();Ue();lt();St();da();De();Kn();wK=5e3,DK=2e3*1024,EK=.92,TK=.85,SK=4096,xK=/^image\/((x|ms|x-ms)-)?(png|bmp|jpeg)$/,Lh=class t extends X{static{s(this,"OptimizedImages")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:Lt.symbol}};constructor(){super(),this._encodingStartAt=0}static filterImageRequests(e){let n=new Set;return e.reduce((r,a)=>{if(n.has(a.url)||!a.finished||a.isOutOfProcessIframe)return r;n.add(a.url);let o=a.resourceType===Y.TYPES.Image&&xK.test(a.mimeType),i=Y.getResourceSizeOnNetwork(a);return o&&i>SK&&r.push({requestId:a.requestId,url:a.url,mimeType:a.mimeType,resourceSize:i}),r},[])}_getEncodedResponse(e,n,r){n=Y.getRequestIdForBackend(n);let o={requestId:n,encoding:r,quality:r==="jpeg"?EK:TK,sizeOnly:!0};return e.sendCommand("Audits.getEncodedResponse",o)}async calculateImageStats(e,n){let r=n.resourceSize;if(Date.now()-this._encodingStartAt>wK||r>DK)return{originalSize:r,jpegSize:void 0,webpSize:void 0};let a=await this._getEncodedResponse(e,n.requestId,"jpeg"),o=await this._getEncodedResponse(e,n.requestId,"webp");return{originalSize:r,jpegSize:a.encodedSize,webpSize:o.encodedSize}}async computeOptimizedImages(e,n){this._encodingStartAt=Date.now();let r=[];for(let a of n)try{let i={failed:!1,...await this.calculateImageStats(e,a),...a};r.push(i)}catch(o){N.warn("optimized-images",o.message),en.captureException(o,{tags:{gatherer:"OptimizedImages"},extra:{imageUrl:te.elideDataURI(a.url)},level:"warning"});let i={failed:!0,errMsg:o.message,...a};r.push(i)}return r}async getArtifact(e){let n=e.dependencies.DevtoolsLog,r=await $.request(n,e),a=t.filterImageRequests(r).sort((c,u)=>u.resourceSize-c.resourceSize),o=await this.computeOptimizedImages(e.driver.defaultSession,a),i=o.filter(c=>!c.failed);if(o.length&&!i.length)throw new Error("All image optimizations failed");return o}},CK=Lh});var Fp,Ph=v(()=>{d();Fp={2:"need dictionary",1:"stream end",0:"","-1":"file error","-2":"stream error","-3":"data error","-4":"insufficient memory","-5":"buffer error","-6":"incompatible version"}});function AK(){this.input=null,this.next_in=0,this.avail_in=0,this.total_in=0,this.output=null,this.next_out=0,this.avail_out=0,this.total_out=0,this.msg="",this.state=null,this.data_type=2,this.adler=0}var kk,Ik=v(()=>{d();s(AK,"ZStream");kk=AK});function vs(t,e,n,r,a){if(e.subarray&&t.subarray){t.set(e.subarray(n,n+r),a);return}for(var o=0;o<r;o++)t[a+o]=e[n+o]}var Oh,pa,Uh=v(()=>{"use strict";d();s(vs,"arraySet");Oh=Uint8Array,pa=Uint16Array});function ws(t){for(var e=t.length;--e>=0;)t[e]=0}function jh(t,e,n,r,a){this.static_tree=t,this.extra_bits=e,this.extra_base=n,this.elems=r,this.max_length=a,this.has_stree=t&&t.length}function qh(t,e){this.dyn_tree=t,this.max_code=0,this.stat_desc=e}function Kk(t){return t<256?Au[t]:Au[256+(t>>>7)]}function Ru(t,e){t.pending_buf[t.pending++]=e&255,t.pending_buf[t.pending++]=e>>>8&255}function Bn(t,e,n){t.bi_valid>Bh-n?(t.bi_buf|=e<<t.bi_valid&65535,Ru(t,t.bi_buf),t.bi_buf=e>>Bh-t.bi_valid,t.bi_valid+=n-Bh):(t.bi_buf|=e<<t.bi_valid&65535,t.bi_valid+=n)}function Nr(t,e,n){Bn(t,n[e*2],n[e*2+1])}function Jk(t,e){var n=0;do n|=t&1,t>>>=1,n<<=1;while(--e>0);return n>>>1}function OK(t){t.bi_valid===16?(Ru(t,t.bi_buf),t.bi_buf=0,t.bi_valid=0):t.bi_valid>=8&&(t.pending_buf[t.pending++]=t.bi_buf&255,t.bi_buf>>=8,t.bi_valid-=8)}function UK(t,e){var n=e.dyn_tree,r=e.max_code,a=e.stat_desc.static_tree,o=e.stat_desc.has_stree,i=e.stat_desc.extra_bits,c=e.stat_desc.extra_base,u=e.stat_desc.max_length,l,m,p,g,f,y,b=0;for(g=0;g<=Zo;g++)t.bl_count[g]=0;for(n[t.heap[t.heap_max]*2+1]=0,l=t.heap_max+1;l<qk;l++)m=t.heap[l],g=n[n[m*2+1]*2+1]+1,g>u&&(g=u,b++),n[m*2+1]=g,!(m>r)&&(t.bl_count[g]++,f=0,m>=c&&(f=i[m-c]),y=n[m*2],t.opt_len+=y*(g+f),o&&(t.static_len+=y*(a[m*2+1]+f)));if(b!==0){do{for(g=u-1;t.bl_count[g]===0;)g--;t.bl_count[g]--,t.bl_count[g+1]+=2,t.bl_count[u]--,b-=2}while(b>0);for(g=u;g!==0;g--)for(m=t.bl_count[g];m!==0;)p=t.heap[--l],!(p>r)&&(n[p*2+1]!==g&&(t.opt_len+=(g-n[p*2+1])*n[p*2],n[p*2+1]=g),m--)}}function Xk(t,e,n){var r=new Array(Zo+1),a=0,o,i;for(o=1;o<=Zo;o++)r[o]=a=a+n[o-1]<<1;for(i=0;i<=e;i++){var c=t[i*2+1];c!==0&&(t[i*2]=Jk(r[c]++,c))}}function BK(){var t,e,n,r,a,o=new Array(Zo+1);for(n=0,r=0;r<Wh-1;r++)for(Yh[r]=n,t=0;t<1<<Hh[r];t++)Fu[n++]=r;for(Fu[n-1]=r,a=0,r=0;r<16;r++)for(_p[r]=a,t=0;t<1<<Rp[r];t++)Au[a++]=r;for(a>>=7;r<bs;r++)for(_p[r]=a<<7,t=0;t<1<<Rp[r]-7;t++)Au[256+a++]=r;for(e=0;e<=Zo;e++)o[e]=0;for(t=0;t<=143;)fa[t*2+1]=8,t++,o[8]++;for(;t<=255;)fa[t*2+1]=9,t++,o[9]++;for(;t<=279;)fa[t*2+1]=7,t++,o[7]++;for(;t<=287;)fa[t*2+1]=8,t++,o[8]++;for(Xk(fa,Cu+1,o),t=0;t<bs;t++)xu[t*2+1]=5,xu[t*2]=Jk(t,5);Vk=new jh(fa,Hh,_u+1,Cu,Zo),$k=new jh(xu,Rp,0,bs,Zo),Yk=new jh(new Array(0),LK,0,Vh,NK)}function Zk(t){var e;for(e=0;e<Cu;e++)t.dyn_ltree[e*2]=0;for(e=0;e<bs;e++)t.dyn_dtree[e*2]=0;for(e=0;e<Vh;e++)t.bl_tree[e*2]=0;t.dyn_ltree[$h*2]=1,t.opt_len=t.static_len=0,t.last_lit=t.matches=0}function Qk(t){t.bi_valid>8?Ru(t,t.bi_buf):t.bi_valid>0&&(t.pending_buf[t.pending++]=t.bi_buf),t.bi_buf=0,t.bi_valid=0}function jK(t,e,n,r){Qk(t),r&&(Ru(t,n),Ru(t,~n)),vs(t.pending_buf,t.window,e,n,t.pending),t.pending+=n}function Lk(t,e,n,r){var a=e*2,o=n*2;return t[a]<t[o]||t[a]===t[o]&&r[e]<=r[n]}function zh(t,e,n){for(var r=t.heap[n],a=n<<1;a<=t.heap_len&&(a<t.heap_len&&Lk(e,t.heap[a+1],t.heap[a],t.depth)&&a++,!Lk(e,r,t.heap[a],t.depth));)t.heap[n]=t.heap[a],n=a,a<<=1;t.heap[n]=r}function Pk(t,e,n){var r,a,o=0,i,c;if(t.last_lit!==0)do r=t.pending_buf[t.d_buf+o*2]<<8|t.pending_buf[t.d_buf+o*2+1],a=t.pending_buf[t.l_buf+o],o++,r===0?Nr(t,a,e):(i=Fu[a],Nr(t,i+_u+1,e),c=Hh[i],c!==0&&(a-=Yh[i],Bn(t,a,c)),r--,i=Kk(r),Nr(t,i,n),c=Rp[i],c!==0&&(r-=_p[i],Bn(t,r,c)));while(o<t.last_lit);Nr(t,$h,e)}function Gh(t,e){var n=e.dyn_tree,r=e.stat_desc.static_tree,a=e.stat_desc.has_stree,o=e.stat_desc.elems,i,c,u=-1,l;for(t.heap_len=0,t.heap_max=qk,i=0;i<o;i++)n[i*2]!==0?(t.heap[++t.heap_len]=u=i,t.depth[i]=0):n[i*2+1]=0;for(;t.heap_len<2;)l=t.heap[++t.heap_len]=u<2?++u:0,n[l*2]=1,t.depth[l]=0,t.opt_len--,a&&(t.static_len-=r[l*2+1]);for(e.max_code=u,i=t.heap_len>>1;i>=1;i--)zh(t,n,i);l=o;do i=t.heap[1],t.heap[1]=t.heap[t.heap_len--],zh(t,n,1),c=t.heap[1],t.heap[--t.heap_max]=i,t.heap[--t.heap_max]=c,n[l*2]=n[i*2]+n[c*2],t.depth[l]=(t.depth[i]>=t.depth[c]?t.depth[i]:t.depth[c])+1,n[i*2+1]=n[c*2+1]=l,t.heap[1]=l++,zh(t,n,1);while(t.heap_len>=2);t.heap[--t.heap_max]=t.heap[1],UK(t,e),Xk(n,u,t.bl_count)}function Ok(t,e,n){var r,a=-1,o,i=e[0*2+1],c=0,u=7,l=4;for(i===0&&(u=138,l=3),e[(n+1)*2+1]=65535,r=0;r<=n;r++)o=i,i=e[(r+1)*2+1],!(++c<u&&o===i)&&(c<l?t.bl_tree[o*2]+=c:o!==0?(o!==a&&t.bl_tree[o*2]++,t.bl_tree[zk*2]++):c<=10?t.bl_tree[Hk*2]++:t.bl_tree[Gk*2]++,c=0,a=o,i===0?(u=138,l=3):o===i?(u=6,l=3):(u=7,l=4))}function Uk(t,e,n){var r,a=-1,o,i=e[0*2+1],c=0,u=7,l=4;for(i===0&&(u=138,l=3),r=0;r<=n;r++)if(o=i,i=e[(r+1)*2+1],!(++c<u&&o===i)){if(c<l)do Nr(t,o,t.bl_tree);while(--c!==0);else o!==0?(o!==a&&(Nr(t,o,t.bl_tree),c--),Nr(t,zk,t.bl_tree),Bn(t,c-3,2)):c<=10?(Nr(t,Hk,t.bl_tree),Bn(t,c-3,3)):(Nr(t,Gk,t.bl_tree),Bn(t,c-11,7));c=0,a=o,i===0?(u=138,l=3):o===i?(u=6,l=3):(u=7,l=4)}}function qK(t){var e;for(Ok(t,t.dyn_ltree,t.l_desc.max_code),Ok(t,t.dyn_dtree,t.d_desc.max_code),Gh(t,t.bl_desc),e=Vh-1;e>=3&&t.bl_tree[Wk[e]*2+1]===0;e--);return t.opt_len+=3*(e+1)+5+5+4,e}function zK(t,e,n,r){var a;for(Bn(t,e-257,5),Bn(t,n-1,5),Bn(t,r-4,4),a=0;a<r;a++)Bn(t,t.bl_tree[Wk[a]*2+1],3);Uk(t,t.dyn_ltree,e-1),Uk(t,t.dyn_dtree,n-1)}function HK(t){var e=4093624447,n;for(n=0;n<=31;n++,e>>>=1)if(e&1&&t.dyn_ltree[n*2]!==0)return Mk;if(t.dyn_ltree[9*2]!==0||t.dyn_ltree[10*2]!==0||t.dyn_ltree[13*2]!==0)return Nk;for(n=32;n<_u;n++)if(t.dyn_ltree[n*2]!==0)return Nk;return Mk}function eI(t){Bk||(BK(),Bk=!0),t.l_desc=new qh(t.dyn_ltree,Vk),t.d_desc=new qh(t.dyn_dtree,$k),t.bl_desc=new qh(t.bl_tree,Yk),t.bi_buf=0,t.bi_valid=0,Zk(t)}function Kh(t,e,n,r){Bn(t,(_K<<1)+(r?1:0),3),jK(t,e,n,!0)}function tI(t){Bn(t,jk<<1,3),Nr(t,$h,fa),OK(t)}function nI(t,e,n,r){var a,o,i=0;t.level>0?(t.strm.data_type===RK&&(t.strm.data_type=HK(t)),Gh(t,t.l_desc),Gh(t,t.d_desc),i=qK(t),a=t.opt_len+3+7>>>3,o=t.static_len+3+7>>>3,o<=a&&(a=o)):a=o=n+5,n+4<=a&&e!==-1?Kh(t,e,n,r):t.strategy===FK||o===a?(Bn(t,(jk<<1)+(r?1:0),3),Pk(t,fa,xu)):(Bn(t,(kK<<1)+(r?1:0),3),zK(t,t.l_desc.max_code+1,t.d_desc.max_code+1,i+1),Pk(t,t.dyn_ltree,t.dyn_dtree)),Zk(t),r&&Qk(t)}function ga(t,e,n){return t.pending_buf[t.d_buf+t.last_lit*2]=e>>>8&255,t.pending_buf[t.d_buf+t.last_lit*2+1]=e&255,t.pending_buf[t.l_buf+t.last_lit]=n&255,t.last_lit++,e===0?t.dyn_ltree[n*2]++:(t.matches++,e--,t.dyn_ltree[(Fu[n]+_u+1)*2]++,t.dyn_dtree[Kk(e)*2]++),t.last_lit===t.lit_bufsize-1}var FK,Mk,Nk,RK,_K,jk,kK,IK,MK,Wh,_u,Cu,bs,Vh,qk,Zo,Bh,NK,$h,zk,Hk,Gk,Hh,Rp,LK,Wk,PK,fa,xu,Au,Fu,Yh,_p,Vk,$k,Yk,Bk,rI=v(()=>{"use strict";d();Uh();FK=4,Mk=0,Nk=1,RK=2;s(ws,"zero");_K=0,jk=1,kK=2,IK=3,MK=258,Wh=29,_u=256,Cu=_u+1+Wh,bs=30,Vh=19,qk=2*Cu+1,Zo=15,Bh=16,NK=7,$h=256,zk=16,Hk=17,Gk=18,Hh=[0,0,0,0,0,0,0,0,1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,0],Rp=[0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13],LK=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,3,7],Wk=[16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15],PK=512,fa=new Array((Cu+2)*2);ws(fa);xu=new Array(bs*2);ws(xu);Au=new Array(PK);ws(Au);Fu=new Array(MK-IK+1);ws(Fu);Yh=new Array(Wh);ws(Yh);_p=new Array(bs);ws(_p);s(jh,"StaticTreeDesc");s(qh,"TreeDesc");s(Kk,"d_code");s(Ru,"put_short");s(Bn,"send_bits");s(Nr,"send_code");s(Jk,"bi_reverse");s(OK,"bi_flush");s(UK,"gen_bitlen");s(Xk,"gen_codes");s(BK,"tr_static_init");s(Zk,"init_block");s(Qk,"bi_windup");s(jK,"copy_block");s(Lk,"smaller");s(zh,"pqdownheap");s(Pk,"compress_block");s(Gh,"build_tree");s(Ok,"scan_tree");s(Uk,"send_tree");s(qK,"build_bl_tree");s(zK,"send_all_trees");s(HK,"detect_data_type");Bk=!1;s(eI,"_tr_init");s(Kh,"_tr_stored_block");s(tI,"_tr_align");s(nI,"_tr_flush_block");s(ga,"_tr_tally")});function GK(t,e,n,r){for(var a=t&65535|0,o=t>>>16&65535|0,i=0;n!==0;){i=n>2e3?2e3:n,n-=i;do a=a+e[r++]|0,o=o+a|0;while(--i);a%=65521,o%=65521}return a|o<<16|0}var aI,oI=v(()=>{d();s(GK,"adler32");aI=GK});function WK(){for(var t,e=[],n=0;n<256;n++){t=n;for(var r=0;r<8;r++)t=t&1?3988292384^t>>>1:t>>>1;e[n]=t}return e}function $K(t,e,n,r){var a=VK,o=r+n;t^=-1;for(var i=r;i<o;i++)t=t>>>8^a[(t^e[i])&255];return t^-1}var VK,ha,iI=v(()=>{d();s(WK,"makeTable");VK=WK();s($K,"crc32");ha=$K});function eo(t,e){return t.msg=Fp[e],e}function uI(t){return(t<<1)-(t>4?9:0)}function Qo(t){for(var e=t.length;--e>=0;)t[e]=0}function Xa(t){var e=t.state,n=e.pending;n>t.avail_out&&(n=t.avail_out),n!==0&&(vs(t.output,e.pending_buf,e.pending_out,n,t.next_out),t.next_out+=n,e.pending_out+=n,t.total_out+=n,t.avail_out-=n,e.pending-=n,e.pending===0&&(e.pending_out=0))}function ln(t,e){nI(t,t.block_start>=0?t.block_start:-1,t.strstart-t.block_start,e),t.block_start=t.strstart,Xa(t.strm)}function it(t,e){t.pending_buf[t.pending++]=e}function ku(t,e){t.pending_buf[t.pending++]=e>>>8&255,t.pending_buf[t.pending++]=e&255}function dJ(t,e,n,r){var a=t.avail_in;return a>r&&(a=r),a===0?0:(t.avail_in-=a,vs(e,t.input,t.next_in,a,n),t.state.wrap===1?t.adler=aI(t.adler,e,a,n):t.state.wrap===2&&(t.adler=ha(t.adler,e,a,n)),t.next_in+=a,t.total_in+=a,a)}function lI(t,e){var n=t.max_chain_length,r=t.strstart,a,o,i=t.prev_length,c=t.nice_match,u=t.strstart>t.w_size-mr?t.strstart-(t.w_size-mr):0,l=t.window,m=t.w_mask,p=t.prev,g=t.strstart+Qa,f=l[r+i-1],y=l[r+i];t.prev_length>=t.good_match&&(n>>=2),c>t.lookahead&&(c=t.lookahead);do if(a=e,!(l[a+i]!==y||l[a+i-1]!==f||l[a]!==l[r]||l[++a]!==l[r+1])){r+=2,a++;do;while(l[++r]===l[++a]&&l[++r]===l[++a]&&l[++r]===l[++a]&&l[++r]===l[++a]&&l[++r]===l[++a]&&l[++r]===l[++a]&&l[++r]===l[++a]&&l[++r]===l[++a]&&r<g);if(o=Qa-(g-r),r=g-Qa,o>i){if(t.match_start=e,i=o,o>=c)break;f=l[r+i-1],y=l[r+i]}}while((e=p[e&m])>u&&--n!==0);return i<=t.lookahead?i:t.lookahead}function Nu(t){var e=t.w_size,n,r,a,o,i;do{if(o=t.window_size-t.lookahead-t.strstart,t.strstart>=e+(e-mr)){vs(t.window,t.window,e,e,0),t.match_start-=e,t.strstart-=e,t.block_start-=e,r=t.hash_size,n=r;do a=t.head[--n],t.head[n]=a>=e?a-e:0;while(--r);r=e,n=r;do a=t.prev[--n],t.prev[n]=a>=e?a-e:0;while(--r);o+=e}if(t.strm.avail_in===0)break;if(r=dJ(t.strm,t.window,t.strstart+t.lookahead,o),t.lookahead+=r,t.lookahead+t.insert>=dt)for(i=t.strstart-t.insert,t.ins_h=t.window[i],t.ins_h=(t.ins_h<<t.hash_shift^t.window[i+1])&t.hash_mask;t.insert&&(t.ins_h=(t.ins_h<<t.hash_shift^t.window[i+dt-1])&t.hash_mask,t.prev[i&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=i,i++,t.insert--,!(t.lookahead+t.insert<dt)););}while(t.lookahead<mr&&t.strm.avail_in!==0)}function mJ(t,e){var n=65535;for(n>t.pending_buf_size-5&&(n=t.pending_buf_size-5);;){if(t.lookahead<=1){if(Nu(t),t.lookahead===0&&e===ni)return tn;if(t.lookahead===0)break}t.strstart+=t.lookahead,t.lookahead=0;var r=t.block_start+n;if((t.strstart===0||t.strstart>=r)&&(t.lookahead=t.strstart-r,t.strstart=r,ln(t,!1),t.strm.avail_out===0)||t.strstart-t.block_start>=t.w_size-mr&&(ln(t,!1),t.strm.avail_out===0))return tn}return t.insert=0,e===to?(ln(t,!0),t.strm.avail_out===0?ti:Ts):(t.strstart>t.block_start&&(ln(t,!1),t.strm.avail_out===0),tn)}function Xh(t,e){for(var n,r;;){if(t.lookahead<mr){if(Nu(t),t.lookahead<mr&&e===ni)return tn;if(t.lookahead===0)break}if(n=0,t.lookahead>=dt&&(t.ins_h=(t.ins_h<<t.hash_shift^t.window[t.strstart+dt-1])&t.hash_mask,n=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart),n!==0&&t.strstart-n<=t.w_size-mr&&(t.match_length=lI(t,n)),t.match_length>=dt)if(r=ga(t,t.strstart-t.match_start,t.match_length-dt),t.lookahead-=t.match_length,t.match_length<=t.max_lazy_match&&t.lookahead>=dt){t.match_length--;do t.strstart++,t.ins_h=(t.ins_h<<t.hash_shift^t.window[t.strstart+dt-1])&t.hash_mask,n=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart;while(--t.match_length!==0);t.strstart++}else t.strstart+=t.match_length,t.match_length=0,t.ins_h=t.window[t.strstart],t.ins_h=(t.ins_h<<t.hash_shift^t.window[t.strstart+1])&t.hash_mask;else r=ga(t,0,t.window[t.strstart]),t.lookahead--,t.strstart++;if(r&&(ln(t,!1),t.strm.avail_out===0))return tn}return t.insert=t.strstart<dt-1?t.strstart:dt-1,e===to?(ln(t,!0),t.strm.avail_out===0?ti:Ts):t.last_lit&&(ln(t,!1),t.strm.avail_out===0)?tn:Mu}function Ds(t,e){for(var n,r,a;;){if(t.lookahead<mr){if(Nu(t),t.lookahead<mr&&e===ni)return tn;if(t.lookahead===0)break}if(n=0,t.lookahead>=dt&&(t.ins_h=(t.ins_h<<t.hash_shift^t.window[t.strstart+dt-1])&t.hash_mask,n=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart),t.prev_length=t.match_length,t.prev_match=t.match_start,t.match_length=dt-1,n!==0&&t.prev_length<t.max_lazy_match&&t.strstart-n<=t.w_size-mr&&(t.match_length=lI(t,n),t.match_length<=5&&(t.strategy===ZK||t.match_length===dt&&t.strstart-t.match_start>4096)&&(t.match_length=dt-1)),t.prev_length>=dt&&t.match_length<=t.prev_length){a=t.strstart+t.lookahead-dt,r=ga(t,t.strstart-1-t.prev_match,t.prev_length-dt),t.lookahead-=t.prev_length-1,t.prev_length-=2;do++t.strstart<=a&&(t.ins_h=(t.ins_h<<t.hash_shift^t.window[t.strstart+dt-1])&t.hash_mask,n=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart);while(--t.prev_length!==0);if(t.match_available=0,t.match_length=dt-1,t.strstart++,r&&(ln(t,!1),t.strm.avail_out===0))return tn}else if(t.match_available){if(r=ga(t,0,t.window[t.strstart-1]),r&&ln(t,!1),t.strstart++,t.lookahead--,t.strm.avail_out===0)return tn}else t.match_available=1,t.strstart++,t.lookahead--}return t.match_available&&(r=ga(t,0,t.window[t.strstart-1]),t.match_available=0),t.insert=t.strstart<dt-1?t.strstart:dt-1,e===to?(ln(t,!0),t.strm.avail_out===0?ti:Ts):t.last_lit&&(ln(t,!1),t.strm.avail_out===0)?tn:Mu}function pJ(t,e){for(var n,r,a,o,i=t.window;;){if(t.lookahead<=Qa){if(Nu(t),t.lookahead<=Qa&&e===ni)return tn;if(t.lookahead===0)break}if(t.match_length=0,t.lookahead>=dt&&t.strstart>0&&(a=t.strstart-1,r=i[a],r===i[++a]&&r===i[++a]&&r===i[++a])){o=t.strstart+Qa;do;while(r===i[++a]&&r===i[++a]&&r===i[++a]&&r===i[++a]&&r===i[++a]&&r===i[++a]&&r===i[++a]&&r===i[++a]&&a<o);t.match_length=Qa-(o-a),t.match_length>t.lookahead&&(t.match_length=t.lookahead)}if(t.match_length>=dt?(n=ga(t,1,t.match_length-dt),t.lookahead-=t.match_length,t.strstart+=t.match_length,t.match_length=0):(n=ga(t,0,t.window[t.strstart]),t.lookahead--,t.strstart++),n&&(ln(t,!1),t.strm.avail_out===0))return tn}return t.insert=0,e===to?(ln(t,!0),t.strm.avail_out===0?ti:Ts):t.last_lit&&(ln(t,!1),t.strm.avail_out===0)?tn:Mu}function fJ(t,e){for(var n;;){if(t.lookahead===0&&(Nu(t),t.lookahead===0)){if(e===ni)return tn;break}if(t.match_length=0,n=ga(t,0,t.window[t.strstart]),t.lookahead--,t.strstart++,n&&(ln(t,!1),t.strm.avail_out===0))return tn}return t.insert=0,e===to?(ln(t,!0),t.strm.avail_out===0?ti:Ts):t.last_lit&&(ln(t,!1),t.strm.avail_out===0)?tn:Mu}function Lr(t,e,n,r,a){this.good_length=t,this.max_lazy=e,this.nice_length=n,this.max_chain=r,this.func=a}function gJ(t){t.window_size=2*t.w_size,Qo(t.head),t.max_lazy_match=Es[t.level].max_lazy,t.good_match=Es[t.level].good_length,t.nice_match=Es[t.level].nice_length,t.max_chain_length=Es[t.level].max_chain,t.strstart=0,t.block_start=0,t.lookahead=0,t.insert=0,t.match_length=t.prev_length=dt-1,t.match_available=0,t.ins_h=0}function hJ(){this.strm=null,this.status=0,this.pending_buf=null,this.pending_buf_size=0,this.pending_out=0,this.pending=0,this.wrap=0,this.gzhead=null,this.gzindex=0,this.method=ey,this.last_flush=-1,this.w_size=0,this.w_bits=0,this.w_mask=0,this.window=null,this.window_size=0,this.prev=null,this.head=null,this.ins_h=0,this.hash_size=0,this.hash_bits=0,this.hash_mask=0,this.hash_shift=0,this.block_start=0,this.match_length=0,this.prev_match=0,this.match_available=0,this.strstart=0,this.match_start=0,this.lookahead=0,this.prev_length=0,this.max_chain_length=0,this.max_lazy_match=0,this.level=0,this.strategy=0,this.good_match=0,this.nice_match=0,this.dyn_ltree=new pa(sJ*2),this.dyn_dtree=new pa((2*oJ+1)*2),this.bl_tree=new pa((2*iJ+1)*2),Qo(this.dyn_ltree),Qo(this.dyn_dtree),Qo(this.bl_tree),this.l_desc=null,this.d_desc=null,this.bl_desc=null,this.bl_count=new pa(cJ+1),this.heap=new pa(2*Zh+1),Qo(this.heap),this.heap_len=0,this.heap_max=0,this.depth=new pa(2*Zh+1),Qo(this.depth),this.l_buf=0,this.lit_bufsize=0,this.last_lit=0,this.d_buf=0,this.opt_len=0,this.static_len=0,this.matches=0,this.insert=0,this.bi_buf=0,this.bi_valid=0}function yJ(t){var e;return!t||!t.state?eo(t,no):(t.total_in=t.total_out=0,t.data_type=tJ,e=t.state,e.pending=0,e.pending_out=0,e.wrap<0&&(e.wrap=-e.wrap),e.status=e.wrap?ty:ei,t.adler=e.wrap===2?0:1,e.last_flush=ni,eI(e),Za)}function ny(t){var e=yJ(t);return e===Za&&gJ(t.state),e}function dI(t,e,n,r,a,o){if(!t)return no;var i=1;if(e===XK&&(e=6),r<0?(i=0,r=-r):r>15&&(i=2,r-=16),a<1||a>nJ||n!==ey||r<8||r>15||e<0||e>9||o<0||o>eJ)return eo(t,no);r===8&&(r=9);var c=new hJ;return t.state=c,c.strm=t,c.wrap=i,c.gzhead=null,c.w_bits=r,c.w_size=1<<c.w_bits,c.w_mask=c.w_size-1,c.hash_bits=a+7,c.hash_size=1<<c.hash_bits,c.hash_mask=c.hash_size-1,c.hash_shift=~~((c.hash_bits+dt-1)/dt),c.window=new Oh(c.w_size*2),c.head=new pa(c.hash_size),c.prev=new pa(c.w_size),c.lit_bufsize=1<<a+6,c.pending_buf_size=c.lit_bufsize*4,c.pending_buf=new Oh(c.pending_buf_size),c.d_buf=1*c.lit_bufsize,c.l_buf=(1+2)*c.lit_bufsize,c.level=e,c.strategy=o,c.method=n,ny(t)}function mI(t,e){var n,r,a,o;if(!t||!t.state||e>sI||e<0)return t?eo(t,no):no;if(r=t.state,!t.output||!t.input&&t.avail_in!==0||r.status===Iu&&e!==to)return eo(t,t.avail_out===0?Jh:no);if(r.strm=t,n=r.last_flush,r.last_flush=e,r.status===ty)if(r.wrap===2)t.adler=0,it(r,31),it(r,139),it(r,8),r.gzhead?(it(r,(r.gzhead.text?1:0)+(r.gzhead.hcrc?2:0)+(r.gzhead.extra?4:0)+(r.gzhead.name?8:0)+(r.gzhead.comment?16:0)),it(r,r.gzhead.time&255),it(r,r.gzhead.time>>8&255),it(r,r.gzhead.time>>16&255),it(r,r.gzhead.time>>24&255),it(r,r.level===9?2:r.strategy>=kp||r.level<2?4:0),it(r,r.gzhead.os&255),r.gzhead.extra&&r.gzhead.extra.length&&(it(r,r.gzhead.extra.length&255),it(r,r.gzhead.extra.length>>8&255)),r.gzhead.hcrc&&(t.adler=ha(t.adler,r.pending_buf,r.pending,0)),r.gzindex=0,r.status=Qh):(it(r,0),it(r,0),it(r,0),it(r,0),it(r,0),it(r,r.level===9?2:r.strategy>=kp||r.level<2?4:0),it(r,lJ),r.status=ei);else{var i=ey+(r.w_bits-8<<4)<<8,c=-1;r.strategy>=kp||r.level<2?c=0:r.level<6?c=1:r.level===6?c=2:c=3,i|=c<<6,r.strstart!==0&&(i|=uJ),i+=31-i%31,r.status=ei,ku(r,i),r.strstart!==0&&(ku(r,t.adler>>>16),ku(r,t.adler&65535)),t.adler=1}if(r.status===Qh)if(r.gzhead.extra){for(a=r.pending;r.gzindex<(r.gzhead.extra.length&65535)&&!(r.pending===r.pending_buf_size&&(r.gzhead.hcrc&&r.pending>a&&(t.adler=ha(t.adler,r.pending_buf,r.pending-a,a)),Xa(t),a=r.pending,r.pending===r.pending_buf_size));)it(r,r.gzhead.extra[r.gzindex]&255),r.gzindex++;r.gzhead.hcrc&&r.pending>a&&(t.adler=ha(t.adler,r.pending_buf,r.pending-a,a)),r.gzindex===r.gzhead.extra.length&&(r.gzindex=0,r.status=Ip)}else r.status=Ip;if(r.status===Ip)if(r.gzhead.name){a=r.pending;do{if(r.pending===r.pending_buf_size&&(r.gzhead.hcrc&&r.pending>a&&(t.adler=ha(t.adler,r.pending_buf,r.pending-a,a)),Xa(t),a=r.pending,r.pending===r.pending_buf_size)){o=1;break}r.gzindex<r.gzhead.name.length?o=r.gzhead.name.charCodeAt(r.gzindex++)&255:o=0,it(r,o)}while(o!==0);r.gzhead.hcrc&&r.pending>a&&(t.adler=ha(t.adler,r.pending_buf,r.pending-a,a)),o===0&&(r.gzindex=0,r.status=Mp)}else r.status=Mp;if(r.status===Mp)if(r.gzhead.comment){a=r.pending;do{if(r.pending===r.pending_buf_size&&(r.gzhead.hcrc&&r.pending>a&&(t.adler=ha(t.adler,r.pending_buf,r.pending-a,a)),Xa(t),a=r.pending,r.pending===r.pending_buf_size)){o=1;break}r.gzindex<r.gzhead.comment.length?o=r.gzhead.comment.charCodeAt(r.gzindex++)&255:o=0,it(r,o)}while(o!==0);r.gzhead.hcrc&&r.pending>a&&(t.adler=ha(t.adler,r.pending_buf,r.pending-a,a)),o===0&&(r.status=Np)}else r.status=Np;if(r.status===Np&&(r.gzhead.hcrc?(r.pending+2>r.pending_buf_size&&Xa(t),r.pending+2<=r.pending_buf_size&&(it(r,t.adler&255),it(r,t.adler>>8&255),t.adler=0,r.status=ei)):r.status=ei),r.pending!==0){if(Xa(t),t.avail_out===0)return r.last_flush=-1,Za}else if(t.avail_in===0&&uI(e)<=uI(n)&&e!==to)return eo(t,Jh);if(r.status===Iu&&t.avail_in!==0)return eo(t,Jh);if(t.avail_in!==0||r.lookahead!==0||e!==ni&&r.status!==Iu){var u=r.strategy===kp?fJ(r,e):r.strategy===QK?pJ(r,e):Es[r.level].func(r,e);if((u===ti||u===Ts)&&(r.status=Iu),u===tn||u===ti)return t.avail_out===0&&(r.last_flush=-1),Za;if(u===Mu&&(e===YK?tI(r):e!==sI&&(Kh(r,0,0,!1),e===KK&&(Qo(r.head),r.lookahead===0&&(r.strstart=0,r.block_start=0,r.insert=0))),Xa(t),t.avail_out===0))return r.last_flush=-1,Za}return e!==to?Za:r.wrap<=0?cI:(r.wrap===2?(it(r,t.adler&255),it(r,t.adler>>8&255),it(r,t.adler>>16&255),it(r,t.adler>>24&255),it(r,t.total_in&255),it(r,t.total_in>>8&255),it(r,t.total_in>>16&255),it(r,t.total_in>>24&255)):(ku(r,t.adler>>>16),ku(r,t.adler&65535)),Xa(t),r.wrap>0&&(r.wrap=-r.wrap),r.pending!==0?Za:cI)}function pI(t){var e;return!t||!t.state?no:(e=t.state.status,e!==ty&&e!==Qh&&e!==Ip&&e!==Mp&&e!==Np&&e!==ei&&e!==Iu?eo(t,no):(t.state=null,e===ei?eo(t,JK):Za))}var ni,YK,KK,to,sI,Za,cI,no,JK,Jh,XK,ZK,kp,QK,eJ,tJ,ey,nJ,rJ,aJ,Zh,oJ,iJ,sJ,cJ,dt,Qa,mr,uJ,ty,Qh,Ip,Mp,Np,ei,Iu,tn,Mu,ti,Ts,lJ,Es,fI=v(()=>{d();Uh();rI();oI();iI();Ph();ni=0,YK=1,KK=3,to=4,sI=5,Za=0,cI=1,no=-2,JK=-3,Jh=-5,XK=-1,ZK=1,kp=2,QK=3,eJ=4,tJ=2,ey=8,nJ=9,rJ=29,aJ=256,Zh=aJ+1+rJ,oJ=30,iJ=19,sJ=2*Zh+1,cJ=15,dt=3,Qa=258,mr=Qa+dt+1,uJ=32,ty=42,Qh=69,Ip=73,Mp=91,Np=103,ei=113,Iu=666,tn=1,Mu=2,ti=3,Ts=4,lJ=3;s(eo,"err");s(uI,"rank");s(Qo,"zero");s(Xa,"flush_pending");s(ln,"flush_block_only");s(it,"put_byte");s(ku,"putShortMSB");s(dJ,"read_buf");s(lI,"longest_match");s(Nu,"fill_window");s(mJ,"deflate_stored");s(Xh,"deflate_fast");s(Ds,"deflate_slow");s(pJ,"deflate_rle");s(fJ,"deflate_huff");s(Lr,"Config");Es=[new Lr(0,0,0,0,mJ),new Lr(4,4,8,4,Xh),new Lr(4,5,16,8,Xh),new Lr(4,6,32,32,Xh),new Lr(4,4,16,16,Ds),new Lr(8,16,32,32,Ds),new Lr(8,16,128,128,Ds),new Lr(8,32,128,256,Ds),new Lr(32,128,258,1024,Ds),new Lr(32,258,258,4096,Ds)];s(gJ,"lm_init");s(hJ,"DeflateState");s(yJ,"deflateResetKeep");s(ny,"deflateReset");s(dI,"deflateInit2");s(mI,"deflate");s(pI,"deflateEnd")});var gI=v(()=>{d()});var Bp={};S(Bp,{DEFLATE:()=>xs,DEFLATERAW:()=>Ss,GUNZIP:()=>Pp,GZIP:()=>Lu,INFLATE:()=>Op,INFLATERAW:()=>Pu,NONE:()=>ry,UNZIP:()=>Ou,Z_BEST_COMPRESSION:()=>CJ,Z_BEST_SPEED:()=>xJ,Z_BINARY:()=>MJ,Z_BLOCK:()=>DI,Z_BUF_ERROR:()=>TJ,Z_DATA_ERROR:()=>EJ,Z_DEFAULT_COMPRESSION:()=>AJ,Z_DEFAULT_STRATEGY:()=>IJ,Z_DEFLATED:()=>TI,Z_ERRNO:()=>wJ,Z_FILTERED:()=>FJ,Z_FINISH:()=>wI,Z_FIXED:()=>kJ,Z_FULL_FLUSH:()=>bI,Z_HUFFMAN_ONLY:()=>RJ,Z_NEED_DICT:()=>bJ,Z_NO_COMPRESSION:()=>SJ,Z_NO_FLUSH:()=>hI,Z_OK:()=>Up,Z_PARTIAL_FLUSH:()=>yI,Z_RLE:()=>_J,Z_STREAM_END:()=>EI,Z_STREAM_ERROR:()=>DJ,Z_SYNC_FLUSH:()=>vI,Z_TEXT:()=>NJ,Z_TREES:()=>vJ,Z_UNKNOWN:()=>LJ,Zlib:()=>Pr});function Pr(t){if(t<xs||t>Ou)throw new TypeError("Bad argument");this.mode=t,this.init_done=!1,this.write_in_progress=!1,this.pending_close=!1,this.windowBits=0,this.level=0,this.memLevel=0,this.strategy=0,this.dictionary=null}function PJ(t,e){for(var n=0;n<t.length;n++)this[e+n]=t[n]}var ry,xs,Op,Lu,Pp,Ss,Pu,Ou,hI,yI,vI,bI,wI,DI,vJ,Up,EI,bJ,wJ,DJ,EJ,TJ,SJ,xJ,CJ,AJ,FJ,RJ,_J,kJ,IJ,MJ,NJ,LJ,TI,Lp,SI=v(()=>{d();Ph();Ik();fI();gI();ry=0,xs=1,Op=2,Lu=3,Pp=4,Ss=5,Pu=6,Ou=7,hI=0,yI=1,vI=2,bI=3,wI=4,DI=5,vJ=6,Up=0,EI=1,bJ=2,wJ=-1,DJ=-2,EJ=-3,TJ=-5,SJ=0,xJ=1,CJ=9,AJ=-1,FJ=1,RJ=2,_J=3,kJ=4,IJ=0,MJ=0,NJ=1,LJ=2,TI=8;s(Pr,"Zlib");Pr.prototype.init=function(t,e,n,r,a){this.windowBits=t,this.level=e,this.memLevel=n,this.strategy=r,(this.mode===Lu||this.mode===Pp)&&(this.windowBits+=16),this.mode===Ou&&(this.windowBits+=32),(this.mode===Ss||this.mode===Pu)&&(this.windowBits=-this.windowBits),this.strm=new kk;var o;switch(this.mode){case xs:case Lu:case Ss:o=dI(this.strm,this.level,TI,this.windowBits,this.memLevel,this.strategy);break;case Op:case Pp:case Pu:case Ou:o=(this.strm,this.windowBits,void 0);break;default:throw new Error("Unknown mode "+this.mode)}if(o!==Up){this._error(o);return}this.write_in_progress=!1,this.init_done=!0};Pr.prototype.params=function(){throw new Error("deflateParams Not supported")};Pr.prototype._writeCheck=function(){if(!this.init_done)throw new Error("write before init");if(this.mode===ry)throw new Error("already finalized");if(this.write_in_progress)throw new Error("write already in progress");if(this.pending_close)throw new Error("close is pending")};Pr.prototype.write=function(t,e,n,r,a,o,i){this._writeCheck(),this.write_in_progress=!0;var c=this;return process.nextTick(function(){c.write_in_progress=!1;var u=c._write(t,e,n,r,a,o,i);c.callback(u[0],u[1]),c.pending_close&&c.close()}),this};s(PJ,"bufferSet");Pr.prototype.writeSync=function(t,e,n,r,a,o,i){return this._writeCheck(),this._write(t,e,n,r,a,o,i)};Pr.prototype._write=function(t,e,n,r,a,o,i){if(this.write_in_progress=!0,t!==hI&&t!==yI&&t!==vI&&t!==bI&&t!==wI&&t!==DI)throw new Error("Invalid flush value");e==null&&(e=new Buffer(0),r=0,n=0),a._set?a.set=a._set:a.set=PJ;var c=this.strm;c.avail_in=r,c.input=e,c.next_in=n,c.avail_out=i,c.output=a,c.next_out=o;var u;switch(this.mode){case xs:case Lu:case Ss:u=mI(c,t);break;case Ou:case Op:case Pp:case Pu:u=void 0;break;default:throw new Error("Unknown mode "+this.mode)}return u!==EI&&u!==Up&&this._error(u),this.write_in_progress=!1,[c.avail_in,c.avail_out]};Pr.prototype.close=function(){if(this.write_in_progress){this.pending_close=!0;return}this.pending_close=!1,this.mode===xs||this.mode===Lu||this.mode===Ss?pI(this.strm):(this.strm,void 0),this.mode=ry};Pr.prototype.reset=function(){switch(this.mode){case xs:case Ss:Lp=ny(this.strm);break;case Op:case Pu:Lp=(this.strm,void 0);break}Lp!==Up&&this._error(Lp)};Pr.prototype._error=function(t){this.onerror(Fp[t]+": "+this.strm.msg,t),this.write_in_progress=!1,this.pending_close&&this.close()}});function OJ(t,e){if(!t)throw new Error(e)}function xI(t,e,n){return typeof e=="function"&&(n=e,e={}),UJ(new jp(e),t,n)}function UJ(t,e,n){var r=[],a=0;t.on("error",i),t.on("end",c),t.end(e),o();function o(){for(var u;(u=t.read())!==null;)r.push(u),a+=u.length;t.once("readable",o)}s(o,"flow");function i(u){t.removeListener("end",c),t.removeListener("readable",o),n(u)}s(i,"onError");function c(){var u=Buffer.concat(r,a);r=[],n(null,u),t.close()}s(c,"onEnd")}function oy(t){if(!(this instanceof oy))return new oy(t);jt.call(this,t,re.DEFLATE)}function iy(t){if(!(this instanceof iy))return new iy(t);jt.call(this,t,re.INFLATE)}function jp(t){if(!(this instanceof jp))return new jp(t);jt.call(this,t,re.GZIP)}function sy(t){if(!(this instanceof sy))return new sy(t);jt.call(this,t,re.GUNZIP)}function cy(t){if(!(this instanceof cy))return new cy(t);jt.call(this,t,re.DEFLATERAW)}function uy(t){if(!(this instanceof uy))return new uy(t);jt.call(this,t,re.INFLATERAW)}function ly(t){if(!(this instanceof ly))return new ly(t);jt.call(this,t,re.UNZIP)}function jt(t,e){if(this._opts=t=t||{},this._chunkSize=t.chunkSize||re.Z_DEFAULT_CHUNK,Cn.call(this,t),t.flush&&t.flush!==re.Z_NO_FLUSH&&t.flush!==re.Z_PARTIAL_FLUSH&&t.flush!==re.Z_SYNC_FLUSH&&t.flush!==re.Z_FULL_FLUSH&&t.flush!==re.Z_FINISH&&t.flush!==re.Z_BLOCK)throw new Error("Invalid flush flag: "+t.flush);if(this._flushFlag=t.flush||re.Z_NO_FLUSH,t.chunkSize&&(t.chunkSize<re.Z_MIN_CHUNK||t.chunkSize>re.Z_MAX_CHUNK))throw new Error("Invalid chunk size: "+t.chunkSize);if(t.windowBits&&(t.windowBits<re.Z_MIN_WINDOWBITS||t.windowBits>re.Z_MAX_WINDOWBITS))throw new Error("Invalid windowBits: "+t.windowBits);if(t.level&&(t.level<re.Z_MIN_LEVEL||t.level>re.Z_MAX_LEVEL))throw new Error("Invalid compression level: "+t.level);if(t.memLevel&&(t.memLevel<re.Z_MIN_MEMLEVEL||t.memLevel>re.Z_MAX_MEMLEVEL))throw new Error("Invalid memLevel: "+t.memLevel);if(t.strategy&&t.strategy!=re.Z_FILTERED&&t.strategy!=re.Z_HUFFMAN_ONLY&&t.strategy!=re.Z_RLE&&t.strategy!=re.Z_FIXED&&t.strategy!=re.Z_DEFAULT_STRATEGY)throw new Error("Invalid strategy: "+t.strategy);if(t.dictionary&&!Buffer.isBuffer(t.dictionary))throw new Error("Invalid dictionary: it should be a Buffer instance");this._binding=new re.Zlib(e);var n=this;this._hadError=!1,this._binding.onerror=function(o,i){n._binding=null,n._hadError=!0;var c=new Error(o);c.errno=i,c.code=re.codes[i],n.emit("error",c)};var r=re.Z_DEFAULT_COMPRESSION;typeof t.level=="number"&&(r=t.level);var a=re.Z_DEFAULT_STRATEGY;typeof t.strategy=="number"&&(a=t.strategy),this._binding.init(t.windowBits||re.Z_DEFAULT_WINDOWBITS,r,t.memLevel||re.Z_DEFAULT_MEMLEVEL,a,t.dictionary),this._buffer=new Buffer(this._chunkSize),this._offset=0,this._closed=!1,this._level=r,this._strategy=a,this.once("end",this.close)}var re,ay,CI=v(()=>{d();Wg();SI();Ga();s(OJ,"assert");re={};Object.keys(Bp).forEach(function(t){re[t]=Bp[t]});re.Z_MIN_WINDOWBITS=8;re.Z_MAX_WINDOWBITS=15;re.Z_DEFAULT_WINDOWBITS=15;re.Z_MIN_CHUNK=64;re.Z_MAX_CHUNK=1/0;re.Z_DEFAULT_CHUNK=16*1024;re.Z_MIN_MEMLEVEL=1;re.Z_MAX_MEMLEVEL=9;re.Z_DEFAULT_MEMLEVEL=8;re.Z_MIN_LEVEL=-1;re.Z_MAX_LEVEL=9;re.Z_DEFAULT_LEVEL=re.Z_DEFAULT_COMPRESSION;ay={Z_OK:re.Z_OK,Z_STREAM_END:re.Z_STREAM_END,Z_NEED_DICT:re.Z_NEED_DICT,Z_ERRNO:re.Z_ERRNO,Z_STREAM_ERROR:re.Z_STREAM_ERROR,Z_DATA_ERROR:re.Z_DATA_ERROR,Z_MEM_ERROR:re.Z_MEM_ERROR,Z_BUF_ERROR:re.Z_BUF_ERROR,Z_VERSION_ERROR:re.Z_VERSION_ERROR};Object.keys(ay).forEach(function(t){ay[ay[t]]=t});s(xI,"gzip");s(UJ,"zlibBuffer");s(oy,"Deflate");s(iy,"Inflate");s(jp,"Gzip");s(sy,"Gunzip");s(cy,"DeflateRaw");s(uy,"InflateRaw");s(ly,"Unzip");s(jt,"Zlib");Ut(jt,Cn);jt.prototype.params=function(t,e,n){if(t<re.Z_MIN_LEVEL||t>re.Z_MAX_LEVEL)throw new RangeError("Invalid compression level: "+t);if(e!=re.Z_FILTERED&&e!=re.Z_HUFFMAN_ONLY&&e!=re.Z_RLE&&e!=re.Z_FIXED&&e!=re.Z_DEFAULT_STRATEGY)throw new TypeError("Invalid strategy: "+e);if(this._level!==t||this._strategy!==e){var r=this;this.flush(re.Z_SYNC_FLUSH,function(){r._binding.params(t,e),r._hadError||(r._level=t,r._strategy=e,n&&n())})}else process.nextTick(n)};jt.prototype.reset=function(){return this._binding.reset()};jt.prototype._flush=function(t){this._transform(new Buffer(0),"",t)};jt.prototype.flush=function(t,e){var n=this._writableState;if((typeof t=="function"||t===void 0&&!e)&&(e=t,t=re.Z_FULL_FLUSH),n.ended)e&&process.nextTick(e);else if(n.ending)e&&this.once("end",e);else if(n.needDrain){var r=this;this.once("drain",function(){r.flush(e)})}else this._flushFlag=t,this.write(new Buffer(0),"",e)};jt.prototype.close=function(t){if(t&&process.nextTick(t),!this._closed){this._closed=!0,this._binding.close();var e=this;process.nextTick(function(){e.emit("close")})}};jt.prototype._transform=function(t,e,n){var r,a=this._writableState,o=a.ending||a.ended,i=o&&(!t||a.length===t.length);if(!t===null&&!Buffer.isBuffer(t))return n(new Error("invalid input"));i?r=re.Z_FINISH:(r=this._flushFlag,t.length>=a.length&&(this._flushFlag=this._opts.flush||re.Z_NO_FLUSH)),this._processChunk(t,r,n)};jt.prototype._processChunk=function(t,e,n){var r=t&&t.length,a=this._chunkSize-this._offset,o=0,i=this,c=typeof n=="function";if(!c){var u=[],l=0,m;this.on("error",function(b){m=b});do var p=this._binding.writeSync(e,t,o,r,this._buffer,this._offset,a);while(!this._hadError&&y(p[0],p[1]));if(this._hadError)throw m;var g=Buffer.concat(u,l);return this.close(),g}var f=this._binding.write(e,t,o,r,this._buffer,this._offset,a);f.buffer=t,f.callback=y;function y(b,D){if(!i._hadError){var T=a-D;if(OJ(T>=0,"have should not go down"),T>0){var A=i._buffer.slice(i._offset,i._offset+T);i._offset+=T,c?i.push(A):(u.push(A),l+=A.length)}if((D===0||i._offset>=i._chunkSize)&&(a=i._chunkSize,i._offset=0,i._buffer=new Buffer(i._chunkSize)),D===0){if(o+=r-b,r=b,!c)return!0;var R=i._binding.write(e,t,o,r,i._buffer,i._offset,i._chunkSize);R.callback=y,R.buffer=t;return}if(!c)return!1;n()}}s(y,"callback")};Ut(oy,jt);Ut(iy,jt);Ut(jp,jt);Ut(sy,jt);Ut(cy,jt);Ut(uy,jt);Ut(ly,jt)});async function qp(t,e,n=1e3){return e=Y.getRequestIdForBackend(e),t.setNextProtocolTimeout(n),(await t.sendCommand("Network.getResponseBody",{requestId:e})).body}var dy=v(()=>{"use strict";d();St();s(qp,"fetchResponseBodyFromCache")});var AI={};S(AI,{default:()=>GJ});var BJ,jJ,qJ,zJ,HJ,my,GJ,FI=v(()=>{"use strict";d();Bi();CI();He();Ue();lt();St();Kn();dy();De();BJ="chrome-extension:",jJ=["content-encoding","x-original-content-encoding","x-content-encoding-over-network"],qJ=["gzip","br","deflate"],zJ=["image","audio","video"],HJ=[Y.TYPES.Document,Y.TYPES.Script,Y.TYPES.Stylesheet,Y.TYPES.XHR,Y.TYPES.Fetch,Y.TYPES.EventSource],my=class t extends X{static{s(this,"ResponseCompression")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:Lt.symbol}};static filterUnoptimizedResponses(e){let n=[];return e.forEach(r=>{if(r.isOutOfProcessIframe)return;let a=r.mimeType,o=r.resourceType||Y.TYPES.Other,i=r.resourceSize,u=!(a&&zJ.some(p=>a.startsWith(p)))&&HJ.includes(o),l=r.url.startsWith(BJ);if(!u||!i||!r.finished||l||!r.transferSize||r.statusCode===304)return;(r.responseHeaders||[]).find(p=>jJ.includes(p.name.toLowerCase())&&qJ.includes(p.value))||n.push({requestId:r.requestId,url:r.url,mimeType:a,transferSize:r.transferSize,resourceSize:i,gzipSize:0})}),n}async getCompressibleRecords(e,n){let r=e.driver.defaultSession,a=t.filterUnoptimizedResponses(n);return Promise.all(a.map(o=>qp(r,o.requestId).then(i=>i?new Promise((c,u)=>xI(i,(l,m)=>{if(l)return u(l);o.gzipSize=H.byteLength(m,"utf8"),c(o)})):o).catch(i=>{if(!i?.message?.includes("No resource with given identifier found"))throw i.extra={url:te.elideDataURI(o.url)},i;return N.error("ResponseCompression",i.message),o.gzipSize=void 0,o})))}async getArtifact(e){let n=e.dependencies.DevtoolsLog,r=await $.request(n,e);return this.getCompressibleRecords(e,r)}},GJ=my});var RI={};S(RI,{default:()=>$J});function WJ(){window.___linkMediaChanges=[],Object.defineProperty(HTMLLinkElement.prototype,"media",{set:function(t){let e={href:this.href,media:t,msSinceHTMLEnd:Date.now()-performance.timing.responseEnd,matches:window.matchMedia(t).matches};window.___linkMediaChanges.push(e),this.setAttribute("media",t)}})}async function VJ(){let t=window.___linkMediaChanges;try{let e=[...document.querySelectorAll("link")].filter(r=>{let a=r.rel==="stylesheet"&&window.matchMedia(r.media).matches&&!r.disabled,o=r.rel==="import"&&!r.hasAttribute("async");return a||o}).map(r=>({tagName:"LINK",url:r.href,href:r.href,rel:r.rel,media:r.media,disabled:r.disabled,mediaChanges:t.filter(a=>a.href===r.href)})),n=[...document.querySelectorAll("head script[src]")].filter(r=>r instanceof SVGScriptElement?!1:!r.hasAttribute("async")&&!r.hasAttribute("defer")&&!/^data:/.test(r.src)&&!/^blob:/.test(r.src)&&r.getAttribute("type")!=="module").map(r=>({tagName:"SCRIPT",url:r.src,src:r.src}));return[...e,...n]}catch(e){let n="Unable to gather Scripts/Stylesheets/HTML Imports on the page";throw new Error(`${n}: ${e.message}`)}}var py,$J,_I=v(()=>{"use strict";d();De();Kn();Ue();s(WJ,"installMediaListener");s(VJ,"collectTagsThatBlockFirstPaint");py=class t extends X{static{s(this,"TagsBlockingFirstPaint")}meta={supportedModes:["navigation"],dependencies:{DevtoolsLog:Lt.symbol}};static _filteredAndIndexedByUrl(e){let n=new Map;for(let r of e){if(!r.finished)continue;let a=r.initiator.type==="parser",o=/(css|script)/.test(r.mimeType)&&a,i=r.failed;(r.mimeType&&r.mimeType.includes("html")||o||i&&a)&&n.set(r.url,r)}return n}static async findBlockingTags(e,n){let r=n.reduce((c,u)=>Math.min(c,u.networkEndTime),1/0),a=await e.executionContext.evaluate(VJ,{args:[]}),o=t._filteredAndIndexedByUrl(n),i=[];for(let c of a){let u=o.get(c.url);if(!u||u.isLinkPreload)continue;let l=u.networkEndTime,m;if(c.tagName==="LINK"){let f=c.mediaChanges.filter(y=>!y.matches).map(y=>y.msSinceHTMLEnd);if(f.length>0){let y=Math.min(...f),b=Math.max(u.networkRequestTime,r+y/1e3);l=Math.min(l,b)}m=c.mediaChanges}let{tagName:p,url:g}=c;i.push({tag:{tagName:p,url:g,mediaChanges:m},transferSize:u.transferSize,startTime:u.networkRequestTime,endTime:l}),o.delete(c.url)}return i}async startSensitiveInstrumentation(e){let{executionContext:n}=e.driver;await n.evaluateOnNewDocument(WJ,{args:[]})}async getArtifact(e){let n=e.dependencies.DevtoolsLog,r=await $.request(n,e);return t.findBlockingTags(e.driver,r)}},$J=py});function JJ(t,e){let r=t.match(/Chrome\/([\d.]+)/)?.[1]||"99.0.1234.0",[a]=r.split(".",1),o=[{brand:"Chromium",version:a},{brand:"Google Chrome",version:a},{brand:"Lighthouse",version:Xm}],i={platform:"Android",platformVersion:"11.0",architecture:"",model:"moto g power (2022)"},c={platform:"macOS",platformVersion:"10.15.7",architecture:"x86",model:""},u=e==="mobile";return{brands:o,fullVersion:r,...u?i:c,mobile:u}}async function zp(t,e){if(e.emulatedUserAgent!==!1){let n=e.emulatedUserAgent;await t.sendCommand("Network.setUserAgentOverride",{userAgent:n,userAgentMetadata:JJ(n,e.formFactor)})}if(e.screenEmulation.disabled!==!0){let{width:n,height:r,deviceScaleFactor:a,mobile:o}=e.screenEmulation,i={width:n,height:r,deviceScaleFactor:a,mobile:o};await t.sendCommand("Emulation.setDeviceMetricsOverride",i),await t.sendCommand("Emulation.setTouchEmulationEnabled",{enabled:i.mobile})}}async function kI(t,e){if(e.throttlingMethod!=="devtools")return II(t);await Promise.all([XJ(t,e.throttling),ZJ(t,e.throttling)])}async function Hp(t){await Promise.all([II(t),QJ(t)])}function XJ(t,e){let n={offline:!1,latency:e.requestLatencyMs||0,downloadThroughput:e.downloadThroughputKbps||0,uploadThroughput:e.uploadThroughputKbps||0};return n.downloadThroughput=Math.floor(n.downloadThroughput*1024/8),n.uploadThroughput=Math.floor(n.uploadThroughput*1024/8),t.sendCommand("Network.emulateNetworkConditions",n)}function II(t){return t.sendCommand("Network.emulateNetworkConditions",YJ)}function ZJ(t,e){let n=e.cpuSlowdownMultiplier;return t.sendCommand("Emulation.setCPUThrottlingRate",{rate:n})}function QJ(t){return t.sendCommand("Emulation.setCPUThrottlingRate",KJ)}var YJ,KJ,Gp=v(()=>{"use strict";d();rs();YJ={latency:0,downloadThroughput:0,uploadThroughput:0,offline:!1},KJ={rate:1};s(JJ,"parseUseragentIntoMetadata");s(zp,"emulate");s(kI,"throttle");s(Hp,"clearThrottling");s(XJ,"enableNetworkThrottling");s(II,"clearNetworkThrottling");s(ZJ,"enableCPUThrottling");s(QJ,"clearCPUThrottling")});var NI={};S(NI,{default:()=>oX});function MI(t){return t.replace(/(-\w)/g,e=>e[1].toUpperCase())}function nX(){let t=MI(window.screen.orientation.type);return{width:window.outerWidth,height:window.outerHeight,screenOrientation:{type:t,angle:window.screen.orientation.angle},deviceScaleFactor:window.devicePixelRatio}}function rX(){return{width:window.innerWidth,height:window.innerHeight}}function aX(){return new Promise(t=>{requestAnimationFrame(()=>requestAnimationFrame(t))})}var eX,tX,gy,oX,LI=v(()=>{"use strict";d();Ue();Gp();un();Cp();eX=30,tX=16383;s(MI,"kebabCaseToCamelCase");s(nX,"getObservedDeviceMetrics");s(rX,"getScreenshotAreaSize");s(aX,"waitForDoubleRaf");gy=class extends X{static{s(this,"FullPageScreenshot")}meta={supportedModes:["snapshot","timespan","navigation"]};async _resizeViewport(e,n){let r=e.driver.defaultSession,a=await r.sendCommand("Page.getLayoutMetrics"),o=Math.round(n.height*a.cssContentSize.height/a.cssLayoutViewport.clientHeight),i=Math.min(o,tX),c=e.driver.networkMonitor,u=xh(r,c,{pretendDCLAlreadyFired:!0,networkQuietThresholdMs:1e3,busyEvent:"network-critical-busy",idleEvent:"network-critical-idle",isIdle:l=>l.isCriticalIdle()});await r.sendCommand("Emulation.setDeviceMetricsOverride",{mobile:n.mobile,deviceScaleFactor:1,height:i,width:0}),await Promise.race([new Promise(l=>setTimeout(l,1e3*5)),u.promise]),u.cancel(),await e.driver.executionContext.evaluate(aX,{args:[]})}async _takeScreenshot(e){let r="data:image/webp;base64,"+(await e.driver.defaultSession.sendCommand("Page.captureScreenshot",{format:"webp",quality:eX})).data,a=await e.driver.executionContext.evaluate(rX,{args:[],useIsolation:!0});return{data:r,width:a.width,height:a.height}}async _resolveNodes(e){function n(){let i={};if(!window.__lighthouseNodesDontTouchOrAllVarianceGoesAway)return i;let c=window.__lighthouseNodesDontTouchOrAllVarianceGoesAway;for(let[u,l]of c.entries()){let m=getBoundingClientRect(u);i[l]=m}return i}s(n,"resolveNodes");function r({useIsolation:i}){return e.driver.executionContext.evaluate(n,{args:[],useIsolation:i,deps:[Ee.getBoundingClientRect]})}s(r,"resolveNodesInPage");let a=await r({useIsolation:!1}),o=await r({useIsolation:!0});return{...a,...o}}async getArtifact(e){let n=e.driver.defaultSession,r=e.driver.executionContext,a=e.settings,o=!a.screenEmulation.disabled,i={...a.screenEmulation};try{if(!a.usePassiveGathering){if(!o){let l=await r.evaluate(nX,{args:[],useIsolation:!0,deps:[MI]});i.height=l.height,i.width=l.width,i.deviceScaleFactor=l.deviceScaleFactor,i.mobile=a.formFactor==="mobile"}await this._resizeViewport(e,i)}let[c,u]=await Promise.all([this._takeScreenshot(e),this._resolveNodes(e)]);return{screenshot:c,nodes:u}}finally{a.usePassiveGathering||(o?await zp(n,a):await n.sendCommand("Emulation.setDeviceMetricsOverride",{mobile:i.mobile,deviceScaleFactor:i.deviceScaleFactor,height:i.height,width:0}))}}},oX=gy});var PI={};S(PI,{default:()=>iX});var hy,iX,OI=v(()=>{"use strict";d();He();Ue();hy=class t extends X{static{s(this,"GlobalListeners")}meta={supportedModes:["snapshot","timespan","navigation"]};static _filterForAllowlistedTypes(e){return e.type==="pagehide"||e.type==="unload"||e.type==="visibilitychange"}getListenerIndentifier(e){return`${e.type}:${e.scriptId}:${e.columnNumber}:${e.lineNumber}`}dedupeListeners(e){let n=new Set;return e.filter(r=>{let a=this.getListenerIndentifier(r);return n.has(a)?!1:(n.add(a),!0)})}async getArtifact(e){let n=e.driver.defaultSession,r=[];for(let a of e.driver.targetManager.mainFrameExecutionContexts()){let o;try{let{result:c}=await n.sendCommand("Runtime.evaluate",{expression:"window",returnByValue:!1,uniqueContextId:a.uniqueId});if(!c.objectId)throw new Error("Error fetching information about the global object");o=c.objectId}catch(c){N.warn("Execution context is no longer valid",a,c);continue}let i=await n.sendCommand("DOMDebugger.getEventListeners",{objectId:o});for(let c of i.listeners)if(t._filterForAllowlistedTypes(c)){let{type:u,scriptId:l,lineNumber:m,columnNumber:p}=c;r.push({type:u,scriptId:l,lineNumber:m,columnNumber:p})}}return this.dedupeListeners(r)}},iX=hy});var UI={};S(UI,{default:()=>cX});function sX(){let t=window.__HTMLElementBoundingClientRect||window.HTMLElement.prototype.getBoundingClientRect;return getElementsInDocument("iframe").map(n=>{let r=t.call(n),{top:a,bottom:o,left:i,right:c,width:u,height:l}=r;return{id:n.id,src:n.src,clientRect:{top:a,bottom:o,left:i,right:c,width:u,height:l},isPositionFixed:isPositionFixed(n),node:getNodeDetails(n)}})}var yy,cX,BI=v(()=>{"use strict";d();Ue();un();s(sX,"collectIFrameElements");yy=class extends X{static{s(this,"IFrameElements")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){return await e.driver.executionContext.evaluate(sX,{args:[],useIsolation:!0,deps:[Ee.getElementsInDocument,Ee.isPositionFixed,Ee.getNodeDetails]})}},cX=yy});var by={};S(by,{default:()=>gX,findMostSpecificMatchedCSSRule:()=>Bu,getEffectiveFontRule:()=>jI});function Uu(t){return!!t&&!!t.cssProperties.find(({name:e})=>e===uX)}function Bu(t=[],e){let n;for(let r=t.length-1;r>=0;r--)if(e(t[r].rule.style)){n=t[r].rule;break}if(n)return{type:"Regular",...n.style,parentRule:{origin:n.origin,selectors:n.selectorList.selectors}}}function mX(t=[]){for(let{inlineStyle:e,matchedCSSRules:n}of t){if(Uu(e))return{type:"Inline",...e};let r=Bu(n,Uu);if(r)return r}}function jI({attributesStyle:t,inlineStyle:e,matchedCSSRules:n,inherited:r}){if(Uu(e))return{type:"Inline",...e};let a=Bu(n,Uu);if(a)return a;if(Uu(t))return{type:"Attributes",...t};let o=mX(r);if(o)return o}function pX(t){return t?Array.from(t.trim()).length:0}async function fX(t,e){let n=await t.sendCommand("CSS.getMatchedStylesForNode",{nodeId:e}),r=jI(n);if(r)return{type:r.type,range:r.range,styleSheetId:r.styleSheetId,parentRule:r.parentRule&&{origin:r.parentRule.origin,selectors:r.parentRule.selectors}}}var uX,lX,dX,vy,gX,wy=v(()=>{"use strict";d();Ue();uX="font-size",lX=12,dX=50;s(Uu,"hasFontSizeDeclaration");s(Bu,"findMostSpecificMatchedCSSRule");s(mX,"findInheritedCSSRule");s(jI,"getEffectiveFontRule");s(pX,"getTextLength");s(fX,"fetchSourceRule");vy=class t extends X{static{s(this,"FontSize")}meta={supportedModes:["snapshot","navigation"]};static async fetchFailingNodeSourceRules(e,n){let r=n.sort((u,l)=>l.textLength-u.textLength).slice(0,dX);await e.sendCommand("DOM.getDocument",{depth:-1,pierce:!0});let{nodeIds:a}=await e.sendCommand("DOM.pushNodesByBackendIdsToFrontend",{backendNodeIds:r.map(u=>u.parentNode.backendNodeId)}),o=r.map(async(u,l)=>{u.nodeId=a[l];try{let m=await fX(e,a[l]);u.cssRule=m}catch{u.cssRule=void 0}return u}),i=await Promise.all(o),c=i.reduce((u,{textLength:l})=>u+=l,0);return{analyzedFailingNodesData:i,analyzedFailingTextLength:c}}getTextNodesInLayoutFromSnapshot(e){let n=e.strings,r=s(i=>n[i],"getString"),a=s(i=>parseFloat(n[i]),"getFloat"),o=[];for(let i=0;i<e.documents.length;i++){let c=e.documents[i];if(!c.nodes.backendNodeId||!c.nodes.parentIndex||!c.nodes.attributes||!c.nodes.nodeName)throw new Error("Unexpected response from DOMSnapshot.captureSnapshot.");let u=c.nodes,l=s(m=>({backendNodeId:u.backendNodeId[m],attributes:u.attributes[m].map(r),nodeName:r(u.nodeName[m])}),"getParentData");for(let m of c.textBoxes.layoutIndex){let p=n[c.layout.text[m]];if(!p)continue;let g=c.layout.nodeIndex[m],f=c.layout.styles[m],[y]=f,b=a(y),D=u.parentIndex[g],T=u.parentIndex[D],A=l(D),R=T!==void 0?l(T):void 0;o.push({nodeIndex:g,backendNodeId:u.backendNodeId[g],fontSize:b,textLength:pX(p),parentNode:{...A,parentNode:R}})}}return o}findFailingNodes(e){let n=[],r=0,a=0;for(let o of this.getTextNodesInLayoutFromSnapshot(e))r+=o.textLength,o.fontSize<lX&&(a+=o.textLength,n.push({nodeId:0,parentNode:o.parentNode,textLength:o.textLength,fontSize:o.fontSize}));return{totalTextLength:r,failingTextLength:a,failingNodes:n}}async getArtifact(e){let n=e.driver.defaultSession,r=new Map,a=s(p=>r.set(p.header.styleSheetId,p.header),"onStylesheetAdded");n.on("CSS.styleSheetAdded",a),await Promise.all([n.sendCommand("DOMSnapshot.enable"),n.sendCommand("DOM.enable"),n.sendCommand("CSS.enable")]);let o=await n.sendCommand("DOMSnapshot.captureSnapshot",{computedStyles:["font-size"]}),{totalTextLength:i,failingTextLength:c,failingNodes:u}=this.findFailingNodes(o),{analyzedFailingNodesData:l,analyzedFailingTextLength:m}=await t.fetchFailingNodeSourceRules(n,u);return n.off("CSS.styleSheetAdded",a),l.filter(p=>p.cssRule?.styleSheetId).forEach(p=>p.cssRule.stylesheet=r.get(p.cssRule.styleSheetId)),await Promise.all([n.sendCommand("DOMSnapshot.disable"),n.sendCommand("DOM.disable"),n.sendCommand("CSS.disable")]),{analyzedFailingNodesData:l,analyzedFailingTextLength:m,failingTextLength:c,totalTextLength:i}}},gX=vy});var GI={};S(GI,{default:()=>bX});function Ty(t){let e=t.getBoundingClientRect();return{top:e.top,bottom:e.bottom,left:e.left,right:e.right}}function Sy(t,e){return t.parentElement&&t.parentElement.tagName==="PICTURE"?window.getComputedStyle(t.parentElement).getPropertyValue("position"):e.getPropertyValue("position")}function zI(t){return t.filter(n=>n.localName==="img").map(n=>{let r=window.getComputedStyle(n),a=!!n.parentElement&&n.parentElement.tagName==="PICTURE",o=!a&&!n.srcset;return{src:n.currentSrc,srcset:n.srcset,displayedWidth:n.width,displayedHeight:n.height,clientRect:Ty(n),attributeWidth:n.getAttribute("width"),attributeHeight:n.getAttribute("height"),naturalDimensions:o?{width:n.naturalWidth,height:n.naturalHeight}:void 0,cssRules:void 0,computedStyles:{position:Sy(n,r),objectFit:r.getPropertyValue("object-fit"),imageRendering:r.getPropertyValue("image-rendering")},isCss:!1,isPicture:a,loading:n.loading,isInShadowDOM:n.getRootNode()instanceof ShadowRoot,fetchPriority:n.fetchPriority,node:getNodeDetails(n)}})}function HI(t){let e=/^url\("([^"]+)"\)$/,n=[];for(let r of t){let a=window.getComputedStyle(r);if(!a.backgroundImage||!e.test(a.backgroundImage))continue;let i=a.backgroundImage.match(e)[1];n.push({src:i,srcset:"",displayedWidth:r.clientWidth,displayedHeight:r.clientHeight,clientRect:Ty(r),attributeWidth:null,attributeHeight:null,naturalDimensions:void 0,cssEffectiveRules:void 0,computedStyles:{position:Sy(r,a),objectFit:"",imageRendering:a.getPropertyValue("image-rendering")},isCss:!0,isPicture:!1,isInShadowDOM:r.getRootNode()instanceof ShadowRoot,node:getNodeDetails(r)})}return n}function hX(){let t=getElementsInDocument();return zI(t).concat(HI(t))}function yX(t){return new Promise((e,n)=>{let r=new Image;r.addEventListener("error",a=>n(new Error("determineNaturalSize failed img load"))),r.addEventListener("load",()=>{e({naturalWidth:r.naturalWidth,naturalHeight:r.naturalHeight})}),r.src=t})}function Wp(t,e){if(!t||!t.cssProperties)return;let n=t.cssProperties.find(({name:r})=>r===e);if(n)return n.value}function vX(t,e){let r=Bu(t,s(a=>Wp(a,e),"isDeclarationofInterest"));if(r)return Wp(r,e)}function Dy({attributesStyle:t,inlineStyle:e,matchedCSSRules:n},r){let a=Wp(e,r);if(a)return a;let o=Wp(t,r);if(o)return o;let i=vX(n,r);return i||null}function qI(t){return t.naturalDimensions?t.naturalDimensions.height*t.naturalDimensions.width:t.displayedHeight*t.displayedWidth}var Ey,bX,WI=v(()=>{"use strict";d();He();Ue();un();wy();s(Ty,"getClientRect");s(Sy,"getPosition");s(zI,"getHTMLImages");s(HI,"getCSSImages");s(hX,"collectImageElementInfo");s(yX,"determineNaturalSize");s(Wp,"findSizeDeclaration");s(vX,"findMostSpecificCSSRule");s(Dy,"getEffectiveSizingRule");s(qI,"getPixelArea");Ey=class extends X{static{s(this,"ImageElements")}meta={supportedModes:["snapshot","timespan","navigation"]};constructor(){super(),this._naturalSizeCache=new Map}async fetchElementWithSizeInformation(e,n){let r=n.src,a=this._naturalSizeCache.get(r);if(!a)try{e.defaultSession.setNextProtocolTimeout(250),a=await e.executionContext.evaluate(yX,{args:[r],useIsolation:!0}),this._naturalSizeCache.set(r,a)}catch{}a&&(n.naturalDimensions={width:a.naturalWidth,height:a.naturalHeight})}async fetchSourceRules(e,n,r){try{let{nodeId:a}=await e.sendCommand("DOM.pushNodeByPathToFrontend",{path:n});if(!a)return;let o=await e.sendCommand("CSS.getMatchedStylesForNode",{nodeId:a}),i=Dy(o,"width"),c=Dy(o,"height"),u=Dy(o,"aspect-ratio");r.cssEffectiveRules={width:i,height:c,aspectRatio:u}}catch(a){if(/No node.*found/.test(a.message))return;throw a}}async collectExtraDetails(e,n){let r=!1;setTimeout(o=>r=!0,5e3);let a=0;for(let o of n){if(r){a++;continue}!o.isInShadowDOM&&!o.isCss&&await this.fetchSourceRules(e.defaultSession,o.node.devtoolsNodePath,o),(o.isPicture||o.isCss||o.srcset)&&await this.fetchElementWithSizeInformation(e,o)}r&&N.warn("ImageElements",`Reached gathering budget of 5s. Skipped extra details for ${a}/${n.length}`)}async getArtifact(e){let n=e.driver.defaultSession,a=await e.driver.executionContext.evaluate(hX,{args:[],useIsolation:!0,deps:[Ee.getElementsInDocument,Ee.getBoundingClientRect,Ee.getNodeDetails,Ty,Sy,zI,HI]});return await Promise.all([n.sendCommand("DOM.enable"),n.sendCommand("CSS.enable"),n.sendCommand("DOM.getDocument",{depth:-1,pierce:!0})]),a.sort((o,i)=>qI(i)-qI(o)),await this.collectExtraDetails(e.driver,a),await Promise.all([n.sendCommand("DOM.disable"),n.sendCommand("CSS.disable")]),a}},bX=Ey});var VI={};S(VI,{default:()=>DX});function wX(){let t=[],e=new Map,n=new Map,r=getElementsInDocument("form");for(let i of r)e.set(i,{id:i.id,name:i.name,autocomplete:i.autocomplete,node:getNodeDetails(i)});let a=getElementsInDocument("label");for(let i of a)n.set(i,{for:i.htmlFor,node:getNodeDetails(i)});let o=getElementsInDocument("textarea, input, select");for(let i of o){let c=i.form,u=c?[...e.keys()].indexOf(c):void 0,l=[...i.labels||[]].map(p=>[...n.keys()].indexOf(p)),m;i.readOnly||(m=!i.dispatchEvent(new ClipboardEvent("paste",{cancelable:!0}))),t.push({parentFormIndex:u,labelIndices:l,id:i.id,name:i.name,type:i.type,placeholder:i instanceof HTMLSelectElement?void 0:i.placeholder,autocomplete:{property:i.autocomplete,attribute:i.getAttribute("autocomplete"),prediction:i.getAttribute("autofill-prediction")},preventsPaste:m,node:getNodeDetails(i)})}return{inputs:t,forms:[...e.values()],labels:[...n.values()]}}var xy,DX,$I=v(()=>{"use strict";d();Ue();un();s(wX,"collectElements");xy=class extends X{static{s(this,"Inputs")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){return e.driver.executionContext.evaluate(wX,{args:[],useIsolation:!0,deps:[Ee.getElementsInDocument,Ee.getNodeDetails]})}},DX=xy});var YI={};S(YI,{default:()=>EX});var Cy,EX,KI=v(()=>{"use strict";d();Ue();De();Kn();Cy=class extends X{static{s(this,"InspectorIssues")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:Lt.symbol}};constructor(){super(),this._issues=[],this._onIssueAdded=this.onIssueAdded.bind(this)}onIssueAdded(e){this._issues.push(e.issue)}async startInstrumentation(e){let n=e.driver.defaultSession;n.on("Audits.issueAdded",this._onIssueAdded),await n.sendCommand("Audits.enable")}async stopInstrumentation(e){let n=e.driver.defaultSession;n.off("Audits.issueAdded",this._onIssueAdded),await n.sendCommand("Audits.disable")}async getArtifact(e){let n=e.dependencies.DevtoolsLog,r=await $.request(n,e),a={attributionReportingIssue:[],blockedByResponseIssue:[],bounceTrackingIssue:[],clientHintIssue:[],contentSecurityPolicyIssue:[],corsIssue:[],deprecationIssue:[],federatedAuthRequestIssue:[],genericIssue:[],heavyAdIssue:[],lowTextContrastIssue:[],mixedContentIssue:[],navigatorUserAgentIssue:[],quirksModeIssue:[],cookieIssue:[],sharedArrayBufferIssue:[],stylesheetLoadingIssue:[],federatedAuthUserInfoRequestIssue:[]},o=Object.keys(a);for(let i of o){let c=`${i}Details`,u=this._issues.map(l=>l.details[c]);for(let l of u){if(!l)continue;let m="request"in l&&l.request&&l.request.requestId;m?r.find(p=>p.requestId===m)&&a[i].push(l):a[i].push(l)}}return a}},EX=Cy});var JI={};S(JI,{default:()=>TX});var Ay,TX,XI=v(()=>{"use strict";d();He();Ue();Ay=class t extends X{static{s(this,"InstallabilityErrors")}meta={supportedModes:["snapshot","navigation"]};static async getInstallabilityErrors(e){let n={msg:"Get webapp installability errors",id:"lh:gather:getInstallabilityErrors"};N.time(n);let a=(await e.sendCommand("Page.getInstallabilityErrors")).installabilityErrors;return N.timeEnd(n),{errors:a}}async getArtifact(e){let n=e.driver;try{return await t.getInstallabilityErrors(n.defaultSession)}catch{return{errors:[{errorId:"protocol-timeout",errorArguments:[]}]}}}},TX=Ay});var ZI={};S(ZI,{default:()=>SX});var Fy,SX,QI=v(()=>{"use strict";d();Ue();Fy=class extends X{static{s(this,"JsUsage")}meta={supportedModes:["snapshot","timespan","navigation"]};constructor(){super(),this._scriptUsages=[]}async startInstrumentation(e){let n=e.driver.defaultSession;await n.sendCommand("Profiler.enable"),await n.sendCommand("Profiler.startPreciseCoverage",{detailed:!1})}async stopInstrumentation(e){let n=e.driver.defaultSession,r=await n.sendCommand("Profiler.takePreciseCoverage");this._scriptUsages=r.result,await n.sendCommand("Profiler.stopPreciseCoverage"),await n.sendCommand("Profiler.disable")}async getArtifact(){let e={};for(let n of this._scriptUsages)n.url===""||n.url==="_lighthouse-eval.js"||n.url!=="__puppeteer_evaluation_script__"&&(e[n.scriptId]=n);return e}},SX=Fy});var rM=L((CEe,nM)=>{"use strict";d();var xX=/^utf-?8|ascii|utf-?16-?le|ucs-?2|base-?64|latin-?1$/i,CX=/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,AX=/\s|\uFEFF|\xA0/,FX=/\r?\n[\x20\x09]+/g,RX=/[;,"]/,_X=/[;,"]|\s/,kX=/^[!#$%&'*+\-\.^_`|~\da-zA-Z]+$/,ya={IDLE:1,URI:2,ATTR:4};function eM(t){return t.replace(CX,"")}s(eM,"trim");function Vp(t){return AX.test(t)}s(Vp,"hasWhitespace");function IX(t,e){for(;Vp(t[e]);)e++;return e}s(IX,"skipWhitespace");function tM(t){return _X.test(t)||!kX.test(t)}s(tM,"needsQuotes");function MX(t,e){return Object.keys(t).length===Object.keys(e).length&&Object.keys(t).every(n=>n in e&&t[n]===e[n])}s(MX,"shallowCompareObjects");var Gt=class t{static{s(this,"Link")}constructor(e){this.refs=[],e&&this.parse(e)}rel(e){for(var n=[],r=e.toLowerCase(),a=0;a<this.refs.length;a++)this.refs[a].rel.toLowerCase()===r&&n.push(this.refs[a]);return n}get(e,n){e=e.toLowerCase();for(var r=[],a=0;a<this.refs.length;a++)this.refs[a][e]===n&&r.push(this.refs[a]);return r}set(e){return this.refs.push(e),this}setUnique(e){return this.refs.some(n=>MX(n,e))||this.refs.push(e),this}has(e,n){e=e.toLowerCase();for(var r=0;r<this.refs.length;r++)if(this.refs[r][e]===n)return!0;return!1}parse(e,o){o=o||0,e=o?e.slice(o):e,e=eM(e).replace(FX,"");for(var r=ya.IDLE,a=e.length,o=0,i=null;o<a;)if(r===ya.IDLE){if(Vp(e[o])){o++;continue}else if(e[o]==="<"){i!=null&&(i.rel!=null?this.refs.push(...t.expandRelations(i)):this.refs.push(i));var c=e.indexOf(">",o);if(c===-1)throw new Error("Expected end of URI delimiter at offset "+o);i={uri:e.slice(o+1,c)},o=c,r=ya.URI}else throw new Error('Unexpected character "'+e[o]+'" at offset '+o);o++}else if(r===ya.URI)if(Vp(e[o])){o++;continue}else if(e[o]===";")r=ya.ATTR,o++;else if(e[o]===",")r=ya.IDLE,o++;else throw new Error('Unexpected character "'+e[o]+'" at offset '+o);else if(r===ya.ATTR){if(e[o]===";"||Vp(e[o])){o++;continue}var c=e.indexOf("=",o);c===-1&&(c=e.indexOf(";",o)),c===-1&&(c=e.length);var u=eM(e.slice(o,c)).toLowerCase(),l="";if(o=c+1,o=IX(e,o),e[o]==='"')for(o++;o<a;){if(e[o]==='"'){o++;break}e[o]==="\\"&&o++,l+=e[o],o++}else{for(var c=o+1;!RX.test(e[c])&&c<a;)c++;l=e.slice(o,c),o=c}switch(i[u]&&t.isSingleOccurenceAttr(u)||(u[u.length-1]==="*"?i[u]=t.parseExtendedValue(l):(l=u==="type"?l.toLowerCase():l,i[u]!=null?Array.isArray(i[u])?i[u].push(l):i[u]=[i[u],l]:i[u]=l)),e[o]){case",":r=ya.IDLE;break;case";":r=ya.ATTR;break}o++}else throw new Error('Unknown parser state "'+r+'"');return i!=null&&(i.rel!=null?this.refs.push(...t.expandRelations(i)):this.refs.push(i)),i=null,this}toString(){for(var e=[],n="",r=null,a=0;a<this.refs.length;a++)r=this.refs[a],n=Object.keys(this.refs[a]).reduce(function(o,i){return i==="uri"?o:o+"; "+t.formatAttribute(i,r[i])},"<"+r.uri+">"),e.push(n);return e.join(", ")}};Gt.isCompatibleEncoding=function(t){return xX.test(t)};Gt.parse=function(t,e){return new Gt().parse(t,e)};Gt.isSingleOccurenceAttr=function(t){return t==="rel"||t==="type"||t==="media"||t==="title"||t==="title*"};Gt.isTokenAttr=function(t){return t==="rel"||t==="type"||t==="anchor"};Gt.escapeQuotes=function(t){return t.replace(/"/g,'\\"')};Gt.expandRelations=function(t){var e=t.rel.split(" ");return e.map(function(n){var r=Object.assign({},t);return r.rel=n,r})};Gt.parseExtendedValue=function(t){var e=/([^']+)?(?:'([^']*)')?(.+)/.exec(t);return{language:e[2].toLowerCase(),encoding:Gt.isCompatibleEncoding(e[1])?null:e[1].toLowerCase(),value:Gt.isCompatibleEncoding(e[1])?decodeURIComponent(e[3]):e[3]}};Gt.formatExtendedAttribute=function(t,e){var n=(e.encoding||"utf-8").toUpperCase(),r=e.language||"en",a="";return Buffer.isBuffer(e.value)&&Gt.isCompatibleEncoding(n)?a=e.value.toString(n):Buffer.isBuffer(e.value)?a=e.value.toString("hex").replace(/[0-9a-f]{2}/gi,"%$1"):a=encodeURIComponent(e.value),t+"="+n+"'"+r+"'"+a};Gt.formatAttribute=function(t,e){return Array.isArray(e)?e.map(n=>Gt.formatAttribute(t,n)).join("; "):t[t.length-1]==="*"||typeof e!="string"?Gt.formatExtendedAttribute(t,e):(Gt.isTokenAttr(t)?e=tM(e)?'"'+Gt.escapeQuotes(e)+'"':Gt.escapeQuotes(e):tM(e)&&(e=encodeURIComponent(e),e=e.replace(/%20/g," ").replace(/%2C/g,",").replace(/%3B/g,";"),e='"'+e+'"'),t+"="+e)};nM.exports=Gt});var Ry,je,Wt=v(()=>{"use strict";d();we();Jo();De();Ry=class{static{s(this,"MainResource")}static async compute_(e,n){let{mainDocumentUrl:r}=e.URL;if(!r)throw new Error("mainDocumentUrl must exist to get the main resource");let a=await $.request(e.devtoolsLog,n),o=Qt.findResourceForUrl(a,r);if(!o)throw new Error("Unable to identify the main resource");return o}},je=W(Ry,["URL","devtoolsLog"])});var oM={};S(oM,{UIStrings:()=>ky,default:()=>UX});function LX(t,e){try{return new URL(t,e).href}catch{return null}}function PX(t){return t==="anonymous"?"anonymous":t==="use-credentials"?"use-credentials":null}function OX(){let t=getElementsInDocument("link"),e=[];for(let n of t){if(!(n instanceof HTMLLinkElement))continue;let r=n.getAttribute("href")||"",a=n.closest("head")?"head":"body";e.push({rel:n.rel,href:n.href,hreflang:n.hreflang,as:n.as,crossOrigin:n.crossOrigin,hrefRaw:r,source:a,fetchPriority:n.fetchPriority,node:getNodeDetails(n)})}return e}var aM,ky,NX,_y,UX,iM=v(()=>{"use strict";d();aM=zt(rM(),1);Ue();un();Kn();Wt();Rr();k();ky={headerParseWarning:"Error parsing `link` header ({error}): `{header}`"},NX=w("core/gather/gatherers/link-elements.js",ky);s(LX,"normalizeUrlOrNull");s(PX,"getCrossoriginFromHeader");s(OX,"getLinkElementsInDOM");_y=class t extends X{static{s(this,"LinkElements")}constructor(){super(),this.meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:Lt.symbol}}}static getLinkElementsInDOM(e){return e.driver.executionContext.evaluate(OX,{args:[],useIsolation:!0,deps:[Ee.getNodeDetails,Ee.getElementsInDocument]})}static async getLinkElementsInHeaders(e,n){let r=await je.request({devtoolsLog:n,URL:e.baseArtifacts.URL},e),a=[];for(let o of r.responseHeaders){if(o.name.toLowerCase()!=="link")continue;let i=[];try{i=aM.default.parse(o.value).refs}catch(c){let u=rt.truncate(o.value,100),l=NX(ky.headerParseWarning,{error:c.message,header:u});e.baseArtifacts.LighthouseRunWarnings.push(l)}for(let c of i)a.push({rel:c.rel||"",href:LX(c.uri,e.baseArtifacts.URL.finalDisplayedUrl),hrefRaw:c.uri||"",hreflang:c.hreflang||"",as:c.as||"",crossOrigin:PX(c.crossorigin),source:"headers",fetchPriority:c.fetchpriority,node:null})}return a}async getArtifact(e){let n=e.dependencies.DevtoolsLog,r=await t.getLinkElementsInDOM(e),a=await t.getLinkElementsInHeaders(e,n),o=r.concat(a);for(let i of o)i.rel=i.rel.toLowerCase();return o}},UX=_y});var sM={};S(sM,{default:()=>BX});var Iy,BX,cM=v(()=>{"use strict";d();Ue();Kn();dy();Wt();Iy=class extends X{static{s(this,"MainDocumentContent")}meta={supportedModes:["navigation"],dependencies:{DevtoolsLog:Lt.symbol}};async getArtifact(e){let n=e.dependencies.DevtoolsLog,r=await je.request({devtoolsLog:n,URL:e.baseArtifacts.URL},e),a=e.driver.defaultSession;return qp(a,r.requestId)}},BX=Iy});var uM={};S(uM,{default:()=>qX});function jX(){let t={getElementsInDocument,getNodeDetails};return t.getElementsInDocument("head meta").map(n=>{let r=s(a=>{let o=n.attributes.getNamedItem(a);if(o)return o.value},"getAttribute");return{name:n.name.toLowerCase(),content:n.content,property:r("property"),httpEquiv:n.httpEquiv?n.httpEquiv.toLowerCase():void 0,charset:r("charset"),node:t.getNodeDetails(n)}})}var My,qX,lM=v(()=>{"use strict";d();Ue();un();s(jX,"collectMetaElements");My=class extends X{static{s(this,"MetaElements")}meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate(jX,{args:[],useIsolation:!0,deps:[Ee.getElementsInDocument,Ee.getNodeDetails]})}},qX=My});var dM={};S(dM,{default:()=>zX});var Ny,zX,mM=v(()=>{"use strict";d();Ue();Kn();Ny=class t extends X{static{s(this,"NetworkUserAgent")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:Lt.symbol}};static getNetworkUserAgent(e){for(let n of e){if(n.method!=="Network.requestWillBeSent")continue;let r=n.params.request.headers["User-Agent"];if(r)return r}return""}async getArtifact(e){return t.getNetworkUserAgent(e.dependencies.DevtoolsLog)}},zX=Ny});var pM={};S(pM,{default:()=>GX});function HX(){return getElementsInDocument("script").map(e=>({type:e.type||null,src:e.src||null,id:e.id||null,async:e.async,defer:e.defer,source:e.closest("head")?"head":"body",node:getNodeDetails(e)}))}var Ly,GX,fM=v(()=>{"use strict";d();Ue();De();St();un();Kn();s(HX,"collectAllScriptElements");Ly=class extends X{static{s(this,"ScriptElements")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:Lt.symbol}};async _getArtifact(e,n){let a=await e.driver.executionContext.evaluate(HX,{args:[],useIsolation:!0,deps:[Ee.getNodeDetails,Ee.getElementsInDocument]}),o=n.filter(i=>i.resourceType===Y.TYPES.Script).filter(i=>!i.isOutOfProcessIframe);for(let i=0;i<o.length;i++){let c=o[i];a.find(l=>l.src===c.url)||a.push({type:null,src:c.url,id:null,async:!1,defer:!1,source:"network",node:null})}return a}async getArtifact(e){let n=e.dependencies.DevtoolsLog,r=await $.request(n,e);return this._getArtifact(e,r)}},GX=Ly});var gM={};S(gM,{default:()=>Oy});async function WX(t,e,n){if(n){let r=[];for(let a of t){let o=await e(a);r.push(o)}return r}else{let r=t.map(e);return await Promise.all(r)}}function VX(t){return t.embedderName?t.hasSourceURL&&t.url==="_lighthouse-eval.js":!0}var Py,Oy,Uy=v(()=>{"use strict";d();Ue();s(WX,"runInSeriesOrParallel");s(VX,"isLighthouseRuntimeEvaluateScript");Py=class t extends X{static{s(this,"Scripts")}static symbol=Symbol("Scripts");meta={symbol:t.symbol,supportedModes:["timespan","navigation"]};_scriptParsedEvents=[];_scriptContents=[];constructor(){super(),this.onScriptParsed=this.onScriptParsed.bind(this)}onScriptParsed(e){VX(e)||this._scriptParsedEvents.push(e)}async startInstrumentation(e){let n=e.driver.defaultSession;n.on("Debugger.scriptParsed",this.onScriptParsed),await n.sendCommand("Debugger.enable")}async stopInstrumentation(e){let n=e.driver.defaultSession,r=e.baseArtifacts.HostFormFactor;n.off("Debugger.scriptParsed",this.onScriptParsed),this._scriptContents=await WX(this._scriptParsedEvents,({scriptId:a})=>n.sendCommand("Debugger.getScriptSource",{scriptId:a}).then(o=>o.scriptSource).catch(()=>{}),r==="mobile"),await n.sendCommand("Debugger.disable")}async getArtifact(){return this._scriptParsedEvents.map((n,r)=>({name:n.url,...n,url:n.embedderName||n.url,content:this._scriptContents[r]}))}},Oy=Py});var hM={};S(hM,{default:()=>YX});function $X(){let t={getElementsInDocument,getNodeDetails},e="object, embed, applet";return t.getElementsInDocument(e).map(r=>({tagName:r.tagName,type:r.getAttribute("type"),src:r.getAttribute("src"),data:r.getAttribute("data"),code:r.getAttribute("code"),params:Array.from(r.children).filter(a=>a.tagName==="PARAM").map(a=>({name:a.getAttribute("name")||"",value:a.getAttribute("value")||""})),node:t.getNodeDetails(r)}))}var By,YX,yM=v(()=>{"use strict";d();Ue();un();s($X,"getEmbeddedContent");By=class extends X{static{s(this,"EmbeddedContent")}meta={supportedModes:["snapshot","navigation"]};getArtifact(e){return e.driver.executionContext.evaluate($X,{args:[],deps:[Ee.getElementsInDocument,Ee.getNodeDetails]})}},YX=By});var vM={};S(vM,{default:()=>KX});var jy,KX,bM=v(()=>{"use strict";d();Ue();jy=class extends X{static{s(this,"RobotsTxt")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(e){let{finalDisplayedUrl:n}=e.baseArtifacts.URL,r=new URL("/robots.txt",n).href;return e.driver.fetcher.fetchResource(r).catch(a=>({status:null,content:null,errorMessage:a.message}))}},KX=jy});function zy(t,{x:e,y:n}){return t.left<=e&&t.right>=e&&t.top<=n&&t.bottom>=n}function qy(t,e){return e.top>=t.top&&e.right<=t.right&&e.bottom<=t.bottom&&e.left>=t.left}function wM(t){return t.filter(e=>e.width>1&&e.height>1)}function DM(t){let e=new Set(t);for(let n of t)for(let r of t)if(n!==r&&e.has(r)&&qy(r,n)){e.delete(n);break}return Array.from(e)}function $p(t){return{x:t.left+t.width/2,y:t.top+t.height/2}}function Yp(t,e){return t.left<=e.right&&e.left<=t.right&&t.top<=e.bottom&&e.top<=t.bottom}function Hy(t,e){if(t.length===0)throw new Error("No rects to take bounds of");let n=Number.MAX_VALUE,r=-Number.MAX_VALUE,a=Number.MAX_VALUE,o=-Number.MAX_VALUE;for(let c of t)n=Math.min(n,c.left),r=Math.max(r,c.right),a=Math.min(a,c.top),o=Math.max(o,c.bottom);let i=e/2;return n-=i,r+=i,a-=i,o+=i,{left:n,right:r,top:a,bottom:o,width:r-n,height:o-a}}function EM(t){return Hy(t,0)}function JX({left:t,top:e,right:n,bottom:r}){return{left:t,top:e,right:n,bottom:r,width:n-t,height:r-e}}function TM({x:t,y:e,width:n,height:r}){return{left:t,top:e,right:t+n,bottom:e+r,width:n,height:r}}function qu(t,e){let n=Math.min(t.bottom,e.bottom)-Math.max(t.top,e.top);if(n<=0)return 0;let r=Math.min(t.right,e.right)-Math.max(t.left,e.left);return r<=0?0:r*n}function SM(t,e){return JX({left:t.left+t.width/2-e/2,top:t.top+t.height/2-e/2,right:t.right-t.width/2+e/2,bottom:t.bottom-t.height/2+e/2})}function ju(t){return t.width*t.height}function xM(t){let e=t[0];for(let n of t)ju(n)>ju(e)&&(e=n);return e}function CM(t,e){for(let n of t)for(let r of e)if(!qy(n,r)&&!qy(r,n))return!1;return!0}var zu=v(()=>{"use strict";d();s(zy,"rectContainsPoint");s(qy,"rectContains");s(wM,"filterOutTinyRects");s(DM,"filterOutRectsContainedByOthers");s($p,"getRectCenterPoint");s(Yp,"rectsTouchOrOverlap");s(Hy,"getBoundingRectWithPadding");s(EM,"getBoundingRect");s(JX,"addRectWidthAndHeight");s(TM,"addRectTopAndBottom");s(qu,"getRectOverlapArea");s(SM,"getRectAtCenter");s(ju,"getRectArea");s(xM,"getLargestRect");s(CM,"allRectsContainedWithinEachOther")});var IM={};S(IM,{default:()=>eZ});function AM(t){return!!(t.offsetWidth||t.offsetHeight||t.getClientRects().length)}function Vy(t){let e=Array.from(t.getClientRects()).map(n=>{let{width:r,height:a,left:o,top:i,right:c,bottom:u}=n;return{width:r,height:a,left:o,top:i,right:c,bottom:u}});for(let n of t.children)e.push(...Vy(n));return e}function $y(t,e){return t.parentElement?t.parentElement.matches(e)?!0:$y(t.parentElement,e):!1}function FM(t){if(!t.parentElement)return!1;let e=t.parentElement,n=t.textContent||"";if((e.textContent||"").length-n.length<5)return!1;for(let a of t.parentElement.childNodes){if(a===t)continue;let o=(a.textContent||"").trim();if(a.nodeType===Node.TEXT_NODE&&o.length>0)return!0}return!1}function Yy(t){let{display:e}=getComputedStyle(t);return e!=="inline"&&e!=="inline-block"?!1:FM(t)?!0:t.parentElement?Yy(t.parentElement):!1}function RM(t,e){let n=window.innerHeight,r=Math.floor(e.y/n)*n;window.scrollY!==r&&window.scrollTo(0,r);let a=document.elementFromPoint(e.x,e.y-window.scrollY);return a===t||t.contains(a)}function _M(t){return document.querySelectorAll("*").forEach(e=>{let n=getComputedStyle(e).position;(n==="fixed"||n==="sticky")&&e.classList.add(t)}),s(function(){Array.from(document.getElementsByClassName(t)).forEach(n=>{n.classList.remove(t)})},"undo")}function kM(t,e){let n=[];window.scrollTo(0,0);let r=getElementsInDocument(t),a=[];r.forEach(c=>{$y(c,t)||Yy(c)||AM(c)&&a.push({tapTargetElement:c,clientRects:Vy(c)})});let o=_M(e),i=[];a.forEach(({tapTargetElement:c,clientRects:u})=>{let l=u.filter(m=>m.width!==0&&m.height!==0);l=l.filter(m=>{let p=getRectCenterPoint(m);return RM(c,p)}),l.length>0&&i.push({tapTargetElement:c,visibleClientRects:l})});for(let{tapTargetElement:c,visibleClientRects:u}of i)n.push({clientRects:u,href:c.href||"",node:getNodeDetails(c)});return o(),n}function QX(t,e){let n={x:window.scrollX,y:window.scrollY};try{return kM(t,e)}finally{window.scrollTo(n.x,n.y)}}var XX,ZX,Wy,eZ,MM=v(()=>{"use strict";d();Ue();un();zu();XX=["button","a","input","textarea","select","option","[role=button]","[role=checkbox]","[role=link]","[role=menuitem]","[role=menuitemcheckbox]","[role=menuitemradio]","[role=option]","[role=scrollbar]","[role=slider]","[role=spinbutton]"],ZX=XX.join(",");s(AM,"elementIsVisible");s(Vy,"getClientRects");s($y,"elementHasAncestorTapTarget");s(FM,"hasTextNodeSiblingsFormingTextBlock");s(Yy,"elementIsInTextBlock");s(RM,"elementCenterIsAtZAxisTop");s(_M,"disableFixedAndStickyElementPointerEvents");s(kM,"gatherTapTargets");s(QX,"gatherTapTargetsAndResetScroll");Wy=class extends X{static{s(this,"TapTargets")}constructor(){super(),this.meta={supportedModes:["snapshot","navigation"]}}async addStyleRule(e,n){let r=await e.sendCommand("Page.getFrameTree"),{styleSheetId:a}=await e.sendCommand("CSS.createStyleSheet",{frameId:r.frameTree.frame.id}),o=`.${n} { pointer-events: none !important }`;return await e.sendCommand("CSS.setStyleSheetText",{styleSheetId:a,text:o}),a}async removeStyleRule(e,n){await e.sendCommand("CSS.setStyleSheetText",{styleSheetId:n,text:""})}async getArtifact(e){let n=e.driver.defaultSession;await n.sendCommand("DOM.enable"),await n.sendCommand("CSS.enable");let r="lighthouse-disable-pointer-events",a=await this.addStyleRule(n,r),o=await e.driver.executionContext.evaluate(QX,{args:[ZX,r],useIsolation:!0,deps:[Ee.getNodeDetails,Ee.getElementsInDocument,_M,AM,$y,RM,Vy,FM,Yy,$p,Ee.getNodePath,Ee.getNodeSelector,Ee.getNodeLabel,kM]});return await this.removeStyleRule(n,a),await n.sendCommand("CSS.disable"),await n.sendCommand("DOM.disable"),o}},eZ=Wy});function NM(t){return new Promise((e,n)=>{let r=s(a=>{let o=a.versions.filter(c=>c.status!=="redundant"),i=o.find(c=>c.status==="activated");(!o.length||i)&&(t.off("ServiceWorker.workerVersionUpdated",r),t.sendCommand("ServiceWorker.disable").then(c=>e(a),n))},"versionUpdatedListener");t.on("ServiceWorker.workerVersionUpdated",r),t.sendCommand("ServiceWorker.enable").catch(n)})}function LM(t){return new Promise((e,n)=>{t.once("ServiceWorker.workerRegistrationUpdated",r=>{t.sendCommand("ServiceWorker.disable").then(a=>e(r),n)}),t.sendCommand("ServiceWorker.enable").catch(n)})}var PM=v(()=>{"use strict";d();s(NM,"getServiceWorkerVersions");s(LM,"getServiceWorkerRegistrations")});var OM={};S(OM,{default:()=>nZ});var Ky,nZ,UM=v(()=>{"use strict";d();Ue();PM();Ky=class extends X{static{s(this,"ServiceWorker")}meta={supportedModes:["navigation"]};async getArtifact(e){let n=e.driver.defaultSession,{versions:r}=await NM(n),{registrations:a}=await LM(n);return{versions:r,registrations:a}}},nZ=Ky});var BM=L(Cs=>{"use strict";d();Object.defineProperty(Cs,"__esModule",{value:!0});Cs.ParsedURL=Cs.normalizePath=void 0;function rZ(t){if(t.indexOf("..")===-1&&t.indexOf(".")===-1)return t;let e=(t[0]==="/"?t.substring(1):t).split("/"),n=[];for(let a of e)a!=="."&&(a===".."?n.pop():n.push(a));let r=n.join("/");return t[0]==="/"&&r&&(r="/"+r),r[r.length-1]!=="/"&&(t[t.length-1]==="/"||e[e.length-1]==="."||e[e.length-1]==="..")&&(r=r+"/"),r}s(rZ,"normalizePath");Cs.normalizePath=rZ;var Jy=class t{static{s(this,"ParsedURL")}isValid;url;scheme;user;host;port;path;queryParams;fragment;folderPathComponents;lastPathComponent;blobInnerScheme;#e;#r;constructor(e){this.isValid=!1,this.url=e,this.scheme="",this.user="",this.host="",this.port="",this.path="",this.queryParams="",this.fragment="",this.folderPathComponents="",this.lastPathComponent="";let n=this.url.startsWith("blob:"),a=(n?e.substring(5):e).match(t.urlRegex());if(a)this.isValid=!0,n?(this.blobInnerScheme=a[2].toLowerCase(),this.scheme="blob"):this.scheme=a[2].toLowerCase(),this.user=a[3]??"",this.host=a[4]??"",this.port=a[5]??"",this.path=a[6]??"/",this.queryParams=a[7]??"",this.fragment=a[8]??"";else{if(this.url.startsWith("data:")){this.scheme="data";return}if(this.url.startsWith("blob:")){this.scheme="blob";return}if(this.url==="about:blank"){this.scheme="about";return}this.path=this.url}let o=this.path.lastIndexOf("/");o!==-1?(this.folderPathComponents=this.path.substring(0,o),this.lastPathComponent=this.path.substring(o+1)):this.lastPathComponent=this.path}static concatenate(e,...n){return e.concat(...n)}static beginsWithWindowsDriveLetter(e){return/^[A-Za-z]:/.test(e)}static beginsWithScheme(e){return/^[A-Za-z][A-Za-z0-9+.-]*:/.test(e)}static isRelativeURL(e){return!this.beginsWithScheme(e)||this.beginsWithWindowsDriveLetter(e)}get displayName(){return this.#e?this.#e:this.isDataURL()?this.dataURLDisplayName():this.isBlobURL()?this.url:this.isAboutBlank()?this.url:(this.#e=this.lastPathComponent,this.#e||(this.#e=(this.host||"")+"/"),this.#e==="/"&&(this.#e=this.url),this.#e)}static urlRegexInstance=null};Cs.ParsedURL=Jy});var qM=L((MTe,jM)=>{"use strict";d();var aZ=BM();jM.exports={ParsedURL:aZ}});var HM=L((LTe,zM)=>{"use strict";d();function oZ(t,e,n,r,a){let o=r||0,i=a!==void 0?a:t.length;for(;o<i;){let c=o+i>>1;n(e,t[c])>0?o=c+1:i=c}return i}s(oZ,"lowerBound");function iZ(t,e,n,r,a){let o=r||0,i=a!==void 0?a:t.length;for(;o<i;){let c=o+i>>1;n(e,t[c])>=0?o=c+1:i=c}return i}s(iZ,"upperBound");zM.exports={ArrayUtilities:{lowerBound:oZ,upperBound:iZ},DevToolsPath:{EmptyUrlString:""}}});var KM=L((Or,YM)=>{"use strict";d();var sZ=qM(),ri=HM();Object.defineProperty(Or,"__esModule",{value:!0});Or.SourceMap=Or.SourceMapEntry=Or.parseSourceMap=void 0;function VM(t){return t.startsWith(")]}")&&(t=t.substring(t.indexOf(`
`))),t.charCodeAt(0)===65279&&(t=t.slice(1)),JSON.parse(t)}s(VM,"parseSourceMap");Or.parseSourceMap=VM;var ai=class{static{s(this,"SourceMapEntry")}lineNumber;columnNumber;sourceURL;sourceLineNumber;sourceColumnNumber;name;constructor(e,n,r,a,o,i){this.lineNumber=e,this.columnNumber=n,this.sourceURL=r,this.sourceLineNumber=a,this.sourceColumnNumber=o,this.name=i}static compare(e,n){return e.lineNumber!==n.lineNumber?e.lineNumber-n.lineNumber:e.columnNumber-n.columnNumber}};Or.SourceMapEntry=ai;var GM="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",$M=new Map;for(let t=0;t<GM.length;++t)$M.set(GM.charAt(t),t);var WM=new WeakMap,As=class t{static{s(this,"SourceMap")}#e;#r;#a;#i;#n;#t;constructor(e,n,r){this.#e=r,this.#r=e,this.#a=n,this.#i=n.startsWith("data:")?e:n,this.#n=null,this.#t=new Map,"sections"in this.#e&&this.#e.sections.find(a=>"url"in a)&&console.warn(`SourceMap "${n}" contains unsupported "URL" field in one of its sections.`),this.eachSection(this.parseSources.bind(this))}compiledURL(){return this.#r}url(){return this.#a}sourceURLs(){return[...this.#t.keys()]}embeddedContentByURL(e){let n=this.#t.get(e);return n?n.content:null}findEntry(e,n){let r=this.mappings(),a=ri.ArrayUtilities.upperBound(r,void 0,(o,i)=>e-i.lineNumber||n-i.columnNumber);return a?r[a-1]:null}findEntryRanges(e,n){let r=this.mappings(),a=ri.ArrayUtilities.upperBound(r,void 0,(T,A)=>e-A.lineNumber||n-A.columnNumber);if(!a)return null;let o=a-1,i=r[o].sourceURL;if(!i)return null;let c=a<r.length?r[a].lineNumber:2**31-1,u=a<r.length?r[a].columnNumber:2**31-1,l=new TextUtils.TextRange.TextRange(r[o].lineNumber,r[o].columnNumber,c,u),m=this.reversedMappings(i),p=r[o].sourceLineNumber,g=r[o].sourceColumnNumber,f=ri.ArrayUtilities.upperBound(m,void 0,(T,A)=>p-r[A].sourceLineNumber||g-r[A].sourceColumnNumber);if(!f)return null;let y=f<m.length?r[m[f]].sourceLineNumber:2**31-1,b=f<m.length?r[m[f]].sourceColumnNumber:2**31-1,D=new TextUtils.TextRange.TextRange(p,g,y,b);return{range:l,sourceRange:D,sourceURL:i}}sourceLineMapping(e,n,r){let a=this.mappings(),o=this.reversedMappings(e),i=ri.ArrayUtilities.lowerBound(o,n,m),c=ri.ArrayUtilities.upperBound(o,n,m);if(i>=o.length||a[o[i]].sourceLineNumber!==n)return null;let u=o.slice(i,c);if(!u.length)return null;let l=ri.ArrayUtilities.lowerBound(u,r,(p,g)=>p-a[g].sourceColumnNumber);return l>=u.length?a[u[u.length-1]]:a[u[l]];function m(p,g){return p-a[g].sourceLineNumber}}findReverseIndices(e,n,r){let a=this.mappings(),o=this.reversedMappings(e),i=ri.ArrayUtilities.upperBound(o,void 0,(u,l)=>n-a[l].sourceLineNumber||r-a[l].sourceColumnNumber),c=i;for(;c>0&&a[o[c-1]].sourceLineNumber===a[o[i-1]].sourceLineNumber&&a[o[c-1]].sourceColumnNumber===a[o[i-1]].sourceColumnNumber;)--c;return o.slice(c,i)}findReverseEntries(e,n,r){let a=this.mappings();return this.findReverseIndices(e,n,r).map(o=>a[o])}findReverseRanges(e,n,r){let a=this.mappings(),o=this.findReverseIndices(e,n,r),i=[];for(let c=0;c<o.length;++c){let u=o[c],l=u+1;for(;c+1<o.length&&l===o[c+1];)++l,++c;let m=a[u].lineNumber,p=a[u].columnNumber,g=l<a.length?a[l].lineNumber:2**31-1,f=l<a.length?a[l].columnNumber:2**31-1;i.push(new TextUtils.TextRange.TextRange(m,p,g,f))}return i}mappings(){return this.#o(),this.#n??[]}reversedMappings(e){return this.#o(),this.#t.get(e)?.reverseMappings??[]}#o(){this.#n===null&&(this.#n=[],this.eachSection(this.parseMap.bind(this)),this.mappings().sort(ai.compare),this.#s(this.#n),this.#e=null)}#s(e){let n=new Map;for(let a=0;a<e.length;a++){let o=e[a].sourceURL;if(!o)continue;let i=n.get(o);i||(i=[],n.set(o,i)),i.push(a)}for(let[a,o]of n.entries()){let i=this.#t.get(a);i&&(o.sort(r),i.reverseMappings=o)}function r(a,o){let i=e[a],c=e[o];return i.sourceLineNumber-c.sourceLineNumber||i.sourceColumnNumber-c.sourceColumnNumber||i.lineNumber-c.lineNumber||i.columnNumber-c.columnNumber}s(r,"sourceMappingComparator")}eachSection(e){if(this.#e)if("sections"in this.#e)for(let n of this.#e.sections)"map"in n&&e(n.map,n.offset.line,n.offset.column);else e(this.#e,0,0)}parseSources(e){let n=[],r=e.sourceRoot??"",a=new Set(e.x_google_ignoreList);for(let o=0;o<e.sources.length;++o){let i=e.sources[o];sZ.ParsedURL.ParsedURL.isRelativeURL(i)&&(r&&!r.endsWith("/")&&i&&!i.startsWith("/")?i=r.concat("/",i):i=r.concat(i));let c=i,u=e.sourcesContent&&e.sourcesContent[o];if(n.push(c),!this.#t.has(c)){let l=u??null,m=a.has(o);this.#t.set(c,{content:l,ignoreListHint:m,reverseMappings:null})}}WM.set(e,n)}parseMap(e,n,r){let a=0,o=0,i=0,c=0,u=WM.get(e),l=e.names??[],m=new t.StringCharIterator(e.mappings),p=u&&u[a];for(;;){if(m.peek()===",")m.next();else{for(;m.peek()===";";)n+=1,r=0,m.next();if(!m.hasNext())break}if(r+=this.decodeVLQ(m),!m.hasNext()||this.isSeparator(m.peek())){this.mappings().push(new ai(n,r));continue}let g=this.decodeVLQ(m);if(g&&(a+=g,u&&(p=u[a])),o+=this.decodeVLQ(m),i+=this.decodeVLQ(m),!m.hasNext()||this.isSeparator(m.peek())){this.mappings().push(new ai(n,r,p,o,i));continue}c+=this.decodeVLQ(m),this.mappings().push(new ai(n,r,p,o,i,l[c]))}}isSeparator(e){return e===","||e===";"}decodeVLQ(e){let n=0,r=0,a=t._VLQ_CONTINUATION_MASK;for(;a&t._VLQ_CONTINUATION_MASK;)a=$M.get(e.next())||0,n+=(a&t._VLQ_BASE_MASK)<<r,r+=t._VLQ_BASE_SHIFT;let o=n&1;return n>>=1,o?-n:n}mapsOrigin(){let e=this.mappings();if(e.length>0){let n=e[0];return n?.lineNumber===0||n.columnNumber===0}return!1}hasIgnoreListHint(e){return this.#t.get(e)?.ignoreListHint??!1}findRanges(e,n){let r=this.mappings(),a=[];if(!r.length)return[];let o=null;(r[0].lineNumber!==0||r[0].columnNumber!==0)&&n?.isStartMatching&&(o=TextUtils.TextRange.TextRange.createUnboundedFromLocation(0,0),a.push(o));for(let{sourceURL:i,lineNumber:c,columnNumber:u}of r){let l=i&&e(i);if(!o&&l){o=TextUtils.TextRange.TextRange.createUnboundedFromLocation(c,u),a.push(o);continue}o&&!l&&(o.endLine=c,o.endColumn=u,o=null)}return a}};Or.SourceMap=As;(function(t){t._VLQ_BASE_SHIFT=5,t._VLQ_BASE_MASK=32-1,t._VLQ_CONTINUATION_MASK=32;class e{static{s(this,"StringCharIterator")}string;position;constructor(r){this.string=r,this.position=0}next(){return this.string.charAt(this.position++)}peek(){return this.string.charAt(this.position)}hasNext(){return this.position<this.string.length}}t.StringCharIterator=e})(As=Or.SourceMap||(Or.SourceMap={}));YM.exports=As;As.parseSourceMap=VM});var Xy=L((jTe,XM)=>{"use strict";d();var JM={SourceMap:KM()};JM.SourceMap.prototype.computeLastGeneratedColumns=function(){let t=this.mappings();if(!(t.length&&t[0].lastColumnNumber!==void 0))for(let e=0;e<t.length-1;e++){let n=t[e],r=t[e+1];n.lineNumber===r.lineNumber&&(n.lastColumnNumber=r.columnNumber)}};XM.exports=JM});var ZM={};S(ZM,{default:()=>cZ});var Zy,Qy,cZ,QM=v(()=>{"use strict";d();Zy=zt(Xy(),1);Ue();Uy();Qy=class extends X{static{s(this,"SourceMaps")}meta={supportedModes:["timespan","navigation"],dependencies:{Scripts:Oy.symbol}};async fetchSourceMap(e,n){let r=await e.fetcher.fetchResource(n,{timeout:1500});if(r.content===null)throw new Error(`Failed fetching source map (${r.status})`);return Zy.default.SourceMap.parseSourceMap(r.content)}parseSourceMapFromDataUrl(e){let n=Buffer.from(e.split(",")[1],"base64");return Zy.default.SourceMap.parseSourceMap(n.toString())}_resolveUrl(e,n){try{return new URL(e,n).href}catch{return}}async _retrieveMapFromScript(e,n){if(!n.sourceMapURL)throw new Error("precondition failed: event.sourceMapURL should exist");let r=n.sourceMapURL.startsWith("data:"),a=n.name,o=r?n.sourceMapURL:this._resolveUrl(n.sourceMapURL,n.name);if(!o)return{scriptId:n.scriptId,scriptUrl:a,errorMessage:`Could not resolve map url: ${n.sourceMapURL}`};let i=r?void 0:o;try{let c=r?this.parseSourceMapFromDataUrl(o):await this.fetchSourceMap(e,o);if(typeof c.version!="number")throw new Error("Map has no numeric `version` field");if(!Array.isArray(c.sources))throw new Error("Map has no `sources` list");if(typeof c.mappings!="string")throw new Error("Map has no `mappings` field");return c.sections&&(c.sections=c.sections.filter(u=>u.map)),{scriptId:n.scriptId,scriptUrl:a,sourceMapUrl:i,map:c}}catch(c){return{scriptId:n.scriptId,scriptUrl:a,sourceMapUrl:i,errorMessage:c.toString()}}}async getArtifact(e){let n=e.dependencies.Scripts.filter(r=>r.sourceMapURL).map(r=>this._retrieveMapFromScript(e.driver,r));return Promise.all(n)}},cZ=Qy});var eN={};S(eN,{default:()=>dZ});async function lZ(){let t=[],e=d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests;for(let[n,r]of Object.entries(e))try{let a,o=new Promise(c=>a=setTimeout(()=>c(!1),1e3)),i=await Promise.race([r.test(window),o]);a&&clearTimeout(a),i&&t.push({id:r.id,name:n,version:i.version,npm:r.npm})}catch{}return t}var uZ,ev,dZ,tN=v(()=>{"use strict";d();ca();es();He();Ue();uZ=`function _createTimeoutHelper(){let e;return{timeoutPromise:new Promise(((t,o)=>{e=setTimeout((()=>o(new Error("Timed out"))),5e3)})),clearTimeout:()=>clearTimeout(e)}}var UNKNOWN_VERSION=null,d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests={GWT:{id:"gwt",icon:"gwt",url:"http://www.gwtproject.org/",test:function(e){var t=e.document,o=t.getElementById("__gwt_historyFrame"),n=t.gwt_uid,r=t.body.__listener,i=t.body.__eventBits,s=e.__gwt_activeModules,c=e.__gwt_jsonp__,u=e.__gwt_scriptsLoaded||e.__gwt_stylesLoaded||e.__gwt_activeModules;if(o||n||r||i||s||c||u){for(var a=t.getElementsByTagName("iframe"),l=UNKNOWN_VERSION,N=0;N<a.length;N++)try{if(a[N].tabIndex<0&&a[N].contentWindow&&a[N].contentWindow.$gwt_version){l=a[N].contentWindow.$gwt_version;break}}catch(e){}return"0.0.999"==l&&(l="Google Internal"),{version:l}}return!1}},Ink:{id:"ink",icon:"ink",url:"http://ink.sapo.pt/",test:function(e){return!(!e.Ink||!e.Ink.createModule)&&{version:UNKNOWN_VERSION}}},Vaadin:{id:"vaadin",icon:"vaadin",url:"https://vaadin.com/",test:function(e){return!(!e.vaadin||!e.vaadin.registerWidgetset)&&{version:UNKNOWN_VERSION}}},Bootstrap:{id:"bootstrap",icon:"bootstrap",url:"http://getbootstrap.com/",npm:"bootstrap",test:function(e){var t,o=e.$&&e.$.fn;if(o&&(["affix","alert","button","carousel","collapse","dropdown","modal","popover","scrollspy","tab","tooltip"].some((function(o){if(e.$.fn[o]){if(e.$.fn[o].Constructor&&e.$.fn[o].Constructor.VERSION)return t=e.$.fn[o].Constructor.VERSION,!0;if(new RegExp("\\\\$this\\\\.data\\\\((?:'|\\")(?:bs\\\\.){1}"+o).test(e.$.fn[o].toString()))return t=">= 3.0.0 & <= 3.1.1",!0;if(new RegExp("\\\\$this\\\\.data\\\\((?:'|\\")"+o).test(e.$.fn[o].toString()))return t=">= 2.0.0 & <= 2.3.2",!0}return!1})),t))return{version:t};return!1}},Zurb:{id:"zurb",icon:"zurb",url:"https://foundation.zurb.com/",npm:"foundation-sites",test:function(e){return!(!e.Foundation||!e.Foundation.Toggler)&&{version:e.Foundation.version||UNKNOWN_VERSION}}},Polymer:{id:"polymer",icon:"polymer",url:"https://www.polymer-project.org/",npm:"@polymer/polymer",test:function(e){return!(!e.Polymer||!e.Polymer.dom)&&{version:e.Polymer.version||UNKNOWN_VERSION}}},LitElement:{id:"litelement",icon:"polymer",url:"https://lit-element.polymer-project.org/",npm:"lit-element",test:function(e){if(e.litElementVersions&&e.litElementVersions.length){var t=[...e.litElementVersions].sort(((e,t)=>e.localeCompare(t,void 0,{numeric:!0})));return{version:t[t.length-1]}}return!1}},"lit-html":{id:"lit-html",icon:"polymer",url:"https://lit-html.polymer-project.org/",npm:"lit-element",test:function(e){if(e.litHtmlVersions&&e.litHtmlVersions.length){var t=[...e.litHtmlVersions].sort(((e,t)=>e.localeCompare(t,void 0,{numeric:!0})));return{version:t[t.length-1]}}return!1}},Highcharts:{id:"highcharts",icon:"highcharts",url:"http://www.highcharts.com",npm:"highcharts",test:function(e){return!(!e.Highcharts||!e.Highcharts.Point)&&{version:e.Highcharts.version||UNKNOWN_VERSION}}},InfoVis:{id:"jit",icon:"jit",url:"http://philogb.github.com/jit/",test:function(e){return!(!e.$jit||!e.$jit.PieChart)&&{version:e.$jit.version||UNKNOWN_VERSION}}},FlotCharts:{id:"flotcharts",icon:"flotcharts",url:"http://www.flotcharts.org/",npm:"flot",test:function(e){return!(!e.$||!e.$.plot)&&{version:e.$.plot.version||UNKNOWN_VERSION}}},CreateJS:{id:"createjs",icon:"createjs",url:"https://createjs.com/",npm:"createjs",test:function(e){return!(!e.createjs||!e.createjs.promote)&&{version:UNKNOWN_VERSION}}},"Google Maps":{id:"gmaps",icon:"gmaps",url:"https://developers.google.com/maps/",test:function(e){return!(!e.google||!e.google.maps)&&{version:e.google.maps.version||UNKNOWN_VERSION}}},jQuery:{id:"jquery",icon:"jquery",url:"http://jquery.com",npm:"jquery",test:function(e){var t=e.jQuery||e.$;return!!(t&&t.fn&&t.fn.jquery)&&{version:t.fn.jquery.replace(/[^\\d+\\.+]/g,"")||UNKNOWN_VERSION}}},"jQuery (Fast path)":{id:"jquery-fast",icon:"jquery",url:"http://jquery.com",npm:"jquery",test:function(e){var t=e.jQuery||e.$;return!(!t||!t.fn)&&{version:UNKNOWN_VERSION}}},"jQuery UI":{id:"jquery_ui",icon:"jquery_ui",url:"http://jqueryui.com",npm:"jquery-ui",test:function(e){var t=e.jQuery||e.$||e.$jq||e.$j;if(t&&t.fn&&t.fn.jquery&&t.ui){for(var o="accordion,datepicker,dialog,draggable,droppable,progressbar,resizable,selectable,slider,menu,grid,tabs".split(","),n=[],r=0;r<o.length;r++)t.ui[o[r]]&&n.push(o[r].substr(0,1).toUpperCase()+o[r].substr(1));return{version:t.ui.version||UNKNOWN_VERSION,details:n.length?"Plugins used: "+n.join(","):""}}return!1}},Dojo:{id:"dojo",icon:"dojo",url:"http://dojotoolkit.org",npm:"dojo",test:function(e){return!(!e.dojo||!e.dojo.delegate)&&{version:e.dojo.version?e.dojo.version.toString():UNKNOWN_VERSION,details:"Details: "+(e.dijit?"Uses Dijit":"none")}}},Prototype:{id:"prototype",icon:"prototype",url:"http://prototypejs.org",test:function(e){return!(!e.Prototype||!e.Prototype.BrowserFeatures)&&{version:e.Prototype.Version||UNKNOWN_VERSION}}},Scriptaculous:{id:"scriptaculous",icon:"scriptaculous",url:"http://script.aculo.us",test:function(e){return!(!e.Scriptaculous||!e.Scriptaculous.load)&&{version:e.Scriptaculous.Version||UNKNOWN_VERSION}}},MooTools:{id:"mootools",icon:"mootools",url:"https://mootools.net/",test:function(e){return!(!e.MooTools||!e.MooTools.build)&&{version:e.MooTools.version||UNKNOWN_VERSION}}},Spry:{id:"spry",icon:"spry",url:"http://labs.adobe.com/technologies/spry",test:function(e){return!(!e.Spry||!e.Spry.Data)&&{version:UNKNOWN_VERSION}}},"YUI 2":{id:"yui",icon:"yui",url:"http://developer.yahoo.com/yui/2/",test:function(e){return!(!e.YAHOO||!e.YAHOO.util)&&{version:e.YAHOO.VERSION||UNKNOWN_VERSION}}},"YUI 3":{id:"yui3",icon:"yui3",url:"https://yuilibrary.com/",npm:"yui",test:function(e){return!(!e.YUI||!e.YUI.Env)&&{version:e.YUI.version||UNKNOWN_VERSION}}},Qooxdoo:{id:"qooxdoo",icon:"qooxdoo",url:"http://www.qooxdoo.org/",npm:"qooxdoo",test:function(e){return!(!e.qx||!e.qx.Bootstrap)&&{version:UNKNOWN_VERSION}}},"Ext JS":{id:"extjs",icon:"extjs",url:"https://www.sencha.com/products/extjs/",test:function(e){return e.Ext&&e.Ext.versions?{version:e.Ext.versions.core.version}:!!e.Ext&&{version:e.Ext.version||UNKNOWN_VERSION}}},Ezoic:{id:"ezoic",icon:"ezoic",url:"https://www.ezoic.com/",test:function(e){return!(!e.__ez||!e.__ez.template)&&{version:UNKNOWN_VERSION}}},base2:{id:"base2",icon:"base2",url:"http://code.google.com/p/base2",test:function(e){return!(!e.base2||!e.base2.dom)&&{version:e.base2.version||UNKNOWN_VERSION}}},"Closure Library":{id:"closure",icon:"closure",url:"https://developers.google.com/closure/library/",npm:"google-closure-library",test:function(e){return!(!e.goog||!e.goog.provide)&&{version:UNKNOWN_VERSION}}},"Rapha&euml;l":{id:"raphael",icon:"raphael",url:"http://dmitrybaranovskiy.github.io/raphael/",test:function(e){return!(!e.Raphael||!e.Raphael.circle)&&{version:e.Raphael.version||UNKNOWN_VERSION}}},React:{id:"react",icon:"react",url:"https://reactjs.org/",npm:"react",test:function(e){function t(e){return null!=e&&null!=e._reactRootContainer}var o=document.getElementById("react-root"),n=document.querySelector("*[data-reactroot]");return!!(t(document.body)||t(document.body.firstElementChild)||null!=document.createTreeWalker(document.body,NodeFilter.SHOW_ELEMENT,(function(e){return t(e)?NodeFilter.FILTER_ACCEPT:NodeFilter.FILTER_SKIP})).nextNode()||o&&o.innerText.length>0||n||e.React&&e.React.Component)&&{version:e.React&&e.React.version||UNKNOWN_VERSION}}},"React (Fast path)":{id:"react-fast",icon:"react",url:"https://reactjs.org/",npm:"react",test:function(e){function t(e){return null!=e&&null!=e._reactRootContainer}var o=document.getElementById("react-root"),n=document.querySelector("*[data-reactroot]");return!!(t(document.body)||t(document.body.firstElementChild)||o||n||e.React)&&{version:e.React&&e.React.version||UNKNOWN_VERSION}}},"Next.js":{id:"next",icon:"next",url:"https://nextjs.org/",npm:"next",test:function(e){return!(!e.__NEXT_DATA__||!e.__NEXT_DATA__.buildId)&&{version:window.next&&window.next.version||UNKNOWN_VERSION}}},"Next.js (Fast path)":{id:"next-fast",icon:"next",url:"https://nextjs.org/",npm:"next",test:function(e){return!!e.__NEXT_DATA__&&{version:UNKNOWN_VERSION}}},Preact:{id:"preact",icon:"preact",url:"https://preactjs.com/",npm:"preact",test:function(e){var t="undefined"!=typeof Symbol&&Symbol.for&&Symbol.for("preactattr");function o(e){return"__k"in e&&"props"in e.__k&&"type"in e.__k||("_component"in e||"__preactattr_"in e||t&&null!=e[t])}function n(e){return null!=e&&o(e)&&e}var r=n(document.body)||n(document.body.firstElementChild);if(r||(r=document.createTreeWalker(document.body,NodeFilter.SHOW_ELEMENT,(function(e){return o(e)?NodeFilter.FILTER_ACCEPT:NodeFilter.FILTER_SKIP})).nextNode()),r||e.preact){var i=UNKNOWN_VERSION;return r&&("__k"in r&&(i="10"),"__preactattr_"in r&&(i="8"),t&&null!=r[t]&&(i="7")),{version:i}}return!1}},"Preact (Fast path)":{id:"preact-fast",icon:"preact",url:"https://preactjs.com/",npm:"preact",test:function(e){var t=UNKNOWN_VERSION;function o(e){return null!=e&&function(e){return null!=e.__k?(t="10",!0):null!=e._component||null!=e.__preactattr_}(e)}return!(!o(document.body)&&!o(document.body.firstElementChild)&&!e.preact)&&{version:t}}},Modernizr:{id:"modernizr",icon:"modernizr",url:"https://modernizr.com/",npm:"modernizr",test:function(e){return!(!e.Modernizr||!e.Modernizr.addTest)&&{version:e.Modernizr._version||UNKNOWN_VERSION}}},"Processing.js":{id:"processingjs",icon:"processingjs",url:"http://processingjs.org",npm:"processing-js",test:function(e){return!(!e.Processing||!e.Processing.box)&&{version:Processing.version||UNKNOWN_VERSION}}},Backbone:{id:"backbone",icon:"backbone",url:"http://backbonejs.org/",npm:"backbone",test:function(e){return!(!e.Backbone||!e.Backbone.Model.extend)&&{version:e.Backbone.VERSION||UNKNOWN_VERSION}}},Leaflet:{id:"leaflet",icon:"leaflet",url:"http://leafletjs.com",npm:"leaflet",test:function(e){return!(!e.L||!e.L.GeoJSON||!e.L.marker&&!e.L.Marker)&&{version:e.L.version||e.L.VERSION||UNKNOWN_VERSION}}},Mapbox:{id:"mapbox",icon:"mapbox",url:"https://www.mapbox.com/",npm:"mapbox-gl",test:function(e){return!!(e.L&&e.L.mapbox&&e.L.mapbox.geocoder)&&{version:e.L.mapbox.VERSION||UNKNOWN_VERSION}}},"Lo-Dash":{id:"lodash",icon:"lodash",url:"https://lodash.com/",npm:"lodash",test:function(e){var t="function"==typeof(t=e._)&&t,o="function"==typeof(o=t&&t.chain)&&o,n=(o||t||function(){return{}})(1);return!(!t||!n.__wrapped__)&&{version:t.VERSION||UNKNOWN_VERSION}}},Underscore:{id:"underscore",icon:"underscore",url:"http://underscorejs.org/",npm:"underscore",test:function(e){return!(!e._||"function"!=typeof e._.tap||d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests["Lo-Dash"].test(e))&&{version:e._.VERSION||UNKNOWN_VERSION}}},Sammy:{id:"sammy",icon:"sammy",url:"http://sammyjs.org",test:function(e){return!(!e.Sammy||!e.Sammy.Application.curry)&&{version:e.Sammy.VERSION||UNKNOWN_VERSION}}},Rico:{id:"rico",icon:"rico",url:"http://openrico.sourceforge.net/examples/index.html",test:function(e){return!(!e.Rico||!window.Rico.checkIfComplete)&&{version:e.Rico.Version||UNKNOWN_VERSION}}},MochiKit:{id:"mochikit",icon:"mochikit",url:"https://mochi.github.io/mochikit/",test:function(e){return!(!e.MochiKit||!e.MochiKit.Base.module)&&{version:MochiKit.VERSION||UNKNOWN_VERSION}}},"gRapha&euml;l":{id:"graphael",icon:"graphael",url:"https://github.com/DmitryBaranovskiy/g.raphael",test:function(e){return!(!e.Raphael||!e.Raphael.fn.g)&&{version:UNKNOWN_VERSION}}},Glow:{id:"glow",icon:"glow",url:"http://www.bbc.co.uk/glow/",test:function(e){return e.gloader&&e.gloader.getRequests?{version:UNKNOWN_VERSION}:e.glow&&e.glow.dom?{version:e.glow.VERSION||UNKNOWN_VERSION}:!!e.Glow&&{version:e.Glow.version||UNKNOWN_VERSION}}},"Socket.IO":{id:"socketio",icon:"socketio",url:"https://socket.io/",npm:"socket.io",test:function(e){return!(!e.io||!e.io.sockets&&!e.io.Socket)&&{version:e.io.version||UNKNOWN_VERSION}}},Mustache:{id:"mustache",icon:"mustache",url:"http://mustache.github.io/",npm:"mustache",test:function(e){return!(!e.Mustache||!e.Mustache.to_html)&&{version:e.Mustache.version||UNKNOWN_VERSION}}},"Fabric.js":{id:"fabricjs",icon:"icon38",url:"http://fabricjs.com/",npm:"fabric",test:function(e){return!(!e.fabric||!e.fabric.util)&&{version:e.fabric.version||UNKNOWN_VERSION}}},FuseJS:{id:"fusejs",icon:"fusejs",url:"http://fusejs.io/",npm:"fuse.js",test:function(e){return!!e.Fuse&&{version:UNKNOWN_VERSION}}},"Tween.js":{id:"tweenjs",icon:"icon38",url:"https://github.com/tweenjs/tween.js",npm:"tween.js",test:function(e){return!(!e.TWEEN||!e.TWEEN.Easing)&&{version:UNKNOWN_VERSION}}},SproutCore:{id:"sproutcore",icon:"sproutcore",url:"http://sproutcore.com/",test:function(e){return!(!e.SC||!e.SC.Application)&&{version:UNKNOWN_VERSION}}},"Zepto.js":{id:"zepto",icon:"zepto",url:"http://zeptojs.com",npm:"zepto",test:function(e){return!(!e.Zepto||!e.Zepto.fn)&&{version:UNKNOWN_VERSION}}},"three.js":{id:"threejs",icon:"icon38",url:"https://threejs.org/",npm:"three",test:function(e){return e.THREE&&e.THREE.REVISION?{version:"r"+e.THREE.REVISION}:!!e.THREE&&{version:UNKNOWN_VERSION}}},PhiloGL:{id:"philogl",icon:"philogl",url:"http://www.senchalabs.org/philogl/",npm:"philogl",test:function(e){return!(!e.PhiloGL||!e.PhiloGL.Camera)&&{version:e.PhiloGL.version||UNKNOWN_VERSION}}},CamanJS:{id:"camanjs",icon:"camanjs",url:"http://camanjs.com/",npm:"caman",test:function(e){return e.Caman&&e.Caman.version?{version:e.Caman.version.release}:!!e.Caman&&{version:UNKNOWN_VERSION}}},yepnope:{id:"yepnope",icon:"yepnope",url:"http://yepnopejs.com/",test:function(e){return!(!e.yepnope||!e.yepnope.injectJs)&&{version:UNKNOWN_VERSION}}},LABjs:{id:"labjs",icon:"icon38",url:"https://github.com/getify/LABjs",test:function(e){return!(!e.$LAB||!e.$LAB.setOptions)&&{version:UNKNOWN_VERSION}}},"Head JS":{id:"headjs",icon:"headjs",url:"http://headjs.com/",npm:"headjs",test:function(e){return!(!e.head||!e.head.js)&&{version:UNKNOWN_VERSION}}},ControlJS:{id:"controljs",icon:"icon38",url:"http://stevesouders.com/controljs/",test:function(e){return!(!e.CJS||!e.CJS.start)&&{version:UNKNOWN_VERSION}}},RequireJS:{id:"requirejs",icon:"requirejs",url:"http://requirejs.org/",npm:"requirejs",test:function(e){var t=e.require||e.requirejs;return!(!t||!(t.load||t.s&&t.s.contexts&&t.s.contexts._&&(t.s.contexts._.loaded||t.s.contexts._.load)))&&{version:t.version||UNKNOWN_VERSION}}},RightJS:{id:"rightjs",icon:"rightjs",url:"http://rightjs.org/",test:function(e){return!(!e.RightJS||!e.RightJS.isNode)&&{version:e.RightJS.version||UNKNOWN_VERSION}}},"jQuery Tools":{id:"jquerytools",icon:"jquerytools",url:"http://jquerytools.github.io/",test:function(e){var t=e.jQuery||e.$;return!(!t||!t.tools)&&{version:t.tools.version||UNKNOWN_VERSION}}},Pusher:{id:"pusher",icon:"pusher",url:"https://pusher.com/docs/",npm:"pusher-js",test:function(e){return!(!e.Pusher||!e.Pusher.Channel)&&{version:e.Pusher.VERSION||UNKNOWN_VERSION}}},"Paper.js":{id:"paperjs",icon:"paperjs",url:"http://paperjs.org/",npm:"paper",test:function(e){return!(!e.paper||!e.paper.Point)&&{version:e.paper.version||UNKNOWN_VERSION}}},Swiffy:{id:"swiffy",icon:"icon38",url:"https://developers.google.com/swiffy/",test:function(e){return!(!e.swiffy||!e.swiffy.Stage)&&{version:UNKNOWN_VERSION}}},Move:{id:"move",icon:"move",url:"https://github.com/rsms/move",npm:"move",test:function(e){return!(!e.move||!e.move.compile)&&{version:e.move.version()||UNKNOWN_VERSION}}},AmplifyJS:{id:"amplifyjs",icon:"amplifyjs",url:"http://amplifyjs.com/",npm:"amplifyjs",test:function(e){return!(!e.amplify||!e.amplify.publish)&&{version:UNKNOWN_VERSION}}},"Popcorn.js":{id:"popcornjs",icon:"popcornjs",url:"https://github.com/mozilla/popcorn-js/",test:function(e){return!(!e.Popcorn||!e.Popcorn.Events)&&{version:e.Popcorn.version||UNKNOWN_VERSION}}},D3:{id:"d3",icon:"d3",url:"https://d3js.org/",npm:"d3",test:function(e){return!(!e.d3||!e.d3.select)&&{version:e.d3.version||UNKNOWN_VERSION}}},Handlebars:{id:"handlebars",icon:"handlebars",url:"http://handlebarsjs.com/",npm:"handlebars",test:function(e){return!(!e.Handlebars||!e.Handlebars.compile)&&{version:e.Handlebars.VERSION||UNKNOWN_VERSION}}},Handsontable:{id:"handsontable",icon:"handsontable",url:"https://handsontable.com/",npm:"handsontable",test:function(e){return!(!e.Handsontable||!e.Handsontable.Core)&&{version:e.Handsontable.version||UNKNOWN_VERSION}}},Knockout:{id:"knockout",icon:"knockout",url:"http://knockoutjs.com/",npm:"knockout",test:function(e){return!(!e.ko||!e.ko.applyBindings)&&{version:e.ko.version||UNKNOWN_VERSION}}},Spine:{id:"spine",icon:"icon38",url:"http://spine.github.io/",test:function(e){return!(!e.Spine||!e.Spine.Controller)&&{version:e.Spine.version||UNKNOWN_VERSION}}},"jQuery Mobile":{id:"jquery-mobile",icon:"jquery_mobile",url:"http://jquerymobile.com/",npm:"jquery-mobile",test:function(e){var t=e.jQuery||e.$||e.$jq||e.$j;return!!(t&&t.fn&&t.fn.jquery&&t.mobile)&&{version:t.mobile.version||UNKNOWN_VERSION}}},"WebFont Loader":{id:"webfontloader",icon:"icon38",url:"https://github.com/typekit/webfontloader",npm:"webfontloader",test:function(e){return!(!e.WebFont||!e.WebFont.load)&&{version:UNKNOWN_VERSION}}},Angular:{id:"angular",icon:"angular",url:"https://angular.io/",npm:"@angular/core",test:function(e){var t=e.document.querySelector("[ng-version]");return t?{version:t.getAttribute("ng-version")||UNKNOWN_VERSION}:!!(e.ng&&e.ng.probe instanceof Function)&&{version:UNKNOWN_VERSION}}},AngularJS:{id:"angularjs",icon:"angularjs",url:"https://angularjs.org/",npm:"angular",test:function(e){var t=e.angular;return!!(t&&t.version&&t.version.full)&&{version:t.version.full}}},Ionic:{id:"ionic",icon:"ionic",url:"https://ionicframework.com/",npm:"@ionic/cli",test:function(e){var t=e.document.querySelector("ion-app");return!(!t||"ION-APP"!==t.nodeName)&&{version:UNKNOWN_VERSION}}},"Ember.js":{id:"emberjs",icon:"emberjs",url:"https://emberjs.com/",npm:"ember-source",test:function(e){var t=e.Ember||e.Em;return!(!t||!t.GUID_KEY)&&{version:t.VERSION||UNKNOWN_VERSION}}},"Hammer.js":{id:"hammerjs",icon:"hammerjs",url:"http://eightmedia.github.io/hammer.js/",npm:"hammerjs",test:function(e){return!(!e.Hammer||!e.Hammer.Pinch)&&{version:e.Hammer.VERSION||"&lt; 1.0.10"}}},"Visibility.js":{id:"visibilityjs",icon:"icon38",url:"https://github.com/ai/visibilityjs",npm:"visibilityjs",test:function(e){return!(!e.Visibility||!e.Visibility.every)&&{version:UNKNOWN_VERSION}}},"Velocity.js":{id:"velocityjs",icon:"icon38",url:"http://velocityjs.org/",npm:"velocity-animate",test:function(e){var t=e.jQuery||e.$,o=t?t.Velocity:e.Velocity;return o&&o.RegisterEffect&&o.version?{version:o.version.major+"."+o.version.minor+"."+o.version.patch}:!(!o||!o.RegisterEffect)&&{version:UNKNOWN_VERSION}}},"IfVisible.js":{id:"ifvisiblejs",icon:"icon38",url:"http://serkanyersen.github.io/ifvisible.js/",npm:"ifvisible.js",test:function(e){var t=e.ifvisible;return!(!t||"ifvisible.object.event.identifier"!==t.__ceGUID)&&{version:UNKNOWN_VERSION}}},"Pixi.js":{id:"pixi",icon:"pixi",url:"http://www.pixijs.com/",npm:"pixi.js",test:function(e){var t=e.PIXI;return!!(t&&t.WebGLRenderer&&t.VERSION)&&{version:t.VERSION.replace("v","")||UNKNOWN_VERSION}}},"DC.js":{id:"dcjs",icon:"dcjs",url:"http://dc-js.github.io/dc.js/",npm:"dc",test:function(e){var t=e.dc;return!(!t||!t.registerChart)&&{version:t.version||UNKNOWN_VERSION}}},"GreenSock JS":{id:"greensock",icon:"greensock",url:"https://greensock.com/gsap",npm:"gsap",test:function(e){return!(!e.TweenMax||!e.TweenMax.pauseAll)&&{version:e.TweenMax.version||UNKNOWN_VERSION}}},FastClick:{id:"fastclick",icon:"fastclick",url:"https://github.com/ftlabs/fastclick",npm:"fastclick",test:function(e){return!(!e.FastClick||!e.FastClick.notNeeded)&&{version:UNKNOWN_VERSION}}},Isotope:{id:"isotope",icon:"isotope",url:"https://isotope.metafizzy.co/",npm:"isotope-layout",test:function(e){return!!(e.Isotope||null!=e.$&&e.$.Isotope)&&{version:UNKNOWN_VERSION}}},Marionette:{id:"marionette",icon:"marionette",url:"https://marionettejs.com/",npm:"backbone.marionette",test:function(e){return!(!e.Marionette||!e.Marionette.Application)&&{version:e.Marionette.VERSION||UNKNOWN_VERSION}}},Can:{id:"canjs",icon:"canjs",url:"https://canjs.com/",npm:"can",test:function(e){return!(!e.can||!e.can.Construct)&&{version:e.can.VERSION||UNKNOWN_VERSION}}},Vue:{id:"vue",icon:"vue",url:"https://vuejs.org/",npm:"vue",test:function(e){return!(null===document.createTreeWalker(document.body,NodeFilter.SHOW_ELEMENT,(function(e){return null!=e.__vue__?NodeFilter.FILTER_ACCEPT:NodeFilter.FILTER_SKIP})).nextNode()&&!e.Vue)&&{version:e.Vue&&e.Vue.version||UNKNOWN_VERSION}}},"Vue (Fast path)":{id:"vue-fast",icon:"vue",url:"https://vuejs.org/",npm:"vue",test:function(e){return!!e.Vue&&{version:e.Vue&&e.Vue.version||UNKNOWN_VERSION}}},"Nuxt.js":{id:"nuxt",icon:"nuxt",url:"https://nuxtjs.org/",npm:"nuxt",test:function(e){return!!(e.__NUXT__||e.$nuxt||[...e.document.querySelectorAll("*")].some((e=>e.__vue__?.nuxt)))&&{version:UNKNOWN_VERSION}}},"Nuxt.js (Fast path)":{id:"nuxt-fast",icon:"nuxt",url:"https://nuxtjs.org/",npm:"nuxt",test:function(e){return!(!e.__NUXT__&&!e.$nuxt)&&{version:UNKNOWN_VERSION}}},Two:{id:"two",icon:"two",url:"https://two.js.org/",npm:"two.js",test:function(e){return!(!e.Two||!e.Two.Utils)&&{version:e.Two.Version||UNKNOWN_VERSION}}},Brewser:{id:"brewser",icon:"brewser",url:"https://robertpataki.github.io/brewser/",npm:"brewser",test:function(e){return!(!e.BREWSER||!e.BREWSER.ua)&&{version:BREWSER.VERSION||UNKNOWN_VERSION}}},"Material Design Lite":{id:"materialdesignlite",icon:"mdl",url:"https://getmdl.io/",npm:"material-design-lite",test:function(e){return!(!e.componentHandler||!e.componentHandler.upgradeElement)&&{version:UNKNOWN_VERSION}}},"Kendo UI":{id:"kendoui",icon:"kendoui",url:"https://github.com/telerik/kendo-ui-core",npm:"kendo-ui-core",test:function(e){return!!(e.kendo&&e.kendo.View&&e.kendo.View.extend)&&{version:e.kendo.version||UNKNOWN_VERSION}}},"Matter.js":{id:"matterjs",icon:"matter-js",url:"http://brm.io/matter-js/",npm:"matter-js",test:function(e){return!(!e.Matter||!e.Matter.Engine)&&{version:UNKNOWN_VERSION}}},Riot:{id:"riot",icon:"riot",url:"http://riotjs.com/",npm:"riot",test:function(e){return!(!e.riot||!e.riot.mixin)&&{version:e.riot.version||UNKNOWN_VERSION}}},"Sea.js":{id:"seajs",icon:"icon38",url:"https://seajs.github.io/seajs/docs/",npm:"seajs",test:function(e){return!(!e.seajs||!e.seajs.use)&&{version:e.seajs.version||UNKNOWN_VERSION}}},"Moment.js":{id:"momentjs",icon:"momentjs",url:"http://momentjs.com/",npm:"moment",test:function(e){return!(!e.moment||!e.moment.isMoment&&!e.moment.lang)&&{version:e.moment.version||UNKNOWN_VERSION}}},"Moment Timezone":{id:"moment-timezone",icon:"momentjs",url:"http://momentjs.com/timezone/",npm:"moment-timezone",test:function(e){return!(!e.moment||!e.moment.tz)&&{version:e.moment.tz.version||UNKNOWN_VERSION}}},ScrollMagic:{id:"scrollmagic",icon:"scrollmagic",url:"http://scrollmagic.io/",npm:"scrollmagic",test:function(e){return!(!e.ScrollMagic||!e.ScrollMagic.Controller)&&{version:ScrollMagic.version||UNKNOWN_VERSION}}},SWFObject:{id:"swfobject",icon:"icon38",url:"https://github.com/swfobject/swfobject",test:function(e){return e.swfobject&&e.swfobject.embedSWF?{version:e.swfobject.version||UNKNOWN_VERSION}:!(!e.deconcept||!e.deconcept.SWFObject)&&{version:UNKNOWN_VERSION}}},FlexSlider:{id:"flexslider",icon:"icon38",url:"https://woocommerce.com/flexslider/",npm:"flexslider",test:function(e){var t=e.jQuery||e.$||e.$jq||e.$j;return!!(t&&t.fn&&t.fn.jquery&&t.flexslider)&&{version:UNKNOWN_VERSION}}},SPF:{id:"spf",icon:"icon38",url:"https://youtube.github.io/spfjs/",npm:"spf",test:function(e){return!(!e.spf||!e.spf.init)&&{version:UNKNOWN_VERSION}}},"Numeral.js":{id:"numeraljs",icon:"icon38",url:"http://numeraljs.com/",npm:"numeraljs",test:function(e){return!(!e.numeral||!e.isNumeral)&&{version:e.numeral.version||UNKNOWN_VERSION}}},"boomerang.js":{id:"boomerangjs",icon:"icon38",url:"https://soasta.github.io/boomerang/",npm:"boomerangjs",test:function(e){return!!(e.BOOMR&&e.BOOMR.utils&&e.BOOMR.init)&&{version:e.BOOMR.version||UNKNOWN_VERSION}}},Framer:{id:"framer",icon:"framer",url:"https://framer.com/",npm:"framerjs",test:function(e){return!(!e.Framer||!e.Framer.Layer)&&{version:e.Framer.Version.build||UNKNOWN_VERSION}}},Marko:{id:"marko",icon:"marko",url:"https://markojs.com/",npm:"marko",test:function(e){return!!document.querySelector("[data-marko-key], [data-marko]")&&{version:UNKNOWN_VERSION}}},AMP:{id:"amp",icon:"amp",url:"https://amp.dev/",npm:"https://www.npmjs.com/org/ampproject",test:function(e){var t=e.document.documentElement.getAttribute("amp-version");return!!t&&{version:t}}},Gatsby:{id:"gatsby",icon:"gatsby",url:"https://www.gatsbyjs.org/",npm:"gatsby",test:function(e){return!!document.getElementById("___gatsby")&&{version:UNKNOWN_VERSION}}},Shopify:{id:"shopify",icon:"shopify",url:"https://www.shopify.com/",npm:null,test:function(e){return!(!e.Shopify||!e.Shopify.shop)&&{version:UNKNOWN_VERSION}}},Magento:{id:"magento",icon:"magento",url:"https://magento.com/",npm:null,test:function(e){const t=/\\/static(?:\\/version\\d+)?\\/frontend\\/.+\\/.+\\/requirejs\\/require(?:\\.min)?\\.js/;return!!Array.from(document.querySelectorAll("script[src]")||[]).some((e=>t.test(e.src)))&&{version:2}}},WordPress:{id:"wordpress",icon:"wordpress",url:"https://wordpress.org/",npm:null,test:function(e){const t=!!document.querySelector('link[rel="https://api.w.org/"]'),o=!!document.querySelectorAll('link[href*="wp-includes"], script[src*="wp-includes"]').length;if(!t&&!o)return!1;const n=document.querySelector('meta[name=generator][content^="WordPress"]');return{version:n?n.getAttribute("content").replace(/^\\w+\\s/,""):UNKNOWN_VERSION}}},Wix:{id:"wix",icon:"wix",url:"https://www.wix.com/",npm:null,test:function(e){return(e.wixPerformanceMeasurements&&e.wixPerformanceMeasurements.info||!(!e.wixBiSession||!e.wixBiSession.info))&&{version:UNKNOWN_VERSION}}},Workbox:{id:"workbox",icon:"workbox",url:"https://developers.google.com/web/tools/workbox/",npm:"workbox-sw",test:async function(e){var t=e.navigator;if(!("serviceWorker"in t))return!1;const{timeoutPromise:o,clearTimeout:n}=_createTimeoutHelper(),r=t.serviceWorker.getRegistration().then((function(e){var o=t.serviceWorker.controller?t.serviceWorker.controller.scriptURL:e.active.scriptURL;return fetch(o,{credentials:"include",headers:{"service-worker":"script"}}).then((function(e){return e.text()})).then((function(e){if(/new Workbox|new workbox|workbox\\.precaching\\.|workbox\\.strategies/gm.test(e)){var t=/workbox.*?\\b((0|[1-9]\\d*)\\.(0|[1-9]\\d*)\\.(0|[1-9]\\d*)(-(0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*)(\\.(0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*))*)?(\\+[0-9a-zA-Z-]+(\\.[0-9a-zA-Z-]+)*)?)\\b/gim.exec(e),o=UNKNOWN_VERSION;return Array.isArray(t)&&t.length>1&&t[1]&&(o=t[1]),{version:o}}return!1}))})).catch((function(e){return!1}));return Promise.race([r,o]).catch((function(e){return!1})).finally((e=>(n(),e)))}},Boq:{id:"boq",icon:"icon38",url:"https://github.com/johnmichel/Library-Detector-for-Chrome/pull/143",npm:null,test:function(e){return!!e.WIZ_global_data&&{version:UNKNOWN_VERSION}}},Wiz:{id:"wiz",icon:"icon38",url:"https://github.com/johnmichel/Library-Detector-for-Chrome/pull/147",npm:null,test:function(e){return!!document.__wizdispatcher&&{version:UNKNOWN_VERSION}}},"core-js":{id:"corejs",icon:"icon38",url:"https://github.com/zloirock/core-js",npm:"core-js",test:function(e){const t=e["__core-js_shared__"],o=e.core;if(t){const e=t.versions;return{version:Array.isArray(e)?e.map((e=>\`core-js-\${e.mode}@\${e.version}\`)).join("; "):UNKNOWN_VERSION}}return!!o&&{version:o.version||UNKNOWN_VERSION}}},Drupal:{id:"drupal",icon:"drupal",url:"https://www.drupal.org/",npm:null,test:function(e){const t=document.querySelector('meta[name="generator"][content^="Drupal"]'),o=t?t.getAttribute("content").replace(/\\D+/gi,""):UNKNOWN_VERSION,n=/\\/sites\\/(?:default|all)\\/(?:themes|modules|files)/,r=Array.from(document.querySelectorAll("link,style,script")||[]);return!!(r.some((e=>n.test(e.src)))||r.some((e=>n.test(e.href)))||t||e.Drupal&&e.Drupal.behaviors)&&{version:o}}},TYPO3:{id:"typo3",icon:"typo3",url:"https://typo3.org/",npm:null,test:function(e){const t=document.querySelector('meta[name="generator"][content^="TYPO3"]'),o=/\\/(typo3conf|typo3temp|fileadmin)/,n=Array.from(document.querySelectorAll("link,style,script")||[]);return!!(t||n.some((e=>o.test(e.src)))||n.some((e=>o.test(e.href))))&&{version:UNKNOWN_VERSION}}},"Create React App":{id:"create-react-app",icon:"cra",url:"https://create-react-app.dev/",npm:"react-scripts",test:function(e){let t,o,n=e.document.body.firstElementChild;do{"noscript"===n.localName?t=n:"root"===n.id&&(o=n)}while(n=n.nextElementSibling);return!!(o&&t&&/You need to enable JavaScript to run this app/.test(t.textContent))&&{version:UNKNOWN_VERSION}}},"Guess.js":{id:"guessjs",icon:"guessjs",url:"https://guess-js.github.io/",test:function(e){return!(!e.__GUESS__||!e.__GUESS__.guess)&&{version:UNKNOWN_VERSION}}},"October CMS":{id:"octobercms",icon:"october",url:"https://octobercms.com/",npm:null,test:function(e){const t=document.querySelector('meta[name="generator"][content^="OctoberCMS"]'),o=document.querySelector('meta[name="generator"][content^="October CMS"]'),n=/\\/modules\\/system\\/assets\\/(css|js)\\/framework(\\.extras|\\.combined)?(-min)?/,r=Array.from(document.querySelectorAll("link,style,script")||[]);return!!(t||o||r.some((e=>n.test(e.src||e.href))))&&{version:UNKNOWN_VERSION}}},Joomla:{id:"joomla",icon:"joomla",url:"https://www.joomla.org/",npm:null,test:function(e){const t=document.querySelector('meta[name=generator][content^="Joomla"]'),o=!!document.querySelectorAll('script[src*="/media/jui/js/bootstrap.min.js"]').length;return t?{version:t.getAttribute("content").replace(/^\\w+\\s/,"")}:!(!e.Joomla&&!o)&&{version:UNKNOWN_VERSION}}},Sugar:{id:"sugar",icon:"sugar",url:"https://sugarjs.com",npm:"sugar",test:function(e){return e.Sugar?{version:e.Sugar.VERSION||UNKNOWN_VERSION}:!!e.Array.SugarMethods&&{version:UNKNOWN_VERSION}}},Bento:{id:"bentojs",icon:"bentojs",url:"https://bentojs.dev",npm:"https://www.npmjs.com/org/bentoproject",test:function(e){return!(!e.BENTO||!e.BENTO.push)&&{version:UNKNOWN_VERSION}}},"WP Rocket":{id:"wp-rocket",icon:"wp-rocket",url:"https://wp-rocket.me/",npm:null,test:async function(e){const t="undefined"!=typeof RocketLazyLoadScripts||"undefined"!=typeof RocketPreloadLinksConfig||"undefined"!=typeof rocket_lazy,o=!!document.querySelector("style#wpr-usedcss"),n=document.lastChild.nodeType===Node.COMMENT_NODE&&document.lastChild.textContent.includes("WP Rocket");return!!(o||t||n)&&{version:UNKNOWN_VERSION}}},NitroPack:{id:"nitropack",icon:"nitropack",url:"https://nitropack.io/",npm:null,test:async function(e){return!!document.querySelector('meta[name="generator"][content="NitroPack"]')&&{version:UNKNOWN_VERSION}}},Remix:{id:"remix",icon:"remix",url:"https://remix.run/",npm:"remix",test:function(e){return!!e.__remixContext&&{version:UNKNOWN_VERSION}}}};`;s(lZ,"detectLibraries");ev=class t extends X{static{s(this,"Stacks")}constructor(){super(),this.meta={supportedModes:["snapshot","navigation"]}}static async collectStacks(e){let n={msg:"Collect stacks",id:"lh:gather:collectStacks"};N.time(n);let a=(await e.evaluate(lZ,{args:[],deps:[uZ]})).map(o=>({detector:"js",id:o.id,name:o.name,version:typeof o.version=="number"?String(o.version):o.version||void 0,npm:o.npm||void 0}));return N.timeEnd(n),a}async getArtifact(e){try{return await t.collectStacks(e.driver.executionContext)}catch{return[]}}},dZ=ev});var nN={};S(nN,{default:()=>mZ});var tv,mZ,rN=v(()=>{"use strict";d();Vi();Ue();tv=class extends X{static{s(this,"TraceCompat")}meta={supportedModes:["timespan","navigation"],dependencies:{Trace:sa.symbol}};async getArtifact(e){return{defaultPass:e.dependencies.Trace}}},mZ=tv});var nv,on,Ur=v(()=>{d();we();Jt();Jg();nv=class{static{s(this,"ProcessedNavigation")}static isProcessedTrace(e){return"timeOriginEvt"in e}static async compute_(e,n){if(this.isProcessedTrace(e))return bu.processNavigation(e);let r=await Ye.request(e,n);return bu.processNavigation(r)}},on=W(nv,null)});var pZ,aN,fZ,rv,Fs,Kp=v(()=>{"use strict";d();Jt();we();pZ=new Set(["keydown","keypress","keyup"]),aN=new Set(["mousedown","mouseup","pointerdown","pointerup","click"]),fZ={keyboard:pZ,tapOrClick:aN,drag:aN},rv=class t{static{s(this,"Responsiveness")}static getHighPercentileResponsiveness(e){let n=e.frameTreeEvents.filter(a=>a.name==="Responsiveness.Renderer.UserInteraction").sort((a,o)=>o.args.data.maxDuration-a.args.data.maxDuration);if(n.length===0)return null;let r=Math.min(9,Math.floor(n.length/50));return n[r]}static findInteractionEvent(e,{traceEvents:n}){let r=n.filter(u=>u.name==="EventTiming"&&u.ph!=="e");if(r.length&&r.every(u=>!u.args.data?.frame))return{name:"FallbackTiming",duration:e.args.data.maxDuration};let{maxDuration:a,interactionType:o}=e.args.data,i,c=Number.POSITIVE_INFINITY;for(let u of r){if(u.args.data.frame!==e.args.frame)continue;let{type:l,duration:m}=u.args.data,p=fZ[o];if(!p)throw new Error(`unexpected responsiveness interactionType '${o}'`);if(!p.has(l))continue;let g=Math.abs(m-a);g<c&&(i=u,c=g)}if(!i)throw new Error(`no interaction event found for responsiveness type '${o}'`);if(c>5)throw new Error(`no interaction event found within 5ms of responsiveness maxDuration (max: ${a}, closest ${i.args.data.duration})`);return i}static async compute_(e,n){let{settings:r,trace:a}=e;if(r.throttlingMethod==="simulate")throw new Error("Responsiveness currently unsupported by simulated throttling");let o=await Ye.request(a,n),i=t.getHighPercentileResponsiveness(o);if(!i)return null;let c=t.findInteractionEvent(i,a);return JSON.parse(JSON.stringify(c))}},Fs=W(rv,["trace","settings"])});var gZ,av,ro,Hu=v(()=>{"use strict";d();we();Jt();gZ=500,av=class t{static{s(this,"CumulativeLayoutShift")}static getLayoutShiftEvents(e){let n=[],r=!1,a=e.timestamps.timeOrigin,o=e.frameEvents.find(i=>i.name==="viewport");o&&(a=o.ts);for(let i of e.frameTreeEvents)if(!(i.name!=="LayoutShift"||!i.args.data||i.args.data.is_main_frame===void 0)){if(i.args.data.weighted_score_delta===void 0)throw new Error("CLS missing weighted_score_delta");if(i.args.data.had_recent_input){if((i.ts-a)/1e3>gZ||r)continue}else r=!0;n.push({ts:i.ts,isMainFrame:i.args.data.is_main_frame,weightedScore:i.args.data.weighted_score_delta,impactedNodes:i.args.data.impacted_nodes})}return n}static calculate(e){let a=0,o=0,i=Number.NEGATIVE_INFINITY,c=Number.NEGATIVE_INFINITY;for(let u of e)(u.ts-i>5e6||u.ts-c>1e6)&&(i=u.ts,o=0),c=u.ts,o+=u.weightedScore,a=Math.max(a,o);return a}static async compute_(e,n){let r=await Ye.request(e,n),a=t.getLayoutShiftEvents(r),o=a.filter(i=>i.isMainFrame);return{cumulativeLayoutShift:t.calculate(a),cumulativeLayoutShiftMainFrame:t.calculate(o)}}},ro=W(av,null)});var oN={};S(oN,{default:()=>yZ});function hZ(){let t=this.nodeType===document.ELEMENT_NODE?this:this.parentElement,e;return t&&(e={node:getNodeDetails(t)}),e}var ov,yZ,iN=v(()=>{"use strict";d();Ue();Th();un();zu();da();Vi();Jt();Ur();Bt();Kp();Hu();hp();s(hZ,"getNodeDetailsData");ov=class t extends X{static{s(this,"TraceElements")}meta={supportedModes:["timespan","navigation"],dependencies:{Trace:sa.symbol}};animationIdToName=new Map;constructor(){super(),this._onAnimationStarted=this._onAnimationStarted.bind(this)}_onAnimationStarted({animation:{id:e,name:n}}){n&&this.animationIdToName.set(e,n)}static traceRectToLHRect(e){let n={x:e[0],y:e[1],width:e[2],height:e[3]};return TM(n)}static getTopLayoutShiftElements(e){let n=new Map;return ro.getLayoutShiftEvents(e).forEach(o=>{if(!o||!o.impactedNodes)return;let i=0,c=new Map;o.impactedNodes.forEach(u=>{if(!u.node_id||!u.old_rect||!u.new_rect)return;let l=t.traceRectToLHRect(u.old_rect),m=t.traceRectToLHRect(u.new_rect),p=ju(l)+ju(m)-qu(l,m);c.set(u.node_id,p),i+=p});for(let[u,l]of c.entries()){let m=n.get(u)||0;m+=l/i*o.weightedScore,n.set(u,m)}}),[...n.entries()].sort((o,i)=>i[1]-o[1]).slice(0,5).map(([o,i])=>({nodeId:o,score:i}))}static async getResponsivenessElement(e,n){let{settings:r}=n;try{let a=await Fs.request({trace:e,settings:r},n);return!a||a.name==="FallbackTiming"?void 0:{nodeId:a.args.data.nodeId}}catch{return}}async getAnimatedElements(e){let n=new Map;for(let o of e){if(o.name!=="Animation"||!o.id2||!o.id2.local)continue;let i=o.id2.local,c=n.get(i)||{begin:void 0,status:void 0};o.ph==="b"?c.begin=o:o.ph==="n"&&o.args.data&&o.args.data.compositeFailed!==void 0&&(c.status=o),n.set(i,c)}let r=new Map;for(let{begin:o,status:i}of n.values()){let c=o?.args?.data?.nodeId,u=o?.args?.data?.id,l=i?.args?.data?.compositeFailed,m=i?.args?.data?.unsupportedProperties;if(!c||!u)continue;let p=r.get(c)||new Set;p.add({animationId:u,failureReasonsMask:l,unsupportedProperties:m}),r.set(c,p)}let a=[];for(let[o,i]of r){let c=[];for(let{animationId:u,failureReasonsMask:l,unsupportedProperties:m}of i){let p=this.animationIdToName.get(u);c.push({name:p,failureReasonsMask:l,unsupportedProperties:m})}a.push({nodeId:o,animations:c})}return a}static async getLcpElement(e,n){let r;try{r=await on.request(e,n)}catch(o){if(n.gatherMode==="timespan"&&o.code===G.errors.NO_FCP.code)return;throw o}let a=r.largestContentfulPaintEvt?.args?.data;if(!(a?.nodeId===void 0||!a.type))return{nodeId:a.nodeId,type:a.type}}async startInstrumentation(e){await e.driver.defaultSession.sendCommand("Animation.enable"),e.driver.defaultSession.on("Animation.animationStarted",this._onAnimationStarted)}async stopInstrumentation(e){e.driver.defaultSession.off("Animation.animationStarted",this._onAnimationStarted),await e.driver.defaultSession.sendCommand("Animation.disable")}async getArtifact(e){let n=e.driver.defaultSession,r=e.dependencies.Trace;if(!r)throw new Error("Trace is missing!");let a=await Ye.request(r,e),{mainThreadEvents:o}=a,i=await t.getLcpElement(r,e),c=t.getTopLayoutShiftElements(a),u=await this.getAnimatedElements(o),l=await t.getResponsivenessElement(r,e),m=new Map([["largest-contentful-paint",i?[i]:[]],["layout-shift",c],["animation",u],["responsiveness",l?[l]:[]]]),p=[];for(let[g,f]of m)for(let y=0;y<f.length;y++){let b=f[y].nodeId,D;try{let T=await sk(n,b);if(!T)continue;let A=Ka.serializeDeps([Ee.getNodeDetails,hZ]);D=await n.sendCommand("Runtime.callFunctionOn",{objectId:T,functionDeclaration:`function () {
              ${A}
              return getNodeDetailsData.call(this);
            }`,returnByValue:!0,awaitPromise:!0})}catch(T){en.captureException(T,{tags:{gatherer:"TraceElements"},level:"error"});continue}D?.result?.value&&p.push({traceEventType:g,...D.result.value,score:f[y].score,animations:f[y].animations,nodeId:b,type:f[y].type})}return p}},yZ=ov});var sN={};S(sN,{default:()=>bZ});function vZ(){return{innerWidth:window.innerWidth,innerHeight:window.innerHeight,outerWidth:window.outerWidth,outerHeight:window.outerHeight,devicePixelRatio:window.devicePixelRatio}}var iv,bZ,cN=v(()=>{"use strict";d();Ue();s(vZ,"getViewportDimensions");iv=class extends X{static{s(this,"ViewportDimensions")}meta={supportedModes:["snapshot","timespan","navigation"]};async getArtifact(e){let r=await e.driver.executionContext.evaluate(vZ,{args:[],useIsolation:!0});if(!Object.values(r).every(Number.isFinite)){let o=JSON.stringify(r);throw new Error(`ViewportDimensions results were not numeric: ${o}`)}return r}},bZ=iv});function nr(t,e){let n,r;return typeof t=="string"?n=e?t.trim():t:(t!==void 0&&(r="ERROR: expected a string."),n=void 0),{raw:t,value:n,warning:r}}function uN(t){let e=nr(t);return e.value===void 0,e}function EZ(t){return nr(t.name,!0)}function TZ(t){return nr(t.short_name,!0)}function SZ(t,e){let n=new URL(t),r=new URL(e);return n.origin===r.origin}function xZ(t,e,n){let r=t.start_url;if(r==="")return{raw:r,value:n,warning:"ERROR: start_url string empty"};if(r===void 0)return{raw:r,value:n};if(typeof r!="string")return{raw:r,value:n,warning:"ERROR: expected a string."};let a;try{a=new URL(r,e).href}catch{return{raw:r,value:n,warning:`ERROR: invalid start_url relative to ${e}`}}return SZ(a,n)?{raw:r,value:a}:{raw:r,value:n,warning:"ERROR: start_url must be same-origin as document"}}function CZ(t){let e=nr(t.display,!0),n=e.value;if(!n)return{raw:t,value:sv,warning:e.warning};let r=n.toLowerCase();return wZ.includes(r)?{raw:t,value:r,warning:void 0}:{raw:t,value:sv,warning:"ERROR: 'display' has invalid value "+r+`. will fall back to ${sv}.`}}function AZ(t){let e=nr(t.orientation,!0);return e.value&&!DZ.includes(e.value.toLowerCase())&&(e.value=void 0,e.warning="ERROR: 'orientation' has an invalid value, will be ignored."),e}function FZ(t,e){let n=nr(t.src,!0);if(n.value===""&&(n.value=void 0),n.value)try{n.value=new URL(n.value,e).href}catch{n.warning=`ERROR: invalid icon url will be ignored: '${t.src}'`,n.value=void 0}let r=nr(t.type,!0),a=nr(t.purpose),o={raw:t.purpose,value:["any"],warning:void 0};a.value!==void 0&&(o.value=a.value.split(/\s+/).map(l=>l.toLowerCase()));let i={raw:t.density,value:1,warning:void 0};i.raw!==void 0&&(i.value=parseFloat(i.raw),(isNaN(i.value)||!isFinite(i.value)||i.value<=0)&&(i.value=1,i.warning="ERROR: icon density cannot be NaN, +∞, or less than or equal to +0."));let c,u=nr(t.sizes);if(u.value!==void 0){let l=new Set;u.value.trim().split(/\s+/).forEach(m=>l.add(m.toLowerCase())),c={raw:t.sizes,value:l.size>0?Array.from(l):void 0,warning:void 0}}else c={...u,value:void 0};return{raw:t,value:{src:n,type:r,density:i,sizes:c,purpose:o},warning:void 0}}function RZ(t,e){let n=t.icons;if(n===void 0)return{raw:n,value:[],warning:void 0};if(!Array.isArray(n))return{raw:n,value:[],warning:"ERROR: 'icons' expected to be an array but is not."};let r=n.filter(i=>i.src!==void 0).map(i=>FZ(i,e)),a=r.filter(i=>{let c=[i.warning,i.value.type.warning,i.value.src.warning,i.value.sizes.warning,i.value.density.warning].filter(Boolean),u=!!i.value.src.value;return!!c.length&&!u}),o=r.filter(i=>i.value.src.value!==void 0);return{raw:n,value:o,warning:a.length?"WARNING: Some icons were ignored due to warnings.":void 0}}function _Z(t){let e=nr(t.platform,!0),n=nr(t.id,!0),r=nr(t.url,!0);if(r.value)try{r.value=new URL(r.value).href}catch{r.value=void 0,r.warning=`ERROR: invalid application URL ${t.url}`}return{raw:t,value:{platform:e,id:n,url:r},warning:void 0}}function kZ(t){let e=t.related_applications;if(e===void 0)return{raw:e,value:void 0,warning:void 0};if(!Array.isArray(e))return{raw:e,value:void 0,warning:"ERROR: 'related_applications' expected to be an array but is not."};let n=e.filter(r=>!!r.platform).map(_Z).filter(r=>!!r.value.id.value||!!r.value.url.value);return{raw:e,value:n,warning:void 0}}function IZ(t){let e=t.prefer_related_applications,n,r;return typeof e=="boolean"?n=e:(e!==void 0&&(r="ERROR: 'prefer_related_applications' expected to be a boolean."),n=void 0),{raw:e,value:n,warning:r}}function MZ(t){return uN(t.theme_color)}function NZ(t){return uN(t.background_color)}function lN(t,e,n){if(e===void 0||n===void 0)throw new Error("Manifest and document URLs required for manifest parsing.");let r;try{r=JSON.parse(t)}catch(i){return{raw:t,value:void 0,warning:"ERROR: file isn't valid JSON: "+i,url:e}}let a={name:EZ(r),short_name:TZ(r),start_url:xZ(r,e,n),display:CZ(r),orientation:AZ(r),icons:RZ(r,e),related_applications:kZ(r),prefer_related_applications:IZ(r),theme_color:MZ(r),background_color:NZ(r)},o;try{new URL(e).protocol.startsWith("http")||(o="WARNING: manifest URL not available over a valid network protocol")}catch{o=`ERROR: invalid manifest URL: '${e}'`}return{raw:t,value:a,warning:o,url:e}}var wZ,sv,DZ,dN=v(()=>{"use strict";d();wZ=["fullscreen","standalone","minimal-ui","browser"],sv="browser",DZ=["any","natural","landscape","portrait","portrait-primary","portrait-secondary","landscape-primary","landscape-secondary"];s(nr,"parseString");s(uN,"parseColor");s(EZ,"parseName");s(TZ,"parseShortName");s(SZ,"checkSameOrigin");s(xZ,"parseStartUrl");s(CZ,"parseDisplay");s(AZ,"parseOrientation");s(FZ,"parseIcon");s(RZ,"parseIcons");s(_Z,"parseApplication");s(kZ,"parseRelatedApplications");s(IZ,"parsePreferRelatedApplications");s(MZ,"parseThemeColor");s(NZ,"parseBackgroundColor");s(lN,"parseManifest")});var mN={};S(mN,{default:()=>LZ});var cv,LZ,pN=v(()=>{"use strict";d();He();dN();Ue();cv=class t extends X{static{s(this,"WebAppManifest")}meta={supportedModes:["snapshot","navigation"]};static async fetchAppManifest(e){e.setNextProtocolTimeout(1e4);let n;try{n=await e.sendCommand("Page.getAppManifest")}catch(c){if(c.code==="PROTOCOL_TIMEOUT")return N.error("WebAppManifest","Failed fetching manifest",c),null;throw c}let r=n.data;if(!r)return null;let a=3,o=65279;return r.charCodeAt(0)===o&&(r=Buffer.from(r).slice(a).toString()),{...n,data:r}}static async getWebAppManifest(e,n){let r={msg:"Get webapp manifest",id:"lh:gather:getWebAppManifest"};N.time(r);let a=await t.fetchAppManifest(e);if(!a)return null;let o=lN(a.data,a.url,n);return N.timeEnd(r),o}async getArtifact(e){let n=e.driver,{finalDisplayedUrl:r}=e.baseArtifacts.URL;try{return await t.getWebAppManifest(n.defaultSession,r)}catch{return null}}},LZ=cv});var fN,PZ,uv,U,ue=v(()=>{"use strict";d();J();k();fN={failingElementsHeader:"Failing Elements"},PZ=w("core/audits/accessibility/axe-audit.js",fN),uv=class extends h{static{s(this,"AxeAudit")}static audit(e){if((e.Accessibility.notApplicable||[]).find(b=>b.id===this.meta.id))return{score:null,notApplicable:!0};let a=e.Accessibility.incomplete||[],o=a.find(b=>b.id===this.meta.id);if(o?.error)return{score:null,errorMessage:`axe-core Error: ${o.error.message||"Unknown error"}`};let i=this.meta.scoreDisplayMode===h.SCORING_MODES.INFORMATIVE,c=e.Accessibility.violations||[],l=(i?c.concat(a):c).find(b=>b.id===this.meta.id),m=l?.impact,p=l?.tags;if(i&&!l)return{score:null,notApplicable:!0};let g=[];l?.nodes&&(g=l.nodes.map(b=>({node:{...h.makeNodeItem(b.node),explanation:b.failureSummary},subItems:b.relatedNodes.length?{type:"subitems",items:b.relatedNodes.map(D=>({relatedNode:h.makeNodeItem(D)}))}:void 0})));let f=[{key:"node",valueType:"node",subItemsHeading:{key:"relatedNode",valueType:"node"},label:PZ(fN.failingElementsHeader)}],y;return(m||p)&&(y={type:"debugdata",impact:m,tags:p}),{score:+(l===void 0),details:{...h.makeTableDetails(f,g),debugData:y}}}},U=uv});var gN={};S(gN,{UIStrings:()=>Gu,default:()=>OZ});var Gu,lv,dv,OZ,hN=v(()=>{"use strict";d();ue();k();Gu={title:"`[accesskey]` values are unique",failureTitle:"`[accesskey]` values are not unique",description:"Access keys let users quickly focus a part of the page. For proper navigation, each access key must be unique. [Learn more about access keys](https://dequeuniversity.com/rules/axe/4.7/accesskeys)."},lv=w("core/audits/accessibility/accesskeys.js",Gu),dv=class extends U{static{s(this,"Accesskeys")}static get meta(){return{id:"accesskeys",title:lv(Gu.title),failureTitle:lv(Gu.failureTitle),description:lv(Gu.description),requiredArtifacts:["Accessibility"]}}},OZ=dv});var yN={};S(yN,{UIStrings:()=>Wu,default:()=>UZ});var Wu,mv,pv,UZ,vN=v(()=>{"use strict";d();ue();k();Wu={title:"`[aria-*]` attributes match their roles",failureTitle:"`[aria-*]` attributes do not match their roles",description:"Each ARIA `role` supports a specific subset of `aria-*` attributes. Mismatching these invalidates the `aria-*` attributes. [Learn how to match ARIA attributes to their roles](https://dequeuniversity.com/rules/axe/4.7/aria-allowed-attr)."},mv=w("core/audits/accessibility/aria-allowed-attr.js",Wu),pv=class extends U{static{s(this,"ARIAAllowedAttr")}static get meta(){return{id:"aria-allowed-attr",title:mv(Wu.title),failureTitle:mv(Wu.failureTitle),description:mv(Wu.description),requiredArtifacts:["Accessibility"]}}},UZ=pv});var bN={};S(bN,{UIStrings:()=>Vu,default:()=>BZ});var Vu,fv,gv,BZ,wN=v(()=>{"use strict";d();ue();k();Vu={title:'Values assigned to `role=""` are valid ARIA roles.',failureTitle:'Values assigned to `role=""` are not valid ARIA roles.',description:"ARIA `role`s enable assistive technologies to know the role of each element on the web page. If the `role` values are misspelled, not existing ARIA `role` values, or abstract roles, then the purpose of the element will not be communicated to users of assistive technologies. [Learn more about ARIA roles](https://dequeuniversity.com/rules/axe/4.7/aria-allowed-roles)."},fv=w("core/audits/accessibility/aria-allowed-role.js",Vu),gv=class extends U{static{s(this,"ARIAAllowedRole")}static get meta(){return{id:"aria-allowed-role",title:fv(Vu.title),failureTitle:fv(Vu.failureTitle),description:fv(Vu.description),requiredArtifacts:["Accessibility"]}}},BZ=gv});var DN={};S(DN,{UIStrings:()=>$u,default:()=>jZ});var $u,hv,yv,jZ,EN=v(()=>{"use strict";d();ue();k();$u={title:"`button`, `link`, and `menuitem` elements have accessible names",failureTitle:"`button`, `link`, and `menuitem` elements do not have accessible names.",description:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn how to make command elements more accessible](https://dequeuniversity.com/rules/axe/4.7/aria-command-name)."},hv=w("core/audits/accessibility/aria-command-name.js",$u),yv=class extends U{static{s(this,"AriaCommandName")}static get meta(){return{id:"aria-command-name",title:hv($u.title),failureTitle:hv($u.failureTitle),description:hv($u.description),requiredArtifacts:["Accessibility"]}}},jZ=yv});var TN={};S(TN,{UIStrings:()=>Yu,default:()=>qZ});var Yu,vv,bv,qZ,SN=v(()=>{"use strict";d();ue();k();Yu={title:'Elements with `role="dialog"` or `role="alertdialog"` have accessible names.',failureTitle:'Elements with `role="dialog"` or `role="alertdialog"` do not have accessible names.',description:"ARIA dialog elements without accessible names may prevent screen readers users from discerning the purpose of these elements. [Learn how to make ARIA dialog elements more accessible](https://dequeuniversity.com/rules/axe/4.7/aria-dialog-name)."},vv=w("core/audits/accessibility/aria-dialog-name.js",Yu),bv=class extends U{static{s(this,"AriaDialogName")}static get meta(){return{id:"aria-dialog-name",title:vv(Yu.title),failureTitle:vv(Yu.failureTitle),description:vv(Yu.description),requiredArtifacts:["Accessibility"]}}},qZ=bv});var xN={};S(xN,{UIStrings:()=>Ku,default:()=>zZ});var Ku,wv,Dv,zZ,CN=v(()=>{"use strict";d();ue();k();Ku={title:'`[aria-hidden="true"]` is not present on the document `<body>`',failureTitle:'`[aria-hidden="true"]` is present on the document `<body>`',description:'Assistive technologies, like screen readers, work inconsistently when `aria-hidden="true"` is set on the document `<body>`. [Learn how `aria-hidden` affects the document body](https://dequeuniversity.com/rules/axe/4.7/aria-hidden-body).'},wv=w("core/audits/accessibility/aria-hidden-body.js",Ku),Dv=class extends U{static{s(this,"AriaHiddenBody")}static get meta(){return{id:"aria-hidden-body",title:wv(Ku.title),failureTitle:wv(Ku.failureTitle),description:wv(Ku.description),requiredArtifacts:["Accessibility"]}}},zZ=Dv});var AN={};S(AN,{UIStrings:()=>Ju,default:()=>HZ});var Ju,Ev,Tv,HZ,FN=v(()=>{"use strict";d();ue();k();Ju={title:'`[aria-hidden="true"]` elements do not contain focusable descendents',failureTitle:'`[aria-hidden="true"]` elements contain focusable descendents',description:'Focusable descendents within an `[aria-hidden="true"]` element prevent those interactive elements from being available to users of assistive technologies like screen readers. [Learn how `aria-hidden` affects focusable elements](https://dequeuniversity.com/rules/axe/4.7/aria-hidden-focus).'},Ev=w("core/audits/accessibility/aria-hidden-focus.js",Ju),Tv=class extends U{static{s(this,"AriaHiddenFocus")}static get meta(){return{id:"aria-hidden-focus",title:Ev(Ju.title),failureTitle:Ev(Ju.failureTitle),description:Ev(Ju.description),requiredArtifacts:["Accessibility"]}}},HZ=Tv});var RN={};S(RN,{UIStrings:()=>Xu,default:()=>GZ});var Xu,Sv,xv,GZ,_N=v(()=>{"use strict";d();ue();k();Xu={title:"ARIA input fields have accessible names",failureTitle:"ARIA input fields do not have accessible names",description:"When an input field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more about input field labels](https://dequeuniversity.com/rules/axe/4.7/aria-input-field-name)."},Sv=w("core/audits/accessibility/aria-input-field-name.js",Xu),xv=class extends U{static{s(this,"AriaInputFieldName")}static get meta(){return{id:"aria-input-field-name",title:Sv(Xu.title),failureTitle:Sv(Xu.failureTitle),description:Sv(Xu.description),requiredArtifacts:["Accessibility"]}}},GZ=xv});var kN={};S(kN,{UIStrings:()=>Zu,default:()=>WZ});var Zu,Cv,Av,WZ,IN=v(()=>{"use strict";d();ue();k();Zu={title:"ARIA `meter` elements have accessible names",failureTitle:"ARIA `meter` elements do not have accessible names.",description:"When a meter element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn how to name `meter` elements](https://dequeuniversity.com/rules/axe/4.7/aria-meter-name)."},Cv=w("core/audits/accessibility/aria-meter-name.js",Zu),Av=class extends U{static{s(this,"AriaMeterName")}static get meta(){return{id:"aria-meter-name",title:Cv(Zu.title),failureTitle:Cv(Zu.failureTitle),description:Cv(Zu.description),requiredArtifacts:["Accessibility"]}}},WZ=Av});var MN={};S(MN,{UIStrings:()=>Qu,default:()=>VZ});var Qu,Fv,Rv,VZ,NN=v(()=>{"use strict";d();ue();k();Qu={title:"ARIA `progressbar` elements have accessible names",failureTitle:"ARIA `progressbar` elements do not have accessible names.",description:"When a `progressbar` element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn how to label `progressbar` elements](https://dequeuniversity.com/rules/axe/4.7/aria-progressbar-name)."},Fv=w("core/audits/accessibility/aria-progressbar-name.js",Qu),Rv=class extends U{static{s(this,"AriaProgressbarName")}static get meta(){return{id:"aria-progressbar-name",title:Fv(Qu.title),failureTitle:Fv(Qu.failureTitle),description:Fv(Qu.description),requiredArtifacts:["Accessibility"]}}},VZ=Rv});var LN={};S(LN,{UIStrings:()=>el,default:()=>$Z});var el,_v,kv,$Z,PN=v(()=>{"use strict";d();ue();k();el={title:"`[role]`s have all required `[aria-*]` attributes",failureTitle:"`[role]`s do not have all required `[aria-*]` attributes",description:"Some ARIA roles have required attributes that describe the state of the element to screen readers. [Learn more about roles and required attributes](https://dequeuniversity.com/rules/axe/4.7/aria-required-attr)."},_v=w("core/audits/accessibility/aria-required-attr.js",el),kv=class extends U{static{s(this,"ARIARequiredAttr")}static get meta(){return{id:"aria-required-attr",title:_v(el.title),failureTitle:_v(el.failureTitle),description:_v(el.description),requiredArtifacts:["Accessibility"]}}},$Z=kv});var ON={};S(ON,{UIStrings:()=>tl,default:()=>YZ});var tl,Iv,Mv,YZ,UN=v(()=>{"use strict";d();ue();k();tl={title:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` have all required children.",failureTitle:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` are missing some or all of those required children.",description:"Some ARIA parent roles must contain specific child roles to perform their intended accessibility functions. [Learn more about roles and required children elements](https://dequeuniversity.com/rules/axe/4.7/aria-required-children)."},Iv=w("core/audits/accessibility/aria-required-children.js",tl),Mv=class extends U{static{s(this,"AriaRequiredChildren")}static get meta(){return{id:"aria-required-children",title:Iv(tl.title),failureTitle:Iv(tl.failureTitle),description:Iv(tl.description),requiredArtifacts:["Accessibility"]}}},YZ=Mv});var BN={};S(BN,{UIStrings:()=>nl,default:()=>KZ});var nl,Nv,Lv,KZ,jN=v(()=>{"use strict";d();ue();k();nl={title:"`[role]`s are contained by their required parent element",failureTitle:"`[role]`s are not contained by their required parent element",description:"Some ARIA child roles must be contained by specific parent roles to properly perform their intended accessibility functions. [Learn more about ARIA roles and required parent element](https://dequeuniversity.com/rules/axe/4.7/aria-required-parent)."},Nv=w("core/audits/accessibility/aria-required-parent.js",nl),Lv=class extends U{static{s(this,"AriaRequiredParent")}static get meta(){return{id:"aria-required-parent",title:Nv(nl.title),failureTitle:Nv(nl.failureTitle),description:Nv(nl.description),requiredArtifacts:["Accessibility"]}}},KZ=Lv});var qN={};S(qN,{UIStrings:()=>rl,default:()=>JZ});var rl,Pv,Ov,JZ,zN=v(()=>{"use strict";d();ue();k();rl={title:"`[role]` values are valid",failureTitle:"`[role]` values are not valid",description:"ARIA roles must have valid values in order to perform their intended accessibility functions. [Learn more about valid ARIA roles](https://dequeuniversity.com/rules/axe/4.7/aria-roles)."},Pv=w("core/audits/accessibility/aria-roles.js",rl),Ov=class extends U{static{s(this,"AriaRoles")}static get meta(){return{id:"aria-roles",title:Pv(rl.title),failureTitle:Pv(rl.failureTitle),description:Pv(rl.description),requiredArtifacts:["Accessibility"]}}},JZ=Ov});var HN={};S(HN,{UIStrings:()=>al,default:()=>XZ});var al,Uv,Bv,XZ,GN=v(()=>{"use strict";d();ue();k();al={title:"Elements with the `role=text` attribute do not have focusable descendents.",failureTitle:"Elements with the `role=text` attribute do have focusable descendents.",description:"Adding `role=text` around a text node split by markup enables VoiceOver to treat it as one phrase, but the element's focusable descendents will not be announced. [Learn more about the `role=text` attribute](https://dequeuniversity.com/rules/axe/4.7/aria-text)."},Uv=w("core/audits/accessibility/aria-text.js",al),Bv=class extends U{static{s(this,"AriaText")}static get meta(){return{id:"aria-text",title:Uv(al.title),failureTitle:Uv(al.failureTitle),description:Uv(al.description),requiredArtifacts:["Accessibility"]}}},XZ=Bv});var WN={};S(WN,{UIStrings:()=>ol,default:()=>ZZ});var ol,jv,qv,ZZ,VN=v(()=>{"use strict";d();ue();k();ol={title:"ARIA toggle fields have accessible names",failureTitle:"ARIA toggle fields do not have accessible names",description:"When a toggle field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more about toggle fields](https://dequeuniversity.com/rules/axe/4.7/aria-toggle-field-name)."},jv=w("core/audits/accessibility/aria-toggle-field-name.js",ol),qv=class extends U{static{s(this,"AriaToggleFieldName")}static get meta(){return{id:"aria-toggle-field-name",title:jv(ol.title),failureTitle:jv(ol.failureTitle),description:jv(ol.description),requiredArtifacts:["Accessibility"]}}},ZZ=qv});var $N={};S($N,{UIStrings:()=>il,default:()=>QZ});var il,zv,Hv,QZ,YN=v(()=>{"use strict";d();ue();k();il={title:"ARIA `tooltip` elements have accessible names",failureTitle:"ARIA `tooltip` elements do not have accessible names.",description:"When a tooltip element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn how to name `tooltip` elements](https://dequeuniversity.com/rules/axe/4.7/aria-tooltip-name)."},zv=w("core/audits/accessibility/aria-tooltip-name.js",il),Hv=class extends U{static{s(this,"AriaTooltipName")}static get meta(){return{id:"aria-tooltip-name",title:zv(il.title),failureTitle:zv(il.failureTitle),description:zv(il.description),requiredArtifacts:["Accessibility"]}}},QZ=Hv});var KN={};S(KN,{UIStrings:()=>sl,default:()=>eQ});var sl,Gv,Wv,eQ,JN=v(()=>{"use strict";d();ue();k();sl={title:"ARIA `treeitem` elements have accessible names",failureTitle:"ARIA `treeitem` elements do not have accessible names.",description:"When a `treeitem` element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more about labeling `treeitem` elements](https://dequeuniversity.com/rules/axe/4.7/aria-treeitem-name)."},Gv=w("core/audits/accessibility/aria-treeitem-name.js",sl),Wv=class extends U{static{s(this,"AriaTreeitemName")}static get meta(){return{id:"aria-treeitem-name",title:Gv(sl.title),failureTitle:Gv(sl.failureTitle),description:Gv(sl.description),requiredArtifacts:["Accessibility"]}}},eQ=Wv});var XN={};S(XN,{UIStrings:()=>cl,default:()=>tQ});var cl,Vv,$v,tQ,ZN=v(()=>{"use strict";d();ue();k();cl={title:"`[aria-*]` attributes have valid values",failureTitle:"`[aria-*]` attributes do not have valid values",description:"Assistive technologies, like screen readers, can't interpret ARIA attributes with invalid values. [Learn more about valid values for ARIA attributes](https://dequeuniversity.com/rules/axe/4.7/aria-valid-attr-value)."},Vv=w("core/audits/accessibility/aria-valid-attr-value.js",cl),$v=class extends U{static{s(this,"ARIAValidAttr")}static get meta(){return{id:"aria-valid-attr-value",title:Vv(cl.title),failureTitle:Vv(cl.failureTitle),description:Vv(cl.description),requiredArtifacts:["Accessibility"]}}},tQ=$v});var QN={};S(QN,{UIStrings:()=>ul,default:()=>nQ});var ul,Yv,Kv,nQ,e3=v(()=>{"use strict";d();ue();k();ul={title:"`[aria-*]` attributes are valid and not misspelled",failureTitle:"`[aria-*]` attributes are not valid or misspelled",description:"Assistive technologies, like screen readers, can't interpret ARIA attributes with invalid names. [Learn more about valid ARIA attributes](https://dequeuniversity.com/rules/axe/4.7/aria-valid-attr)."},Yv=w("core/audits/accessibility/aria-valid-attr.js",ul),Kv=class extends U{static{s(this,"ARIAValidAttr")}static get meta(){return{id:"aria-valid-attr",title:Yv(ul.title),failureTitle:Yv(ul.failureTitle),description:Yv(ul.description),requiredArtifacts:["Accessibility"]}}},nQ=Kv});var t3={};S(t3,{UIStrings:()=>ll,default:()=>rQ});var ll,Jv,Xv,rQ,n3=v(()=>{"use strict";d();ue();k();ll={title:"Buttons have an accessible name",failureTitle:"Buttons do not have an accessible name",description:`When a button doesn't have an accessible name, screen readers announce it as "button", making it unusable for users who rely on screen readers. [Learn how to make buttons more accessible](https://dequeuniversity.com/rules/axe/4.7/button-name).`},Jv=w("core/audits/accessibility/button-name.js",ll),Xv=class extends U{static{s(this,"ButtonName")}static get meta(){return{id:"button-name",title:Jv(ll.title),failureTitle:Jv(ll.failureTitle),description:Jv(ll.description),requiredArtifacts:["Accessibility"]}}},rQ=Xv});var r3={};S(r3,{UIStrings:()=>dl,default:()=>aQ});var dl,Zv,Qv,aQ,a3=v(()=>{"use strict";d();ue();k();dl={title:"The page contains a heading, skip link, or landmark region",failureTitle:"The page does not contain a heading, skip link, or landmark region",description:"Adding ways to bypass repetitive content lets keyboard users navigate the page more efficiently. [Learn more about bypass blocks](https://dequeuniversity.com/rules/axe/4.7/bypass)."},Zv=w("core/audits/accessibility/bypass.js",dl),Qv=class extends U{static{s(this,"Bypass")}static get meta(){return{id:"bypass",title:Zv(dl.title),failureTitle:Zv(dl.failureTitle),description:Zv(dl.description),scoreDisplayMode:U.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},aQ=Qv});var o3={};S(o3,{UIStrings:()=>ml,default:()=>oQ});var ml,eb,tb,oQ,i3=v(()=>{"use strict";d();ue();k();ml={title:"Background and foreground colors have a sufficient contrast ratio",failureTitle:"Background and foreground colors do not have a sufficient contrast ratio.",description:"Low-contrast text is difficult or impossible for many users to read. [Learn how to provide sufficient color contrast](https://dequeuniversity.com/rules/axe/4.7/color-contrast)."},eb=w("core/audits/accessibility/color-contrast.js",ml),tb=class extends U{static{s(this,"ColorContrast")}static get meta(){return{id:"color-contrast",title:eb(ml.title),failureTitle:eb(ml.failureTitle),description:eb(ml.description),requiredArtifacts:["Accessibility"]}}},oQ=tb});var s3={};S(s3,{UIStrings:()=>pl,default:()=>iQ});var pl,nb,rb,iQ,c3=v(()=>{"use strict";d();ue();k();pl={title:"`<dl>`'s contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements.",failureTitle:"`<dl>`'s do not contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements.",description:"When definition lists are not properly marked up, screen readers may produce confusing or inaccurate output. [Learn how to structure definition lists correctly](https://dequeuniversity.com/rules/axe/4.7/definition-list)."},nb=w("core/audits/accessibility/definition-list.js",pl),rb=class extends U{static{s(this,"DefinitionList")}static get meta(){return{id:"definition-list",title:nb(pl.title),failureTitle:nb(pl.failureTitle),description:nb(pl.description),requiredArtifacts:["Accessibility"]}}},iQ=rb});var u3={};S(u3,{UIStrings:()=>fl,default:()=>sQ});var fl,ab,ob,sQ,l3=v(()=>{"use strict";d();ue();k();fl={title:"Definition list items are wrapped in `<dl>` elements",failureTitle:"Definition list items are not wrapped in `<dl>` elements",description:"Definition list items (`<dt>` and `<dd>`) must be wrapped in a parent `<dl>` element to ensure that screen readers can properly announce them. [Learn how to structure definition lists correctly](https://dequeuniversity.com/rules/axe/4.7/dlitem)."},ab=w("core/audits/accessibility/dlitem.js",fl),ob=class extends U{static{s(this,"DLItem")}static get meta(){return{id:"dlitem",title:ab(fl.title),failureTitle:ab(fl.failureTitle),description:ab(fl.description),requiredArtifacts:["Accessibility"]}}},sQ=ob});var d3={};S(d3,{UIStrings:()=>gl,default:()=>cQ});var gl,ib,sb,cQ,m3=v(()=>{"use strict";d();ue();k();gl={title:"Document has a `<title>` element",failureTitle:"Document doesn't have a `<title>` element",description:"The title gives screen reader users an overview of the page, and search engine users rely on it heavily to determine if a page is relevant to their search. [Learn more about document titles](https://dequeuniversity.com/rules/axe/4.7/document-title)."},ib=w("core/audits/accessibility/document-title.js",gl),sb=class extends U{static{s(this,"DocumentTitle")}static get meta(){return{id:"document-title",title:ib(gl.title),failureTitle:ib(gl.failureTitle),description:ib(gl.description),requiredArtifacts:["Accessibility"]}}},cQ=sb});var p3={};S(p3,{UIStrings:()=>hl,default:()=>uQ});var hl,cb,ub,uQ,f3=v(()=>{"use strict";d();ue();k();hl={title:"`[id]` attributes on active, focusable elements are unique",failureTitle:"`[id]` attributes on active, focusable elements are not unique",description:"All focusable elements must have a unique `id` to ensure that they're visible to assistive technologies. [Learn how to fix duplicate `id`s](https://dequeuniversity.com/rules/axe/4.7/duplicate-id-active)."},cb=w("core/audits/accessibility/duplicate-id-active.js",hl),ub=class extends U{static{s(this,"DuplicateIdActive")}static get meta(){return{id:"duplicate-id-active",title:cb(hl.title),failureTitle:cb(hl.failureTitle),description:cb(hl.description),requiredArtifacts:["Accessibility"]}}},uQ=ub});var g3={};S(g3,{UIStrings:()=>yl,default:()=>lQ});var yl,lb,db,lQ,h3=v(()=>{"use strict";d();ue();k();yl={title:"ARIA IDs are unique",failureTitle:"ARIA IDs are not unique",description:"The value of an ARIA ID must be unique to prevent other instances from being overlooked by assistive technologies. [Learn how to fix duplicate ARIA IDs](https://dequeuniversity.com/rules/axe/4.7/duplicate-id-aria)."},lb=w("core/audits/accessibility/duplicate-id-aria.js",yl),db=class extends U{static{s(this,"DuplicateIdAria")}static get meta(){return{id:"duplicate-id-aria",title:lb(yl.title),failureTitle:lb(yl.failureTitle),description:lb(yl.description),requiredArtifacts:["Accessibility"]}}},lQ=db});var y3={};S(y3,{UIStrings:()=>vl,default:()=>dQ});var vl,mb,pb,dQ,v3=v(()=>{"use strict";d();ue();k();vl={title:"All heading elements contain content.",failureTitle:"Heading elements do not contain content.",description:"A heading with no content or inaccessible text prevent screen reader users from accessing information on the page's structure. [Learn more about headings](https://dequeuniversity.com/rules/axe/4.7/empty-heading)."},mb=w("core/audits/accessibility/empty-heading.js",vl),pb=class extends U{static{s(this,"EmptyHeading")}static get meta(){return{id:"empty-heading",title:mb(vl.title),failureTitle:mb(vl.failureTitle),description:mb(vl.description),scoreDisplayMode:U.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},dQ=pb});var b3={};S(b3,{UIStrings:()=>bl,default:()=>mQ});var bl,fb,gb,mQ,w3=v(()=>{"use strict";d();ue();k();bl={title:"No form fields have multiple labels",failureTitle:"Form fields have multiple labels",description:"Form fields with multiple labels can be confusingly announced by assistive technologies like screen readers which use either the first, the last, or all of the labels. [Learn how to use form labels](https://dequeuniversity.com/rules/axe/4.7/form-field-multiple-labels)."},fb=w("core/audits/accessibility/form-field-multiple-labels.js",bl),gb=class extends U{static{s(this,"FormFieldMultipleLabels")}static get meta(){return{id:"form-field-multiple-labels",title:fb(bl.title),failureTitle:fb(bl.failureTitle),description:fb(bl.description),scoreDisplayMode:U.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},mQ=gb});var D3={};S(D3,{UIStrings:()=>wl,default:()=>pQ});var wl,hb,yb,pQ,E3=v(()=>{"use strict";d();ue();k();wl={title:"`<frame>` or `<iframe>` elements have a title",failureTitle:"`<frame>` or `<iframe>` elements do not have a title",description:"Screen reader users rely on frame titles to describe the contents of frames. [Learn more about frame titles](https://dequeuniversity.com/rules/axe/4.7/frame-title)."},hb=w("core/audits/accessibility/frame-title.js",wl),yb=class extends U{static{s(this,"FrameTitle")}static get meta(){return{id:"frame-title",title:hb(wl.title),failureTitle:hb(wl.failureTitle),description:hb(wl.description),requiredArtifacts:["Accessibility"]}}},pQ=yb});var T3={};S(T3,{UIStrings:()=>Dl,default:()=>fQ});var Dl,vb,bb,fQ,S3=v(()=>{"use strict";d();ue();k();Dl={title:"Heading elements appear in a sequentially-descending order",failureTitle:"Heading elements are not in a sequentially-descending order",description:"Properly ordered headings that do not skip levels convey the semantic structure of the page, making it easier to navigate and understand when using assistive technologies. [Learn more about heading order](https://dequeuniversity.com/rules/axe/4.7/heading-order)."},vb=w("core/audits/accessibility/heading-order.js",Dl),bb=class extends U{static{s(this,"HeadingOrder")}static get meta(){return{id:"heading-order",title:vb(Dl.title),failureTitle:vb(Dl.failureTitle),description:vb(Dl.description),requiredArtifacts:["Accessibility"]}}},fQ=bb});var x3={};S(x3,{UIStrings:()=>El,default:()=>gQ});var El,wb,Db,gQ,C3=v(()=>{"use strict";d();ue();k();El={title:"`<html>` element has a `[lang]` attribute",failureTitle:"`<html>` element does not have a `[lang]` attribute",description:"If a page doesn't specify a `lang` attribute, a screen reader assumes that the page is in the default language that the user chose when setting up the screen reader. If the page isn't actually in the default language, then the screen reader might not announce the page's text correctly. [Learn more about the `lang` attribute](https://dequeuniversity.com/rules/axe/4.7/html-has-lang)."},wb=w("core/audits/accessibility/html-has-lang.js",El),Db=class extends U{static{s(this,"HTMLHasLang")}static get meta(){return{id:"html-has-lang",title:wb(El.title),failureTitle:wb(El.failureTitle),description:wb(El.description),requiredArtifacts:["Accessibility"]}}},gQ=Db});var A3={};S(A3,{UIStrings:()=>Tl,default:()=>hQ});var Tl,Eb,Tb,hQ,F3=v(()=>{"use strict";d();ue();k();Tl={title:"`<html>` element has a valid value for its `[lang]` attribute",failureTitle:"`<html>` element does not have a valid value for its `[lang]` attribute.",description:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) helps screen readers announce text properly. [Learn how to use the `lang` attribute](https://dequeuniversity.com/rules/axe/4.7/html-lang-valid)."},Eb=w("core/audits/accessibility/html-lang-valid.js",Tl),Tb=class extends U{static{s(this,"HTMLLangValid")}static get meta(){return{id:"html-lang-valid",title:Eb(Tl.title),failureTitle:Eb(Tl.failureTitle),description:Eb(Tl.description),requiredArtifacts:["Accessibility"]}}},hQ=Tb});var R3={};S(R3,{UIStrings:()=>Sl,default:()=>yQ});var Sl,Sb,xb,yQ,_3=v(()=>{"use strict";d();ue();k();Sl={title:"`<html>` element has an `[xml:lang]` attribute with the same base language as the `[lang]` attribute.",failureTitle:"`<html>` element does not have an `[xml:lang]` attribute with the same base language as the `[lang]` attribute.",description:"If the webpage does not specify a consistent language, then the screen reader might not announce the page's text correctly. [Learn more about the `lang` attribute](https://dequeuniversity.com/rules/axe/4.7/html-xml-lang-mismatch)."},Sb=w("core/audits/accessibility/html-xml-lang-mismatch.js",Sl),xb=class extends U{static{s(this,"HTMLXMLLangMismatch")}static get meta(){return{id:"html-xml-lang-mismatch",title:Sb(Sl.title),failureTitle:Sb(Sl.failureTitle),description:Sb(Sl.description),requiredArtifacts:["Accessibility"]}}},yQ=xb});var k3={};S(k3,{UIStrings:()=>xl,default:()=>vQ});var xl,Cb,Ab,vQ,I3=v(()=>{"use strict";d();ue();k();xl={title:"Identical links have the same purpose.",failureTitle:"Identical links do not have the same purpose.",description:"Links with the same destination should have the same description, to help users understand the link's purpose and decide whether to follow it. [Learn more about identical links](https://dequeuniversity.com/rules/axe/4.7/identical-links-same-purpose)."},Cb=w("core/audits/accessibility/identical-links-same-purpose.js",xl),Ab=class extends U{static{s(this,"IdenticalLinksSamePurpose")}static get meta(){return{id:"identical-links-same-purpose",title:Cb(xl.title),failureTitle:Cb(xl.failureTitle),description:Cb(xl.description),scoreDisplayMode:U.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},vQ=Ab});var M3={};S(M3,{UIStrings:()=>Cl,default:()=>bQ});var Cl,Fb,Rb,bQ,N3=v(()=>{"use strict";d();ue();k();Cl={title:"Image elements have `[alt]` attributes",failureTitle:"Image elements do not have `[alt]` attributes",description:"Informative elements should aim for short, descriptive alternate text. Decorative elements can be ignored with an empty alt attribute. [Learn more about the `alt` attribute](https://dequeuniversity.com/rules/axe/4.7/image-alt)."},Fb=w("core/audits/accessibility/image-alt.js",Cl),Rb=class extends U{static{s(this,"ImageAlt")}static get meta(){return{id:"image-alt",title:Fb(Cl.title),failureTitle:Fb(Cl.failureTitle),description:Fb(Cl.description),requiredArtifacts:["Accessibility"]}}},bQ=Rb});var L3={};S(L3,{UIStrings:()=>Al,default:()=>wQ});var Al,_b,kb,wQ,P3=v(()=>{"use strict";d();ue();k();Al={title:"Image elements do not have `[alt]` attributes that are redundant text.",failureTitle:"Image elements have `[alt]` attributes that are redundant text.",description:"Informative elements should aim for short, descriptive alternative text. Alternative text that is exactly the same as the text adjacent to the link or image is potentially confusing for screen reader users, because the text will be read twice. [Learn more about the `alt` attribute](https://dequeuniversity.com/rules/axe/4.7/image-redundant-alt)."},_b=w("core/audits/accessibility/image-redundant-alt.js",Al),kb=class extends U{static{s(this,"ImageRedundantAlt")}static get meta(){return{id:"image-redundant-alt",title:_b(Al.title),failureTitle:_b(Al.failureTitle),description:_b(Al.description),requiredArtifacts:["Accessibility"]}}},wQ=kb});var O3={};S(O3,{UIStrings:()=>Fl,default:()=>DQ});var Fl,Ib,Mb,DQ,U3=v(()=>{"use strict";d();ue();k();Fl={title:"Input buttons have discernible text.",failureTitle:"Input buttons do not have discernible text.",description:"Adding discernable and accessible text to input buttons may help screen reader users understand the purpose of the input button. [Learn more about input buttons](https://dequeuniversity.com/rules/axe/4.7/input-button-name)."},Ib=w("core/audits/accessibility/input-button-name.js",Fl),Mb=class extends U{static{s(this,"InputButtonName")}static get meta(){return{id:"input-button-name",title:Ib(Fl.title),failureTitle:Ib(Fl.failureTitle),description:Ib(Fl.description),requiredArtifacts:["Accessibility"]}}},DQ=Mb});var B3={};S(B3,{UIStrings:()=>Rl,default:()=>EQ});var Rl,Nb,Lb,EQ,j3=v(()=>{"use strict";d();ue();k();Rl={title:'`<input type="image">` elements have `[alt]` text',failureTitle:'`<input type="image">` elements do not have `[alt]` text',description:"When an image is being used as an `<input>` button, providing alternative text can help screen reader users understand the purpose of the button. [Learn about input image alt text](https://dequeuniversity.com/rules/axe/4.7/input-image-alt)."},Nb=w("core/audits/accessibility/input-image-alt.js",Rl),Lb=class extends U{static{s(this,"InputImageAlt")}static get meta(){return{id:"input-image-alt",title:Nb(Rl.title),failureTitle:Nb(Rl.failureTitle),description:Nb(Rl.description),requiredArtifacts:["Accessibility"]}}},EQ=Lb});var q3={};S(q3,{UIStrings:()=>_l,default:()=>TQ});var _l,Pb,Ob,TQ,z3=v(()=>{"use strict";d();ue();k();_l={title:"Elements with visible text labels have matching accessible names.",failureTitle:"Elements with visible text labels do not have matching accessible names.",description:"Visible text labels that do not match the accessible name can result in a confusing experience for screen reader users. [Learn more about accessible names](https://dequeuniversity.com/rules/axe/4.7/label-content-name-mismatch)."},Pb=w("core/audits/accessibility/label-content-name-mismatch.js",_l),Ob=class extends U{static{s(this,"LabelContentNameMismatch")}static get meta(){return{id:"label-content-name-mismatch",title:Pb(_l.title),failureTitle:Pb(_l.failureTitle),description:Pb(_l.description),requiredArtifacts:["Accessibility"]}}},TQ=Ob});var H3={};S(H3,{UIStrings:()=>kl,default:()=>SQ});var kl,Ub,Bb,SQ,G3=v(()=>{"use strict";d();ue();k();kl={title:"Form elements have associated labels",failureTitle:"Form elements do not have associated labels",description:"Labels ensure that form controls are announced properly by assistive technologies, like screen readers. [Learn more about form element labels](https://dequeuniversity.com/rules/axe/4.7/label)."},Ub=w("core/audits/accessibility/label.js",kl),Bb=class extends U{static{s(this,"Label")}static get meta(){return{id:"label",title:Ub(kl.title),failureTitle:Ub(kl.failureTitle),description:Ub(kl.description),requiredArtifacts:["Accessibility"]}}},SQ=Bb});var W3={};S(W3,{UIStrings:()=>Il,default:()=>xQ});var Il,jb,qb,xQ,V3=v(()=>{"use strict";d();ue();k();Il={title:"Document has a main landmark.",failureTitle:"Document does not have a main landmark.",description:"One main landmark helps screen reader users navigate a web page. [Learn more about landmarks](https://dequeuniversity.com/rules/axe/4.7/landmark-one-main)."},jb=w("core/audits/accessibility/landmark-one-main.js",Il),qb=class extends U{static{s(this,"LandmarkOneMain")}static get meta(){return{id:"landmark-one-main",title:jb(Il.title),failureTitle:jb(Il.failureTitle),description:jb(Il.description),scoreDisplayMode:U.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},xQ=qb});var $3={};S($3,{UIStrings:()=>Ml,default:()=>CQ});var Ml,zb,Hb,CQ,Y3=v(()=>{"use strict";d();ue();k();Ml={title:"Links are distinguishable without relying on color.",failureTitle:"Links rely on color to be distinguishable.",description:"Low-contrast text is difficult or impossible for many users to read. Link text that is discernible improves the experience for users with low vision. [Learn how to make links distinguishable](https://dequeuniversity.com/rules/axe/4.7/link-in-text-block)."},zb=w("core/audits/accessibility/link-in-text-block.js",Ml),Hb=class extends U{static{s(this,"LinkInTextBlock")}static get meta(){return{id:"link-in-text-block",title:zb(Ml.title),failureTitle:zb(Ml.failureTitle),description:zb(Ml.description),requiredArtifacts:["Accessibility"]}}},CQ=Hb});var K3={};S(K3,{UIStrings:()=>Nl,default:()=>AQ});var Nl,Gb,Wb,AQ,J3=v(()=>{"use strict";d();ue();k();Nl={title:"Links have a discernible name",failureTitle:"Links do not have a discernible name",description:"Link text (and alternate text for images, when used as links) that is discernible, unique, and focusable improves the navigation experience for screen reader users. [Learn how to make links accessible](https://dequeuniversity.com/rules/axe/4.7/link-name)."},Gb=w("core/audits/accessibility/link-name.js",Nl),Wb=class extends U{static{s(this,"LinkName")}static get meta(){return{id:"link-name",title:Gb(Nl.title),failureTitle:Gb(Nl.failureTitle),description:Gb(Nl.description),requiredArtifacts:["Accessibility"]}}},AQ=Wb});var X3={};S(X3,{UIStrings:()=>Ll,default:()=>FQ});var Ll,Vb,$b,FQ,Z3=v(()=>{"use strict";d();ue();k();Ll={title:"Lists contain only `<li>` elements and script supporting elements (`<script>` and `<template>`).",failureTitle:"Lists do not contain only `<li>` elements and script supporting elements (`<script>` and `<template>`).",description:"Screen readers have a specific way of announcing lists. Ensuring proper list structure aids screen reader output. [Learn more about proper list structure](https://dequeuniversity.com/rules/axe/4.7/list)."},Vb=w("core/audits/accessibility/list.js",Ll),$b=class extends U{static{s(this,"List")}static get meta(){return{id:"list",title:Vb(Ll.title),failureTitle:Vb(Ll.failureTitle),description:Vb(Ll.description),requiredArtifacts:["Accessibility"]}}},FQ=$b});var Q3={};S(Q3,{UIStrings:()=>Pl,default:()=>RQ});var Pl,Yb,Kb,RQ,eL=v(()=>{"use strict";d();ue();k();Pl={title:"List items (`<li>`) are contained within `<ul>`, `<ol>` or `<menu>` parent elements",failureTitle:"List items (`<li>`) are not contained within `<ul>`, `<ol>` or `<menu>` parent elements.",description:"Screen readers require list items (`<li>`) to be contained within a parent `<ul>`, `<ol>` or `<menu>` to be announced properly. [Learn more about proper list structure](https://dequeuniversity.com/rules/axe/4.7/listitem)."},Yb=w("core/audits/accessibility/listitem.js",Pl),Kb=class extends U{static{s(this,"ListItem")}static get meta(){return{id:"listitem",title:Yb(Pl.title),failureTitle:Yb(Pl.failureTitle),description:Yb(Pl.description),requiredArtifacts:["Accessibility"]}}},RQ=Kb});var Jb,ht,Rn=v(()=>{"use strict";d();J();Jb=class extends h{static{s(this,"ManualAudit")}static get partialMeta(){return{scoreDisplayMode:h.SCORING_MODES.MANUAL,requiredArtifacts:[]}}static audit(){return{score:0}}},ht=Jb});var tL={};S(tL,{default:()=>_Q});var Xb,_Q,nL=v(()=>{"use strict";d();Rn();Xb=class extends ht{static{s(this,"CustomControlsLabels")}static get meta(){return Object.assign({id:"custom-controls-labels",description:"Custom interactive controls have associated labels, provided by aria-label or aria-labelledby. [Learn more about custom controls and labels](https://developer.chrome.com/docs/lighthouse/accessibility/custom-controls-labels/).",title:"Custom controls have associated labels"},super.partialMeta)}},_Q=Xb});var rL={};S(rL,{default:()=>kQ});var Zb,kQ,aL=v(()=>{"use strict";d();Rn();Zb=class extends ht{static{s(this,"CustomControlsRoles")}static get meta(){return Object.assign({id:"custom-controls-roles",description:"Custom interactive controls have appropriate ARIA roles. [Learn how to add roles to custom controls](https://developer.chrome.com/docs/lighthouse/accessibility/custom-control-roles/).",title:"Custom controls have ARIA roles"},super.partialMeta)}},kQ=Zb});var oL={};S(oL,{default:()=>IQ});var Qb,IQ,iL=v(()=>{"use strict";d();Rn();Qb=class extends ht{static{s(this,"FocusTraps")}static get meta(){return Object.assign({id:"focus-traps",description:"A user can tab into and out of any control or region without accidentally trapping their focus. [Learn how to avoid focus traps](https://developer.chrome.com/docs/lighthouse/accessibility/focus-traps/).",title:"User focus is not accidentally trapped in a region"},super.partialMeta)}},IQ=Qb});var sL={};S(sL,{default:()=>MQ});var ew,MQ,cL=v(()=>{"use strict";d();Rn();ew=class extends ht{static{s(this,"FocusableControls")}static get meta(){return Object.assign({id:"focusable-controls",description:"Custom interactive controls are keyboard focusable and display a focus indicator. [Learn how to make custom controls focusable](https://developer.chrome.com/docs/lighthouse/accessibility/focusable-controls/).",title:"Interactive controls are keyboard focusable"},super.partialMeta)}},MQ=ew});var uL={};S(uL,{default:()=>NQ});var tw,NQ,lL=v(()=>{"use strict";d();Rn();tw=class extends ht{static{s(this,"InteractiveElementAffordance")}static get meta(){return Object.assign({id:"interactive-element-affordance",description:"Interactive elements, such as links and buttons, should indicate their state and be distinguishable from non-interactive elements. [Learn how to decorate interactive elements with affordance hints](https://developer.chrome.com/docs/lighthouse/accessibility/interactive-element-affordance/).",title:"Interactive elements indicate their purpose and state"},super.partialMeta)}},NQ=tw});var dL={};S(dL,{default:()=>LQ});var nw,LQ,mL=v(()=>{"use strict";d();Rn();nw=class extends ht{static{s(this,"LogicalTabOrder")}static get meta(){return Object.assign({id:"logical-tab-order",description:"Tabbing through the page follows the visual layout. Users cannot focus elements that are offscreen. [Learn more about logical tab ordering](https://developer.chrome.com/docs/lighthouse/accessibility/logical-tab-order/).",title:"The page has a logical tab order"},super.partialMeta)}},LQ=nw});var pL={};S(pL,{default:()=>PQ});var rw,PQ,fL=v(()=>{"use strict";d();Rn();rw=class extends ht{static{s(this,"ManagedFocus")}static get meta(){return Object.assign({id:"managed-focus",description:"If new content, such as a dialog, is added to the page, the user's focus is directed to it. [Learn how to direct focus to new content](https://developer.chrome.com/docs/lighthouse/accessibility/managed-focus/).",title:"The user's focus is directed to new content added to the page"},super.partialMeta)}},PQ=rw});var gL={};S(gL,{default:()=>OQ});var aw,OQ,hL=v(()=>{"use strict";d();Rn();aw=class extends ht{static{s(this,"OffscreenContentHidden")}static get meta(){return Object.assign({id:"offscreen-content-hidden",description:"Offscreen content is hidden with display: none or aria-hidden=true. [Learn how to properly hide offscreen content](https://developer.chrome.com/docs/lighthouse/accessibility/offscreen-content-hidden/).",title:"Offscreen content is hidden from assistive technology"},super.partialMeta)}},OQ=aw});var yL={};S(yL,{default:()=>UQ});var ow,UQ,vL=v(()=>{"use strict";d();Rn();ow=class extends ht{static{s(this,"UseLandmarks")}static get meta(){return Object.assign({id:"use-landmarks",description:"Landmark elements (`<main>`, `<nav>`, etc.) are used to improve the keyboard navigation of the page for assistive technology. [Learn more about landmark elements](https://developer.chrome.com/docs/lighthouse/accessibility/use-landmarks/).",title:"HTML5 landmark elements are used to improve navigation"},super.partialMeta)}},UQ=ow});var bL={};S(bL,{default:()=>BQ});var iw,BQ,wL=v(()=>{"use strict";d();Rn();iw=class extends ht{static{s(this,"VisualOrderFollowsDOM")}static get meta(){return Object.assign({id:"visual-order-follows-dom",description:"DOM order matches the visual order, improving navigation for assistive technology. [Learn more about DOM and visual ordering](https://developer.chrome.com/docs/lighthouse/accessibility/visual-order-follows-dom/).",title:"Visual order on the page follows DOM order"},super.partialMeta)}},BQ=iw});var DL={};S(DL,{UIStrings:()=>Ol,default:()=>jQ});var Ol,sw,cw,jQ,EL=v(()=>{"use strict";d();ue();k();Ol={title:'The document does not use `<meta http-equiv="refresh">`',failureTitle:'The document uses `<meta http-equiv="refresh">`',description:"Users do not expect a page to refresh automatically, and doing so will move focus back to the top of the page. This may create a frustrating or confusing experience. [Learn more about the refresh meta tag](https://dequeuniversity.com/rules/axe/4.7/meta-refresh)."},sw=w("core/audits/accessibility/meta-refresh.js",Ol),cw=class extends U{static{s(this,"MetaRefresh")}static get meta(){return{id:"meta-refresh",title:sw(Ol.title),failureTitle:sw(Ol.failureTitle),description:sw(Ol.description),requiredArtifacts:["Accessibility"]}}},jQ=cw});var TL={};S(TL,{UIStrings:()=>Ul,default:()=>qQ});var Ul,uw,lw,qQ,SL=v(()=>{"use strict";d();ue();k();Ul={title:'`[user-scalable="no"]` is not used in the `<meta name="viewport">` element and the `[maximum-scale]` attribute is not less than 5.',failureTitle:'`[user-scalable="no"]` is used in the `<meta name="viewport">` element or the `[maximum-scale]` attribute is less than 5.',description:"Disabling zooming is problematic for users with low vision who rely on screen magnification to properly see the contents of a web page. [Learn more about the viewport meta tag](https://dequeuniversity.com/rules/axe/4.7/meta-viewport)."},uw=w("core/audits/accessibility/meta-viewport.js",Ul),lw=class extends U{static{s(this,"MetaViewport")}static get meta(){return{id:"meta-viewport",title:uw(Ul.title),failureTitle:uw(Ul.failureTitle),description:uw(Ul.description),requiredArtifacts:["Accessibility"]}}},qQ=lw});var xL={};S(xL,{UIStrings:()=>Bl,default:()=>zQ});var Bl,dw,mw,zQ,CL=v(()=>{"use strict";d();ue();k();Bl={title:"`<object>` elements have alternate text",failureTitle:"`<object>` elements do not have alternate text",description:"Screen readers cannot translate non-text content. Adding alternate text to `<object>` elements helps screen readers convey meaning to users. [Learn more about alt text for `object` elements](https://dequeuniversity.com/rules/axe/4.7/object-alt)."},dw=w("core/audits/accessibility/object-alt.js",Bl),mw=class extends U{static{s(this,"ObjectAlt")}static get meta(){return{id:"object-alt",title:dw(Bl.title),failureTitle:dw(Bl.failureTitle),description:dw(Bl.description),requiredArtifacts:["Accessibility"]}}},zQ=mw});var AL={};S(AL,{UIStrings:()=>jl,default:()=>HQ});var jl,pw,fw,HQ,FL=v(()=>{"use strict";d();ue();k();jl={title:"Select elements have associated label elements.",failureTitle:"Select elements do not have associated label elements.",description:"Form elements without effective labels can create frustrating experiences for screen reader users. [Learn more about the `select` element](https://dequeuniversity.com/rules/axe/4.7/select-name)."},pw=w("core/audits/accessibility/select-name.js",jl),fw=class extends U{static{s(this,"SelectName")}static get meta(){return{id:"select-name",title:pw(jl.title),failureTitle:pw(jl.failureTitle),description:pw(jl.description),requiredArtifacts:["Accessibility"]}}},HQ=fw});var RL={};S(RL,{UIStrings:()=>ql,default:()=>GQ});var ql,gw,hw,GQ,_L=v(()=>{"use strict";d();ue();k();ql={title:"Skip links are focusable.",failureTitle:"Skip links are not focusable.",description:"Including a skip link can help users skip to the main content to save time. [Learn more about skip links](https://dequeuniversity.com/rules/axe/4.7/skip-link)."},gw=w("core/audits/accessibility/skip-link.js",ql),hw=class extends U{static{s(this,"SkipLink")}static get meta(){return{id:"skip-link",title:gw(ql.title),failureTitle:gw(ql.failureTitle),description:gw(ql.description),requiredArtifacts:["Accessibility"]}}},GQ=hw});var kL={};S(kL,{UIStrings:()=>zl,default:()=>WQ});var zl,yw,vw,WQ,IL=v(()=>{"use strict";d();ue();k();zl={title:"No element has a `[tabindex]` value greater than 0",failureTitle:"Some elements have a `[tabindex]` value greater than 0",description:"A value greater than 0 implies an explicit navigation ordering. Although technically valid, this often creates frustrating experiences for users who rely on assistive technologies. [Learn more about the `tabindex` attribute](https://dequeuniversity.com/rules/axe/4.7/tabindex)."},yw=w("core/audits/accessibility/tabindex.js",zl),vw=class extends U{static{s(this,"TabIndex")}static get meta(){return{id:"tabindex",title:yw(zl.title),failureTitle:yw(zl.failureTitle),description:yw(zl.description),requiredArtifacts:["Accessibility"]}}},WQ=vw});var ML={};S(ML,{UIStrings:()=>Hl,default:()=>VQ});var Hl,bw,ww,VQ,NL=v(()=>{"use strict";d();ue();k();Hl={title:"Tables have different content in the summary attribute and `<caption>`.",failureTitle:"Tables have the same content in the summary attribute and `<caption>.`",description:"The summary attribute should describe the table structure, while `<caption>` should have the onscreen title. Accurate table mark-up helps users of screen readers. [Learn more about summary and caption](https://dequeuniversity.com/rules/axe/4.7/table-duplicate-name)."},bw=w("core/audits/accessibility/table-duplicate-name.js",Hl),ww=class extends U{static{s(this,"TableDuplicateName")}static get meta(){return{id:"table-duplicate-name",title:bw(Hl.title),failureTitle:bw(Hl.failureTitle),description:bw(Hl.description),requiredArtifacts:["Accessibility"]}}},VQ=ww});var LL={};S(LL,{UIStrings:()=>Gl,default:()=>$Q});var Gl,Dw,Ew,$Q,PL=v(()=>{"use strict";d();ue();k();Gl={title:"Tables use `<caption>` instead of cells with the `[colspan]` attribute to indicate a caption.",failureTitle:"Tables do not use `<caption>` instead of cells with the `[colspan]` attribute to indicate a caption.",description:"Screen readers have features to make navigating tables easier. Ensuring that tables use the actual caption element instead of cells with the `[colspan]` attribute may improve the experience for screen reader users. [Learn more about captions](https://dequeuniversity.com/rules/axe/4.7/table-fake-caption)."},Dw=w("core/audits/accessibility/table-fake-caption.js",Gl),Ew=class extends U{static{s(this,"TableFakeCaption")}static get meta(){return{id:"table-fake-caption",title:Dw(Gl.title),failureTitle:Dw(Gl.failureTitle),description:Dw(Gl.description),requiredArtifacts:["Accessibility"]}}},$Q=Ew});var OL={};S(OL,{UIStrings:()=>Wl,default:()=>YQ});var Wl,Tw,Sw,YQ,UL=v(()=>{"use strict";d();ue();k();Wl={title:"Touch targets have sufficient size and spacing.",failureTitle:"Touch targets do not have sufficient size or spacing.",description:"Touch targets with sufficient size and spacing help users who may have difficulty targeting small controls to activate the targets. [Learn more about touch targets](https://dequeuniversity.com/rules/axe/4.7/target-size)."},Tw=w("core/audits/accessibility/target-size.js",Wl),Sw=class extends U{static{s(this,"TargetSize")}static get meta(){return{id:"target-size",title:Tw(Wl.title),failureTitle:Tw(Wl.failureTitle),description:Tw(Wl.description),scoreDisplayMode:U.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},YQ=Sw});var BL={};S(BL,{UIStrings:()=>Vl,default:()=>KQ});var Vl,xw,Cw,KQ,jL=v(()=>{"use strict";d();ue();k();Vl={title:"`<td>` elements in a large `<table>` have one or more table headers.",failureTitle:"`<td>` elements in a large `<table>` do not have table headers.",description:"Screen readers have features to make navigating tables easier. Ensuring that `<td>` elements in a large table (3 or more cells in width and height) have an associated table header may improve the experience for screen reader users. [Learn more about table headers](https://dequeuniversity.com/rules/axe/4.7/td-has-header)."},xw=w("core/audits/accessibility/td-has-header.js",Vl),Cw=class extends U{static{s(this,"TDHasHeader")}static get meta(){return{id:"td-has-header",title:xw(Vl.title),failureTitle:xw(Vl.failureTitle),description:xw(Vl.description),requiredArtifacts:["Accessibility"]}}},KQ=Cw});var qL={};S(qL,{UIStrings:()=>$l,default:()=>JQ});var $l,Aw,Fw,JQ,zL=v(()=>{"use strict";d();ue();k();$l={title:"Cells in a `<table>` element that use the `[headers]` attribute refer to table cells within the same table.",failureTitle:"Cells in a `<table>` element that use the `[headers]` attribute refer to an element `id` not found within the same table.",description:"Screen readers have features to make navigating tables easier. Ensuring `<td>` cells using the `[headers]` attribute only refer to other cells in the same table may improve the experience for screen reader users. [Learn more about the `headers` attribute](https://dequeuniversity.com/rules/axe/4.7/td-headers-attr)."},Aw=w("core/audits/accessibility/td-headers-attr.js",$l),Fw=class extends U{static{s(this,"TDHeadersAttr")}static get meta(){return{id:"td-headers-attr",title:Aw($l.title),failureTitle:Aw($l.failureTitle),description:Aw($l.description),requiredArtifacts:["Accessibility"]}}},JQ=Fw});var HL={};S(HL,{UIStrings:()=>Yl,default:()=>XQ});var Yl,Rw,_w,XQ,GL=v(()=>{"use strict";d();ue();k();Yl={title:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` have data cells they describe.',failureTitle:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` do not have data cells they describe.',description:"Screen readers have features to make navigating tables easier. Ensuring table headers always refer to some set of cells may improve the experience for screen reader users. [Learn more about table headers](https://dequeuniversity.com/rules/axe/4.7/th-has-data-cells)."},Rw=w("core/audits/accessibility/th-has-data-cells.js",Yl),_w=class extends U{static{s(this,"THHasDataCells")}static get meta(){return{id:"th-has-data-cells",title:Rw(Yl.title),failureTitle:Rw(Yl.failureTitle),description:Rw(Yl.description),scoreDisplayMode:U.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},XQ=_w});var WL={};S(WL,{UIStrings:()=>Kl,default:()=>ZQ});var Kl,kw,Iw,ZQ,VL=v(()=>{"use strict";d();ue();k();Kl={title:"`[lang]` attributes have a valid value",failureTitle:"`[lang]` attributes do not have a valid value",description:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) on elements helps ensure that text is pronounced correctly by a screen reader. [Learn how to use the `lang` attribute](https://dequeuniversity.com/rules/axe/4.7/valid-lang)."},kw=w("core/audits/accessibility/valid-lang.js",Kl),Iw=class extends U{static{s(this,"ValidLang")}static get meta(){return{id:"valid-lang",title:kw(Kl.title),failureTitle:kw(Kl.failureTitle),description:kw(Kl.description),requiredArtifacts:["Accessibility"]}}},ZQ=Iw});var $L={};S($L,{UIStrings:()=>Jl,default:()=>QQ});var Jl,Mw,Nw,QQ,YL=v(()=>{"use strict";d();ue();k();Jl={title:'`<video>` elements contain a `<track>` element with `[kind="captions"]`',failureTitle:'`<video>` elements do not contain a `<track>` element with `[kind="captions"]`.',description:"When a video provides a caption it is easier for deaf and hearing impaired users to access its information. [Learn more about video captions](https://dequeuniversity.com/rules/axe/4.7/video-caption)."},Mw=w("core/audits/accessibility/video-caption.js",Jl),Nw=class extends U{static{s(this,"VideoCaption")}static get meta(){return{id:"video-caption",title:Mw(Jl.title),failureTitle:Mw(Jl.failureTitle),description:Mw(Jl.description),scoreDisplayMode:U.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},QQ=Nw});var JL={};S(JL,{UIStrings:()=>hn,default:()=>nee});var hn,_n,eee,tee,KL,Lw,nee,XL=v(()=>{"use strict";d();He();J();k();hn={title:"`<input>` elements correctly use `autocomplete`",failureTitle:"`<input>` elements do not have correct `autocomplete` attributes",description:"`autocomplete` helps users submit forms quicker. To reduce user effort, consider enabling by setting the `autocomplete` attribute to a valid value. [Learn more about `autocomplete` in forms](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)",columnSuggestions:"Suggested Token",columnCurrent:"Current Value",warningInvalid:'`autocomplete` token(s): "{token}" is invalid in {snippet}',warningOrder:'Review order of tokens: "{tokens}" in {snippet}',reviewOrder:"Review order of tokens",manualReview:"Requires manual review"},_n=w("core/audits/autocomplete.js",hn),eee=["name","honorific-prefix","given-name","additional-name","family-name","honorific-suffix","nickname","username","new-password","current-password","one-time-code","organization-title","organization","street-address","address-line1","address-line2","address-line3","address-level4","address-level3","address-level2","address-level1","country","country-name","postal-code","cc-name","cc-given-name","cc-additional-name","cc-family-name","cc-number","cc-exp","cc-exp-month","cc-exp-year","cc-csc","cc-type","transaction-currency","transaction-amount","language","bday","bday-day","bday-month","bday-year","sex","url","photo","tel","tel-country-code","tel-national","tel-area-code","on","tel-local","tel-local-prefix","tel-local-suffix","tel-extension","email","impp","off","additional-name-initial","home","work","mobile","fax","pager","shipping","billing"],tee=["NO_SERVER_DATA","UNKNOWN_TYPE","EMPTY_TYPE","HTML_TYPE_UNSPECIFIED","HTML_TYPE_UNRECOGNIZED"],KL={NO_SERVER_DATA:_n(hn.manualReview),UNKNOWN_TYPE:_n(hn.manualReview),EMPTY_TYPE:_n(hn.manualReview),NAME_FIRST:"given-name",NAME_MIDDLE:"additional-name",NAME_LAST:"family-name",NAME_FULL:"name",NAME_MIDDLE_INITIAL:"additional-name-initial",NAME_SUFFIX:"honorific-suffix",NAME_BILLING_FIRST:"billing given-name",NAME_BILLING_MIDDLE:"billing additional-name",NAME_BILLING_LAST:"billing family-name",NAME_BILLING_MIDDLE_INITIAL:"billing additional-name-initial",NAME_BILLING_FULL:"billing name",NAME_BILLING_SUFFIX:"billing honorific-suffix",EMAIL_ADDRESS:"email",MERCHANT_EMAIL_SIGNUP:"email",PHONE_HOME_NUMBER:"tel-local",PHONE_HOME_CITY_CODE:"tel-area-code",PHONE_HOME_COUNTRY_CODE:"tel-country-code",PHONE_HOME_CITY_AND_NUMBER:"tel-national",PHONE_HOME_WHOLE_NUMBER:"tel",PHONE_HOME_EXTENSION:"tel-extension",PHONE_BILLING_NUMBER:"billing tel-local",PHONE_BILLING_CITY_CODE:"billing tel-area-code",PHONE_BILLING_COUNTRY_CODE:"tel-country-code",PHONE_BILLING_CITY_AND_NUMBER:"tel-national",PHONE_BILLING_WHOLE_NUMBER:"tel",ADDRESS_HOME_STREET_ADDRESS:"street-address",ADDRESS_HOME_LINE1:"address-line1",ADDRESS_HOME_LINE2:"address-line2",ADDRESS_HOME_LINE3:"address-line3",ADDRESS_HOME_STATE:"address-level1",ADDRESS_HOME_CITY:"address-level2",ADDRESS_HOME_DEPENDENT_LOCALITY:"address-level3",ADDRESS_HOME_ZIP:"postal-code",ADDRESS_HOME_COUNTRY:"country-name",ADDRESS_BILLING_DEPENDENT_LOCALITY:"billing address-level3",ADDRESS_BILLING_STREET_ADDRESS:"billing street-address",ADDRESS_BILLING_LINE1:"billing address-line1",ADDRESS_BILLING_LINE2:"billing address-line2",ADDRESS_BILLING_LINE3:"billing address-line3",ADDRESS_BILLING_APT_NUM:"billing address-level3",ADDRESS_BILLING_CITY:"billing address-level2",ADDRESS_BILLING_STATE:"billing address-level1",ADDRESS_BILLING_ZIP:"billing postal-code",ADDRESS_BILLING_COUNTRY:"billing country-name",CREDIT_CARD_NAME_FULL:"cc-name",CREDIT_CARD_NAME_FIRST:"cc-given-name",CREDIT_CARD_NAME_LAST:"cc-family-name",CREDIT_CARD_NUMBER:"cc-number",CREDIT_CARD_EXP_MONTH:"cc-exp-month",CREDIT_CARD_EXP_2_DIGIT_YEAR:"cc-exp-year",CREDIT_CARD_EXP_4_DIGIT_YEAR:"cc-exp-year",CREDIT_CARD_EXP_DATE_2_DIGIT_YEAR:"cc-exp",CREDIT_CARD_EXP_DATE_4_DIGIT_YEAR:"cc-exp",CREDIT_CARD_TYPE:"cc-type",CREDIT_CARD_VERIFICATION_CODE:"cc-csc",COMPANY_NAME:"organization",PASSWORD:"current-password",ACCOUNT_CREATION_PASSWORD:"new-password",HTML_TYPE_UNSPECIFIED:_n(hn.manualReview),HTML_TYPE_NAME:"name",HTML_TYPE_HONORIFIC_PREFIX:"honorific-prefix",HTML_TYPE_GIVEN_NAME:"given-name",HTML_TYPE_ADDITIONAL_NAME:"additional-name",HTML_TYPE_FAMILY_NAME:"family-name",HTML_TYPE_ORGANIZATION:"organization",HTML_TYPE_STREET_ADDRESS:"street-address",HTML_TYPE_ADDRESS_LINE1:"address-line1",HTML_TYPE_ADDRESS_LINE2:"address-line2",HTML_TYPE_ADDRESS_LINE3:"address-line3",HTML_TYPE_ADDRESS_LEVEL1:"address-level1",HTML_TYPE_ADDRESS_LEVEL2:"address-level2",HTML_TYPE_ADDRESS_LEVEL3:"address-level3",HTML_TYPE_COUNTRY_CODE:"tel-country-code",HTML_TYPE_COUNTRY_NAME:"country-name",HTML_TYPE_POSTAL_CODE:"postal-code",HTML_TYPE_FULL_ADDRESS:"street-address",HTML_TYPE_CREDIT_CARD_NAME_FULL:"cc-name",HTML_TYPE_CREDIT_CARD_NAME_FIRST:"cc-given-name",HTML_TYPE_CREDIT_CARD_NAME_LAST:"cc-family-name",HTML_TYPE_CREDIT_CARD_NUMBER:"cc-number",HTML_TYPE_CREDIT_CARD_EXP:"cc-exp",HTML_TYPE_CREDIT_CARD_EXP_MONTH:"cc-exp-month",HTML_TYPE_CREDIT_CARD_EXP_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_VERIFICATION_CODE:"cc-csc",HTML_TYPE_CREDIT_CARD_TYPE:"cc-csc",HTML_TYPE_TEL:"tel",HTML_TYPE_TEL_COUNTRY_CODE:"tel-country-code",HTML_TYPE_TEL_NATIONAL:"tel-national",HTML_TYPE_TEL_AREA_CODE:"tel-area-code",HTML_TYPE_TEL_LOCAL:"tel-local",HTML_TYPE_TEL_LOCAL_PREFIX:"tel-local-prefix",HTML_TYPE_TEL_LOCAL_SUFFIX:"tel-local-suffix",HTML_TYPE_TEL_EXTENSION:"tel-extension",HTML_TYPE_EMAIL:"email",HTML_TYPE_ADDITIONAL_NAME_INITIAL:"additional-name-initial",HTML_TYPE_CREDIT_CARD_EXP_DATE_2_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_EXP_DATE_4_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_EXP_2_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_EXP_4_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_UPI_VPA:_n(hn.manualReview),HTML_TYPE_ONE_TIME_CODE:"one-time-code",HTML_TYPE_UNRECOGNIZED:_n(hn.manualReview),HTML_TYPE_TRANSACTION_AMOUNT:"transaction-amount",HTML_TYPE_TRANSACTION_CURRENCY:"transaction-currency"},Lw=class extends h{static{s(this,"AutocompleteAudit")}static get meta(){return{id:"autocomplete",title:_n(hn.title),failureTitle:_n(hn.failureTitle),description:_n(hn.description),requiredArtifacts:["Inputs"]}}static checkAttributeValidity(e){if(!e.autocomplete.attribute)return{hasValidTokens:!1};let n=e.autocomplete.attribute.split(" ");for(let r of n)if(r.slice(0,8)!=="section-"&&!eee.includes(r))return{hasValidTokens:!1};return e.autocomplete.property?{hasValidTokens:!0,isValidOrder:!0}:{hasValidTokens:!0,isValidOrder:!1}}static audit(e){let n=[],r=[],a=!1;for(let u of e.Inputs.inputs){let l=this.checkAttributeValidity(u);if(l.hasValidTokens&&l.isValidOrder||!u.autocomplete.prediction||tee.includes(u.autocomplete.prediction)&&!u.autocomplete.attribute)continue;a=!0;let m=KL[u.autocomplete.prediction];if(u.autocomplete.attribute||(u.autocomplete.attribute=""),u.autocomplete.attribute&&r.push(_n(hn.warningInvalid,{token:u.autocomplete.attribute,snippet:u.node.snippet})),l.isValidOrder===!1&&(r.push(_n(hn.warningOrder,{tokens:u.autocomplete.attribute,snippet:u.node.snippet})),m=hn.reviewOrder),!(u.autocomplete.prediction in KL)&&l.isValidOrder){N.warn(`Autocomplete prediction (${u.autocomplete.prediction})
            not found in our mapping`);continue}n.push({node:h.makeNodeItem(u.node),suggestion:m,current:u.autocomplete.attribute})}let o=[{key:"node",valueType:"node",label:_n(x.columnFailingElem)},{key:"current",valueType:"text",label:_n(hn.columnCurrent)},{key:"suggestion",valueType:"text",label:_n(hn.columnSuggestions)}],i=h.makeTableDetails(o,n),c;return n.length>0&&(c=_n(x.displayValueElementsFound,{nodeCount:n.length})),{score:n.length>0?0:1,notApplicable:!a,displayValue:c,details:i,warnings:r}}},nee=Lw});var O,B,ZL,QL=v(()=>{"use strict";d();k();O={notMainFrame:"Navigation happened in a frame other than the main frame.",backForwardCacheDisabled:"Back/forward cache is disabled by flags. Visit chrome://flags/#back-forward-cache to enable it locally on this device.",relatedActiveContentsExist:"The page was opened using '`window.open()`' and another tab has a reference to it, or the page opened a window.",HTTPStatusNotOK:"Only pages with a status code of 2XX can be cached.",schemeNotHTTPOrHTTPS:"Only pages whose URL scheme is HTTP / HTTPS can be cached.",loading:"The page did not finish loading before navigating away.",wasGrantedMediaAccess:"Pages that have granted access to record video or audio are not currently eligible for back/forward cache.",HTTPMethodNotGET:"Only pages loaded via a GET request are eligible for back/forward cache.",subframeIsNavigating:"An iframe on the page started a navigation that did not complete.",timeout:"The page exceeded the maximum time in back/forward cache and was expired.",cacheLimit:"The page was evicted from the cache to allow another page to be cached.",JavaScriptExecution:"Chrome detected an attempt to execute JavaScript while in the cache.",rendererProcessKilled:"The renderer process for the page in back/forward cache was killed.",rendererProcessCrashed:"The renderer process for the page in back/forward cache crashed.",grantedMediaStreamAccess:"Pages that have granted media stream access are not currently eligible for back/forward cache.",cacheFlushed:"The cache was intentionally cleared.",serviceWorkerVersionActivation:"The page was evicted from back/forward cache due to a service worker activation.",sessionRestored:"Chrome restarted and cleared the back/forward cache entries.",serviceWorkerPostMessage:"A service worker attempted to send the page in back/forward cache a `MessageEvent`.",enteredBackForwardCacheBeforeServiceWorkerHostAdded:"A service worker was activated while the page was in back/forward cache.",serviceWorkerClaim:"The page was claimed by a service worker while it is in back/forward cache.",haveInnerContents:"Pages that use portals are not currently eligible for back/forward cache.",timeoutPuttingInCache:"The page timed out entering back/forward cache (likely due to long-running pagehide handlers).",backForwardCacheDisabledByLowMemory:"Back/forward cache is disabled due to insufficient memory.",backForwardCacheDisabledByCommandLine:"Back/forward cache is disabled by the command line.",networkRequestDatapipeDrainedAsBytesConsumer:"Pages that have inflight fetch() or XHR are not currently eligible for back/forward cache.",networkRequestRedirected:"The page was evicted from back/forward cache because an active network request involved a redirect.",networkRequestTimeout:"The page was evicted from the cache because a network connection was open too long. Chrome limits the amount of time that a page may receive data while cached.",networkExceedsBufferLimit:"The page was evicted from the cache because an active network connection received too much data. Chrome limits the amount of data that a page may receive while cached.",navigationCancelledWhileRestoring:"Navigation was cancelled before the page could be restored from back/forward cache.",backForwardCacheDisabledForPrerender:"Back/forward cache is disabled for prerenderer.",userAgentOverrideDiffers:"Browser has changed the user agent override header.",foregroundCacheLimit:"The page was evicted from the cache to allow another page to be cached.",backForwardCacheDisabledForDelegate:"Back/forward cache is not supported by delegate.",unloadHandlerExistsInMainFrame:"The page has an unload handler in the main frame.",unloadHandlerExistsInSubFrame:"The page has an unload handler in a sub frame.",serviceWorkerUnregistration:"ServiceWorker was unregistered while a page was in back/forward cache.",noResponseHead:"Pages that do not have a valid response head cannot enter back/forward cache.",cacheControlNoStore:"Pages with cache-control:no-store header cannot enter back/forward cache.",ineligibleAPI:"Ineligible APIs were used.",internalError:"Internal error.",webSocket:"Pages with WebSocket cannot enter back/forward cache.",webTransport:"Pages with WebTransport cannot enter back/forward cache.",webRTC:"Pages with WebRTC cannot enter back/forward cache.",mainResourceHasCacheControlNoStore:"Pages whose main resource has cache-control:no-store cannot enter back/forward cache.",mainResourceHasCacheControlNoCache:"Pages whose main resource has cache-control:no-cache cannot enter back/forward cache.",subresourceHasCacheControlNoStore:"Pages whose subresource has cache-control:no-store cannot enter back/forward cache.",subresourceHasCacheControlNoCache:"Pages whose subresource has cache-control:no-cache cannot enter back/forward cache.",containsPlugins:"Pages containing plugins are not currently eligible for back/forward cache.",documentLoaded:"The document did not finish loading before navigating away.",dedicatedWorkerOrWorklet:"Pages that use a dedicated worker or worklet are not currently eligible for back/forward cache.",outstandingNetworkRequestOthers:"Pages with an in-flight network request are not currently eligible for back/forward cache.",outstandingIndexedDBTransaction:"Page with ongoing indexed DB transactions are not currently eligible for back/forward cache.",requestedNotificationsPermission:"Pages that have requested notifications permissions are not currently eligible for back/forward cache.",requestedMIDIPermission:"Pages that have requested MIDI permissions are not currently eligible for back/forward cache.",requestedAudioCapturePermission:"Pages that have requested audio capture permissions are not currently eligible for back/forward cache.",requestedVideoCapturePermission:"Pages that have requested video capture permissions are not currently eligible for back/forward cache.",requestedBackForwardCacheBlockedSensors:"Pages that have requested sensor permissions are not currently eligible for back/forward cache.",requestedBackgroundWorkPermission:"Pages that have requested background sync or fetch permissions are not currently eligible for back/forward cache.",broadcastChannel:"The page cannot be cached because it has a BroadcastChannel instance with registered listeners.",indexedDBConnection:"Pages that have an open IndexedDB connection are not currently eligible for back/forward cache.",webXR:"Pages that use WebXR are not currently eligible for back/forward cache.",sharedWorker:"Pages that use SharedWorker are not currently eligible for back/forward cache.",webLocks:"Pages that use WebLocks are not currently eligible for back/forward cache.",webHID:"Pages that use WebHID are not currently eligible for back/forward cache.",webShare:"Pages that use WebShare are not currently eligible for back/forwad cache.",requestedStorageAccessGrant:"Pages that have requested storage access are not currently eligible for back/forward cache.",webNfc:"Pages that use WebNfc are not currently eligible for back/forwad cache.",outstandingNetworkRequestFetch:"Pages with an in-flight fetch network request are not currently eligible for back/forward cache.",outstandingNetworkRequestXHR:"Pages with an in-flight XHR network request are not currently eligible for back/forward cache.",appBanner:"Pages that requested an AppBanner are not currently eligible for back/forward cache.",printing:"Pages that show Printing UI are not currently eligible for back/forward cache.",webDatabase:"Pages that use WebDatabase are not currently eligible for back/forward cache.",pictureInPicture:"Pages that use Picture-in-Picture are not currently eligible for back/forward cache.",portal:"Pages that use portals are not currently eligible for back/forward cache.",speechRecognizer:"Pages that use SpeechRecognizer are not currently eligible for back/forward cache.",idleManager:"Pages that use IdleManager are not currently eligible for back/forward cache.",paymentManager:"Pages that use PaymentManager are not currently eligible for back/forward cache.",speechSynthesis:"Pages that use SpeechSynthesis are not currently eligible for back/forward cache.",keyboardLock:"Pages that use Keyboard lock are not currently eligible for back/forward cache.",webOTPService:"Pages that use WebOTPService are not currently eligible for bfcache.",outstandingNetworkRequestDirectSocket:"Pages with an in-flight network request are not currently eligible for back/forward cache.",injectedJavascript:"Pages that `JavaScript` is injected into by extensions are not currently eligible for back/forward cache.",injectedStyleSheet:"Pages that a `StyleSheet` is injected into by extensions are not currently eligible for back/forward cache.",contentSecurityHandler:"Pages that use SecurityHandler are not eligible for back/forward cache.",contentWebAuthenticationAPI:"Pages that use WebAuthetication API are not eligible for back/forward cache.",contentFileChooser:"Pages that use FileChooser API are not eligible for back/forward cache.",contentSerial:"Pages that use Serial API are not eligible for back/forward cache.",contentFileSystemAccess:"Pages that use File System Access API are not eligible for back/forward cache.",contentMediaDevicesDispatcherHost:"Pages that use Media Device Dispatcher are not eligible for back/forward cache.",contentWebBluetooth:"Pages that use WebBluetooth API are not eligible for back/forward cache.",contentWebUSB:"Pages that use WebUSB API are not eligible for back/forward cache.",contentMediaSession:"Pages that use MediaSession API and set a playback state are not eligible for back/forward cache.",contentMediaSessionService:"Pages that use MediaSession API and set action handlers are not eligible for back/forward cache.",contentMediaPlay:"A media player was playing upon navigating away.",contentScreenReader:"Back/forward cache is disabled due to screen reader.",embedderPopupBlockerTabHelper:"Popup blocker was present upon navigating away.",embedderSafeBrowsingTriggeredPopupBlocker:"Safe Browsing considered this page to be abusive and blocked popup.",embedderSafeBrowsingThreatDetails:"Safe Browsing details were shown upon navigating away.",embedderAppBannerManager:"App Banner was present upon navigating away.",embedderDomDistillerViewerSource:"DOM Distiller Viewer was present upon navigating away.",embedderDomDistillerSelfDeletingRequestDelegate:"DOM distillation was in progress upon navigating away.",embedderOomInterventionTabHelper:"Out-Of-Memory Intervention bar was present upon navigating away.",embedderOfflinePage:"The offline page was shown upon navigating away.",embedderChromePasswordManagerClientBindCredentialManager:"Chrome Password Manager was present upon navigating away.",embedderPermissionRequestManager:"There were permission requests upon navigating away.",embedderModalDialog:"Modal dialog such as form resubmission or http password dialog was shown for the page upon navigating away.",embedderExtensions:"Back/forward cache is disabled due to extensions.",embedderExtensionMessaging:"Back/forward cache is disabled due to extensions using messaging API.",embedderExtensionMessagingForOpenPort:"Extensions with long-lived connection should close the connection before entering back/forward cache.",embedderExtensionSentMessageToCachedFrame:"Extensions with long-lived connection attempted to send messages to frames in back/forward cache.",errorDocument:"Back/forward cache is disabled due to a document error.",fencedFramesEmbedder:"Pages using FencedFrames cannot be stored in bfcache.",keepaliveRequest:"Back/forward cache is disabled due to a keepalive request.",authorizationHeader:"Back/forward cache is disabled due to a keepalive request.",indexedDBEvent:"Back/forward cache is disabled due to an IndexedDB event.",cookieDisabled:"Back/forward cache is disabled because cookies are disabled on a page that uses `Cache-Control: no-store`."},B=w("core/lib/bf-cache-strings.js",O),ZL={NotPrimaryMainFrame:{name:B(O.notMainFrame)},BackForwardCacheDisabled:{name:B(O.backForwardCacheDisabled)},RelatedActiveContentsExist:{name:B(O.relatedActiveContentsExist)},HTTPStatusNotOK:{name:B(O.HTTPStatusNotOK)},SchemeNotHTTPOrHTTPS:{name:B(O.schemeNotHTTPOrHTTPS)},Loading:{name:B(O.loading)},WasGrantedMediaAccess:{name:B(O.wasGrantedMediaAccess)},HTTPMethodNotGET:{name:B(O.HTTPMethodNotGET)},SubframeIsNavigating:{name:B(O.subframeIsNavigating)},Timeout:{name:B(O.timeout)},CacheLimit:{name:B(O.cacheLimit)},JavaScriptExecution:{name:B(O.JavaScriptExecution)},RendererProcessKilled:{name:B(O.rendererProcessKilled)},RendererProcessCrashed:{name:B(O.rendererProcessCrashed)},GrantedMediaStreamAccess:{name:B(O.grantedMediaStreamAccess)},CacheFlushed:{name:B(O.cacheFlushed)},ServiceWorkerVersionActivation:{name:B(O.serviceWorkerVersionActivation)},SessionRestored:{name:B(O.sessionRestored)},ServiceWorkerPostMessage:{name:B(O.serviceWorkerPostMessage)},EnteredBackForwardCacheBeforeServiceWorkerHostAdded:{name:B(O.enteredBackForwardCacheBeforeServiceWorkerHostAdded)},ServiceWorkerClaim:{name:B(O.serviceWorkerClaim)},HaveInnerContents:{name:B(O.haveInnerContents)},TimeoutPuttingInCache:{name:B(O.timeoutPuttingInCache)},BackForwardCacheDisabledByLowMemory:{name:B(O.backForwardCacheDisabledByLowMemory)},BackForwardCacheDisabledByCommandLine:{name:B(O.backForwardCacheDisabledByCommandLine)},NetworkRequestDatapipeDrainedAsBytesConsumer:{name:B(O.networkRequestDatapipeDrainedAsBytesConsumer)},NetworkRequestRedirected:{name:B(O.networkRequestRedirected)},NetworkRequestTimeout:{name:B(O.networkRequestTimeout)},NetworkExceedsBufferLimit:{name:B(O.networkExceedsBufferLimit)},NavigationCancelledWhileRestoring:{name:B(O.navigationCancelledWhileRestoring)},BackForwardCacheDisabledForPrerender:{name:B(O.backForwardCacheDisabledForPrerender)},UserAgentOverrideDiffers:{name:B(O.userAgentOverrideDiffers)},ForegroundCacheLimit:{name:B(O.foregroundCacheLimit)},BackForwardCacheDisabledForDelegate:{name:B(O.backForwardCacheDisabledForDelegate)},UnloadHandlerExistsInMainFrame:{name:B(O.unloadHandlerExistsInMainFrame)},UnloadHandlerExistsInSubFrame:{name:B(O.unloadHandlerExistsInSubFrame)},ServiceWorkerUnregistration:{name:B(O.serviceWorkerUnregistration)},NoResponseHead:{name:B(O.noResponseHead)},CacheControlNoStore:{name:B(O.cacheControlNoStore)},CacheControlNoStoreCookieModified:{name:B(O.cacheControlNoStore)},CacheControlNoStoreHTTPOnlyCookieModified:{name:B(O.cacheControlNoStore)},DisableForRenderFrameHostCalled:{name:B(O.ineligibleAPI)},BlocklistedFeatures:{name:B(O.ineligibleAPI)},SchedulerTrackedFeatureUsed:{name:B(O.ineligibleAPI)},DomainNotAllowed:{name:B(O.internalError)},ConflictingBrowsingInstance:{name:B(O.internalError)},NotMostRecentNavigationEntry:{name:B(O.internalError)},IgnoreEventAndEvict:{name:B(O.internalError)},BrowsingInstanceNotSwapped:{name:B(O.internalError)},ActivationNavigationsDisallowedForBug1234857:{name:B(O.internalError)},Unknown:{name:B(O.internalError)},RenderFrameHostReused_SameSite:{name:B(O.internalError)},RenderFrameHostReused_CrossSite:{name:B(O.internalError)},WebSocket:{name:B(O.webSocket)},WebTransport:{name:B(O.webTransport)},WebRTC:{name:B(O.webRTC)},MainResourceHasCacheControlNoStore:{name:B(O.mainResourceHasCacheControlNoStore)},MainResourceHasCacheControlNoCache:{name:B(O.mainResourceHasCacheControlNoCache)},SubresourceHasCacheControlNoStore:{name:B(O.subresourceHasCacheControlNoStore)},SubresourceHasCacheControlNoCache:{name:B(O.subresourceHasCacheControlNoCache)},ContainsPlugins:{name:B(O.containsPlugins)},DocumentLoaded:{name:B(O.documentLoaded)},DedicatedWorkerOrWorklet:{name:B(O.dedicatedWorkerOrWorklet)},OutstandingNetworkRequestOthers:{name:B(O.outstandingNetworkRequestOthers)},OutstandingIndexedDBTransaction:{name:B(O.outstandingIndexedDBTransaction)},RequestedNotificationsPermission:{name:B(O.requestedNotificationsPermission)},RequestedMIDIPermission:{name:B(O.requestedMIDIPermission)},RequestedAudioCapturePermission:{name:B(O.requestedAudioCapturePermission)},RequestedVideoCapturePermission:{name:B(O.requestedVideoCapturePermission)},RequestedBackForwardCacheBlockedSensors:{name:B(O.requestedBackForwardCacheBlockedSensors)},RequestedBackgroundWorkPermission:{name:B(O.requestedBackgroundWorkPermission)},BroadcastChannel:{name:B(O.broadcastChannel)},IndexedDBConnection:{name:B(O.indexedDBConnection)},WebXR:{name:B(O.webXR)},SharedWorker:{name:B(O.sharedWorker)},WebLocks:{name:B(O.webLocks)},WebHID:{name:B(O.webHID)},WebShare:{name:B(O.webShare)},RequestedStorageAccessGrant:{name:B(O.requestedStorageAccessGrant)},WebNfc:{name:B(O.webNfc)},OutstandingNetworkRequestFetch:{name:B(O.outstandingNetworkRequestFetch)},OutstandingNetworkRequestXHR:{name:B(O.outstandingNetworkRequestXHR)},AppBanner:{name:B(O.appBanner)},Printing:{name:B(O.printing)},WebDatabase:{name:B(O.webDatabase)},PictureInPicture:{name:B(O.pictureInPicture)},Portal:{name:B(O.portal)},SpeechRecognizer:{name:B(O.speechRecognizer)},IdleManager:{name:B(O.idleManager)},PaymentManager:{name:B(O.paymentManager)},SpeechSynthesis:{name:B(O.speechSynthesis)},KeyboardLock:{name:B(O.keyboardLock)},WebOTPService:{name:B(O.webOTPService)},OutstandingNetworkRequestDirectSocket:{name:B(O.outstandingNetworkRequestDirectSocket)},InjectedJavascript:{name:B(O.injectedJavascript)},InjectedStyleSheet:{name:B(O.injectedStyleSheet)},Dummy:{name:B(O.internalError)},ContentSecurityHandler:{name:B(O.contentSecurityHandler)},ContentWebAuthenticationAPI:{name:B(O.contentWebAuthenticationAPI)},ContentFileChooser:{name:B(O.contentFileChooser)},ContentSerial:{name:B(O.contentSerial)},ContentFileSystemAccess:{name:B(O.contentFileSystemAccess)},ContentMediaDevicesDispatcherHost:{name:B(O.contentMediaDevicesDispatcherHost)},ContentWebBluetooth:{name:B(O.contentWebBluetooth)},ContentWebUSB:{name:B(O.contentWebUSB)},ContentMediaSession:{name:B(O.contentMediaSession)},ContentMediaSessionService:{name:B(O.contentMediaSessionService)},ContentMediaPlay:{name:B(O.contentMediaPlay)},ContentScreenReader:{name:B(O.contentScreenReader)},EmbedderPopupBlockerTabHelper:{name:B(O.embedderPopupBlockerTabHelper)},EmbedderSafeBrowsingTriggeredPopupBlocker:{name:B(O.embedderSafeBrowsingTriggeredPopupBlocker)},EmbedderSafeBrowsingThreatDetails:{name:B(O.embedderSafeBrowsingThreatDetails)},EmbedderAppBannerManager:{name:B(O.embedderAppBannerManager)},EmbedderDomDistillerViewerSource:{name:B(O.embedderDomDistillerViewerSource)},EmbedderDomDistillerSelfDeletingRequestDelegate:{name:B(O.embedderDomDistillerSelfDeletingRequestDelegate)},EmbedderOomInterventionTabHelper:{name:B(O.embedderOomInterventionTabHelper)},EmbedderOfflinePage:{name:B(O.embedderOfflinePage)},EmbedderChromePasswordManagerClientBindCredentialManager:{name:B(O.embedderChromePasswordManagerClientBindCredentialManager)},EmbedderPermissionRequestManager:{name:B(O.embedderPermissionRequestManager)},EmbedderModalDialog:{name:B(O.embedderModalDialog)},EmbedderExtensions:{name:B(O.embedderExtensions)},EmbedderExtensionMessaging:{name:B(O.embedderExtensionMessaging)},EmbedderExtensionMessagingForOpenPort:{name:B(O.embedderExtensionMessagingForOpenPort)},EmbedderExtensionSentMessageToCachedFrame:{name:B(O.embedderExtensionSentMessageToCachedFrame)},ErrorDocument:{name:B(O.errorDocument)},FencedFramesEmbedder:{name:B(O.fencedFramesEmbedder)},KeepaliveRequest:{name:B(O.keepaliveRequest)},AuthorizationHeader:{name:B(O.authorizationHeader)},IndexedDBEvent:{name:B(O.indexedDBEvent)},CookieDisabled:{name:B(O.cookieDisabled)}}});var e8={};S(e8,{UIStrings:()=>pr,default:()=>oee});var pr,va,ree,aee,Pw,oee,t8=v(()=>{"use strict";d();J();k();QL();pr={title:"Page didn't prevent back/forward cache restoration",failureTitle:"Page prevented back/forward cache restoration",description:"Many navigations are performed by going back to a previous page, or forwards again. The back/forward cache (bfcache) can speed up these return navigations. [Learn more about the bfcache](https://developer.chrome.com/docs/lighthouse/performance/bf-cache/)",actionableFailureType:"Actionable",notActionableFailureType:"Not actionable",supportPendingFailureType:"Pending browser support",failureReasonColumn:"Failure reason",failureTypeColumn:"Failure type",displayValue:`{itemCount, plural,
    =1 {1 failure reason}
    other {# failure reasons}
    }`},va=w("core/audits/bf-cache.js",pr),ree=["PageSupportNeeded","SupportPending","Circumstantial"],aee={PageSupportNeeded:va(pr.actionableFailureType),Circumstantial:va(pr.notActionableFailureType),SupportPending:va(pr.supportPendingFailureType)},Pw=class extends h{static{s(this,"BFCache")}static get meta(){return{id:"bf-cache",title:va(pr.title),failureTitle:va(pr.failureTitle),description:va(pr.description),supportedModes:["navigation","timespan"],requiredArtifacts:["BFCacheFailures"]}}static async audit(e){let n=e.BFCacheFailures;if(!n.length)return{score:1};let{notRestoredReasonsTree:r}=n[0],a=0,o=[];for(let l of ree){let m=r[l];for(let[p,g]of Object.entries(m))a+=g.length,o.push({reason:ZL[p]?.name??p,failureType:aee[l],subItems:{type:"subitems",items:g.map(f=>({frameUrl:f}))},protocolReason:p})}let i=[{key:"reason",valueType:"text",subItemsHeading:{key:"frameUrl",valueType:"url"},label:va(pr.failureReasonColumn)},{key:"failureType",valueType:"text",label:va(pr.failureTypeColumn)}],c=h.makeTableDetails(i,o),u=a?va(pr.displayValue,{itemCount:a}):void 0;return{score:o.length?0:1,displayValue:u,details:c}}},oee=Pw});var kn,Ow,Xl=v(()=>{"use strict";d();kn={parseHTML:{id:"parseHTML",label:"Parse HTML & CSS",traceEventNames:["ParseHTML","ParseAuthorStyleSheet"]},styleLayout:{id:"styleLayout",label:"Style & Layout",traceEventNames:["ScheduleStyleRecalculation","UpdateLayoutTree","InvalidateLayout","Layout"]},paintCompositeRender:{id:"paintCompositeRender",label:"Rendering",traceEventNames:["Animation","HitTest","PaintSetup","Paint","PaintImage","RasterTask","ScrollLayer","UpdateLayer","UpdateLayerTree","CompositeLayers","PrePaint"]},scriptParseCompile:{id:"scriptParseCompile",label:"Script Parsing & Compilation",traceEventNames:["v8.compile","v8.compileModule","v8.parseOnBackground"]},scriptEvaluation:{id:"scriptEvaluation",label:"Script Evaluation",traceEventNames:["EventDispatch","EvaluateScript","v8.evaluateModule","FunctionCall","TimerFire","FireIdleCallback","FireAnimationFrame","RunMicrotasks","V8.Execute"]},garbageCollection:{id:"garbageCollection",label:"Garbage Collection",traceEventNames:["MinorGC","MajorGC","BlinkGC.AtomicPhase","ThreadState::performIdleLazySweep","ThreadState::completeSweep","BlinkGCMarking"]},other:{id:"other",label:"Other",traceEventNames:["MessageLoop::RunTask","TaskQueueManager::ProcessTaskFromWorkQueue","ThreadControllerImpl::DoWork"]}},Ow={};for(let t of Object.values(kn))for(let e of t.traceEventNames)Ow[e]=t});var Rs,Uw=v(()=>{"use strict";d();Yt();Xl();Rs=class t{static{s(this,"MainThreadTasks")}static _createNewTaskNode(e,n){let r=e.ph==="X"&&!n,a=e.ph==="B"&&n&&n.ph==="E";if(!r&&!a)throw new Error("Invalid parameters for _createNewTaskNode");let o=e.ts,i=n?n.ts:e.ts+Number(e.dur||0);return{event:e,endEvent:n,startTime:o,endTime:i,duration:i-o,unbounded:!1,parent:void 0,children:[],attributableURLs:[],group:kn.other,selfTime:NaN}}static _assignAllTimersUntilTs(e,n,r,a){for(;a.length;){let o=a.pop();if(!o)break;if(o.ts>n){a.push(o);break}if(o.ts<e.startTime)continue;let i=o.args.data.timerId;r.timers.set(i,e)}}static _createTasksFromStartAndEndEvents(e,n,r){let a=[],o=n.slice().reverse();for(let i=0;i<e.length;i++){let c=e[i];if(c.ph==="X"){a.push(t._createNewTaskNode(c));continue}let u=-1,l=0,m=i+1;for(let y=o.length-1;y>=0;y--){let b=o[y];for(;m<e.length&&!(e[m].ts>=b.ts);m++)e[m].name===c.name&&l++;if(b.name===c.name&&!(b.ts<c.ts)){if(l>0){l--;continue}u=y;break}}let p,g=!1;u===-1?(p={...c,ph:"E",ts:r},g=!0):u===o.length-1?p=o.pop():p=o.splice(u,1)[0];let f=t._createNewTaskNode(c,p);f.unbounded=g,a.push(f)}if(o.length)throw new Error(`Fatal trace logic error - ${o.length} unmatched end events`);return a}static _createTaskRelationships(e,n,r){let a,o=n.slice().reverse();for(let i=0;i<e.length;i++){let c=e[i];if(c.event.name==="XHRReadyStateChange"){let u=c.event.args.data,l=u?.url;u&&l&&u.readyState===1&&r.xhrs.set(l,c)}for(;a&&Number.isFinite(a.endTime)&&a.endTime<=c.startTime;)t._assignAllTimersUntilTs(a,a.endTime,r,o),a=a.parent;if(a){if(c.endTime>a.endTime){let u=c.endTime-a.endTime;if(u<1e3)a.endTime=c.endTime,a.duration+=u;else if(c.unbounded)c.endTime=a.endTime,c.duration=c.endTime-c.startTime;else if(c.startTime-a.startTime<1e3&&!a.children.length){let l=c,m=a,p=a.parent;if(p){let g=p.children.length-1;if(p.children[g]!==m)throw new Error("Fatal trace logic error - impossible children");p.children.pop(),p.children.push(l)}l.parent=p,l.startTime=m.startTime,l.duration=l.endTime-l.startTime,a=l,c=m}else{let l=new Error("Fatal trace logic error - child cannot end after parent");throw l.timeDelta=u,l.nextTaskEvent=c.event,l.nextTaskEndEvent=c.endEvent,l.nextTaskEndTime=c.endTime,l.currentTaskEvent=a.event,l.currentTaskEndEvent=a.endEvent,l.currentTaskEndTime=a.endTime,l}}c.parent=a,a.children.push(c),t._assignAllTimersUntilTs(a,c.startTime,r,o)}a=c}a&&t._assignAllTimersUntilTs(a,a.endTime,r,o)}static _createTasksFromEvents(e,n,r){let a=[],o=[],i=[];for(let l of e)(l.ph==="X"||l.ph==="B")&&a.push(l),l.ph==="E"&&o.push(l),l.name==="TimerInstall"&&i.push(l);let u=t._createTasksFromStartAndEndEvents(a,o,r).sort((l,m)=>l.startTime-m.startTime||m.duration-l.duration);return t._createTaskRelationships(u,i,n),u.sort((l,m)=>l.startTime-m.startTime||m.duration-l.duration)}static _computeRecursiveSelfTime(e,n){if(n&&e.endTime>n.endTime)throw new Error("Fatal trace logic error - child cannot end after parent");let r=e.children.map(a=>t._computeRecursiveSelfTime(a,e)).reduce((a,o)=>a+o,0);return e.selfTime=e.duration-r,e.duration}static _computeRecursiveAttributableURLs(e,n,r,a){let o=e.event.args,i={...o.beginData||{},...o.data||{}},c=i.frame||"",u=a.frameURLsById.get(c),l=(i.stackTrace||[]).map(f=>f.url),m=l[0];c&&u&&u.startsWith("about:")&&m&&(a.frameURLsById.set(c,m),u=m);let p=[];switch(e.event.name){case"v8.compile":case"EvaluateScript":case"FunctionCall":p=[i.url,u];break;case"v8.compileModule":p=[e.event.args.fileName];break;case"TimerFire":{let f=e.event.args.data.timerId,y=a.timers.get(f);if(!y)break;p=y.attributableURLs;break}case"ParseHTML":p=[i.url,u];break;case"ParseAuthorStyleSheet":p=[i.styleSheetUrl,u];break;case"UpdateLayoutTree":case"Layout":case"Paint":if(u){p=[u];break}if(r.length)break;p=a.lastTaskURLs;break;case"XHRReadyStateChange":case"XHRLoad":{let f=i.url,y=i.readyState;if(!f||typeof y=="number"&&y!==4)break;let b=a.xhrs.get(f);if(!b)break;p=b.attributableURLs;break}default:p=[];break}let g=Array.from(n);for(let f of[...p,...l])f&&(r.includes(f)||r.push(f),g[g.length-1]!==f&&g.push(f));e.attributableURLs=g,e.children.forEach(f=>t._computeRecursiveAttributableURLs(f,g,r,a)),!g.length&&!e.parent&&r.length&&t._setRecursiveEmptyAttributableURLs(e,r)}static _setRecursiveEmptyAttributableURLs(e,n){e.attributableURLs.length||(e.attributableURLs=n.slice(),e.children.forEach(r=>t._setRecursiveEmptyAttributableURLs(r,n)))}static _computeRecursiveTaskGroup(e,n){let r=Ow[e.event.name];e.group=r||n||kn.other,e.children.forEach(a=>t._computeRecursiveTaskGroup(a,e.group))}static getMainThreadTasks(e,n,r,a){let o=new Map,i=new Map,c=new Map;n.forEach(({id:g,url:f})=>c.set(g,f));let l={timers:o,xhrs:i,frameURLsById:c,lastTaskURLs:[]},m=t._createTasksFromEvents(e,l,r);for(let g of m)g.parent||(t._computeRecursiveSelfTime(g,void 0),t._computeRecursiveAttributableURLs(g,[],[],l),t._computeRecursiveTaskGroup(g),l.lastTaskURLs=g.attributableURLs);let p=a??m[0].startTime;for(let g of m)if(g.startTime=(g.startTime-p)/1e3,g.endTime=(g.endTime-p)/1e3,g.duration/=1e3,g.selfTime/=1e3,!Number.isFinite(g.selfTime))throw new Error("Invalid task timing data");return m}static printTaskTreeToDebugString(e,n={}){let r=Math.max(...e.map(b=>b.endTime),0),{printWidth:a=100,startTime:o=0,endTime:i=r,taskLabelFn:c=s(b=>b.event.name,"taskLabelFn")}=n;function u(b){let D=0;for(;b.parent;b=b.parent)D++;return D}s(u,"computeTaskDepth");let m=(i-o)/a,p=new Map,g=new Map;for(let b of e){if(b.startTime>i||b.endTime<o)continue;let D=u(b),T=g.get(D)||[];T.push(b),g.set(D,T);let A=String.fromCharCode(65+p.size%26);p.set(b,{id:A,task:b})}let f=[`Trace Duration: ${r.toFixed(0)}ms`,`Range: [${o}, ${i}]`,`█ = ${m.toFixed(2)}ms`,""],y=Array.from(g.entries()).sort((b,D)=>b[0]-D[0]);for(let[,b]of y){let D=Array.from({length:a}).map(()=>" ");for(let T of b){let A=Math.max(T.startTime,o),R=Math.min(T.endTime,i),{id:F}=p.get(T)||{id:"?"},M=Math.floor(A/m),V=Math.floor(R/m),z=Math.floor((M+V)/2);for(let ne=M;ne<=V;ne++)D[ne]="█";for(let ne=0;ne<F.length;ne++)D[z]=F}f.push(D.join(""))}f.push("");for(let{id:b,task:D}of p.values())f.push(`${b} = ${c(D)}`);return f.join(`
`)}}});var Bw,yn,ba=v(()=>{"use strict";d();we();Uw();Jt();Bw=class{static{s(this,"MainThreadTasks")}static async compute_(e,n){let{mainThreadEvents:r,frames:a,timestamps:o}=await Ye.request(e,n);return Rs.getMainThreadTasks(r,a,o.traceEnd,o.timeOrigin)}},yn=W(Bw,null)});function Zl(t){let e=new Set;for(let n of t)n.resourceType===Y.TYPES.Script&&e.add(n.url);return e}function _s(t,e){let n=t.attributableURLs.find(o=>e.has(o)),r=t.attributableURLs[0],a=n||r;return(!a||a==="about:blank")&&(iee.has(t.event.name)?a="Browser":see.has(t.event.name)?a="Browser GC":a="Unattributable"),a}function Jp(t,e){let n=Zl(e),r=new Map;for(let a of t){let o=_s(a,n),i=r.get(o)||{},c=i[a.group.id]||0;i[a.group.id]=c+a.selfTime,r.set(o,i)}return r}var iee,see,Ql=v(()=>{"use strict";d();St();iee=new Set(["CpuProfiler::StartProfiling"]),see=new Set(["V8.GCCompactor","MajorGC","MinorGC"]);s(Zl,"getJavaScriptURLs");s(_s,"getAttributableURLForTask");s(Jp,"getExecutionTimingsByURL")});var n8={};S(n8,{UIStrings:()=>Da,default:()=>cee});var Da,wa,jw,cee,r8=v(()=>{"use strict";d();J();Xl();k();De();ba();Ql();Da={title:"JavaScript execution time",failureTitle:"Reduce JavaScript execution time",description:"Consider reducing the time spent parsing, compiling, and executing JS. You may find delivering smaller JS payloads helps with this. [Learn how to reduce Javascript execution time](https://developer.chrome.com/docs/lighthouse/performance/bootup-time/).",columnTotal:"Total CPU Time",columnScriptEval:"Script Evaluation",columnScriptParse:"Script Parse",chromeExtensionsWarning:"Chrome extensions negatively affected this page's load performance. Try auditing the page in incognito mode or from a Chrome profile without extensions."},wa=w("core/audits/bootup-time.js",Da),jw=class t extends h{static{s(this,"BootupTime")}static get meta(){return{id:"bootup-time",title:wa(Da.title),failureTitle:wa(Da.failureTitle),description:wa(Da.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["traces","devtoolsLogs"]}}static get defaultOptions(){return{p10:1282,median:3500,thresholdInMs:50}}static async audit(e,n){let r=n.settings||{},a=e.traces[t.DEFAULT_PASS],o=e.devtoolsLogs[t.DEFAULT_PASS],i=await $.request(o,n),c=await yn.request(a,n),u=r.throttlingMethod==="simulate"?r.throttling.cpuSlowdownMultiplier:1,l=Jp(c,i),m=!1,p=0,g=Array.from(l).map(([T,A])=>{let R=0;for(let[V,z]of Object.entries(A))A[V]=z*u,R+=z*u;let F=A[kn.scriptEvaluation.id]||0,M=A[kn.scriptParseCompile.id]||0;return R>=n.options.thresholdInMs&&(p+=F+M),m=m||T.startsWith("chrome-extension:")&&F>100,{url:T,total:R,scripting:F,scriptParseCompile:M}}).filter(T=>T.total>=n.options.thresholdInMs).sort((T,A)=>A.total-T.total),f;m&&(f=[wa(Da.chromeExtensionsWarning)]);let y=[{key:"url",valueType:"url",label:wa(x.columnURL)},{key:"total",granularity:1,valueType:"ms",label:wa(Da.columnTotal)},{key:"scripting",granularity:1,valueType:"ms",label:wa(Da.columnScriptEval)},{key:"scriptParseCompile",granularity:1,valueType:"ms",label:wa(Da.columnScriptParse)}],b=t.makeTableDetails(y,g,{wastedMs:p,sortedBy:["total"]});return{score:h.computeLogNormalScore({p10:n.options.p10,median:n.options.median},p),numericValue:p,numericUnit:"millisecond",displayValue:p>0?wa(x.seconds,{timeInMs:p}):"",details:b,runWarnings:f}}},cee=jw});var nn,Ea=v(()=>{"use strict";d();An();St();Ur();$n();tr();nn=class{static{s(this,"LanternMetric")}static getScriptUrls(e,n){let r=new Set;return e.traverse(a=>{a.type!==Fe.TYPES.CPU&&a.record.resourceType===Y.TYPES.Script&&(n&&!n(a)||r.add(a.record.url))}),r}static get COEFFICIENTS(){throw new Error("COEFFICIENTS unimplemented!")}static getScaledCoefficients(e){return this.COEFFICIENTS}static getOptimisticGraph(e,n){throw new Error("Optimistic graph unimplemented!")}static getPessimisticGraph(e,n){throw new Error("Pessmistic graph unimplemented!")}static getEstimateFromSimulation(e,n){return e}static async computeMetricWithGraphs(e,n,r){if((e.gatherContext||{gatherMode:"navigation"}).gatherMode!=="navigation")throw new Error("Lantern metrics can only be computed on navigations");let o=this.name.replace("Lantern",""),i=await kt.request(e,n),c=await on.request(e.trace,n),u=e.simulator||await Ht.request(e,n),l=this.getOptimisticGraph(i,c),m=this.getPessimisticGraph(i,c),p={label:`optimistic${o}`},g=u.simulate(l,p);p={label:`optimisticFlex${o}`,flexibleOrdering:!0};let f=u.simulate(l,p);p={label:`pessimistic${o}`};let y=u.simulate(m,p),b=this.getEstimateFromSimulation(g.timeInMs<f.timeInMs?g:f,{...r,optimistic:!0}),D=this.getEstimateFromSimulation(y,{...r,optimistic:!1}),T=this.getScaledCoefficients(u.rtt),A=T.intercept>0?Math.min(1,b.timeInMs/1e3):1;return{timing:T.intercept*A+T.optimistic*b.timeInMs+T.pessimistic*D.timeInMs,optimisticEstimate:b,pessimisticEstimate:D,optimisticGraph:l,pessimisticGraph:m}}static async compute_(e,n){return this.computeMetricWithGraphs(e,n)}}});var qw,It,fr=v(()=>{"use strict";d();we();Ea();An();qw=class extends nn{static{s(this,"LanternFirstContentfulPaint")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getBlockingNodeData(e,n,r,a){let o=new Map,i=[];e.traverse(f=>{if(f.type===Fe.TYPES.CPU){f.startTime<=n&&i.push(f);let y=f.getEvaluateScriptURLs();for(let b of y){let D=o.get(b)||f;o.set(b,f.startTime<D.startTime?f:D)}}}),i.sort((f,y)=>f.startTime-y.startTime);let c=nn.getScriptUrls(e,f=>f.endTime<=n&&r(f)),u=new Set,l=new Set;for(let f of c){let y=o.get(f);if(y){if(i.includes(y)){l.add(y.id);continue}u.add(f)}}let m=i.find(f=>f.didPerformLayout());m&&l.add(m.id);let p=i.find(f=>f.childEvents.some(y=>y.name==="Paint"));p&&l.add(p.id);let g=i.find(f=>f.childEvents.some(y=>y.name==="ParseHTML"));return g&&l.add(g.id),a&&i.filter(a).forEach(f=>l.add(f.id)),{definitelyNotRenderBlockingScriptUrls:u,blockingCpuNodeIds:l}}static getFirstPaintBasedGraph(e,n,r,a){let{definitelyNotRenderBlockingScriptUrls:o,blockingCpuNodeIds:i}=this.getBlockingNodeData(e,n,r,a);return e.cloneWithRelationships(c=>{if(c.type===Fe.TYPES.NETWORK){if((c.endTime>n||c.startTime>n)&&!c.isMainDocument())return!1;let l=c.record.url;return o.has(l)?!1:r(c)}else return i.has(c.id)})}static getOptimisticGraph(e,n){return this.getFirstPaintBasedGraph(e,n.timestamps.firstContentfulPaint,r=>r.hasRenderBlockingPriority()&&r.initiatorType!=="script")}static getPessimisticGraph(e,n){return this.getFirstPaintBasedGraph(e,n.timestamps.firstContentfulPaint,r=>r.hasRenderBlockingPriority())}},It=W(qw,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var zw,ks,Xp=v(()=>{"use strict";d();we();Ea();Bt();fr();zw=class extends nn{static{s(this,"LanternFirstMeaningfulPaint")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e,n){let r=n.timestamps.firstMeaningfulPaint;if(!r)throw new G(G.errors.NO_FMP);return It.getFirstPaintBasedGraph(e,r,a=>a.hasRenderBlockingPriority()&&a.initiatorType!=="script")}static getPessimisticGraph(e,n){let r=n.timestamps.firstMeaningfulPaint;if(!r)throw new G(G.errors.NO_FMP);return It.getFirstPaintBasedGraph(e,r,a=>a.hasRenderBlockingPriority(),a=>a.didPerformLayout())}static async compute_(e,n){let r=await It.request(e,n),a=await this.computeMetricWithGraphs(e,n);return a.timing=Math.max(a.timing,r.timing),a}},ks=W(zw,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var uee,Hw,jn,oi=v(()=>{"use strict";d();we();Ea();An();St();Xp();uee=20,Hw=class t extends nn{static{s(this,"LanternInteractive")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e){let n=uee*1e3;return e.cloneWithRelationships(r=>{if(r.type===Fe.TYPES.CPU)return r.event.dur>n;let a=r.record.resourceType===Y.TYPES.Image,o=r.record.resourceType===Y.TYPES.Script;return!a&&(o||r.record.priority==="High"||r.record.priority==="VeryHigh")})}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,n){if(!n.fmpResult)throw new Error("missing fmpResult");let r=t.getLastLongTaskEndTime(e.nodeTimings),a=n.optimistic?n.fmpResult.optimisticEstimate.timeInMs:n.fmpResult.pessimisticEstimate.timeInMs;return{timeInMs:Math.max(a,r),nodeTimings:e.nodeTimings}}static async compute_(e,n){let r=await ks.request(e,n),a=await this.computeMetricWithGraphs(e,n,{fmpResult:r});return a.timing=Math.max(a.timing,r.timing),a}static getLastLongTaskEndTime(e,n=50){return Array.from(e.entries()).filter(([r,a])=>r.type!==Fe.TYPES.CPU?!1:a.duration>n).map(([r,a])=>a.endTime).reduce((r,a)=>Math.max(r||0,a||0),0)}},jn=W(Hw,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var Gw,rr,ii=v(()=>{"use strict";d();we();Ea();Bt();fr();Gw=class t extends nn{static{s(this,"LanternLargestContentfulPaint")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static isNotLowPriorityImageNode(e){if(e.type!=="network")return!0;let n=e.record.resourceType==="Image",r=e.record.priority==="Low"||e.record.priority==="VeryLow";return!n||!r}static getOptimisticGraph(e,n){let r=n.timestamps.largestContentfulPaint;if(!r)throw new G(G.errors.NO_LCP);return It.getFirstPaintBasedGraph(e,r,t.isNotLowPriorityImageNode)}static getPessimisticGraph(e,n){let r=n.timestamps.largestContentfulPaint;if(!r)throw new G(G.errors.NO_LCP);return It.getFirstPaintBasedGraph(e,r,a=>!0,a=>a.didPerformLayout())}static getEstimateFromSimulation(e){let n=Array.from(e.nodeTimings.entries()).filter(r=>t.isNotLowPriorityImageNode(r[0])).map(r=>r[1].endTime);return{timeInMs:Math.max(...n),nodeTimings:e.nodeTimings}}static async compute_(e,n){let r=await It.request(e,n),a=await this.computeMetricWithGraphs(e,n);return a.timing=Math.max(a.timing,r.timing),a}},rr=W(Gw,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var Ww,Is,Zp=v(()=>{"use strict";d();we();De();Ur();Bt();Ww=class{static{s(this,"LCPImageRecord")}static async compute_(e,n){let{trace:r,devtoolsLog:a}=e,o=await $.request(a,n),i=await on.request(r,n);if(i.timings.largestContentfulPaint===void 0)throw new G(G.errors.NO_LCP);let c=i.largestContentfulPaintEvt;if(!c)return;let u=r.traceEvents.filter(p=>p.name==="LargestImagePaint::Candidate"&&p.args.frame===c.args.frame&&p.args.data?.DOMNodeId===c.args.data?.nodeId&&p.args.data?.size===c.args.data?.size).sort((p,g)=>g.ts-p.ts)[0],l=u?.args.data?.imageUrl;return l?o.filter(p=>p.url===l&&p.finished&&p.frameId===u.args.frame&&p.networkRequestTime<(i.timestamps.largestContentfulPaint||0)).map(p=>{for(;p.redirectDestination;)p=p.redirectDestination;return p}).filter(p=>p.resourceType==="Image").sort((p,g)=>p.networkEndTime-g.networkEndTime)[0]:void 0}},Is=W(Ww,["devtoolsLog","trace"])});var lee,dee,mee,ie,Xt=v(()=>{"use strict";d();J();oi();k();De();tr();$n();ii();fr();Zp();lee=w("core/audits/byte-efficiency/byte-efficiency-audit.js",{}),dee=150,mee=935,ie=class t extends h{static{s(this,"ByteEfficiencyAudit")}static scoreForWastedMs(e){return h.computeLogNormalScore({p10:dee,median:mee},e)}static estimateTransferSize(e,n,r){if(e){if(e.resourceType===r)return e.transferSize||0;{let a=e.transferSize||0,o=e.resourceSize||0,i=Number.isFinite(o)&&o>0?a/o:1;return Math.round(n*i)}}else switch(r){case"Stylesheet":return Math.round(n*.2);case"Script":case"Document":return Math.round(n*.33);default:return Math.round(n*.5)}}static async audit(e,n){let r=e.GatherContext,a=e.devtoolsLogs[h.DEFAULT_PASS],o=n?.settings||{},i={devtoolsLog:a,settings:o},c=await $.request(a,n);if(!c.some(g=>g.transferSize)&&r.gatherMode==="timespan")return{score:1,notApplicable:!0};let l=h.makeMetricComputationDataInput(e,n),[m,p]=await Promise.all([this.audit_(e,c,n),Ht.request(i,n)]);return this.createAuditProduct(m,p,l,n)}static computeWasteWithGraph(e,n,r,a){a=Object.assign({label:""},a);let o=`${this.meta.id}-${a.label}-before`,i=`${this.meta.id}-${a.label}-after`,c=r.simulate(n,{label:o}),u=a.providedWastedBytesByUrl||new Map;if(!a.providedWastedBytesByUrl)for(let{url:g,wastedBytes:f}of e)u.set(g,(u.get(g)||0)+f);let l=new Map;n.traverse(g=>{if(g.type!=="network")return;let f=u.get(g.record.url);if(!f)return;let y=g.record.transferSize;l.set(g.record.requestId,y),g.record.transferSize=Math.max(y-f,0)});let m=r.simulate(n,{label:i});n.traverse(g=>{if(g.type!=="network")return;let f=l.get(g.record.requestId);f!==void 0&&(g.record.transferSize=f)});let p=c.timeInMs-m.timeInMs;return{savings:Math.round(Math.max(p,0)/10)*10,simulationBeforeChanges:c,simulationAfterChanges:m}}static computeWasteWithTTIGraph(e,n,r,a){a=Object.assign({includeLoad:!0},a);let{savings:o,simulationBeforeChanges:i,simulationAfterChanges:c}=this.computeWasteWithGraph(e,n,r,{...a,label:"overallLoad"}),l=jn.getLastLongTaskEndTime(i.nodeTimings)-jn.getLastLongTaskEndTime(c.nodeTimings);return a.includeLoad&&(l=Math.max(l,o)),Math.round(Math.max(l,0)/10)*10}static async createAuditProduct(e,n,r,a){let o=e.items.sort((g,f)=>f.wastedBytes-g.wastedBytes),i=o.reduce((g,f)=>g+f.wastedBytes,0),c={FCP:0,LCP:0},u;if(r.gatherContext.gatherMode==="navigation"){let g=await kt.request(r,a),{pessimisticGraph:f}=await It.request(r,a),{pessimisticGraph:y}=await rr.request(r,a);u=this.computeWasteWithTTIGraph(o,g,n,{providedWastedBytesByUrl:e.wastedBytesByUrl});let{savings:b}=this.computeWasteWithGraph(o,f,n,{providedWastedBytesByUrl:e.wastedBytesByUrl,label:"fcp"}),{savings:D}=this.computeWasteWithGraph(o,y,n,{providedWastedBytesByUrl:e.wastedBytesByUrl,label:"lcp"}),T=0,A=await Is.request(r,a);if(A){let R=o.find(F=>F.url===A.url);R&&(T=n.computeWastedMsFromWastedBytes(R.wastedBytes))}c.FCP=b,c.LCP=Math.max(D,T)}else u=n.computeWastedMsFromWastedBytes(i);let l=e.displayValue||"";typeof e.displayValue>"u"&&i&&(l=lee(x.displayValueByteSavings,{wastedBytes:i}));let m=e.sortedBy||["wastedBytes"],p=h.makeOpportunityDetails(e.headings,o,{overallSavingsMs:u,overallSavingsBytes:i,sortedBy:m});return p.debugData={type:"debugdata",metricSavings:c},{explanation:e.explanation,warnings:e.warnings,displayValue:l,numericValue:u,numericUnit:"millisecond",score:t.scoreForWastedMs(u),details:p,metricSavings:c}}static audit_(e,n,r){throw new Error("audit_ unimplemented")}}});function pee(t,e,n){let r=n.split(`
`),a={},o=e,i=o;t.computeLastGeneratedColumns();for(let c of t.mappings()){let u=c.sourceURL,l=c.lineNumber,m=c.columnNumber,p=c.lastColumnNumber;if(!u)continue;let g=r[l];if(g==null){let y=`${t.url()} mapping for line out of bounds: ${l+1}`;return N.error("JSBundles",y),{errorMessage:y}}if(m>g.length){let y=`${t.url()} mapping for column out of bounds: ${l+1}:${m}`;return N.error("JSBundles",y),{errorMessage:y}}let f=0;if(p!==void 0){if(p>g.length){let y=`${t.url()} mapping for last column out of bounds: ${l+1}:${p}`;return N.error("JSBundles",y),{errorMessage:y}}f=p-m}else f=g.length-m+1;a[u]=(a[u]||0)+f,i-=f}return{files:a,unmappedBytes:i,totalBytes:o}}var a8,Vw,vn,Ta=v(()=>{"use strict";d();He();we();a8=zt(Xy(),1);s(pee,"computeGeneratedFileSizes");Vw=class{static{s(this,"JSBundles")}static async compute_(e){let{SourceMaps:n,Scripts:r}=e,a=[];for(let o of n){if(!o.map)continue;let{scriptId:i,map:c}=o;if(!c.mappings)continue;let u=r.find(y=>y.scriptId===i);if(!u)continue;let l=o.scriptUrl||"compiled.js",m=o.sourceMapUrl||"compiled.js.map",p=new a8.default.SourceMap(l,m,c),g=pee(p,u.length||0,u.content||""),f={rawMap:c,script:u,map:p,sizes:g};a.push(f)}return a}},vn=W(Vw,["Scripts","SourceMaps"])});var fee,gee,$w,ed,Yw=v(()=>{"use strict";d();we();Ta();fee=.1,gee=1024*.5,$w=class t{static{s(this,"ModuleDuplication")}static normalizeSource(e){e=e.replace(/\?$/,"");let n=e.lastIndexOf("node_modules");return n!==-1&&(e=e.substring(n)),e}static _shouldIgnoreSource(e){return!!(e.includes("webpack/bootstrap")||e.includes("(webpack)/buildin")||e.includes("external "))}static _normalizeAggregatedData(e){for(let[n,r]of e.entries()){let a=r;if(a.sort((o,i)=>i.resourceSize-o.resourceSize),a.length>1){let o=a[0].resourceSize;a=a.filter(i=>i.resourceSize/o>=fee)}a=a.filter(o=>o.resourceSize>=gee),a.length>1?e.set(n,a):e.delete(n)}}static async compute_(e,n){let r=await vn.request(e,n),a=new Map;for(let{rawMap:i,sizes:c}of r){if("errorMessage"in c)continue;let u=[];a.set(i,u);for(let l=0;l<i.sources.length;l++){if(this._shouldIgnoreSource(i.sources[l]))continue;let m=(i.sourceRoot||"")+i.sources[l],p=c.files[m];u.push({source:t.normalizeSource(i.sources[l]),resourceSize:p})}}let o=new Map;for(let{rawMap:i,script:c}of r){let u=a.get(i);if(u)for(let l of u){let m=o.get(l.source);m||(m=[],o.set(l.source,m)),m.push({scriptId:c.scriptId,scriptUrl:c.url,resourceSize:l.resourceSize})}}return this._normalizeAggregatedData(o),o}},ed=W($w,["Scripts","SourceMaps"])});function Qp(t){return!!(t.startLine||t.startColumn)}function ao(t,e){let n=t.find(r=>r.url===e.url);for(;n?.redirectDestination;)n=n.redirectDestination;return n}var Ms=v(()=>{"use strict";d();s(Qp,"isInline");s(ao,"getRequestForScript")});var i8={};S(i8,{UIStrings:()=>e1,default:()=>yee});function o8(t,e,n=0){let r=t.indexOf(e,n);return r===-1?t.length:r}var e1,td,hee,Kw,yee,s8=v(()=>{"use strict";d();Xt();Yw();k();Ms();e1={title:"Remove duplicate modules in JavaScript bundles",description:"Remove large, duplicate JavaScript modules from bundles to reduce unnecessary bytes consumed by network activity. "},td=w("core/audits/byte-efficiency/duplicated-javascript.js",e1),hee=1024;s(o8,"indexOfOrEnd");Kw=class t extends ie{static{s(this,"DuplicatedJavascript")}static get meta(){return{id:"duplicated-javascript",title:td(e1.title),description:td(e1.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces","SourceMaps","Scripts","GatherContext","URL"]}}static _getNodeModuleName(e){let n=e.split("node_modules/");e=n[n.length-1];let r=o8(e,"/");return e[0]==="@"?e.slice(0,o8(e,"/",r+1)):e.slice(0,r)}static async _getDuplicationGroupedByNodeModules(e,n){let r=await ed.request(e,n),a=new Map;for(let[o,i]of r.entries()){if(!o.includes("node_modules")){a.set(o,i);continue}let c="node_modules/"+t._getNodeModuleName(o),u=a.get(c)||[];for(let{scriptId:l,scriptUrl:m,resourceSize:p}of i){let g=u.find(f=>f.scriptId===l);g||(g={scriptId:l,scriptUrl:m,resourceSize:0},u.push(g)),g.resourceSize+=p}a.set(c,u)}for(let o of r.values())o.sort((i,c)=>c.resourceSize-i.resourceSize);return a}static _estimateTransferRatio(e,n){return ie.estimateTransferSize(e,n,"Script")/n}static async audit_(e,n,r){let a=r.options?.ignoreThresholdInBytes||hee,o=await t._getDuplicationGroupedByNodeModules(e,r),i=new Map,c=[],u=0,l=new Set,m=new Map;for(let[g,f]of o.entries()){let y=[],b=0;for(let D=0;D<f.length;D++){let T=f[D],A=T.scriptId,R=e.Scripts.find(z=>z.scriptId===A),F=R?.url||"",M=i.get(F);if(M===void 0){if(!R||R.length===void 0)continue;let z=R.length,ne=ao(n,R);M=t._estimateTransferRatio(ne,z),i.set(F,M)}if(M===void 0)continue;let V=Math.round(T.resourceSize*M);y.push({url:F,sourceTransferBytes:V}),D!==0&&(b+=V,m.set(F,(m.get(F)||0)+V))}if(b<=a){u+=b;for(let D of y)l.add(D.url);continue}c.push({source:g,wastedBytes:b,url:"",totalBytes:0,subItems:{type:"subitems",items:y}})}u>a&&c.push({source:"Other",wastedBytes:u,url:"",totalBytes:0,subItems:{type:"subitems",items:Array.from(l).map(g=>({url:g}))}});let p=[{key:"source",valueType:"code",subItemsHeading:{key:"url",valueType:"url"},label:td(x.columnSource)},{key:null,valueType:"bytes",subItemsHeading:{key:"sourceTransferBytes"},granularity:10,label:td(x.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",granularity:10,label:td(x.columnWastedBytes)}];return{items:c,headings:p,wastedBytesByUrl:m}}},yee=Kw});var c8={};S(c8,{UIStrings:()=>t1,default:()=>bee});var t1,nd,vee,Jw,bee,u8=v(()=>{"use strict";d();St();Xt();k();t1={title:"Use video formats for animated content",description:"Large GIFs are inefficient for delivering animated content. Consider using MPEG4/WebM videos for animations and PNG/WebP for static images instead of GIF to save network bytes. [Learn more about efficient video formats](https://developer.chrome.com/docs/lighthouse/performance/efficient-animated-content/)"},nd=w("core/audits/byte-efficiency/efficient-animated-content.js",t1),vee=100*1024,Jw=class t extends ie{static{s(this,"EfficientAnimatedContent")}static get meta(){return{id:"efficient-animated-content",title:nd(t1.title),description:nd(t1.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces","GatherContext","URL"]}}static getPercentSavings(e){return Math.round(29.1*Math.log10(e)-100.7)/100}static audit_(e,n){let a=n.filter(i=>i.mimeType==="image/gif"&&i.resourceType===Y.TYPES.Image&&(i.resourceSize||0)>vee).map(i=>{let c=i.resourceSize||0;return{url:i.url,totalBytes:c,wastedBytes:Math.round(c*t.getPercentSavings(c))}}),o=[{key:"url",valueType:"url",label:nd(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:nd(x.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:nd(x.columnWastedBytes)}];return{items:a,headings:o}}},bee=Jw});var l8={};S(l8,{UIStrings:()=>r1,default:()=>Dee});var wee,Xw,r1,n1,Zw,Qw,Dee,d8=v(()=>{"use strict";d();ca();J();Xt();ma();Ta();k();Ms();rs();wee=`{
  "moduleSizes": [11897, 498, 265, 277, 263, 453, 219, 216, 546, 339, 1608, 671, 1525, 420, 214, 504, 98, 524, 196, 268, 642, 204, 742, 618, 169, 394, 127, 433, 1473, 779, 239, 144, 182, 254, 77, 508, 124, 1388, 75, 133, 301, 362, 170, 1078, 182, 490, 195, 321, 316, 447, 551, 216, 284, 253, 17, 107, 295, 356, 345, 1939, 1596, 291, 139, 259, 1291, 179, 528, 174, 61, 326, 20, 444, 522, 104, 1945, 120, 1943, 680, 1409, 850, 630, 288, 38, 695, 569, 106, 587, 208, 370, 606, 766, 535, 616, 200, 170, 224, 422, 970, 978, 498, 284, 241, 210, 151, 194, 178, 814, 205, 189, 215, 111, 236, 147, 237, 191, 691, 212, 432, 499, 445, 176, 333, 129, 414, 617, 380, 251, 199, 524, 515, 681, 160, 259, 295, 283, 178, 472, 786, 520, 202, 575, 575, 349, 549, 458, 166, 173, 508, 1522, 743, 414, 431, 393, 899, 137, 270, 131, 472, 457, 205, 778, 801, 133, 3000],
  "dependencies": {
    "Array.prototype.fill": [0, 5, 8, 11, 21, 23, 25, 26, 29, 36, 37, 54, 55, 57, 58, 60, 66, 73, 74, 75, 76, 77, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 114, 116],
    "Array.prototype.filter": [0, 11, 12, 13, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 57, 58, 60, 62, 64, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 117],
    "Array.prototype.find": [0, 5, 11, 12, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 55, 57, 58, 60, 62, 64, 66, 73, 74, 75, 76, 77, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 108, 114, 119],
    "Array.prototype.findIndex": [0, 5, 11, 12, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 55, 57, 58, 60, 62, 64, 66, 73, 74, 75, 76, 77, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 108, 114, 118],
    "Array.prototype.forEach": [0, 9, 11, 12, 14, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 57, 58, 60, 62, 64, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 120],
    "Array.from": [0, 10, 11, 19, 20, 21, 22, 23, 25, 26, 27, 29, 36, 37, 41, 46, 49, 50, 54, 57, 58, 60, 61, 64, 66, 72, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 121],
    "Array.isArray": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 62, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 122],
    "Array.prototype.map": [0, 11, 12, 13, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 57, 58, 60, 62, 64, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 123],
    "Array.of": [0, 11, 21, 22, 23, 25, 26, 27, 29, 36, 37, 54, 57, 58, 60, 64, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 124],
    "Array.prototype.some": [0, 11, 12, 14, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 57, 58, 60, 62, 64, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 125],
    "Date.now": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 126],
    "Date.prototype.toISOString": [0, 11, 21, 22, 23, 25, 26, 28, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 98, 99, 101, 102, 103, 104, 108, 109, 114, 127],
    "Date.prototype.toJSON": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 128],
    "Date.prototype.toString": [0, 25, 26, 29, 54, 58, 60, 74, 94, 114, 129],
    "Function.prototype.name": [0, 130],
    "Number.isInteger": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 67, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 131],
    "Number.isSafeInteger": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 67, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 132],
    "Object.defineProperties": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 77, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 114, 133],
    "Object.defineProperty": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 134],
    "Object.freeze": [0, 7, 11, 15, 21, 23, 25, 26, 27, 29, 36, 37, 39, 54, 57, 58, 59, 60, 66, 73, 74, 75, 79, 80, 81, 82, 84, 86, 88, 92, 94, 101, 102, 103, 104, 114, 136],
    "Object.getPrototypeOf": [0, 11, 21, 23, 24, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 83, 86, 88, 92, 94, 101, 102, 103, 104, 114, 138],
    "Object.isExtensible": [0, 7, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 84, 86, 88, 92, 94, 101, 102, 103, 104, 114, 139],
    "Object.isFrozen": [0, 7, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 140],
    "Object.isSealed": [0, 7, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 141],
    "Object.keys": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 114, 142],
    "Object.preventExtensions": [0, 7, 11, 15, 21, 23, 25, 26, 27, 29, 36, 37, 39, 54, 57, 58, 59, 60, 66, 73, 74, 75, 79, 80, 81, 82, 84, 86, 88, 92, 94, 101, 102, 103, 104, 114, 143],
    "Object.seal": [0, 7, 11, 15, 21, 23, 25, 26, 27, 29, 36, 37, 39, 54, 57, 58, 59, 60, 66, 73, 74, 75, 79, 80, 81, 82, 84, 86, 88, 92, 94, 101, 102, 103, 104, 114, 144],
    "Object.setPrototypeOf": [0, 4, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 89, 92, 94, 101, 102, 103, 104, 114, 145],
    "Reflect.apply": [0, 11, 21, 23, 25, 26, 29, 36, 37, 40, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 147],
    "Reflect.construct": [0, 3, 11, 16, 21, 22, 23, 25, 26, 29, 36, 37, 40, 43, 54, 55, 57, 58, 60, 64, 66, 73, 74, 75, 76, 77, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 108, 114, 148],
    "Reflect.defineProperty": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 149],
    "Reflect.deleteProperty": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 150],
    "Reflect.get": [0, 11, 21, 23, 24, 25, 26, 29, 36, 37, 54, 57, 58, 60, 65, 66, 73, 74, 75, 79, 81, 82, 83, 86, 88, 92, 94, 101, 102, 103, 104, 114, 153],
    "Reflect.getOwnPropertyDescriptor": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 151],
    "Reflect.getPrototypeOf": [0, 11, 21, 23, 24, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 83, 86, 88, 92, 94, 101, 102, 103, 104, 114, 152],
    "Reflect.has": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 154],
    "Reflect.isExtensible": [0, 7, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 84, 86, 88, 92, 94, 101, 102, 103, 104, 114, 155],
    "Reflect.ownKeys": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 156],
    "Reflect.preventExtensions": [0, 11, 21, 23, 25, 26, 29, 36, 37, 39, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 157],
    "Reflect.setPrototypeOf": [0, 4, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 89, 92, 94, 101, 102, 103, 104, 114, 158],
    "String.prototype.codePointAt": [0, 11, 21, 22, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 97, 101, 102, 103, 104, 108, 109, 114, 159],
    "String.fromCodePoint": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 160],
    "String.raw": [0, 11, 21, 22, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 109, 114, 161],
    "String.prototype.repeat": [0, 11, 21, 22, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 99, 101, 102, 103, 104, 108, 109, 114, 162],
    "Object.entries": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 87, 88, 90, 92, 94, 101, 102, 103, 104, 114, 135],
    "Object.getOwnPropertyDescriptors": [0, 11, 21, 23, 25, 26, 27, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 137],
    "Object.values": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 87, 88, 90, 92, 94, 101, 102, 103, 104, 114, 146],
    "focus-visible": [163]
  },
  "maxSize": 87683
}`,Xw=JSON.parse(wee),r1={title:"Avoid serving legacy JavaScript to modern browsers",description:"Polyfills and transforms enable legacy browsers to use new JavaScript features. However, many aren't necessary for modern browsers. For your bundled JavaScript, adopt a modern script deployment strategy using module/nomodule feature detection to reduce the amount of code shipped to modern browsers, while retaining support for legacy browsers. [Learn how to use modern JavaScript](https://web.dev/publish-modern-javascript/)"},n1=w("core/audits/byte-efficiency/legacy-javascript.js",r1),Zw=class{static{s(this,"CodePatternMatcher")}constructor(e){let n=e.map(r=>`(${r.expression})`).join("|");this.re=new RegExp(`(^\r
|\r|
)|${n}`,"g"),this.patterns=e}match(e){this.re.lastIndex=0;let n=new Set,r=[],a,o=0,i=0;for(;(a=this.re.exec(e))!==null;){let c=a.slice(1),[u,...l]=c;if(u){o++,i=a.index+1;continue}let m=this.patterns[l.findIndex(Boolean)];if(n.has(m)){let p=r.find(g=>g.name===m.name);p&&(p.count+=1);continue}n.add(m),r.push({name:m.name,line:o,column:a.index-i,count:1})}return r}},Qw=class extends ie{static{s(this,"LegacyJavascript")}static get meta(){return{id:"legacy-javascript",scoreDisplayMode:ie.SCORING_MODES.NUMERIC,description:n1(r1.description),title:n1(r1.title),requiredArtifacts:["devtoolsLogs","traces","Scripts","SourceMaps","GatherContext","URL"]}}static buildPolyfillExpression(e,n){let r=s(o=>`['"]${o}['"]`,"qt"),a="";if(e?a+=`${e}\\.${n}\\s?=[^=]`:a+=`(?:window\\.|[\\s;]+)${n}\\s?=[^=]`,e&&(a+=`|${e}\\[${r(n)}\\]\\s?=[^=]`),a+=`|defineProperty\\(${e||"window"},\\s?${r(n)}`,e){let o=e.replace(".prototype","");a+=`|\\$export\\([^,]+,${r(o)},{${n}:`,a+=`|{target:${r(o)}\\S*},{${n}:`}else a+=`|function ${n}\\(`;return a}static getPolyfillData(){let e=[{name:"focus-visible",modules:["focus-visible"]}],n=[["Array.prototype.fill","es6.array.fill"],["Array.prototype.filter","es6.array.filter"],["Array.prototype.find","es6.array.find"],["Array.prototype.findIndex","es6.array.find-index"],["Array.prototype.forEach","es6.array.for-each"],["Array.from","es6.array.from"],["Array.isArray","es6.array.is-array"],["Array.prototype.map","es6.array.map"],["Array.of","es6.array.of"],["Array.prototype.some","es6.array.some"],["Date.now","es6.date.now"],["Date.prototype.toISOString","es6.date.to-iso-string"],["Date.prototype.toJSON","es6.date.to-json"],["Date.prototype.toString","es6.date.to-string"],["Function.prototype.name","es6.function.name"],["Number.isInteger","es6.number.is-integer"],["Number.isSafeInteger","es6.number.is-safe-integer"],["Object.defineProperties","es6.object.define-properties"],["Object.defineProperty","es6.object.define-property"],["Object.freeze","es6.object.freeze"],["Object.getPrototypeOf","es6.object.get-prototype-of"],["Object.isExtensible","es6.object.is-extensible"],["Object.isFrozen","es6.object.is-frozen"],["Object.isSealed","es6.object.is-sealed"],["Object.keys","es6.object.keys"],["Object.preventExtensions","es6.object.prevent-extensions"],["Object.seal","es6.object.seal"],["Object.setPrototypeOf","es6.object.set-prototype-of"],["Reflect.apply","es6.reflect.apply"],["Reflect.construct","es6.reflect.construct"],["Reflect.defineProperty","es6.reflect.define-property"],["Reflect.deleteProperty","es6.reflect.delete-property"],["Reflect.get","es6.reflect.get"],["Reflect.getOwnPropertyDescriptor","es6.reflect.get-own-property-descriptor"],["Reflect.getPrototypeOf","es6.reflect.get-prototype-of"],["Reflect.has","es6.reflect.has"],["Reflect.isExtensible","es6.reflect.is-extensible"],["Reflect.ownKeys","es6.reflect.own-keys"],["Reflect.preventExtensions","es6.reflect.prevent-extensions"],["Reflect.setPrototypeOf","es6.reflect.set-prototype-of"],["String.prototype.codePointAt","es6.string.code-point-at"],["String.fromCodePoint","es6.string.from-code-point"],["String.raw","es6.string.raw"],["String.prototype.repeat","es6.string.repeat"],["Object.entries","es7.object.entries"],["Object.getOwnPropertyDescriptors","es7.object.get-own-property-descriptors"],["Object.values","es7.object.values"]];for(let[r,a]of n)e.push({name:r,modules:[a,a.replace("es6.","es.").replace("es7.","es.").replace("typed.","typed-array.")],corejs:!0});return e}static getCoreJsPolyfillData(){return this.getPolyfillData().filter(e=>e.corejs).map(e=>({name:e.name,coreJs2Module:e.modules[0],coreJs3Module:e.modules[1]}))}static getPolyfillPatterns(){let e=[];for(let{name:n}of this.getCoreJsPolyfillData()){let r=n.split("."),a=r.length>1?r.slice(0,r.length-1).join("."):null,o=r[r.length-1];e.push({name:n,expression:this.buildPolyfillExpression(a,o)})}return e}static getTransformPatterns(){return[{name:"@babel/plugin-transform-classes",expression:"Cannot call a class as a function",estimateBytes:e=>150+e.count*17},{name:"@babel/plugin-transform-regenerator",expression:/regeneratorRuntime\(?\)?\.a?wrap/.source,estimateBytes:e=>e.count*80},{name:"@babel/plugin-transform-spread",expression:/\.apply\(void 0,\s?_toConsumableArray/.source,estimateBytes:e=>1169+e.count*20}]}static detectAcrossScripts(e,n,r,a){let o=new Map,i=this.getPolyfillData();for(let c of Object.values(n)){if(!c.content)continue;let u=e.match(c.content),l=a.find(m=>m.script.scriptId===c.scriptId);if(l)for(let{name:m,modules:p}of i){if(u.some(y=>y.name===m))continue;let g=l.rawMap.sources.find(y=>p.some(b=>y.endsWith(`${b}.js`)));if(!g)continue;let f=l.map.mappings().find(y=>y.sourceURL===g);f?u.push({name:m,line:f.lineNumber,column:f.columnNumber,count:1}):u.push({name:m,line:0,column:0,count:1})}u.length&&o.set(c,u)}return o}static estimateWastedBytes(e){let n=e.filter(u=>!u.name.startsWith("@")),r=e.filter(u=>u.name.startsWith("@")),a=0,o=new Set;for(let u of n){let l=Xw.dependencies[u.name];if(l)for(let m of l)o.add(m)}a+=[...o].reduce((u,l)=>u+Xw.moduleSizes[l],0),a=Math.min(a,Xw.maxSize);let i=0;for(let u of r){let l=this.getTransformPatterns().find(m=>m.name===u.name);!l||!l.estimateBytes||(i+=l.estimateBytes(u))}return a+i}static async estimateTransferRatioForScript(e,n,r,a){let o=e.get(n);if(o!==void 0)return o;let i=r.Scripts.find(c=>c.url===n);if(!i||i.content===null)o=1;else{let c=ao(a,i),u=i.length||0;o=ie.estimateTransferSize(c,u,"Script")/u}return e.set(n,o),o}static async audit_(e,n,r){let a=e.devtoolsLogs[h.DEFAULT_PASS],o=await gn.request({URL:e.URL,devtoolsLog:a},r),i=await vn.request(e,r),c=[],u=new Zw([...this.getPolyfillPatterns(),...this.getTransformPatterns()]),l=new Map,m=this.detectAcrossScripts(u,e.Scripts,n,i);for(let[f,y]of m.entries()){let b=await this.estimateTransferRatioForScript(l,f.url,e,n),D=Math.round(this.estimateWastedBytes(y)*b),T={url:f.url,wastedBytes:D,subItems:{type:"subitems",items:[]},totalBytes:0},A=i.find(R=>R.script.scriptId===f.scriptId);for(let R of y){let{name:F,line:M,column:V}=R,z={signal:F,location:ie.makeSourceLocation(f.url,M,V,A)};T.subItems.items.push(z)}c.push(T)}let p=new Map;for(let f of c)o.isFirstParty(f.url)&&p.set(f.url,f.wastedBytes);let g=[{key:"url",valueType:"url",subItemsHeading:{key:"location",valueType:"source-location"},label:n1(x.columnURL)},{key:null,valueType:"code",subItemsHeading:{key:"signal"},label:""},{key:"wastedBytes",valueType:"bytes",label:n1(x.columnWastedBytes)}];return{items:c,headings:g,wastedBytesByUrl:p}}},Dee=Qw});var m8={};S(m8,{UIStrings:()=>a1,default:()=>Tee});var a1,rd,Eee,e0,Tee,p8=v(()=>{"use strict";d();Xt();lt();k();a1={title:"Serve images in next-gen formats",description:"Image formats like WebP and AVIF often provide better compression than PNG or JPEG, which means faster downloads and less data consumption. [Learn more about modern image formats](https://developer.chrome.com/docs/lighthouse/performance/uses-webp-images/)."},rd=w("core/audits/byte-efficiency/modern-image-formats.js",a1),Eee=8192,e0=class t extends ie{static{s(this,"ModernImageFormats")}static get meta(){return{id:"modern-image-formats",title:rd(a1.title),description:rd(a1.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,requiredArtifacts:["OptimizedImages","devtoolsLogs","traces","URL","GatherContext","ImageElements"]}}static estimateWebPSizeFromDimensions(e){let n=e.naturalWidth*e.naturalHeight,r=2*1/10;return Math.round(n*r)}static estimateAvifSizeFromDimensions(e){let n=e.naturalWidth*e.naturalHeight,r=2*1/12;return Math.round(n*r)}static estimateAvifSizeFromWebPAndJpegEstimates(e){if(!e.jpegSize||!e.webpSize)return;let n=e.jpegSize*5/10,r=e.webpSize*8/10;return n/2+r/2}static audit_(e){let n=e.URL.finalDisplayedUrl,r=e.OptimizedImages,a=e.ImageElements,o=new Map;a.forEach(l=>o.set(l.src,l));let i=[],c=[];for(let l of r){let m=o.get(l.url);if(l.failed){c.push(`Unable to decode ${te.getURLDisplayName(l.url)}`);continue}if(l.mimeType==="image/webp"||l.mimeType==="image/avif")continue;let p=l.jpegSize,g=l.webpSize,f=t.estimateAvifSizeFromWebPAndJpegEstimates({jpegSize:p,webpSize:g}),y=!0;if(typeof g>"u"){if(!m){c.push(`Unable to locate resource ${te.getURLDisplayName(l.url)}`);continue}if(!m.naturalDimensions)continue;let R=m.naturalDimensions.height,F=m.naturalDimensions.width;if(!F||!R)continue;g=t.estimateWebPSizeFromDimensions({naturalHeight:R,naturalWidth:F}),f=t.estimateAvifSizeFromDimensions({naturalHeight:R,naturalWidth:F}),y=!1}if(g===void 0||f===void 0)continue;let b=l.originalSize-g,D=l.originalSize-f;if(D<Eee)continue;let T=te.elideDataURI(l.url),A=!te.originsMatch(n,l.url);i.push({node:m?ie.makeNodeItem(m.node):void 0,url:T,fromProtocol:y,isCrossOrigin:A,totalBytes:l.originalSize,wastedBytes:D,wastedWebpBytes:b})}let u=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:rd(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:rd(x.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:rd(x.columnWastedBytes)}];return{warnings:c,items:i,headings:u}}},Tee=e0});var t0,bn,oo=v(()=>{"use strict";d();Ar();Jt();Ur();De();t0=class{static{s(this,"Metric")}constructor(){}static getMetricComputationInput(e){return{trace:e.trace,devtoolsLog:e.devtoolsLog,gatherContext:e.gatherContext,settings:e.settings,URL:e.URL}}static computeSimulatedMetric(e,n){throw new Error("Unimplemented")}static computeObservedMetric(e,n){throw new Error("Unimplemented")}static async compute_(e,n){let r=e.gatherContext||{gatherMode:"navigation"},{trace:a,devtoolsLog:o,settings:i}=e;if(!a||!o||!i)throw new Error("Did not provide necessary metric computation data");let c=await Ye.request(a,n),u=r.gatherMode==="timespan"?void 0:await on.request(a,n),l=Object.assign({networkRecords:await $.request(o,n),gatherContext:r,processedTrace:c,processedNavigation:u},e);switch(Kt.assertHasToplevelEvents(l.processedTrace.mainThreadEvents),i.throttlingMethod){case"simulate":if(r.gatherMode!=="navigation")throw new Error(`${r.gatherMode} does not support throttlingMethod simulate`);return this.computeSimulatedMetric(l,n);case"provided":case"devtools":return this.computeObservedMetric(l,n);default:throw new TypeError(`Unrecognized throttling method: ${i.throttlingMethod}`)}}},bn=t0});var xt,Br=v(()=>{"use strict";d();oo();xt=class extends bn{static{s(this,"NavigationMetric")}static computeSimulatedMetric(e,n){throw new Error("Unimplemented")}static computeObservedMetric(e,n){throw new Error("Unimplemented")}static async compute_(e,n){if(e.gatherContext.gatherMode!=="navigation")throw new Error(`${this.name} can only be computed on navigations`);return super.compute_(e,n)}}});var o1,See,n0,io,ad=v(()=>{"use strict";d();we();Br();oi();ph();Ar();Bt();o1=5e3,See=2,n0=class t extends xt{static{s(this,"Interactive")}static _findNetworkQuietPeriods(e,n){let r=n.timestamps.traceEnd/1e3,a=e.filter(o=>o.finished&&o.requestMethod==="GET"&&!o.failed&&o.statusCode<400);return fs.findNetworkQuietPeriods(a,See,r)}static _findCPUQuietPeriods(e,n){let r=n.timestamps.timeOrigin/1e3,a=n.timestamps.traceEnd/1e3;if(e.length===0)return[{start:0,end:a}];let o=[];return e.forEach((i,c)=>{c===0&&o.push({start:0,end:i.start+r}),c===e.length-1?o.push({start:i.end+r,end:a}):o.push({start:i.end+r,end:e[c+1].start+r})}),o}static findOverlappingQuietPeriods(e,n,r){let a=r.timestamps.firstContentfulPaint/1e3,o=s(g=>g.end>a+o1&&g.end-g.start>=o1,"isLongEnoughQuietPeriod"),i=this._findNetworkQuietPeriods(n,r).filter(o),c=this._findCPUQuietPeriods(e,r).filter(o),u=c.slice(),l=i.slice(),m=u.shift(),p=l.shift();for(;m&&p;)if(m.start>=p.start){if(p.end>=m.start+o1)return{cpuQuietPeriod:m,networkQuietPeriod:p,cpuQuietPeriods:c,networkQuietPeriods:i};p=l.shift()}else{if(m.end>=p.start+o1)return{cpuQuietPeriod:m,networkQuietPeriod:p,cpuQuietPeriods:c,networkQuietPeriods:i};m=u.shift()}throw new G(m?G.errors.NO_TTI_NETWORK_IDLE_PERIOD:G.errors.NO_TTI_CPU_IDLE_PERIOD)}static computeSimulatedMetric(e,n){let r=xt.getMetricComputationInput(e);return jn.request(r,n)}static computeObservedMetric(e){let{processedTrace:n,processedNavigation:r,networkRecords:a}=e;if(!r.timestamps.domContentLoaded)throw new G(G.errors.NO_DCL);let o=Kt.getMainThreadTopLevelEvents(n).filter(m=>m.duration>=50),c=t.findOverlappingQuietPeriods(o,a,r).cpuQuietPeriod,u=Math.max(c.start,r.timestamps.firstContentfulPaint/1e3,r.timestamps.domContentLoaded/1e3)*1e3,l=(u-r.timestamps.timeOrigin)/1e3;return Promise.resolve({timing:l,timestamp:u})}},io=W(n0,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var y8={};S(y8,{UIStrings:()=>i1,default:()=>Cee});var i1,od,r0,xee,f8,g8,h8,a0,Cee,v8=v(()=>{"use strict";d();Xt();St();da();lt();k();ad();Jt();i1={title:"Defer offscreen images",description:"Consider lazy-loading offscreen and hidden images after all critical resources have finished loading to lower time to interactive. [Learn how to defer offscreen images](https://developer.chrome.com/docs/lighthouse/performance/offscreen-images/)."},od=w("core/audits/byte-efficiency/offscreen-images.js",i1),r0=100,xee=3,f8=2048,g8=75,h8=50,a0=class t extends ie{static{s(this,"OffscreenImages")}static get meta(){return{id:"offscreen-images",title:od(i1.title),description:od(i1.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["ImageElements","ViewportDimensions","GatherContext","devtoolsLogs","traces","URL"]}}static computeVisiblePixels(e,n){let r=n.innerWidth,a=n.innerHeight,o=xee*n.innerHeight,i=Math.max(e.top,-1*r0),c=Math.min(e.right,r+r0),u=Math.min(e.bottom,a+o),l=Math.max(e.left,-1*r0);return Math.max(c-l,0)*Math.max(u-i,0)}static computeWaste(e,n,r){let a=r.find(p=>p.url===e.src);if(!a||e.loading==="lazy"||e.loading==="eager")return null;let o=te.elideDataURI(e.src),i=e.displayedWidth*e.displayedHeight,c=this.computeVisiblePixels(e.clientRect,n),u=i===0?1:1-c/i,l=Y.getResourceSizeOnNetwork(a),m=Math.round(l*u);return Number.isFinite(u)?{node:ie.makeNodeItem(e.node),url:o,requestStartTime:a.networkRequestTime,totalBytes:l,wastedBytes:m,wastedPercent:100*u}:new Error(`Invalid image sizing information ${o}`)}static filterLanternResults(e,n){let r=n.pessimisticEstimate.nodeTimings,a=0,o=new Map;for(let[i,c]of r)i.type==="cpu"&&c.duration>=50?a=Math.max(a,c.startTime):i.type==="network"&&o.set(i.record.url,c.startTime);return e.filter(i=>i.wastedBytes<f8||i.wastedPercent<g8?!1:(o.get(i.url)||0)<a-h8)}static filterObservedResults(e,n){return e.filter(r=>r.wastedBytes<f8||r.wastedPercent<g8?!1:r.requestStartTime<n/1e3-h8)}static computeWasteWithTTIGraph(e,n,r){return super.computeWasteWithTTIGraph(e,n,r,{includeLoad:!1})}static async audit_(e,n,r){let a=e.ImageElements,o=e.ViewportDimensions,i=e.GatherContext,c=e.traces[ie.DEFAULT_PASS],u=e.devtoolsLogs[ie.DEFAULT_PASS],l=e.URL,m=[],p=new Map;for(let D of a){let T=t.computeWaste(D,o,n);if(T===null)continue;if(T instanceof Error){m.push(T.message),en.captureException(T,{tags:{audit:this.meta.id},level:"warning"});continue}let A=p.get(T.url);(!A||A.wastedBytes>T.wastedBytes)&&p.set(T.url,T)}let g=r.settings,f,y=Array.from(p.values());try{let D={trace:c,devtoolsLog:u,gatherContext:i,settings:g,URL:l},T=await io.request(D,r),A=T;f=r.settings.throttlingMethod==="simulate"?t.filterLanternResults(y,A):t.filterObservedResults(y,T.timestamp)}catch(D){if(r.settings.throttlingMethod==="simulate")throw D;f=t.filterObservedResults(y,await Ye.request(c,r).then(T=>T.timestamps.traceEnd))}let b=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:od(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:od(x.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:od(x.columnWastedBytes)}];return{warnings:m,items:f,headings:b}}},Cee=a0});var Ns,o0,Ls,s1=v(()=>{"use strict";d();we();Xt();De();Rr();Ns=100,o0=class t{static{s(this,"UnusedCSS")}static indexStylesheetsById(e,n){let r=n.filter(a=>a.resourceSize>0).reduce((a,o)=>(a[o.url]=o,a),{});return e.reduce((a,o)=>(a[o.header.styleSheetId]=Object.assign({usedRules:[],networkRecord:r[o.header.sourceURL]},o),a),{})}static indexUsedRules(e,n){e.forEach(r=>{let a=n[r.styleSheetId];a&&r.used&&a.usedRules.push(r)})}static computeUsage(e){let n=0,r=e.content.length;for(let c of e.usedRules)n+=c.endOffset-c.startOffset;let a=ie.estimateTransferSize(e.networkRecord,r,"Stylesheet"),o=(r-n)/r;return{wastedBytes:Math.round(o*a),wastedPercent:o*100,totalBytes:a}}static determineContentPreview(e){let n=rt.truncate(e||"",Ns*5,"").replace(/( {2,}|\t)+/g,"  ").replace(/\n\s+}/g,`
}`).trim();if(n.length>Ns){let r=n.indexOf("{"),a=n.indexOf("}");if(r===-1||a===-1||r>a||r>Ns)n=rt.truncate(n,Ns);else if(a<Ns)n=n.slice(0,a+1)+" …";else{let o=rt.truncate(n,Ns,""),i=o.lastIndexOf(";");n=i<r?o+"… } …":n.slice(0,i+1)+" … } …"}}return n}static mapSheetToResult(e){let n=e.header.sourceURL;(!n||e.header.isInline)&&(n=t.determineContentPreview(e.content));let r=t.computeUsage(e);return{url:n,...r}}static async compute_(e,n){let{CSSUsage:r,devtoolsLog:a}=e,o=await $.request(a,n),i=t.indexStylesheetsById(r.stylesheets,o);return t.indexUsedRules(r.rules,i),Object.keys(i).map(u=>t.mapSheetToResult(i[u]))}},Ls=W(o0,["CSSUsage","devtoolsLog"])});var i0,Ps,c1=v(()=>{"use strict";d();we();Br();fr();i0=class extends xt{static{s(this,"FirstContentfulPaint")}static computeSimulatedMetric(e,n){let r=xt.getMetricComputationInput(e);return It.request(r,n)}static async computeObservedMetric(e){let{processedNavigation:n}=e;return{timing:n.timings.firstContentfulPaint,timestamp:n.timestamps.firstContentfulPaint}}},Ps=W(i0,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var w8={};S(w8,{UIStrings:()=>u1,default:()=>_ee});function Fee(t){let e={};return Array.from(t.keys()).forEach(r=>{if(r.type!=="network")return;let a=t.get(r);a&&(e[r.record.url]={node:r,nodeTiming:a})}),e}function Ree(t,e,n){let r=t.get(e);if(!r)return;let a=b8(e,r,n);r.duration-a.duration&&(e.traverse(i=>{t.delete(i)}),t.set(e,a))}function b8(t,e,n){let r={...e};return n.some(a=>a.id==="amp")&&t.type===Fe.TYPES.NETWORK&&t.record.resourceType===Y.TYPES.Stylesheet&&e.endTime>2100&&(r.endTime=Math.max(e.startTime,2100),r.duration=r.endTime-r.startTime),r}var Aee,u1,Os,s0,_ee,D8=v(()=>{"use strict";d();J();k();An();Xt();s1();St();Ur();tr();c1();Aee=50,u1={title:"Eliminate render-blocking resources",description:"Resources are blocking the first paint of your page. Consider delivering critical JS/CSS inline and deferring all non-critical JS/styles. [Learn how to eliminate render-blocking resources](https://developer.chrome.com/docs/lighthouse/performance/render-blocking-resources/)."},Os=w("core/audits/byte-efficiency/render-blocking-resources.js",u1);s(Fee,"getNodesAndTimingByUrl");s(Ree,"adjustNodeTimings");s(b8,"computeStackSpecificTiming");s0=class t extends h{static{s(this,"RenderBlockingResources")}static get meta(){return{id:"render-blocking-resources",title:Os(u1.title),supportedModes:["navigation"],scoreDisplayMode:h.SCORING_MODES.NUMERIC,description:Os(u1.description),requiredArtifacts:["URL","TagsBlockingFirstPaint","traces","devtoolsLogs","CSSUsage","GatherContext","Stacks"]}}static async computeResults(e,n){let r=e.GatherContext,a=e.traces[h.DEFAULT_PASS],o=e.devtoolsLogs[h.DEFAULT_PASS],i={devtoolsLog:o,settings:n.settings},c=await on.request(a,n),u=await Ht.request(i,n),l=await t.computeWastedCSSBytes(e,n),m={...n.settings,throttlingMethod:"simulate"},p={trace:a,devtoolsLog:o,gatherContext:r,simulator:u,settings:m,URL:e.URL},g=await Ps.request(p,n),f=c.timestamps.firstContentfulPaint/1e3,y=Fee(g.optimisticEstimate.nodeTimings),b=[],D=new Set;for(let A of e.TagsBlockingFirstPaint){if(A.endTime>f||!y[A.tag.url])continue;let{node:R,nodeTiming:F}=y[A.tag.url],M=b8(R,F,e.Stacks);R.traverse(z=>D.add(z.id));let V=Math.round(M.duration);V<Aee||b.push({url:A.tag.url,totalBytes:A.transferSize,wastedMs:V})}if(!b.length)return{results:b,wastedMs:0};let T=t.estimateSavingsWithGraphs(u,g.optimisticGraph,D,l,e.Stacks);return{results:b,wastedMs:T}}static estimateSavingsWithGraphs(e,n,r,a,o){let{nodeTimings:i}=e.simulate(n),c=new Map(i),u=0,l=n.cloneWithRelationships(y=>{Ree(c,y,o);let b=r.has(y.id);if(y.type!==Fe.TYPES.NETWORK)return!b;let D=y.record.resourceType===Y.TYPES.Stylesheet;if(b&&D){let T=a.get(y.record.url)||0;u+=(y.record.transferSize||0)-T}return!b});if(l.type!=="network")throw new Error("minimalFCPGraph not a NetworkNode");let m=Math.max(...Array.from(Array.from(c).map(y=>y[1].endTime))),p=l.record.transferSize,g=p||0;l.record.transferSize=g+u;let f=e.simulate(l).timeInMs;return l.record.transferSize=p,Math.round(Math.max(m-f,0))}static async computeWastedCSSBytes(e,n){let r=new Map;try{let a=await Ls.request({CSSUsage:e.CSSUsage,devtoolsLog:e.devtoolsLogs[h.DEFAULT_PASS]},n);for(let o of a)r.set(o.url,o.wastedBytes)}catch{}return r}static async audit(e,n){let{results:r,wastedMs:a}=await t.computeResults(e,n),o;r.length>0&&(o=Os(x.displayValueMsSavings,{wastedMs:a}));let i=[{key:"url",valueType:"url",label:Os(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:Os(x.columnTransferSize)},{key:"wastedMs",valueType:"timespanMs",label:Os(x.columnWastedMs)}],c=h.makeOpportunityDetails(i,r,{overallSavingsMs:a});return{displayValue:o,score:ie.scoreForWastedMs(a),numericValue:a,numericUnit:"millisecond",details:c,metricSavings:{FCP:a,LCP:a}}}},_ee=s0});var E8={};S(E8,{UIStrings:()=>Bs,default:()=>kee});var Bs,Us,c0,kee,T8=v(()=>{"use strict";d();J();k();St();De();Bs={title:"Avoids enormous network payloads",failureTitle:"Avoid enormous network payloads",description:"Large network payloads cost users real money and are highly correlated with long load times. [Learn how to reduce payload sizes](https://developer.chrome.com/docs/lighthouse/performance/total-byte-weight/).",displayValue:"Total size was {totalBytes, number, bytes} KiB"},Us=w("core/audits/byte-efficiency/total-byte-weight.js",Bs),c0=class extends h{static{s(this,"TotalByteWeight")}static get meta(){return{id:"total-byte-weight",title:Us(Bs.title),failureTitle:Us(Bs.failureTitle),description:Us(Bs.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs"]}}static get defaultOptions(){return{p10:2667*1024,median:4e3*1024}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await $.request(r,n),o=0,i=[];a.forEach(m=>{if(Y.isNonNetworkRequest(m)||!m.transferSize)return;let p={url:m.url,totalBytes:m.transferSize};o+=p.totalBytes,i.push(p)}),i=i.sort((m,p)=>p.totalBytes-m.totalBytes||m.url.localeCompare(p.url)).slice(0,10);let c=h.computeLogNormalScore({p10:n.options.p10,median:n.options.median},o),u=[{key:"url",valueType:"url",label:Us(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:Us(x.columnTransferSize)}],l=h.makeTableDetails(u,i,{sortedBy:["totalBytes"]});return{score:c,numericValue:o,numericUnit:"byte",displayValue:Us(Bs.displayValue,{totalBytes:o}),details:l}}},kee=c0});function Nee(t,e){for(let n=e;n>0;n--){let r=Math.max(0,n-6),a=t.slice(r,n);if(!Mee.test(a))return Iee.test(a)}return!0}function S8(t,e){let n=0,r=!1,a=!1,o=!1,i=!1,c=!1,u=!1,l=null,m=[];for(let p=0;p<t.length;p++){let g=t.substr(p,2),f=g.charAt(0),y=f===" "||f===`
`||f==="	",b=f==="'"||f==='"'||f==="`";r?f===`
`&&(r=!1):a?(o&&n++,g==="*/"&&(o&&n++,a=!1,p++)):i?(n++,l==="`"&&g==="${"?(m.push("templateBrace"),i=!1,n++,p++):f==="\\"?(n++,p++):f===l&&(i=!1)):c?(n++,f==="\\"?(n++,p++):f==="["?u=!0:f==="]"&&u?u=!1:f==="/"&&!u&&(c=!1)):g==="/*"?(a=!0,o=t.charAt(p+2)==="!",o&&(n+=2),p++):g==="//"&&e.singlelineComments?(r=!0,a=!1,o=!1,p++):f==="/"&&e.regex&&Nee(t,p)?(c=!0,n++):f==="{"&&m.length?(m.push("normalBrace"),n++):f==="}"&&m.length?(m[m.length-1]==="templateBrace"&&(i=!0,l="`"),m.pop(),n++):b?(i=!0,l=f,n++):y||n++}return a||i?t.length:n}function x8(t){return S8(t,{singlelineComments:!0,regex:!0})}function C8(t){return S8(t,{singlelineComments:!1,regex:!1})}var Iee,Mee,u0=v(()=>{"use strict";d();Iee=/(return|case|{|\(|\[|\.\.\.|;|,|<|>|<=|>=|==|!=|===|!==|\+|-|\*|%|\*\*|\+\+|--|<<|>>|>>>|&|\||\^|!|~|&&|\|\||\?|:|=|\+=|-=|\*=|%=|\*\*=|<<=|>>=|>>>=|&=|\|=|\^=|=>|\/|\/=|\})$/,Mee=/( |\n|\t)+$/;s(Nee,"hasPunctuatorBefore");s(S8,"computeTokenLength");s(x8,"computeJSTokenLength");s(C8,"computeCSSTokenLength")});var A8={};S(A8,{UIStrings:()=>l1,default:()=>Oee});var l1,id,Lee,Pee,l0,Oee,F8=v(()=>{"use strict";d();Xt();s1();k();u0();l1={title:"Minify CSS",description:"Minifying CSS files can reduce network payload sizes. [Learn how to minify CSS](https://developer.chrome.com/docs/lighthouse/performance/unminified-css/)."},id=w("core/audits/byte-efficiency/unminified-css.js",l1),Lee=5,Pee=2048,l0=class t extends ie{static{s(this,"UnminifiedCSS")}static get meta(){return{id:"unminified-css",title:id(l1.title),description:id(l1.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,requiredArtifacts:["CSSUsage","devtoolsLogs","traces","URL","GatherContext"]}}static computeTokenLength(e){return C8(e)}static computeWaste(e,n){let r=e.content,a=t.computeTokenLength(r),o=e.header.sourceURL;(!o||e.header.isInline)&&(o=Ls.determineContentPreview(e.content));let i=ie.estimateTransferSize(n,r.length,"Stylesheet"),c=1-a/r.length,u=Math.round(i*c);return{url:o,totalBytes:i,wastedBytes:u,wastedPercent:100*c}}static audit_(e,n){let r=[];for(let o of e.CSSUsage.stylesheets){let i=n.find(u=>u.url===o.header.sourceURL);if(!o.content)continue;let c=t.computeWaste(o,i);c.wastedPercent<Lee||c.wastedBytes<Pee||!Number.isFinite(c.wastedBytes)||r.push(c)}let a=[{key:"url",valueType:"url",label:id(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:id(x.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:id(x.columnWastedBytes)}];return{items:r,headings:a}}},Oee=l0});var R8={};S(R8,{UIStrings:()=>d1,default:()=>jee});var d1,sd,Uee,Bee,d0,jee,_8=v(()=>{"use strict";d();Xt();k();u0();Ms();Rr();d1={title:"Minify JavaScript",description:"Minifying JavaScript files can reduce payload sizes and script parse time. [Learn how to minify JavaScript](https://developer.chrome.com/docs/lighthouse/performance/unminified-javascript/)."},sd=w("core/audits/byte-efficiency/unminified-javascript.js",d1),Uee=10,Bee=2048,d0=class t extends ie{static{s(this,"UnminifiedJavaScript")}static get meta(){return{id:"unminified-javascript",title:sd(d1.title),description:sd(d1.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,requiredArtifacts:["Scripts","devtoolsLogs","traces","GatherContext","URL"]}}static computeWaste(e,n,r){let a=e.length,o=x8(e),i=ie.estimateTransferSize(r,a,"Script"),c=1-o/a,u=Math.round(i*c);return{url:n,totalBytes:i,wastedBytes:u,wastedPercent:100*c}}static audit_(e,n){let r=[],a=[];for(let i of e.Scripts){if(!i.content)continue;let c=ao(n,i),u=Qp(i)?`inline: ${rt.truncate(i.content,40)}`:i.url;try{let l=t.computeWaste(i.content,u,c);if(l.wastedPercent<Uee||l.wastedBytes<Bee||!Number.isFinite(l.wastedBytes))continue;r.push(l)}catch(l){a.push(`Unable to process script ${i.url}: ${l.message}`)}}let o=[{key:"url",valueType:"url",label:sd(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:sd(x.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:sd(x.columnWastedBytes)}];return{items:r,warnings:a,headings:o}}},jee=d0});var k8={};S(k8,{UIStrings:()=>m1,default:()=>zee});var m1,cd,qee,m0,zee,I8=v(()=>{"use strict";d();Xt();s1();k();m1={title:"Reduce unused CSS",description:"Reduce unused rules from stylesheets and defer CSS not used for above-the-fold content to decrease bytes consumed by network activity. [Learn how to reduce unused CSS](https://developer.chrome.com/docs/lighthouse/performance/unused-css-rules/)."},cd=w("core/audits/byte-efficiency/unused-css-rules.js",m1),qee=10*1024,m0=class extends ie{static{s(this,"UnusedCSSRules")}static get meta(){return{id:"unused-css-rules",title:cd(m1.title),description:cd(m1.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,requiredArtifacts:["CSSUsage","URL","devtoolsLogs","traces","GatherContext"]}}static async audit_(e,n,r){let o=(await Ls.request({CSSUsage:e.CSSUsage,devtoolsLog:e.devtoolsLogs[ie.DEFAULT_PASS]},r)).filter(c=>c&&c.wastedBytes>qee),i=[{key:"url",valueType:"url",label:cd(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:cd(x.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:cd(x.columnWastedBytes)}];return{items:o,headings:i}}},zee=m0});var p0,p1,f0=v(()=>{"use strict";d();we();p0=class t{static{s(this,"UnusedJavascriptSummary")}static computeWaste(e){let n=0;for(let o of e.functions)n=Math.max(n,...o.ranges.map(i=>i.endOffset));let r=new Uint8Array(n);for(let o of e.functions)for(let i of o.ranges)if(i.count===0)for(let c=i.startOffset;c<i.endOffset;c++)r[c]=1;let a=0;for(let o of r)a+=o;return{unusedByIndex:r,unusedLength:a,contentLength:n}}static createItem(e,n){let r=n.unusedLength/n.contentLength||0,a=Math.round(n.contentLength*r);return{scriptId:e,totalBytes:n.contentLength,wastedBytes:a,wastedPercent:100*r}}static createSourceWastedBytes(e,n){if(!n.script.content)return;let r={},a=n.script.content.split(`
`).map(l=>l.length),o=0,i=a.map(l=>{let m=o;return o+=l+1,m});n.map.computeLastGeneratedColumns();for(let l of n.map.mappings()){let m=i[l.lineNumber];m+=l.columnNumber;let p=l.lastColumnNumber!==void 0?l.lastColumnNumber-1:a[l.lineNumber];for(let g=l.columnNumber;g<=p;g++){if(e.unusedByIndex[m]===1){let f=l.sourceURL||"(unmapped)";r[f]=(r[f]||0)+1}m+=1}}let c=Object.entries(r).sort(([l,m],[p,g])=>g-m),u={};for(let[l,m]of c)u[l]=m;return u}static async compute_(e){let{scriptId:n,scriptCoverage:r,bundle:a}=e,o=t.computeWaste(r),i=t.createItem(n,o);return a?{...i,sourcesWastedBytes:t.createSourceWastedBytes(o,a)}:i}},p1=W(p0,["bundle","scriptCoverage","scriptId"])});var M8={};S(M8,{UIStrings:()=>f1,default:()=>$ee});function Wee(t){if(!t.length)return"";let e=t.reduce((r,a)=>r>a?r:a),n=t.reduce((r,a)=>r>a?a:r);for(;!e.startsWith(n);)n=n.slice(0,-1);return n}function Vee(t,e){return e&&t.startsWith(e)?"…"+t.slice(e.length):t}var f1,ud,Hee,Gee,g0,$ee,N8=v(()=>{"use strict";d();Xt();f0();Ta();k();Ms();f1={title:"Reduce unused JavaScript",description:"Reduce unused JavaScript and defer loading scripts until they are required to decrease bytes consumed by network activity. [Learn how to reduce unused JavaScript](https://developer.chrome.com/docs/lighthouse/performance/unused-javascript/)."},ud=w("core/audits/byte-efficiency/unused-javascript.js",f1),Hee=20*1024,Gee=512;s(Wee,"commonPrefix");s(Vee,"trimCommonPrefix");g0=class extends ie{static{s(this,"UnusedJavaScript")}static get meta(){return{id:"unused-javascript",title:ud(f1.title),description:ud(f1.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,requiredArtifacts:["JsUsage","Scripts","SourceMaps","GatherContext","devtoolsLogs","traces","URL"]}}static async audit_(e,n,r){let a=await vn.request(e,r),{unusedThreshold:o=Hee,bundleSourceUnusedThreshold:i=Gee}=r.options||{},c=[];for(let[u,l]of Object.entries(e.JsUsage)){let m=e.Scripts.find(A=>A.scriptId===u);if(!m)continue;let p=ao(n,m);if(!p)continue;let g=a.find(A=>A.script.scriptId===u),f=await p1.request({scriptId:u,scriptCoverage:l,bundle:g},r);if(f.wastedBytes===0||f.totalBytes===0)continue;let b=ie.estimateTransferSize(p,f.totalBytes,"Script")/f.totalBytes,D={url:m.url,totalBytes:Math.round(b*f.totalBytes),wastedBytes:Math.round(b*f.wastedBytes),wastedPercent:f.wastedPercent};if(D.wastedBytes<=o||(c.push(D),!g||"errorMessage"in g.sizes))continue;let T=g.sizes;if(f.sourcesWastedBytes){let A=Object.entries(f.sourcesWastedBytes).sort((F,M)=>M[1]-F[1]).slice(0,5).map(([F,M])=>{let V=F==="(unmapped)"?T.unmappedBytes:T.files[F];return{source:F,unused:Math.round(M*b),total:Math.round(V*b)}}).filter(F=>F.unused>=i),R=Wee(g.map.sourceURLs());D.subItems={type:"subitems",items:A.map(({source:F,unused:M,total:V})=>({source:Vee(F,R),sourceBytes:V,sourceWastedBytes:M}))}}}return{items:c,headings:[{key:"url",valueType:"url",subItemsHeading:{key:"source",valueType:"code"},label:ud(x.columnURL)},{key:"totalBytes",valueType:"bytes",subItemsHeading:{key:"sourceBytes"},label:ud(x.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",subItemsHeading:{key:"sourceWastedBytes"},label:ud(x.columnWastedBytes)}]}}},$ee=g0});var P8=L((qke,L8)=>{d();L8.exports=s(function(e){if(typeof e!="string")return null;var n=/(?:^|(?:\s*\,\s*))([^\x00-\x20\(\)<>@\,;\:\\"\/\[\]\?\=\{\}\x7F]+)(?:\=(?:([^\x00-\x20\(\)<>@\,;\:\\"\/\[\]\?\=\{\}\x7F]+)|(?:\"((?:[^"\\]|\\.)*)\")))?/g,r={},a=e.replace(n,function(i,c,u,l){var m=u||l;return r[c]=m?m.toLowerCase():!0,""});if(r["max-age"])try{var o=parseInt(r["max-age"],10);if(isNaN(o))return null;r["max-age"]=o}catch{}return a?null:r},"parseCacheControl")});var U8={};S(U8,{UIStrings:()=>js,default:()=>y0});var O8,js,si,Yee,h0,y0,v0=v(()=>{"use strict";d();O8=zt(P8(),1);J();St();lt();yg();k();De();js={title:"Uses efficient cache policy on static assets",failureTitle:"Serve static assets with an efficient cache policy",description:"A long cache lifetime can speed up repeat visits to your page. [Learn more about efficient cache policies](https://developer.chrome.com/docs/lighthouse/performance/uses-long-cache-ttl/).",displayValue:`{itemCount, plural,
    =1 {1 resource found}
    other {# resources found}
    }`},si=w("core/audits/byte-efficiency/uses-long-cache-ttl.js",js),Yee=.925,h0=class t extends h{static{s(this,"CacheHeaders")}static get meta(){return{id:"uses-long-cache-ttl",title:si(js.title),failureTitle:si(js.failureTitle),description:si(js.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs"]}}static get defaultOptions(){return{p10:28*1024,median:128*1024}}static getCacheHitProbability(e){let n=[0,.2,1,3,8,12,24,48,72,168,8760,1/0];if(n.length!==12)throw new Error("deciles 0-10 and 1 for overflow");let r=e/3600,a=n.findIndex(l=>l>=r);if(a===n.length-1)return 1;if(a===0)return 0;let o=n[a],i=n[a-1],c=a/10,u=(a-1)/10;return dF(i,u,o,c,r)}static computeCacheLifetimeInSeconds(e,n){if(n&&n["max-age"]!==void 0)return n["max-age"];let r=e.get("expires");if(r){let a=new Date(r).getTime();return a?Math.ceil((a-Date.now())/1e3):0}return null}static isCacheableAsset(e){let n=new Set([200,203,206]),r=new Set([Y.TYPES.Font,Y.TYPES.Image,Y.TYPES.Media,Y.TYPES.Script,Y.TYPES.Stylesheet]);return Y.isNonNetworkRequest(e)?!1:n.has(e.statusCode)&&r.has(e.resourceType||"Other")}static shouldSkipRecord(e,n){return!!(!n&&(e.get("pragma")||"").includes("no-cache")||n&&(n["must-revalidate"]||n["no-cache"]||n["no-store"]||n["stale-while-revalidate"]||n.private))}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await $.request(r,n),o=[],i=0;for(let m of a){if(!t.isCacheableAsset(m))continue;let p=new Map;for(let R of m.responseHeaders||[])if(p.has(R.name.toLowerCase())){let F=p.get(R.name.toLowerCase());p.set(R.name.toLowerCase(),`${F}, ${R.value}`)}else p.set(R.name.toLowerCase(),R.value);let g=(0,O8.default)(p.get("cache-control"));if(this.shouldSkipRecord(p,g))continue;let f=t.computeCacheLifetimeInSeconds(p,g);if(f!==null&&(!Number.isFinite(f)||f<=0))continue;f=f||0;let y=t.getCacheHitProbability(f);if(y>Yee)continue;let b=te.elideDataURI(m.url),D=m.transferSize||0,T=(1-y)*D;i+=T;let A;g&&(A={type:"debugdata",...g}),o.push({url:b,debugData:A,cacheLifetimeMs:f*1e3,cacheHitProbability:y,totalBytes:D,wastedBytes:T})}o.sort((m,p)=>m.cacheLifetimeMs-p.cacheLifetimeMs||p.totalBytes-m.totalBytes||m.url.localeCompare(p.url));let c=h.computeLogNormalScore({p10:n.options.p10,median:n.options.median},i),u=[{key:"url",valueType:"url",label:si(x.columnURL)},{key:"cacheLifetimeMs",valueType:"ms",label:si(x.columnCacheTTL),displayUnit:"duration"},{key:"totalBytes",valueType:"bytes",label:si(x.columnTransferSize),displayUnit:"kb",granularity:1}],l=h.makeTableDetails(u,o,{wastedBytes:i,sortedBy:["totalBytes"],skipSumming:["cacheLifetimeMs"]});return{score:c,numericValue:i,numericUnit:"byte",displayValue:si(js.displayValue,{itemCount:o.length}),details:l}}},y0=h0});var B8={};S(B8,{UIStrings:()=>g1,default:()=>Jee});var g1,ld,Kee,b0,Jee,j8=v(()=>{"use strict";d();Xt();lt();k();g1={title:"Efficiently encode images",description:"Optimized images load faster and consume less cellular data. [Learn how to efficiently encode images](https://developer.chrome.com/docs/lighthouse/performance/uses-optimized-images/)."},ld=w("core/audits/byte-efficiency/uses-optimized-images.js",g1),Kee=4096,b0=class t extends ie{static{s(this,"UsesOptimizedImages")}static get meta(){return{id:"uses-optimized-images",title:ld(g1.title),description:ld(g1.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,requiredArtifacts:["OptimizedImages","ImageElements","GatherContext","devtoolsLogs","traces","URL"]}}static computeSavings(e){let n=e.originalSize-e.jpegSize,r=100*n/e.originalSize;return{bytes:n,percent:r}}static estimateJPEGSizeFromDimensions(e){let n=e.naturalWidth*e.naturalHeight,r=2*1/8;return Math.round(n*r)}static audit_(e){let n=e.URL.finalDisplayedUrl,r=e.OptimizedImages,a=e.ImageElements,o=new Map;a.forEach(l=>o.set(l.src,l));let i=[],c=[];for(let l of r){let m=o.get(l.url);if(l.failed){c.push(`Unable to decode ${te.getURLDisplayName(l.url)}`);continue}else if(/(jpeg|bmp)/.test(l.mimeType)===!1)continue;let p=l.jpegSize,g=!0;if(typeof p>"u"){if(!m){c.push(`Unable to locate resource ${te.getURLDisplayName(l.url)}`);continue}if(!m.naturalDimensions)continue;let D=m.naturalDimensions.height,T=m.naturalDimensions.width;if(!D||!T)continue;p=t.estimateJPEGSizeFromDimensions({naturalHeight:D,naturalWidth:T}),g=!1}if(l.originalSize<p+Kee)continue;let f=te.elideDataURI(l.url),y=!te.originsMatch(n,l.url),b=t.computeSavings({...l,jpegSize:p});i.push({node:m?ie.makeNodeItem(m.node):void 0,url:f,fromProtocol:g,isCrossOrigin:y,totalBytes:l.originalSize,wastedBytes:b.bytes})}let u=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:ld(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:ld(x.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:ld(x.columnWastedBytes)}];return{warnings:c,items:i,headings:u}}},Jee=b0});var w0,q8,z8=v(()=>{"use strict";d();lt();we();w0=class t{static{s(this,"ImageRecords")}static indexNetworkRecords(e){return e.reduce((n,r)=>((/^image/.test(r.mimeType)||/\.(avif|webp)$/i.test(r.url))&&r.finished&&r.statusCode===200&&(n[r.url]=r),n),{})}static async compute_(e){let n=t.indexNetworkRecords(e.networkRecords),r=[];for(let a of e.ImageElements){let i=n[a.src]?.mimeType;r.push({...a,mimeType:i||te.guessMimeType(a.src)})}return r.sort((a,o)=>{let i=n[a.src]||{};return(n[o.src]||{}).resourceSize-i.resourceSize}),r}},q8=W(w0,["ImageElements","networkRecords"])});var T0={};S(T0,{UIStrings:()=>qs,default:()=>E0,str_:()=>so});var qs,so,Xee,Zee,D0,E0,S0=v(()=>{"use strict";d();Xt();St();z8();lt();k();qs={title:"Properly size images",description:"Serve images that are appropriately-sized to save cellular data and improve load time. [Learn how to size images](https://developer.chrome.com/docs/lighthouse/performance/uses-responsive-images/)."},so=w("core/audits/byte-efficiency/uses-responsive-images.js",qs),Xee=4096,Zee=12288,D0=class t extends ie{static{s(this,"UsesResponsiveImages")}static get meta(){return{id:"uses-responsive-images",title:so(qs.title),description:so(qs.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,requiredArtifacts:["ImageElements","ViewportDimensions","GatherContext","devtoolsLogs","traces","URL"]}}static getDisplayedDimensions(e,n){if(e.displayedWidth&&e.displayedHeight)return{width:e.displayedWidth*n.devicePixelRatio,height:e.displayedHeight*n.devicePixelRatio};let r=n.innerWidth,a=n.innerHeight*2,o=e.naturalWidth/e.naturalHeight,i=r/a,c=r,u=a;return o>i?u=r/o:c=a*o,{width:c*n.devicePixelRatio,height:u*n.devicePixelRatio}}static computeWaste(e,n,r){let a=r.find(g=>g.url===e.src);if(!a)return null;let o=this.getDisplayedDimensions(e,n),i=o.width*o.height,c=te.elideDataURI(e.src),u=e.naturalWidth*e.naturalHeight,l=1-i/u,m=Y.getResourceSizeOnNetwork(a),p=Math.round(m*l);return{node:ie.makeNodeItem(e.node),url:c,totalBytes:m,wastedBytes:p,wastedPercent:100*l}}static determineAllowableWaste(e){return e.srcset||e.isPicture?Zee:Xee}static async audit_(e,n,r){let a=await q8.request({ImageElements:e.ImageElements,networkRecords:n},r),o=e.ViewportDimensions,i=new Map,c=[];for(let m of a){if(m.mimeType==="image/svg+xml"||m.isCss||!m.naturalDimensions)continue;let p=m.naturalDimensions.height,g=m.naturalDimensions.width;if(!g||!p)continue;let f=t.computeWaste({...m,naturalHeight:p,naturalWidth:g},o,n);if(!f)continue;let y=f.wastedBytes>this.determineAllowableWaste(m),b=i.get(f.url);y&&!c.includes(f.url)?(!b||b.wastedBytes>f.wastedBytes)&&i.set(f.url,f):(i.delete(f.url),c.push(f.url))}let u=Array.from(i.values()),l=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:so(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:so(x.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:so(x.columnWastedBytes)}];return{items:u,headings:l}}},E0=D0});var H8={};S(H8,{UIStrings:()=>zs,default:()=>ete});var zs,dd,Qee,x0,ete,G8=v(()=>{"use strict";d();J();S0();lt();k();zs={title:"Images were appropriate for their displayed size",failureTitle:"Images were larger than their displayed size",columnDisplayedDimensions:"Displayed dimensions",columnActualDimensions:"Actual dimensions"},dd=w("core/audits/byte-efficiency/uses-responsive-images-snapshot.js",zs),Qee=1365,x0=class extends h{static{s(this,"UsesResponsiveImagesSnapshot")}static get meta(){return{id:"uses-responsive-images-snapshot",title:dd(zs.title),failureTitle:dd(zs.failureTitle),description:so(qs.description),supportedModes:["snapshot"],requiredArtifacts:["ImageElements","ViewportDimensions"]}}static async audit(e){let n=1,r=[];for(let i of e.ImageElements){if(i.isCss||!i.naturalDimensions)continue;let c=i.naturalDimensions,u=E0.getDisplayedDimensions({...i,naturalWidth:c.width,naturalHeight:c.height},e.ViewportDimensions),l=c.width*c.height,m=u.width*u.height;l<=m||(l-m>Qee&&(n=0),r.push({node:h.makeNodeItem(i.node),url:te.elideDataURI(i.src),displayedDimensions:`${u.width}x${u.height}`,actualDimensions:`${c.width}x${c.height}`}))}let a=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:dd(x.columnURL)},{key:"displayedDimensions",valueType:"text",label:dd(zs.columnDisplayedDimensions)},{key:"actualDimensions",valueType:"text",label:dd(zs.columnActualDimensions)}],o=h.makeTableDetails(a,r);return{score:n,details:o}}},ete=x0});var W8={};S(W8,{UIStrings:()=>h1,default:()=>rte});var h1,md,tte,nte,C0,rte,V8=v(()=>{"use strict";d();Xt();lt();k();h1={title:"Enable text compression",description:"Text-based resources should be served with compression (gzip, deflate or brotli) to minimize total network bytes. [Learn more about text compression](https://developer.chrome.com/docs/lighthouse/performance/uses-text-compression/)."},md=w("core/audits/byte-efficiency/uses-text-compression.js",h1),tte=1400,nte=.1,C0=class extends ie{static{s(this,"ResponsesAreCompressed")}static get meta(){return{id:"uses-text-compression",title:md(h1.title),description:md(h1.description),scoreDisplayMode:ie.SCORING_MODES.NUMERIC,requiredArtifacts:["ResponseCompression","GatherContext","devtoolsLogs","traces","URL"]}}static audit_(e){let n=e.ResponseCompression,r=[];n.forEach(o=>{if(!o.gzipSize||o.gzipSize<0)return;let i=o.resourceSize,c=o.gzipSize,u=i-c;if(1-c/i<nte||u<tte||o.transferSize<c)return;let l=te.elideDataURI(o.url);r.find(p=>p.url===l&&p.totalBytes===o.resourceSize)||r.push({url:l,totalBytes:i,wastedBytes:u})});let a=[{key:"url",valueType:"url",label:md(x.columnURL)},{key:"totalBytes",valueType:"bytes",label:md(x.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:md(x.columnWastedBytes)}];return{items:r,headings:a}}},rte=C0});var $8={};S($8,{UIStrings:()=>Hs,default:()=>ate});var Hs,y1,A0,ate,Y8=v(()=>{"use strict";d();J();k();Hs={title:"Content is sized correctly for the viewport",failureTitle:"Content is not sized correctly for the viewport",description:"If the width of your app's content doesn't match the width of the viewport, your app might not be optimized for mobile screens. [Learn how to size content for the viewport](https://developer.chrome.com/docs/lighthouse/pwa/content-width/).",explanation:"The viewport size of {innerWidth}px does not match the window size of {outerWidth}px."},y1=w("core/audits/content-width.js",Hs),A0=class extends h{static{s(this,"ContentWidth")}static get meta(){return{id:"content-width",title:y1(Hs.title),failureTitle:y1(Hs.failureTitle),description:y1(Hs.description),requiredArtifacts:["ViewportDimensions"]}}static audit(e,n){let r=e.ViewportDimensions.innerWidth,a=e.ViewportDimensions.outerWidth,o=r===a;if(n.settings.formFactor==="desktop")return{score:1,notApplicable:!0};let i;return o||(i=y1(Hs.explanation,{innerWidth:e.ViewportDimensions.innerWidth,outerWidth:e.ViewportDimensions.outerWidth})),{score:Number(o),explanation:i}}},ate=A0});var F0,v1,R0=v(()=>{"use strict";d();we();St();Wt();$n();F0=class t{static{s(this,"CriticalRequestChains")}static isCritical(e,n){if(!n)throw new Error("mainResource not provided");if(e.requestId===n.requestId)return!0;if(e.isLinkPreload)return!1;for(;e.redirectDestination;)e=e.redirectDestination;let r=e.resourceType===Y.TYPES.Document&&e.frameId!==n.frameId;return[Y.TYPES.Image,Y.TYPES.XHR,Y.TYPES.Fetch,Y.TYPES.EventSource].includes(e.resourceType||"Other")||r||e.mimeType&&e.mimeType.startsWith("image/")||!e.initiatorRequest?!1:["VeryHigh","High","Medium"].includes(e.priority)}static extractChainsFromGraph(e,n){let r={};function a(c){let u=r;for(let l of c)u[l.requestId]||(u[l.requestId]={request:l,children:{}}),u=u[l.requestId].children}s(a,"addChain");let o=new Set;function i(c){return c.getDependents().filter(u=>u.getDependencies().every(l=>o.has(l)))}return s(i,"getNextNodes"),n.traverse((c,u)=>{if(o.add(c),c.type!=="network"||!t.isCritical(c.record,e))return;let l=u.filter(m=>m.type==="network").reverse().map(m=>m.record);l.some(m=>!t.isCritical(m,e))||Y.isNonNetworkRequest(c.record)||a(l)},i),r}static async compute_(e,n){let r=await je.request(e,n),a=await kt.request(e,n);return t.extractChainsFromGraph(r,a)}},v1=W(F0,["URL","devtoolsLog","trace"])});var K8={};S(K8,{UIStrings:()=>pd,default:()=>ote});var pd,_0,k0,ote,J8=v(()=>{"use strict";d();J();k();R0();pd={title:"Avoid chaining critical requests",description:"The Critical Request Chains below show you what resources are loaded with a high priority. Consider reducing the length of chains, reducing the download size of resources, or deferring the download of unnecessary resources to improve page load. [Learn how to avoid chaining critical requests](https://developer.chrome.com/docs/lighthouse/performance/critical-request-chains/).",displayValue:`{itemCount, plural,
    =1 {1 chain found}
    other {# chains found}
    }`},_0=w("core/audits/critical-request-chains.js",pd),k0=class t extends h{static{s(this,"CriticalRequestChains")}static get meta(){return{id:"critical-request-chains",title:_0(pd.title),description:_0(pd.description),scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","URL"]}}static _traverse(e,n){function r(a,o,i,c=0){let u=Object.keys(a);u.length!==0&&u.forEach(l=>{let m=a[l];i||(i=m.request.networkRequestTime),n({depth:o,id:l,node:m,chainDuration:m.request.networkEndTime-i,chainTransferSize:c+m.request.transferSize}),m.children&&r(m.children,o+1,i)},"")}s(r,"walk"),r(e,0)}static _getLongestChain(e){let n={duration:0,length:0,transferSize:0};return t._traverse(e,r=>{let a=r.chainDuration;a>n.duration&&(n.duration=a,n.transferSize=r.chainTransferSize,n.length=r.depth)}),n.length++,n}static flattenRequests(e){let n={},r=new Map;function a(o){let i=o.node.request,c={url:i.url,startTime:i.networkRequestTime/1e3,endTime:i.networkEndTime/1e3,responseReceivedTime:i.responseHeadersEndTime/1e3,transferSize:i.transferSize},u=r.get(o.id);if(u?u.request=c:(u={request:c},n[o.id]=u),o.node.children)for(let l of Object.keys(o.node.children)){let m={request:{}};r.set(l,m),u.children||(u.children={}),u.children[l]=m}r.set(o.id,u)}return s(a,"flatten"),t._traverse(e,a),n}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.URL,i=await v1.request({devtoolsLog:a,trace:r,URL:o},n),c=0;function u(f,y){Object.keys(f).forEach(D=>{let T=f[D];T.children?u(T.children,y+1):c++},"")}s(u,"walk");let l=t.flattenRequests(i),m=Object.keys(l)[0],p=m&&l[m].children;p&&Object.keys(p).length>0&&u(p,0);let g=t._getLongestChain(i);return{score:+(c===0),notApplicable:c===0,displayValue:c?_0(pd.displayValue,{itemCount:c}):"",details:{type:"criticalrequestchain",chains:l,longestChain:g}}}},ote=k0});var Gs=L(jr=>{"use strict";d();Object.defineProperty(jr,"__esModule",{value:!0});jr.Type=jr.Severity=jr.Finding=void 0;var I0=class t{static{s(this,"Finding")}constructor(e,n,r,a,o){this.type=e,this.description=n,this.severity=r,this.directive=a,this.value=o}static getHighestSeverity(e){if(e.length===0)return M0.NONE;let n=e.map(a=>a.severity),r=s((a,o)=>a<o?a:o,"min");return n.reduce(r,M0.NONE)}equals(e){return e instanceof t?e.type===this.type&&e.description===this.description&&e.severity===this.severity&&e.directive===this.directive&&e.value===this.value:!1}};jr.Finding=I0;var M0;(function(t){t[t.HIGH=10]="HIGH",t[t.SYNTAX=20]="SYNTAX",t[t.MEDIUM=30]="MEDIUM",t[t.HIGH_MAYBE=40]="HIGH_MAYBE",t[t.STRICT_CSP=45]="STRICT_CSP",t[t.MEDIUM_MAYBE=50]="MEDIUM_MAYBE",t[t.INFO=60]="INFO",t[t.NONE=100]="NONE"})(M0=jr.Severity||(jr.Severity={}));var ite;(function(t){t[t.MISSING_SEMICOLON=100]="MISSING_SEMICOLON",t[t.UNKNOWN_DIRECTIVE=101]="UNKNOWN_DIRECTIVE",t[t.INVALID_KEYWORD=102]="INVALID_KEYWORD",t[t.NONCE_CHARSET=106]="NONCE_CHARSET",t[t.MISSING_DIRECTIVES=300]="MISSING_DIRECTIVES",t[t.SCRIPT_UNSAFE_INLINE=301]="SCRIPT_UNSAFE_INLINE",t[t.SCRIPT_UNSAFE_EVAL=302]="SCRIPT_UNSAFE_EVAL",t[t.PLAIN_URL_SCHEMES=303]="PLAIN_URL_SCHEMES",t[t.PLAIN_WILDCARD=304]="PLAIN_WILDCARD",t[t.SCRIPT_ALLOWLIST_BYPASS=305]="SCRIPT_ALLOWLIST_BYPASS",t[t.OBJECT_ALLOWLIST_BYPASS=306]="OBJECT_ALLOWLIST_BYPASS",t[t.NONCE_LENGTH=307]="NONCE_LENGTH",t[t.IP_SOURCE=308]="IP_SOURCE",t[t.DEPRECATED_DIRECTIVE=309]="DEPRECATED_DIRECTIVE",t[t.SRC_HTTP=310]="SRC_HTTP",t[t.STRICT_DYNAMIC=400]="STRICT_DYNAMIC",t[t.STRICT_DYNAMIC_NOT_STANDALONE=401]="STRICT_DYNAMIC_NOT_STANDALONE",t[t.NONCE_HASH=402]="NONCE_HASH",t[t.UNSAFE_INLINE_FALLBACK=403]="UNSAFE_INLINE_FALLBACK",t[t.ALLOWLIST_FALLBACK=404]="ALLOWLIST_FALLBACK",t[t.IGNORED=405]="IGNORED",t[t.REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS=500]="REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS",t[t.REPORTING_DESTINATION_MISSING=600]="REPORTING_DESTINATION_MISSING",t[t.REPORT_TO_ONLY=601]="REPORT_TO_ONLY"})(ite=jr.Type||(jr.Type={}))});var qr=L(Ne=>{"use strict";d();Object.defineProperty(Ne,"__esModule",{value:!0});Ne.CspError=Ne.isHash=Ne.HASH_PATTERN=Ne.STRICT_HASH_PATTERN=Ne.isNonce=Ne.NONCE_PATTERN=Ne.STRICT_NONCE_PATTERN=Ne.isUrlScheme=Ne.isKeyword=Ne.isDirective=Ne.Version=Ne.FETCH_DIRECTIVES=Ne.Directive=Ne.TrustedTypesSink=Ne.Keyword=Ne.Csp=void 0;var Ws=Gs(),N0=class t{static{s(this,"Csp")}constructor(){this.directives={}}clone(){let e=new t;for(let[n,r]of Object.entries(this.directives))r&&(e.directives[n]=[...r]);return e}convertToString(){let e="";for(let[n,r]of Object.entries(this.directives)){if(e+=n,r!==void 0)for(let a,o=0;a=r[o];o++)e+=" ",e+=a;e+="; "}return e}getEffectiveCsp(e,n){let r=n||[],a=this.clone(),o=a.getEffectiveDirective(yt.SCRIPT_SRC),i=this.directives[o]||[],c=a.directives[o];if(c&&(a.policyHasScriptNonces()||a.policyHasScriptHashes()))if(e>=w1.CSP2)i.includes(Sa.UNSAFE_INLINE)&&(b1(c,Sa.UNSAFE_INLINE),r.push(new Ws.Finding(Ws.Type.IGNORED,"unsafe-inline is ignored if a nonce or a hash is present. (CSP2 and above)",Ws.Severity.NONE,o,Sa.UNSAFE_INLINE)));else for(let u of i)(u.startsWith("'nonce-")||u.startsWith("'sha"))&&b1(c,u);if(c&&this.policyHasStrictDynamic())if(e>=w1.CSP3)for(let u of i)(!u.startsWith("'")||u===Sa.SELF||u===Sa.UNSAFE_INLINE)&&(b1(c,u),r.push(new Ws.Finding(Ws.Type.IGNORED,"Because of strict-dynamic this entry is ignored in CSP3 and above",Ws.Severity.NONE,o,u)));else b1(c,Sa.STRICT_DYNAMIC);return e<w1.CSP3&&(delete a.directives[yt.REPORT_TO],delete a.directives[yt.WORKER_SRC],delete a.directives[yt.MANIFEST_SRC],delete a.directives[yt.TRUSTED_TYPES],delete a.directives[yt.REQUIRE_TRUSTED_TYPES_FOR]),a}getEffectiveDirective(e){return!(e in this.directives)&&Ne.FETCH_DIRECTIVES.includes(e)?yt.DEFAULT_SRC:e}getEffectiveDirectives(e){return[...new Set(e.map(r=>this.getEffectiveDirective(r)))]}policyHasScriptNonces(){let e=this.getEffectiveDirective(yt.SCRIPT_SRC);return(this.directives[e]||[]).some(r=>X8(r))}policyHasScriptHashes(){let e=this.getEffectiveDirective(yt.SCRIPT_SRC);return(this.directives[e]||[]).some(r=>Z8(r))}policyHasStrictDynamic(){let e=this.getEffectiveDirective(yt.SCRIPT_SRC);return(this.directives[e]||[]).includes(Sa.STRICT_DYNAMIC)}};Ne.Csp=N0;var Sa;(function(t){t.SELF="'self'",t.NONE="'none'",t.UNSAFE_INLINE="'unsafe-inline'",t.UNSAFE_EVAL="'unsafe-eval'",t.WASM_EVAL="'wasm-eval'",t.WASM_UNSAFE_EVAL="'wasm-unsafe-eval'",t.STRICT_DYNAMIC="'strict-dynamic'",t.UNSAFE_HASHED_ATTRIBUTES="'unsafe-hashed-attributes'",t.UNSAFE_HASHES="'unsafe-hashes'",t.REPORT_SAMPLE="'report-sample'",t.BLOCK="'block'",t.ALLOW="'allow'"})(Sa=Ne.Keyword||(Ne.Keyword={}));var ste;(function(t){t.SCRIPT="'script'"})(ste=Ne.TrustedTypesSink||(Ne.TrustedTypesSink={}));var yt;(function(t){t.CHILD_SRC="child-src",t.CONNECT_SRC="connect-src",t.DEFAULT_SRC="default-src",t.FONT_SRC="font-src",t.FRAME_SRC="frame-src",t.IMG_SRC="img-src",t.MEDIA_SRC="media-src",t.OBJECT_SRC="object-src",t.SCRIPT_SRC="script-src",t.SCRIPT_SRC_ATTR="script-src-attr",t.SCRIPT_SRC_ELEM="script-src-elem",t.STYLE_SRC="style-src",t.STYLE_SRC_ATTR="style-src-attr",t.STYLE_SRC_ELEM="style-src-elem",t.PREFETCH_SRC="prefetch-src",t.MANIFEST_SRC="manifest-src",t.WORKER_SRC="worker-src",t.BASE_URI="base-uri",t.PLUGIN_TYPES="plugin-types",t.SANDBOX="sandbox",t.DISOWN_OPENER="disown-opener",t.FORM_ACTION="form-action",t.FRAME_ANCESTORS="frame-ancestors",t.NAVIGATE_TO="navigate-to",t.REPORT_TO="report-to",t.REPORT_URI="report-uri",t.BLOCK_ALL_MIXED_CONTENT="block-all-mixed-content",t.UPGRADE_INSECURE_REQUESTS="upgrade-insecure-requests",t.REFLECTED_XSS="reflected-xss",t.REFERRER="referrer",t.REQUIRE_SRI_FOR="require-sri-for",t.TRUSTED_TYPES="trusted-types",t.REQUIRE_TRUSTED_TYPES_FOR="require-trusted-types-for",t.WEBRTC="webrtc"})(yt=Ne.Directive||(Ne.Directive={}));Ne.FETCH_DIRECTIVES=[yt.CHILD_SRC,yt.CONNECT_SRC,yt.DEFAULT_SRC,yt.FONT_SRC,yt.FRAME_SRC,yt.IMG_SRC,yt.MANIFEST_SRC,yt.MEDIA_SRC,yt.OBJECT_SRC,yt.SCRIPT_SRC,yt.SCRIPT_SRC_ATTR,yt.SCRIPT_SRC_ELEM,yt.STYLE_SRC,yt.STYLE_SRC_ATTR,yt.STYLE_SRC_ELEM,yt.WORKER_SRC];var w1;(function(t){t[t.CSP1=1]="CSP1",t[t.CSP2=2]="CSP2",t[t.CSP3=3]="CSP3"})(w1=Ne.Version||(Ne.Version={}));function cte(t){return Object.values(yt).includes(t)}s(cte,"isDirective");Ne.isDirective=cte;function ute(t){return Object.values(Sa).includes(t)}s(ute,"isKeyword");Ne.isKeyword=ute;function lte(t){return new RegExp("^[a-zA-Z][+a-zA-Z0-9.-]*:$").test(t)}s(lte,"isUrlScheme");Ne.isUrlScheme=lte;Ne.STRICT_NONCE_PATTERN=new RegExp("^'nonce-[a-zA-Z0-9+/_-]+[=]{0,2}'$");Ne.NONCE_PATTERN=new RegExp("^'nonce-(.+)'$");function X8(t,e){return(e?Ne.STRICT_NONCE_PATTERN:Ne.NONCE_PATTERN).test(t)}s(X8,"isNonce");Ne.isNonce=X8;Ne.STRICT_HASH_PATTERN=new RegExp("^'(sha256|sha384|sha512)-[a-zA-Z0-9+/]+[=]{0,2}'$");Ne.HASH_PATTERN=new RegExp("^'(sha256|sha384|sha512)-(.+)'$");function Z8(t,e){return(e?Ne.STRICT_HASH_PATTERN:Ne.HASH_PATTERN).test(t)}s(Z8,"isHash");Ne.isHash=Z8;var L0=class extends Error{static{s(this,"CspError")}constructor(e){super(e)}};Ne.CspError=L0;function b1(t,e){if(t.includes(e)){let n=t.findIndex(r=>e===r);t.splice(n,1)}}s(b1,"arrayRemove")});var Q8=L(qn=>{"use strict";d();var dte=qn&&qn.__createBinding||(Object.create?function(t,e,n,r){r===void 0&&(r=n),Object.defineProperty(t,r,{enumerable:!0,get:function(){return e[n]}})}:function(t,e,n,r){r===void 0&&(r=n),t[r]=e[n]}),mte=qn&&qn.__setModuleDefault||(Object.create?function(t,e){Object.defineProperty(t,"default",{enumerable:!0,value:e})}:function(t,e){t.default=e}),pte=qn&&qn.__importStar||function(t){if(t&&t.__esModule)return t;var e={};if(t!=null)for(var n in t)n!=="default"&&Object.prototype.hasOwnProperty.call(t,n)&&dte(e,t,n);return mte(e,t),e};Object.defineProperty(qn,"__esModule",{value:!0});qn.checkInvalidKeyword=qn.checkMissingSemicolon=qn.checkUnknownDirective=void 0;var co=pte(qr()),fte=qr(),In=Gs();function gte(t){let e=[];for(let n of Object.keys(t.directives))co.isDirective(n)||(n.endsWith(":")?e.push(new In.Finding(In.Type.UNKNOWN_DIRECTIVE,"CSP directives don't end with a colon.",In.Severity.SYNTAX,n)):e.push(new In.Finding(In.Type.UNKNOWN_DIRECTIVE,'Directive "'+n+'" is not a known CSP directive.',In.Severity.SYNTAX,n)));return e}s(gte,"checkUnknownDirective");qn.checkUnknownDirective=gte;function hte(t){let e=[];for(let[n,r]of Object.entries(t.directives))if(r!==void 0)for(let a of r)co.isDirective(a)&&e.push(new In.Finding(In.Type.MISSING_SEMICOLON,'Did you forget the semicolon? "'+a+'" seems to be a directive, not a value.',In.Severity.SYNTAX,n,a));return e}s(hte,"checkMissingSemicolon");qn.checkMissingSemicolon=hte;function yte(t){let e=[],n=Object.values(fte.Keyword).map(r=>r.replace(/'/g,""));for(let[r,a]of Object.entries(t.directives))if(a!==void 0)for(let o of a){if(n.some(i=>i===o)||o.startsWith("nonce-")||o.match(/^(sha256|sha384|sha512)-/)){e.push(new In.Finding(In.Type.INVALID_KEYWORD,'Did you forget to surround "'+o+'" with single-ticks?',In.Severity.SYNTAX,r,o));continue}if(o.startsWith("'")){if(r===co.Directive.REQUIRE_TRUSTED_TYPES_FOR){if(o===co.TrustedTypesSink.SCRIPT)continue}else if(r===co.Directive.TRUSTED_TYPES){if(o==="'allow-duplicates'"||o==="'none'")continue}else if(co.isKeyword(o)||co.isHash(o)||co.isNonce(o))continue;e.push(new In.Finding(In.Type.INVALID_KEYWORD,o+" seems to be an invalid CSP keyword.",In.Severity.SYNTAX,r,o))}}return e}s(yte,"checkInvalidKeyword");qn.checkInvalidKeyword=yte});var eP=L(D1=>{"use strict";d();Object.defineProperty(D1,"__esModule",{value:!0});D1.URLS=void 0;D1.URLS=["//gstatic.com/fsn/angular_js-bundle1.js","//www.gstatic.com/fsn/angular_js-bundle1.js","//www.googleadservices.com/pageadimg/imgad","//yandex.st/angularjs/1.2.16/angular-cookies.min.js","//yastatic.net/angularjs/1.2.23/angular.min.js","//yuedust.yuedu.126.net/js/components/angular/angular.js","//art.jobs.netease.com/script/angular.js","//csu-c45.kxcdn.com/angular/angular.js","//elysiumwebsite.s3.amazonaws.com/uploads/blog-media/rockstar/angular.min.js","//inno.blob.core.windows.net/new/libs/AngularJS/1.2.1/angular.min.js","//gift-talk.kakao.com/public/javascripts/angular.min.js","//ajax.googleapis.com/ajax/libs/angularjs/1.2.0rc1/angular-route.min.js","//master-sumok.ru/vendors/angular/angular-cookies.js","//ayicommon-a.akamaihd.net/static/vendor/angular-1.4.2.min.js","//pangxiehaitao.com/framework/angular-1.3.9/angular-animate.min.js","//cdnjs.cloudflare.com/ajax/libs/angular.js/1.2.16/angular.min.js","//96fe3ee995e96e922b6b-d10c35bd0a0de2c718b252bc575fdb73.ssl.cf1.rackcdn.com/angular.js","//oss.maxcdn.com/angularjs/1.2.20/angular.min.js","//reports.zemanta.com/smedia/common/angularjs/1.2.11/angular.js","//cdn.shopify.com/s/files/1/0225/6463/t/1/assets/angular-animate.min.js","//parademanagement.com.s3-website-ap-southeast-1.amazonaws.com/js/angular.min.js","//cdn.jsdelivr.net/angularjs/1.1.2/angular.min.js","//eb2883ede55c53e09fd5-9c145fb03d93709ea57875d307e2d82e.ssl.cf3.rackcdn.com/components/angular-resource.min.js","//andors-trail.googlecode.com/git/AndorsTrailEdit/lib/angular.min.js","//cdn.walkme.com/General/EnvironmentTests/angular/angular.min.js","//laundrymail.com/angular/angular.js","//s3-eu-west-1.amazonaws.com/staticancpa/js/angular-cookies.min.js","//collade.demo.stswp.com/js/vendor/angular.min.js","//mrfishie.github.io/sailor/bower_components/angular/angular.min.js","//askgithub.com/static/js/angular.min.js","//services.amazon.com/solution-providers/assets/vendor/angular-cookies.min.js","//raw.githubusercontent.com/angular/code.angularjs.org/master/1.0.7/angular-resource.js","//prb-resume.appspot.com/bower_components/angular-animate/angular-animate.js","//dl.dropboxusercontent.com/u/30877786/angular.min.js","//static.tumblr.com/x5qdx0r/nPOnngtff/angular-resource.min_1_.js","//storage.googleapis.com/assets-prod.urbansitter.net/us-sym/assets/vendor/angular-sanitize/angular-sanitize.min.js","//twitter.github.io/labella.js/bower_components/angular/angular.min.js","//cdn2-casinoroom.global.ssl.fastly.net/js/lib/angular-animate.min.js","//www.adobe.com/devnet-apps/flashshowcase/lib/angular/angular.1.1.5.min.js","//eternal-sunset.herokuapp.com/bower_components/angular/angular.js","//cdn.bootcss.com/angular.js/1.2.0/angular.min.js"]});var tP=L(E1=>{"use strict";d();Object.defineProperty(E1,"__esModule",{value:!0});E1.URLS=void 0;E1.URLS=["//vk.com/swf/video.swf","//ajax.googleapis.com/ajax/libs/yui/2.8.0r4/build/charts/assets/charts.swf"]});var nP=L(Vs=>{"use strict";d();Object.defineProperty(Vs,"__esModule",{value:!0});Vs.URLS=Vs.NEEDS_EVAL=void 0;Vs.NEEDS_EVAL=["googletagmanager.com","www.googletagmanager.com","www.googleadservices.com","google-analytics.com","ssl.google-analytics.com","www.google-analytics.com"];Vs.URLS=["//bebezoo.1688.com/fragment/index.htm","//www.google-analytics.com/gtm/js","//googleads.g.doubleclick.net/pagead/conversion/1036918760/wcm","//www.googleadservices.com/pagead/conversion/1070110417/wcm","//www.google.com/tools/feedback/escalation-options","//pin.aliyun.com/check_audio","//offer.alibaba.com/market/CID100002954/5/fetchKeyword.do","//ccrprod.alipay.com/ccr/arriveTime.json","//group.aliexpress.com/ajaxAcquireGroupbuyProduct.do","//detector.alicdn.com/2.7.3/index.php","//suggest.taobao.com/sug","//translate.google.com/translate_a/l","//count.tbcdn.cn//counter3","//wb.amap.com/channel.php","//translate.googleapis.com/translate_a/l","//afpeng.alimama.com/ex","//accounts.google.com/o/oauth2/revoke","//pagead2.googlesyndication.com/relatedsearch","//yandex.ru/soft/browsers/check","//api.facebook.com/restserver.php","//mts0.googleapis.com/maps/vt","//syndication.twitter.com/widgets/timelines/765840589183213568","//www.youtube.com/profile_style","//googletagmanager.com/gtm/js","//mc.yandex.ru/watch/24306916/1","//share.yandex.net/counter/gpp/","//ok.go.mail.ru/lady_on_lady_recipes_r.json","//d1f69o4buvlrj5.cloudfront.net/__efa_15_1_ornpba.xekq.arg/optout_check","//www.googletagmanager.com/gtm/js","//api.vk.com/method/wall.get","//www.sharethis.com/get-publisher-info.php","//google.ru/maps/vt","//pro.netrox.sc/oapi/h_checksite.ashx","//vimeo.com/api/oembed.json/","//de.blog.newrelic.com/wp-admin/admin-ajax.php","//ajax.googleapis.com/ajax/services/search/news","//ssl.google-analytics.com/gtm/js","//pubsub.pubnub.com/subscribe/demo/hello_world/","//pass.yandex.ua/services","//id.rambler.ru/script/topline_info.js","//m.addthis.com/live/red_lojson/100eng.json","//passport.ngs.ru/ajax/check","//catalog.api.2gis.ru/ads/search","//gum.criteo.com/sync","//maps.google.com/maps/vt","//ynuf.alipay.com/service/um.json","//securepubads.g.doubleclick.net/gampad/ads","//c.tiles.mapbox.com/v3/texastribune.tx-congress-cvap/6/15/26.grid.json","//rexchange.begun.ru/banners","//an.yandex.ru/page/147484","//links.services.disqus.com/api/ping","//api.map.baidu.com/","//tj.gongchang.com/api/keywordrecomm/","//data.gongchang.com/livegrail/","//ulogin.ru/token.php","//beta.gismeteo.ru/api/informer/layout.js/120x240-3/ru/","//maps.googleapis.com/maps/api/js/GeoPhotoService.GetMetadata","//a.config.skype.com/config/v1/Skype/908_1.33.0.111/SkypePersonalization","//maps.beeline.ru/w","//target.ukr.net/","//www.meteoprog.ua/data/weather/informer/Poltava.js","//cdn.syndication.twimg.com/widgets/timelines/599200054310604802","//wslocker.ru/client/user.chk.php","//community.adobe.com/CommunityPod/getJSON","//maps.google.lv/maps/vt","//dev.virtualearth.net/REST/V1/Imagery/Metadata/AerialWithLabels/26.318581","//awaps.yandex.ru/10/8938/02400400.","//a248.e.akamai.net/h5.hulu.com/h5.mp4","//nominatim.openstreetmap.org/","//plugins.mozilla.org/en-us/plugins_list.json","//h.cackle.me/widget/32153/bootstrap","//graph.facebook.com/1/","//fellowes.ugc.bazaarvoice.com/data/reviews.json","//widgets.pinterest.com/v3/pidgets/boards/ciciwin/hedgehog-squirrel-crafts/pins/","//www.linkedin.com/countserv/count/share","//se.wikipedia.org/w/api.php","//cse.google.com/api/007627024705277327428/cse/r3vs7b0fcli/queries/js","//relap.io/api/v2/similar_pages_jsonp.js","//c1n3.hypercomments.com/stream/subscribe","//maps.google.de/maps/vt","//books.google.com/books","//connect.mail.ru/share_count","//tr.indeed.com/m/newjobs","//www-onepick-opensocial.googleusercontent.com/gadgets/proxy","//www.panoramio.com/map/get_panoramas.php","//client.siteheart.com/streamcli/client","//www.facebook.com/restserver.php","//autocomplete.travelpayouts.com/avia","//www.googleapis.com/freebase/v1/topic/m/0344_","//mts1.googleapis.com/mapslt/ft","//api.twitter.com/1/statuses/oembed.json","//fast.wistia.com/embed/medias/o75jtw7654.json","//partner.googleadservices.com/gampad/ads","//pass.yandex.ru/services","//gupiao.baidu.com/stocks/stockbets","//widget.admitad.com/widget/init","//api.instagram.com/v1/tags/partykungen23328/media/recent","//video.media.yql.yahoo.com/v1/video/sapi/streams/063fb76c-6c70-38c5-9bbc-04b7c384de2b","//ib.adnxs.com/jpt","//pass.yandex.com/services","//www.google.de/maps/vt","//clients1.google.com/complete/search","//api.userlike.com/api/chat/slot/proactive/","//www.youku.com/index_cookielist/s/jsonp","//mt1.googleapis.com/mapslt/ft","//api.mixpanel.com/track/","//wpd.b.qq.com/cgi/get_sign.php","//pipes.yahooapis.com/pipes/pipe.run","//gdata.youtube.com/feeds/api/videos/WsJIHN1kNWc","//9.chart.apis.google.com/chart","//cdn.syndication.twitter.com/moments/709229296800440320","//api.flickr.com/services/feeds/photos_friends.gne","//cbks0.googleapis.com/cbk","//www.blogger.com/feeds/5578653387562324002/posts/summary/4427562025302749269","//query.yahooapis.com/v1/public/yql","//kecngantang.blogspot.com/feeds/posts/default/-/Komik","//www.travelpayouts.com/widgets/50f53ce9ada1b54bcc000031.json","//i.cackle.me/widget/32586/bootstrap","//translate.yandex.net/api/v1.5/tr.json/detect","//a.tiles.mapbox.com/v3/zentralmedia.map-n2raeauc.jsonp","//maps.google.ru/maps/vt","//c1n2.hypercomments.com/stream/subscribe","//rec.ydf.yandex.ru/cookie","//cdn.jsdelivr.net"]});var aP=L(zr=>{"use strict";d();Object.defineProperty(zr,"__esModule",{value:!0});zr.applyCheckFunktionToDirectives=zr.matchWildcardUrls=zr.getHostname=zr.getSchemeFreeUrl=void 0;function P0(t){return t=t.replace(/^\w[+\w.-]*:\/\//i,""),t=t.replace(/^\/\//,""),t}s(P0,"getSchemeFreeUrl");zr.getSchemeFreeUrl=P0;function vte(t){let e=new URL("https://"+P0(t).replace(":*","").replace("*","wildcard_placeholder")).hostname.replace("wildcard_placeholder","*"),n=/^\[[\d:]+\]/;return P0(t).match(n)&&!e.match(n)?"["+e+"]":e}s(vte,"getHostname");zr.getHostname=vte;function rP(t){return t.startsWith("//")?t.replace("//","https://"):t}s(rP,"setScheme");function bte(t,e){let n=new URL(rP(t.replace(":*","").replace("*","wildcard_placeholder"))),r=e.map(l=>new URL(rP(l))),a=n.hostname.toLowerCase(),o=a.startsWith("wildcard_placeholder."),i=a.replace(/^\wildcard_placeholder/i,""),c=n.pathname,u=c!=="/";for(let l of r){let m=l.hostname;if(m.endsWith(i)&&!(!o&&a!==m)){if(u){if(c.endsWith("/")){if(!l.pathname.startsWith(c))continue}else if(l.pathname!==c)continue}return l}}return null}s(bte,"matchWildcardUrls");zr.matchWildcardUrls=bte;function wte(t,e){let n=Object.keys(t.directives);for(let r of n){let a=t.directives[r];a&&e(r,a)}}s(wte,"applyCheckFunktionToDirectives");zr.applyCheckFunktionToDirectives=wte});var mP=L(Te=>{"use strict";d();var Dte=Te&&Te.__createBinding||(Object.create?function(t,e,n,r){r===void 0&&(r=n),Object.defineProperty(t,r,{enumerable:!0,get:function(){return e[n]}})}:function(t,e,n,r){r===void 0&&(r=n),t[r]=e[n]}),Ete=Te&&Te.__setModuleDefault||(Object.create?function(t,e){Object.defineProperty(t,"default",{enumerable:!0,value:e})}:function(t,e){t.default=e}),fd=Te&&Te.__importStar||function(t){if(t&&t.__esModule)return t;var e={};if(t!=null)for(var n in t)n!=="default"&&Object.prototype.hasOwnProperty.call(t,n)&&Dte(e,t,n);return Ete(e,t),e};Object.defineProperty(Te,"__esModule",{value:!0});Te.checkHasConfiguredReporting=Te.checkSrcHttp=Te.checkNonceLength=Te.checkDeprecatedDirective=Te.checkIpSource=Te.looksLikeIpAddress=Te.checkFlashObjectAllowlistBypass=Te.checkScriptAllowlistBypass=Te.checkMissingDirectives=Te.checkMultipleMissingBaseUriDirective=Te.checkMissingBaseUriDirective=Te.checkMissingScriptSrcDirective=Te.checkMissingObjectSrcDirective=Te.checkWildcards=Te.checkPlainUrlSchemes=Te.checkScriptUnsafeEval=Te.checkScriptUnsafeInline=Te.URL_SCHEMES_CAUSING_XSS=Te.DIRECTIVES_CAUSING_XSS=void 0;var Tte=fd(eP()),Ste=fd(tP()),oP=fd(nP()),iP=fd(qr()),Ke=qr(),oe=Gs(),Hr=fd(aP());Te.DIRECTIVES_CAUSING_XSS=[Ke.Directive.SCRIPT_SRC,Ke.Directive.OBJECT_SRC,Ke.Directive.BASE_URI];Te.URL_SCHEMES_CAUSING_XSS=["data:","http:","https:"];function xte(t){let e=t.getEffectiveDirective(Ke.Directive.SCRIPT_SRC);return(t.directives[e]||[]).includes(Ke.Keyword.UNSAFE_INLINE)?[new oe.Finding(oe.Type.SCRIPT_UNSAFE_INLINE,"'unsafe-inline' allows the execution of unsafe in-page scripts and event handlers.",oe.Severity.HIGH,e,Ke.Keyword.UNSAFE_INLINE)]:[]}s(xte,"checkScriptUnsafeInline");Te.checkScriptUnsafeInline=xte;function Cte(t){let e=t.getEffectiveDirective(Ke.Directive.SCRIPT_SRC);return(t.directives[e]||[]).includes(Ke.Keyword.UNSAFE_EVAL)?[new oe.Finding(oe.Type.SCRIPT_UNSAFE_EVAL,"'unsafe-eval' allows the execution of code injected into DOM APIs such as eval().",oe.Severity.MEDIUM_MAYBE,e,Ke.Keyword.UNSAFE_EVAL)]:[]}s(Cte,"checkScriptUnsafeEval");Te.checkScriptUnsafeEval=Cte;function Ate(t){let e=[],n=t.getEffectiveDirectives(Te.DIRECTIVES_CAUSING_XSS);for(let r of n){let a=t.directives[r]||[];for(let o of a)Te.URL_SCHEMES_CAUSING_XSS.includes(o)&&e.push(new oe.Finding(oe.Type.PLAIN_URL_SCHEMES,o+" URI in "+r+" allows the execution of unsafe scripts.",oe.Severity.HIGH,r,o))}return e}s(Ate,"checkPlainUrlSchemes");Te.checkPlainUrlSchemes=Ate;function Fte(t){let e=[],n=t.getEffectiveDirectives(Te.DIRECTIVES_CAUSING_XSS);for(let r of n){let a=t.directives[r]||[];for(let o of a)if(Hr.getSchemeFreeUrl(o)==="*"){e.push(new oe.Finding(oe.Type.PLAIN_WILDCARD,r+" should not allow '*' as source",oe.Severity.HIGH,r,o));continue}}return e}s(Fte,"checkWildcards");Te.checkWildcards=Fte;function sP(t){let e=[];return Ke.Directive.OBJECT_SRC in t.directives?e=t.directives[Ke.Directive.OBJECT_SRC]:Ke.Directive.DEFAULT_SRC in t.directives&&(e=t.directives[Ke.Directive.DEFAULT_SRC]),e!==void 0&&e.length>=1?[]:[new oe.Finding(oe.Type.MISSING_DIRECTIVES,"Missing object-src allows the injection of plugins which can execute JavaScript. Can you set it to 'none'?",oe.Severity.HIGH,Ke.Directive.OBJECT_SRC)]}s(sP,"checkMissingObjectSrcDirective");Te.checkMissingObjectSrcDirective=sP;function cP(t){return Ke.Directive.SCRIPT_SRC in t.directives||Ke.Directive.DEFAULT_SRC in t.directives?[]:[new oe.Finding(oe.Type.MISSING_DIRECTIVES,"script-src directive is missing.",oe.Severity.HIGH,Ke.Directive.SCRIPT_SRC)]}s(cP,"checkMissingScriptSrcDirective");Te.checkMissingScriptSrcDirective=cP;function uP(t){return lP([t])}s(uP,"checkMissingBaseUriDirective");Te.checkMissingBaseUriDirective=uP;function lP(t){let e=s(r=>r.policyHasScriptNonces()||r.policyHasScriptHashes()&&r.policyHasStrictDynamic(),"needsBaseUri"),n=s(r=>Ke.Directive.BASE_URI in r.directives,"hasBaseUri");if(t.some(e)&&!t.some(n)){let r="Missing base-uri allows the injection of base tags. They can be used to set the base URL for all relative (script) URLs to an attacker controlled domain. Can you set it to 'none' or 'self'?";return[new oe.Finding(oe.Type.MISSING_DIRECTIVES,r,oe.Severity.HIGH,Ke.Directive.BASE_URI)]}return[]}s(lP,"checkMultipleMissingBaseUriDirective");Te.checkMultipleMissingBaseUriDirective=lP;function Rte(t){return[...sP(t),...cP(t),...uP(t)]}s(Rte,"checkMissingDirectives");Te.checkMissingDirectives=Rte;function _te(t){let e=[],n=t.getEffectiveDirective(Ke.Directive.SCRIPT_SRC),r=t.directives[n]||[];if(r.includes(Ke.Keyword.NONE))return e;for(let a of r){if(a===Ke.Keyword.SELF){e.push(new oe.Finding(oe.Type.SCRIPT_ALLOWLIST_BYPASS,"'self' can be problematic if you host JSONP, AngularJS or user uploaded files.",oe.Severity.MEDIUM_MAYBE,n,a));continue}if(a.startsWith("'")||iP.isUrlScheme(a)||a.indexOf(".")===-1)continue;let o="//"+Hr.getSchemeFreeUrl(a),i=Hr.matchWildcardUrls(o,Tte.URLS),c=Hr.matchWildcardUrls(o,oP.URLS);if(c){let u=oP.NEEDS_EVAL.includes(c.hostname),l=r.includes(Ke.Keyword.UNSAFE_EVAL);u&&!l&&(c=null)}if(c||i){let u="",l="";c&&(u=c.hostname,l=" JSONP endpoints"),i&&(u=i.hostname,l+=l.trim()===""?"":" and",l+=" Angular libraries"),e.push(new oe.Finding(oe.Type.SCRIPT_ALLOWLIST_BYPASS,u+" is known to host"+l+" which allow to bypass this CSP.",oe.Severity.HIGH,n,a))}else e.push(new oe.Finding(oe.Type.SCRIPT_ALLOWLIST_BYPASS,"No bypass found; make sure that this URL doesn't serve JSONP replies or Angular libraries.",oe.Severity.MEDIUM_MAYBE,n,a))}return e}s(_te,"checkScriptAllowlistBypass");Te.checkScriptAllowlistBypass=_te;function kte(t){let e=[],n=t.getEffectiveDirective(Ke.Directive.OBJECT_SRC),r=t.directives[n]||[],a=t.directives[Ke.Directive.PLUGIN_TYPES];if(a&&!a.includes("application/x-shockwave-flash"))return[];for(let o of r){if(o===Ke.Keyword.NONE)return[];let i="//"+Hr.getSchemeFreeUrl(o),c=Hr.matchWildcardUrls(i,Ste.URLS);c?e.push(new oe.Finding(oe.Type.OBJECT_ALLOWLIST_BYPASS,c.hostname+" is known to host Flash files which allow to bypass this CSP.",oe.Severity.HIGH,n,o)):n===Ke.Directive.OBJECT_SRC&&e.push(new oe.Finding(oe.Type.OBJECT_ALLOWLIST_BYPASS,"Can you restrict object-src to 'none' only?",oe.Severity.MEDIUM_MAYBE,n,o))}return e}s(kte,"checkFlashObjectAllowlistBypass");Te.checkFlashObjectAllowlistBypass=kte;function dP(t){return!!(t.startsWith("[")&&t.endsWith("]")||/^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$/.test(t))}s(dP,"looksLikeIpAddress");Te.looksLikeIpAddress=dP;function Ite(t){let e=[],n=s((r,a)=>{for(let o of a){let i=Hr.getHostname(o);dP(i)&&(i==="127.0.0.1"?e.push(new oe.Finding(oe.Type.IP_SOURCE,r+" directive allows localhost as source. Please make sure to remove this in production environments.",oe.Severity.INFO,r,o)):e.push(new oe.Finding(oe.Type.IP_SOURCE,r+" directive has an IP-Address as source: "+i+" (will be ignored by browsers!). ",oe.Severity.INFO,r,o)))}},"checkIp");return Hr.applyCheckFunktionToDirectives(t,n),e}s(Ite,"checkIpSource");Te.checkIpSource=Ite;function Mte(t){let e=[];return Ke.Directive.REFLECTED_XSS in t.directives&&e.push(new oe.Finding(oe.Type.DEPRECATED_DIRECTIVE,"reflected-xss is deprecated since CSP2. Please, use the X-XSS-Protection header instead.",oe.Severity.INFO,Ke.Directive.REFLECTED_XSS)),Ke.Directive.REFERRER in t.directives&&e.push(new oe.Finding(oe.Type.DEPRECATED_DIRECTIVE,"referrer is deprecated since CSP2. Please, use the Referrer-Policy header instead.",oe.Severity.INFO,Ke.Directive.REFERRER)),Ke.Directive.DISOWN_OPENER in t.directives&&e.push(new oe.Finding(oe.Type.DEPRECATED_DIRECTIVE,"disown-opener is deprecated since CSP3. Please, use the Cross Origin Opener Policy header instead.",oe.Severity.INFO,Ke.Directive.DISOWN_OPENER)),e}s(Mte,"checkDeprecatedDirective");Te.checkDeprecatedDirective=Mte;function Nte(t){let e=new RegExp("^'nonce-(.+)'$"),n=[];return Hr.applyCheckFunktionToDirectives(t,(r,a)=>{for(let o of a){let i=o.match(e);if(!i)continue;i[1].length<8&&n.push(new oe.Finding(oe.Type.NONCE_LENGTH,"Nonces should be at least 8 characters long.",oe.Severity.MEDIUM,r,o)),iP.isNonce(o,!0)||n.push(new oe.Finding(oe.Type.NONCE_CHARSET,"Nonces should only use the base64 charset.",oe.Severity.INFO,r,o))}}),n}s(Nte,"checkNonceLength");Te.checkNonceLength=Nte;function Lte(t){let e=[];return Hr.applyCheckFunktionToDirectives(t,(n,r)=>{for(let a of r){let o=n===Ke.Directive.REPORT_URI?"Use HTTPS to send violation reports securely.":"Allow only resources downloaded over HTTPS.";a.startsWith("http://")&&e.push(new oe.Finding(oe.Type.SRC_HTTP,o,oe.Severity.MEDIUM,n,a))}}),e}s(Lte,"checkSrcHttp");Te.checkSrcHttp=Lte;function Pte(t){return(t.directives[Ke.Directive.REPORT_URI]||[]).length>0?[]:(t.directives[Ke.Directive.REPORT_TO]||[]).length>0?[new oe.Finding(oe.Type.REPORT_TO_ONLY,"This CSP policy only provides a reporting destination via the 'report-to' directive. This directive is only supported in Chromium-based browsers so it is recommended to also use a 'report-uri' directive.",oe.Severity.INFO,Ke.Directive.REPORT_TO)]:[new oe.Finding(oe.Type.REPORTING_DESTINATION_MISSING,"This CSP policy does not configure a reporting destination. This makes it difficult to maintain the CSP policy over time and monitor for any breakages.",oe.Severity.INFO,Ke.Directive.REPORT_URI)]}s(Pte,"checkHasConfiguredReporting");Te.checkHasConfiguredReporting=Pte});var pP=L(sn=>{"use strict";d();var Ote=sn&&sn.__createBinding||(Object.create?function(t,e,n,r){r===void 0&&(r=n),Object.defineProperty(t,r,{enumerable:!0,get:function(){return e[n]}})}:function(t,e,n,r){r===void 0&&(r=n),t[r]=e[n]}),Ute=sn&&sn.__setModuleDefault||(Object.create?function(t,e){Object.defineProperty(t,"default",{enumerable:!0,value:e})}:function(t,e){t.default=e}),Bte=sn&&sn.__importStar||function(t){if(t&&t.__esModule)return t;var e={};if(t!=null)for(var n in t)n!=="default"&&Object.prototype.hasOwnProperty.call(t,n)&&Ote(e,t,n);return Ute(e,t),e};Object.defineProperty(sn,"__esModule",{value:!0});sn.checkRequiresTrustedTypesForScripts=sn.checkAllowlistFallback=sn.checkUnsafeInlineFallback=sn.checkStrictDynamicNotStandalone=sn.checkStrictDynamic=void 0;var ci=Bte(qr()),T1=qr(),Mn=Gs();function jte(t){let e=t.getEffectiveDirective(ci.Directive.SCRIPT_SRC),n=t.directives[e]||[];return n.some(a=>!a.startsWith("'"))&&!n.includes(T1.Keyword.STRICT_DYNAMIC)?[new Mn.Finding(Mn.Type.STRICT_DYNAMIC,"Host allowlists can frequently be bypassed. Consider using 'strict-dynamic' in combination with CSP nonces or hashes.",Mn.Severity.STRICT_CSP,e)]:[]}s(jte,"checkStrictDynamic");sn.checkStrictDynamic=jte;function qte(t){let e=t.getEffectiveDirective(ci.Directive.SCRIPT_SRC);return(t.directives[e]||[]).includes(T1.Keyword.STRICT_DYNAMIC)&&!t.policyHasScriptNonces()&&!t.policyHasScriptHashes()?[new Mn.Finding(Mn.Type.STRICT_DYNAMIC_NOT_STANDALONE,"'strict-dynamic' without a CSP nonce/hash will block all scripts.",Mn.Severity.INFO,e)]:[]}s(qte,"checkStrictDynamicNotStandalone");sn.checkStrictDynamicNotStandalone=qte;function zte(t){if(!t.policyHasScriptNonces()&&!t.policyHasScriptHashes())return[];let e=t.getEffectiveDirective(ci.Directive.SCRIPT_SRC);return(t.directives[e]||[]).includes(T1.Keyword.UNSAFE_INLINE)?[]:[new Mn.Finding(Mn.Type.UNSAFE_INLINE_FALLBACK,"Consider adding 'unsafe-inline' (ignored by browsers supporting nonces/hashes) to be backward compatible with older browsers.",Mn.Severity.STRICT_CSP,e)]}s(zte,"checkUnsafeInlineFallback");sn.checkUnsafeInlineFallback=zte;function Hte(t){let e=t.getEffectiveDirective(ci.Directive.SCRIPT_SRC),n=t.directives[e]||[];return n.includes(T1.Keyword.STRICT_DYNAMIC)?n.some(r=>["http:","https:","*"].includes(r)||r.includes("."))?[]:[new Mn.Finding(Mn.Type.ALLOWLIST_FALLBACK,"Consider adding https: and http: url schemes (ignored by browsers supporting 'strict-dynamic') to be backward compatible with older browsers.",Mn.Severity.STRICT_CSP,e)]:[]}s(Hte,"checkAllowlistFallback");sn.checkAllowlistFallback=Hte;function Gte(t){let e=t.getEffectiveDirective(ci.Directive.REQUIRE_TRUSTED_TYPES_FOR);return(t.directives[e]||[]).includes(ci.TrustedTypesSink.SCRIPT)?[]:[new Mn.Finding(Mn.Type.REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS,`Consider requiring Trusted Types for scripts to lock down DOM XSS injection sinks. You can do this by adding "require-trusted-types-for 'script'" to your policy.`,Mn.Severity.INFO,ci.Directive.REQUIRE_TRUSTED_TYPES_FOR)]}s(Gte,"checkRequiresTrustedTypesForScripts");sn.checkRequiresTrustedTypesForScripts=Gte});var yP=L(lo=>{"use strict";d();Object.defineProperty(lo,"__esModule",{value:!0});lo.evaluateForSyntaxErrors=lo.evaluateForWarnings=lo.evaluateForFailure=void 0;var O0=Q8(),uo=mP(),U0=pP(),fP=qr();function hP(t,e){return t.some(n=>n.equals(e))}s(hP,"arrayContains");function Wte(t){let e=[];if(t.length===0)return e;let n=t[0];for(let r of n)t.every(a=>hP(a,r))&&e.push(r);return e}s(Wte,"setIntersection");function Vte(t){let e=[];for(let n of t)for(let r of n)hP(e,r)||e.push(r);return e}s(Vte,"setUnion");function $s(t,e){let n=[];for(let r of t)n.push(e(r));return Wte(n)}s($s,"atLeastOnePasses");function gP(t,e){let n=[];for(let r of t)n.push(e(r));return Vte(n)}s(gP,"atLeastOneFails");function $te(t){let e=[...$s(t,uo.checkMissingScriptSrcDirective),...$s(t,uo.checkMissingObjectSrcDirective),...uo.checkMultipleMissingBaseUriDirective(t)],n=t.map(o=>o.getEffectiveCsp(fP.Version.CSP3)),r=n.filter(o=>{let i=o.getEffectiveDirective(fP.Directive.SCRIPT_SRC);return o.directives[i]}),a=[...$s(r,U0.checkStrictDynamic),...$s(r,uo.checkScriptUnsafeInline),...$s(n,uo.checkWildcards),...$s(n,uo.checkPlainUrlSchemes)];return[...e,...a]}s($te,"evaluateForFailure");lo.evaluateForFailure=$te;function Yte(t){return[...gP(t,U0.checkUnsafeInlineFallback),...gP(t,U0.checkAllowlistFallback)]}s(Yte,"evaluateForWarnings");lo.evaluateForWarnings=Yte;function Kte(t){let e=[];for(let n of t){let r=[...uo.checkNonceLength(n),...O0.checkUnknownDirective(n),...uo.checkDeprecatedDirective(n),...O0.checkMissingSemicolon(n),...O0.checkInvalidKeyword(n)];e.push(r)}return e}s(Kte,"evaluateForSyntaxErrors");lo.evaluateForSyntaxErrors=Kte});var bP=L(ar=>{"use strict";d();var Jte=ar&&ar.__createBinding||(Object.create?function(t,e,n,r){r===void 0&&(r=n),Object.defineProperty(t,r,{enumerable:!0,get:function(){return e[n]}})}:function(t,e,n,r){r===void 0&&(r=n),t[r]=e[n]}),Xte=ar&&ar.__setModuleDefault||(Object.create?function(t,e){Object.defineProperty(t,"default",{enumerable:!0,value:e})}:function(t,e){t.default=e}),Zte=ar&&ar.__importStar||function(t){if(t&&t.__esModule)return t;var e={};if(t!=null)for(var n in t)n!=="default"&&Object.prototype.hasOwnProperty.call(t,n)&&Jte(e,t,n);return Xte(e,t),e};Object.defineProperty(ar,"__esModule",{value:!0});ar.TEST_ONLY=ar.CspParser=void 0;var gd=Zte(qr()),B0=class{static{s(this,"CspParser")}constructor(e){this.csp=new gd.Csp,this.parse(e)}parse(e){this.csp=new gd.Csp;let n=e.split(";");for(let r=0;r<n.length;r++){let o=n[r].trim().match(/\S+/g);if(Array.isArray(o)){let i=o[0].toLowerCase();if(i in this.csp.directives)continue;gd.isDirective(i);let c=[];for(let u,l=1;u=o[l];l++)u=vP(u),c.includes(u)||c.push(u);this.csp.directives[i]=c}}return this.csp}};ar.CspParser=B0;function vP(t){t=t.trim();let e=t.toLowerCase();return gd.isKeyword(e)||gd.isUrlScheme(t)?e:t}s(vP,"normalizeDirectiveValue");ar.TEST_ONLY={normalizeDirectiveValue:vP}});function DP(t){let e=Qte[t.type];return e?ns(e)?e:typeof e=="string"?Dn(e,{keyword:t.value||""}):(e=e[t.directive],e||(N.warn("CSP Evaluator",`No translation found for description: ${t.description}`),t.description)):(N.warn("CSP Evaluator",`No translation found for description: ${t.description}`),t.description)}function ene(t){return new wP.CspParser(t).csp}function j0(t){let e=t.map(ene),n=(0,Ys.evaluateForFailure)(e),r=(0,Ys.evaluateForWarnings)(e),a=(0,Ys.evaluateForSyntaxErrors)(e);return{bypasses:n,warnings:r,syntax:a}}var Ys,wn,wP,ui,Zt,Dn,Qte,EP=v(()=>{"use strict";d();Ys=zt(yP(),1),wn=zt(Gs(),1),wP=zt(bP(),1),ui=zt(qr(),1);He();k();la();Zt={missingBaseUri:"Missing base-uri allows injected <base> tags to set the base URL for all relative URLs (e.g. scripts) to an attacker controlled domain. Consider setting base-uri to 'none' or 'self'.",missingScriptSrc:"script-src directive is missing. This can allow the execution of unsafe scripts.",missingObjectSrc:"Missing object-src allows the injection of plugins that execute unsafe scripts. Consider setting object-src to 'none' if you can.",strictDynamic:"Host allowlists can frequently be bypassed. Consider using CSP nonces or hashes instead, along with 'strict-dynamic' if necessary.",unsafeInline:"'unsafe-inline' allows the execution of unsafe in-page scripts and event handlers. Consider using CSP nonces or hashes to allow scripts individually.",unsafeInlineFallback:"Consider adding 'unsafe-inline' (ignored by browsers supporting nonces/hashes) to be backward compatible with older browsers.",allowlistFallback:"Consider adding https: and http: URL schemes (ignored by browsers supporting 'strict-dynamic') to be backward compatible with older browsers.",reportToOnly:"The reporting destination is only configured via the report-to directive. This directive is only supported in Chromium-based browsers so it is recommended to also use a report-uri directive.",reportingDestinationMissing:"No CSP configures a reporting destination. This makes it difficult to maintain the CSP over time and monitor for any breakages.",nonceLength:"Nonces should be at least 8 characters long.",nonceCharset:"Nonces should use the base64 charset.",missingSemicolon:"Did you forget the semicolon? {keyword} seems to be a directive, not a keyword.",unknownDirective:"Unknown CSP directive.",unknownKeyword:"{keyword} seems to be an invalid keyword.",deprecatedReflectedXSS:"reflected-xss is deprecated since CSP2. Please, use the X-XSS-Protection header instead.",deprecatedReferrer:"referrer is deprecated since CSP2. Please, use the Referrer-Policy header instead.",deprecatedDisownOpener:"disown-opener is deprecated since CSP3. Please, use the Cross-Origin-Opener-Policy header instead.",plainWildcards:"Avoid using plain wildcards ({keyword}) in this directive. Plain wildcards allow scripts to be sourced from an unsafe domain.",plainUrlScheme:"Avoid using plain URL schemes ({keyword}) in this directive. Plain URL schemes allow scripts to be sourced from an unsafe domain."},Dn=w("core/lib/csp-evaluator.js",Zt),Qte={[wn.Type.MISSING_SEMICOLON]:Zt.missingSemicolon,[wn.Type.UNKNOWN_DIRECTIVE]:Dn(Zt.unknownDirective),[wn.Type.INVALID_KEYWORD]:Zt.unknownKeyword,[wn.Type.MISSING_DIRECTIVES]:{[ui.Directive.BASE_URI]:Dn(Zt.missingBaseUri),[ui.Directive.SCRIPT_SRC]:Dn(Zt.missingScriptSrc),[ui.Directive.OBJECT_SRC]:Dn(Zt.missingObjectSrc)},[wn.Type.SCRIPT_UNSAFE_INLINE]:Dn(Zt.unsafeInline),[wn.Type.PLAIN_WILDCARD]:Zt.plainWildcards,[wn.Type.PLAIN_URL_SCHEMES]:Zt.plainUrlScheme,[wn.Type.NONCE_LENGTH]:Dn(Zt.nonceLength),[wn.Type.NONCE_CHARSET]:Dn(Zt.nonceCharset),[wn.Type.DEPRECATED_DIRECTIVE]:{[ui.Directive.REFLECTED_XSS]:Dn(Zt.deprecatedReflectedXSS),[ui.Directive.REFERRER]:Dn(Zt.deprecatedReferrer),[ui.Directive.DISOWN_OPENER]:Dn(Zt.deprecatedDisownOpener)},[wn.Type.STRICT_DYNAMIC]:Dn(Zt.strictDynamic),[wn.Type.UNSAFE_INLINE_FALLBACK]:Dn(Zt.unsafeInlineFallback),[wn.Type.ALLOWLIST_FALLBACK]:Dn(Zt.allowlistFallback),[wn.Type.REPORTING_DESTINATION_MISSING]:Dn(Zt.reportingDestinationMissing),[wn.Type.REPORT_TO_ONLY]:Dn(Zt.reportToOnly)};s(DP,"getTranslatedDescription");s(ene,"parseCsp");s(j0,"evaluateRawCspsForXss")});var TP={};S(TP,{UIStrings:()=>xa,default:()=>tne});var xa,or,q0,tne,SP=v(()=>{"use strict";d();J();Wt();k();EP();xa={title:"Ensure CSP is effective against XSS attacks",description:"A strong Content Security Policy (CSP) significantly reduces the risk of cross-site scripting (XSS) attacks. [Learn how to use a CSP to prevent XSS](https://developer.chrome.com/docs/lighthouse/best-practices/csp-xss/)",noCsp:"No CSP found in enforcement mode",metaTagMessage:"The page contains a CSP defined in a <meta> tag. Consider moving the CSP to an HTTP header or defining another strict CSP in an HTTP header.",columnDirective:"Directive",columnSeverity:"Severity",itemSeveritySyntax:"Syntax"},or=w("core/audits/csp-xss.js",xa),q0=class extends h{static{s(this,"CspXss")}static get meta(){return{id:"csp-xss",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:or(xa.title),description:or(xa.description),requiredArtifacts:["devtoolsLogs","MetaElements","URL"]}}static async getRawCsps(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await je.request({devtoolsLog:r,URL:e.URL},n),o=e.MetaElements.filter(c=>c.httpEquiv&&c.httpEquiv.toLowerCase()==="content-security-policy").flatMap(c=>(c.content||"").split(",")).filter(c=>c.replace(/\s/g,""));return{cspHeaders:a.responseHeaders.filter(c=>c.name.toLowerCase()==="content-security-policy").flatMap(c=>c.value.split(",")).filter(c=>c.replace(/\s/g,"")),cspMetaTags:o}}static findingToTableItem(e,n){return{directive:e.directive,description:DP(e),severity:n}}static constructSyntaxResults(e,n){let r=[];for(let a=0;a<e.length;++a){let o=e[a].map(i=>this.findingToTableItem(i));o.length&&r.push({severity:or(xa.itemSeveritySyntax),description:{type:"code",value:n[a]},subItems:{type:"subitems",items:o}})}return r}static constructResults(e,n){let r=[...e,...n];if(!r.length)return{score:0,results:[{severity:or(x.itemSeverityHigh),description:or(xa.noCsp),directive:void 0}]};let{bypasses:a,warnings:o,syntax:i}=j0(r),c=[...this.constructSyntaxResults(i,r),...a.map(m=>this.findingToTableItem(m,or(x.itemSeverityHigh))),...o.map(m=>this.findingToTableItem(m,or(x.itemSeverityMedium)))],l=j0(e).bypasses.length>0||e.length===0;return n.length>0&&l&&c.push({severity:or(x.itemSeverityMedium),description:or(xa.metaTagMessage),directive:void 0}),{score:a.length?0:1,results:c}}static async audit(e,n){let{cspHeaders:r,cspMetaTags:a}=await this.getRawCsps(e,n),{score:o,results:i}=this.constructResults(r,a),c=[{key:"description",valueType:"text",subItemsHeading:{key:"description"},label:or(x.columnDescription)},{key:"directive",valueType:"code",subItemsHeading:{key:"directive"},label:or(xa.columnDirective)},{key:"severity",valueType:"text",subItemsHeading:{key:"severity"},label:or(xa.columnSeverity)}],u=h.makeTableDetails(c,i);return{score:o,notApplicable:!i.length,details:u}}},tne=q0});var z0,xP,CP=v(()=>{"use strict";d();z0={AuthorizationCoveredByWildcard:"Authorization will not be covered by the wildcard symbol (*) in CORS `Access-Control-Allow-Headers` handling.",CanRequestURLHTTPContainingNewline:"Resource requests whose URLs contained both removed whitespace `(n|r|t)` characters and less-than characters (`<`) are blocked. Please remove newlines and encode less-than characters from places like element attribute values in order to load these resources.",ChromeLoadTimesConnectionInfo:"`chrome.loadTimes()` is deprecated, instead use standardized API: Navigation Timing 2.",ChromeLoadTimesFirstPaintAfterLoadTime:"`chrome.loadTimes()` is deprecated, instead use standardized API: Paint Timing.",ChromeLoadTimesWasAlternateProtocolAvailable:"`chrome.loadTimes()` is deprecated, instead use standardized API: `nextHopProtocol` in Navigation Timing 2.",CookieWithTruncatingChar:"Cookies containing a `(0|r|n)` character will be rejected instead of truncated.",CrossOriginAccessBasedOnDocumentDomain:"Relaxing the same-origin policy by setting `document.domain` is deprecated, and will be disabled by default. This deprecation warning is for a cross-origin access that was enabled by setting `document.domain`.",CrossOriginWindowAlert:"Triggering window.alert from cross origin iframes has been deprecated and will be removed in the future.",CrossOriginWindowConfirm:"Triggering window.confirm from cross origin iframes has been deprecated and will be removed in the future.",CSSSelectorInternalMediaControlsOverlayCastButton:"The `disableRemotePlayback` attribute should be used in order to disable the default Cast integration instead of using `-internal-media-controls-overlay-cast-button` selector.",DataUrlInSvgUse:"Support for data: URLs in SVG <use> element is deprecated and it will be removed in the future.",DocumentDomainSettingWithoutOriginAgentClusterHeader:"Relaxing the same-origin policy by setting `document.domain` is deprecated, and will be disabled by default. To continue using this feature, please opt-out of origin-keyed agent clusters by sending an `Origin-Agent-Cluster: ?0` header along with the HTTP response for the document and frames. See https://developer.chrome.com/blog/immutable-document-domain/ for more details.",DOMMutationEvents:"DOM Mutation Events, including `DOMSubtreeModified`, `DOMNodeInserted`, `DOMNodeRemoved`, `DOMNodeRemovedFromDocument`, `DOMNodeInsertedIntoDocument`, and `DOMCharacterDataModified` are deprecated (https://w3c.github.io/uievents/#legacy-event-types) and will be removed. Please use `MutationObserver` instead.",ExpectCTHeader:"The `Expect-CT` header is deprecated and will be removed. Chrome requires Certificate Transparency for all publicly trusted certificates issued after April 30, 2018.",GeolocationInsecureOrigin:"`getCurrentPosition()` and `watchPosition()` no longer work on insecure origins. To use this feature, you should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-insecure-origins for more details.",GeolocationInsecureOriginDeprecatedNotRemoved:"`getCurrentPosition()` and `watchPosition()` are deprecated on insecure origins. To use this feature, you should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-insecure-origins for more details.",GetUserMediaInsecureOrigin:"`getUserMedia()` no longer works on insecure origins. To use this feature, you should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-insecure-origins for more details.",HostCandidateAttributeGetter:"`RTCPeerConnectionIceErrorEvent.hostCandidate` is deprecated. Please use `RTCPeerConnectionIceErrorEvent.address` or `RTCPeerConnectionIceErrorEvent.port` instead.",IdentityInCanMakePaymentEvent:"The merchant origin and arbitrary data from the `canmakepayment` service worker event are deprecated and will be removed: `topOrigin`, `paymentRequestOrigin`, `methodData`, `modifiers`.",InsecurePrivateNetworkSubresourceRequest:"The website requested a subresource from a network that it could only access because of its users' privileged network position. These requests expose non-public devices and servers to the internet, increasing the risk of a cross-site request forgery (CSRF) attack, and/or information leakage. To mitigate these risks, Chrome deprecates requests to non-public subresources when initiated from non-secure contexts, and will start blocking them.",InterestGroupDailyUpdateUrl:"The `dailyUpdateUrl` field of `InterestGroups` passed to `joinAdInterestGroup()` has been renamed to `updateUrl`, to more accurately reflect its behavior.",LocalCSSFileExtensionRejected:"CSS cannot be loaded from `file:` URLs unless they end in a `.css` file extension.",MediaSourceAbortRemove:"Using `SourceBuffer.abort()` to abort `remove()`'s asynchronous range removal is deprecated due to specification change. Support will be removed in the future. You should listen to the `updateend` event instead. `abort()` is intended to only abort an asynchronous media append or reset parser state.",MediaSourceDurationTruncatingBuffered:"Setting `MediaSource.duration` below the highest presentation timestamp of any buffered coded frames is deprecated due to specification change. Support for implicit removal of truncated buffered media will be removed in the future. You should instead perform explicit `remove(newDuration, oldDuration)` on all `sourceBuffers`, where `newDuration < oldDuration`.",NonStandardDeclarativeShadowDOM:"The older, non-standardized `shadowroot` attribute is deprecated, and will *no longer function* in M119. Please use the new, standardized `shadowrootmode` attribute instead.",NoSysexWebMIDIWithoutPermission:"Web MIDI will ask a permission to use even if the sysex is not specified in the `MIDIOptions`.",NotificationInsecureOrigin:"The Notification API may no longer be used from insecure origins. You should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-insecure-origins for more details.",NotificationPermissionRequestedIframe:"Permission for the Notification API may no longer be requested from a cross-origin iframe. You should consider requesting permission from a top-level frame or opening a new window instead.",ObsoleteCreateImageBitmapImageOrientationNone:"Option `imageOrientation: 'none'` in createImageBitmap is deprecated. Please use createImageBitmap with option \\{imageOrientation: 'from-image'\\} instead.",ObsoleteWebRtcCipherSuite:"Your partner is negotiating an obsolete (D)TLS version. Please check with your partner to have this fixed.",OverflowVisibleOnReplacedElement:"Specifying `overflow: visible` on img, video and canvas tags may cause them to produce visual content outside of the element bounds. See https://github.com/WICG/shared-element-transitions/blob/main/debugging_overflow_on_images.md.",PaymentInstruments:"`paymentManager.instruments` is deprecated. Please use just-in-time install for payment handlers instead.",PaymentRequestCSPViolation:"Your `PaymentRequest` call bypassed Content-Security-Policy (CSP) `connect-src` directive. This bypass is deprecated. Please add the payment method identifier from the `PaymentRequest` API (in `supportedMethods` field) to your CSP `connect-src` directive.",PersistentQuotaType:"`StorageType.persistent` is deprecated. Please use standardized `navigator.storage` instead.",PictureSourceSrc:"`<source src>` with a `<picture>` parent is invalid and therefore ignored. Please use `<source srcset>` instead.",PrefixedCancelAnimationFrame:"webkitCancelAnimationFrame is vendor-specific. Please use the standard cancelAnimationFrame instead.",PrefixedRequestAnimationFrame:"webkitRequestAnimationFrame is vendor-specific. Please use the standard requestAnimationFrame instead.",PrefixedVideoDisplayingFullscreen:"HTMLVideoElement.webkitDisplayingFullscreen is deprecated. Please use Document.fullscreenElement instead.",PrefixedVideoEnterFullScreen:"HTMLVideoElement.webkitEnterFullScreen() is deprecated. Please use Element.requestFullscreen() instead.",PrefixedVideoEnterFullscreen:"HTMLVideoElement.webkitEnterFullscreen() is deprecated. Please use Element.requestFullscreen() instead.",PrefixedVideoExitFullScreen:"HTMLVideoElement.webkitExitFullScreen() is deprecated. Please use Document.exitFullscreen() instead.",PrefixedVideoExitFullscreen:"HTMLVideoElement.webkitExitFullscreen() is deprecated. Please use Document.exitFullscreen() instead.",PrefixedVideoSupportsFullscreen:"HTMLVideoElement.webkitSupportsFullscreen is deprecated. Please use Document.fullscreenEnabled instead.",PrivacySandboxExtensionsAPI:"We're deprecating the API `chrome.privacy.websites.privacySandboxEnabled`, though it will remain active for backward compatibility until release M113. Instead, please use `chrome.privacy.websites.topicsEnabled`, `chrome.privacy.websites.fledgeEnabled` and `chrome.privacy.websites.adMeasurementEnabled`. See https://developer.chrome.com/docs/extensions/reference/privacy/#property-websites-privacySandboxEnabled.",RangeExpand:"Range.expand() is deprecated. Please use Selection.modify() instead.",RequestedSubresourceWithEmbeddedCredentials:"Subresource requests whose URLs contain embedded credentials (e.g. `https://user:pass@host/`) are blocked.",RTCConstraintEnableDtlsSrtpFalse:"The constraint `DtlsSrtpKeyAgreement` is removed. You have specified a `false` value for this constraint, which is interpreted as an attempt to use the removed `SDES key negotiation` method. This functionality is removed; use a service that supports `DTLS key negotiation` instead.",RTCConstraintEnableDtlsSrtpTrue:"The constraint `DtlsSrtpKeyAgreement` is removed. You have specified a `true` value for this constraint, which had no effect, but you can remove this constraint for tidiness.",RTCPeerConnectionGetStatsLegacyNonCompliant:"The callback-based getStats() is deprecated and will be removed. Use the spec-compliant getStats() instead.",RtcpMuxPolicyNegotiate:"The `rtcpMuxPolicy` option is deprecated and will be removed.",SharedArrayBufferConstructedWithoutIsolation:"`SharedArrayBuffer` will require cross-origin isolation. See https://developer.chrome.com/blog/enabling-shared-array-buffer/ for more details.",TextToSpeech_DisallowedByAutoplay:"`speechSynthesis.speak()` without user activation is deprecated and will be removed.",V8SharedArrayBufferConstructedInExtensionWithoutIsolation:"Extensions should opt into cross-origin isolation to continue using `SharedArrayBuffer`. See https://developer.chrome.com/docs/extensions/mv3/cross-origin-isolation/.",WebSQL:"Web SQL is deprecated. Please use SQLite WebAssembly or Indexed Database",WindowPlacementPermissionDescriptorUsed:"The permission descriptor `window-placement` is deprecated. Use `window-management` instead. For more help, check https://bit.ly/window-placement-rename.",WindowPlacementPermissionPolicyParsed:"The permission policy `window-placement` is deprecated. Use `window-management` instead. For more help, check https://bit.ly/window-placement-rename.",XHRJSONEncodingDetection:"UTF-16 is not supported by response json in `XMLHttpRequest`",XMLHttpRequestSynchronousInNonWorkerOutsideBeforeUnload:"Synchronous `XMLHttpRequest` on the main thread is deprecated because of its detrimental effects to the end user's experience. For more help, check https://xhr.spec.whatwg.org/.",XRSupportsSession:"`supportsSession()` is deprecated. Please use `isSessionSupported()` and check the resolved boolean value instead."},xP={AuthorizationCoveredByWildcard:{milestone:97},CSSSelectorInternalMediaControlsOverlayCastButton:{chromeStatusFeature:5714245488476160},CanRequestURLHTTPContainingNewline:{chromeStatusFeature:5735596811091968},ChromeLoadTimesConnectionInfo:{chromeStatusFeature:5637885046816768},ChromeLoadTimesFirstPaintAfterLoadTime:{chromeStatusFeature:5637885046816768},ChromeLoadTimesWasAlternateProtocolAvailable:{chromeStatusFeature:5637885046816768},CookieWithTruncatingChar:{milestone:103},CrossOriginAccessBasedOnDocumentDomain:{milestone:115},DOMMutationEvents:{chromeStatusFeature:5083947249172480,milestone:127},DataUrlInSvgUse:{chromeStatusFeature:5128825141198848,milestone:119},DocumentDomainSettingWithoutOriginAgentClusterHeader:{milestone:115},ExpectCTHeader:{chromeStatusFeature:6244547273687040,milestone:107},IdentityInCanMakePaymentEvent:{chromeStatusFeature:5190978431352832},InsecurePrivateNetworkSubresourceRequest:{chromeStatusFeature:5436853517811712,milestone:92},LocalCSSFileExtensionRejected:{milestone:64},MediaSourceAbortRemove:{chromeStatusFeature:6107495151960064},MediaSourceDurationTruncatingBuffered:{chromeStatusFeature:6107495151960064},NoSysexWebMIDIWithoutPermission:{chromeStatusFeature:5138066234671104,milestone:82},NonStandardDeclarativeShadowDOM:{chromeStatusFeature:6239658726391808,milestone:119},NotificationPermissionRequestedIframe:{chromeStatusFeature:6451284559265792},ObsoleteCreateImageBitmapImageOrientationNone:{milestone:111},ObsoleteWebRtcCipherSuite:{milestone:81},OverflowVisibleOnReplacedElement:{chromeStatusFeature:5137515594383360,milestone:108},PaymentInstruments:{chromeStatusFeature:5099285054488576},PaymentRequestCSPViolation:{chromeStatusFeature:6286595631087616},PersistentQuotaType:{chromeStatusFeature:5176235376246784,milestone:106},RTCConstraintEnableDtlsSrtpFalse:{milestone:97},RTCConstraintEnableDtlsSrtpTrue:{milestone:97},RTCPeerConnectionGetStatsLegacyNonCompliant:{chromeStatusFeature:4631626228695040,milestone:117},RequestedSubresourceWithEmbeddedCredentials:{chromeStatusFeature:5669008342777856},RtcpMuxPolicyNegotiate:{chromeStatusFeature:5654810086866944,milestone:62},SharedArrayBufferConstructedWithoutIsolation:{milestone:106},TextToSpeech_DisallowedByAutoplay:{chromeStatusFeature:5687444770914304,milestone:71},V8SharedArrayBufferConstructedInExtensionWithoutIsolation:{milestone:96},WebSQL:{chromeStatusFeature:5134293578285056,milestone:115},WindowPlacementPermissionDescriptorUsed:{chromeStatusFeature:5137018030391296,milestone:112},WindowPlacementPermissionPolicyParsed:{chromeStatusFeature:5137018030391296,milestone:112},XHRJSONEncodingDetection:{milestone:93},XRSupportsSession:{milestone:80}}});function AP(t){let e,n=t.type,r=z0[n];r&&(e=nne(r));let a=[],o=xP[n],i=o?.chromeStatusFeature??0;i!==0&&a.push({link:`https://chromestatus.com/feature/${i}`,linkTitle:H0(S1.feature)});let c=o?.milestone??0;return c!==0&&a.push({link:"https://chromiumdash.appspot.com/schedule",linkTitle:H0(S1.milestone,{milestone:c})}),{substitutions:new Map([["PLACEHOLDER_title",H0(S1.title)],["PLACEHOLDER_message",e]]),links:a,message:e}}var S1,H0,nne,FP=v(()=>{"use strict";d();k();CP();S1={feature:"Check the feature status page for more details.",milestone:"This change will go into effect with milestone {milestone}.",title:"Deprecated Feature Used"},H0=w("core/lib/deprecation-description.js",S1),nne=w("core/lib/deprecation-description.js",z0);s(AP,"getIssueDetailDescription")});var RP={};S(RP,{UIStrings:()=>li,default:()=>rne});var li,Ks,G0,rne,_P=v(()=>{"use strict";d();J();Ta();k();FP();li={title:"Avoids deprecated APIs",failureTitle:"Uses deprecated APIs",description:"Deprecated APIs will eventually be removed from the browser. [Learn more about deprecated APIs](https://developer.chrome.com/docs/lighthouse/best-practices/deprecations/).",displayValue:`{itemCount, plural,
    =1 {1 warning found}
    other {# warnings found}
    }`,columnDeprecate:"Deprecation / Warning",columnLine:"Line"},Ks=w("core/audits/deprecations.js",li),G0=class extends h{static{s(this,"Deprecations")}static get meta(){return{id:"deprecations",title:Ks(li.title),failureTitle:Ks(li.failureTitle),description:Ks(li.description),requiredArtifacts:["InspectorIssues","SourceMaps","Scripts"]}}static async audit(e,n){let r=await vn.request(e,n),a=e.InspectorIssues.deprecationIssue.map(u=>{let{scriptId:l,url:m,lineNumber:p,columnNumber:g}=u.sourceCodeLocation,f=r.find(A=>A.script.scriptId===l),y=AP(u),b;y.links.length&&(b={type:"subitems",items:y.links.map(A=>({type:"link",url:A.link,text:A.linkTitle}))});let D=u.message;return{value:y.message||D||u.type,source:h.makeSourceLocation(m,p,g-1,f),subItems:b}}),o=[{key:"value",valueType:"text",label:Ks(li.columnDeprecate)},{key:"source",valueType:"source-location",label:Ks(x.columnSource)}],i=h.makeTableDetails(o,a),c;return a.length>0&&(c=Ks(li.displayValue,{itemCount:a.length})),{score:+(a.length===0),displayValue:c,details:i}}},rne=G0});var kP={};S(kP,{default:()=>ane});var W0,ane,IP=v(()=>{"use strict";d();J();ba();De();Xo();Wt();W0=class extends h{static{s(this,"Diagnostics")}static get meta(){return{id:"diagnostics",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:"Diagnostics",description:"Collection of useful page vitals.",supportedModes:["navigation"],requiredArtifacts:["URL","traces","devtoolsLogs"]}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=await yn.request(r,n),i=await $.request(a,n),c=await dr.request(a,n),u=await je.request({devtoolsLog:a,URL:e.URL},n),l=o.filter(D=>!D.parent),m=u.transferSize,p=i.reduce((D,T)=>D+(T.transferSize||0),0),g=l.reduce((D,T)=>D+(T.duration||0),0),f=Math.max(...c.additionalRttByOrigin.values())+c.rtt,y=Math.max(...c.serverResponseTimeByOrigin.values());return{score:1,details:{type:"debugdata",items:[{numRequests:i.length,numScripts:i.filter(D=>D.resourceType==="Script").length,numStylesheets:i.filter(D=>D.resourceType==="Stylesheet").length,numFonts:i.filter(D=>D.resourceType==="Font").length,numTasks:l.length,numTasksOver10ms:l.filter(D=>D.duration>10).length,numTasksOver25ms:l.filter(D=>D.duration>25).length,numTasksOver50ms:l.filter(D=>D.duration>50).length,numTasksOver100ms:l.filter(D=>D.duration>100).length,numTasksOver500ms:l.filter(D=>D.duration>500).length,rtt:c.rtt,throughput:c.throughput,maxRtt:f,maxServerLatency:y,totalByteWeight:p,totalTaskTime:g,mainDocumentTransferSize:m}]}}}},ane=W0});var LP={};S(LP,{CHARSET_HTML_REGEX:()=>NP,CHARSET_HTTP_REGEX:()=>$0,IANA_REGEX:()=>MP,UIStrings:()=>hd,default:()=>ine});var hd,V0,one,MP,NP,$0,Y0,ine,PP=v(()=>{"use strict";d();J();k();Wt();hd={title:"Properly defines charset",failureTitle:"Charset declaration is missing or occurs too late in the HTML",description:"A character encoding declaration is required. It can be done with a `<meta>` tag in the first 1024 bytes of the HTML or in the Content-Type HTTP response header. [Learn more about declaring the character encoding](https://developer.chrome.com/docs/lighthouse/best-practices/charset/)."},V0=w("core/audits/dobetterweb/charset.js",hd),one="content-type",MP=/^[a-zA-Z0-9-_:.()]{2,}$/,NP=/<meta[^>]+charset[^<]+>/i,$0=/charset\s*=\s*[a-zA-Z0-9-_:.()]{2,}/i,Y0=class extends h{static{s(this,"CharsetDefined")}static get meta(){return{id:"charset",title:V0(hd.title),failureTitle:V0(hd.failureTitle),description:V0(hd.description),requiredArtifacts:["MainDocumentContent","URL","devtoolsLogs","MetaElements"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await je.request({devtoolsLog:r,URL:e.URL},n),o=!1;if(a.responseHeaders){let c=a.responseHeaders.find(u=>u.name.toLowerCase()===one);c&&(o=$0.test(c.value))}let i=65279;return o=o||e.MainDocumentContent.charCodeAt(0)===i,NP.test(e.MainDocumentContent.slice(0,1024))&&(o=o||e.MetaElements.some(c=>c.charset&&MP.test(c.charset)||c.httpEquiv==="content-type"&&c.content&&$0.test(c.content))),{score:Number(o)}}},ine=Y0});var OP={};S(OP,{UIStrings:()=>gr,default:()=>sne});var gr,Ca,K0,sne,UP=v(()=>{"use strict";d();J();k();Jt();gr={title:"Page has the HTML doctype",failureTitle:"Page lacks the HTML doctype, thus triggering quirks-mode",description:"Specifying a doctype prevents the browser from switching to quirks-mode. [Learn more about the doctype declaration](https://developer.chrome.com/docs/lighthouse/best-practices/doctype/).",explanationNoDoctype:"Document must contain a doctype",explanationWrongDoctype:"Document contains a `doctype` that triggers `quirks-mode`",explanationLimitedQuirks:"Document contains a `doctype` that triggers `limited-quirks-mode`",explanationPublicId:"Expected publicId to be an empty string",explanationSystemId:"Expected systemId to be an empty string",explanationBadDoctype:"Doctype name must be the string `html`"},Ca=w("core/audits/dobetterweb/doctype.js",gr),K0=class extends h{static{s(this,"Doctype")}static get meta(){return{id:"doctype",title:Ca(gr.title),failureTitle:Ca(gr.failureTitle),description:Ca(gr.description),requiredArtifacts:["Doctype"],__internalOptionalArtifacts:["InspectorIssues","traces"]}}static async audit(e,n){if(!e.Doctype)return{score:0,explanation:Ca(gr.explanationNoDoctype)};let r=e.Doctype.name,a=e.Doctype.publicId,o=e.Doctype.systemId,i=e.Doctype.documentCompatMode,c=e.traces?.[h.DEFAULT_PASS],u=[];if(c&&e.InspectorIssues){let p=(await Ye.request(c,n)).mainFrameInfo.frameId;u=e.InspectorIssues.quirksModeIssue.filter(g=>g.frameId===p)}let l=u.some(m=>m.isLimitedQuirksMode);return i==="CSS1Compat"&&!l?{score:1}:l?{score:0,explanation:Ca(gr.explanationLimitedQuirks)}:a!==""?{score:0,explanation:Ca(gr.explanationPublicId)}:o!==""?{score:0,explanation:Ca(gr.explanationSystemId)}:r!=="html"?{score:0,explanation:Ca(gr.explanationBadDoctype)}:{score:0,explanation:Ca(gr.explanationWrongDoctype)}}},sne=K0});var BP={};S(BP,{UIStrings:()=>hr,default:()=>cne});var hr,Gr,J0,cne,jP=v(()=>{"use strict";d();J();k();hr={title:"Avoids an excessive DOM size",failureTitle:"Avoid an excessive DOM size",description:"A large DOM will increase memory usage, cause longer [style calculations](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations), and produce costly [layout reflows](https://developers.google.com/speed/articles/reflow). [Learn how to avoid an excessive DOM size](https://developer.chrome.com/docs/lighthouse/performance/dom-size/).",columnStatistic:"Statistic",columnValue:"Value",displayValue:`{itemCount, plural,
    =1 {1 element}
    other {# elements}
    }`,statisticDOMElements:"Total DOM Elements",statisticDOMDepth:"Maximum DOM Depth",statisticDOMWidth:"Maximum Child Elements"},Gr=w("core/audits/dobetterweb/dom-size.js",hr),J0=class extends h{static{s(this,"DOMSize")}static get meta(){return{id:"dom-size",title:Gr(hr.title),failureTitle:Gr(hr.failureTitle),description:Gr(hr.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["DOMStats"]}}static get defaultOptions(){return{p10:818,median:1400}}static audit(e,n){let r=e.DOMStats,a=h.computeLogNormalScore({p10:n.options.p10,median:n.options.median},r.totalBodyElements),o=[{key:"statistic",valueType:"text",label:Gr(hr.columnStatistic)},{key:"node",valueType:"node",label:Gr(x.columnElement)},{key:"value",valueType:"numeric",label:Gr(hr.columnValue)}],i=[{statistic:Gr(hr.statisticDOMElements),value:{type:"numeric",granularity:1,value:r.totalBodyElements}},{node:h.makeNodeItem(r.depth),statistic:Gr(hr.statisticDOMDepth),value:{type:"numeric",granularity:1,value:r.depth.max}},{node:h.makeNodeItem(r.width),statistic:Gr(hr.statisticDOMWidth),value:{type:"numeric",granularity:1,value:r.width.max}}];return{score:a,numericValue:r.totalBodyElements,numericUnit:"element",displayValue:Gr(hr.displayValue,{itemCount:r.totalBodyElements}),details:h.makeTableDetails(o,i)}}},cne=J0});var X0,En,yd=v(()=>{"use strict";d();J();Ta();X0=class extends h{static{s(this,"ViolationAudit")}static async getViolationResults(e,n,r){let a=await vn.request(e,n);function o(c){return c!==void 0}s(o,"filterUndefined");let i=new Set;return e.ConsoleMessages.filter(c=>c.url&&c.source==="violation"&&r.test(c.text)).map(c=>{let u=a.find(l=>l.script.scriptId===c.scriptId);return h.makeSourceLocationFromConsoleMessage(c,u)}).filter(o).filter(c=>{let u=`${c.url}!${c.line}!${c.column}`;return i.has(u)?!1:(i.add(u),!0)}).map(c=>({source:c}))}},En=X0});var qP={};S(qP,{UIStrings:()=>vd,default:()=>une});var vd,x1,Z0,une,zP=v(()=>{"use strict";d();yd();k();vd={title:"Avoids requesting the geolocation permission on page load",failureTitle:"Requests the geolocation permission on page load",description:"Users are mistrustful of or confused by sites that request their location without context. Consider tying the request to a user action instead. [Learn more about the geolocation permission](https://developer.chrome.com/docs/lighthouse/best-practices/geolocation-on-start/)."},x1=w("core/audits/dobetterweb/geolocation-on-start.js",vd),Z0=class extends En{static{s(this,"GeolocationOnStart")}static get meta(){return{id:"geolocation-on-start",title:x1(vd.title),failureTitle:x1(vd.failureTitle),description:x1(vd.description),supportedModes:["navigation"],requiredArtifacts:["ConsoleMessages","SourceMaps","Scripts"]}}static async audit(e,n){let r=await En.getViolationResults(e,n,/geolocation/),a=[{key:"source",valueType:"source-location",label:x1(x.columnSource)}],o=En.makeTableDetails(a,r);return{score:+(r.length===0),details:o}}},une=Z0});var HP={};S(HP,{UIStrings:()=>mo,default:()=>lne});var mo,Js,Q0,lne,GP=v(()=>{"use strict";d();J();k();mo={title:"No issues in the `Issues` panel in Chrome Devtools",failureTitle:"Issues were logged in the `Issues` panel in Chrome Devtools",description:"Issues logged to the `Issues` panel in Chrome Devtools indicate unresolved problems. They can come from network request failures, insufficient security controls, and other browser concerns. Open up the Issues panel in Chrome DevTools for more details on each issue.",columnIssueType:"Issue type",issueTypeBlockedByResponse:"Blocked by cross-origin policy",issueTypeHeavyAds:"Heavy resource usage by ads"},Js=w("core/audits/dobetterweb/inspector-issues.js",mo),Q0=class extends h{static{s(this,"IssuesPanelEntries")}static get meta(){return{id:"inspector-issues",title:Js(mo.title),failureTitle:Js(mo.failureTitle),description:Js(mo.description),requiredArtifacts:["InspectorIssues"]}}static getMixedContentRow(e){let n=new Set;for(let r of e){let a=r.request?.url||r.mainResourceURL;n.add(a)}return{issueType:"Mixed content",subItems:{type:"subitems",items:Array.from(n).map(r=>({url:r}))}}}static getCookieRow(e){let n=new Set;for(let r of e){let a=r.request?.url||r.cookieUrl;a&&n.add(a)}return{issueType:"Cookie",subItems:{type:"subitems",items:Array.from(n).map(r=>({url:r}))}}}static getBlockedByResponseRow(e){let n=new Set;for(let r of e){let a=r.request?.url;a&&n.add(a)}return{issueType:Js(mo.issueTypeBlockedByResponse),subItems:{type:"subitems",items:Array.from(n).map(r=>({url:r}))}}}static getContentSecurityPolicyRow(e){let n=new Set;for(let r of e){let a=r.blockedURL;a&&n.add(a)}return{issueType:"Content security policy",subItems:{type:"subitems",items:Array.from(n).map(r=>({url:r}))}}}static audit(e){let n=[{key:"issueType",valueType:"text",subItemsHeading:{key:"url",valueType:"url"},label:Js(mo.columnIssueType)}],r=e.InspectorIssues,a=[];r.mixedContentIssue.length&&a.push(this.getMixedContentRow(r.mixedContentIssue)),r.cookieIssue.length&&a.push(this.getCookieRow(r.cookieIssue)),r.blockedByResponseIssue.length&&a.push(this.getBlockedByResponseRow(r.blockedByResponseIssue)),r.heavyAdIssue.length&&a.push({issueType:Js(mo.issueTypeHeavyAds)});let o=r.contentSecurityPolicyIssue.filter(i=>i.contentSecurityPolicyViolationType!=="kTrustedTypesSinkViolation"&&i.contentSecurityPolicyViolationType!=="kTrustedTypesPolicyViolation");return o.length&&a.push(this.getContentSecurityPolicyRow(o)),{score:a.length>0?0:1,details:h.makeTableDetails(n,a)}}},lne=Q0});var WP={};S(WP,{UIStrings:()=>bd,default:()=>dne});var bd,C1,eD,dne,VP=v(()=>{"use strict";d();J();k();bd={title:"Detected JavaScript libraries",description:"All front-end JavaScript libraries detected on the page. [Learn more about this JavaScript library detection diagnostic audit](https://developer.chrome.com/docs/lighthouse/best-practices/js-libraries/).",columnVersion:"Version"},C1=w("core/audits/dobetterweb/js-libraries.js",bd),eD=class extends h{static{s(this,"JsLibrariesAudit")}static get meta(){return{id:"js-libraries",title:C1(bd.title),scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,description:C1(bd.description),requiredArtifacts:["Stacks"]}}static audit(e){let n=e.Stacks.filter(i=>i.detector==="js").filter(i=>!i.id.endsWith("-fast")).map(i=>({name:i.name,version:i.version,npm:i.npm})),r=[{key:"name",valueType:"text",label:C1(x.columnName)},{key:"version",valueType:"text",label:C1(bd.columnVersion)}],a=h.makeTableDetails(r,n),o={type:"debugdata",stacks:e.Stacks.map(i=>({id:i.id,version:i.version}))};return n.length?{score:1,details:{...a,debugData:o}}:{score:null,notApplicable:!0}}},dne=eD});var $P={};S($P,{UIStrings:()=>wd,default:()=>mne});var wd,A1,tD,mne,YP=v(()=>{"use strict";d();yd();k();wd={title:"Avoids `document.write()`",failureTitle:"Avoid `document.write()`",description:"For users on slow connections, external scripts dynamically injected via `document.write()` can delay page load by tens of seconds. [Learn how to avoid document.write()](https://developer.chrome.com/docs/lighthouse/best-practices/no-document-write/)."},A1=w("core/audits/dobetterweb/no-document-write.js",wd),tD=class extends En{static{s(this,"NoDocWriteAudit")}static get meta(){return{id:"no-document-write",title:A1(wd.title),failureTitle:A1(wd.failureTitle),description:A1(wd.description),requiredArtifacts:["ConsoleMessages","SourceMaps","Scripts"]}}static async audit(e,n){let r=await En.getViolationResults(e,n,/document\.write/),a=[{key:"source",valueType:"source-location",label:A1(x.columnSource)}],o=En.makeTableDetails(a,r);return{score:+(r.length===0),details:o}}},mne=tD});var KP={};S(KP,{UIStrings:()=>Dd,default:()=>pne});var Dd,F1,nD,pne,JP=v(()=>{"use strict";d();yd();k();Dd={title:"Avoids requesting the notification permission on page load",failureTitle:"Requests the notification permission on page load",description:"Users are mistrustful of or confused by sites that request to send notifications without context. Consider tying the request to user gestures instead. [Learn more about responsibly getting permission for notifications](https://developer.chrome.com/docs/lighthouse/best-practices/notification-on-start/)."},F1=w("core/audits/dobetterweb/notification-on-start.js",Dd),nD=class extends En{static{s(this,"NotificationOnStart")}static get meta(){return{id:"notification-on-start",title:F1(Dd.title),failureTitle:F1(Dd.failureTitle),description:F1(Dd.description),supportedModes:["navigation"],requiredArtifacts:["ConsoleMessages","SourceMaps","Scripts"]}}static async audit(e,n){let r=await En.getViolationResults(e,n,/notification permission/),a=[{key:"source",valueType:"source-location",label:F1(x.columnSource)}],o=En.makeTableDetails(a,r);return{score:+(r.length===0),details:o}}},pne=nD});var XP={};S(XP,{UIStrings:()=>Ed,default:()=>fne});var Ed,R1,rD,fne,ZP=v(()=>{"use strict";d();J();k();Ed={title:"Allows users to paste into input fields",failureTitle:"Prevents users from pasting into input fields",description:"Preventing input pasting is a bad practice for the UX, and weakens security by blocking password managers.[Learn more about user-friendly input fields](https://developer.chrome.com/docs/lighthouse/best-practices/paste-preventing-inputs/)."},R1=w("core/audits/dobetterweb/paste-preventing-inputs.js",Ed),rD=class extends h{static{s(this,"PastePreventingInputsAudit")}static get meta(){return{id:"paste-preventing-inputs",title:R1(Ed.title),failureTitle:R1(Ed.failureTitle),description:R1(Ed.description),requiredArtifacts:["Inputs"]}}static audit(e){let n=e.Inputs.inputs.filter(o=>o.preventsPaste),r=[];n.forEach(o=>{r.push({node:h.makeNodeItem(o.node),type:o.type})});let a=[{key:"node",valueType:"node",label:R1(x.columnFailingElem)}];return{score:+(n.length===0),details:h.makeTableDetails(a,r)}}},fne=rD});var QP={};S(QP,{UIStrings:()=>mi,default:()=>hne});var mi,di,gne,aD,hne,e5=v(()=>{"use strict";d();J();ma();lt();Xt();oi();St();De();tr();$n();ii();fr();k();mi={title:"Use HTTP/2",description:"HTTP/2 offers many benefits over HTTP/1.1, including binary headers and multiplexing. [Learn more about HTTP/2](https://developer.chrome.com/docs/lighthouse/best-practices/uses-http2/).",displayValue:`{itemCount, plural,
    =1 {1 request not served via HTTP/2}
    other {# requests not served via HTTP/2}
    }`,columnProtocol:"Protocol"},di=w("core/audits/dobetterweb/uses-http2.js",mi),gne=new Set([Y.TYPES.Document,Y.TYPES.Font,Y.TYPES.Image,Y.TYPES.Stylesheet,Y.TYPES.Script,Y.TYPES.Media]),aD=class t extends h{static{s(this,"UsesHTTP2Audit")}static get meta(){return{id:"uses-http2",title:di(mi.title),description:di(mi.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["timespan","navigation"],requiredArtifacts:["URL","devtoolsLogs","traces","GatherContext"]}}static computeWasteWithGraph(e,n,r,a){a=Object.assign({label:""},a);let o=`${this.meta.id}-${a.label}-before`,i=`${this.meta.id}-${a.label}-after`,c=!0,u=new Set(e.map(f=>f.url)),l=r.simulate(n,{label:o,flexibleOrdering:c}),m=new Map;n.traverse(f=>{f.type==="network"&&u.has(f.record.url)&&(m.set(f.record.requestId,f.record.protocol),f.record.protocol="h2")});let p=r.simulate(n,{label:i,flexibleOrdering:c});n.traverse(f=>{if(f.type!=="network")return;let y=m.get(f.record.requestId);y!==void 0&&(f.record.protocol=y)});let g=l.timeInMs-p.timeInMs;return{savings:Math.round(Math.max(g,0)/10)*10,simulationBefore:l,simulationAfter:p}}static computeWasteWithTTIGraph(e,n,r){let{savings:a,simulationBefore:o,simulationAfter:i}=this.computeWasteWithGraph(e,n,r,{label:"tti"}),c=jn.getLastLongTaskEndTime(o.nodeTimings)-jn.getLastLongTaskEndTime(i.nodeTimings),u=Math.max(c,a);return Math.round(Math.max(u,0)/10)*10}static isStaticAsset(e,n){if(!gne.has(e.resourceType))return!1;if(e.resourceSize<100){let r=n.entityByUrl.get(e.url);if(r&&!r.isUnrecognized)return!1}return!0}static determineNonHttp2Resources(e,n){let r=[],a=new Set,o=new Map;for(let i of e){if(!t.isStaticAsset(i,n)||te.isLikeLocalhost(i.parsedURL.host))continue;let c=o.get(i.parsedURL.securityOrigin)||[];c.push(i),o.set(i.parsedURL.securityOrigin,c)}for(let i of e)a.has(i.url)||i.fetchedViaServiceWorker||!/HTTP\/[01][.\d]?/i.test(i.protocol)||(o.get(i.parsedURL.securityOrigin)||[]).length<6||(a.add(i.url),r.push({protocol:i.protocol,url:i.url}));return r}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.URL,i=await $.request(a,n),c=await gn.request({URL:o,devtoolsLog:a},n),u=t.determineNonHttp2Resources(i,c),l;if(u.length>0&&(l=di(mi.displayValue,{itemCount:u.length})),e.GatherContext.gatherMode==="timespan"){let V=[{key:"url",valueType:"url",label:di(x.columnURL)},{key:"protocol",valueType:"text",label:di(mi.columnProtocol)}],z=h.makeTableDetails(V,u);return{displayValue:l,score:u.length?0:1,details:z}}let m=n?.settings||{},p={devtoolsLog:a,settings:m},g=await kt.request({trace:r,devtoolsLog:a,URL:o},n),f=await Ht.request(p,n),y=h.makeMetricComputationDataInput(e,n),{pessimisticGraph:b}=await It.request(y,n),{pessimisticGraph:D}=await rr.request(y,n),T=t.computeWasteWithTTIGraph(u,g,f),A=t.computeWasteWithGraph(u,b,f,{label:"fcp"}),R=t.computeWasteWithGraph(u,D,f,{label:"lcp"}),F=[{key:"url",valueType:"url",label:di(x.columnURL)},{key:"protocol",valueType:"text",label:di(mi.columnProtocol)}],M=h.makeOpportunityDetails(F,u,{overallSavingsMs:T});return{displayValue:l,numericValue:T,numericUnit:"millisecond",score:ie.scoreForWastedMs(T),details:M,metricSavings:{LCP:R.savings,FCP:A.savings}}}},hne=aD});var t5={};S(t5,{UIStrings:()=>Td,default:()=>yne});var Td,_1,oD,yne,n5=v(()=>{"use strict";d();yd();k();Td={title:"Uses passive listeners to improve scrolling performance",failureTitle:"Does not use passive listeners to improve scrolling performance",description:"Consider marking your touch and wheel event listeners as `passive` to improve your page's scroll performance. [Learn more about adopting passive event listeners](https://developer.chrome.com/docs/lighthouse/best-practices/uses-passive-event-listeners/)."},_1=w("core/audits/dobetterweb/uses-passive-event-listeners.js",Td),oD=class extends En{static{s(this,"PassiveEventsAudit")}static get meta(){return{id:"uses-passive-event-listeners",title:_1(Td.title),failureTitle:_1(Td.failureTitle),description:_1(Td.description),requiredArtifacts:["ConsoleMessages","SourceMaps","Scripts"]}}static async audit(e,n){let r=await En.getViolationResults(e,n,/passive event listener/),a=[{key:"source",valueType:"source-location",label:_1(x.columnSource)}],o=En.makeTableDetails(a,r);return{score:+(r.length===0),details:o}}},yne=oD});var r5={};S(r5,{UIStrings:()=>xd,default:()=>vne});var xd,Sd,iD,vne,a5=v(()=>{"use strict";d();He();J();Ta();k();xd={title:"No browser errors logged to the console",failureTitle:"Browser errors were logged to the console",description:"Errors logged to the console indicate unresolved problems. They can come from network request failures and other browser concerns. [Learn more about this errors in console diagnostic audit](https://developer.chrome.com/docs/lighthouse/best-practices/errors-in-console/)"},Sd=w("core/audits/errors-in-console.js",xd),iD=class t extends h{static{s(this,"ErrorLogs")}static get meta(){return{id:"errors-in-console",title:Sd(xd.title),failureTitle:Sd(xd.failureTitle),description:Sd(xd.description),requiredArtifacts:["ConsoleMessages","SourceMaps","Scripts"]}}static get defaultOptions(){return{ignoredPatterns:["ERR_BLOCKED_BY_CLIENT.Inspector"]}}static filterAccordingToOptions(e,n){let{ignoredPatterns:r,...a}=n,o=Object.keys(a);return o.length&&N.warn(this.meta.id,"Unrecognized options",o),r?e.filter(({description:i})=>{if(!i)return!0;for(let c of r)if(c instanceof RegExp&&c.test(i)||typeof c=="string"&&i.includes(c))return!1;return!0}):e}static async audit(e,n){let r=n.options,a=await vn.request(e,n),o=e.ConsoleMessages.filter(m=>m.level==="error").map(m=>{let p=a.find(g=>g.script.scriptId===m.scriptId);return{source:m.source,description:m.text,sourceLocation:h.makeSourceLocationFromConsoleMessage(m,p)}}),i=t.filterAccordingToOptions(o,r).sort((m,p)=>(m.description||"").localeCompare(p.description||"")),c=[{key:"sourceLocation",valueType:"source-location",label:Sd(x.columnSource)},{key:"description",valueType:"code",label:Sd(x.columnDescription)}],u=h.makeTableDetails(c,i);return{score:+(i.length===0),details:u}}},vne=iD});var bne,sD,o5,i5=v(()=>{"use strict";d();we();bne="Screenshot",sD=class{static{s(this,"Screenshots")}static async compute_(e){return e.traceEvents.filter(n=>n.name===bne).map(n=>({timestamp:n.ts,datauri:`data:image/jpeg;base64,${n.args.snapshot}`}))}},o5=W(sD,null)});var s5={};S(s5,{default:()=>wne});var cD,wne,c5=v(()=>{"use strict";d();J();Bt();Jt();i5();cD=class extends h{static{s(this,"FinalScreenshot")}static get meta(){return{id:"final-screenshot",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:"Final Screenshot",description:"The last screenshot captured of the pageload.",requiredArtifacts:["traces","GatherContext"]}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=await Ye.request(r,n),o=await o5.request(r,n),{timeOrigin:i}=a.timestamps,c=o[o.length-1];if(!c){if(e.GatherContext.gatherMode==="timespan")return{notApplicable:!0,score:1};throw new G(G.errors.NO_SCREENSHOTS)}return{score:1,details:{type:"screenshot",timing:Math.round((c.timestamp-i)/1e3),timestamp:c.timestamp,data:c.datauri}}}},wne=cD});var l5={};S(l5,{UIStrings:()=>Zs,default:()=>lD});var Dne,u5,Ene,Zs,Xs,uD,lD,dD=v(()=>{"use strict";d();J();lt();k();da();De();Dne=/^(block|fallback|optional|swap)$/,u5=/url\((.*?)\)/,Ene=new RegExp(u5,"g"),Zs={title:"All text remains visible during webfont loads",failureTitle:"Ensure text remains visible during webfont load",description:"Leverage the `font-display` CSS feature to ensure text is user-visible while webfonts are loading. [Learn more about `font-display`](https://developer.chrome.com/docs/lighthouse/performance/font-display/).",undeclaredFontOriginWarning:"{fontCountForOrigin, plural, =1 {Lighthouse was unable to automatically check the `font-display` value for the origin {fontOrigin}.} other {Lighthouse was unable to automatically check the `font-display` values for the origin {fontOrigin}.}}"},Xs=w("core/audits/font-display.js",Zs),uD=class t extends h{static{s(this,"FontDisplay")}static get meta(){return{id:"font-display",title:Xs(Zs.title),failureTitle:Xs(Zs.failureTitle),description:Xs(Zs.description),supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","CSSUsage","URL"]}}static findFontDisplayDeclarations(e,n){let r=new Set,a=new Set;for(let o of e.CSSUsage.stylesheets){let c=o.content.replace(/(\r|\n)+/g," ").match(/@font-face\s*{(.*?)}/g)||[];for(let u of c){let l=u.match(Ene);if(!l)continue;let p=u.match(/font-display\s*:\s*(\w+)\s*(;|\})/)?.[1]||"",f=n.test(p)?r:a,y=l.map(b=>b.match(u5)[1].trim()).map(b=>/^('|").*\1$/.test(b)?b.substr(1,b.length-2):b);for(let b of y)try{let D=te.isValid(o.header.sourceURL)?o.header.sourceURL:e.URL.finalDisplayedUrl,T=new URL(b,D);f.add(T.href)}catch(D){en.captureException(D,{tags:{audit:this.meta.id}})}}}return{passingURLs:r,failingURLs:a}}static getWarningsForFontUrls(e){let n=new Map;for(let a of e){let o=te.getOrigin(a);if(!o)continue;let i=n.get(o)||0;n.set(o,i+1)}return[...n].map(([a,o])=>Xs(Zs.undeclaredFontOriginWarning,{fontCountForOrigin:o,fontOrigin:a}))}static async audit(e,n){let r=e.devtoolsLogs[this.DEFAULT_PASS],a=await $.request(r,n),{passingURLs:o,failingURLs:i}=t.findFontDisplayDeclarations(e,Dne),c=[],u=a.filter(p=>p.resourceType==="Font").filter(p=>!/^data:/.test(p.url)).filter(p=>!/^blob:/.test(p.url)).filter(p=>i.has(p.url)?!0:(o.has(p.url)||c.push(p.url),!1)).map(p=>{let g=Math.min(p.networkEndTime-p.networkRequestTime,3e3);return{url:p.url,wastedMs:g}}),l=[{key:"url",valueType:"url",label:Xs(x.columnURL)},{key:"wastedMs",valueType:"ms",label:Xs(x.columnWastedMs)}],m=h.makeTableDetails(l,u);return{score:+(u.length===0),details:m,warnings:t.getWarningsForFontUrls(c)}}},lD=uD});var d5={};S(d5,{UIStrings:()=>pi,default:()=>Sne});var pi,Qs,Tne,mD,Sne,m5=v(()=>{"use strict";d();J();lt();k();pi={title:"Displays images with correct aspect ratio",failureTitle:"Displays images with incorrect aspect ratio",description:"Image display dimensions should match natural aspect ratio. [Learn more about image aspect ratio](https://developer.chrome.com/docs/lighthouse/best-practices/image-aspect-ratio/).",columnDisplayed:"Aspect Ratio (Displayed)",columnActual:"Aspect Ratio (Actual)"},Qs=w("core/audits/image-aspect-ratio.js",pi),Tne=2,mD=class t extends h{static{s(this,"ImageAspectRatio")}static get meta(){return{id:"image-aspect-ratio",title:Qs(pi.title),failureTitle:Qs(pi.failureTitle),description:Qs(pi.description),requiredArtifacts:["ImageElements"]}}static computeAspectRatios(e){let n=te.elideDataURI(e.src),r=e.naturalDimensions.width/e.naturalDimensions.height,a=e.displayedWidth/e.displayedHeight,o=e.displayedWidth/r,i=Math.abs(o-e.displayedHeight)<Tne;return{url:n,node:h.makeNodeItem(e.node),displayedAspectRatio:`${e.displayedWidth} x ${e.displayedHeight}
        (${a.toFixed(2)})`,actualAspectRatio:`${e.naturalDimensions.width} x ${e.naturalDimensions.height}
        (${r.toFixed(2)})`,doRatiosMatch:i}}static audit(e){let n=e.ImageElements,r=[];n.filter(o=>!o.isCss&&te.guessMimeType(o.src)!=="image/svg+xml"&&o.naturalDimensions&&o.naturalDimensions.height>5&&o.naturalDimensions.width>5&&o.displayedWidth&&o.displayedHeight&&o.computedStyles.objectFit==="fill").forEach(o=>{let i=o,c=t.computeAspectRatios(i);c.doRatiosMatch||r.push(c)});let a=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:Qs(x.columnURL)},{key:"displayedAspectRatio",valueType:"text",label:Qs(pi.columnDisplayed)},{key:"actualAspectRatio",valueType:"text",label:Qs(pi.columnActual)}];return{score:+(r.length===0),details:h.makeTableDetails(a,r)}}},Sne=mD});var f5={};S(f5,{UIStrings:()=>po,default:()=>One});function Ane(t,e){return(t.bottom-t.top)*(t.right-t.left)>0&&t.top<=e.innerHeight&&t.bottom>=0&&t.left<=e.innerWidth&&t.right>=0}function Fne(t,e){return t.bottom-t.top<=e.innerHeight&&t.right-t.left<=e.innerWidth}function Rne(t){let e=["pixelated","crisp-edges"],n=/ \d+(\.\d+)?x/;return!(t.displayedWidth<=1||t.displayedHeight<=1||!t.naturalDimensions||!t.naturalDimensions.width||!t.naturalDimensions.height||te.guessMimeType(t.src)==="image/svg+xml"||t.isCss||t.computedStyles.objectFit!=="fill"||e.includes(t.computedStyles.imageRendering)||n.test(t.srcset))}function _ne(t){return!!t.naturalDimensions}function kne(t,e){let[n,r]=Mne(t.displayedWidth,t.displayedHeight,e);return t.naturalDimensions.width>=n&&t.naturalDimensions.height>=r}function Ine(t,e){let[n,r]=Nne(t.displayedWidth,t.displayedHeight,e);return{url:te.elideDataURI(t.src),node:h.makeNodeItem(t.node),displayedSize:`${t.displayedWidth} x ${t.displayedHeight}`,actualSize:`${t.naturalDimensions.width} x ${t.naturalDimensions.height}`,actualPixels:t.naturalDimensions.width*t.naturalDimensions.height,expectedSize:`${n} x ${r}`,expectedPixels:n*r}}function Mne(t,e,n){let r=xne;(t>p5||e>p5)&&(r=Cne);let a=fD(n),o=Math.ceil(r*a*t),i=Math.ceil(r*a*e);return[o,i]}function Nne(t,e,n){let r=Math.ceil(fD(n)*t),a=Math.ceil(fD(n)*e);return[r,a]}function Lne(t){t.sort((n,r)=>n.url===r.url?0:n.url<r.url?-1:1);let e=[];for(let n of t){let r=e[e.length-1];r&&r.url===n.url?r.expectedPixels<n.expectedPixels&&(e[e.length-1]=n):e.push(n)}return e}function Pne(t){return t.sort((e,n)=>n.expectedPixels-n.actualPixels-(e.expectedPixels-e.actualPixels))}function fD(t){return t>=2?2:t>=1.5?1.5:1}var po,fi,xne,Cne,p5,pD,One,g5=v(()=>{"use strict";d();J();lt();k();po={title:"Serves images with appropriate resolution",failureTitle:"Serves images with low resolution",description:"Image natural dimensions should be proportional to the display size and the pixel ratio to maximize image clarity. [Learn how to provide responsive images](https://web.dev/serve-responsive-images/).",columnDisplayed:"Displayed size",columnActual:"Actual size",columnExpected:"Expected size"},fi=w("core/audits/image-size-responsive.js",po),xne=1,Cne=.75,p5=64;s(Ane,"isVisible");s(Fne,"isSmallerThanViewport");s(Rne,"isCandidate");s(_ne,"imageHasNaturalDimensions");s(kne,"imageHasRightSize");s(Ine,"getResult");s(Mne,"allowedImageSize");s(Nne,"expectedImageSize");s(Lne,"deduplicateResultsByUrl");s(Pne,"sortResultsBySizeDelta");pD=class extends h{static{s(this,"ImageSizeResponsive")}static get meta(){return{id:"image-size-responsive",title:fi(po.title),failureTitle:fi(po.failureTitle),description:fi(po.description),requiredArtifacts:["ImageElements","ViewportDimensions"]}}static audit(e){let n=e.ViewportDimensions.devicePixelRatio,r=Array.from(e.ImageElements).filter(Rne).filter(_ne).filter(i=>!kne(i,n)).filter(i=>Ane(i.clientRect,e.ViewportDimensions)).filter(i=>Fne(i.clientRect,e.ViewportDimensions)).map(i=>Ine(i,n)),a=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:fi(x.columnURL)},{key:"displayedSize",valueType:"text",label:fi(po.columnDisplayed)},{key:"actualSize",valueType:"text",label:fi(po.columnActual)},{key:"expectedSize",valueType:"text",label:fi(po.columnExpected)}],o=Pne(Lne(r));return{score:+(r.length===0),details:h.makeTableDetails(a,o)}}};s(fD,"quantizeDpr");One=pD});function Cd(t){return!(!t||!t.icons||t.icons.value.length===0)}function gD(t,e){let n=e.icons.value,r=[];return n.filter(a=>{let o=a.value.type.value;if(o)return o==="image/png";let i=a.value.src.value;return i&&new URL(i).pathname.endsWith(".png")}).forEach(a=>{a.value.sizes.value&&r.push(...a.value.sizes.value)}),r.filter(a=>/\d+x\d+/.test(a)).filter(a=>{let o=a.split(/x/i),i=[parseFloat(o[0]),parseFloat(o[1])],c=i[0]>=t&&i[1]>=t,u=i[0]===i[1];return c&&u})}function h5(t){return t.icons.value.some(n=>n.value.purpose?.value&&n.value.purpose.value.includes("maskable"))}var y5=v(()=>{"use strict";d();s(Cd,"doExist");s(gD,"pngSizedAtLeast");s(h5,"containsMaskableIcon")});var v5,b5,hD,fo,Ad=v(()=>{"use strict";d();we();y5();v5=["minimal-ui","fullscreen","standalone"],b5=12,hD=class t{static{s(this,"ManifestValues")}static get manifestChecks(){return[{id:"hasStartUrl",failureText:"Manifest does not contain a `start_url`",validate:e=>!!e.start_url.value},{id:"hasIconsAtLeast144px",failureText:"Manifest does not have a PNG icon of at least 144px",validate:e=>Cd(e)&&gD(144,e).length>0},{id:"hasIconsAtLeast512px",failureText:"Manifest does not have a PNG icon of at least 512px",validate:e=>Cd(e)&&gD(512,e).length>0},{id:"fetchesIcon",failureText:"Manifest icon failed to be fetched",validate:(e,n)=>{let r=["cannot-download-icon","no-icon-available"];return Cd(e)&&!n.some(a=>r.includes(a.errorId))}},{id:"hasPWADisplayValue",failureText:"Manifest's `display` value is not one of: "+v5.join(" | "),validate:e=>v5.includes(e.display.value)},{id:"hasBackgroundColor",failureText:"Manifest does not have `background_color`",validate:e=>!!e.background_color.value},{id:"hasThemeColor",failureText:"Manifest does not have `theme_color`",validate:e=>!!e.theme_color.value},{id:"hasShortName",failureText:"Manifest does not have `short_name`",validate:e=>!!e.short_name.value},{id:"shortNameLength",failureText:`Manifest's \`short_name\` is too long (>${b5} characters) to be displayed on a homescreen without truncation`,validate:e=>!!e.short_name.value&&e.short_name.value.length<=b5},{id:"hasName",failureText:"Manifest does not have `name`",validate:e=>!!e.name.value},{id:"hasMaskableIcon",failureText:"Manifest does not have at least one icon that is maskable",validate:e=>Cd(e)&&h5(e)}]}static async compute_({WebAppManifest:e,InstallabilityErrors:n}){if(e===null)return{isParseFailure:!0,parseFailureReason:"No manifest was fetched",allChecks:[]};let r=e.value;return r===void 0?{isParseFailure:!0,parseFailureReason:"Manifest failed to parse as valid JSON",allChecks:[]}:{isParseFailure:!1,allChecks:t.manifestChecks.map(o=>({id:o.id,failureText:o.failureText,passing:o.validate(r,n.errors)}))}}},fo=W(hD,["InstallabilityErrors","WebAppManifest"])});var w5={};S(w5,{UIStrings:()=>Vr,default:()=>Bne});var Vr,Wr,yD,Bne,D5=v(()=>{"use strict";d();J();k();Ad();Vr={title:"Web app manifest and service worker meet the installability requirements",failureTitle:"Web app manifest or service worker do not meet the installability requirements",description:"Service worker is the technology that enables your app to use many Progressive Web App features, such as offline, add to homescreen, and push notifications. With proper service worker and manifest implementations, browsers can proactively prompt users to add your app to their homescreen, which can lead to higher engagement. [Learn more about manifest installability requirements](https://developer.chrome.com/docs/lighthouse/pwa/installable-manifest/).",columnValue:"Failure reason",displayValue:`{itemCount, plural,
    =1 {1 reason}
    other {# reasons}
    }`,noErrorId:"Installability error id '{errorId}' is not recognized","not-in-main-frame":"Page is not loaded in the main frame","not-from-secure-origin":"Page is not served from a secure origin","no-manifest":"Page has no manifest <link> URL","start-url-not-valid":"Manifest start URL is not valid","manifest-missing-name-or-short-name":"Manifest does not contain a 'name' or 'short_name' field","manifest-display-not-supported":"Manifest 'display' property must be one of 'standalone', 'fullscreen', or 'minimal-ui'","manifest-empty":"Manifest could not be fetched, is empty, or could not be parsed","manifest-missing-suitable-icon":'Manifest does not contain a suitable icon - PNG, SVG or WebP format of at least {value0} px is required, the sizes attribute must be set, and the purpose attribute, if set, must include "any".',"no-acceptable-icon":'No supplied icon is at least {value0} px square in PNG, SVG or WebP format, with the purpose attribute unset or set to "any"',"cannot-download-icon":"Could not download a required icon from the manifest","no-icon-available":"Downloaded icon was empty or corrupted","platform-not-supported-on-android":"The specified application platform is not supported on Android","no-id-specified":"No Play store ID provided","ids-do-not-match":"The Play Store app URL and Play Store ID do not match","already-installed":"The app is already installed","url-not-supported-for-webapk":"A URL in the manifest contains a username, password, or port","in-incognito":"Page is loaded in an incognito window","not-offline-capable":"Page does not work offline","no-url-for-service-worker":"Could not check service worker without a 'start_url' field in the manifest","prefer-related-applications":"Manifest specifies prefer_related_applications: true","prefer-related-applications-only-beta-stable":"prefer_related_applications is only supported on Chrome Beta and Stable channels on Android.","manifest-display-override-not-supported":"Manifest contains 'display_override' field, and the first supported display mode must be one of 'standalone', 'fullscreen', or 'minimal-ui'","manifest-location-changed":"Manifest URL changed while the manifest was being fetched.","warn-not-offline-capable":"Page does not work offline. The page will not be regarded as installable after Chrome 93, stable release August 2021.","protocol-timeout":"Lighthouse could not determine if the page is installable. Please try with a newer version of Chrome.","pipeline-restarted":"PWA has been uninstalled and installability checks resetting.","scheme-not-supported-for-webapk":"The manifest URL scheme ({scheme}) is not supported on Android."},Wr=w("core/audits/installable-manifest.js",Vr),yD=class t extends h{static{s(this,"InstallableManifest")}static get meta(){return{id:"installable-manifest",title:Wr(Vr.title),failureTitle:Wr(Vr.failureTitle),description:Wr(Vr.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors"]}}static getInstallabilityErrors(e){let n=e.InstallabilityErrors.errors,r=[],a=[],o=/{([^}]+)}/g;for(let i of n){if(i.errorId==="in-incognito")continue;if(i.errorId==="warn-not-offline-capable"){a.push(Wr(Vr[i.errorId]));continue}if(i.errorId==="pipeline-restarted")continue;let c=Vr[i.errorId];if(i.errorId==="scheme-not-supported-for-webapk"){let m=e.WebAppManifest?.url;if(!m)continue;let p=new URL(m).protocol;r.push(Wr(c,{scheme:p}));continue}if(c===void 0){r.push(Wr(Vr.noErrorId,{errorId:i.errorId}));continue}let u=c.match(o)||[],l=i.errorArguments?.length&&i.errorArguments[0].value;if(c&&i.errorArguments.length!==u.length){let m=JSON.stringify(i.errorArguments),p=i.errorArguments.length>u.length?`${i.errorId} has unexpected arguments ${m}`:`${i.errorId} does not have the expected number of arguments.`;r.push(p)}else c&&l?r.push(Wr(c,{value0:l})):c&&r.push(Wr(c))}return{i18nErrors:r,warnings:a}}static async audit(e,n){let{i18nErrors:r,warnings:a}=t.getInstallabilityErrors(e),o=e.WebAppManifest?e.WebAppManifest.url:null,i=[{key:"reason",valueType:"text",label:Wr(Vr.columnValue)}],c=r.map(l=>({reason:l}));if(!c.length){let l=await fo.request(e,n);l.isParseFailure&&c.push({reason:l.parseFailureReason})}let u={type:"debugdata",manifestUrl:o};return c.length>0?{score:0,warnings:a,numericValue:c.length,numericUnit:"element",displayValue:Wr(Vr.displayValue,{itemCount:c.length}),details:{...h.makeTableDetails(i,c),debugData:u}}:{score:1,warnings:a,details:{...h.makeTableDetails(i,c),debugData:u}}}},Bne=yD});var T5={};S(T5,{UIStrings:()=>ir,default:()=>jne});var ir,E5,go,vD,jne,S5=v(()=>{"use strict";d();J();lt();St();De();k();ir={title:"Uses HTTPS",failureTitle:"Does not use HTTPS",description:"All sites should be protected with HTTPS, even ones that don't handle sensitive data. This includes avoiding [mixed content](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), where some resources are loaded over HTTP despite the initial request being served over HTTPS. HTTPS prevents intruders from tampering with or passively listening in on the communications between your app and your users, and is a prerequisite for HTTP/2 and many new web platform APIs. [Learn more about HTTPS](https://developer.chrome.com/docs/lighthouse/pwa/is-on-https/).",displayValue:`{itemCount, plural,
    =1 {1 insecure request found}
    other {# insecure requests found}
    }`,columnInsecureURL:"Insecure URL",columnResolution:"Request Resolution",allowed:"Allowed",blocked:"Blocked",warning:"Allowed with warning",upgraded:"Automatically upgraded to HTTPS"},E5={MixedContentAutomaticallyUpgraded:ir.upgraded,MixedContentBlocked:ir.blocked,MixedContentWarning:ir.warning},go=w("core/audits/is-on-https.js",ir),vD=class extends h{static{s(this,"HTTPS")}static get meta(){return{id:"is-on-https",title:go(ir.title),failureTitle:go(ir.failureTitle),description:go(ir.description),requiredArtifacts:["devtoolsLogs","InspectorIssues"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],o=(await $.request(r,n)).filter(l=>!Y.isSecureRequest(l)).map(l=>te.elideDataURI(l.url)),i=Array.from(new Set(o)).map(l=>({url:l,resolution:void 0})),c=[{key:"url",valueType:"url",label:go(ir.columnInsecureURL)},{key:"resolution",valueType:"text",label:go(ir.columnResolution)}];for(let l of e.InspectorIssues.mixedContentIssue){let m=i.find(p=>p.url===l.insecureURL);m||(m={url:l.insecureURL},i.push(m)),m.resolution=E5[l.resolutionStatus]?go(E5[l.resolutionStatus]):l.resolutionStatus}for(let l of i)l.resolution||(l.resolution=go(ir.allowed));let u;return i.length>0&&(u=go(ir.displayValue,{itemCount:i.length})),{score:+(i.length===0),displayValue:u,details:h.makeTableDetails(c,i)}}},jne=vD});var bD,ho,Fd=v(()=>{"use strict";d();we();Br();Bt();ii();bD=class extends xt{static{s(this,"LargestContentfulPaint")}static computeSimulatedMetric(e,n){let r=xt.getMetricComputationInput(e);return rr.request(r,n)}static async computeObservedMetric(e){let{processedNavigation:n}=e;if(n.timings.largestContentfulPaint===void 0)throw new G(G.errors.NO_LCP);return{timing:n.timings.largestContentfulPaint,timestamp:n.timestamps.largestContentfulPaint}}},ho=W(bD,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var wD,k1,DD=v(()=>{"use strict";d();we();Br();Wt();Xo();wD=class extends xt{static{s(this,"TimeToFirstByte")}static async computeSimulatedMetric(e,n){let r=await je.request(e,n),a=await dr.request(e.devtoolsLog,n),o=(await this.computeObservedMetric(e,n)).timing,i=a.serverResponseTimeByOrigin.get(r.parsedURL.securityOrigin);if(i===void 0)throw new Error("No response time for origin");let c=2;r.protocol.startsWith("h3")||(c+=1),r.parsedURL.scheme==="https"&&(c+=1);let u=e.settings.throttling.rttMs*c+i;return{timing:Math.max(o,u)}}static async computeObservedMetric(e,n){let r=await je.request(e,n);if(!r.timing)throw new Error("missing timing for main resource");let{processedNavigation:a}=e,o=a.timestamps.timeOrigin,c=(r.timing.requestTime*1e3+r.timing.receiveHeadersStart)*1e3;return{timing:(c-o)/1e3,timestamp:c}}},k1=W(wD,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var ED,I1,TD=v(()=>{"use strict";d();we();Bt();Fd();Ur();DD();Zp();ED=class{static{s(this,"LCPBreakdown")}static async compute_(e,n){let r=await on.request(e.trace,n),a=r.timings.largestContentfulPaint;if(a===void 0)throw new G(G.errors.NO_LCP);let o=r.timestamps.timeOrigin/1e3,{timing:i}=await k1.request(e,n),c=await Is.request(e,n);if(!c)return{ttfb:i};let{timing:u}=await ho.request(e,n),l=u/a,m=(c.networkRequestTime-o)*l,p=Math.max(i,Math.min(m,u)),g=(c.networkEndTime-o)*l,f=Math.max(p,Math.min(g,u));return{ttfb:i,loadStart:p,loadEnd:f}}},I1=W(ED,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var x5={};S(x5,{UIStrings:()=>vr,default:()=>qne});var vr,yr,SD,qne,C5=v(()=>{"use strict";d();He();J();k();Fd();TD();da();vr={title:"Largest Contentful Paint element",description:"This is the largest contentful element painted within the viewport. [Learn more about the Largest Contentful Paint element](https://developer.chrome.com/docs/lighthouse/performance/lighthouse-largest-contentful-paint/)",columnPhase:"Phase",columnPercentOfLCP:"% of LCP",columnTiming:"Timing",itemTTFB:"TTFB",itemLoadDelay:"Load Delay",itemLoadTime:"Load Time",itemRenderDelay:"Render Delay"},yr=w("core/audits/largest-contentful-paint-element.js",vr),SD=class extends h{static{s(this,"LargestContentfulPaintElement")}static get meta(){return{id:"largest-contentful-paint-element",title:yr(vr.title),description:yr(vr.description),scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["traces","TraceElements","devtoolsLogs","GatherContext","settings","URL"]}}static makeElementTable(e){let n=e.TraceElements.find(o=>o.traceEventType==="largest-contentful-paint");if(!n)return;let r=[{key:"node",valueType:"node",label:yr(x.columnElement)}],a=[{node:h.makeNodeItem(n.node)}];return h.makeTableDetails(r,a)}static async makePhaseTable(e,n,r){let{ttfb:a,loadStart:o,loadEnd:i}=await I1.request(n,r),c=0,u=0,l=e-a;o&&i&&(c=o-a,u=i-o,l=e-i);let m=[{phase:yr(vr.itemTTFB),timing:a},{phase:yr(vr.itemLoadDelay),timing:c},{phase:yr(vr.itemLoadTime),timing:u},{phase:yr(vr.itemRenderDelay),timing:l}].map(g=>{let y=`${(100*g.timing/e).toFixed(0)}%`;return{...g,percent:y}}),p=[{key:"phase",valueType:"text",label:yr(vr.columnPhase)},{key:"percent",valueType:"text",label:yr(vr.columnPercentOfLCP)},{key:"timing",valueType:"ms",label:yr(vr.columnTiming)}];return h.makeTableDetails(p,m)}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:e.URL},c=this.makeElementTable(e);if(!c)return{score:null,notApplicable:!0};let u=[c],l;try{let{timing:p}=await ho.request(i,n);l=yr(x.ms,{timeInMs:p});let g=await this.makePhaseTable(p,i,n);u.push(g)}catch(p){en.captureException(p,{tags:{audit:this.meta.id},level:"error"}),N.error(this.meta.id,p.message)}let m=h.makeListDetails(u);return{score:1,displayValue:l,details:m}}},qne=SD});var A5={};S(A5,{UIStrings:()=>_d,default:()=>zne});var _d,Rd,xD,zne,F5=v(()=>{"use strict";d();J();k();Hu();_d={title:"Avoid large layout shifts",description:"These DOM elements contribute most to the CLS of the page. [Learn how to improve CLS](https://web.dev/optimize-cls/)",columnContribution:"CLS Contribution"},Rd=w("core/audits/layout-shift-elements.js",_d),xD=class extends h{static{s(this,"LayoutShiftElements")}static get meta(){return{id:"layout-shift-elements",title:Rd(_d.title),description:Rd(_d.description),scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,requiredArtifacts:["traces","TraceElements"]}}static async audit(e,n){let a=e.TraceElements.filter(l=>l.traceEventType==="layout-shift").map(l=>({node:h.makeNodeItem(l.node),score:l.score})),o=[{key:"node",valueType:"node",label:Rd(x.columnElement)},{key:"score",valueType:"numeric",granularity:.001,label:Rd(_d.columnContribution)}],i=h.makeTableDetails(o,a),c;a.length>0&&(c=Rd(x.displayValueElementsFound,{nodeCount:a.length}));let{cumulativeLayoutShift:u}=await ro.request(e.traces[h.DEFAULT_PASS],n);return{score:1,metricSavings:{CLS:u},notApplicable:i.items.length===0,displayValue:c,details:i}}},zne=xD});var R5={};S(R5,{UIStrings:()=>kd,default:()=>Hne});var kd,M1,CD,Hne,_5=v(()=>{"use strict";d();J();k();kd={title:"Largest Contentful Paint image was not lazily loaded",failureTitle:"Largest Contentful Paint image was lazily loaded",description:"Above-the-fold images that are lazily loaded render later in the page lifecycle, which can delay the largest contentful paint. [Learn more about optimal lazy loading](https://web.dev/lcp-lazy-loading/)."},M1=w("core/audits/lcp-lazy-loaded.js",kd),CD=class extends h{static{s(this,"LargestContentfulPaintLazyLoaded")}static get meta(){return{id:"lcp-lazy-loaded",title:M1(kd.title),failureTitle:M1(kd.failureTitle),description:M1(kd.description),supportedModes:["navigation"],requiredArtifacts:["TraceElements","ViewportDimensions","ImageElements"]}}static isImageInViewport(e,n){let r=e.clientRect.top,a=n.innerHeight;return r<a}static audit(e){let n=e.TraceElements.find(i=>i.traceEventType==="largest-contentful-paint"&&i.type==="image"),r=n?e.ImageElements.find(i=>i.node.devtoolsNodePath===n.node.devtoolsNodePath):void 0;if(!r||!this.isImageInViewport(r,e.ViewportDimensions))return{score:null,notApplicable:!0};let a=[{key:"node",valueType:"node",label:M1(x.columnElement)}],o=h.makeTableDetails(a,[{node:h.makeNodeItem(r.node)}]);return{score:r.loading==="lazy"?0:1,details:o}}},Hne=CD});var k5={};S(k5,{UIStrings:()=>Id,default:()=>$ne});function Vne(t,e){let n=t.indexOf(e);return n>-1?n:t.push(e)-1}function AD(t){return Math.round(t*10)/10}var Gne,Wne,Id,ec,FD,$ne,I5=v(()=>{"use strict";d();J();De();k();ba();$n();tr();Ql();Gne={startTime:0,endTime:0,duration:0},Wne=20,Id={title:"Avoid long main-thread tasks",description:"Lists the longest tasks on the main thread, useful for identifying worst contributors to input delay. [Learn how to avoid long main-thread tasks](https://web.dev/long-tasks-devtools/)",displayValue:`{itemCount, plural,
  =1 {# long task found}
  other {# long tasks found}
  }`},ec=w("core/audits/long-tasks.js",Id);s(Vne,"insertUrl");s(AD,"roundTenths");FD=class t extends h{static{s(this,"LongTasks")}static get meta(){return{id:"long-tasks",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:ec(Id.title),description:ec(Id.description),requiredArtifacts:["traces","devtoolsLogs","URL"]}}static getTimingBreakdown(e,n,r=new Map){let a=t.getTiming(e,n),o=0;if(a.duration>0)for(let u of e.children){let{duration:l}=t.getTimingBreakdown(u,n,r);o+=l}let i=a.duration-o,c=r.get(e.group.id)||0;return r.set(e.group.id,c+i),{startTime:a.startTime,duration:a.duration,timeByTaskGroup:r}}static makeDebugData(e,n,r){let a=[],o=[];for(let i of e){let c=_s(i,n),{startTime:u,duration:l,timeByTaskGroup:m}=t.getTimingBreakdown(i,r),p=[...m].map(([g,f])=>[g,AD(f)]).sort((g,f)=>g[0].localeCompare(f[0]));o.push({urlIndex:Vne(a,c),startTime:AD(u),duration:AD(l),...Object.fromEntries(p)})}return{type:"debugdata",urls:a,tasks:o}}static getTiming(e,n){let r=e;n&&(r=n.get(e.event)||Gne);let{duration:a,startTime:o}=r;return{duration:a,startTime:o}}static async audit(e,n){let r=n.settings||{},a=e.URL,o=e.traces[h.DEFAULT_PASS],i=await yn.request(o,n),c=e.devtoolsLogs[t.DEFAULT_PASS],u=await $.request(c,n),l;if(r.throttlingMethod==="simulate"){l=new Map;let D={devtoolsLog:c,settings:n.settings},T=await kt.request({trace:o,devtoolsLog:c,URL:a},n),R=await(await Ht.request(D,n)).simulate(T,{label:"long-tasks-diagnostic"});for(let[F,M]of R.nodeTimings.entries())F.type==="cpu"&&l.set(F.event,M)}let m=Zl(u),p=i.map(D=>{let{duration:T}=t.getTiming(D,l);return{task:D,duration:T}}).filter(({task:D,duration:T})=>T>=50&&!D.unbounded&&!D.parent).sort((D,T)=>T.duration-D.duration).map(({task:D})=>D),g=p.map(D=>{let T=t.getTiming(D,l);return{url:_s(D,m),duration:T.duration,startTime:T.startTime}}).slice(0,Wne),f=[{key:"url",valueType:"url",label:ec(x.columnURL)},{key:"startTime",valueType:"ms",granularity:1,label:ec(x.columnStartTime)},{key:"duration",valueType:"ms",granularity:1,label:ec(x.columnDuration)}],y=h.makeTableDetails(f,g,{sortedBy:["duration"],skipSumming:["startTime"]});y.debugData=t.makeDebugData(p,m,l);let b;return g.length>0&&(b=ec(Id.displayValue,{itemCount:g.length})),{score:g.length===0?1:0,notApplicable:g.length===0,details:y,displayValue:b}}},$ne=FD});var M5={};S(M5,{default:()=>Yne});var RD,Yne,N5=v(()=>{"use strict";d();J();ba();RD=class extends h{static{s(this,"MainThreadTasks")}static get meta(){return{id:"main-thread-tasks",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:"Tasks",description:"Lists the toplevel main thread tasks that executed during page load.",requiredArtifacts:["traces"]}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],o=(await yn.request(r,n)).filter(u=>u.duration>5&&!u.parent).map(u=>({duration:u.duration,startTime:u.startTime})),i=[{key:"startTime",valueType:"ms",granularity:1,label:"Start Time"},{key:"duration",valueType:"ms",granularity:1,label:"End Time"}];return{score:1,details:h.makeTableDetails(i,o)}}},Yne=RD});var L5={};S(L5,{UIStrings:()=>nc,default:()=>Kne});var nc,tc,_D,Kne,P5=v(()=>{"use strict";d();J();Xl();k();ba();nc={title:"Minimizes main-thread work",failureTitle:"Minimize main-thread work",description:"Consider reducing the time spent parsing, compiling and executing JS. You may find delivering smaller JS payloads helps with this. [Learn how to minimize main-thread work](https://developer.chrome.com/docs/lighthouse/performance/mainthread-work-breakdown/)",columnCategory:"Category"},tc=w("core/audits/mainthread-work-breakdown.js",nc),_D=class t extends h{static{s(this,"MainThreadWorkBreakdown")}static get meta(){return{id:"mainthread-work-breakdown",title:tc(nc.title),failureTitle:tc(nc.failureTitle),description:tc(nc.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["traces"]}}static get defaultOptions(){return{p10:2017,median:4e3}}static getExecutionTimingsByGroup(e){let n=new Map;for(let r of e){let a=n.get(r.group.id)||0;n.set(r.group.id,a+r.selfTime)}return n}static async audit(e,n){let r=n.settings||{},a=e.traces[t.DEFAULT_PASS],o=await yn.request(a,n),i=r.throttlingMethod==="simulate"?r.throttling.cpuSlowdownMultiplier:1,c=t.getExecutionTimingsByGroup(o),u=0,l={},m=Array.from(c).map(([y,b])=>{let D=b*i;u+=D;let T=l[y]||0;return l[y]=T+D,{group:y,groupLabel:kn[y].label,duration:D}}),p=[{key:"groupLabel",valueType:"text",label:tc(nc.columnCategory)},{key:"duration",valueType:"ms",granularity:1,label:tc(x.columnTimeSpent)}];m.sort((y,b)=>l[b.group]-l[y.group]);let g=t.makeTableDetails(p,m,{sortedBy:["duration"]});return{score:h.computeLogNormalScore({p10:n.options.p10,median:n.options.median},u),numericValue:u,numericUnit:"millisecond",displayValue:tc(x.seconds,{timeInMs:u}),details:g}}},Kne=_D});var U5={};S(U5,{UIStrings:()=>N1,default:()=>Jne});var N1,O5,kD,Jne,B5=v(()=>{"use strict";d();Rn();k();N1={title:"Site works cross-browser",description:"To reach the most number of users, sites should work across every major browser. [Learn about cross-browser compatibility](https://developer.chrome.com/docs/lighthouse/pwa/pwa-cross-browser/)."},O5=w("core/audits/manual/pwa-cross-browser.js",N1),kD=class extends ht{static{s(this,"PWACrossBrowser")}static get meta(){return Object.assign({id:"pwa-cross-browser",title:O5(N1.title),description:O5(N1.description)},super.partialMeta)}},Jne=kD});var q5={};S(q5,{UIStrings:()=>L1,default:()=>Xne});var L1,j5,ID,Xne,z5=v(()=>{"use strict";d();Rn();k();L1={title:"Each page has a URL",description:"Ensure individual pages are deep linkable via URL and that URLs are unique for the purpose of shareability on social media. [Learn more about providing deep links](https://developer.chrome.com/docs/lighthouse/pwa/pwa-each-page-has-url/)."},j5=w("core/audits/manual/pwa-each-page-has-url.js",L1),ID=class extends ht{static{s(this,"PWAEachPageHasURL")}static get meta(){return Object.assign({id:"pwa-each-page-has-url",title:j5(L1.title),description:j5(L1.description)},super.partialMeta)}},Xne=ID});var G5={};S(G5,{UIStrings:()=>P1,default:()=>Zne});var P1,H5,MD,Zne,W5=v(()=>{"use strict";d();Rn();k();P1={title:"Page transitions don't feel like they block on the network",description:"Transitions should feel snappy as you tap around, even on a slow network. This experience is key to a user's perception of performance. [Learn more about page transitions](https://developer.chrome.com/docs/lighthouse/pwa/pwa-page-transitions/)."},H5=w("core/audits/manual/pwa-page-transitions.js",P1),MD=class extends ht{static{s(this,"PWAPageTransitions")}static get meta(){return Object.assign({id:"pwa-page-transitions",title:H5(P1.title),description:H5(P1.description)},super.partialMeta)}},Zne=MD});var V5={};S(V5,{UIStrings:()=>Md,default:()=>Qne});var Md,ND,LD,Qne,$5=v(()=>{"use strict";d();J();Ad();k();Md={title:"Manifest has a maskable icon",failureTitle:"Manifest doesn't have a maskable icon",description:"A maskable icon ensures that the image fills the entire shape without being letterboxed when installing the app on a device. [Learn about maskable manifest icons](https://developer.chrome.com/docs/lighthouse/pwa/maskable-icon-audit/)."},ND=w("core/audits/maskable-icon.js",Md),LD=class extends h{static{s(this,"MaskableIcon")}static get meta(){return{id:"maskable-icon",title:ND(Md.title),failureTitle:ND(Md.failureTitle),description:ND(Md.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors"]}}static async audit(e,n){let r=await fo.request(e,n);return r.isParseFailure?{score:0,explanation:r.parseFailureReason}:{score:r.allChecks.find(o=>o.id==="hasMaskableIcon")?.passing?1:0}}},Qne=LD});var Y5=L((ULe,O1)=>{d();var gi=(ca(),u7(Ix));if(gi&&gi.default){O1.exports=gi.default;for(let t in gi)O1.exports[t]=gi[t]}else gi&&(O1.exports=gi)});var X5=L((jLe,U1)=>{d();var J5=J5||function(t){return Buffer.from(t).toString("base64")};function ere(t){var e=this,n=Math.round,r=Math.floor,a=new Array(64),o=new Array(64),i=new Array(64),c=new Array(64),u,l,m,p,g=new Array(65535),f=new Array(65535),y=new Array(64),b=new Array(64),D=[],T=0,A=7,R=new Array(64),F=new Array(64),M=new Array(64),V=new Array(256),z=new Array(2048),ne,se=[0,1,5,6,14,15,27,28,2,4,7,13,16,26,29,42,3,8,12,17,25,30,41,43,9,11,18,24,31,40,44,53,10,19,23,32,39,45,52,54,20,22,33,38,46,51,55,60,21,34,37,47,50,56,59,61,35,36,48,49,57,58,62,63],Z=[0,0,1,5,1,1,1,1,1,1,0,0,0,0,0,0,0],de=[0,1,2,3,4,5,6,7,8,9,10,11],Le=[0,0,2,1,3,3,2,4,3,5,5,4,4,0,0,1,125],pe=[1,2,3,0,4,17,5,18,33,49,65,6,19,81,97,7,34,113,20,50,129,145,161,8,35,66,177,193,21,82,209,240,36,51,98,114,130,9,10,22,23,24,25,26,37,38,39,40,41,42,52,53,54,55,56,57,58,67,68,69,70,71,72,73,74,83,84,85,86,87,88,89,90,99,100,101,102,103,104,105,106,115,116,117,118,119,120,121,122,131,132,133,134,135,136,137,138,146,147,148,149,150,151,152,153,154,162,163,164,165,166,167,168,169,170,178,179,180,181,182,183,184,185,186,194,195,196,197,198,199,200,201,202,210,211,212,213,214,215,216,217,218,225,226,227,228,229,230,231,232,233,234,241,242,243,244,245,246,247,248,249,250],wt=[0,0,3,1,1,1,1,1,1,1,1,1,0,0,0,0,0],ye=[0,1,2,3,4,5,6,7,8,9,10,11],_e=[0,0,2,1,2,4,4,3,4,7,5,4,4,0,1,2,119],mt=[0,1,2,3,17,4,5,33,49,6,18,65,81,7,97,113,19,34,50,129,8,20,66,145,161,177,193,9,35,51,82,240,21,98,114,209,10,22,36,52,225,37,241,23,24,25,26,38,39,40,41,42,53,54,55,56,57,58,67,68,69,70,71,72,73,74,83,84,85,86,87,88,89,90,99,100,101,102,103,104,105,106,115,116,117,118,119,120,121,122,130,131,132,133,134,135,136,137,138,146,147,148,149,150,151,152,153,154,162,163,164,165,166,167,168,169,170,178,179,180,181,182,183,184,185,186,194,195,196,197,198,199,200,201,202,210,211,212,213,214,215,216,217,218,226,227,228,229,230,231,232,233,234,242,243,244,245,246,247,248,249,250];function at(P){for(var le=[16,11,10,16,24,40,51,61,12,12,14,19,26,58,60,55,14,13,16,24,40,57,69,56,14,17,22,29,51,87,80,62,18,22,37,56,68,109,103,77,24,35,55,64,81,104,113,92,49,64,78,87,103,121,120,101,72,92,95,98,112,100,103,99],he=0;he<64;he++){var ge=r((le[he]*P+50)/100);ge<1?ge=1:ge>255&&(ge=255),a[se[he]]=ge}for(var Ie=[17,18,24,47,99,99,99,99,18,21,26,66,99,99,99,99,24,26,56,99,99,99,99,99,47,66,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99],Pe=0;Pe<64;Pe++){var Qe=r((Ie[Pe]*P+50)/100);Qe<1?Qe=1:Qe>255&&(Qe=255),o[se[Pe]]=Qe}for(var Ze=[1,1.387039845,1.306562965,1.175875602,1,.785694958,.5411961,.275899379],Ft=0,gt=0;gt<8;gt++)for(var K=0;K<8;K++)i[Ft]=1/(a[se[Ft]]*Ze[gt]*Ze[K]*8),c[Ft]=1/(o[se[Ft]]*Ze[gt]*Ze[K]*8),Ft++}s(at,"initQuantTables");function Ge(P,le){for(var he=0,ge=0,Ie=new Array,Pe=1;Pe<=16;Pe++){for(var Qe=1;Qe<=P[Pe];Qe++)Ie[le[ge]]=[],Ie[le[ge]][0]=he,Ie[le[ge]][1]=Pe,ge++,he++;he*=2}return Ie}s(Ge,"computeHuffmanTbl");function Pt(){u=Ge(Z,de),l=Ge(wt,ye),m=Ge(Le,pe),p=Ge(_e,mt)}s(Pt,"initHuffmanTbl");function et(){for(var P=1,le=2,he=1;he<=15;he++){for(var ge=P;ge<le;ge++)f[32767+ge]=he,g[32767+ge]=[],g[32767+ge][1]=he,g[32767+ge][0]=ge;for(var Ie=-(le-1);Ie<=-P;Ie++)f[32767+Ie]=he,g[32767+Ie]=[],g[32767+Ie][1]=he,g[32767+Ie][0]=le-1+Ie;P<<=1,le<<=1}}s(et,"initCategoryNumber");function We(){for(var P=0;P<256;P++)z[P]=19595*P,z[P+256>>0]=38470*P,z[P+512>>0]=7471*P+32768,z[P+768>>0]=-11059*P,z[P+1024>>0]=-21709*P,z[P+1280>>0]=32768*P+8421375,z[P+1536>>0]=-27439*P,z[P+1792>>0]=-5329*P}s(We,"initRGBYUVTable");function Be(P){for(var le=P[0],he=P[1]-1;he>=0;)le&1<<he&&(T|=1<<A),he--,A--,A<0&&(T==255?(j(255),j(0)):j(T),A=7,T=0)}s(Be,"writeBits");function j(P){D.push(P)}s(j,"writeByte");function fe(P){j(P>>8&255),j(P&255)}s(fe,"writeWord");function ut(P,le){var he,ge,Ie,Pe,Qe,Ze,Ft,gt,K=0,ce,ke=8,Dt=64;for(ce=0;ce<ke;++ce){he=P[K],ge=P[K+1],Ie=P[K+2],Pe=P[K+3],Qe=P[K+4],Ze=P[K+5],Ft=P[K+6],gt=P[K+7];var Oe=he+gt,$e=he-gt,ct=ge+Ft,xe=ge-Ft,tt=Ie+Ze,Vt=Ie-Ze,Et=Pe+Qe,Pn=Pe-Qe,Hn=Oe+Et,ea=Oe-Et,Na=ct+tt,_=ct-tt;P[K]=Hn+Na,P[K+4]=Hn-Na;var nt=(_+ea)*.707106781;P[K+2]=ea+nt,P[K+6]=ea-nt,Hn=Pn+Vt,Na=Vt+xe,_=xe+$e;var Er=(Hn-_)*.382683433,Sn=.5411961*Hn+Er,ta=1.306562965*_+Er,ve=Na*.707106781,Tr=$e+ve,Ni=$e-ve;P[K+5]=Ni+Sn,P[K+3]=Ni-Sn,P[K+1]=Tr+ta,P[K+7]=Tr-ta,K+=8}for(K=0,ce=0;ce<ke;++ce){he=P[K],ge=P[K+8],Ie=P[K+16],Pe=P[K+24],Qe=P[K+32],Ze=P[K+40],Ft=P[K+48],gt=P[K+56];var Jn=he+gt,wm=he-gt,Of=ge+Ft,qt=ge-Ft,na=Ie+Ze,Dm=Ie-Ze,Em=Pe+Qe,Gc=Pe-Qe,La=Jn+Em,ra=Jn-Em,Me=Of+na,Li=Of-na;P[K]=La+Me,P[K+32]=La-Me;var Wc=(Li+ra)*.707106781;P[K+16]=ra+Wc,P[K+48]=ra-Wc,La=Gc+Dm,Me=Dm+qt,Li=qt+wm;var Vc=(La-Li)*.382683433,$c=.5411961*La+Vc,Yc=1.306562965*Li+Vc,Tm=Me*.707106781,Sm=wm+Tm,xm=wm-Tm;P[K+40]=xm+$c,P[K+24]=xm-$c,P[K+8]=Sm+Yc,P[K+56]=Sm-Yc,K++}var Pi;for(ce=0;ce<Dt;++ce)Pi=P[ce]*le[ce],y[ce]=Pi>0?Pi+.5|0:Pi-.5|0;return y}s(ut,"fDCTQuant");function st(){fe(65504),fe(16),j(74),j(70),j(73),j(70),j(0),j(1),j(1),j(0),fe(1),fe(1),j(0),j(0)}s(st,"writeAPP0");function Ve(P){if(P){fe(65505),P[0]===69&&P[1]===120&&P[2]===105&&P[3]===102?fe(P.length+2):(fe(P.length+5+2),j(69),j(120),j(105),j(102),j(0));for(var le=0;le<P.length;le++)j(P[le])}}s(Ve,"writeAPP1");function Je(P,le){fe(65472),fe(17),j(8),fe(le),fe(P),j(3),j(1),j(17),j(0),j(2),j(17),j(1),j(3),j(17),j(1)}s(Je,"writeSOF0");function qe(){fe(65499),fe(132),j(0);for(var P=0;P<64;P++)j(a[P]);j(1);for(var le=0;le<64;le++)j(o[le])}s(qe,"writeDQT");function ae(){fe(65476),fe(418),j(0);for(var P=0;P<16;P++)j(Z[P+1]);for(var le=0;le<=11;le++)j(de[le]);j(16);for(var he=0;he<16;he++)j(Le[he+1]);for(var ge=0;ge<=161;ge++)j(pe[ge]);j(1);for(var Ie=0;Ie<16;Ie++)j(wt[Ie+1]);for(var Pe=0;Pe<=11;Pe++)j(ye[Pe]);j(17);for(var Qe=0;Qe<16;Qe++)j(_e[Qe+1]);for(var Ze=0;Ze<=161;Ze++)j(mt[Ze])}s(ae,"writeDHT");function ee(P){typeof P>"u"||P.constructor!==Array||P.forEach(le=>{if(typeof le=="string"){fe(65534);var he=le.length;fe(he+2);var ge;for(ge=0;ge<he;ge++)j(le.charCodeAt(ge))}})}s(ee,"writeCOM");function ft(){fe(65498),fe(12),j(3),j(1),j(0),j(2),j(17),j(3),j(17),j(0),j(63),j(0)}s(ft,"writeSOS");function Ce(P,le,he,ge,Ie){for(var Pe=Ie[0],Qe=Ie[240],Ze,Ft=16,gt=63,K=64,ce=ut(P,le),ke=0;ke<K;++ke)b[se[ke]]=ce[ke];var Dt=b[0]-he;he=b[0],Dt==0?Be(ge[0]):(Ze=32767+Dt,Be(ge[f[Ze]]),Be(g[Ze]));for(var Oe=63;Oe>0&&b[Oe]==0;Oe--);if(Oe==0)return Be(Pe),he;for(var $e=1,ct;$e<=Oe;){for(var xe=$e;b[$e]==0&&$e<=Oe;++$e);var tt=$e-xe;if(tt>=Ft){ct=tt>>4;for(var Vt=1;Vt<=ct;++Vt)Be(Qe);tt=tt&15}Ze=32767+b[$e],Be(Ie[(tt<<4)+f[Ze]]),Be(g[Ze]),$e++}return Oe!=gt&&Be(Pe),he}s(Ce,"processDU");function ze(){for(var P=String.fromCharCode,le=0;le<256;le++)V[le]=P(le)}s(ze,"initCharLookupTable"),this.encode=function(P,le){var he=new Date().getTime();le&&Ln(le),D=new Array,T=0,A=7,fe(65496),st(),ee(P.comments),Ve(P.exifBuffer),qe(),Je(P.width,P.height),ae(),ft();var ge=0,Ie=0,Pe=0;T=0,A=7,this.encode.displayName="_encode_";for(var Qe=P.data,Ze=P.width,Ft=P.height,gt=Ze*4,K=Ze*3,ce,ke=0,Dt,Oe,$e,ct,xe,tt,Vt,Et;ke<Ft;){for(ce=0;ce<gt;){for(ct=gt*ke+ce,xe=ct,tt=-1,Vt=0,Et=0;Et<64;Et++)Vt=Et>>3,tt=(Et&7)*4,xe=ct+Vt*gt+tt,ke+Vt>=Ft&&(xe-=gt*(ke+1+Vt-Ft)),ce+tt>=gt&&(xe-=ce+tt-gt+4),Dt=Qe[xe++],Oe=Qe[xe++],$e=Qe[xe++],R[Et]=(z[Dt]+z[Oe+256>>0]+z[$e+512>>0]>>16)-128,F[Et]=(z[Dt+768>>0]+z[Oe+1024>>0]+z[$e+1280>>0]>>16)-128,M[Et]=(z[Dt+1280>>0]+z[Oe+1536>>0]+z[$e+1792>>0]>>16)-128;ge=Ce(R,i,ge,u,m),Ie=Ce(F,c,Ie,l,p),Pe=Ce(M,c,Pe,l,p),ce+=32}ke+=8}if(A>=0){var Pn=[];Pn[1]=A+1,Pn[0]=(1<<A+1)-1,Be(Pn)}if(fe(65497),typeof U1>"u")return new Uint8Array(D);return Buffer.from(D);var Hn,ea};function Ln(P){if(P<=0&&(P=1),P>100&&(P=100),ne!=P){var le=0;P<50?le=Math.floor(5e3/P):le=Math.floor(200-P*2),at(le),ne=P}}s(Ln,"setQuality");function zn(){var P=new Date().getTime();t||(t=50),ze(),Pt(),et(),We(),Ln(t);var le=new Date().getTime()-P}s(zn,"init"),zn()}s(ere,"JPEGEncoder");typeof U1<"u"?U1.exports=K5:typeof window<"u"&&(window["jpeg-js"]=window["jpeg-js"]||{},window["jpeg-js"].encode=K5);function K5(t,e){typeof e>"u"&&(e=50);var n=new ere(e),r=n.encode(t,e);return{data:r,width:t.width,height:t.height}}s(K5,"encode")});var Q5=L((HLe,OD)=>{d();var PD=s(function(){"use strict";var e=new Int32Array([0,1,8,16,9,2,3,10,17,24,32,25,18,11,4,5,12,19,26,33,40,48,41,34,27,20,13,6,7,14,21,28,35,42,49,56,57,50,43,36,29,22,15,23,30,37,44,51,58,59,52,45,38,31,39,46,53,60,61,54,47,55,62,63]),n=4017,r=799,a=3406,o=2276,i=1567,c=3784,u=5793,l=2896;function m(){}s(m,"constructor");function p(A,R){for(var F=0,M=[],V,z,ne=16;ne>0&&!A[ne-1];)ne--;M.push({children:[],index:0});var se=M[0],Z;for(V=0;V<ne;V++){for(z=0;z<A[V];z++){for(se=M.pop(),se.children[se.index]=R[F];se.index>0;){if(M.length===0)throw new Error("Could not recreate Huffman Table");se=M.pop()}for(se.index++,M.push(se);M.length<=V;)M.push(Z={children:[],index:0}),se.children[se.index]=Z.children,se=Z;F++}V+1<ne&&(M.push(Z={children:[],index:0}),se.children[se.index]=Z.children,se=Z)}return M[0].children}s(p,"buildHuffmanTable");function g(A,R,F,M,V,z,ne,se,Z,de){var Le=F.precision,pe=F.samplesPerLine,wt=F.scanLines,ye=F.mcusPerLine,_e=F.progressive,mt=F.maxH,at=F.maxV,Ge=R,Pt=0,et=0;function We(){if(et>0)return et--,Pt>>et&1;if(Pt=A[R++],Pt==255){var K=A[R++];if(K)throw new Error("unexpected marker: "+(Pt<<8|K).toString(16))}return et=7,Pt>>>7}s(We,"readBit");function Be(K){for(var ce=K,ke;(ke=We())!==null;){if(ce=ce[ke],typeof ce=="number")return ce;if(typeof ce!="object")throw new Error("invalid huffman sequence")}return null}s(Be,"decodeHuffman");function j(K){for(var ce=0;K>0;){var ke=We();if(ke===null)return;ce=ce<<1|ke,K--}return ce}s(j,"receive");function fe(K){var ce=j(K);return ce>=1<<K-1?ce:ce+(-1<<K)+1}s(fe,"receiveAndExtend");function ut(K,ce){var ke=Be(K.huffmanTableDC),Dt=ke===0?0:fe(ke);ce[0]=K.pred+=Dt;for(var Oe=1;Oe<64;){var $e=Be(K.huffmanTableAC),ct=$e&15,xe=$e>>4;if(ct===0){if(xe<15)break;Oe+=16;continue}Oe+=xe;var tt=e[Oe];ce[tt]=fe(ct),Oe++}}s(ut,"decodeBaseline");function st(K,ce){var ke=Be(K.huffmanTableDC),Dt=ke===0?0:fe(ke)<<Z;ce[0]=K.pred+=Dt}s(st,"decodeDCFirst");function Ve(K,ce){ce[0]|=We()<<Z}s(Ve,"decodeDCSuccessive");var Je=0;function qe(K,ce){if(Je>0){Je--;return}for(var ke=z,Dt=ne;ke<=Dt;){var Oe=Be(K.huffmanTableAC),$e=Oe&15,ct=Oe>>4;if($e===0){if(ct<15){Je=j(ct)+(1<<ct)-1;break}ke+=16;continue}ke+=ct;var xe=e[ke];ce[xe]=fe($e)*(1<<Z),ke++}}s(qe,"decodeACFirst");var ae=0,ee;function ft(K,ce){for(var ke=z,Dt=ne,Oe=0;ke<=Dt;){var $e=e[ke],ct=ce[$e]<0?-1:1;switch(ae){case 0:var xe=Be(K.huffmanTableAC),tt=xe&15,Oe=xe>>4;if(tt===0)Oe<15?(Je=j(Oe)+(1<<Oe),ae=4):(Oe=16,ae=1);else{if(tt!==1)throw new Error("invalid ACn encoding");ee=fe(tt),ae=Oe?2:3}continue;case 1:case 2:ce[$e]?ce[$e]+=(We()<<Z)*ct:(Oe--,Oe===0&&(ae=ae==2?3:0));break;case 3:ce[$e]?ce[$e]+=(We()<<Z)*ct:(ce[$e]=ee<<Z,ae=0);break;case 4:ce[$e]&&(ce[$e]+=(We()<<Z)*ct);break}ke++}ae===4&&(Je--,Je===0&&(ae=0))}s(ft,"decodeACSuccessive");function Ce(K,ce,ke,Dt,Oe){var $e=ke/ye|0,ct=ke%ye,xe=$e*K.v+Dt,tt=ct*K.h+Oe;K.blocks[xe]===void 0&&de.tolerantDecoding||ce(K,K.blocks[xe][tt])}s(Ce,"decodeMcu");function ze(K,ce,ke){var Dt=ke/K.blocksPerLine|0,Oe=ke%K.blocksPerLine;K.blocks[Dt]===void 0&&de.tolerantDecoding||ce(K,K.blocks[Dt][Oe])}s(ze,"decodeBlock");var Ln=M.length,zn,P,le,he,ge,Ie;_e?z===0?Ie=se===0?st:Ve:Ie=se===0?qe:ft:Ie=ut;var Pe=0,Qe,Ze;Ln==1?Ze=M[0].blocksPerLine*M[0].blocksPerColumn:Ze=ye*F.mcusPerColumn,V||(V=Ze);for(var Ft,gt;Pe<Ze;){for(P=0;P<Ln;P++)M[P].pred=0;if(Je=0,Ln==1)for(zn=M[0],ge=0;ge<V;ge++)ze(zn,Ie,Pe),Pe++;else for(ge=0;ge<V;ge++){for(P=0;P<Ln;P++)for(zn=M[P],Ft=zn.h,gt=zn.v,le=0;le<gt;le++)for(he=0;he<Ft;he++)Ce(zn,Ie,Pe,le,he);if(Pe++,Pe===Ze)break}if(Pe===Ze)do{if(A[R]===255&&A[R+1]!==0)break;R+=1}while(R<A.length-2);if(et=0,Qe=A[R]<<8|A[R+1],Qe<65280)throw new Error("marker was not found");if(Qe>=65488&&Qe<=65495)R+=2;else break}return R-Ge}s(g,"decodeScan");function f(A,R){var F=[],M=R.blocksPerLine,V=R.blocksPerColumn,z=M<<3,ne=new Int32Array(64),se=new Uint8Array(64);function Z(Ge,Pt,et){var We=R.quantizationTable,Be,j,fe,ut,st,Ve,Je,qe,ae,ee=et,ft;for(ft=0;ft<64;ft++)ee[ft]=Ge[ft]*We[ft];for(ft=0;ft<8;++ft){var Ce=8*ft;if(ee[1+Ce]==0&&ee[2+Ce]==0&&ee[3+Ce]==0&&ee[4+Ce]==0&&ee[5+Ce]==0&&ee[6+Ce]==0&&ee[7+Ce]==0){ae=u*ee[0+Ce]+512>>10,ee[0+Ce]=ae,ee[1+Ce]=ae,ee[2+Ce]=ae,ee[3+Ce]=ae,ee[4+Ce]=ae,ee[5+Ce]=ae,ee[6+Ce]=ae,ee[7+Ce]=ae;continue}Be=u*ee[0+Ce]+128>>8,j=u*ee[4+Ce]+128>>8,fe=ee[2+Ce],ut=ee[6+Ce],st=l*(ee[1+Ce]-ee[7+Ce])+128>>8,qe=l*(ee[1+Ce]+ee[7+Ce])+128>>8,Ve=ee[3+Ce]<<4,Je=ee[5+Ce]<<4,ae=Be-j+1>>1,Be=Be+j+1>>1,j=ae,ae=fe*c+ut*i+128>>8,fe=fe*i-ut*c+128>>8,ut=ae,ae=st-Je+1>>1,st=st+Je+1>>1,Je=ae,ae=qe+Ve+1>>1,Ve=qe-Ve+1>>1,qe=ae,ae=Be-ut+1>>1,Be=Be+ut+1>>1,ut=ae,ae=j-fe+1>>1,j=j+fe+1>>1,fe=ae,ae=st*o+qe*a+2048>>12,st=st*a-qe*o+2048>>12,qe=ae,ae=Ve*r+Je*n+2048>>12,Ve=Ve*n-Je*r+2048>>12,Je=ae,ee[0+Ce]=Be+qe,ee[7+Ce]=Be-qe,ee[1+Ce]=j+Je,ee[6+Ce]=j-Je,ee[2+Ce]=fe+Ve,ee[5+Ce]=fe-Ve,ee[3+Ce]=ut+st,ee[4+Ce]=ut-st}for(ft=0;ft<8;++ft){var ze=ft;if(ee[8+ze]==0&&ee[16+ze]==0&&ee[24+ze]==0&&ee[32+ze]==0&&ee[40+ze]==0&&ee[48+ze]==0&&ee[56+ze]==0){ae=u*et[ft+0]+8192>>14,ee[0+ze]=ae,ee[8+ze]=ae,ee[16+ze]=ae,ee[24+ze]=ae,ee[32+ze]=ae,ee[40+ze]=ae,ee[48+ze]=ae,ee[56+ze]=ae;continue}Be=u*ee[0+ze]+2048>>12,j=u*ee[32+ze]+2048>>12,fe=ee[16+ze],ut=ee[48+ze],st=l*(ee[8+ze]-ee[56+ze])+2048>>12,qe=l*(ee[8+ze]+ee[56+ze])+2048>>12,Ve=ee[24+ze],Je=ee[40+ze],ae=Be-j+1>>1,Be=Be+j+1>>1,j=ae,ae=fe*c+ut*i+2048>>12,fe=fe*i-ut*c+2048>>12,ut=ae,ae=st-Je+1>>1,st=st+Je+1>>1,Je=ae,ae=qe+Ve+1>>1,Ve=qe-Ve+1>>1,qe=ae,ae=Be-ut+1>>1,Be=Be+ut+1>>1,ut=ae,ae=j-fe+1>>1,j=j+fe+1>>1,fe=ae,ae=st*o+qe*a+2048>>12,st=st*a-qe*o+2048>>12,qe=ae,ae=Ve*r+Je*n+2048>>12,Ve=Ve*n-Je*r+2048>>12,Je=ae,ee[0+ze]=Be+qe,ee[56+ze]=Be-qe,ee[8+ze]=j+Je,ee[48+ze]=j-Je,ee[16+ze]=fe+Ve,ee[40+ze]=fe-Ve,ee[24+ze]=ut+st,ee[32+ze]=ut-st}for(ft=0;ft<64;++ft){var Ln=128+(ee[ft]+8>>4);Pt[ft]=Ln<0?0:Ln>255?255:Ln}}s(Z,"quantizeAndInverse"),T(z*V*8);for(var de,Le,pe=0;pe<V;pe++){var wt=pe<<3;for(de=0;de<8;de++)F.push(new Uint8Array(z));for(var ye=0;ye<M;ye++){Z(R.blocks[pe][ye],se,ne);var _e=0,mt=ye<<3;for(Le=0;Le<8;Le++){var at=F[wt+Le];for(de=0;de<8;de++)at[mt+de]=se[_e++]}}}return F}s(f,"buildComponentData");function y(A){return A<0?0:A>255?255:A}s(y,"clampTo8bit"),m.prototype={load:s(function(R){var F=new XMLHttpRequest;F.open("GET",R,!0),F.responseType="arraybuffer",F.onload=function(){var M=new Uint8Array(F.response||F.mozResponseArrayBuffer);this.parse(M),this.onload&&this.onload()}.bind(this),F.send(null)},"load"),parse:s(function(R){var F=this.opts.maxResolutionInMP*1e3*1e3,M=0,V=R.length;function z(){var xe=R[M]<<8|R[M+1];return M+=2,xe}s(z,"readUint16");function ne(){var xe=z(),tt=R.subarray(M,M+xe-2);return M+=tt.length,tt}s(ne,"readDataBlock");function se(xe){var tt=1,Vt=1,Et,Pn;for(Pn in xe.components)xe.components.hasOwnProperty(Pn)&&(Et=xe.components[Pn],tt<Et.h&&(tt=Et.h),Vt<Et.v&&(Vt=Et.v));var Hn=Math.ceil(xe.samplesPerLine/8/tt),ea=Math.ceil(xe.scanLines/8/Vt);for(Pn in xe.components)if(xe.components.hasOwnProperty(Pn)){Et=xe.components[Pn];var Na=Math.ceil(Math.ceil(xe.samplesPerLine/8)*Et.h/tt),_=Math.ceil(Math.ceil(xe.scanLines/8)*Et.v/Vt),nt=Hn*Et.h,Er=ea*Et.v,Sn=Er*nt,ta=[];T(Sn*256);for(var ve=0;ve<Er;ve++){for(var Tr=[],Ni=0;Ni<nt;Ni++)Tr.push(new Int32Array(64));ta.push(Tr)}Et.blocksPerLine=Na,Et.blocksPerColumn=_,Et.blocks=ta}xe.maxH=tt,xe.maxV=Vt,xe.mcusPerLine=Hn,xe.mcusPerColumn=ea}s(se,"prepareComponents");var Z=null,de=null,Le=null,pe,wt,ye=[],_e=[],mt=[],at=[],Ge=z(),Pt=-1;if(this.comments=[],Ge!=65496)throw new Error("SOI not found");for(Ge=z();Ge!=65497;){var et,We,Be;switch(Ge){case 65280:break;case 65504:case 65505:case 65506:case 65507:case 65508:case 65509:case 65510:case 65511:case 65512:case 65513:case 65514:case 65515:case 65516:case 65517:case 65518:case 65519:case 65534:var j=ne();if(Ge===65534){var fe=String.fromCharCode.apply(null,j);this.comments.push(fe)}Ge===65504&&j[0]===74&&j[1]===70&&j[2]===73&&j[3]===70&&j[4]===0&&(Z={version:{major:j[5],minor:j[6]},densityUnits:j[7],xDensity:j[8]<<8|j[9],yDensity:j[10]<<8|j[11],thumbWidth:j[12],thumbHeight:j[13],thumbData:j.subarray(14,14+3*j[12]*j[13])}),Ge===65505&&j[0]===69&&j[1]===120&&j[2]===105&&j[3]===102&&j[4]===0&&(this.exifBuffer=j.subarray(5,j.length)),Ge===65518&&j[0]===65&&j[1]===100&&j[2]===111&&j[3]===98&&j[4]===101&&j[5]===0&&(de={version:j[6],flags0:j[7]<<8|j[8],flags1:j[9]<<8|j[10],transformCode:j[11]});break;case 65499:for(var ut=z(),st=ut+M-2;M<st;){var Ve=R[M++];T(256);var Je=new Int32Array(64);if(Ve>>4)if(Ve>>4===1)for(We=0;We<64;We++){var qe=e[We];Je[qe]=z()}else throw new Error("DQT: invalid table spec");else for(We=0;We<64;We++){var qe=e[We];Je[qe]=R[M++]}ye[Ve&15]=Je}break;case 65472:case 65473:case 65474:z(),pe={},pe.extended=Ge===65473,pe.progressive=Ge===65474,pe.precision=R[M++],pe.scanLines=z(),pe.samplesPerLine=z(),pe.components={},pe.componentsOrder=[];var ae=pe.scanLines*pe.samplesPerLine;if(ae>F){var ee=Math.ceil((ae-F)/1e6);throw new Error(`maxResolutionInMP limit exceeded by ${ee}MP`)}var ft=R[M++],Ce,ze=0,Ln=0;for(et=0;et<ft;et++){Ce=R[M];var zn=R[M+1]>>4,P=R[M+1]&15,le=R[M+2];if(zn<=0||P<=0)throw new Error("Invalid sampling factor, expected values above 0");pe.componentsOrder.push(Ce),pe.components[Ce]={h:zn,v:P,quantizationIdx:le},M+=3}se(pe),_e.push(pe);break;case 65476:var he=z();for(et=2;et<he;){var ge=R[M++],Ie=new Uint8Array(16),Pe=0;for(We=0;We<16;We++,M++)Pe+=Ie[We]=R[M];T(16+Pe);var Qe=new Uint8Array(Pe);for(We=0;We<Pe;We++,M++)Qe[We]=R[M];et+=17+Pe,(ge>>4?mt:at)[ge&15]=p(Ie,Qe)}break;case 65501:z(),wt=z();break;case 65500:z(),z();break;case 65498:var Ze=z(),Ft=R[M++],gt=[],K;for(et=0;et<Ft;et++){K=pe.components[R[M++]];var ce=R[M++];K.huffmanTableDC=at[ce>>4],K.huffmanTableAC=mt[ce&15],gt.push(K)}var ke=R[M++],Dt=R[M++],Oe=R[M++],$e=g(R,M,pe,gt,wt,ke,Dt,Oe>>4,Oe&15,this.opts);M+=$e;break;case 65535:R[M]!==255&&M--;break;default:if(R[M-3]==255&&R[M-2]>=192&&R[M-2]<=254){M-=3;break}else if(Ge===224||Ge==225){if(Pt!==-1)throw new Error(`first unknown JPEG marker at offset ${Pt.toString(16)}, second unknown JPEG marker ${Ge.toString(16)} at offset ${(M-1).toString(16)}`);Pt=M-1;let xe=z();if(R[M+xe-2]===255){M+=xe-2;break}}throw new Error("unknown JPEG marker "+Ge.toString(16))}Ge=z()}if(_e.length!=1)throw new Error("only single frame JPEGs supported");for(var et=0;et<_e.length;et++){var ct=_e[et].components;for(var We in ct)ct[We].quantizationTable=ye[ct[We].quantizationIdx],delete ct[We].quantizationIdx}this.width=pe.samplesPerLine,this.height=pe.scanLines,this.jfif=Z,this.adobe=de,this.components=[];for(var et=0;et<pe.componentsOrder.length;et++){var K=pe.components[pe.componentsOrder[et]];this.components.push({lines:f(pe,K),scaleX:K.h/pe.maxH,scaleY:K.v/pe.maxV})}},"parse"),getData:s(function(R,F){var M=this.width/R,V=this.height/F,z,ne,se,Z,de,Le,pe,wt,ye,_e,mt=0,at,Ge,Pt,et,We,Be,j,fe,ut,st,Ve,Je=R*F*this.components.length;T(Je);var qe=new Uint8Array(Je);switch(this.components.length){case 1:for(z=this.components[0],_e=0;_e<F;_e++)for(de=z.lines[0|_e*z.scaleY*V],ye=0;ye<R;ye++)at=de[0|ye*z.scaleX*M],qe[mt++]=at;break;case 2:for(z=this.components[0],ne=this.components[1],_e=0;_e<F;_e++)for(de=z.lines[0|_e*z.scaleY*V],Le=ne.lines[0|_e*ne.scaleY*V],ye=0;ye<R;ye++)at=de[0|ye*z.scaleX*M],qe[mt++]=at,at=Le[0|ye*ne.scaleX*M],qe[mt++]=at;break;case 3:for(Ve=!0,this.adobe&&this.adobe.transformCode?Ve=!0:typeof this.opts.colorTransform<"u"&&(Ve=!!this.opts.colorTransform),z=this.components[0],ne=this.components[1],se=this.components[2],_e=0;_e<F;_e++)for(de=z.lines[0|_e*z.scaleY*V],Le=ne.lines[0|_e*ne.scaleY*V],pe=se.lines[0|_e*se.scaleY*V],ye=0;ye<R;ye++)Ve?(at=de[0|ye*z.scaleX*M],Ge=Le[0|ye*ne.scaleX*M],Pt=pe[0|ye*se.scaleX*M],fe=y(at+1.402*(Pt-128)),ut=y(at-.3441363*(Ge-128)-.71413636*(Pt-128)),st=y(at+1.772*(Ge-128))):(fe=de[0|ye*z.scaleX*M],ut=Le[0|ye*ne.scaleX*M],st=pe[0|ye*se.scaleX*M]),qe[mt++]=fe,qe[mt++]=ut,qe[mt++]=st;break;case 4:if(!this.adobe)throw new Error("Unsupported color mode (4 components)");for(Ve=!1,this.adobe&&this.adobe.transformCode?Ve=!0:typeof this.opts.colorTransform<"u"&&(Ve=!!this.opts.colorTransform),z=this.components[0],ne=this.components[1],se=this.components[2],Z=this.components[3],_e=0;_e<F;_e++)for(de=z.lines[0|_e*z.scaleY*V],Le=ne.lines[0|_e*ne.scaleY*V],pe=se.lines[0|_e*se.scaleY*V],wt=Z.lines[0|_e*Z.scaleY*V],ye=0;ye<R;ye++)Ve?(at=de[0|ye*z.scaleX*M],Ge=Le[0|ye*ne.scaleX*M],Pt=pe[0|ye*se.scaleX*M],et=wt[0|ye*Z.scaleX*M],We=255-y(at+1.402*(Pt-128)),Be=255-y(at-.3441363*(Ge-128)-.71413636*(Pt-128)),j=255-y(at+1.772*(Ge-128))):(We=de[0|ye*z.scaleX*M],Be=Le[0|ye*ne.scaleX*M],j=pe[0|ye*se.scaleX*M],et=wt[0|ye*Z.scaleX*M]),qe[mt++]=255-We,qe[mt++]=255-Be,qe[mt++]=255-j,qe[mt++]=255-et;break;default:throw new Error("Unsupported color mode")}return qe},"getData"),copyToImageData:s(function(R,F){var M=R.width,V=R.height,z=R.data,ne=this.getData(M,V),se=0,Z=0,de,Le,pe,wt,ye,_e,mt,at,Ge;switch(this.components.length){case 1:for(Le=0;Le<V;Le++)for(de=0;de<M;de++)pe=ne[se++],z[Z++]=pe,z[Z++]=pe,z[Z++]=pe,F&&(z[Z++]=255);break;case 3:for(Le=0;Le<V;Le++)for(de=0;de<M;de++)mt=ne[se++],at=ne[se++],Ge=ne[se++],z[Z++]=mt,z[Z++]=at,z[Z++]=Ge,F&&(z[Z++]=255);break;case 4:for(Le=0;Le<V;Le++)for(de=0;de<M;de++)ye=ne[se++],_e=ne[se++],pe=ne[se++],wt=ne[se++],mt=255-y(ye*(1-wt/255)+wt),at=255-y(_e*(1-wt/255)+wt),Ge=255-y(pe*(1-wt/255)+wt),z[Z++]=mt,z[Z++]=at,z[Z++]=Ge,F&&(z[Z++]=255);break;default:throw new Error("Unsupported color mode")}},"copyToImageData")};var b=0,D=0;function T(A=0){var R=b+A;if(R>D){var F=Math.ceil((R-D)/1024/1024);throw new Error(`maxMemoryUsageInMB limit exceeded by at least ${F}MB`)}b=R}return s(T,"requestMemoryAllocation"),m.resetMaxMemoryUsage=function(A){b=0,D=A},m.getBytesAllocated=function(){return b},m.requestMemoryAllocation=T,m},"jpegImage")();typeof OD<"u"?OD.exports=Z5:typeof window<"u"&&(window["jpeg-js"]=window["jpeg-js"]||{},window["jpeg-js"].decode=Z5);function Z5(t,e={}){var n={colorTransform:void 0,useTArray:!1,formatAsRGBA:!0,tolerantDecoding:!0,maxResolutionInMP:100,maxMemoryUsageInMB:512},r={...n,...e},a=new Uint8Array(t),o=new PD;o.opts=r,PD.resetMaxMemoryUsage(r.maxMemoryUsageInMB*1024*1024),o.parse(a);var i=r.formatAsRGBA?4:3,c=o.width*o.height*i;try{PD.requestMemoryAllocation(c);var u={width:o.width,height:o.height,exifBuffer:o.exifBuffer,data:r.useTArray?new Uint8Array(c):Buffer.alloc(c)};o.comments.length>0&&(u.comments=o.comments)}catch(l){throw l instanceof RangeError?new Error("Could not allocate enough memory for the image. Required: "+c):l instanceof ReferenceError&&l.message==="Buffer is not defined"?new Error("Buffer is not globally defined in this environment. Consider setting useTArray to true"):l}return o.copyToImageData(u,r.formatAsRGBA),u}s(Z5,"decode")});var UD=L((VLe,eO)=>{d();var tre=X5(),nre=Q5();eO.exports={encode:tre,decode:nre}});var nO=L((YLe,tO)=>{"use strict";d();var rre=Y5(),BD=UD();function B1(t,e,n,r,a){return a[(t+e*r)*4+n]}s(B1,"getPixel");function are(t,e,n){return B1(t,e,0,n.width,n.data)>=249&&B1(t,e,1,n.width,n.data)>=249&&B1(t,e,2,n.width,n.data)>=249}s(are,"isWhitePixel");function ore(t){let e=s(function(){let o=[];for(let i=0;i<256;i++)o[i]=0;return o},"createHistogramArray"),n=t.width,r=t.height,a=[e(),e(),e()];for(let o=0;o<r;o++)for(let i=0;i<n;i++)if(!are(i,o,t))for(let c=0;c<a.length;c++){let u=B1(i,o,c,n,t.data);a[c][u]++}return a}s(ore,"convertPixelsToHistogram");function ire(t){let e=BD.decode(t[0].getImage()),n=e.width,r=e.height,a=Buffer.alloc(n*r*4),o=0;for(;o<a.length;)a[o++]=255,a[o++]=255,a[o++]=255,a[o++]=255;var i=BD.encode({data:a,width:n,height:r});return i.data}s(ire,"synthesizeWhiteFrame");var sre="disabled-by-default-devtools.screenshot";function cre(t,e){e=e||{};let n;t=typeof t=="string"?rre.readFileSync(t,"utf-8"):t;try{n=typeof t=="string"?JSON.parse(t):t}catch(p){throw new Error("Speedline: Invalid JSON"+p.message)}let r=n.traceEvents||n,a=Number.MAX_VALUE,o=-Number.MAX_VALUE;r.forEach(p=>{p.ts!==0&&(a=Math.min(a,p.ts),o=Math.max(o,p.ts))}),a=(e.timeOrigin||a)/1e3,o/=1e3;let i=null,c=r.filter(p=>p.cat.includes(sre)&&p.ts>=a*1e3);c.sort((p,g)=>p.ts-g.ts);let u=c.map(function(p){let g=p.args&&p.args.snapshot,f=p.ts/1e3;if(g===i)return null;i=g;let y=Buffer.from(g,"base64");return jD(y,f)}).filter(Boolean);if(u.length===0)return Promise.reject(new Error("No screenshots found in trace"));let l=jD(ire(u),a);u.unshift(l);let m={startTs:a,endTs:o,frames:u};return Promise.resolve(m)}s(cre,"extractFramesFromTimeline");function jD(t,e){let n=null,r=null,a=null,o=null,i=null,c=null;return{getHistogram:function(){if(n)return n;let u=this.getParsedImage();return n=ore(u),n},getTimeStamp:function(){return e},setProgress:function(u,l){r=u,a=!!l},setPerceptualProgress:function(u,l){o=u,i=!!l},getImage:function(){return t},getParsedImage:function(){return c||(c=BD.decode(t)),c},getProgress:function(){return r},isProgressInterpolated:function(){return a},getPerceptualProgress:function(){return o},isPerceptualProgressInterpolated:function(){return i}}}s(jD,"frame");tO.exports={extractFramesFromTimeline:cre,create:jD}});var aO=L((XLe,rO)=>{d();var qD;(function(t){"use strict";(function(a){a[a.Grey=1]="Grey",a[a.GreyAlpha=2]="GreyAlpha",a[a.RGB=3]="RGB",a[a.RGBAlpha=4]="RGBAlpha"})(t.Channels||(t.Channels={}));var e=t.Channels;function n(a,o,i,c,u,l,m){if(i===void 0&&(i=8),c===void 0&&(c=.01),u===void 0&&(u=.03),l===void 0&&(l=!0),m===void 0&&(m=8),a.width!==o.width||a.height!==o.height)throw new Error("Images have different sizes!");var p=(1<<m)-1,g=Math.pow(c*p,2),f=Math.pow(u*p,2),y=0,b=0,D=0;function T(A,R,F,M){var V,z,ne;V=z=ne=0;for(var se=0;se<A.length;se++)z+=Math.pow(A[se]-F,2),ne+=Math.pow(R[se]-M,2),V+=(A[se]-F)*(R[se]-M);var Z=A.length-1;z/=Z,ne/=Z,V/=Z;var de=(2*F*M+g)*(2*V+f),Le=(Math.pow(F,2)+Math.pow(M,2)+g)*(z+ne+f);b+=de/Le,D+=(2*V+f)/(z+ne+f),y++}return s(T,"iteration"),r._iterate(a,o,i,l,T),{ssim:b/y,mcs:D/y}}s(n,"compare"),t.compare=n;var r;(function(a){function o(u,l,m,p,g){for(var f=u.width,y=u.height,b=0;b<y;b+=m)for(var D=0;D<f;D+=m){var T=Math.min(m,f-D),A=Math.min(m,y-b),R=i(u,D,b,T,A,p),F=i(l,D,b,T,A,p),M=c(R),V=c(F);g(R,F,M,V)}}s(o,"_iterate"),a._iterate=o;function i(u,l,m,p,g,f){for(var y=u.data,b=new Float32Array(new ArrayBuffer(p*g*4)),D=0,T=m+g,A=m;A<T;A++){var R=A*u.width,F=(R+l)*u.channels,M=(R+l+p)*u.channels;switch(u.channels){case 1:for(;F<M;)b[D++]=y[F++];break;case 2:for(;F<M;)b[D++]=y[F++]*(y[F++]/255);break;case 3:if(f)for(;F<M;)b[D++]=y[F++]*.212655+y[F++]*.715158+y[F++]*.072187;else for(;F<M;)b[D++]=y[F++]+y[F++]+y[F++];break;case 4:if(f)for(;F<M;)b[D++]=(y[F++]*.212655+y[F++]*.715158+y[F++]*.072187)*(y[F++]/255);else for(;F<M;)b[D++]=(y[F++]+y[F++]+y[F++])*(y[F++]/255);break}}return b}s(i,"_lumaValuesForWindow");function c(u){for(var l=0,m=0;m<u.length;m++)l+=u[m];return l/u.length}s(c,"_averageLuma")})(r||(r={}))})(qD||(qD={}));rO.exports=qD});var cO=L((e8e,sO)=>{"use strict";d();var ure=aO(),lre=5,dre=3,mre=-1,HD=mre,oO=lre-HD,pre=Math.log((dre-HD)/oO);function iO(t){let e=t/1e3;return oO*Math.exp(pre*e)+HD}s(iO,"calculateFastModeAllowableChange");function fre(t,e,n){let r=0,a=0,o=t.getHistogram(),i=e.getHistogram(),c=n.getHistogram();for(let l=0;l<3;l++)for(let m=0;m<256;m++){let p=o[l][m],g=i[l][m],f=c[l][m],y=Math.abs(p-g),b=Math.abs(f-g);a+=Math.min(y,b),r+=b}let u;return a===0&&r===0?u=100:u=Math.floor(a/r*100),u}s(fre,"calculateFrameProgress");function j1(t,e,n,r,a,o){if(!r){t.forEach(p=>o(p,a(p),!1));return}let i=t[e],c=t[n],u=c.getTimeStamp()-i.getTimeStamp(),l=a(i),m=a(c);if(o(i,l,!1),o(c,m,!1),Math.abs(l-m)<iO(u))for(let p=e+1;p<n;p++)o(t[p],l,!0);else if(n-e>1){let p=Math.floor((e+n)/2);j1(t,e,p,r,a,o),j1(t,p,n,r,a,o)}}s(j1,"calculateProgressBetweenFrames");function gre(t,e){let n=t[0],r=t[t.length-1];function a(i){return typeof i.getProgress()=="number"?i.getProgress():fre(i,n,r)}s(a,"getProgress");function o(i,c,u){return i.setProgress(c,u)}return s(o,"setProgress"),j1(t,0,t.length-1,e&&e.fastMode,a,o),t}s(gre,"calculateVisualProgress");function zD(t,e){let n={channels:4},r=Object.assign(t.getParsedImage(),n),a=Object.assign(e.getParsedImage(),n);return ure.compare(r,a).ssim}s(zD,"calculateFrameSimilarity");function hre(t,e){let n=t[0],r=t[t.length-1],a=zD(n,r);function o(c){if(typeof c.getPerceptualProgress()=="number")return c.getPerceptualProgress();let u=zD(c,r);return Math.max(100*(u-a)/(1-a),0)}s(o,"getProgress");function i(c,u,l){return c.setPerceptualProgress(u,l)}return s(i,"setProgress"),j1(t,0,t.length-1,e&&e.fastMode,o,i),t}s(hre,"calculatePerceptualProgress");function yre(t,e){let n=typeof t[0].getProgress()=="number",r=typeof t[0].getPerceptualProgress()=="number",a=n?"getProgress":"getPerceptualProgress",o=e.startTs,i,c;for(let f=0;f<t.length&&!c;f++)t[f][a]()>0&&(c=t[f].getTimeStamp());for(let f=0;f<t.length&&!i;f++)t[f][a]()>=100&&(i=t[f].getTimeStamp());let u=t[0].getTimeStamp(),l=t[0].getProgress(),m=t[0].getPerceptualProgress(),p=c-o,g=c-o;return t.forEach(function(f){if(f.getTimeStamp()>c){let y=f.getTimeStamp()-u;p+=y*(1-l),g+=y*(1-m)}u=f.getTimeStamp(),l=f.getProgress()/100,m=f.getPerceptualProgress()/100}),p=n?p:void 0,g=r?g:void 0,{firstPaintTs:c,visuallyCompleteTs:i,speedIndex:p,perceptualSpeedIndex:g}}s(yre,"calculateSpeedIndexes");sO.exports={calculateFastModeAllowableChange:iO,calculateFrameSimilarity:zD,calculateVisualProgress:gre,calculatePerceptualProgress:hre,calculateSpeedIndexes:yre}});var lO=L((r8e,uO)=>{"use strict";d();var vre=nO(),GD=cO();function bre(t,e){let n=GD.calculateSpeedIndexes(t,e),r=Math.floor(e.endTs-e.startTs),a=Math.floor(n.firstPaintTs-e.startTs),o=Math.floor(n.visuallyCompleteTs-e.startTs);return{beginning:e.startTs,end:e.endTs,frames:t,first:a,complete:o,duration:r,speedIndex:n.speedIndex,perceptualSpeedIndex:n.perceptualSpeedIndex}}s(bre,"calculateValues");var hi={All:"all",pSI:"perceptualSpeedIndex",SI:"speedIndex"};uO.exports=function(t,e){let n=e&&e.include||hi.All;if(!Object.keys(hi).some(r=>hi[r]===n))throw new Error(`Unrecognized include option: ${n}`);return vre.extractFramesFromTimeline(t,e).then(function(r){let a=r.frames;return(n===hi.All||n===hi.SI)&&GD.calculateVisualProgress(a,e),(n===hi.All||n===hi.pSI)&&GD.calculatePerceptualProgress(a,e),bre(a,r)})}});var dO,WD,yo,Nd=v(()=>{"use strict";d();dO=zt(lO(),1);we();Bt();Jt();WD=class{static{s(this,"Speedline")}static async compute_(e,n){return Ye.request(e,n).then(r=>{let a=e.traceEvents.slice(),o=r.timestamps.timeOrigin;return(0,dO.default)(a,{timeOrigin:o,fastMode:!0,include:"speedIndex"})}).catch(r=>{throw/No screenshots found in trace/.test(r.message)?new G(G.errors.NO_SCREENSHOTS):r}).then(r=>{if(r.frames.length===0)throw new G(G.errors.NO_SPEEDLINE_FRAMES);if(r.speedIndex===0)throw new G(G.errors.SPEEDINDEX_OF_ZERO);return r})}},yo=W(WD,null)});var VD,mO,pO=v(()=>{"use strict";d();we();Br();VD=class extends xt{static{s(this,"FirstContentfulPaintAllFrames")}static computeSimulatedMetric(){throw new Error("FCP All Frames not implemented in lantern")}static async computeObservedMetric(e){let{processedNavigation:n}=e;return{timing:n.timings.firstContentfulPaintAllFrames,timestamp:n.timestamps.firstContentfulPaintAllFrames}}},mO=W(VD,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var $D,q1,YD=v(()=>{"use strict";d();we();Br();Bt();Xp();$D=class extends xt{static{s(this,"FirstMeaningfulPaint")}static computeSimulatedMetric(e,n){let r=xt.getMetricComputationInput(e);return ks.request(r,n)}static async computeObservedMetric(e){let{processedNavigation:n}=e;if(n.timings.firstMeaningfulPaint===void 0)throw new G(G.errors.NO_FMP);return{timing:n.timings.firstMeaningfulPaint,timestamp:n.timestamps.firstMeaningfulPaint}}},q1=W($D,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var KD,fO,gO=v(()=>{"use strict";d();we();Br();Bt();KD=class extends xt{static{s(this,"LargestContentfulPaintAllFrames")}static async computeSimulatedMetric(){throw new Error("LCP All Frames not implemented in lantern")}static async computeObservedMetric(e){let{processedNavigation:n}=e;if(n.timings.largestContentfulPaintAllFrames===void 0)throw new G(G.errors.NO_LCP_ALL_FRAMES);return{timing:n.timings.largestContentfulPaintAllFrames,timestamp:n.timestamps.largestContentfulPaintAllFrames}}},fO=W(KD,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var JD,z1,XD=v(()=>{"use strict";d();we();Ea();An();Nd();fr();Vn();JD=class t extends nn{static{s(this,"LanternSpeedIndex")}static get COEFFICIENTS(){return{intercept:-250,optimistic:1.4,pessimistic:.65}}static getScaledCoefficients(e){let n=this.COEFFICIENTS,r=Wn.mobileSlow4G.rttMs-30,a=Math.max((e-30)/r,0);return{intercept:n.intercept*a,optimistic:.5+(n.optimistic-.5)*a,pessimistic:.5+(n.pessimistic-.5)*a}}static getOptimisticGraph(e){return e}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,n){if(!n.fcpResult)throw new Error("missing fcpResult");if(!n.speedline)throw new Error("missing speedline");let r=n.fcpResult.pessimisticEstimate.timeInMs;return{timeInMs:n.optimistic?n.speedline.speedIndex:t.computeLayoutBasedSpeedIndex(e.nodeTimings,r),nodeTimings:e.nodeTimings}}static async compute_(e,n){let r=await yo.request(e.trace,n),a=await It.request(e,n),o=await this.computeMetricWithGraphs(e,n,{speedline:r,fcpResult:a});return o.timing=Math.max(o.timing,a.timing),o}static computeLayoutBasedSpeedIndex(e,n){let r=[];for(let[i,c]of e.entries())if(i.type===Fe.TYPES.CPU&&i.childEvents.some(u=>u.name==="Layout")){let u=Math.max(Math.log2(c.endTime-c.startTime),0);r.push({time:c.endTime,weight:u})}let a=r.map(i=>i.weight*Math.max(i.time,n)).reduce((i,c)=>i+c,0),o=r.map(i=>i.weight).reduce((i,c)=>i+c,0);return o?a/o:n}},z1=W(JD,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var ZD,H1,QD=v(()=>{"use strict";d();we();Br();XD();Nd();ZD=class extends xt{static{s(this,"SpeedIndex")}static computeSimulatedMetric(e,n){let r=xt.getMetricComputationInput(e);return z1.request(r,n)}static async computeObservedMetric(e,n){let r=await yo.request(e.trace,n),a=Math.round(r.speedIndex),o=(a+r.beginning)*1e3;return Promise.resolve({timing:a,timestamp:o})}},H1=W(ZD,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var eE,hO,yO=v(()=>{"use strict";d();we();Ea();An();fr();eE=class t extends nn{static{s(this,"LanternMaxPotentialFID")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e){return e}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,n){if(!n.fcpResult)throw new Error("missing fcpResult");let r=n.optimistic?n.fcpResult.pessimisticEstimate.timeInMs:n.fcpResult.optimisticEstimate.timeInMs,a=t.getTimingsAfterFCP(e.nodeTimings,r);return{timeInMs:Math.max(...a.map(o=>o.duration),16),nodeTimings:e.nodeTimings}}static async compute_(e,n){let r=await It.request(e,n);return super.computeMetricWithGraphs(e,n,{fcpResult:r})}static getTimingsAfterFCP(e,n){return Array.from(e.entries()).filter(([r,a])=>r.type===Fe.TYPES.CPU&&a.endTime>n).map(([r,a])=>a)}},hO=W(eE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var tE,G1,nE=v(()=>{"use strict";d();we();Br();yO();Ar();tE=class extends xt{static{s(this,"MaxPotentialFID")}static computeSimulatedMetric(e,n){let r=xt.getMetricComputationInput(e);return hO.request(r,n)}static computeObservedMetric(e){let{firstContentfulPaint:n}=e.processedNavigation.timings,r=Kt.getMainThreadTopLevelEvents(e.processedTrace,n).filter(a=>a.duration>=1);return Promise.resolve({timing:Math.max(...r.map(a=>a.duration),16)})}},G1=W(tE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});function wre(t,e,n,r){let a=50;if(r&&(a*=t.duration/r.duration),t.duration<a||t.end<e||t.start>n)return 0;let o=Math.max(t.start,e),c=Math.min(t.end,n)-o;return c<a?0:c-a}function Ld(t,e,n){if(n<=e)return 0;let r=0;for(let a of t)r+=wre(a,e,n);return r}var rE=v(()=>{"use strict";d();s(wre,"calculateTbtImpactForEvent");s(Ld,"calculateSumOfBlockingTime")});var aE,vO,bO=v(()=>{"use strict";d();we();Ea();An();fr();oi();rE();aE=class t extends nn{static{s(this,"LanternTotalBlockingTime")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(e){return e}static getPessimisticGraph(e){return e}static getEstimateFromSimulation(e,n){if(!n.fcpResult)throw new Error("missing fcpResult");if(!n.interactiveResult)throw new Error("missing interactiveResult");let r=n.optimistic?n.fcpResult.pessimisticEstimate.timeInMs:n.fcpResult.optimisticEstimate.timeInMs,a=n.optimistic?n.interactiveResult.optimisticEstimate.timeInMs:n.interactiveResult.pessimisticEstimate.timeInMs,o=50,i=t.getTopLevelEvents(e.nodeTimings,o);return{timeInMs:Ld(i,r,a),nodeTimings:e.nodeTimings}}static async compute_(e,n){let r=await It.request(e,n),a=await jn.request(e,n);return this.computeMetricWithGraphs(e,n,{fcpResult:r,interactiveResult:a})}static getTopLevelEvents(e,n){let r=[];for(let[a,o]of e.entries())a.type===Fe.TYPES.CPU&&(o.duration<n||r.push({start:o.startTime,end:o.endTime,duration:o.duration}));return r}},vO=W(aE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var oE,W1,iE=v(()=>{"use strict";d();we();oo();Ar();bO();ad();rE();oE=class extends bn{static{s(this,"TotalBlockingTime")}static computeSimulatedMetric(e,n){let r=bn.getMetricComputationInput(e);return vO.request(r,n)}static async computeObservedMetric(e,n){let r=Kt.getMainThreadTopLevelEvents(e.processedTrace);if(e.processedNavigation){let{firstContentfulPaint:a}=e.processedNavigation.timings,o=bn.getMetricComputationInput(e),i=(await io.request(o,n)).timing;return{timing:Ld(r,a,i)}}else return{timing:Ld(r,0,e.processedTrace.timings.traceEnd)}}},W1=W(oE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var sE,rc,V1=v(()=>{"use strict";d();Jt();Ur();Nd();c1();pO();YD();Fd();gO();ad();Hu();QD();nE();iE();we();DD();TD();sE=class t{static{s(this,"TimingSummary")}static async summarize(e,n,r,a,o,i){let c={trace:e,devtoolsLog:n,gatherContext:r,settings:a,URL:o},u=s((Le,pe)=>Le.request(pe,i).catch(wt=>{}),"requestOrUndefined"),l=await Ye.request(e,i),m=await u(on,e),p=await yo.request(e,i),g=await u(Ps,c),f=await u(mO,c),y=await u(q1,c),b=await u(ho,c),D=await u(fO,c),T=await u(io,c),A=await u(ro,e),R=await u(G1,c),F=await u(H1,c),M=await u(W1,c),V=await u(I1,c),z=await u(k1,c),{cumulativeLayoutShift:ne,cumulativeLayoutShiftMainFrame:se}=A||{},Z={firstContentfulPaint:g?.timing,firstContentfulPaintTs:g?.timestamp,firstContentfulPaintAllFrames:f?.timing,firstContentfulPaintAllFramesTs:f?.timestamp,firstMeaningfulPaint:y?.timing,firstMeaningfulPaintTs:y?.timestamp,largestContentfulPaint:b?.timing,largestContentfulPaintTs:b?.timestamp,largestContentfulPaintAllFrames:D?.timing,largestContentfulPaintAllFramesTs:D?.timestamp,interactive:T?.timing,interactiveTs:T?.timestamp,speedIndex:F?.timing,speedIndexTs:F?.timestamp,totalBlockingTime:M?.timing,maxPotentialFID:R?.timing,cumulativeLayoutShift:ne,cumulativeLayoutShiftMainFrame:se,lcpLoadStart:V?.loadStart,lcpLoadEnd:V?.loadEnd,timeToFirstByte:z?.timing,timeToFirstByteTs:z?.timestamp,observedTimeOrigin:l.timings.timeOrigin,observedTimeOriginTs:l.timestamps.timeOrigin,observedNavigationStart:m?.timings.timeOrigin,observedNavigationStartTs:m?.timestamps.timeOrigin,observedFirstPaint:m?.timings.firstPaint,observedFirstPaintTs:m?.timestamps.firstPaint,observedFirstContentfulPaint:m?.timings.firstContentfulPaint,observedFirstContentfulPaintTs:m?.timestamps.firstContentfulPaint,observedFirstContentfulPaintAllFrames:m?.timings.firstContentfulPaintAllFrames,observedFirstContentfulPaintAllFramesTs:m?.timestamps.firstContentfulPaintAllFrames,observedFirstMeaningfulPaint:m?.timings.firstMeaningfulPaint,observedFirstMeaningfulPaintTs:m?.timestamps.firstMeaningfulPaint,observedLargestContentfulPaint:m?.timings.largestContentfulPaint,observedLargestContentfulPaintTs:m?.timestamps.largestContentfulPaint,observedLargestContentfulPaintAllFrames:m?.timings.largestContentfulPaintAllFrames,observedLargestContentfulPaintAllFramesTs:m?.timestamps.largestContentfulPaintAllFrames,observedTraceEnd:l.timings.traceEnd,observedTraceEndTs:l.timestamps.traceEnd,observedLoad:m?.timings.load,observedLoadTs:m?.timestamps.load,observedDomContentLoaded:m?.timings.domContentLoaded,observedDomContentLoadedTs:m?.timestamps.domContentLoaded,observedCumulativeLayoutShift:ne,observedCumulativeLayoutShiftMainFrame:se,observedFirstVisualChange:p.first,observedFirstVisualChangeTs:(p.first+p.beginning)*1e3,observedLastVisualChange:p.complete,observedLastVisualChangeTs:(p.complete+p.beginning)*1e3,observedSpeedIndex:p.speedIndex,observedSpeedIndexTs:(p.speedIndex+p.beginning)*1e3},de={lcpInvalidated:!!m?.lcpInvalidated};return{metrics:Z,debugInfo:de}}static async compute_(e,n){return t.summarize(e.trace,e.devtoolsLog,e.gatherContext,e.settings,e.URL,n)}},rc=W(sE,["devtoolsLog","gatherContext","settings","trace","URL"])});var wO={};S(wO,{default:()=>Tre});var Ere,cE,Tre,DO=v(()=>{"use strict";d();J();V1();Ere=new Set(["cumulativeLayoutShift","cumulativeLayoutShiftMainFrame","observedCumulativeLayoutShift","observedCumulativeLayoutShiftMainFrame"]),cE=class extends h{static{s(this,"Metrics")}static get meta(){return{id:"metrics",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:"Metrics",description:"Collects all available metrics.",supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static async audit(e,n){let r=e.GatherContext,a=e.traces[h.DEFAULT_PASS],o=e.devtoolsLogs[h.DEFAULT_PASS],i=e.URL,c=await rc.request({trace:a,devtoolsLog:o,gatherContext:r,settings:n.settings,URL:i},n),u=c.metrics,l=c.debugInfo;for(let[p,g]of Object.entries(u)){let f=p;typeof g=="number"&&!Ere.has(f)&&(u[f]=Math.round(g))}let m={type:"debugdata",items:[u,l]};return{score:1,numericValue:u.interactive||0,numericUnit:"millisecond",details:m}}},Tre=cE});var TO={};S(TO,{UIStrings:()=>lE,default:()=>Sre});var lE,EO,uE,Sre,SO=v(()=>{"use strict";d();J();Hu();k();lE={description:"Cumulative Layout Shift measures the movement of visible elements within the viewport. [Learn more about the Cumulative Layout Shift metric](https://web.dev/cls/)."},EO=w("core/audits/metrics/cumulative-layout-shift.js",lE),uE=class extends h{static{s(this,"CumulativeLayoutShift")}static get meta(){return{id:"cumulative-layout-shift",title:EO(x.cumulativeLayoutShiftMetric),description:EO(lE.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["traces"]}}static get defaultOptions(){return{p10:.1,median:.25}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],{cumulativeLayoutShift:a,...o}=await ro.request(r,n),i={type:"debugdata",items:[o]};return{score:h.computeLogNormalScore({p10:n.options.p10,median:n.options.median},a),numericValue:a,numericUnit:"unitless",displayValue:a.toLocaleString(n.settings.locale),details:i}}},Sre=uE});var xO={};S(xO,{UIStrings:()=>pE,default:()=>xre});var pE,dE,mE,xre,CO=v(()=>{"use strict";d();J();k();c1();pE={description:"First Contentful Paint marks the time at which the first text or image is painted. [Learn more about the First Contentful Paint metric](https://developer.chrome.com/docs/lighthouse/performance/first-contentful-paint/)."},dE=w("core/audits/metrics/first-contentful-paint.js",pE),mE=class extends h{static{s(this,"FirstContentfulPaint")}static get meta(){return{id:"first-contentful-paint",title:dE(x.firstContentfulPaintMetric),description:dE(pE.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:1800,median:3e3}},desktop:{scoring:{p10:934,median:1600}}}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:e.URL},c=await Ps.request(i,n),u=n.options[n.settings.formFactor];return{score:h.computeLogNormalScore(u.scoring,c.timing),numericValue:c.timing,numericUnit:"millisecond",displayValue:dE(x.seconds,{timeInMs:c.timing})}}},xre=mE});var AO={};S(AO,{UIStrings:()=>hE,default:()=>Cre});var hE,fE,gE,Cre,FO=v(()=>{"use strict";d();J();k();YD();hE={description:"First Meaningful Paint measures when the primary content of a page is visible. [Learn more about the First Meaningful Paint metric](https://developer.chrome.com/docs/lighthouse/performance/first-meaningful-paint/)."},fE=w("core/audits/metrics/first-meaningful-paint.js",hE),gE=class extends h{static{s(this,"FirstMeaningfulPaint")}static get meta(){return{id:"first-meaningful-paint",title:fE(x.firstMeaningfulPaintMetric),description:fE(hE.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:2336,median:4e3}},desktop:{scoring:{p10:934,median:1600}}}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:e.URL},c=await q1.request(i,n),u=n.options[n.settings.formFactor];return{score:h.computeLogNormalScore(u.scoring,c.timing),numericValue:c.timing,numericUnit:"millisecond",displayValue:fE(x.seconds,{timeInMs:c.timing})}}},Cre=gE});var RO={};S(RO,{UIStrings:()=>bE,default:()=>wE});var bE,yE,vE,wE,DE=v(()=>{"use strict";d();J();Kp();k();bE={description:"Interaction to Next Paint measures page responsiveness, how long it takes the page to visibly respond to user input. [Learn more about the Interaction to Next Paint metric](https://web.dev/inp/)."},yE=w("core/audits/metrics/interaction-to-next-paint.js",bE),vE=class extends h{static{s(this,"InteractionToNextPaint")}static get meta(){return{id:"interaction-to-next-paint",title:yE(x.interactionToNextPaint),description:yE(bE.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["timespan"],requiredArtifacts:["traces"]}}static get defaultOptions(){return{p10:200,median:500}}static async audit(e,n){let{settings:r}=n;if(r.throttlingMethod==="simulate")return{score:null,notApplicable:!0};let o={trace:e.traces[h.DEFAULT_PASS],settings:r},i=await Fs.request(o,n);if(i===null)return{score:null,notApplicable:!0};let c=i.name==="FallbackTiming"?i.duration:i.args.data.duration;return{score:h.computeLogNormalScore({p10:n.options.p10,median:n.options.median},c),numericValue:c,numericUnit:"millisecond",displayValue:yE(x.ms,{timeInMs:c})}}},wE=vE});var _O={};S(_O,{UIStrings:()=>SE,default:()=>Are});var SE,EE,TE,Are,kO=v(()=>{"use strict";d();J();k();ad();SE={description:"Time to Interactive is the amount of time it takes for the page to become fully interactive. [Learn more about the Time to Interactive metric](https://developer.chrome.com/docs/lighthouse/performance/interactive/)."},EE=w("core/audits/metrics/interactive.js",SE),TE=class extends h{static{s(this,"InteractiveMetric")}static get meta(){return{id:"interactive",title:EE(x.interactiveMetric),description:EE(SE.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:3785,median:7300}},desktop:{scoring:{p10:2468,median:4500}}}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:e.URL},u=(await io.request(i,n)).timing,l=n.options[n.settings.formFactor];return{score:h.computeLogNormalScore(l.scoring,u),numericValue:u,numericUnit:"millisecond",displayValue:EE(x.seconds,{timeInMs:u})}}},Are=TE});var IO={};S(IO,{UIStrings:()=>AE,default:()=>Fre});var AE,xE,CE,Fre,MO=v(()=>{"use strict";d();J();k();Fd();AE={description:"Largest Contentful Paint marks the time at which the largest text or image is painted. [Learn more about the Largest Contentful Paint metric](https://developer.chrome.com/docs/lighthouse/performance/lighthouse-largest-contentful-paint/)"},xE=w("core/audits/metrics/largest-contentful-paint.js",AE),CE=class extends h{static{s(this,"LargestContentfulPaint")}static get meta(){return{id:"largest-contentful-paint",title:xE(x.largestContentfulPaintMetric),description:xE(AE.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["HostUserAgent","traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:2500,median:4e3}},desktop:{scoring:{p10:1200,median:2400}}}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:e.URL},c=await ho.request(i,n),u=n.options[n.settings.formFactor];return{score:h.computeLogNormalScore(u.scoring,c.timing),numericValue:c.timing,numericUnit:"millisecond",displayValue:xE(x.seconds,{timeInMs:c.timing})}}},Fre=CE});var NO={};S(NO,{UIStrings:()=>_E,default:()=>Rre});var _E,FE,RE,Rre,LO=v(()=>{"use strict";d();J();nE();k();_E={description:"The maximum potential First Input Delay that your users could experience is the duration of the longest task. [Learn more about the Maximum Potential First Input Delay metric](https://developer.chrome.com/docs/lighthouse/performance/lighthouse-max-potential-fid/)."},FE=w("core/audits/metrics/max-potential-fid.js",_E),RE=class extends h{static{s(this,"MaxPotentialFID")}static get meta(){return{id:"max-potential-fid",title:FE(x.maxPotentialFIDMetric),description:FE(_E.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{p10:130,median:250}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:e.URL},c=await G1.request(i,n);return{score:h.computeLogNormalScore({p10:n.options.p10,median:n.options.median},c.timing),numericValue:c.timing,numericUnit:"millisecond",displayValue:FE(x.ms,{timeInMs:c.timing})}}},Rre=RE});var PO={};S(PO,{UIStrings:()=>ME,default:()=>_re});var ME,kE,IE,_re,OO=v(()=>{"use strict";d();J();k();QD();ME={description:"Speed Index shows how quickly the contents of a page are visibly populated. [Learn more about the Speed Index metric](https://developer.chrome.com/docs/lighthouse/performance/speed-index/)."},kE=w("core/audits/metrics/speed-index.js",ME),IE=class extends h{static{s(this,"SpeedIndex")}static get meta(){return{id:"speed-index",title:kE(x.speedIndexMetric),description:kE(ME.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:3387,median:5800}},desktop:{scoring:{p10:1311,median:2300}}}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:e.URL},c=await H1.request(i,n),u=n.options[n.settings.formFactor];return{score:h.computeLogNormalScore(u.scoring,c.timing),numericValue:c.timing,numericUnit:"millisecond",displayValue:kE(x.seconds,{timeInMs:c.timing})}}},_re=IE});var UO={};S(UO,{UIStrings:()=>PE,default:()=>kre});var PE,NE,LE,kre,BO=v(()=>{"use strict";d();J();iE();k();PE={description:"Sum of all time periods between FCP and Time to Interactive, when task length exceeded 50ms, expressed in milliseconds. [Learn more about the Total Blocking Time metric](https://developer.chrome.com/docs/lighthouse/performance/lighthouse-total-blocking-time/)."},NE=w("core/audits/metrics/total-blocking-time.js",PE),LE=class extends h{static{s(this,"TotalBlockingTime")}static get meta(){return{id:"total-blocking-time",title:NE(x.totalBlockingTimeMetric),description:NE(PE.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:200,median:600}},desktop:{scoring:{p10:150,median:350}}}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:e.URL};if(o.gatherMode==="timespan"&&n.settings.throttlingMethod==="simulate")return{score:1,notApplicable:!0};let c=await W1.request(i,n),u=n.options[n.settings.formFactor];return{score:h.computeLogNormalScore(u.scoring,c.timing),numericValue:c.timing,numericUnit:"millisecond",displayValue:NE(x.ms,{timeInMs:c.timing})}}},kre=LE});var jO={};S(jO,{default:()=>Ire});var OE,Ire,qO=v(()=>{"use strict";d();J();lt();De();Wt();ma();OE=class extends h{static{s(this,"NetworkRequests")}static get meta(){return{id:"network-requests",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:"Network Requests",description:"Lists the network requests that were made during page load.",requiredArtifacts:["devtoolsLogs","URL","GatherContext"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await $.request(r,n),o=await gn.request({URL:e.URL,devtoolsLog:r},n),i=a.reduce((f,y)=>Math.min(f,y.rendererStartTime),1/0),c;e.GatherContext.gatherMode==="navigation"&&(c=(await je.request({devtoolsLog:r,URL:e.URL},n)).frameId);let u=s(f=>f<i||!Number.isFinite(f)?void 0:f-i,"normalizeTime"),l=a.map(f=>{let y=f.lrStatistics?.endTimeDeltaMs,b=f.lrStatistics?.TCPMs,D=f.lrStatistics?.requestMs,T=f.lrStatistics?.responseMs,A=f.isLinkPreload||void 0,R=c&&f.frameId===c||void 0,F=o.entityByUrl.get(f.url);return{url:te.elideDataURI(f.url),sessionTargetType:f.sessionTargetType,protocol:f.protocol,rendererStartTime:u(f.rendererStartTime),networkRequestTime:u(f.networkRequestTime),networkEndTime:u(f.networkEndTime),finished:f.finished,transferSize:f.transferSize,resourceSize:f.resourceSize,statusCode:f.statusCode,mimeType:f.mimeType,resourceType:f.resourceType,priority:f.priority,isLinkPreload:A,experimentalFromMainFrame:R,entity:F?.name,lrEndTimeDeltaMs:y,lrTCPMs:b,lrRequestMs:D,lrResponseMs:T}}),m=[{key:"url",valueType:"url",label:"URL"},{key:"protocol",valueType:"text",label:"Protocol"},{key:"networkRequestTime",valueType:"ms",granularity:1,label:"Network Request Time"},{key:"networkEndTime",valueType:"ms",granularity:1,label:"Network End Time"},{key:"transferSize",valueType:"bytes",displayUnit:"kb",granularity:1,label:"Transfer Size"},{key:"resourceSize",valueType:"bytes",displayUnit:"kb",granularity:1,label:"Resource Size"},{key:"statusCode",valueType:"text",label:"Status Code"},{key:"mimeType",valueType:"text",label:"MIME Type"},{key:"resourceType",valueType:"text",label:"Resource Type"}],p=h.makeTableDetails(m,l),g=Number.isFinite(i)?i*1e3:void 0;return p.debugData={type:"debugdata",networkStartTimeTs:g},{score:1,details:p}}},Ire=OE});var zO={};S(zO,{UIStrings:()=>$1,default:()=>Mre});var $1,Pd,UE,Mre,HO=v(()=>{"use strict";d();J();k();De();Xo();$1={title:"Network Round Trip Times",description:"Network round trip times (RTT) have a large impact on performance. If the RTT to an origin is high, it's an indication that servers closer to the user could improve performance. [Learn more about the Round Trip Time](https://hpbn.co/primer-on-latency-and-bandwidth/)."},Pd=w("core/audits/network-rtt.js",$1),UE=class extends h{static{s(this,"NetworkRTT")}static get meta(){return{id:"network-rtt",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:Pd($1.title),description:Pd($1.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS];if(!(await $.request(r,n)).length)return{score:1,notApplicable:!0};let o=await dr.request(r,n),i=0,c=o.rtt,u=[];for(let[p,g]of o.additionalRttByOrigin.entries()){if(!p.startsWith("http"))continue;let f=g+c;u.push({origin:p,rtt:f}),i=Number.isFinite(f)?Math.max(f,i):i}u.sort((p,g)=>g.rtt-p.rtt);let l=[{key:"origin",valueType:"text",label:Pd(x.columnURL)},{key:"rtt",valueType:"ms",granularity:1,label:Pd(x.columnTimeSpent)}],m=h.makeTableDetails(l,u,{sortedBy:["rtt"]});return{score:1,numericValue:i,numericUnit:"millisecond",displayValue:Pd(x.ms,{timeInMs:i}),details:m}}},Mre=UE});var GO={};S(GO,{UIStrings:()=>Y1,default:()=>Nre});var Y1,Od,BE,Nre,WO=v(()=>{"use strict";d();J();k();De();Xo();Y1={title:"Server Backend Latencies",description:"Server latencies can impact web performance. If the server latency of an origin is high, it's an indication the server is overloaded or has poor backend performance. [Learn more about server response time](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},Od=w("core/audits/network-server-latency.js",Y1),BE=class extends h{static{s(this,"NetworkServerLatency")}static get meta(){return{id:"network-server-latency",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:Od(Y1.title),description:Od(Y1.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS];if(!(await $.request(r,n)).length)return{score:1,notApplicable:!0};let o=await dr.request(r,n),i=0,c=[];for(let[m,p]of o.serverResponseTimeByOrigin.entries())m.startsWith("http")&&(i=Math.max(p,i),c.push({origin:m,serverResponseTime:p}));c.sort((m,p)=>p.serverResponseTime-m.serverResponseTime);let u=[{key:"origin",valueType:"text",label:Od(x.columnURL)},{key:"serverResponseTime",valueType:"ms",granularity:1,label:Od(x.columnTimeSpent)}],l=h.makeTableDetails(u,c,{sortedBy:["serverResponseTime"]});return{score:Math.max(1-i/500,0),numericValue:i,numericUnit:"millisecond",displayValue:Od(x.ms,{timeInMs:i}),details:l}}},Nre=BE});var VO={};S(VO,{UIStrings:()=>Ud,default:()=>Lre});var Ud,K1,jE,Lre,$O=v(()=>{"use strict";d();J();Ta();k();Ud={title:"Avoids `unload` event listeners",failureTitle:"Registers an `unload` listener",description:"The `unload` event does not fire reliably and listening for it can prevent browser optimizations like the Back-Forward Cache. Use `pagehide` or `visibilitychange` events instead. [Learn more about unload event listeners](https://web.dev/bfcache/#never-use-the-unload-event)"},K1=w("core/audits/no-unload-listeners.js",Ud),jE=class extends h{static{s(this,"NoUnloadListeners")}static get meta(){return{id:"no-unload-listeners",title:K1(Ud.title),failureTitle:K1(Ud.failureTitle),description:K1(Ud.description),requiredArtifacts:["GlobalListeners","SourceMaps","Scripts"]}}static async audit(e,n){let r=e.GlobalListeners.filter(c=>c.type==="unload");if(!r.length)return{score:1};let a=await vn.request(e,n),o=[{key:"source",valueType:"source-location",label:K1(x.columnSource)}],i=r.map(c=>{let{lineNumber:u,columnNumber:l}=c,m=e.Scripts.find(g=>g.scriptId===c.scriptId);if(!m)return{source:{type:"url",value:`(unknown):${u}:${l}`}};let p=a.find(g=>g.script.scriptId===m.scriptId);return{source:h.makeSourceLocation(m.url,u,l,p)}});return{score:0,details:h.makeTableDetails(o,i)}}},Lre=jE});var YO={};S(YO,{UIStrings:()=>sr,default:()=>Ure});function Ore(t,e){return Pre.filter(n=>t&n.flag).map(n=>n.text===sr.unsupportedCSSProperty?yi(n.text,{propertyCount:e.length,properties:e.join(", ")}):yi(n.text))}var sr,yi,Pre,qE,Ure,KO=v(()=>{"use strict";d();J();k();sr={title:"Avoid non-composited animations",description:"Animations which are not composited can be janky and increase CLS. [Learn how to avoid non-composited animations](https://developer.chrome.com/docs/lighthouse/performance/non-composited-animations/)",displayValue:`{itemCount, plural,
  =1 {# animated element found}
  other {# animated elements found}
  }`,unsupportedCSSProperty:`{propertyCount, plural,
    =1 {Unsupported CSS Property: {properties}}
    other {Unsupported CSS Properties: {properties}}
  }`,transformDependsBoxSize:"Transform-related property depends on box size",filterMayMovePixels:"Filter-related property may move pixels",nonReplaceCompositeMode:'Effect has composite mode other than "replace"',incompatibleAnimations:"Target has another animation which is incompatible",unsupportedTimingParameters:"Effect has unsupported timing parameters"},yi=w("core/audits/non-composited-animations.js",sr),Pre=[{flag:8192,text:sr.unsupportedCSSProperty},{flag:2048,text:sr.transformDependsBoxSize},{flag:4096,text:sr.filterMayMovePixels},{flag:16,text:sr.nonReplaceCompositeMode},{flag:64,text:sr.incompatibleAnimations},{flag:8,text:sr.unsupportedTimingParameters}];s(Ore,"getActionableFailureReasons");qE=class extends h{static{s(this,"NonCompositedAnimations")}static get meta(){return{id:"non-composited-animations",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:yi(sr.title),description:yi(sr.description),requiredArtifacts:["TraceElements","HostUserAgent"]}}static async audit(e){let n=e.HostUserAgent.match(/Chrome\/(\d+)/);if(!n||Number(n[1])<86)return{score:1,notApplicable:!0,metricSavings:{CLS:0}};let r=[],a=!1;e.TraceElements.forEach(u=>{if(u.traceEventType!=="animation")return;let l=u.animations||[],m=new Map;for(let{name:g,failureReasonsMask:f,unsupportedProperties:y}of l){if(!f)continue;let b=Ore(f,y||[]);for(let D of b){g&&(a=!0);let T=m.get(g)||new Set;T.add(D),m.set(g,T)}}if(!m.size)return;let p=[];for(let[g,f]of m)for(let y of f)p.push({failureReason:y,animation:g});r.push({node:h.makeNodeItem(u.node),subItems:{type:"subitems",items:p}})});let o=[{key:"node",valueType:"node",subItemsHeading:{key:"failureReason",valueType:"text"},label:yi(x.columnElement)}];a&&o.push({key:null,valueType:"text",subItemsHeading:{key:"animation",valueType:"text"},label:yi(x.columnName)});let i=h.makeTableDetails(o,r),c;return r.length>0&&(c=yi(sr.displayValue,{itemCount:r.length})),{score:r.length===0?1:0,notApplicable:r.length===0,metricSavings:{CLS:0},details:i,displayValue:c}}},Ure=qE});var JO={};S(JO,{default:()=>Bre});var Bre,XO=v(()=>{"use strict";d();Bre={meta:{id:"oopif-iframe-test-audit",title:"IFrame Elements",failureTitle:"IFrame Elements",description:"Audit to force the inclusion of IFrameElements artifact",requiredArtifacts:["IFrameElements"]},audit:()=>({score:1})}});var zE,ZO,QO=v(()=>{"use strict";d();ma();we();De();St();Eu();Rr();zE=class t{static{s(this,"ResourceSummary")}static determineResourceType(e){return e.resourceType&&{Stylesheet:"stylesheet",Image:"image",Media:"media",Font:"font",Script:"script",Document:"document"}[e.resourceType]||"other"}static summarize(e,n,r,a){let o={stylesheet:{count:0,resourceSize:0,transferSize:0},image:{count:0,resourceSize:0,transferSize:0},media:{count:0,resourceSize:0,transferSize:0},font:{count:0,resourceSize:0,transferSize:0},script:{count:0,resourceSize:0,transferSize:0},document:{count:0,resourceSize:0,transferSize:0},other:{count:0,resourceSize:0,transferSize:0},total:{count:0,resourceSize:0,transferSize:0},"third-party":{count:0,resourceSize:0,transferSize:0}},i=Mr.getMatchingBudget(r,n.mainDocumentUrl),c=[];return i?.options?.firstPartyHostnames?c=i.options.firstPartyHostnames:c=a.firstParty?.domains.map(u=>`*.${u}`)||[`*.${rt.getRootDomain(n.finalDisplayedUrl)}`],e.filter(u=>!(this.determineResourceType(u)==="other"&&u.url.endsWith("/favicon.ico")||Y.isNonNetworkRequest(u))).forEach(u=>{let l=this.determineResourceType(u);o[l].count++,o[l].resourceSize+=u.resourceSize,o[l].transferSize+=u.transferSize,o.total.count++,o.total.resourceSize+=u.resourceSize,o.total.transferSize+=u.transferSize,c.some(p=>{let g=new URL(u.url);return p.startsWith("*.")?g.hostname.endsWith(p.slice(2)):g.hostname===p})||(o["third-party"].count++,o["third-party"].resourceSize+=u.resourceSize,o["third-party"].transferSize+=u.transferSize)}),o}static async compute_(e,n){let r=await $.request(e.devtoolsLog,n),a=await gn.request({URL:e.URL,devtoolsLog:e.devtoolsLog},n);return t.summarize(r,e.URL,e.budgets,a)}},ZO=W(zE,["URL","devtoolsLog","budgets"])});var e6={};S(e6,{UIStrings:()=>Bd,default:()=>jre});var Bd,vo,HE,jre,t6=v(()=>{"use strict";d();J();QO();Wt();Eu();k();Bd={title:"Performance budget",description:"Keep the quantity and size of network requests under the targets set by the provided performance budget. [Learn more about performance budgets](https://developers.google.com/web/tools/lighthouse/audits/budgets).",requestCountOverBudget:`{count, plural,
    =1 {1 request}
    other {# requests}
   }`},vo=w("core/audits/performance-budget.js",Bd),HE=class extends h{static{s(this,"ResourceBudget")}static get meta(){return{id:"performance-budget",title:vo(Bd.title),description:vo(Bd.description),scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","URL"]}}static getRowLabel(e){return{total:x.totalResourceType,document:x.documentResourceType,script:x.scriptResourceType,stylesheet:x.stylesheetResourceType,image:x.imageResourceType,media:x.mediaResourceType,font:x.fontResourceType,other:x.otherResourceType,"third-party":x.thirdPartyResourceType}[e]}static tableItems(e,n){return Object.keys(n).map(a=>{let o=vo(this.getRowLabel(a)),i=n[a].count,c=n[a].transferSize,u,l;if(e.resourceSizes){let m=e.resourceSizes.find(p=>p.resourceType===a);m&&c>m.budget*1024&&(u=c-m.budget*1024)}if(e.resourceCounts){let m=e.resourceCounts.find(p=>p.resourceType===a);if(m&&i>m.budget){let p=i-m.budget;l=vo(Bd.requestCountOverBudget,{count:p})}}return{resourceType:a,label:o,requestCount:i,transferSize:c,countOverBudget:l,sizeOverBudget:u}}).filter(a=>!!(e.resourceSizes&&e.resourceSizes.some(o=>o.resourceType===a.resourceType)||e.resourceCounts&&e.resourceCounts.some(o=>o.resourceType===a.resourceType))).sort((a,o)=>(o.sizeOverBudget||0)-(a.sizeOverBudget||0))}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a={devtoolsLog:r,URL:e.URL,budgets:n.settings.budgets},o=await ZO.request(a,n),i=await je.request({URL:e.URL,devtoolsLog:r},n),c=Mr.getMatchingBudget(n.settings.budgets,i.url);if(!c)return{score:0,notApplicable:!0};let u=[{key:"label",valueType:"text",label:vo(x.columnResourceType)},{key:"requestCount",valueType:"numeric",label:vo(x.columnRequests)},{key:"transferSize",valueType:"bytes",label:vo(x.columnTransferSize)},{key:"countOverBudget",valueType:"text",label:""},{key:"sizeOverBudget",valueType:"bytes",label:vo(x.columnOverBudget)}];return{details:h.makeTableDetails(u,this.tableItems(c,o),{sortedBy:["sizeOverBudget"]}),score:1}}},jre=HE});var n6={};S(n6,{default:()=>Gre});var qre,zre,Hre,GE,Gre,r6=v(()=>{"use strict";d();J();k();fr();Xp();oi();XD();ii();V1();Vn();qre=3651,zre=1e4,Hre=w("core/audits/predictive-perf.js",{}),GE=class extends h{static{s(this,"PredictivePerf")}static get meta(){return{id:"predictive-perf",title:"Predicted Performance (beta)",description:"Predicted performance evaluates how your site will perform under a cellular connection on a mobile device.",scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static async audit(e,n){let r=e.GatherContext,a=e.traces[h.DEFAULT_PASS],o=e.devtoolsLogs[h.DEFAULT_PASS],i=e.URL,c=JSON.parse(JSON.stringify(Qn)),u={trace:a,devtoolsLog:o,gatherContext:r,settings:c,URL:i},l=await It.request(u,n),m=await ks.request(u,n),p=await jn.request(u,n),g=await z1.request(u,n),f=await rr.request(u,n),y=await rc.request(u,n),b={roughEstimateOfFCP:l.timing,optimisticFCP:l.optimisticEstimate.timeInMs,pessimisticFCP:l.pessimisticEstimate.timeInMs,roughEstimateOfFMP:m.timing,optimisticFMP:m.optimisticEstimate.timeInMs,pessimisticFMP:m.pessimisticEstimate.timeInMs,roughEstimateOfTTI:p.timing,optimisticTTI:p.optimisticEstimate.timeInMs,pessimisticTTI:p.pessimisticEstimate.timeInMs,roughEstimateOfSI:g.timing,optimisticSI:g.optimisticEstimate.timeInMs,pessimisticSI:g.pessimisticEstimate.timeInMs,roughEstimateOfLCP:f.timing,optimisticLCP:f.optimisticEstimate.timeInMs,pessimisticLCP:f.pessimisticEstimate.timeInMs,roughEstimateOfTTFB:y.metrics.timeToFirstByte,roughEstimateOfLCPLoadStart:y.metrics.lcpLoadStart,roughEstimateOfLCPLoadEnd:y.metrics.lcpLoadEnd};return{score:h.computeLogNormalScore({p10:qre,median:zre},b.roughEstimateOfTTI),numericValue:b.roughEstimateOfTTI,numericUnit:"millisecond",displayValue:Hre(x.ms,{timeInMs:b.roughEstimateOfTTI}),details:{type:"debugdata",items:[b]}}}},Gre=GE});var a6={};S(a6,{UIStrings:()=>jd,default:()=>Vre});var Wre,jd,J1,WE,Vre,o6=v(()=>{"use strict";d();J();k();dD();De();Wre=/^(optional)$/,jd={title:"Fonts with `font-display: optional` are preloaded",failureTitle:"Fonts with `font-display: optional` are not preloaded",description:"Preload `optional` fonts so first-time visitors may use them. [Learn more about preloading fonts](https://web.dev/preload-optional-fonts/)"},J1=w("core/audits/preload-fonts.js",jd),WE=class t extends h{static{s(this,"PreloadFontsAudit")}static get meta(){return{id:"preload-fonts",title:J1(jd.title),failureTitle:J1(jd.failureTitle),description:J1(jd.description),requiredArtifacts:["devtoolsLogs","URL","CSSUsage"]}}static getURLsAttemptedToPreload(e){let n=e.filter(r=>r.resourceType==="Font").filter(r=>r.isLinkPreload).map(r=>r.url);return new Set(n)}static async audit_(e,n){let r=e.devtoolsLogs[this.DEFAULT_PASS],a=await $.request(r,n),o=lD.findFontDisplayDeclarations(e,Wre).passingURLs,i=t.getURLsAttemptedToPreload(a),c=Array.from(o).filter(l=>!i.has(l)).map(l=>({url:l})),u=[{key:"url",valueType:"url",label:J1(x.columnURL)}];return{score:c.length>0?0:1,details:h.makeTableDetails(u,c),notApplicable:o.size===0}}static async audit(){return{score:1,notApplicable:!0}}},Vre=WE});var i6={};S(i6,{UIStrings:()=>X1,default:()=>$re});var X1,qd,VE,$re,s6=v(()=>{"use strict";d();J();k();St();Wt();ii();tr();Xt();Zp();X1={title:"Preload Largest Contentful Paint image",description:"If the LCP element is dynamically added to the page, you should preload the image in order to improve LCP. [Learn more about preloading LCP elements](https://web.dev/optimize-lcp/#optimize-when-the-resource-is-discovered)."},qd=w("core/audits/prioritize-lcp-image.js",X1),VE=class t extends h{static{s(this,"PrioritizeLcpImage")}static get meta(){return{id:"prioritize-lcp-image",title:qd(X1.title),description:qd(X1.description),supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL","TraceElements"],scoreDisplayMode:h.SCORING_MODES.NUMERIC}}static shouldPreloadRequest(e,n,r){return e.isLinkPreload||Y.isNonNetworkRequest(e)||r.length<=2?!1:e.frameId===n.frameId}static findLCPNode(e,n){for(let{node:r}of e.traverseGenerator())if(r.type==="network"&&r.record.requestId===n.requestId)return r}static getLcpInitiatorPath(e,n){let r=[],a=!1,o=e;for(;o;){a||=o.requestId===n.requestId;let i=o.initiator?.type??"other";if(o.initiatorRequest&&o.initiatorRequest===o.redirectSource&&(i="redirect"),!o.initiatorRequest&&!a&&(i="fallbackToMain"),r.push({url:o.url,initiatorType:i}),a)break;o=o.initiatorRequest||n}return r}static getLCPNodeToPreload(e,n,r){if(!r)return{};let a=t.findLCPNode(n,r),o=t.getLcpInitiatorPath(r,e);return a?{lcpNodeToPreload:t.shouldPreloadRequest(r,e,o)?a:void 0,initiatorPath:o}:{initiatorPath:o}}static computeWasteWithGraph(e,n,r,a){if(!n)return{wastedMs:0,results:[]};let o=r.cloneWithRelationships(),i=new Set;for(let D of n.getDependencies())i.add(D.id);let c=null,u=null;for(let{node:D}of o.traverseGenerator())D.type==="network"&&(D.isMainDocument()?u=D:D.id===n.id&&(c=D));if(!u)throw new Error("Could not find main document node");if(!c)throw new Error("Could not find the LCP node");c.removeAllDependencies(),c.addDependency(u);let l=a.simulate(r,{flexibleOrdering:!0}),m=a.simulate(o,{flexibleOrdering:!0}),p=l.nodeTimings.get(n);if(!p)throw new Error("Impossible - node timings should never be undefined");let g=m.nodeTimings.get(c);if(!g)throw new Error("Impossible - node timings should never be undefined");let f=Array.from(m.nodeTimings.keys()).reduce((D,T)=>D.set(T.id,T),new Map),y=0;for(let D of Array.from(i)){let T=f.get(D);if(!T)throw new Error("Impossible - node should never be undefined");let R=m.nodeTimings.get(T)?.endTime||0;y=Math.max(y,R)}let b=p.endTime-Math.max(g.endTime,y);return{wastedMs:b,results:[{node:h.makeNodeItem(e.node),url:n.record.url,wastedMs:b}]}}static async audit(e,n){let r=e.GatherContext,a=e.traces[t.DEFAULT_PASS],o=e.devtoolsLogs[t.DEFAULT_PASS],i=e.URL,c=n.settings,u={trace:a,devtoolsLog:o,gatherContext:r,settings:c,URL:i},l=e.TraceElements.find(M=>M.traceEventType==="largest-contentful-paint");if(!l||l.type!=="image")return{score:null,notApplicable:!0,metricSavings:{LCP:0}};let m=await je.request({devtoolsLog:o,URL:i},n),p=await rr.request(u,n),g=await Ht.request({devtoolsLog:o,settings:c},n),f=await Is.request({trace:a,devtoolsLog:o},n),y=p.pessimisticGraph,{lcpNodeToPreload:b,initiatorPath:D}=t.getLCPNodeToPreload(m,y,f),{results:T,wastedMs:A}=t.computeWasteWithGraph(l,b,y,g),R=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:qd(x.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:qd(x.columnWastedMs)}],F=h.makeOpportunityDetails(R,T,{overallSavingsMs:A,sortedBy:["wastedMs"]});return D&&(F.debugData={type:"debugdata",initiatorPath:D,pathLength:D.length}),{score:ie.scoreForWastedMs(A),numericValue:A,numericUnit:"millisecond",displayValue:A?qd(x.displayValueMsSavings,{wastedMs:A}):"",details:F,metricSavings:{LCP:A}}}},$re=VE});var c6={};S(c6,{UIStrings:()=>Z1,default:()=>Yre});var Z1,zd,$E,Yre,u6=v(()=>{"use strict";d();J();Xt();k();Jt();De();oi();Z1={title:"Avoid multiple page redirects",description:"Redirects introduce additional delays before the page can be loaded. [Learn how to avoid page redirects](https://developer.chrome.com/docs/lighthouse/performance/redirects/)."},zd=w("core/audits/redirects.js",Z1),$E=class t extends h{static{s(this,"Redirects")}static get meta(){return{id:"redirects",title:zd(Z1.title),description:zd(Z1.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["URL","GatherContext","devtoolsLogs","traces"]}}static getDocumentRequestChain(e,n){let r=[];for(let a of n.processEvents){if(a.name!=="navigationStart")continue;let o=a.args.data||{};if(!o.documentLoaderURL||!o.isLoadingMainFrame)continue;let i=e.find(c=>c.requestId===o.navigationId);for(;i;)r.push(i),i=i.redirectDestination}if(!r.length)throw new Error("No navigation requests found");return r}static async audit(e,n){let r=n.settings,a=e.traces[h.DEFAULT_PASS],o=e.devtoolsLogs[h.DEFAULT_PASS],i=e.GatherContext,c=await Ye.request(a,n),u=await $.request(o,n),l={trace:a,devtoolsLog:o,gatherContext:i,settings:r,URL:e.URL},m=await jn.request(l,n),p=new Map;for(let[T,A]of m.pessimisticEstimate.nodeTimings.entries())T.type==="network"&&p.set(T.record.requestId,A);let g=t.getDocumentRequestChain(u,c),f=0,y=[];for(let T=0;T<g.length&&!(g.length<2);T++){let A=g[T],R=g[T+1]||A,F=p.get(A.requestId),M=p.get(R.requestId);if(!F||!M)throw new Error("Could not find redirects in graph");let V=M.startTime-F.startTime,z=R.networkRequestTime-A.networkRequestTime,ne=r.throttlingMethod==="simulate"?V:z;f+=ne,y.push({url:A.url,wastedMs:ne})}let b=[{key:"url",valueType:"url",label:zd(x.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:zd(x.columnTimeSpent)}],D=h.makeOpportunityDetails(b,y,{overallSavingsMs:f});return{score:g.length<=2?1:ie.scoreForWastedMs(f),numericValue:f,numericUnit:"millisecond",displayValue:f?zd(x.displayValueMsSavings,{wastedMs:f}):"",details:D,metricSavings:{LCP:f,FCP:f}}}},Yre=$E});var d6={};S(d6,{default:()=>Jre});var l6,Kre,YE,Jre,m6=v(()=>{"use strict";d();l6=zt(UD(),1);J();Bt();Nd();Kre=8,YE=class t extends h{static{s(this,"ScreenshotThumbnails")}static get meta(){return{id:"screenshot-thumbnails",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:"Screenshot Thumbnails",description:"This is what the load of your site looked like.",requiredArtifacts:["traces","GatherContext"]}}static scaleImageToThumbnail(e,n){let r=e.width/n,a=Math.floor(e.height/r),o=new Uint8Array(n*a*4);for(let i=0;i<n;i++)for(let c=0;c<a;c++){let u=Math.floor(i*r),m=(Math.floor(c*r)*e.width+u)*4,p=(c*n+i)*4;o[p]=e.data[m],o[p+1]=e.data[m+1],o[p+2]=e.data[m+2],o[p+3]=e.data[m+3]}return{width:n,height:a,data:o}}static async _audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=new Map,o=await yo.request(r,n),i=n.options.minimumTimelineDuration||3e3,c=n.options.numberOfThumbnails||Kre,u=n.options.thumbnailWidth||null,l=[],m=o.frames.filter(f=>!f.isProgressInterpolated()),p=o.complete||Math.max(...o.frames.map(f=>f.getTimeStamp()-o.beginning)),g=Math.max(p,i);if(!m.length||!Number.isFinite(g))throw new G(G.errors.INVALID_SPEEDLINE);for(let f=1;f<=c;f++){let y=o.beginning+g*f/c,b=null;f===c?b=m[m.length-1]:m.forEach(A=>{A.getTimeStamp()<=y&&(b=A)});let D,T=a.get(b);if(T)D=T;else if(u!==null){let A=b.getParsedImage(),R=t.scaleImageToThumbnail(A,u);D=l6.default.encode(R,90).data.toString("base64"),a.set(b,D)}else D=b.getImage().toString("base64"),a.set(b,D);l.push({timing:Math.round(y-o.beginning),timestamp:y*1e3,data:`data:image/jpeg;base64,${D}`})}return{score:1,details:{type:"filmstrip",scale:g,items:l}}}static async audit(e,n){try{return await this._audit(e,n)}catch(r){if(new Set([G.errors.NO_SCREENSHOTS.code,G.errors.SPEEDINDEX_OF_ZERO.code,G.errors.NO_SPEEDLINE_FRAMES.code,G.errors.INVALID_SPEEDLINE.code]).has(r.code)&&e.GatherContext.gatherMode==="timespan")return{notApplicable:!0,score:1};throw r}}},Jre=YE});var p6={};S(p6,{default:()=>Xre});var Xre,f6=v(()=>{"use strict";d();Xre={meta:{id:"script-elements-test-audit",title:"ScriptElements",failureTitle:"ScriptElements",description:"Audit to force the inclusion of ScriptElements artifact",requiredArtifacts:["ScriptElements"]},audit:()=>({score:1})}});var g6={};S(g6,{default:()=>Zre});var KE,Zre,h6=v(()=>{"use strict";d();J();Ta();f0();Yw();Ms();KE=class t extends h{static{s(this,"ScriptTreemapDataAudit")}static get meta(){return{id:"script-treemap-data",scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,title:"Script Treemap Data",description:"Used for treemap app",requiredArtifacts:["traces","devtoolsLogs","SourceMaps","Scripts","JsUsage","URL"]}}static makeScriptNode(e,n,r){function a(l){return{name:l,resourceBytes:0}}s(a,"newNode");let o=a(n);function i(l,m){let p=o;o.resourceBytes+=m.resourceBytes,m.unusedBytes&&(o.unusedBytes=(o.unusedBytes||0)+m.unusedBytes);let g=l.replace(n,"").split(/\/+/);g.forEach((f,y)=>{if(f.length===0)return;let b=y===g.length-1,D=p.children&&p.children.find(T=>T.name===f);D||(D=a(f),p.children=p.children||[],p.children.push(D)),p=D,p.resourceBytes+=m.resourceBytes,m.unusedBytes&&(p.unusedBytes=(p.unusedBytes||0)+m.unusedBytes),b&&m.duplicatedNormalizedModuleName!==void 0&&(p.duplicatedNormalizedModuleName=m.duplicatedNormalizedModuleName)})}s(i,"addAllNodesInSourcePath");for(let[l,m]of Object.entries(r))i(l,m);function c(l){for(;l.children&&l.children.length===1;)l.name+="/"+l.children[0].name,l.children=l.children[0].children;if(l.children)for(let m of l.children)c(m)}if(s(c,"collapseAll"),c(o),!o.name)return{...o,name:e,children:o.children};let u={...o};return u.name=e,u.children=[o],u}static async makeNodes(e,n){let r=[],a=new Map,o=await vn.request(e,n),i=await ed.request(e,n);for(let c of e.Scripts){if(c.scriptLanguage!=="JavaScript")continue;let u=c.url,l=o.find(f=>c.scriptId===f.script.scriptId),m=e.JsUsage[c.scriptId],p=m?await p1.request({scriptId:c.scriptId,scriptCoverage:m,bundle:l},n):void 0,g;if(l&&!("errorMessage"in l.sizes)){let f={};for(let y of Object.keys(l.sizes.files)){let b={resourceBytes:l.sizes.files[y]};p?.sourcesWastedBytes&&(b.unusedBytes=p.sourcesWastedBytes[y]);let D=y;l.rawMap.sourceRoot&&y.startsWith(l.rawMap.sourceRoot)&&(D=y.replace(l.rawMap.sourceRoot,""));let T=ed.normalizeSource(D);i.has(T)&&(b.duplicatedNormalizedModuleName=T),f[y]=b}if(l.sizes.unmappedBytes){let y={resourceBytes:l.sizes.unmappedBytes};p?.sourcesWastedBytes&&(y.unusedBytes=p.sourcesWastedBytes["(unmapped)"]),f["(unmapped)"]=y}g=this.makeScriptNode(c.url,l.rawMap.sourceRoot||"",f)}else g={name:u,resourceBytes:p?.totalBytes??c.length??0,unusedBytes:p?.wastedBytes};if(Qp(c)){let f=a.get(c.executionContextAuxData.frameId);f||(f={name:u,resourceBytes:0,unusedBytes:void 0,children:[]},a.set(c.executionContextAuxData.frameId,f),r.push(f)),f.resourceBytes+=g.resourceBytes,g.unusedBytes&&(f.unusedBytes=(f.unusedBytes||0)+g.unusedBytes),g.name=c.content?"(inline) "+c.content.trimStart().substring(0,15)+"…":"(inline)",f.children?.push(g)}else r.push(g)}return r}static async audit(e,n){return{score:1,details:{type:"treemap-data",nodes:await t.makeNodes(e,n)}}}},Zre=KE});var y6={};S(y6,{UIStrings:()=>$r,default:()=>Qre});var $r,bo,JE,Qre,v6=v(()=>{"use strict";d();J();lt();Wt();k();$r={title:"Document has a valid `rel=canonical`",failureTitle:"Document does not have a valid `rel=canonical`",description:"Canonical links suggest which URL to show in search results. [Learn more about canonical links](https://developer.chrome.com/docs/lighthouse/seo/canonical/).",explanationConflict:"Multiple conflicting URLs ({urlList})",explanationInvalid:"Invalid URL ({url})",explanationRelative:"Is not an absolute URL ({url})",explanationPointsElsewhere:"Points to another `hreflang` location ({url})",explanationRoot:"Points to the domain's root URL (the homepage), instead of an equivalent page of content"},bo=w("core/audits/seo/canonical.js",$r),JE=class t extends h{static{s(this,"Canonical")}static get meta(){return{id:"canonical",title:bo($r.title),failureTitle:bo($r.failureTitle),description:bo($r.description),supportedModes:["navigation"],requiredArtifacts:["LinkElements","URL","devtoolsLogs"]}}static collectCanonicalURLs(e){let n=new Set,r=new Set,a,o;for(let i of e)if(i.source!=="body")if(i.rel==="canonical"){if(!i.hrefRaw)continue;i.href?te.isValid(i.hrefRaw)?n.add(i.href):o=i:a=i}else i.rel==="alternate"&&i.href&&i.hreflang&&r.add(i.href);return{uniqueCanonicalURLs:n,hreflangURLs:r,invalidCanonicalLink:a,relativeCanonicallink:o}}static findInvalidCanonicalURLReason(e){let{uniqueCanonicalURLs:n,invalidCanonicalLink:r,relativeCanonicallink:a}=e;if(r)return{score:0,explanation:bo($r.explanationInvalid,{url:r.hrefRaw})};if(a)return{score:0,explanation:bo($r.explanationRelative,{url:a.hrefRaw})};let o=Array.from(n);if(o.length===0)return{score:1,notApplicable:!0};if(o.length>1)return{score:0,explanation:bo($r.explanationConflict,{urlList:o.join(", ")})}}static findCommonCanonicalURLMistakes(e,n,r){let{hreflangURLs:a}=e;if(a.has(r.href)&&a.has(n.href)&&r.href!==n.href)return{score:0,explanation:bo($r.explanationPointsElsewhere,{url:r.href})};if(n.origin===r.origin&&n.pathname==="/"&&r.pathname!=="/")return{score:0,explanation:bo($r.explanationRoot)}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await je.request({devtoolsLog:r,URL:e.URL},n),o=new URL(a.url),i=t.collectCanonicalURLs(e.LinkElements),c=t.findInvalidCanonicalURLReason(i);if(c)return c;let u=new URL([...i.uniqueCanonicalURLs][0]),l=t.findCommonCanonicalURLMistakes(i,u,o);return l||{score:1}}},Qre=JE});var b6={};S(b6,{UIStrings:()=>ac,default:()=>eae});var ac,Q1,XE,eae,w6=v(()=>{"use strict";d();J();k();ac={title:"Links are crawlable",failureTitle:"Links are not crawlable",description:"Search engines may use `href` attributes on links to crawl websites. Ensure that the `href` attribute of anchor elements links to an appropriate destination, so more pages of the site can be discovered. [Learn how to make links crawlable](https://support.google.com/webmasters/answer/9112205)",columnFailingLink:"Uncrawlable Link"},Q1=w("core/audits/seo/crawlable-anchors.js",ac),XE=class extends h{static{s(this,"CrawlableAnchors")}static get meta(){return{id:"crawlable-anchors",title:Q1(ac.title),failureTitle:Q1(ac.failureTitle),description:Q1(ac.description),requiredArtifacts:["AnchorElements","URL"]}}static audit({AnchorElements:e,URL:n}){let r=e.filter(({rawHref:i,name:c="",role:u="",id:l})=>{if(i=i.replace(/\s/g,""),c=c.trim(),u=u.trim(),u.length>0||i.startsWith("mailto:")||i===""&&l)return;let m=/javascript:void(\(|)0(\)|)/;if(i.startsWith("file:"))return!0;if(!(c.length>0)){if(i===""||m.test(i))return!0;try{new URL(i,n.finalDisplayedUrl)}catch{return!0}}}),a=[{key:"node",valueType:"node",label:Q1(ac.columnFailingLink)}],o=r.map(i=>({node:h.makeNodeItem(i.node)}));return{score:+(r.length===0),details:h.makeTableDetails(a,o)}}},eae=XE});var E6=L(Gd=>{d();Gd.getRenderingDataFromViewport=function(t,e,n,r,a){var o=e/100,i=n/100,c=null,u=null,l=null,m=null,p=null,g=null,f=null,y=null,b=null,D=e,T=n,A="zoom",R="resizes-visual";if(t["maximum-scale"]!==void 0&&(c=ef(t["maximum-scale"])),t["minimum-scale"]!==void 0&&(u=ef(t["minimum-scale"])),t["initial-scale"]!==void 0&&(l=ef(t["initial-scale"])),u!==null&&c===null&&(u=Hd(r,ef(t["minimum-scale"]))),t.width!==void 0&&(m="extend-to-zoom",g=D6(t.width,o,i)),t.height!==void 0&&(p="extend-to-zoom",f=D6(t.height,o,i)),t["user-scalable"]!==void 0)if(A=t["user-scalable"],typeof A=="number")A>=1||A<=-1?A="zoom":A="fixed";else switch(A){case"yes":case"device-width":case"device-height":A="zoom";break;case"no":default:A="fixed";break}if(t["interactive-widget"]!==void 0)switch(t["interactive-widget"]){case"overlays-content":case"resizes-content":case"resizes-visual":R=t["interactive-widget"];break;default:R="resizes-visual";break}l!==null&&(t.width===void 0||y===void 0)&&(t.height!==void 0?(m=null,g=null):(m="extend-to-zoom",g="extend-to-zoom")),u!==null&&c!==null&&(c=oc(u,c)),l!==null&&(l=ZE(l,u,c));var F=l===null&&c===null?null:Hd(l,c),M,V;return F===null?(g==="extend-to-zoom"&&(g=null),f==="extend-to-zoom"&&(f=null),m==="extend-to-zoom"&&(m=g),p==="extend-to-zoom"&&(p=f)):(M=D/F,V=T/F,g==="extend-to-zoom"&&(g=M),f==="extend-to-zoom"&&(f=V),m==="extend-to-zoom"&&(m=oc(M,g)),p==="extend-to-zoom"&&(p=oc(V,f))),(m!==null||g!==null)&&(y=oc(m,Hd(g,D))),(p!==null||f!==null)&&(b=oc(p,Hd(f,T))),y===null&&(b===null?y=D:T!==0?y=Math.round(b*(D/T)):y=D),b===null&&(D!==0?b=Math.round(y*(T/D)):b=T),{zoom:l,width:y,height:b,userZoom:A,interactiveWidget:R}};function Hd(t,e){return t===null?e:e===null?t:Math.min(t,e)}s(Hd,"min");function oc(t,e){return t===null?e:e===null?t:Math.max(t,e)}s(oc,"max");function D6(t,e,n){return typeof t=="number"?t>=0?ZE(t,1,1e4):void 0:t==="device-width"?100*e:t==="device-height"?100*n:1}s(D6,"translateLengthProperty");function ef(t){if(typeof t=="number")return t>=0?ZE(t,.1,10):void 0;if(t==="yes")return 1;if(t==="device-width"||t==="device-height")return 10;if(t==="no"||t===null)return .1}s(ef,"translateZoomProperty");function ZE(t,e,n){return oc(Hd(t,n),e)}s(ZE,"clamp");Gd.parseMetaViewPortContent=function(t){for(var e={validProperties:{},unknownProperties:{},invalidValues:{}},n=1;n<=t.length;){for(;n<=t.length&&RegExp(` |
|	|\0d|,|;|=`).test(t[n-1]);)n++;n<=t.length&&(n=nae(e,t,n))}return e};var tae=["width","height","initial-scale","minimum-scale","maximum-scale","user-scalable","shrink-to-fit","viewport-fit","interactive-widget"];function nae(t,e,n){for(var r=n;n<=e.length&&!RegExp(` |
|	|\0d|,|;|=`).test(e[n-1]);)n++;if(n>e.length||RegExp(",|;").test(e[n-1]))return n;for(var a=e.slice(r-1,n-1);n<=e.length&&!RegExp(",|;|=").test(e[n-1]);)n++;if(n>e.length||RegExp(",|;").test(e[n-1]))return n;for(;n<=e.length&&RegExp(` |
|	|\0d|=`).test(e[n-1]);)n++;if(n>e.length||RegExp(",|;").test(e[n-1]))return n;for(r=n;n<=e.length&&!RegExp(` |
|	|\0d|,|;|=`).test(e[n-1]);)n++;var o=e.slice(r-1,n-1);return rae(t,a,o),n}s(nae,"parseProperty");function rae(t,e,n){if(tae.indexOf(e)>=0){var r=parseFloat(n);if(!isNaN(r)){t.validProperties[e]=r;return}var a=n.toLowerCase();if(a==="yes"||a==="no"||a==="device-width"||a==="device-height"||e.toLowerCase()==="viewport-fit"&&(a==="auto"||a==="cover")||e.toLowerCase()==="interactive-widget"&&Gd.expectedValues["interactive-widget"].includes(a)){t.validProperties[e]=a;return}t.validProperties[e]=null,t.invalidValues[e]=n}else t.unknownProperties[e]=n}s(rae,"setProperty");Gd.expectedValues={width:["device-width","device-height","a positive number"],height:["device-width","device-height","a positive number"],"initial-scale":["a positive number"],"minimum-scale":["a positive number"],"maximum-scale":["a positive number"],"user-scalable":["yes","no","0","1"],"shrink-to-fit":["yes","no"],"viewport-fit":["auto","cover"],"interactive-widget":["overlays-content","resizes-content","resizes-visual"]}});var T6,QE,ic,tf=v(()=>{"use strict";d();T6=zt(E6(),1);we();QE=class{static{s(this,"ViewportMeta")}static async compute_(e){let n=e.find(c=>c.name==="viewport");if(!n)return{hasViewportTag:!1,isMobileOptimized:!1,parserWarnings:[]};let r=[],a=T6.default.parseMetaViewPortContent(n.content||"");Object.keys(a.unknownProperties).length&&r.push(`Invalid properties found: ${JSON.stringify(a.unknownProperties)}`),Object.keys(a.invalidValues).length&&r.push(`Invalid values found: ${JSON.stringify(a.invalidValues)}`);let o=a.validProperties;return{hasViewportTag:!0,isMobileOptimized:!!(o.width||o["initial-scale"]),parserWarnings:r}}},ic=W(QE,null)});var S6={};S(S6,{UIStrings:()=>cr,default:()=>dae});function oae(t){let e=new Map;return t.forEach(n=>{let{nodeId:r,cssRule:a,fontSize:o,textLength:i,parentNode:c}=n,u=lae(a,r),l=e.get(u);l?l.textLength+=i:e.set(u,{nodeId:r,parentNode:c,cssRule:a,fontSize:o,textLength:i})}),[...e.values()]}function iae(t=[]){let e=new Map;for(let n=0;n<t.length;n+=2){let r=t[n],a=t[n+1];if(!r||!a)continue;let o=a.trim();o&&e.set(r.toLowerCase(),o)}return e}function sae(t){let e=iae(t.attributes);if(e.has("id"))return"#"+e.get("id");{let n=e.get("class");if(n)return"."+n.split(/\s+/).join(".")}return t.nodeName.toLowerCase()}function cae(t){let n=(t.attributes||[]).map((r,a)=>a%2===0?` ${r}`:`="${r}"`).join("");return{type:"node",selector:t.parentNode?sae(t.parentNode):"",snippet:`<${t.nodeName.toLowerCase()}${n}>`}}function uae(t,e,n){if(!e||e.type==="Attributes"||e.type==="Inline")return{source:{type:"url",value:t},selector:cae(n)};if(e.parentRule&&e.parentRule.origin==="user-agent")return{source:{type:"code",value:"User Agent Stylesheet"},selector:e.parentRule.selectors.map(a=>a.text).join(", ")};let r="";if(e.parentRule&&(r=e.parentRule.selectors.map(o=>o.text).join(", ")),e.stylesheet&&!e.stylesheet.sourceURL)return{source:{type:"code",value:"dynamic"},selector:r};if(e.stylesheet&&e.range){let{range:a,stylesheet:o}=e,i=o.hasSourceURL?"comment":"network",c=a.startLine,u=a.startColumn;o.isInline&&i!=="comment"&&(c+=o.startLine,a.startLine===0&&(u+=o.startColumn));let m=h.makeSourceLocation(o.sourceURL,c,u);return m.urlProvider=i,{source:m,selector:r}}return{selector:r,source:{type:"code",value:"Unknown"}}}function lae(t,e){if(t&&t.type==="Regular"){let n=t.range?t.range.startLine:0,r=t.range?t.range.startColumn:0;return`${t.styleSheetId}@${n}:${r}`}else return`node_${e}`}var aae,cr,br,eT,dae,x6=v(()=>{"use strict";d();k();J();tf();aae=60,cr={title:"Document uses legible font sizes",failureTitle:"Document doesn't use legible font sizes",description:"Font sizes less than 12px are too small to be legible and require mobile visitors to “pinch to zoom” in order to read. Strive to have >60% of page text ≥12px. [Learn more about legible font sizes](https://developer.chrome.com/docs/lighthouse/seo/font-size/).",displayValue:"{decimalProportion, number, extendedPercent} legible text",explanationViewport:"Text is illegible because there's no viewport meta tag optimized for mobile screens.",additionalIllegibleText:"Add'l illegible text",legibleText:"Legible text",columnSelector:"Selector",columnPercentPageText:"% of Page Text",columnFontSize:"Font Size"},br=w("core/audits/seo/font-size.js",cr);s(oae,"getUniqueFailingRules");s(iae,"getAttributeMap");s(sae,"getSelector");s(cae,"nodeToTableNode");s(uae,"findStyleRuleSource");s(lae,"getFontArtifactId");eT=class extends h{static{s(this,"FontSize")}static get meta(){return{id:"font-size",title:br(cr.title),failureTitle:br(cr.failureTitle),description:br(cr.description),requiredArtifacts:["FontSize","URL","MetaElements"]}}static async audit(e,n){if(n.settings.formFactor==="desktop")return{score:1,notApplicable:!0};if(!(await ic.request(e.MetaElements,n)).isMobileOptimized)return{score:0,explanation:br(cr.explanationViewport)};let{analyzedFailingNodesData:a,analyzedFailingTextLength:o,failingTextLength:i,totalTextLength:c}=e.FontSize;if(c===0)return{score:1};let u=oae(a),l=(c-i)/c*100,m=e.URL.finalDisplayedUrl,p=[{key:"source",valueType:"source-location",label:br(x.columnSource)},{key:"selector",valueType:"code",label:br(cr.columnSelector)},{key:"coverage",valueType:"text",label:br(cr.columnPercentPageText)},{key:"fontSize",valueType:"text",label:br(cr.columnFontSize)}],g=u.sort((T,A)=>A.textLength-T.textLength).map(({cssRule:T,textLength:A,fontSize:R,parentNode:F})=>{let M=A/c*100,V=uae(m,T,F);return{source:V.source,selector:V.selector,coverage:`${M.toFixed(2)}%`,fontSize:`${R}px`}});if(o<i){let T=(i-o)/c*100;g.push({source:{type:"code",value:br(cr.additionalIllegibleText)},selector:"",coverage:`${T.toFixed(2)}%`,fontSize:"< 12px"})}l>0&&g.push({source:{type:"code",value:br(cr.legibleText)},selector:"",coverage:`${l.toFixed(2)}%`,fontSize:"≥ 12px"});let f=l/100,y=br(cr.displayValue,{decimalProportion:f}),b=h.makeTableDetails(p,g),D=l>=aae;return{score:Number(D),details:b,displayValue:y}}},dae=eT});function C6(t){let e=mae;for(;t.length<3;)t+="`";for(let n=0;n<=t.length-1;n++){let r=t.charCodeAt(n)-96;if(e=e[r],!e)return!1}return!0}var mae,A6=v(()=>{"use strict";d();mae=[,[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,,,,,1,1,1,1,,,1,1,1,,1,,1,,1,1],[1,1,1,,1,1,,1,1,1,,1,,,1,1,1,,,1,1,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,,,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1],[,1,,,,,,1,,1,,,,,1,,1,,,,1,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,,,1,,,,,1,1,1,,1,,1,,1,,,,,,1],[1,,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,,1,,1,,,,,1,,1,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,,1,1,1,,1,,1,1,1,,,1,1,1,1,1,1,1,1],[,,1,,,1,,1,,,,1,1,1,,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1,1,1,1,1,,,1,1,1],[1,1,1,1,1,,,1,,,1,,,1,1,1,,,,,1,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1],[,1,,1,1,1,,1,1,,1,,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,,,1,1,1,,,1,1,,,,,,1,1],[1,1,1,,,,,1,,,,1,1,,1,,,,,,1,,,,,1],[,1,,,1,,,1,,,,,,1],[,1,,1,,,,1,,,,1],[1,,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,,1,,,1,1,1,1],[,1,1,1,1,1,,,1,,,1,,1,1,,1,,1,,,,,1,,1],[,1,,,,1,,,1,1,,1,,1,1,1,1,,1,1,,,1,,,1],[,1,1,,,,,,1,,,,1,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,,1,1,1,,,1,1,1,1,1,1,,1,,,,,1,1,,1,,1],[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,1,1],[,1,1,1,,,,1,1,1,,1,1,,,1,1,,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,,1,,,,,1,1,1,,,1,,1,,,1,1],[,,,,1,,,,,,,,,,,,,,,,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,,1,1,1,,1,1,,,,1,1,1,1,1,,,1,1,1,,,,,1],[1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,1,,,,,,,1],[,1,1,,1,1,,1,,,,,,,,,,,,,1],,[1,1,1,,,,,,,,,,,,,1],[,,,,,,,,1,,,1,,,1,1,,,,,1]],[,[1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,,1],[,,,1,,,,,,,,,,,,,,,1],[,1,,,1,1,,1,,1,1,,,,1,1,,,1,1,,,,1],[1,,,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,,,,1],,[,1,1,1,1,1,,1,1,1,,1,1,,1,1,,,1,1,1,1,,1,1,,1],[,1,,,1,,,1,,1,,,1,1,1,1,,,1,1,,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,,,1,1,1,1,1,1,1,,,1,,,1,,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,,,,1],[,,,,,,,1,,,,1,,1,1],[,1,1,1,1,1,1,1,,,,1,1,1,1,1,,,1,1,,1,1,1,1,1],[,1,,,1,1,,1,,1,1,1,,,1,1,,,1,,1,1,1,1,,1],[,1,1,1,,1,1,,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1],[,,,,,,,,,,,,,,,,1],,[,1,1,1,1,1,,1,1,1,,,1,,1,1,,1,1,1,1,1,,1,,1],[,,1,,,1,,,1,1,,,1,,1,1,,1],[,1,1,,1,,,,1,1,,1,,1,1,1,1,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,1,,1,,1,1],,[,1,1,,1,,,1,,1,,,,1,1,1,,,,,,1,,,,1],[1,1,,,1,1,,1,,,,,1,,1]],[,[,1],[,,,1,,,,1,,,,1,,,,1,,,1,,,1],[,,,,,,,,,,,,,,,,,,1,1,,,,,,1],,[1,,,,,1],[,1,,,,1,,,,1],[,1,,,,,,,,,,,1,,,1,,,,,,,,,1,1],[,,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,1,,1],[,1],[,1,,1,,1,,1,,1,,1,1,1,,1,1,,1,,,,,,,1],[1,,,,,1,,,1,1,,1,,1,,1,1,,,,,1,,,1],[,1,1,,,1,,1,,1,,1,,1,1,1,1,,,1,,1,,1,1,1],[1,1,1,1,1,,1,,1,,,,1,1,1,1,,1,1,,,1,1,1,1],[1,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],,[,1,,,,,,1,1,1,,1,,,,1,,,1,1,1,,,1],[1,,,,,1,,1,1,1,,1,1,1,1,1,,1,,1,,1,,,1,1],[1,,1,1,,,,,1,,,,,,1,1,,,1,1,1,1,,,1,,1],[1,,,,,,,,,,,,,,,,,1],[,,,,,1,,,1,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,,,1],[,1,,,,1]],[,[1,1,1,,1,,1,1,1,1,1,1,1,1,1,,1,,1,,1,1,,,1,1,1],[,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],,[,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1],,[1,1,,,,1,1,,,,,,1,,,,1,,1,,1,1,,1],[1],[,,,,,,,,,,,1,,,,,,,,,,,1],[,1,,,,,,,1,1,,,1,,1,,,,1,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,,1],[,,1,,,,,1,,1],[1,,,,1,,,,,1,,,,1,1,,,,1,1,,,,,1],[,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[1,,,1,1,,,,,,,1,,1,,1,1,1,1,1,1],[,,,,,1,,,,,,,1,,,,,,,1],,[,,1,1,1,1,1,,1,1,1,,,1,1,,,1,1,,1,1,1,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,,,,1],,[1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,,,1,1,1,1,,,,,,1,,1,,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,,,,1,,1,,,1,1,1,1,1],[,,,,,,,,,,,1,,,,,,,,,1,,,,1],[,1,1,,1,1,,1,,,,1,1,,1,1,,,1,,1,1,,1],[,1,,1,,1,,,1,,,1,1,,1,1,,,1,1,1],[,1,1,1,1,1,,1,1,,,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,,,,,,,,,1,,1,,1,1,,,,1,,,1],[,1,,,1,1,,,,,,,,,1,1,1,,,,,1],[1,,,1,1,,,,1,1,1,1,1,,,1,,,1,,,1,,1,,1],[,1,1,,1,1,,1,1,,,,1,1,1,,,1,1,,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,,,,1,,,,,,,,,1],[,1,,,,,,,,1,,,,,1,,,,1,,,1],[,1,1,1,1,,,1,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1],[,,,,,1,,1,,,,,1,1,1,1,1,,,1,,,,1],[,1,,,,,,,,1,,,,,,,,,,,,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,1,,,,1,,1,1,1,1,1,,1,1,,,,,,1],[,1,1,1,1,1,1,1,,1,1,,,1,1,,,,1,,1,1,,1,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,1,1,,1,,,1,1,1,1,,,1,,,,,,,1],[,1,,,,,,,,1,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1],[,1,1,,,,,,,,,,,,1,1,,,,,,1],[,1,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,,,,,1],[1,1,,,1,,,1,1,1,,,,1],,[,,,,,,,,,,,,,1,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,1,,,,,,,1],[1,1,1,,1,,1,1,1,1,1,1,1,1,,1,,,1,,1,,,1,1],[,,,,,,,,,1],[,1,,,,1,,,,,,1,,,1,,,,,1],[,1,1,,1,1,,,,,,,,,,,,,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,1,1,1,,,,1,1,,,,1,,1],[1,1,1,1,1,1,,,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,,1,1],[,,,,,,,,,,,,,,,1,,,,1],,[1,1,,1,,1,,,,,,1,,1,,1,1,,1,,1,1,,1,1,,1],[,,1,,,,,,1,,,,1,,1,,,,,1],[1,,,,,,,,,1,,,,,,1,,,,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,,1,,,,,,1,,,1,,,,,,,,1],[,1,,1,,,,,,,,,,,,1],,[1,1,,,,,,,,,,,,,,,,,,,,,,1,1],[1]],[,[1,,,,,,,,,1,,,,,1,,1,,1],[,1,1,,1,1,,1,1,1,,,1,1,1,,,,1,,,1,,,,1],[,1,,,,,,,1,,,,1,,,,,,1],[1,1,1,1,1,1,,,,1,,,,,,,,,1,1,1,1],[1],[,1,1,,,1,1,,,,,1,,1,,,,,,,,1,,,,1],[1,,1,,,1,,1,,,,,1,1,1,1,,,,1,,,,1],[,,1,,,,,,,1,,,,,,,1,,,,,,,1],[1,,,,,,,,,,,,,,1,,,,1],[,,,1,,1,,,,,1,,,,1,1,,,,1],[1,,,,,1,,,,1,,1,1,,,1,1,,1,1,1,,1,1,1,,1],[,1,1,,,,,1,,1,,1,1,1,,1,1,,,1,,1,1,1],[,1,,,,1,,,,1,,,1,,1,1,,,1,1,,,,,,1],[1,,1,1,,1,,1,1,,1,,1,1,1,1,1,,,1,1,,,,,,1],[1,,,,,,,,,,,,,,,,,,1,,,1,,1],[,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,,1,,1],[,1,,,,1,,,1,1,,1,,,1,1,,,1,,,1,,,1,1],[1,1,,1,1,1,,1,1,1,,1,,1,1,1,,,1,,1,1],[1,,1,1,1,1,,,,1,,1,1,1,,1,,,1,1,1,,1,1,1,1,1],[1,,,,,,,,,,,,,1],[,,1,,,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,,,1,,1,,1,,,,1],[,,,1,,,,,,,,,1],[,1,,,,,,,,,,,,,,1,,,,,,,,,1],[,,,,,,,,1,1,,,,,,,,,1,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,,,1,1,1],[,,,,,1,,,,1,1,1,,,1,1,,,1,,1,1,,1],[,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,1,,,,,,,,,,,,,1],[,,1,,,1,,1,1,1,,1,1,,1,,,,1,,1,1],,[,,1,,,1,,,,,,1,,,,1],[,,,,,,,,,1,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,,1,1,,1,,1,,,1,1,1,,,1],[,,,,,1,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,1,,1,1,,1,,,1],[,,,,,1,,,,,,,,,,,,,,1],[,1,1,1,1,,,,,1,,,1,,1,,,,1,1,,,,1,1],[,1,,,1,,,1,,1,1,,1,,,,,,,1],[,,1,,1,,,1,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,,,,,,,,,,1,,1,1],[,,,,,,,,,,,,1],,[,1,1,1,1,,,,1,1,,1,1,1,1,1,1,,1,1,1,1,,1,,1],[1,,,,1,,,,,,,,,,1],[1,,,,,,,,,1],,[,1,,,,1,,,,,,,,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,,1,,,,1,1,,,1,1,,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,1],[1,1,1,,,,,1,1,1,,1,1,1,1,,,1,1,,1,1,,,,,1],[,1,,,,,,,1,1,,,1,1,1,,1,,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,,,1,,,,1,,,1,,,,1,,,,,,,1,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1],[1,1,1,,1,,,1,1,1,1,,1,1,1,1,,,,1,,1,,1,,,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,,1,1,,,,,,,,,1],,[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,,1,,1,,,,1],[,1,,,1,1,,1,1,1,,,1,1,1,1,1,,1,1,1,,1,,,1],[1,,,1,,,,1,1,1,,,,,1,1,,,,1,,1],[1,1,,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,,1,,1,,,,,,,,1,,1],[,1,,,,1,,1,1,,,,1,1,,1,,,,1,1,1,,1],,[,1,,,,,,1,,,,,,,1],[,,,,,,,,1,,,,1,,1,,,,,,,,,,,,1]],[,[,1,1,,1,1,1,1,,1,1,1,,1,1,,1,1,,1,1,1,1,1,1,,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,,,1,,,,,,,,1,,,,,,1,,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,,1,,1,1,1,1,1,1,1,,1,1,,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1],[,1,1,,,,,1,1,1,,,1,,1,1,,,,1,,1,,,1,1],[,,,,,,,1,,,,1,1,1,1,1,,1,,,,,,,,1],[1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,,1,,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,1,1,,1,,1,1,1,,1,,1,1,,1,1,,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,,1,,,,,1,,1],[,1,1,1,,1,,1,,1,,,,1,,1,,,1,,,,,,1,1],[,1,,,1,1,,1,,1,,1,1,1,1,1,,1,1,,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,,1,,1,,1,,,,,,1,,1,,,,1,1]],[,[,1,,1,,,,,,,,,,,,,,,1,,,,1],[,,,,,,,,,1,,1,1,1,,1,,,1,,1,1],[1,1,,,,,,,1,,,,,,,1,,,,,,1],[,1,,,,,,,,,,1,,,,,,,,,1,1],,[,,,,,,,,,,,,,,,1,,,,1,,1],[,,1,1,,1,,1,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,,,,,,,,1],[1,,1,1,,,,1,,,,,,,,,1,,,1,,,1,1],[,1,1,,1,1,,1,1,1,1,1,1,1,1,1,,,1,1,,1,1,,1],[,1,,,1,1,,,,,,1,,1,,1,,,1,,1,1],[1,1,1,1,,1,,1,,1,,1,1,,1,1,1,1,1,,1,1,1,1,1],[,1,1,,,1,,1,,1,1,1,,,1,1,1,,1,1,1,1,,1,1],[,,,,1,,,1,,,,,,,1,,,,1,1],[,1,,,,,,,,,,1,,1,,1,,,,,1,,,,,1],,[1,1,,1,,1,,1,1,,,,,,1,1,,,1,1,1,1,1,1,1,1,1],[1,1,,1,,,,,,1,,,,,,1,1,,,,1,1,,,1],[,1,1,,1,1,,,,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,,,1,,,,1,,,,1,1],[,,,,1],[,,,,,,,,,1,,,1],,[,,1,,1,,,,,,,,,1,,,,,,,,,,,,1],[,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,,,1],[,1,,1,,,,,,1,,,,,1,1,,,,,1,1],[,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,,,1,,1,1,1],[,1,,,,1,,,,,,,1],[,1,,,1,,,1,,1,,1,1,,1,,,,,1,,1,,,,1,1],[,1,,,1,,,1,1,1,,1,1,1,1,1,,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,1,1,,,,1,1,,,,,,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,,1,1,,1,1,1,1,1],[,1,,,,1,,,,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,1,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,,1,1,1,,1,1,1,,,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,,,,,,,1,1,,,,,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,1,,1,1,1,1],,[,1,1,,,,,1,,1,,,,1,1,1,,,1,,,,,1],[,,,,,,,,,,,,,1],[,,,,,1,,,,,,,,1,1,,,,,1,,1,,,1,1],[,,,,,,,,,,,,,,1]],[,[,1],,,,,,,,,,,,,,,,,,,,[1,1,1,1,1,,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,1,1,1,1],[,1,,1,,1,,,1,1,1,,1,1,1,1,1,,,1,,,,1,,1,1],[,1,,1,,1,,,1,,,,,1,,,,,,1,1],[,1,,1,,,,,1,,,,1,,1,1,1,1,1,1,1,1,,1],[,1,,,,,,,,,,,,,,,1]],[,[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,,,,,,,,,1,1,,,,1],[,,,,,,1],[,,1],[,1,1,,,1,,1,,1,1,,1,1,1,,,,1,1,1,,,,,1],,[,1,,,,1,,,,,,1,,,1,,,,1,1,,1],[,,,,,,,1,,,,,,,,,1],[,1,,,,1,1,,,,,,1,1,1,,,,1,,1,1],[,,,,,,,1,,1,,,,,,,,,,1],[,1,1,,,,,,1,1,,,,1,,,,,,,1,,,1],,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,,1,,,1,,,,,1,,1,,1,,1,,,,,1],[1,1,1,1,1,1,1,1,,,,,1,1,,1,1,,1,,,1,,1],[,,,,,,,,,,,,,,1,,,,,,1],,[,,,,,,,,,1,,,,,,1,,,,,1],[,,1,,,,,,,1,,,1,1],[,,,1,,,,,1,,,,,1,,,,,,1,,,,1],[1,,1,1,,1,1,1,1,1,,1,,,,1,1,1,,,1,1,,,,1,1],,[1,1,,,,,,,,,,1,,1,,1,,,1],[,,,,1,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,1],[,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,,1,,,1,,,,,,,,1,,,,,,1,,,,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,1,,,,1,1,1,1,1,1,,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,1,,1,1,,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,,1,,1,,1,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,,,,,,1,,1,,,,,1,1,,,,,1],[1,,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,,1,,,,1,1,1,1,1,,,1,1,,1,,1],[,1,1,1,1,,,,,1,,1,1,1,1,1,,,1,1,,,,1,1,1],[,1,1,1,1,1,,1,,,,,1,,1,,1,,,1,,,1,1,,1]],[,[1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,,,,,1,,,,,1,1,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,,,,1,,1,1,,1,1,1,1,1,,,1,,1,,1],[1,1,1,,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,,1,,,,,,,,,,1,1,1,1,1,1,1,,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,1,1,,,,,,1,1,1,1,1,,,,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,,1,1,1],[,1,1,1,,1,,1,1,1,1,,,1,1,1,,1,1,1,1,1,,,1,1],[1,1,,,,1,,,1,1,1,,1,,1,,1,,1,1,1,1,1,,1,,1],[,1,,,,,,,1,,1,,1,1,1,1,,,,,,,,,1]],[,[,,,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,1,,,1,,,,,,1,,,1,,,,1],,[,1,,,,1,,1,,1,1,,1,1,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],[1,1,1,,,1,,,,,,,,,1,1,,,,,,,,,,1],[,1,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1,,,1],[,,,,,,,,,1],[1,1,,,,,,1,1,1,,1,1,,,,1,1,,1,,1,1,1,,1],[,1,1,1,,1,1,,,1,,1,1,1,1,,,,,,,1,,1],[,1,1,1,1,,,1,,1,,,,1,1,1,1,,1,1,,1],[,1,,,1,1,,1,,,,1,,1,1,,1,,1,,,1,,,1,,1],[,,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,,,,,1],,[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1],[,1,,,,,,,1,1,,1,,,,,1,,,1,,1],[,1,,,,1,,,1,,,,,,,,1,,1,,,1],[,,,,,,,,,,,,,1,1,,,,1,,,1],[,,,,,1,,,1,,,,1],[,1],,[,1],[1,,,,,,,,,,,,,,1,,,,,1]],[,[,1,,,,1,1,1,1,1,1,,1,1,1,1,1,,1,1,,1,1,,,1],[,,1,,,,,,,,,1],,,[1,,,1,1,,,,,,,,1,1,,1,1,,1],,[,,,,,,,,,,,,,,,,,,1,,1],,[1,,,1,1,,1,1,,,,,1,,1,,,,,1,1,,1],,[,1,,,,,,,,1,1,1,1,1,,1,1,,,,1,1],[,,,,,,,,,,,,,,,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,,1,1,1,1,1,1],[,,,,,,,,,,,1,,1,,,1],[1,,,,,,,,,,,,,,,,,,1,,1],,,[,1,,,,,,,,,,,,,,1,,,,1,1],[,,,,,,,,,1,,,1,,,,,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,1,1,,,,,,1],,[,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,1,1,,1,1,1,1,1,1,,,1,1,1,1,1,,1,1],[,1,,,,,,,,1],[,,,,1,,,1,,,1,1,,,,,,,,,,1,,,,1],[,1,,1,1,,,1,1,1,,,,1,1,1,1,,1,1,1,1,,1],[,,,,,,,1],[,1,1,,,,,1,,1,,,,,,1,,,,,,1,,1,,1],[,1,,,,,,1,,,,1,,,,,,,,,,1],[,,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1,1,1,1,,1],[,1,,,,,,,,1],[,1,1,,1,,,,,,,,1,,,,,,1,,,1,,1,,1],[,1,,1,,1,,1,1,1,,1,1,1,,1,,,1,1,,1,1,1,1,1],[,1,1,1,1,1,,,1,1,,,,1,1,1,,,,1,1,,,1,1],[,,1,1,1,1,,1,,1,,1,,1,1,1,1,,,,,1,,1,,1],[1,1,1,1,1,1,1,1,,1,,1,,1,1,1,,,1,1,,,,1,,1],[,,,1],,[,1,1,,1,,,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1],[,1,,,,,,1,,1,,1,,,,,,,1,1,,1,1],[,,,,,,1,,1,1,,1,,1,,,,,,,,,,1],[,1,1,,1,,,,1,,,,1,1,1,,,,1,,1,1,1,,1,1],,[,1,1,,,,,,,,,,,,,1,,,1,,,,,1],[,1,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,1,,,,1,,,,,1,,,,,,,1]],[,[,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[,1,1,1,1,1,,1,,1,1,,,1,1,1,1,,1,,,,,1,1,1],[,,1,1,,1,,1,1,,,,1,1,1,1,,,1,,1,1,1,1,,1],[,1,,1,,,,,,,,1,,1,,1,,,,,,,,,,1],[,,1,,1,,,1,,,,,1,1,,,1,,1,1,1,1],[,1],[,1,1,,1,,1,1,,1,,,1,1,1,,,,1,,,1,,1],[1,1,,1,1,1,,,,,,,,,,,,,1,,1,1,1],[,1,1,,,,,,,1,,,1,,1,,1,,1,1,,,1,,,1],[,,1,,,,,,,,,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,,1,,,,,1,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,,1,,1,1,1,,,1,1,1,1,,,,1,1],[,,,1,1,,,1,,1,,1,,1,1,1,1,,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,,1,,1,,,,1,1,,,1,1,,1,1,,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1,,1,1,,,1],[,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,,1,,,1,,,1,,1,1,1,1,1,,1,,1,1],[,,,,,1,,,,1,,,,,1,1,,,,1],[,1,,1,1,1,,1,,,1,1,1,,,1,,,1,,1,,,1],[,,1,,,,,,,,,1,,1,,,,,1,,1],[,1,1,,,,,,,,1,1,1,,,,,,,,1,,,,,1],[,,,,,,,,1,,,,,1,,,1]],[,[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,,1,1,1,1,1,1,1,1,,,,,,,,,1,1],[,,,,,,,,1,,,,1,,1,,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,1,,1,,1,,,,1,1,,1,,1,,,,1,1,1,1,1,,,1],,[,1,,,,,,,,1,,,1,1,,,1,,1,1,,1,,1],[,1,,,1,,,,,,,,1,,,,,,,1],[1,1,,,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1],,[,1,,,,,,1,,1,,1,1,1,1,1,,,1,,1,1,,,,1],[,1,1,,,1,,1,,1,,,1,1,1,1,,,1,,,1,,,,1],[,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1],[,1,,,1,1,,1,1,,,1,1,,1,1,,1,,1,,1],[1,,1,,,,,1,,1,,1,1,1,1,,,,,1,1,,,,1,1],[,1,1,,,,,1,1,,,1,,1,1,1,1,,,,,,,,,,1],,[,1,1,,,1,,,,1,,1,1,1,1,1,,,,1,,,,1,,1],[,,,1,1,,,1,,,,,1,,1,1,1,,1,1,,,,,,1],[,1,,,,,,,,,,,1,,,,1,,,,,,,1,,1],[,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,1,,,,,1,,1,,,1,1,,1,1,,1],[,1,,,,,,1,,,,,1,1,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1,,,1,,,,,1],[,,,,,,,1,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,,1,,,,,,,1,,,,,,,,1,,,1],[,1,,,,,,,1],[,,,,,,,,,,1],[,1,,,,,,1,1,,,,,,1],,[,1,1,,,,,,1,,,,,1,1,,,,1],[1,,1,,1,,,,,1,,,,,1,,,,,,,,,1,1],[,1,1,,,,,,,,,1,1,1,1,,,,1,,,,,1,,,1],,[,1,1,,1,,,1,1,,,1,,,1,1,1,,1,,1,1,1,,,,1],[,,,,,1,,,,,1,,,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,,,1,,,,,1,,,,,1,,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,1],[,1,,,,,,1,,,,,,,1,1,1,,,1],[,1,,,,,,,,,,1,1,1,,,,,1,,,1],[,,,,,1,,1,,,,,1,1,1,,1,1,,1,1,1,,,1,1],[1,1,,,,,,,1,,,,,1,1,,,,,,,,,,,1],,[,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,,1,,,,,1,,,1,,,,1,,1],[,1,,,,,,,,,1]]];s(C6,"isValidLang")});var F6={};S(F6,{UIStrings:()=>vi,default:()=>hae});function fae(t){return t.startsWith("http:")||t.startsWith("https:")}function gae(t){if(t.toLowerCase()===pae)return!0;let[e]=t.split("-");return C6(e.toLowerCase())}var pae,vi,Wd,tT,hae,R6=v(()=>{"use strict";d();J();k();A6();pae="x-default",vi={title:"Document has a valid `hreflang`",failureTitle:"Document doesn't have a valid `hreflang`",description:"hreflang links tell search engines what version of a page they should list in search results for a given language or region. [Learn more about `hreflang`](https://developer.chrome.com/docs/lighthouse/seo/hreflang/).",unexpectedLanguage:"Unexpected language code",notFullyQualified:"Relative href value"},Wd=w("core/audits/seo/hreflang.js",vi);s(fae,"isFullyQualified");s(gae,"isExpectedLanguageCode");tT=class extends h{static{s(this,"Hreflang")}static get meta(){return{id:"hreflang",title:Wd(vi.title),failureTitle:Wd(vi.failureTitle),description:Wd(vi.description),supportedModes:["navigation"],requiredArtifacts:["LinkElements","URL"]}}static audit({LinkElements:e}){let n=[],r=e.filter(i=>{let c=i.rel==="alternate",u=i.hreflang,l=i.source==="body";return c&&u&&!l});for(let i of r){let c=[],u;gae(i.hreflang)||c.push(Wd(vi.unexpectedLanguage)),fae(i.hrefRaw.toLowerCase())||c.push(Wd(vi.notFullyQualified)),i.source==="head"?i.node?u={...h.makeNodeItem(i.node),snippet:`<link rel="alternate" hreflang="${i.hreflang}" href="${i.hrefRaw}" />`}:u={type:"node",snippet:`<link rel="alternate" hreflang="${i.hreflang}" href="${i.hrefRaw}" />`}:i.source==="headers"&&(u=`Link: <${i.hrefRaw}>; rel="alternate"; hreflang="${i.hreflang}"`),!(!u||!c.length)&&n.push({source:u,subItems:{type:"subitems",items:c.map(l=>({reason:l}))}})}let a=[{key:"source",valueType:"code",subItemsHeading:{key:"reason",valueType:"text"},label:""}],o=h.makeTableDetails(a,n);return{score:+(n.length===0),details:o}}},hae=tT});var _6={};S(_6,{UIStrings:()=>Vd,default:()=>bae});var yae,vae,Vd,nT,rT,bae,k6=v(()=>{"use strict";d();J();k();Wt();yae=400,vae=599,Vd={title:"Page has successful HTTP status code",failureTitle:"Page has unsuccessful HTTP status code",description:"Pages with unsuccessful HTTP status codes may not be indexed properly. [Learn more about HTTP status codes](https://developer.chrome.com/docs/lighthouse/seo/http-status-code/)."},nT=w("core/audits/seo/http-status-code.js",Vd),rT=class extends h{static{s(this,"HTTPStatusCode")}static get meta(){return{id:"http-status-code",title:nT(Vd.title),failureTitle:nT(Vd.failureTitle),description:nT(Vd.description),requiredArtifacts:["devtoolsLogs","URL","GatherContext"],supportedModes:["navigation"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=e.URL,i=(await je.request({devtoolsLog:r,URL:a},n)).statusCode;return i>=yae&&i<=vae?{score:0,displayValue:`${i}`}:{score:1}}},bae=rT});var P6=L((U6e,L6)=>{d();function I6(t){return t?Array.isArray(t)?t.map(I6):String(t).trim():null}s(I6,"trimLine");function wae(t){var e=t.indexOf("#");return e>-1?t.substr(0,e):t}s(wae,"removeComments");function Dae(t){var e=String(t).indexOf(":");return!t||e<0?null:[t.slice(0,e),t.slice(e+1)]}s(Dae,"splitLine");function aT(t){var e=t.toLowerCase(),n=e.indexOf("/");return n>-1&&(e=e.substr(0,n)),e.trim()}s(aT,"formatUserAgent");function Eae(t){try{return M6(encodeURI(t).replace(/%25/g,"%"))}catch{return t}}s(Eae,"normaliseEncoding");function M6(t){return t.replace(/%[0-9a-fA-F]{2}/g,function(e){return e.toUpperCase()})}s(M6,"urlEncodeToUpper");function Tae(t,e){var n=new Array(e.length+1),r=1;n[0]=0;for(var a=0;a<t.length;a++){if(t[a]==="$"&&a+1===t.length)return n[r-1]===e.length;if(t[a]=="*"){r=e.length-n[0]+1;for(var o=1;o<r;o++)n[o]=n[o-1]+1}else{for(var i=0,o=0;o<r;o++)n[o]<e.length&&e[n[o]]===t[a]&&(n[i++]=n[o]+1);if(i==0)return!1;r=i}}return!0}s(Tae,"matches");function Sae(t,e){for(var n=/\r\n|\r|\n/,r=t.split(n).map(wae).map(Dae).map(I6),a=[],o=!0,i=0;i<r.length;i++){var c=r[i];if(!(!c||!c[0])){switch(c[0].toLowerCase()){case"user-agent":o&&(a.length=0),c[1]&&a.push(aT(c[1]));break;case"disallow":e.addRule(a,c[1],!1,i+1);break;case"allow":e.addRule(a,c[1],!0,i+1);break;case"crawl-delay":e.setCrawlDelay(a,c[1]);break;case"sitemap":c[1]&&e.addSitemap(c[1]);break;case"host":c[1]&&e.setPreferredHost(c[1].toLowerCase());break}o=c[0].toLowerCase()!=="user-agent"}}}s(Sae,"parseRobots");function xae(t,e){for(var n=null,r=0;r<e.length;r++){var a=e[r];Tae(a.pattern,t)&&(!n||a.pattern.length>n.pattern.length||a.pattern.length==n.pattern.length&&a.allow&&!n.allow)&&(n=a)}return n}s(xae,"findRule");function N6(t){try{var t=new URL(t,"http://robots-relative.samclarke.com/");return t.port||(t.port=t.protocol==="https:"?443:80),t}catch{return null}}s(N6,"parseUrl");function ur(t,e){this._url=N6(t)||{},this._rules=Object.create(null),this._sitemaps=[],this._preferredHost=null,Sae(e||"",this)}s(ur,"Robots");ur.prototype.addRule=function(t,e,n,r){var a=this._rules;t.forEach(function(o){a[o]=a[o]||[],e&&a[o].push({pattern:Eae(e),allow:n,lineNumber:r})})};ur.prototype.setCrawlDelay=function(t,e){var n=this._rules,r=Number(e);t.forEach(function(a){n[a]=n[a]||[],!isNaN(r)&&(n[a].crawlDelay=r)})};ur.prototype.addSitemap=function(t){this._sitemaps.push(t)};ur.prototype.setPreferredHost=function(t){this._preferredHost=t};ur.prototype._getRule=function(t,e){var n=N6(t)||{},r=aT(e||"*");if(!(n.protocol!==this._url.protocol||n.hostname!==this._url.hostname||n.port!==this._url.port)){var a=this._rules[r]||this._rules["*"]||[],o=M6(n.pathname+n.search),i=xae(o,a);return i}};ur.prototype.isAllowed=function(t,e){var n=this._getRule(t,e);if(!(typeof n>"u"))return!n||n.allow};ur.prototype.getMatchingLineNumber=function(t,e){var n=this._getRule(t,e);return n?n.lineNumber:-1};ur.prototype.isDisallowed=function(t,e){return!this.isAllowed(t,e)};ur.prototype.getCrawlDelay=function(t){var e=aT(t||"*");return(this._rules[e]||this._rules["*"]||{}).crawlDelay};ur.prototype.getPreferredHost=function(){return this._preferredHost};ur.prototype.getSitemaps=function(){return this._sitemaps.slice(0)};L6.exports=ur});var U6=L((q6e,O6)=>{d();var Cae=P6();O6.exports=function(t,e){return new Cae(t,e)}});var H6={};S(H6,{UIStrings:()=>$d,default:()=>kae});function Rae(t){let e=t.split(":");if(e.length<=1||e[0]!==z6)return!1;let n=Date.parse(e.slice(1).join(":"));return!isNaN(n)&&n<Date.now()}function j6(t){return t.split(",").map(e=>e.toLowerCase().trim()).some(e=>Aae.has(e)||Rae(e))}function _ae(t){let e=t.match(/^([^,:]+):/);if(e&&e[1].toLowerCase()!==z6)return e[1]}var q6,B6,Aae,Fae,z6,$d,oT,iT,kae,G6=v(()=>{"use strict";d();q6=zt(U6(),1);J();Wt();k();B6=new Set([void 0,"Googlebot","bingbot","DuckDuckBot","archive.org_bot"]),Aae=new Set(["noindex","none"]),Fae="x-robots-tag",z6="unavailable_after",$d={title:"Page isn’t blocked from indexing",failureTitle:"Page is blocked from indexing",description:"Search engines are unable to include your pages in search results if they don't have permission to crawl them. [Learn more about crawler directives](https://developer.chrome.com/docs/lighthouse/seo/is-crawlable/)."},oT=w("core/audits/seo/is-crawlable.js",$d);s(Rae,"isUnavailable");s(j6,"hasBlockingDirective");s(_ae,"getUserAgentFromHeaderDirectives");iT=class t extends h{static{s(this,"IsCrawlable")}static get meta(){return{id:"is-crawlable",title:oT($d.title),failureTitle:oT($d.failureTitle),description:oT($d.description),supportedModes:["navigation"],requiredArtifacts:["MetaElements","RobotsTxt","URL","devtoolsLogs"]}}static handleMetaElement(e){let n=e.content||"";if(j6(n))return{source:{...h.makeNodeItem(e.node),snippet:`<meta name="${e.name}" content="${n}" />`}}}static determineIfCrawlableForUserAgent(e,n,r,a,o){let i=[],c;if(e&&(c=r.find(u=>u.name===e.toLowerCase())),c||(c=r.find(u=>u.name==="robots")),c){let u=t.handleMetaElement(c);u&&i.push(u)}for(let u of n.responseHeaders||[]){if(u.name.toLowerCase()!==Fae)continue;let l=_ae(u.value);if(l!==e&&l!==void 0)continue;let m=u.value.trim();e&&u.value.startsWith(`${e}:`)&&(m=u.value.replace(`${e}:`,"")),j6(m)&&i.push({source:`${u.name}: ${u.value}`})}if(a&&!a.isAllowed(n.url,e)){let u=a.getMatchingLineNumber(n.url)||1;i.push({source:{type:"source-location",url:o.href,urlProvider:"network",line:u-1,column:0}})}return i}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await je.request({devtoolsLog:r,URL:e.URL},n),o=new URL("/robots.txt",a.url),i=e.RobotsTxt.content?(0,q6.default)(o.href,e.RobotsTxt.content):void 0,c=[],u=[];for(let f of B6){let y=t.determineIfCrawlableForUserAgent(f,a,e.MetaElements,i,o);y.length>0&&c.push(f),f===void 0&&u.push(...y)}let l=c.length===B6.size?0:1,m=[];if(l&&c.length>0){let f=c.filter(Boolean).join(", ");m.push(`The following bot user agents are blocked from crawling: ${f}. The audit is otherwise passing, because at least one bot was explicitly allowed.`)}let p=[{key:"source",valueType:"code",label:"Blocking Directive Source"}],g=h.makeTableDetails(p,l===0?u:[]);return{score:l,details:g,warnings:m}}},kae=iT});var W6={};S(W6,{UIStrings:()=>sc,default:()=>Mae});var Iae,sc,nf,sT,Mae,V6=v(()=>{"use strict";d();J();lt();k();Iae=new Set(["click here","click this","go","here","information","learn more","more","more info","more information","right here","read more","see more","start","this","ここをクリック","こちらをクリック","リンク","続きを読む","続く","全文表示","click aquí","click aqui","clicka aquí","clicka aqui","pincha aquí","pincha aqui","aquí","aqui","más","mas","más información","más informacion","mas información","mas informacion","este","enlace","este enlace","empezar","clique aqui","ir","mais informação","mais informações","mais","veja mais","여기","여기를 클릭","클릭","링크","자세히","자세히 보기","계속","이동","전체 보기","här","klicka här","läs mer","mer","mer info","mer information","அடுத்த பக்கம்","மறுபக்கம்","முந்தைய பக்கம்","முன்பக்கம்","மேலும் அறிக","மேலும் தகவலுக்கு","மேலும் தரவுகளுக்கு","தயவுசெய்து இங்கே அழுத்தவும்","இங்கே கிளிக் செய்யவும்"]),sc={title:"Links have descriptive text",failureTitle:"Links do not have descriptive text",description:"Descriptive link text helps search engines understand your content. [Learn how to make links more accessible](https://developer.chrome.com/docs/lighthouse/seo/link-text/).",displayValue:`{itemCount, plural,
    =1 {1 link found}
    other {# links found}
    }`},nf=w("core/audits/seo/link-text.js",sc),sT=class extends h{static{s(this,"LinkText")}static get meta(){return{id:"link-text",title:nf(sc.title),failureTitle:nf(sc.failureTitle),description:nf(sc.description),requiredArtifacts:["URL","AnchorElements"]}}static audit(e){let n=e.AnchorElements.filter(i=>i.href&&!i.rel.includes("nofollow")).filter(i=>{let c=i.href.toLowerCase();return c.startsWith("javascript:")||c.startsWith("mailto:")||te.equalWithExcludedFragments(i.href,e.URL.finalDisplayedUrl)?!1:Iae.has(i.text.trim().toLowerCase())}).map(i=>({href:i.href,text:i.text.trim()})),r=[{key:"href",valueType:"url",label:"Link destination"},{key:"text",valueType:"text",label:"Link Text"}],a=h.makeTableDetails(r,n),o;return n.length&&(o=nf(sc.displayValue,{itemCount:n.length})),{score:+(n.length===0),details:a,displayValue:o}}},Mae=sT});var Y6={};S(Y6,{UIStrings:()=>rf,default:()=>Nae});var rf,$6,cT,Nae,K6=v(()=>{"use strict";d();Rn();k();rf={description:"Run the [Structured Data Testing Tool](https://search.google.com/structured-data/testing-tool/) and the [Structured Data Linter](http://linter.structured-data.org/) to validate structured data. [Learn more about Structured Data](https://developer.chrome.com/docs/lighthouse/seo/structured-data/).",title:"Structured data is valid"},$6=w("core/audits/seo/manual/structured-data.js",rf),cT=class extends ht{static{s(this,"StructuredData")}static get meta(){return Object.assign({id:"structured-data",description:$6(rf.description),title:$6(rf.title)},super.partialMeta)}},Nae=cT});var J6={};S(J6,{UIStrings:()=>cc,default:()=>Lae});var cc,af,uT,Lae,X6=v(()=>{"use strict";d();J();k();cc={title:"Document has a meta description",failureTitle:"Document does not have a meta description",description:"Meta descriptions may be included in search results to concisely summarize page content. [Learn more about the meta description](https://developer.chrome.com/docs/lighthouse/seo/meta-description/).",explanation:"Description text is empty."},af=w("core/audits/seo/meta-description.js",cc),uT=class extends h{static{s(this,"Description")}static get meta(){return{id:"meta-description",title:af(cc.title),failureTitle:af(cc.failureTitle),description:af(cc.description),requiredArtifacts:["MetaElements"]}}static audit(e){let n=e.MetaElements.find(a=>a.name==="description");return n?(n.content||"").trim().length===0?{score:0,explanation:af(cc.explanation)}:{score:1}:{score:0}}},Lae=uT});var e4={};S(e4,{UIStrings:()=>Yd,default:()=>jae});function Bae(t){return t=t.trim().toLowerCase(),Pae.has(t)||t.startsWith(Z6)||t.startsWith(Q6)}function dT(t){try{let n=new URL(t,"http://example.com").pathname.split(".");if(n.length<2)return!1;let r=n[n.length-1];return Oae.has(r.trim().toLowerCase())}catch{return!1}}var Z6,Q6,Pae,Oae,Uae,Yd,lT,mT,jae,t4=v(()=>{"use strict";d();J();k();Z6="application/x-java-applet",Q6="application/x-java-bean",Pae=new Set(["application/x-shockwave-flash",Z6,Q6,"application/x-silverlight","application/x-silverlight-2"]),Oae=new Set(["swf","flv","class","xap"]),Uae=new Set(["code","movie","source","src"]),Yd={title:"Document avoids plugins",failureTitle:"Document uses plugins",description:"Search engines can't index plugin content, and many devices restrict plugins or don't support them. [Learn more about avoiding plugins](https://developer.chrome.com/docs/lighthouse/seo/plugins/)."},lT=w("core/audits/seo/plugins.js",Yd);s(Bae,"isPluginType");s(dT,"isPluginURL");mT=class extends h{static{s(this,"Plugins")}static get meta(){return{id:"plugins",title:lT(Yd.title),failureTitle:lT(Yd.failureTitle),description:lT(Yd.description),requiredArtifacts:["EmbeddedContent"]}}static audit(e){let n=e.EmbeddedContent.filter(o=>{if(o.tagName==="APPLET"||(o.tagName==="EMBED"||o.tagName==="OBJECT")&&o.type&&Bae(o.type))return!0;let i=o.src||o.code;return o.tagName==="EMBED"&&i&&dT(i)||o.tagName==="OBJECT"&&o.data&&dT(o.data)?!0:o.params.filter(u=>Uae.has(u.name.trim().toLowerCase())&&dT(u.value)).length>0}).map(o=>({source:h.makeNodeItem(o.node)})),r=[{key:"source",valueType:"code",label:"Element source"}],a=h.makeTableDetails(r,n);return{score:+(n.length===0),details:a}}},jae=mT});var r4={};S(r4,{UIStrings:()=>wo,default:()=>Kae});function Vae(t,e){if(!Gae.has(t))throw new Error("Unknown directive");if(t===n4){let n;try{n=new URL(e)}catch{throw new Error("Invalid sitemap URL")}if(!Wae.has(n.protocol))throw new Error("Invalid sitemap URL protocol")}if(t===fT&&!e)throw new Error("No user-agent specified");if(t===gT||t===hT){if(e!==""&&e[0]!=="/"&&e[0]!=="*")throw new Error('Pattern should either be empty, start with "/" or "*"');let n=e.indexOf("$");if(n!==-1&&n!==e.length-1)throw new Error('"$" should only be used at the end of the pattern')}}function $ae(t){let e=t.indexOf("#");if(e!==-1&&(t=t.substr(0,e)),t=t.trim(),t.length===0)return null;let n=t.indexOf(":");if(n===-1)throw new Error("Syntax not understood");let r=t.slice(0,n).trim().toLowerCase(),a=t.slice(n+1).trim();return Vae(r,a),{directive:r,value:a}}function Yae(t){let e=[],n=!1;return t.split(/\r\n|\r|\n/).forEach((r,a)=>{let o;try{o=$ae(r)}catch(i){e.push({index:(a+1).toString(),line:r,message:i.message.toString()})}o&&(o.directive===fT?n=!0:!n&&Hae.has(o.directive)&&e.push({index:(a+1).toString(),line:r,message:"No user-agent specified"}))}),e}var qae,zae,n4,fT,gT,hT,Hae,Gae,Wae,wo,uc,pT,Kae,a4=v(()=>{"use strict";d();J();k();qae=400,zae=500,n4="sitemap",fT="user-agent",gT="allow",hT="disallow",Hae=new Set([gT,hT]),Gae=new Set([fT,hT,gT,n4,"crawl-delay","clean-param","host","request-rate","visit-time","noindex"]),Wae=new Set(["https:","http:","ftp:"]),wo={title:"robots.txt is valid",failureTitle:"robots.txt is not valid",description:"If your robots.txt file is malformed, crawlers may not be able to understand how you want your website to be crawled or indexed. [Learn more about robots.txt](https://developer.chrome.com/docs/lighthouse/seo/invalid-robots-txt/).",displayValueHttpBadCode:"Request for robots.txt returned HTTP status: {statusCode}",displayValueValidationError:`{itemCount, plural,
    =1 {1 error found}
    other {# errors found}
    }`,explanation:"Lighthouse was unable to download a robots.txt file"},uc=w("core/audits/seo/robots-txt.js",wo);s(Vae,"verifyDirective");s($ae,"parseLine");s(Yae,"validateRobots");pT=class extends h{static{s(this,"RobotsTxt")}static get meta(){return{id:"robots-txt",title:uc(wo.title),failureTitle:uc(wo.failureTitle),description:uc(wo.description),requiredArtifacts:["RobotsTxt"]}}static audit(e){let{status:n,content:r}=e.RobotsTxt;if(!n)return{score:0,explanation:uc(wo.explanation)};if(n>=zae)return{score:0,displayValue:uc(wo.displayValueHttpBadCode,{statusCode:n})};if(n>=qae||r==="")return{score:1,notApplicable:!0};if(r===null)throw new Error(`Status ${n} was valid, but content was null`);let a=Yae(r),o=[{key:"index",valueType:"text",label:"Line #"},{key:"line",valueType:"code",label:"Content"},{key:"message",valueType:"code",label:"Error"}],i=h.makeTableDetails(o,a),c;return a.length&&(c=uc(wo.displayValueValidationError,{itemCount:a.length})),{score:+(a.length===0),details:i,displayValue:c}}},Kae=pT});function o4(t){return t=wM(t),t=DM(t),t=i4(t),t}function of(t,e){return Math.abs(t-e)<=10}function i4(t){for(let e=0;e<t.length;e++)for(let n=e+1;n<t.length;n++){let r=t[e],a=t[n],o=of(r.top,a.top)||of(r.bottom,a.bottom),i=of(r.left,a.left)||of(r.right,a.right);if(Yp(r,a)&&(o||i)){let u=EM([r,a]),l=$p(u);if(!(zy(r,l)||zy(a,l)))continue;return t=t.filter(m=>m!==r&&m!==a),t.push(u),i4(t)}}return t}var s4=v(()=>{"use strict";d();zu();s(o4,"getTappableRectsFromClientRects");s(of,"almostEqual");s(i4,"mergeTouchingClientRects")});var c4={};S(c4,{UIStrings:()=>Aa,default:()=>aoe});function Xae(t){return t.map(e=>({tapTarget:e,paddedBoundsRect:Hy(e.clientRects,Kd)}))}function Zae(t){return t.width<Kd||t.height<Kd}function Qae(t){return t.filter(e=>e.tapTarget.clientRects.every(Zae))}function eoe(t,e){let n=[];return t.forEach(r=>{let a=o4(r.tapTarget.clientRects);for(let o of e){if(o===r||!Yp(r.paddedBoundsRect,o.paddedBoundsRect)||r.tapTarget.href===o.tapTarget.href&&/https?:\/\//.test(r.tapTarget.href))continue;let i=o.tapTarget.clientRects;if(CM(a,i))continue;let c=toe(a,i);c&&n.push({...c,tapTarget:r.tapTarget,overlappingTarget:o.tapTarget})}}),n}function toe(t,e){let n=null;for(let r of t){let a=SM(r,Kd),o=qu(a,r);for(let i of e){let c=qu(a,i),u=c/o;u<Jae||(!n||u>n.overlapScoreRatio)&&(n={overlapScoreRatio:u,tapTargetScore:o,overlappingTargetScore:c})}}return n}function noe(t){let e=[];return t.forEach((n,r)=>{let a=t.find(c=>c.tapTarget===n.overlappingTarget&&c.overlappingTarget===n.tapTarget);if(!a){e.push(n);return}let{overlapScoreRatio:o}=n,{overlapScoreRatio:i}=a;(o>i||o===i&&r<t.indexOf(a))&&e.push(n)}),e}function roe(t){let e=t.map(n=>{let r=xM(n.tapTarget.clientRects),a=Math.floor(r.width),o=Math.floor(r.height),i=a+"x"+o;return{tapTarget:h.makeNodeItem(n.tapTarget.node),overlappingTarget:h.makeNodeItem(n.overlappingTarget.node),tapTargetScore:n.tapTargetScore,overlappingTargetScore:n.overlappingTargetScore,overlapScoreRatio:n.overlapScoreRatio,size:i,width:a,height:o}});return e.sort((n,r)=>r.overlapScoreRatio-n.overlapScoreRatio),e}var Aa,Do,Kd,Jae,sf,aoe,u4=v(()=>{"use strict";d();J();tf();zu();s4();k();Aa={title:"Tap targets are sized appropriately",failureTitle:"Tap targets are not sized appropriately",description:"Interactive elements like buttons and links should be large enough (48x48px), or have enough space around them, to be easy enough to tap without overlapping onto other elements. [Learn more about tap targets](https://developer.chrome.com/docs/lighthouse/seo/tap-targets/).",tapTargetHeader:"Tap Target",overlappingTargetHeader:"Overlapping Target",explanationViewportMetaNotOptimized:"Tap targets are too small because there's no viewport meta tag optimized for mobile screens",displayValue:"{decimalProportion, number, percent} appropriately sized tap targets"},Do=w("core/audits/seo/tap-targets.js",Aa),Kd=48,Jae=.25;s(Xae,"getBoundedTapTargets");s(Zae,"clientRectBelowMinimumSize");s(Qae,"getTooSmallTargets");s(eoe,"getAllOverlapFailures");s(toe,"getOverlapFailureForTargetPair");s(noe,"mergeSymmetricFailures");s(roe,"getTableItems");sf=class extends h{static{s(this,"TapTargets")}static get meta(){return{id:"tap-targets",title:Do(Aa.title),failureTitle:Do(Aa.failureTitle),description:Do(Aa.description),requiredArtifacts:["MetaElements","TapTargets"]}}static async audit(e,n){if(n.settings.formFactor==="desktop")return{score:1,notApplicable:!0};if(!(await ic.request(e.MetaElements,n)).isMobileOptimized)return{score:0,explanation:Do(Aa.explanationViewportMetaNotOptimized)};let a=Xae(e.TapTargets),o=Qae(a),i=eoe(o,a),c=noe(i),u=roe(c),l=[{key:"tapTarget",valueType:"node",label:Do(Aa.tapTargetHeader)},{key:"size",valueType:"text",label:Do(x.columnSize)},{key:"overlappingTarget",valueType:"node",label:Do(Aa.overlappingTargetHeader)}],m=h.makeTableDetails(l,u),p=e.TapTargets.length,g=new Set(i.map(T=>T.tapTarget)).size,f=p-g,y=1,b=1;g>0&&(b=f/p,y=b*.89);let D=Do(Aa.displayValue,{decimalProportion:b});return{score:y,details:m,displayValue:D}}};sf.FINGER_SIZE_PX=Kd;aoe=sf});var l4={};S(l4,{UIStrings:()=>dc,default:()=>soe});var dc,lc,ooe,ioe,yT,soe,d4=v(()=>{"use strict";d();J();k();Wt();dc={title:"Initial server response time was short",failureTitle:"Reduce initial server response time",description:"Keep the server response time for the main document short because all other requests depend on it. [Learn more about the Time to First Byte metric](https://developer.chrome.com/docs/lighthouse/performance/time-to-first-byte/).",displayValue:"Root document took {timeInMs, number, milliseconds} ms"},lc=w("core/audits/server-response-time.js",dc),ooe=600,ioe=100,yT=class t extends h{static{s(this,"ServerResponseTime")}static get meta(){return{id:"server-response-time",title:lc(dc.title),failureTitle:lc(dc.failureTitle),description:lc(dc.description),supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","URL","GatherContext"]}}static calculateResponseTime(e){return globalThis.isLightrider&&e.lrStatistics?e.lrStatistics.requestMs:e.timing?e.timing.receiveHeadersStart-e.timing.sendEnd:null}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await je.request({devtoolsLog:r,URL:e.URL},n),o=t.calculateResponseTime(a);if(o===null)throw new Error("no timing found for main resource");let i=o<ooe,c=lc(dc.displayValue,{timeInMs:o}),u=[{key:"url",valueType:"url",label:lc(x.columnURL)},{key:"responseTime",valueType:"timespanMs",label:lc(x.columnTimeSpent)}],l=Math.max(o-ioe,0),m=h.makeOpportunityDetails(u,[{url:a.url,responseTime:o}],{overallSavingsMs:l});return{numericValue:o,numericUnit:"millisecond",score:Number(i),displayValue:c,details:m,metricSavings:{FCP:l,LCP:l}}}},soe=yT});var vT,cf,bT=v(()=>{"use strict";d();J();vT=class extends h{static{s(this,"MultiCheckAudit")}static async audit(e,n){let r=await this.audit_(e,n);return this.createAuditProduct(r)}static createAuditProduct(e){let n={...e,...e.manifestValues,manifestValues:void 0,allChecks:void 0};e.manifestValues?.allChecks&&e.manifestValues.allChecks.forEach(a=>{n[a.id]=a.passing});let r={type:"debugdata",items:[n]};return e.failures.length>0?{score:0,explanation:`Failures: ${e.failures.join(`,
`)}.`,details:r}:{score:1,details:r}}static audit_(e,n){throw new Error("audit_ unimplemented")}},cf=vT});var m4={};S(m4,{UIStrings:()=>Jd,default:()=>coe});var Jd,wT,DT,coe,p4=v(()=>{"use strict";d();bT();Ad();k();Jd={title:"Configured for a custom splash screen",failureTitle:"Is not configured for a custom splash screen",description:"A themed splash screen ensures a high-quality experience when users launch your app from their homescreens. [Learn more about splash screens](https://developer.chrome.com/docs/lighthouse/pwa/splash-screen/)."},wT=w("core/audits/splash-screen.js",Jd),DT=class t extends cf{static{s(this,"SplashScreen")}static get meta(){return{id:"splash-screen",title:wT(Jd.title),failureTitle:wT(Jd.failureTitle),description:wT(Jd.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors"]}}static assessManifest(e,n){if(e.isParseFailure&&e.parseFailureReason){n.push(e.parseFailureReason);return}let r=["hasName","hasBackgroundColor","hasThemeColor","hasIconsAtLeast512px"];e.allChecks.filter(a=>r.includes(a.id)).forEach(a=>{a.passing||n.push(a.failureText)})}static async audit_(e,n){let r=[],a=await fo.request(e,n);return t.assessManifest(a,r),{failures:r,manifestValues:a}}},coe=DT});var f4={};S(f4,{UIStrings:()=>Xd,default:()=>uoe});var Xd,ET,TT,uoe,g4=v(()=>{"use strict";d();bT();Ad();k();Xd={title:"Sets a theme color for the address bar.",failureTitle:"Does not set a theme color for the address bar.",description:"The browser address bar can be themed to match your site. [Learn more about theming the address bar](https://developer.chrome.com/docs/lighthouse/pwa/themed-omnibox/)."},ET=w("core/audits/themed-omnibox.js",Xd),TT=class t extends cf{static{s(this,"ThemedOmnibox")}static get meta(){return{id:"themed-omnibox",title:ET(Xd.title),failureTitle:ET(Xd.failureTitle),description:ET(Xd.description),supportedModes:["navigation"],requiredArtifacts:["WebAppManifest","InstallabilityErrors","MetaElements"]}}static assessMetaThemecolor(e,n){e?e.content||n.push("The theme-color meta tag did not contain a content value"):n.push('No `<meta name="theme-color">` tag found')}static assessManifest(e,n){if(e.isParseFailure&&e.parseFailureReason){n.push(e.parseFailureReason);return}let r=e.allChecks.find(a=>a.id==="hasThemeColor");r&&!r.passing&&n.push(r.failureText)}static async audit_(e,n){let r=[],a=e.MetaElements.find(i=>i.name==="theme-color"),o=await fo.request(e,n);return t.assessManifest(o,r),t.assessMetaThemecolor(a,r),{failures:r,manifestValues:o,themeColor:a?.content||null}}},uoe=TT});var h4={};S(h4,{UIStrings:()=>bi,default:()=>xT});var bi,Eo,loe,doe,moe,ST,xT,CT=v(()=>{"use strict";d();J();ma();k();De();ba();Ql();bi={title:"Minimize third-party usage",failureTitle:"Reduce the impact of third-party code",description:"Third-party code can significantly impact load performance. Limit the number of redundant third-party providers and try to load third-party code after your page has primarily finished loading. [Learn how to minimize third-party impact](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/).",columnThirdParty:"Third-Party",displayValue:"Third-party code blocked the main thread for {timeInMs, number, milliseconds} ms"},Eo=w("core/audits/third-party-summary.js",bi),loe=250,doe=4096,moe=5,ST=class t extends h{static{s(this,"ThirdPartySummary")}static get meta(){return{id:"third-party-summary",title:Eo(bi.title),failureTitle:Eo(bi.failureTitle),description:Eo(bi.description),requiredArtifacts:["traces","devtoolsLogs","URL"]}}static getSummaries(e,n,r,a){let o=new Map,i=new Map,c={mainThreadTime:0,blockingTime:0,transferSize:0};for(let m of e){let p=o.get(m.url)||{...c};p.transferSize+=m.transferSize,o.set(m.url,p)}let u=Zl(e);for(let m of n){let p=_s(m,u),g=o.get(p)||{...c},f=m.selfTime*r;g.mainThreadTime+=f,g.blockingTime+=Math.max(f-50,0),o.set(p,g)}let l=new Map;for(let[m,p]of o.entries()){let g=a.entityByUrl.get(m);if(!g){o.delete(m);continue}let f=i.get(g)||{...c};f.transferSize+=p.transferSize,f.mainThreadTime+=p.mainThreadTime,f.blockingTime+=p.blockingTime,i.set(g,f);let y=l.get(g)||[];y.push(m),l.set(g,y)}return{byURL:o,byEntity:i,urls:l}}static makeSubItems(e,n,r){let o=(n.urls.get(e)||[]).map(p=>({url:p,...n.byURL.get(p)})).filter(p=>p.transferSize>0).sort((p,g)=>g.blockingTime-p.blockingTime||g.transferSize-p.transferSize),i={transferSize:0,blockingTime:0},c=Math.max(doe,r.transferSize/20),u=Math.min(moe,o.length),l=0;for(;l<u;){let p=o[l];if(p.blockingTime===0&&p.transferSize<c)break;l++,i.transferSize+=p.transferSize,i.blockingTime+=p.blockingTime}if(!i.blockingTime&&!i.transferSize)return[];o=o.slice(0,l);let m={url:Eo(x.otherResourcesLabel),transferSize:r.transferSize-i.transferSize,blockingTime:r.blockingTime-i.blockingTime};return m.transferSize>c&&o.push(m),o}static async audit(e,n){let r=n.settings||{},a=e.traces[h.DEFAULT_PASS],o=e.devtoolsLogs[h.DEFAULT_PASS],i=await $.request(o,n),c=await gn.request({URL:e.URL,devtoolsLog:o},n),u=c.firstParty,l=await yn.request(a,n),m=r.throttlingMethod==="simulate"?r.throttling.cpuSlowdownMultiplier:1,p=t.getSummaries(i,l,m,c),g={wastedBytes:0,wastedMs:0},f=Array.from(p.byEntity.entries()).filter(([D])=>!(u&&u===D)).map(([D,T])=>(g.wastedBytes+=T.transferSize,g.wastedMs+=T.blockingTime,{...T,entity:D.name,subItems:{type:"subitems",items:t.makeSubItems(D,p,T)}})).sort((D,T)=>T.blockingTime-D.blockingTime||T.transferSize-D.transferSize),y=[{key:"entity",valueType:"text",label:Eo(bi.columnThirdParty),subItemsHeading:{key:"url",valueType:"url"}},{key:"transferSize",granularity:1,valueType:"bytes",label:Eo(x.columnTransferSize),subItemsHeading:{key:"transferSize"}},{key:"blockingTime",granularity:1,valueType:"ms",label:Eo(x.columnBlockingTime),subItemsHeading:{key:"blockingTime"}}];if(!f.length)return{score:1,notApplicable:!0};let b=h.makeTableDetails(y,f,{...g,isEntityGrouped:!0});return{score:+(g.wastedMs<=loe),displayValue:Eo(bi.displayValue,{timeInMs:g.wastedMs}),details:b}}},xT=ST});var y4={};S(y4,{UIStrings:()=>wr,default:()=>foe});var wr,Fa,poe,AT,foe,v4=v(()=>{"use strict";d();J();k();ma();pp();De();ba();CT();wr={title:"Lazy load third-party resources with facades",failureTitle:"Some third-party resources can be lazy loaded with a facade",description:"Some third-party embeds can be lazy loaded. Consider replacing them with a facade until they are required. [Learn how to defer third-parties with a facade](https://developer.chrome.com/docs/lighthouse/performance/third-party-facades/).",displayValue:`{itemCount, plural,
  =1 {# facade alternative available}
  other {# facade alternatives available}
  }`,columnProduct:"Product",categoryVideo:"{productName} (Video)",categoryCustomerSuccess:"{productName} (Customer Success)",categoryMarketing:"{productName} (Marketing)",categorySocial:"{productName} (Social)"},Fa=w("core/audits/third-party-facades.js",wr),poe={video:wr.categoryVideo,"customer-success":wr.categoryCustomerSuccess,marketing:wr.categoryMarketing,social:wr.categorySocial},AT=class t extends h{static{s(this,"ThirdPartyFacades")}static get meta(){return{id:"third-party-facades",title:Fa(wr.title),failureTitle:Fa(wr.failureTitle),description:Fa(wr.description),supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","URL"]}}static condenseItems(e){e.sort((o,i)=>i.transferSize-o.transferSize);let n=e.findIndex(o=>o.transferSize<1e3)||1;if((n===-1||n>5)&&(n=5),n>=e.length-1)return;let a=e.splice(n).reduce((o,i)=>(o.transferSize+=i.transferSize,o.blockingTime+=i.blockingTime,o));a.transferSize<1e3||(a.url=Fa(x.otherResourcesLabel),e.push(a))}static getProductsWithFacade(e,n){let r=new Map;for(let a of e.keys()){let o=n.entityByUrl.get(a);if(!o||n.isFirstParty(a))continue;let i=Va.getProduct(a);!i||!i.facades||!i.facades.length||r.has(i.name)||r.set(i.name,{product:i,entity:o})}return Array.from(r.values())}static async audit(e,n){let r=n.settings,a=e.traces[h.DEFAULT_PASS],o=e.devtoolsLogs[h.DEFAULT_PASS],i=await $.request(o,n),c=await gn.request({URL:e.URL,devtoolsLog:o},n),u=await yn.request(a,n),l=r.throttlingMethod==="simulate"?r.throttling.cpuSlowdownMultiplier:1,m=xT.getSummaries(i,u,l,c),p=t.getProductsWithFacade(m.byURL,c),g=[];for(let{product:y,entity:b}of p){let D=poe[y.categories[0]],T;D?T=Fa(D,{productName:y.name}):T=y.name;let A=m.urls.get(b),R=m.byEntity.get(b);if(!A||!R)continue;let F=Array.from(A).map(M=>{let V=m.byURL.get(M);return{url:M,...V}});this.condenseItems(F),g.push({product:T,transferSize:R.transferSize,blockingTime:R.blockingTime,subItems:{type:"subitems",items:F},entity:b.name})}if(!g.length)return{score:1,notApplicable:!0};let f=[{key:"product",valueType:"text",subItemsHeading:{key:"url",valueType:"url"},label:Fa(wr.columnProduct)},{key:"transferSize",valueType:"bytes",subItemsHeading:{key:"transferSize"},granularity:1,label:Fa(x.columnTransferSize)},{key:"blockingTime",valueType:"ms",subItemsHeading:{key:"blockingTime"},granularity:1,label:Fa(x.columnBlockingTime)}];return{score:0,displayValue:Fa(wr.displayValue,{itemCount:g.length}),details:h.makeTableDetails(f,g)}}},foe=AT});var b4={};S(b4,{UIStrings:()=>pc,default:()=>goe});var pc,mc,FT,goe,w4=v(()=>{"use strict";d();J();V1();Wt();Eu();k();pc={title:"Timing budget",description:"Set a timing budget to help you keep an eye on the performance of your site. Performant sites load fast and respond to user input events quickly. [Learn more about performance budgets](https://developers.google.com/web/tools/lighthouse/audits/budgets).",columnTimingMetric:"Metric",columnMeasurement:"Measurement"},mc=w("core/audits/timing-budget.js",pc),FT=class extends h{static{s(this,"TimingBudget")}static get meta(){return{id:"timing-budget",title:mc(pc.title),description:mc(pc.description),scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","traces","URL","GatherContext"]}}static getRowLabel(e){let n={"first-contentful-paint":x.firstContentfulPaintMetric,interactive:x.interactiveMetric,"first-meaningful-paint":x.firstMeaningfulPaintMetric,"max-potential-fid":x.maxPotentialFIDMetric,"total-blocking-time":x.totalBlockingTimeMetric,"speed-index":x.speedIndexMetric,"largest-contentful-paint":x.largestContentfulPaintMetric,"cumulative-layout-shift":x.cumulativeLayoutShiftMetric};return mc(n[e])}static getMeasurement(e,n){return{"first-contentful-paint":n.firstContentfulPaint,interactive:n.interactive,"first-meaningful-paint":n.firstMeaningfulPaint,"max-potential-fid":n.maxPotentialFID,"total-blocking-time":n.totalBlockingTime,"speed-index":n.speedIndex,"largest-contentful-paint":n.largestContentfulPaint,"cumulative-layout-shift":n.cumulativeLayoutShift}[e]}static tableItems(e,n){let r=[];if(!e.timings)return r;r=e.timings.map(o=>{let i=o.metric,c=this.getRowLabel(i),u=this.getMeasurement(i,n),l=u&&u>o.budget?u-o.budget:void 0;return{metric:i,label:c,measurement:u,overBudget:l}}).sort((o,i)=>(i.overBudget||0)-(o.overBudget||0));let a=r.find(o=>o.metric==="cumulative-layout-shift");return a&&(typeof a.measurement=="number"&&(a.measurement={type:"numeric",value:Number(a.measurement),granularity:.01}),typeof a.overBudget=="number"&&(a.overBudget={type:"numeric",value:Number(a.overBudget),granularity:.01})),r}static async audit(e,n){let r=e.GatherContext,a=e.devtoolsLogs[h.DEFAULT_PASS],o=e.traces[h.DEFAULT_PASS],i=e.URL,c=await je.request({URL:i,devtoolsLog:a},n),u={trace:o,devtoolsLog:a,gatherContext:r,settings:n.settings,URL:i},l=(await rc.request(u,n)).metrics,m=Mr.getMatchingBudget(n.settings.budgets,c.url);if(!m)return{score:0,notApplicable:!0};let p=[{key:"label",valueType:"text",label:mc(pc.columnTimingMetric)},{key:"measurement",valueType:"ms",label:mc(pc.columnMeasurement)},{key:"overBudget",valueType:"ms",label:mc(x.columnOverBudget)}];return{details:h.makeTableDetails(p,this.tableItems(m,l),{sortedBy:["overBudget"]}),score:1}}},goe=FT});var D4={};S(D4,{UIStrings:()=>Zd,default:()=>hoe});var Zd,uf,RT,hoe,E4=v(()=>{"use strict";d();J();k();lt();Zd={title:"Image elements have explicit `width` and `height`",failureTitle:"Image elements do not have explicit `width` and `height`",description:"Set an explicit width and height on image elements to reduce layout shifts and improve CLS. [Learn how to set image dimensions](https://web.dev/optimize-cls/#images-without-dimensions)"},uf=w("core/audits/unsized-images.js",Zd),RT=class t extends h{static{s(this,"UnsizedImages")}static get meta(){return{id:"unsized-images",title:uf(Zd.title),failureTitle:uf(Zd.failureTitle),description:uf(Zd.description),requiredArtifacts:["ImageElements"]}}static doesHtmlAttrProvideExplicitSize(e){return!e||e.startsWith("+")?!1:parseInt(e,10)>=0}static isCssPropExplicitlySet(e){return e?!["auto","initial","unset","inherit"].includes(e):!1}static isSizedImage(e){if(e.cssEffectiveRules===void 0)return!0;let n=e.attributeWidth,r=e.attributeHeight,a=e.cssEffectiveRules.width,o=e.cssEffectiveRules.height,i=e.cssEffectiveRules.aspectRatio,c=t.doesHtmlAttrProvideExplicitSize(n),u=t.isCssPropExplicitlySet(a),l=t.doesHtmlAttrProvideExplicitSize(r),m=t.isCssPropExplicitlySet(o),p=t.isCssPropExplicitlySet(i),g=c||u,f=l||m;return g&&f||g&&p||f&&p}static isNonNetworkSvg(e){let n=te.guessMimeType(e.src)==="image/svg+xml",r=e.src.slice(0,e.src.indexOf(":")),a=te.isNonNetworkProtocol(r);return n&&a}static async audit(e){let n=e.ImageElements.filter(o=>!o.isCss&&!o.isInShadowDOM),r=[];for(let o of n){if(o.computedStyles.position==="fixed"||o.computedStyles.position==="absolute"||t.isNonNetworkSvg(o)||t.isSizedImage(o))continue;let c=o.node.boundingRect;c.width===0&&c.height===0||r.push({url:te.elideDataURI(o.src),node:h.makeNodeItem(o.node)})}let a=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:uf(x.columnURL)}];return{score:r.length>0?0:1,notApplicable:n.length===0,details:h.makeTableDetails(a,r),metricSavings:{CLS:0}}}},hoe=RT});var _T,T4,S4=v(()=>{"use strict";d();we();Jt();_T=class{static{s(this,"UserTimings")}static async compute_(e,n){let r=await Ye.request(e,n),a=[],o={};return r.processEvents.filter(i=>i.cat.includes("blink.user_timing")?i.name!=="requestStart"&&i.name!=="navigationStart"&&i.name!=="paintNonDefaultBackgroundColor"&&i.args.frame===void 0:!1).forEach(i=>{i.ph==="R"||i.ph.toUpperCase()==="I"?a.push({name:i.name,isMark:!0,args:i.args,startTime:i.ts}):i.ph.toLowerCase()==="b"?o[i.name]=i.ts:i.ph.toLowerCase()==="e"&&a.push({name:i.name,isMark:!1,args:i.args,startTime:o[i.name],endTime:i.ts,duration:i.ts-o[i.name]})}),a.forEach(i=>{i.startTime=(i.startTime-r.timeOriginEvt.ts)/1e3,i.isMark||(i.endTime=(i.endTime-r.timeOriginEvt.ts)/1e3,i.duration=i.duration/1e3)}),a}},T4=W(_T,null)});var x4={};S(x4,{UIStrings:()=>fc,default:()=>yoe});var fc,wi,kT,yoe,C4=v(()=>{"use strict";d();J();k();S4();fc={title:"User Timing marks and measures",description:"Consider instrumenting your app with the User Timing API to measure your app's real-world performance during key user experiences. [Learn more about User Timing marks](https://developer.chrome.com/docs/lighthouse/performance/user-timings/).",displayValue:`{itemCount, plural,
    =1 {1 user timing}
    other {# user timings}
    }`,columnType:"Type"},wi=w("core/audits/user-timings.js",fc),kT=class t extends h{static{s(this,"UserTimings")}static get meta(){return{id:"user-timings",title:wi(fc.title),description:wi(fc.description),scoreDisplayMode:h.SCORING_MODES.INFORMATIVE,requiredArtifacts:["traces"]}}static get excludedPrefixes(){return["goog_"]}static excludeEvent(e){return t.excludedPrefixes.every(n=>!e.name.startsWith(n))}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],o=(await T4.request(r,n)).filter(t.excludeEvent),i=o.map(m=>({name:m.name,startTime:m.startTime,duration:m.isMark?void 0:m.duration,timingType:m.isMark?"Mark":"Measure"})).sort((m,p)=>m.timingType===p.timingType?m.startTime-p.startTime:m.timingType==="Measure"?-1:1),c=[{key:"name",valueType:"text",label:wi(x.columnName)},{key:"timingType",valueType:"text",label:wi(fc.columnType)},{key:"startTime",valueType:"ms",granularity:.01,label:wi(x.columnStartTime)},{key:"duration",valueType:"ms",granularity:.01,label:wi(x.columnDuration)}],u=h.makeTableDetails(c,i),l;return o.length&&(l=wi(fc.displayValue,{itemCount:o.length})),{score:+(o.length===0),notApplicable:o.length===0,displayValue:l,details:u}}},yoe=kT});var A4={};S(A4,{UIStrings:()=>Di,default:()=>woe});var voe,boe,Di,To,IT,woe,F4=v(()=>{"use strict";d();J();Xt();lt();k();De();Wt();tr();Ur();$n();ii();fr();voe=15e3,boe=50,Di={title:"Preconnect to required origins",description:"Consider adding `preconnect` or `dns-prefetch` resource hints to establish early connections to important third-party origins. [Learn how to preconnect to required origins](https://developer.chrome.com/docs/lighthouse/performance/uses-rel-preconnect/).",unusedWarning:'A `<link rel=preconnect>` was found for "{securityOrigin}" but was not used by the browser. Only use `preconnect` for important origins that the page will certainly request.',crossoriginWarning:'A `<link rel=preconnect>` was found for "{securityOrigin}" but was not used by the browser. Check that you are using the `crossorigin` attribute properly.',tooManyPreconnectLinksWarning:"More than 2 `<link rel=preconnect>` connections were found. These should be used sparingly and only to the most important origins."},To=w("core/audits/uses-rel-preconnect.js",Di),IT=class t extends h{static{s(this,"UsesRelPreconnectAudit")}static get meta(){return{id:"uses-rel-preconnect",title:To(Di.title),description:To(Di.description),supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","URL","LinkElements"],scoreDisplayMode:h.SCORING_MODES.NUMERIC}}static hasValidTiming(e){return!!e.timing&&e.timing.connectEnd>=0&&e.timing.connectStart>=0}static hasAlreadyConnectedToOrigin(e){return e.timing?e.timing.dnsStart===-1&&e.timing.dnsEnd===-1&&e.timing.connectStart===-1&&e.timing.connectEnd===-1||e.timing.dnsEnd-e.timing.dnsStart===0&&e.timing.connectEnd-e.timing.connectStart===0:!1}static socketStartTimeIsBelowThreshold(e,n){return Math.max(0,e.networkRequestTime-n.networkEndTime)<voe}static async audit(e,n){let r=e.traces[t.DEFAULT_PASS],a=e.devtoolsLogs[t.DEFAULT_PASS],o=n.settings,i=0,c=0,u=[],[l,m,p,g,f]=await Promise.all([$.request(a,n),je.request({devtoolsLog:a,URL:e.URL},n),Ht.request({devtoolsLog:a,settings:o},n),on.request(r,n),kt.request({trace:r,devtoolsLog:a,URL:e.URL},n)]),{rtt:y,additionalRttByOrigin:b}=p.getOptions(),D=await rr.getPessimisticGraph(f,g),T=new Set;D.traverse(Z=>{Z.type==="network"&&T.add(Z.record.url)});let A=await It.getPessimisticGraph(f,g),R=new Set;A.traverse(Z=>{Z.type==="network"&&R.add(Z.record.url)});let F=new Map;l.forEach(Z=>{if(!t.hasValidTiming(Z)||Z.initiator.url===m.url||!Z.parsedURL||!Z.parsedURL.securityOrigin||m.parsedURL.securityOrigin===Z.parsedURL.securityOrigin||!T.has(Z.url)||t.hasAlreadyConnectedToOrigin(Z)||!t.socketStartTimeIsBelowThreshold(Z,m))return;let de=Z.parsedURL.securityOrigin,Le=F.get(de)||[];Le.push(Z),F.set(de,Le)});let M=e.LinkElements.filter(Z=>Z.rel==="preconnect"),V=new Set(M.map(Z=>te.getOrigin(Z.href||""))),z=[];F.forEach(Z=>{let de=Z.reduce((mt,at)=>at.networkRequestTime<mt.networkRequestTime?at:mt);if(!de.timing)return;let Le=de.parsedURL.securityOrigin,pe=b.get(Le)||0,wt=y+pe;de.parsedURL.scheme==="https"&&(wt=wt*2);let ye=de.networkRequestTime-m.networkEndTime+de.timing.dnsStart,_e=Math.min(wt,ye);if(!(_e<boe)){if(V.has(Le)){u.push(To(Di.crossoriginWarning,{securityOrigin:Le}));return}i=Math.max(_e,i),R.has(de.url)&&(c=Math.max(_e,i)),z.push({url:Le,wastedMs:_e})}}),z=z.sort((Z,de)=>de.wastedMs-Z.wastedMs);for(let Z of V)Z&&(l.some(de=>Z===de.parsedURL.securityOrigin)||u.push(To(Di.unusedWarning,{securityOrigin:Z})));if(M.length>=2)return{score:1,warnings:M.length>=3?[...u,To(Di.tooManyPreconnectLinksWarning)]:u,metricSavings:{LCP:i,FCP:c}};let ne=[{key:"url",valueType:"url",label:To(x.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:To(x.columnWastedMs)}],se=h.makeOpportunityDetails(ne,z,{overallSavingsMs:i,sortedBy:["wastedMs"]});return{score:ie.scoreForWastedMs(i),numericValue:i,numericUnit:"millisecond",displayValue:i?To(x.displayValueMsSavings,{wastedMs:i}):"",warnings:u,details:se,metricSavings:{LCP:i,FCP:c}}}},woe=IT});var R4={};S(R4,{UIStrings:()=>Qd,default:()=>Eoe});var Qd,gc,Doe,MT,Eoe,_4=v(()=>{"use strict";d();lt();St();J();Xt();R0();k();Wt();$n();tr();Qd={title:"Preload key requests",description:"Consider using `<link rel=preload>` to prioritize fetching resources that are currently requested later in page load. [Learn how to preload key requests](https://developer.chrome.com/docs/lighthouse/performance/uses-rel-preload/).",crossoriginWarning:'A preload `<link>` was found for "{preloadURL}" but was not used by the browser. Check that you are using the `crossorigin` attribute properly.'},gc=w("core/audits/uses-rel-preload.js",Qd),Doe=100,MT=class t extends h{static{s(this,"UsesRelPreloadAudit")}static get meta(){return{id:"uses-rel-preload",title:gc(Qd.title),description:gc(Qd.description),supportedModes:["navigation"],requiredArtifacts:["devtoolsLogs","traces","URL"],scoreDisplayMode:h.SCORING_MODES.NUMERIC}}static getURLsToPreload(e,n){let r=new Set;return n.traverse((a,o)=>{if(a.type!=="network")return;let i=o.slice(1).filter(c=>c.type==="network");t.shouldPreloadRequest(a.record,e,i)&&r.add(a.record.url)}),r}static getURLsFailedToPreload(e){let n=[];e.traverse(i=>i.type==="network"&&n.push(i.record));let r=n.filter(i=>i.isLinkPreload),a=new Map;for(let i of r){let c=a.get(i.frameId)||new Set;c.add(i.url),a.set(i.frameId,c)}let o=n.filter(i=>{let c=a.get(i.frameId);return!c||!c.has(i.url)?!1:!(i.fromDiskCache||i.fromMemoryCache||i.fromPrefetchCache)&&!i.isLinkPreload});return new Set(o.map(i=>i.url))}static shouldPreloadRequest(e,n,r){let a=n.redirects?n.redirects.length:0;return e.isLinkPreload||!v1.isCritical(e,n)||Y.isNonNetworkRequest(e)||r.length!==a+2||e.frameId!==n.frameId?!1:te.rootDomainsMatch(e.url,n.url)}static computeWasteWithGraph(e,n,r){if(!e.size)return{wastedMs:0,results:[]};let a=r.simulate(n,{flexibleOrdering:!0}),o=n.cloneWithRelationships(),i=[],c=null;if(o.traverse(p=>{p.type==="network"&&(p.isMainDocument()?c=p:p.record&&e.has(p.record.url)&&i.push(p))}),!c)throw new Error("Could not find main document node");for(let p of i)p.removeAllDependencies(),p.addDependency(c);let u=r.simulate(o,{flexibleOrdering:!0}),l=Array.from(a.nodeTimings.keys()).reduce((p,g)=>p.set(g.record,g),new Map),m=[];for(let p of i){let g=l.get(p.record),f=u.nodeTimings.get(p),y=a.nodeTimings.get(g);if(!y||!f)throw new Error("Missing preload node");let b=Math.round(y.endTime-f.endTime);b<Doe||m.push({url:p.record.url,wastedMs:b})}return m.length?{wastedMs:Math.max(...m.map(p=>p.wastedMs)),results:m}:{wastedMs:0,results:m}}static async audit_(e,n){let r=e.traces[t.DEFAULT_PASS],a=e.devtoolsLogs[t.DEFAULT_PASS],o=e.URL,i={devtoolsLog:a,settings:n.settings},[c,u,l]=await Promise.all([je.request({devtoolsLog:a,URL:o},n),kt.request({trace:r,devtoolsLog:a,URL:o},n),Ht.request(i,n)]),m=t.getURLsToPreload(c,u),{results:p,wastedMs:g}=t.computeWasteWithGraph(m,u,l);p.sort((T,A)=>A.wastedMs-T.wastedMs);let f,y=t.getURLsFailedToPreload(u);y.size&&(f=Array.from(y).map(T=>gc(Qd.crossoriginWarning,{preloadURL:T})));let b=[{key:"url",valueType:"url",label:gc(x.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:gc(x.columnWastedMs)}],D=h.makeOpportunityDetails(b,p,{overallSavingsMs:g,sortedBy:["wastedMs"]});return{score:ie.scoreForWastedMs(g),numericValue:g,numericUnit:"millisecond",displayValue:g?gc(x.displayValueMsSavings,{wastedMs:g}):"",details:D,warnings:f}}static async audit(){return{score:1,notApplicable:!0,details:h.makeOpportunityDetails([],[],{overallSavingsMs:0})}}},Eoe=MT});var k4={};S(k4,{UIStrings:()=>So,default:()=>Soe});var So,Ei,Toe,NT,Soe,I4=v(()=>{"use strict";d();J();ma();k();Rr();lt();So={title:"Page has valid source maps",failureTitle:"Missing source maps for large first-party JavaScript",description:"Source maps translate minified code to the original source code. This helps developers debug in production. In addition, Lighthouse is able to provide further insights. Consider deploying source maps to take advantage of these benefits. [Learn more about source maps](https://developer.chrome.com/docs/devtools/javascript/source-maps/).",columnMapURL:"Map URL",missingSourceMapErrorMessage:"Large JavaScript file is missing a source map",missingSourceMapItemsWarningMesssage:"{missingItems, plural,\n    =1 {Warning: missing 1 item in `.sourcesContent`}\n    other {Warning: missing # items in `.sourcesContent`}\n    }"},Ei=w("core/audits/valid-source-maps.js",So),Toe=500*1024,NT=class extends h{static{s(this,"ValidSourceMaps")}static get meta(){return{id:"valid-source-maps",title:Ei(So.title),failureTitle:Ei(So.failureTitle),description:Ei(So.description),requiredArtifacts:["Scripts","SourceMaps","URL","devtoolsLogs"]}}static isLargeFirstPartyJS(e,n){let r=e.url;if(!e.length||!r||!te.isValid(r)||!rt.createOrReturnURL(r).protocol.startsWith("http"))return!1;let a=e.length>=Toe;return n.isFirstParty(r)&&a}static async audit(e,n){let{SourceMaps:r}=e,a=e.devtoolsLogs[h.DEFAULT_PASS],o=await gn.request({URL:e.URL,devtoolsLog:a},n),i=new Set,c=!1,u=[];for(let m of e.Scripts){let p=r.find(y=>y.scriptId===m.scriptId),g=[];if(this.isLargeFirstPartyJS(m,o)&&(!p||!p.map)&&(c=!0,i.add(m.url),g.push({error:Ei(So.missingSourceMapErrorMessage)})),p&&!p.map&&g.push({error:p.errorMessage}),p?.map){let y=p.map.sourcesContent||[],b=0;for(let D=0;D<p.map.sources.length;D++)(y.length<D||!y[D])&&(b+=1);b>0&&g.push({error:Ei(So.missingSourceMapItemsWarningMesssage,{missingItems:b})})}(p||g.length)&&u.push({scriptUrl:m.url,sourceMapUrl:p?.sourceMapUrl,subItems:{type:"subitems",items:g}})}let l=[{key:"scriptUrl",valueType:"url",subItemsHeading:{key:"error"},label:Ei(x.columnURL)},{key:"sourceMapUrl",valueType:"url",label:Ei(So.columnMapURL)}];return u.sort((m,p)=>{let g=i.has(m.scriptUrl),f=i.has(p.scriptUrl);return g&&!f?-1:!g&&f?1:m.subItems.items.length&&!p.subItems.items.length?-1:!m.subItems.items.length&&p.subItems.items.length?1:p.scriptUrl.localeCompare(m.scriptUrl)}),{score:c?0:1,details:h.makeTableDetails(l,u)}}},Soe=NT});var M4={};S(M4,{UIStrings:()=>hc,default:()=>xoe});var hc,lf,LT,xoe,N4=v(()=>{"use strict";d();J();tf();k();hc={title:'Has a `<meta name="viewport">` tag with `width` or `initial-scale`',failureTitle:'Does not have a `<meta name="viewport">` tag with `width` or `initial-scale`',description:'A `<meta name="viewport">` not only optimizes your app for mobile screen sizes, but also prevents [a 300 millisecond delay to user input](https://developer.chrome.com/blog/300ms-tap-delay-gone-away/). [Learn more about using the viewport meta tag](https://developer.chrome.com/docs/lighthouse/pwa/viewport/).',explanationNoTag:'No `<meta name="viewport">` tag found'},lf=w("core/audits/viewport.js",hc),LT=class extends h{static{s(this,"Viewport")}static get meta(){return{id:"viewport",title:lf(hc.title),failureTitle:lf(hc.failureTitle),description:lf(hc.description),requiredArtifacts:["MetaElements"]}}static async audit(e,n){let r=await ic.request(e.MetaElements,n),a=300;return r.hasViewportTag?(r.isMobileOptimized&&(a=0),{score:Number(r.isMobileOptimized),metricSavings:{INP:a},warnings:r.parserWarnings}):{score:0,explanation:lf(hc.explanationNoTag),metricSavings:{INP:a}}}},xoe=LT});var L4={};S(L4,{UIStrings:()=>xo,default:()=>Aoe});var Coe,xo,yc,PT,Aoe,P4=v(()=>{"use strict";d();J();Kp();Jt();k();De();Uw();Xl();Ar();Ql();DE();Bt();Coe=1,xo={title:"Minimizes work during key interaction",failureTitle:"Minimize work during key interaction",description:"This is the thread-blocking work occurring during the Interaction to Next Paint measurement. [Learn more about the Interaction to Next Paint metric](https://web.dev/inp/).",inputDelay:"Input delay",processingTime:"Processing time",presentationDelay:"Presentation delay",displayValue:"{timeInMs, number, milliseconds} ms spent on event '{interactionType}'",eventTarget:"Event target"},yc=w("core/audits/work-during-interaction.js",xo),PT=class t extends h{static{s(this,"WorkDuringInteraction")}static get meta(){return{id:"work-during-interaction",title:yc(xo.title),failureTitle:yc(xo.failureTitle),description:yc(xo.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["timespan"],requiredArtifacts:["traces","devtoolsLogs","TraceElements"]}}static recursivelyClipTasks(e,n,r,a){let o=e.event.ts,i=e.endEvent?.ts??e.event.ts+Number(e.event.dur||0);e.startTime=Math.max(r,Math.min(a,o))/1e3,e.endTime=Math.max(r,Math.min(a,i))/1e3,e.duration=e.endTime-e.startTime;let c=e.children.map(u=>t.recursivelyClipTasks(u,e,r,a)).reduce((u,l)=>u+l,0);return e.selfTime=e.duration-c,e.duration}static clipTasksByTs(e,n,r){for(let a of e)a.parent||t.recursivelyClipTasks(a,void 0,n,r)}static getPhaseTimes(e){let n=e.args.data,r=e.ts,a=r-n.timeStamp*1e3,o=a+n.processingStart*1e3,i=a+n.processingEnd*1e3,c=r+n.duration*1e3;return{inputDelay:{startTs:r,endTs:o},processingTime:{startTs:o,endTs:i},presentationDelay:{startTs:i,endTs:c}}}static getThreadBreakdownTable(e,n,r,a){let o=Kt.filteredTraceSort(n.traceEvents,g=>g.pid===e.pid&&g.tid===e.tid),i=o.reduce((g,f)=>Math.max(f.ts+(f.dur||0),g),0),{frames:c}=r,u=Rs.getMainThreadTasks(o,c,i),l=t.getPhaseTimes(e),m=[];for(let[g,f]of Object.entries(l)){t.clipTasksByTs(u,f.startTs,f.endTs);let y=Jp(u,a),b=[];for(let[T,A]of y){let R=Object.values(A).reduce((z,ne)=>z+ne),F=A[kn.scriptEvaluation.id]||0,M=A[kn.styleLayout.id]||0,V=A[kn.paintCompositeRender.id]||0;b.push({url:T,total:R,scripting:F,layout:M,render:V})}let D=b.filter(T=>T.total>Coe).sort((T,A)=>A.total-T.total);m.push({phase:yc(xo[g]),total:(f.endTs-f.startTs)/1e3,subItems:{type:"subitems",items:D}})}let p=[{key:"phase",valueType:"text",subItemsHeading:{key:"url",valueType:"url"},label:"Phase"},{key:"total",valueType:"ms",subItemsHeading:{key:"total",granularity:1,valueType:"ms"},granularity:1,label:"Total time"},{key:null,valueType:"ms",subItemsHeading:{key:"scripting",granularity:1,valueType:"ms"},label:"Script evaluation"},{key:null,valueType:"ms",subItemsHeading:{key:"layout",granularity:1,valueType:"ms"},label:kn.styleLayout.label},{key:null,valueType:"ms",subItemsHeading:{key:"render",granularity:1,valueType:"ms"},label:kn.paintCompositeRender.label}];return{table:h.makeTableDetails(p,m,{sortedBy:["total"]}),phases:l}}static getTraceElementTable(e){let n=e.find(o=>o.traceEventType==="responsiveness");if(!n)return;let r=[{key:"node",valueType:"node",label:yc(xo.eventTarget)}],a=[{node:h.makeNodeItem(n.node)}];return h.makeTableDetails(r,a)}static async audit(e,n){let{settings:r}=n;if(r.throttlingMethod==="simulate")return{score:null,notApplicable:!0,metricSavings:{INP:0}};let a=e.traces[t.DEFAULT_PASS],o={trace:a,settings:r},i=await Fs.request(o,n);if(i===null)return{score:null,notApplicable:!0,metricSavings:{INP:0}};if(i.name==="FallbackTiming")throw new G(G.errors.UNSUPPORTED_OLD_CHROME,{featureName:"detailed EventTiming trace events"});let c=[],u=t.getTraceElementTable(e.TraceElements);u&&c.push(u);let l=e.devtoolsLogs[t.DEFAULT_PASS],m=await $.request(l,n),p=await Ye.request(a,n),{table:g,phases:f}=t.getThreadBreakdownTable(i,a,p,m);c.push(g);let y=i.args.data.type;c.push({type:"debugdata",interactionType:y,phases:f});let b=i.args.data.duration,D=yc(xo.displayValue,{timeInMs:b,interactionType:y});return{score:b<wE.defaultOptions.p10?1:0,displayValue:D,details:{type:"list",items:c},metricSavings:{INP:b}}}},Aoe=PT});var Mt,Co,Tn,me,vc,O4,df,Ct=v(()=>{d();k();Mt={GROUPS__METRICS:"Metrics",GROUPS__ADS_PERFORMANCE:"Ad Speed",GROUPS__ADS_BEST_PRACTICES:"Tag Best Practices",NOT_APPLICABLE__DEFAULT:"Audit not applicable",NOT_APPLICABLE__INVALID_TIMING:"Invalid timing task data",NOT_APPLICABLE__NO_AD_RELATED_REQ:"No ad-related requests",NOT_APPLICABLE__NO_AD_RENDERED:"No ads rendered",NOT_APPLICABLE__NO_ADS_VIEWPORT:"No ads in viewport",NOT_APPLICABLE__NO_ADS:"No ads requested",NOT_APPLICABLE__NO_BIDS:"No bids detected",NOT_APPLICABLE__NO_EVENT_MATCHING_REQ:"No event matches network records",NOT_APPLICABLE__NO_GPT:"GPT not requested",NOT_APPLICABLE__NO_RECORDS:"No successful network records",NOT_APPLICABLE__NO_VISIBLE_SLOTS:"No visible slots",NOT_APPLICABLE__NO_TAG:"No tag requested",NOT_APPLICABLE__NO_TAGS:"No tags requested",NOT_APPLICABLE__NO_TASKS:"No tasks to compare",NOT_APPLICABLE__NO_VALID_AD_WIDTHS:"No requested ads contain ads of valid width",NOT_APPLICABLE__NO_LAYOUT_SHIFTS:"No layout shift events found",ERRORS__AREA_LARGER_THAN_VIEWPORT:"Calculated ad area is larger than viewport",ERRORS__VIEWPORT_AREA_ZERO:"Viewport area is zero",WARNINGS__NO_ADS:"No ads were requested when fetching this page.",WARNINGS__NO_AD_RENDERED:"No ads were rendered when rendering this page.",WARNINGS__NO_TAG:"The GPT tag was not requested."},Co=w("node_modules/lighthouse-plugin-publisher-ads/messages/common-strings.js",Mt),Tn=s(t=>({notApplicable:!0,score:1,displayValue:Co(t)}),"notApplicableObj"),me={Default:Tn(Mt.NOT_APPLICABLE__DEFAULT),InvalidTiming:Tn(Mt.NOT_APPLICABLE__INVALID_TIMING),NoAdRelatedReq:Tn(Mt.NOT_APPLICABLE__NO_AD_RELATED_REQ),NoAdRendered:Tn(Mt.NOT_APPLICABLE__NO_AD_RENDERED),NoAdsViewport:Tn(Mt.NOT_APPLICABLE__NO_ADS_VIEWPORT),NoAds:Tn(Mt.NOT_APPLICABLE__NO_ADS),NoBids:Tn(Mt.NOT_APPLICABLE__NO_BIDS),NoEventMatchingReq:Tn(Mt.NOT_APPLICABLE__NO_EVENT_MATCHING_REQ),NoGpt:Tn(Mt.NOT_APPLICABLE__NO_GPT),NoLayoutShifts:Tn(Mt.NOT_APPLICABLE__NO_LAYOUT_SHIFTS),NoRecords:Tn(Mt.NOT_APPLICABLE__NO_RECORDS),NoVisibleSlots:Tn(Mt.NOT_APPLICABLE__NO_VISIBLE_SLOTS),NoTag:Tn(Mt.NOT_APPLICABLE__NO_TAG),NoTags:Tn(Mt.NOT_APPLICABLE__NO_TAGS),NoTasks:Tn(Mt.NOT_APPLICABLE__NO_TASKS),NoValidAdWidths:Tn(Mt.NOT_APPLICABLE__NO_VALID_AD_WIDTHS)},vc={NoAds:Co(Mt.WARNINGS__NO_ADS),NoAdRendered:Co(Mt.WARNINGS__NO_AD_RENDERED),NoTag:Co(Mt.WARNINGS__NO_TAG)},O4={ViewportAreaZero:Co(Mt.ERRORS__VIEWPORT_AREA_ZERO)},df={Metrics:Co(Mt.GROUPS__METRICS),AdsPerformance:Co(Mt.GROUPS__ADS_PERFORMANCE),AdsBestPractices:Co(Mt.GROUPS__ADS_BEST_PRACTICES)}});var U4={};S(U4,{UIStrings:()=>OT,default:()=>Roe});var Nt,OT,Foe,Roe,B4=v(()=>{d();k();Ct();Nt="lighthouse-plugin-publisher-ads",OT={categoryDescription:"A Lighthouse plugin to improve ad speed and overall quality that is targeted at sites using GPT or AdSense tag. [Learn more](https://developers.google.com/publisher-ads-audits/reference)"},Foe=w("node_modules/lighthouse-plugin-publisher-ads/plugin.js",OT),Roe={audits:[{path:`${Nt}/audits/ad-blocking-tasks`},{path:`${Nt}/audits/ad-render-blocking-resources`},{path:`${Nt}/audits/ad-request-critical-path`},{path:`${Nt}/audits/bid-request-from-page-start`},{path:`${Nt}/audits/ad-request-from-page-start`},{path:`${Nt}/audits/ad-top-of-viewport`},{path:`${Nt}/audits/ads-in-viewport`},{path:`${Nt}/audits/async-ad-tags`},{path:`${Nt}/audits/blocking-load-events`},{path:`${Nt}/audits/bottleneck-requests`},{path:`${Nt}/audits/duplicate-tags`},{path:`${Nt}/audits/first-ad-render`},{path:`${Nt}/audits/full-width-slots`},{path:`${Nt}/audits/gpt-bids-parallel`},{path:`${Nt}/audits/loads-gpt-from-official-source`},{path:`${Nt}/audits/loads-ad-tag-over-https`},{path:`${Nt}/audits/script-injected-tags`},{path:`${Nt}/audits/serial-header-bidding`},{path:`${Nt}/audits/tag-load-time`},{path:`${Nt}/audits/viewport-ad-density`},{path:`${Nt}/audits/cumulative-ad-shift`},{path:`${Nt}/audits/deprecated-api-usage`},{path:`${Nt}/audits/gpt-errors-overall`},{path:`${Nt}/audits/total-ad-blocking-time`}],groups:{metrics:{title:df.Metrics},"ads-performance":{title:df.AdsPerformance},"ads-best-practices":{title:df.AdsBestPractices}},category:{title:"Publisher Ads",description:Foe(OT.categoryDescription),auditRefs:[{id:"tag-load-time",weight:5,group:"metrics"},{id:"bid-request-from-page-start",weight:5,group:"metrics"},{id:"ad-request-from-page-start",weight:25,group:"metrics"},{id:"first-ad-render",weight:10,group:"metrics"},{id:"cumulative-ad-shift",weight:5,group:"metrics"},{id:"total-ad-blocking-time",weight:2,group:"metrics"},{id:"gpt-bids-parallel",weight:1,group:"ads-performance"},{id:"serial-header-bidding",weight:1,group:"ads-performance"},{id:"bottleneck-requests",weight:1,group:"ads-performance"},{id:"script-injected-tags",weight:1,group:"ads-performance"},{id:"blocking-load-events",weight:1,group:"ads-performance"},{id:"ad-render-blocking-resources",weight:1,group:"ads-performance"},{id:"ad-blocking-tasks",weight:1,group:"ads-performance"},{id:"ad-request-critical-path",weight:0,group:"ads-performance"},{id:"ads-in-viewport",weight:4,group:"ads-best-practices"},{id:"async-ad-tags",weight:2,group:"ads-best-practices"},{id:"loads-ad-tag-over-https",weight:1,group:"ads-best-practices"},{id:"loads-gpt-from-official-source",weight:4,group:"ads-best-practices"},{id:"viewport-ad-density",weight:2,group:"ads-best-practices"},{id:"ad-top-of-viewport",weight:2,group:"ads-best-practices"},{id:"duplicate-tags",weight:1,group:"ads-best-practices"},{id:"deprecated-gpt-api-usage",weight:0,group:"ads-best-practices"},{id:"gpt-errors-overall",weight:0,group:"ads-best-practices"}]}}});var j4,q4=v(()=>{d();j4=[{label:"Prebid JS",patterns:["^https?://([^.]*.)?prebid[.]org/.*","^https?://acdn[.]adnxs[.]com/prebid/.*"]},{label:"33Across",patterns:["^https?://ssc[.]33across.com/api/.*"]},{label:"AppNexus",patterns:["^https?://ib[.]adnxs[.]com/.*"]},{label:"Amazon Ads",patterns:["^https?://[a-z-_.]*[.]amazon-adsystem[.]com/.*bid.*"]},{label:"AdTechus (AOL)",patterns:["^https?://([^.]*.)?adserver[.]adtechus[.]com/.*"]},{label:"Aardvark",patterns:["^https?://thor[.]rtk[.]io/.*"]},{label:"AdBlade",patterns:["^https?://rtb[.]adblade[.]com/prebidjs/bid.*"]},{label:"AdBund",patterns:["^https?://us-east-engine[.]adbund[.]xyz/prebid/ad/get.*","^https?://us-west-engine[.]adbund[.]xyz/prebid/ad/get.*"]},{label:"AdButler",patterns:["^https?://servedbyadbutler[.]com/adserve.*"]},{label:"Adequant",patterns:["^https?://rex[.]adequant[.]com/rex/c2s_prebid.*"]},{label:"AdForm",patterns:["^https?://adx[.]adform[.]net/adx.*"]},{label:"AdMedia",patterns:["^https?://b[.]admedia[.]com/banner/prebid/bidder.*"]},{label:"AdMixer",patterns:["^https?://inv-nets[.]admixer[.]net/prebid[.]aspx.*","^https?://inv-nets[.]admixer[.]net/videoprebid[.]aspx.*"]},{label:"AOL",patterns:["^https?://adserver-us[.]adtech[.]advertising[.]com.*","^https?://adserver-eu[.]adtech[.]advertising[.]com.*","^https?://adserver-as[.]adtech[.]advertising[.]com.*","^https?://adserver[.]adtech[.]de/pubapi/.*"]},{label:"Beachfront",patterns:["^https?://reachms[.]bfmio[.]com/bid[.]json?exchange_id=.*"]},{label:"Bidfluence",patterns:["^https?://cdn[.]bidfluence[.]com/forge[.]js.*"]},{label:"Brightcom",patterns:["^https?://hb[.]iselephant[.]com/auc/ortb.*"]},{label:"C1x",patterns:["^https?://ht-integration[.]c1exchange[.]com:9000/ht.*"]},{label:"CentroBid",patterns:["^https?://t[.]brand-server[.]com/hb.*"]},{label:"Conversant",patterns:["^https?://media[.]msg[.]dotomi[.]com/s2s/.*"]},{label:"Criteo",patterns:["^https?://static[.]criteo[.]net/js/ld/publishertag[.]js.*","^https?://([^.]*.)?bidder[.]criteo[.]com/cdb.*","^https?://([^.]*.)?rtax[.]criteo[.]com/delivery/rta.*","^https?://([^.]*.)?rtax[.]eu[.]criteo[.]com/delivery/rta.*"]},{label:"Datablocks",patterns:["^https?://[a-z0-9_.-]*[.]dblks[.]net/.*"]},{label:"Districtm",patterns:["^https?://prebid[.]districtm[.]ca/lib[.]js.*"]},{label:"E-Planning",patterns:["^https?://ads[.]us[.]e-planning[.]net.*"]},{label:"Essens",patterns:["^https?://bid[.]essrtb[.]com/bid/prebid_call.*"]},{label:"Facebook",patterns:["^https?://an[.]facebook[.]com/v2/placementbid[.]json.*"]},{label:"FeatureForward",patterns:["^https?://prmbdr[.]featureforward[.]com/newbidder/.*"]},{label:"Fidelity",patterns:["^https?://x[.]fidelity-media[.]com.*"]},{label:"GetIntent",patterns:["^https?://px[.]adhigh[.]net/rtb/direct_banner.*","^https?://px[.]adhigh[.]net/rtb/direct_vast.*"]},{label:"GumGum",patterns:["^https?://g2[.]gumgum[.]com/hbid/imp.*"]},{label:"Hiromedia",patterns:["^https?://hb-rtb[.]ktdpublishers[.]com/bid/get.*"]},{label:"Imonomy",patterns:["^https?://b[.]imonomy[.]com/openrtb/hb/.*"]},{label:"ImproveDigital",patterns:["^https?://ad[.]360yield[.]com/hb.*"]},{label:"IndexExchange",patterns:["^https?://as(-sec)?[.]casalemedia[.]com/(cygnus|headertag).*","^https?://js(-sec)?[.]indexww[.]com/ht/.*"]},{label:"InnerActive",patterns:["^https?://ad-tag[.]inner-active[.]mobi/simpleM2M/requestJsonAd.*"]},{label:"Innity",patterns:["^https?://as[.]innity[.]com/synd/.*"]},{label:"JCM",patterns:["^https?://media[.]adfrontiers[.]com/pq.*"]},{label:"JustPremium",patterns:["^https?://pre[.]ads[.]justpremium[.]com/v/.*"]},{label:"Kargo",patterns:["^https?://krk[.]kargo[.]com/api/v1/bid.*"]},{label:"Komoona",patterns:["^https?://bidder[.]komoona[.]com/v1/GetSBids.*"]},{label:"KruxLink",patterns:["^https?://link[.]krxd[.]net/hb.*"]},{label:"Kumma",patterns:["^https?://cdn[.]kumma[.]com/pb_ortb[.]js.*"]},{label:"Mantis",patterns:["^https?://mantodea[.]mantisadnetwork[.]com/website/prebid.*"]},{label:"MarsMedia",patterns:["^https?://bid306[.]rtbsrv[.]com:9306/bidder.*"]},{label:"Media.net",patterns:["^https?://contextual[.]media[.]net/bidexchange.*"]},{label:"MemeGlobal",patterns:["^https?://stinger[.]memeglobal[.]com/api/v1/services/prebid.*"]},{label:"MobFox",patterns:["^https?://my[.]mobfox[.]com/request[.]php.*"]},{label:"NanoInteractive",patterns:["^https?://tmp[.]audiencemanager[.]de/hb.*"]},{label:"OpenX",patterns:["^https?://([^.]*.)?d[.]openx[.]net/w/1[.]0/arj.*","^https?://([^.]*.)?servedbyopenx[.]com/.*"]},{label:"Piximedia",patterns:["^https?://static[.]adserver[.]pm/prebid.*"]},{label:"Platformio",patterns:["^https?://piohbdisp[.]hb[.]adx1[.]com.*"]},{label:"Pollux",patterns:["^https?://adn[.]plxnt[.]com/prebid.*"]},{label:"PubGears",patterns:["^https?://c[.]pubgears[.]com/tags.*"]},{label:"Pubmatic",patterns:["^https?://ads[.]pubmatic[.]com/AdServer/js/gshowad[.]js.*","^https?://([^.]*.)?gads.pubmatic[.]com/.*","^https?://hbopenbid.pubmatic[.]com/.*"]},{label:"Pulsepoint",patterns:["^https?://bid[.]contextweb[.]com/header/tag.*"]},{label:"Quantcast",patterns:["^https?://global[.]qc[.]rtb[.]quantserve[.]com:8080/qchb.*"]},{label:"Rhythmone",patterns:["^https?://tag[.]1rx[.]io/rmp/.*"]},{label:"Roxot",patterns:["^https?://r[.]rxthdr[.]com.*"]},{label:"Rubicon",patterns:["^https?://([^.]*.)?(fastlane|optimized-by|anvil)[.]rubiconproject[.]com/a/api.*","^https?://fastlane-adv[.]rubiconproject[.]com/v1/auction/video.*"]},{label:"Sekindo",patterns:["^https?://hb[.]sekindo[.]com/live/liveView[.]php.*"]},{label:"ShareThrough",patterns:["^https?://btlr[.]sharethrough[.]com/header-bid/.*"]},{label:"Smart AdServer",patterns:["^https?://prg[.]smartadserver[.]com/prebid.*"]},{label:"Sonobi",patterns:["^https?://apex[.]go[.]sonobi[.]com/trinity[.]js.*"]},{label:"Sovrn",patterns:["^https?://ap[.]lijit[.]com/rtb/bid.*"]},{label:"SpringServe",patterns:["^https?://bidder[.]springserve[.]com/display/hbid.*"]},{label:"StickyAds",patterns:["^https?://cdn[.]stickyadstv[.]com/mustang/mustang[.]min[.]js.*","^https?://cdn[.]stickyadstv[.]com/prime-time/.*"]},{label:"TapSense3",patterns:["^https?://ads04[.]tapsense[.]com/ads/headerad.*"]},{label:"ThoughtLeadr",patterns:["^https?://a[.]thoughtleadr[.]com/v4/.*"]},{label:"TremorBid",patterns:["^https?://([^.]*.)?ads[.]tremorhub[.]com/ad/tag.*"]},{label:"Trion",patterns:["^https?://in-appadvertising[.]com/api/bidRequest.*"]},{label:"TripleLift",patterns:["^https?://tlx[.]3lift[.]com/header/auction.*"]},{label:"TrustX",patterns:["^https?://sofia[.]trustx[.]org/hb.*"]},{label:"UCFunnel",patterns:["^https?://agent[.]aralego[.]com/header.*"]},{label:"Underdog Media",patterns:["^https?://udmserve[.]net/udm/img[.]fetch.*"]},{label:"UnRuly",patterns:["^https?://targeting[.]unrulymedia[.]com/prebid.*"]},{label:"VertaMedia",patterns:["^https?://rtb[.]vertamedia[.]com/hb/.*"]},{label:"Vertoz",patterns:["^https?://hb[.]vrtzads[.]com/vzhbidder/bid.*"]},{label:"WideOrbig",patterns:["^https?://([^.]*.)?atemda[.]com/JSAdservingMP[.]ashx.*"]},{label:"WideSpace",patterns:["^https?://engine[.]widespace[.]com/map/engine/hb/.*"]},{label:"YieldBot",patterns:["^https?://cdn[.]yldbt[.]com/js/yieldbot[.]intent[.]js.*"]},{label:"YieldMo",patterns:["^https?://ads[.]yieldmo[.]com/exchange/prebid.*"]}]});var H4=L((dBe,z4)=>{d();var _oe=/([a-zA-Z][a-zA-Z_-]*)\s*(?:=(?:"([^"]*)"|([^ \t",;]*)))?/g,vt={maxAge:"max-age",sharedMaxAge:"s-maxage",maxStale:"max-stale",minFresh:"min-fresh",immutable:"immutable",mustRevalidate:"must-revalidate",noCache:"no-cache",noStore:"no-store",noTransform:"no-transform",onlyIfCached:"only-if-cached",private:"private",proxyRevalidate:"proxy-revalidate",public:"public"};function Yr(t){return t===null}s(Yr,"parseBooleanOnly");function mf(t){if(!t)return null;let e=parseInt(t,10);return!Number.isFinite(e)||e<0?null:e}s(mf,"parseDuration");var bc=class{static{s(this,"CacheControl")}constructor(){this.maxAge=null,this.sharedMaxAge=null,this.maxStale=null,this.maxStaleDuration=null,this.minFresh=null,this.immutable=null,this.mustRevalidate=null,this.noCache=null,this.noStore=null,this.noTransform=null,this.onlyIfCached=null,this.private=null,this.proxyRevalidate=null,this.public=null}parse(e){if(!e||e.length===0)return this;let n={},r=e.match(_oe)||[];return Array.prototype.forEach.call(r,a=>{let o=a.split("=",2),[i]=o,c=null;o.length>1&&(c=o[1].trim()),n[i.toLowerCase()]=c}),this.maxAge=mf(n[vt.maxAge]),this.sharedMaxAge=mf(n[vt.sharedMaxAge]),this.maxStale=Yr(n[vt.maxStale]),this.maxStaleDuration=mf(n[vt.maxStale]),this.maxStaleDuration&&(this.maxStale=!0),this.minFresh=mf(n[vt.minFresh]),this.immutable=Yr(n[vt.immutable]),this.mustRevalidate=Yr(n[vt.mustRevalidate]),this.noCache=Yr(n[vt.noCache]),this.noStore=Yr(n[vt.noStore]),this.noTransform=Yr(n[vt.noTransform]),this.onlyIfCached=Yr(n[vt.onlyIfCached]),this.private=Yr(n[vt.private]),this.proxyRevalidate=Yr(n[vt.proxyRevalidate]),this.public=Yr(n[vt.public]),this}format(){let e=[];return typeof this.maxAge=="number"&&e.push(`${vt.maxAge}=${this.maxAge}`),typeof this.sharedMaxAge=="number"&&e.push(`${vt.sharedMaxAge}=${this.sharedMaxAge}`),this.maxStale&&(typeof this.maxStaleDuration=="number"?e.push(`${vt.maxStale}=${this.maxStaleDuration}`):e.push(vt.maxStale)),typeof this.minFresh=="number"&&e.push(`${vt.minFresh}=${this.minFresh}`),this.immutable&&e.push(vt.immutable),this.mustRevalidate&&e.push(vt.mustRevalidate),this.noCache&&e.push(vt.noCache),this.noStore&&e.push(vt.noStore),this.noTransform&&e.push(vt.noTransform),this.onlyIfCached&&e.push(vt.onlyIfCached),this.private&&e.push(vt.private),this.proxyRevalidate&&e.push(vt.proxyRevalidate),this.public&&e.push(vt.public),e.join(", ")}};function koe(t){return new bc().parse(t)}s(koe,"parse");function Ioe(t){return t instanceof bc?t.format():bc.prototype.format.call(t)}s(Ioe,"format");z4.exports={CacheControl:bc,parse:koe,format:Ioe}});function UT(t,e){let n=e.toLowerCase();return(t.responseHeaders||[]).find(r=>r.name.toLowerCase()===n)}function pf(t){if(!y0.isCacheableAsset(t))return!1;let e=UT(t,"cache-control");if(e){try{let n=(0,G4.parse)(e.value);if(n.noStore||n.noCache||n.maxAge===0)return!1}catch{}return!0}return!!UT(t,"expires")||!!UT(t,"last-modified")}var G4,BT=v(()=>{d();v0();G4=zt(H4(),1);s(UT,"getHeader");s(pf,"isCacheable")});function Nn(t){let e;try{e=typeof t=="string"?new URL(t):t}catch{e=new URL("http://_")}return e}function Ti(t){return t=Nn(t),/(^|\.)(doubleclick.net|google(syndication|tagservices).com)$/.test(t.hostname)}function jT(t){t=Nn(t);let e=t.host==="pagead2.googlesyndication.com",n=["/pagead/js/adsbygoogle.js","/pagead/show_ads.js"].includes(t.pathname);return e&&n}function Moe(t){t=Nn(t);let e=t.host==="pagead2.googlesyndication.com",n=/(^\/pagead\/js\/.*\/show_ads_impl.*?\.js)/.test(t.pathname);return e&&n}function ff(t){return t=Nn(t),jT(t)||Moe(t)}function Noe(t){if(!t)return!1;let e=new URL(t.url);return e.pathname==="/pagead/ads"&&e.host==="googleads.g.doubleclick.net"}function Loe(t){return/(^aswift_\d+)/.test(t.id)}function wc(t){let{host:e,pathname:n}=Nn(t);return["securepubads.g.doubleclick.net","googleads4.g.doubleclick.net"].includes(e)&&["/pcs/view","/pagead/adview"].includes(n)}function Dc(t){let{host:e,pathname:n}=Nn(t),r=["www.googletagservices.com","pagead2.googlesyndication.com","securepubads.g.doubleclick.net"].includes(e),a=["/tag/js/gpt.js","/tag/js/gpt_mobile.js"].includes(n);return r&&a}function qT(t){let{host:e,pathname:n}=Nn(t),r=["cdn.ampproject.org"].includes(e),a=["/v0/amp-ad-0.1.js"].includes(n);return r&&a}function Kr(t){return Ti(t)&&/(^\/gpt\/pubads_impl([a-z_]*)((?<!rendering)_)\d+\.js)/.test(Nn(t).pathname)}function W4(t){return/^\/[a-z_]*\/\d+\/v0\/amp-ad-network-doubleclick-impl-0.1.js/.test(Nn(t).pathname)}function Ao(t){return t=Nn(t),Dc(t)||Kr(t)}function Poe(t){return qT(t)||W4(t)}function zT(t){return t?new URL(t.url).pathname==="/gampad/ads"&&t.resourceType==="XHR"&&Ti(t.url):!1}function Ooe(t){if(!t)return!1;let e=new URL(t.url);return e.pathname==="/gampad/ads"&&e.host==="securepubads.g.doubleclick.net"&&t.resourceType==="Fetch"}function HT(t){return/(^google_ads_iframe_)/.test(t.id)}function Ec(t){return jT(t)||Dc(t)||qT(t)}function em(t){return ff(t)||Ao(t)||Poe(t)}function Jr(t){return Noe(t)||zT(t)||Ooe(t)}function Tc(t){return Loe(t)||HT(t)}function Sc(t){return jT(t)||Kr(t)||W4(t)}function V4(t,e){return e.some(n=>t.includes(n))}function Fo(t){for(let e of j4)for(let n of e.patterns)if(new RegExp(n).test(t))return e.label}function tm(t){return!!Fo(typeof t=="string"?t:t.url)}function Uoe(t){return(t.resourceSize==null||t.resourceSize>0)&&t.resourceType!="Image"&&!pf(t)}function Ra(t){return tm(t)&&Uoe(t)}function $4(t){return["parser","preload","other"].includes(t.initiator.type)}function Y4(t){let e=new URL(t),n=60,r=e.pathname.length>n?e.pathname.substr(0,n)+"...":e.pathname;return e.origin+r}function gf(t){let e=Fo(t);if(e)return e;if(Ao(t))return"GPT";if(ff(t))return"AdSense";if(qT(t))return"AMP tag";let n=Va.getEntity(t);if(n)return n.name;let{host:r}=new URL(t),[a=""]=r.match(/([^.]*(\.[a-z]{2,3}){1,2})$/)||[];return a||r}function Si(t){let e=typeof t=="string"?t:t.url;if(!e)return!1;if(em(e)||Fo(e))return!0;let n=Va.getEntity(e);return n?n.categories.includes("ad"):!1}var At=v(()=>{d();q4();pp();BT();s(Nn,"toURL");s(Ti,"isGoogleAds");s(jT,"isAdSenseTag");s(Moe,"isAdSenseImplTag");s(ff,"isAdSense");s(Noe,"isAdSenseAdRequest");s(Loe,"isAdSenseIframe");s(wc,"isImpressionPing");s(Dc,"isGptTag");s(qT,"isAMPTag");s(Kr,"isGptImplTag");s(W4,"isAMPImplTag");s(Ao,"isGpt");s(Poe,"isAMP");s(zT,"isGptAdRequest");s(Ooe,"isAMPAdRequest");s(HT,"isGptIframe");s(Ec,"isAdTag");s(em,"isAdScript");s(Jr,"isAdRequest");s(Tc,"isAdIframe");s(Sc,"isImplTag");s(V4,"containsAnySubstring");s(Fo,"getHeaderBidder");s(tm,"isBidRelatedRequest");s(Uoe,"isPossibleBidRequest");s(Ra,"isBidRequest");s($4,"isStaticRequest");s(Y4,"trimUrl");s(gf,"getNameOrTld");s(Si,"isAdRelated")});function K4(t){return t.args.frame||t.args.data&&t.args.data.frame||null}function Boe(t){let e=new Set;for(let{args:n}of t.childEvents)n.data&&n.data.url&&e.add(n.data.url);return Array.from(e)}function joe(t){return!!Boe(t).find(e=>tm(e)||Ti(Nn(e)))}function qoe(t){return t.event.dur>50*1e3}function hf(t,e){t===e||t.endTime>e.startTime||t.addDependent(e)}function J4(t){let e=[],n=[];t.traverse(r=>{r.type===Fe.TYPES.NETWORK&&(Dc(r.record.url)&&r.record.resourceType==="Script"?n.push(r):zT(r.record)&&e.push(r))}),t.traverse(r=>{if(r.type===Fe.TYPES.NETWORK){if(Kr(r.record.url)){let a=r;for(let o of n)hf(o,a)}if(tm(r.record)){let a=r;for(let o of e)hf(a,o)}if(wc(r.record.url)){let a=r;for(let o of e){hf(o,a);for(let i of o.getDependents())hf(i,a)}}}})}var GT,dn,xi=v(()=>{d();An();vu();Ea();yu();At();s(K4,"getFrame");s(Boe,"getCpuNodeUrls");s(joe,"isAdTask");s(qoe,"isLongTask");s(hf,"addEdge");s(J4,"addEdges");GT=class t extends nn{static{s(this,"AdLanternMetric")}static get COEFFICIENTS(){return{intercept:0,optimistic:1,pessimistic:0}}static getPessimisticGraph(e){let n=e.cloneWithRelationships(r=>!0);return J4(n),n}static getOptimisticGraph(e){let n=e.record.frameId,r=t.getPessimisticGraph(e),a=r.cloneWithRelationships(o=>{if(o.type===Fe.TYPES.CPU)return qoe(o)||joe(o)||!!K4(o.event)&&K4(o.event)!==n;if(o.hasRenderBlockingPriority())return!0;let i=o.record.url;return tm(i)||Ti(Nn(i))});return J4(r),a}static getEstimateFromSimulation(e,n){throw new Error("getEstimateFromSimulation not implemented by "+this.name)}static findTiming(e,n){let r={startTime:1/0,endTime:-1/0,duration:0};for(let[a,o]of e.entries())n(a,o)&&r.startTime>o.startTime&&(r=o);return r}static findNetworkTiming(e,n){return this.findTiming(e,r=>r.type===Fe.TYPES.NETWORK&&n(r.record))}},dn=GT});function X4(t){let e=t.find(n=>Sc(new URL(n.url)));return e?e.endTime:-1}function yf(t){let e=t.find(Jr);return e?e.startTime:-1}function Z4(t){let e=t.find(Ra);return e?e.startTime:-1}function Q4(t){let e=t.find(n=>wc(n.url));return e?e.startTime:-1}function Xr(t,e=-1){let n=t.find(r=>r.statusCode==200);return n?n.startTime:e}async function Dr(t,e,n){let r=new Map,a=await $.request(e,n);if(n.settings.throttlingMethod=="simulate"){let o=await kt.request({trace:t,devtoolsLog:e},n),i=dn.getOptimisticGraph(o),c=await Ht.request({devtoolsLog:e,settings:n.settings},n),{nodeTimings:u}=c.simulate(i,{});for(let[{record:l},m]of u.entries())l&&r.set(l,m)}else{let o=Xr(a);for(let i of a)r.set(i,{startTime:(i.startTime-o)*1e3,endTime:(i.endTime-o)*1e3,duration:(i.endTime-i.startTime)*1e3})}return r}function vf(t){if(t.args.data&&["EvaluateScript","FunctionCall"].includes(t.name)){if(t.args.data.url)return t.args.data.url;if(t.args.data.stackTrace)return t.args.data.stackTrace[0].url}}async function eU(t,e,n){let r=await $.request(e,n),a=Xr(r)*1e3,o=new Map;for(let u of t.traceEvents){let l=vf(u);if(!l)continue;let m=u.ts/1e3-a;(!o.has(l)||o.get(l)>m)&&o.set(l,m)}if(n.settings.throttlingMethod!=="simulate")return o;let i=await Dr(t,e,n),c=new Map;for(let[u,l]of i.entries()){let m=o.get(u.url);if(!m||c.has(u.url))continue;let p=u.startTime*1e3-a,g=l.endTime,f=n.settings.throttling.cpuSlowdownMultiplier,y=m-p,b=f*y;c.set(u.url,g+b)}return c}var lr=v(()=>{d();xi();tr();De();$n();At();s(X4,"getTagEndTime");s(yf,"getAdStartTime");s(Z4,"getBidStartTime");s(Q4,"getImpressionStartTime");s(Xr,"getPageStartTime");s(Dr,"getTimingsByRecord");s(vf,"getScriptUrl");s(eU,"getScriptEvaluationTimes")});var nm,rm,xc,bf=v(()=>{d();xi();oo();we();lr();At();nm=class extends dn{static{s(this,"LanternAdRequestTime")}static getEstimateFromSimulation(e,n){let{nodeTimings:r}=e;return{timeInMs:dn.findNetworkTiming(r,Jr).startTime,nodeTimings:r}}};nm=W(nm);rm=class extends bn{static{s(this,"AdRequestTime")}static async computeSimulatedMetric(e,n){return nm.request(e,n)}static async computeObservedMetric(e){let{networkRecords:n}=e,r=Xr(n),o=(yf(n)-r)*1e3;return Promise.resolve({timing:o})}static async request(e,n){throw Error("Not implemented -- class not decorated")}};rm=W(rm);xc=rm});function Ro(t,e=new Set){let n=t.attributableURLs.find(c=>e.has(c)),r=t.attributableURLs[0],a=n||r;if(a)return a;let o=50,i="";for(let c of t.children){let u=Ro(c,e);u&&c.duration>o&&(i=u,o=c.duration)}return i}var wf=v(()=>{d();s(Ro,"getAttributableUrl")});function Goe(t,e){if(t.duration<zoe)return!1;let n=Ro(t,e);if(!n)return!1;if(t.parent){let r=Ro(t.parent,e);return n!=r}return!0}var zoe,Hoe,am,Df,WT=v(()=>{d();xi();An();oo();vu();wf();tr();ba();we();yu();De();$n();zoe=50,Hoe=100;s(Goe,"isLong");am=class extends bn{static{s(this,"LongTasks")}static async getSimulationGraph(e,n,r){let a=await kt.request({trace:e,devtoolsLog:n},r);return dn.getOptimisticGraph(a)}static async computeSimulatedResult(e,n,r){let a=await this.getSimulationGraph(e,n,r),o=await Ht.request({devtoolsLog:n,settings:r.settings},r),{nodeTimings:i}=o.simulate(a,{}),c=[];for(let[u,l]of i.entries())u.type!==Fe.TYPES.CPU||l.duration<Hoe||c.push({event:u.event,startTime:l.startTime,endTime:l.endTime,duration:l.duration,selfTime:l.duration,attributableURLs:Array.from(u.getEvaluateScriptURLs()),children:[],parent:u.parent,unbounded:u.unbounded,group:u.group});return c}static async computeObservedResult(e,n,r){let a=await yn.request(e,r),o=await $.request(n,r),i=new Set(o.filter(c=>c.resourceType==="Script").map(c=>c.url));return a.filter(c=>Goe(c,i))}static async compute_({trace:e,devtoolsLog:n},r){return r.settings.throttlingMethod=="simulate"?this.computeSimulatedResult(e,n,r):this.computeObservedResult(e,n,r)}static async request(e,n){throw Error("Not implemented -- class not decorated")}};am=W(am);Df=am});var tU={};S(tU,{UIStrings:()=>_a,default:()=>Voe});var _a,Ci,Woe,VT,Voe,nU=v(()=>{d();bf();k();WT();Ct();bt();wf();At();_a={title:"No long tasks blocking ad-related network requests",failureTitle:"Avoid long tasks that block ad-related network requests",description:"Tasks blocking the main thread can delay ad requests and cause a poor user experience. Consider removing long blocking tasks or moving them off of the main thread. These tasks can be especially detrimental to performance on less powerful devices. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-blocking-tasks).",failureDisplayValue:"{timeInMs, number, seconds} s blocked",columnScript:"Attributable URL",columnStartTime:"Start",columnDuration:"Duration"},Ci=w("node_modules/lighthouse-plugin-publisher-ads/audits/ad-blocking-tasks.js",_a),Woe=[{key:"script",itemType:"url",text:Ci(_a.columnScript)},{key:"startTime",itemType:"ms",text:Ci(_a.columnStartTime),granularity:1},{key:"duration",itemType:"ms",text:Ci(_a.columnDuration),granularity:1}],VT=class t extends h{static{s(this,"AdBlockingTasks")}static get meta(){return{id:"ad-blocking-tasks",title:Ci(_a.title),failureTitle:Ci(_a.failureTitle),description:Ci(_a.description),requiredArtifacts:["traces","devtoolsLogs"]}}static async audit(e,n){let r=n.settings.throttlingMethod=="simulate"?200:100,a=e.traces[h.DEFAULT_PASS],o=e.devtoolsLogs[h.DEFAULT_PASS],i={trace:a,devtoolsLog:o,settings:n.settings},c=[];try{c=await Df.request(i,n)}catch{return me.InvalidTiming}if(!c.length)return me.NoTasks;let{timing:u}=await xc.request(i,n);if(!(u>0))return me.NoAdRelatedReq;let l=[];for(let y of c){if(y.startTime>u||y.duration<r)continue;let b=Ro(y);if(b&&em(new URL(b)))continue;let D=b&&new URL(b),T=D&&D.origin+D.pathname||"Other";l.push({script:T,rawUrl:b,startTime:y.startTime,endTime:y.endTime,duration:y.duration,isTopLevel:!y.parent})}let m=Array.from(l),p=10;m.length>p&&(m=l.filter(y=>y.script!=="Other"&&y.isTopLevel).sort((y,b)=>b.duration-y.duration).splice(0,p).sort((y,b)=>y.startTime-b.startTime));let g=m.reduce((y,b)=>b.isTopLevel?y+b.duration:y,0),f=m.length>0;return{score:f?0:1,numericValue:g,numericUnit:"millisecond",displayValue:f?Ci(_a.failureDisplayValue,{timeInMs:g}):"",details:t.makeTableDetails(Woe,m)}}},Voe=VT});var rU={};S(rU,{UIStrings:()=>ka,default:()=>Koe});var ka,Ai,$oe,Yoe,$T,Koe,aU=v(()=>{d();k();De();Ct();bt();lr();At();ka={title:"Minimal render-blocking resources found",failureTitle:"Avoid render-blocking resources",description:"Render-blocking resources slow down tag load times. Consider loading critical JS/CSS inline or loading scripts asynchronously or loading the tag earlier in the head. [Learn more](https://developers.google.com/web/tools/lighthouse/audits/blocking-resources).",failureDisplayValue:"Up to {timeInMs, number, seconds} s tag load time improvement",columnUrl:"Resource",columnStartTime:"Start",columnDuration:"Duration"},Ai=w("node_modules/lighthouse-plugin-publisher-ads/audits/ad-render-blocking-resources.js",ka),$oe=100,Yoe=[{key:"url",itemType:"url",text:Ai(ka.columnUrl)},{key:"startTime",itemType:"ms",text:Ai(ka.columnStartTime),granularity:1},{key:"duration",itemType:"ms",text:Ai(ka.columnDuration),granularity:1}],$T=class t extends h{static{s(this,"AdRenderBlockingResources")}static get meta(){return{id:"ad-render-blocking-resources",title:Ai(ka.title),failureTitle:Ai(ka.failureTitle),scoreDisplayMode:"binary",description:Ai(ka.description),requiredArtifacts:["LinkElements","ScriptElements","devtoolsLogs","traces"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=e.traces[h.DEFAULT_PASS],o=await $.request(r,n),i=o.find(R=>Ec(new URL(R.url)));if(!i)return me.NoTag;let c=await Dr(a,r,n),u=new Set;for(let R of e.LinkElements)R.href&&R.rel=="stylesheet"&&u.add(R.href);for(let R of e.ScriptElements)R.src&&!R.defer&&!R.async&&u.add(R.src);let m=o.filter(R=>R.endTime<i.startTime).filter(R=>R!=i.initiatorRequest).filter(R=>R.initiator.type="parser").filter(R=>u.has(R.url)).map(R=>Object.assign({url:R.url},c.get(R)));m.sort((R,F)=>R.endTime-F.endTime);let p=c.get(i)||{startTime:1/0},g=m.map(R=>R.startTime),f=m.map(R=>R.endTime),y=Math.min(...g),D=Math.min(Math.max(...f),p.startTime)-y,T="";return m.length>0&&D>0&&(T=Ai(ka.failureDisplayValue,{timeInMs:D})),{score:m.length>0&&D>$oe?0:1,numericValue:m.length,numericUnit:"unitless",displayValue:T,details:{opportunity:D,...t.makeTableDetails(Yoe,m)}}}},Koe=$T});function om(t){if(t==null)throw new Error("Expected not to be null");return t}var YT=v(()=>{d();s(om,"assert")});function Joe(t,e,n){let r=e.xhrEdges.get(t.url);if(!r)return!1;for(let{url:a}of n)if(r.has(a))return!0;return!1}function Xoe(t,e,n,r){let a=n.allRecords.filter(o=>o.resourceType!=null).filter(o=>["Script","XHR"].includes(o.resourceType||"")&&o.endTime<e.startTime).filter(o=>o.initiatorRequest==t||kt.getNetworkInitiators(o).includes(t.url));for(let o of a)o.resourceType=="XHR"&&Joe(o,n,r)&&im(n,o,r)}function oU(t,e,n){let r=iU(t,e),a=new Set;return im(r,n,a),a}function im(t,e,n=new Set){if(!e||n.has(e))return n;n.add(e);let r=new Set;for(let a=e.initiator.stack;a;a=a.parent)for(let{url:o}of a.callFrames){if(r.has(o))continue;r.add(o);let i=t.requestsByUrl.get(o);if(i&&(im(t,i,n),i.resourceType=="Script")){let c=a.callFrames[0].url,u=t.requestsByUrl.get(c);u&&Xoe(u,e,t,n)}}return im(t,e.initiatorRequest||null,n),n}function iU(t,e){let n=new Map;for(let o of t)n.set(o.url,o);let r=e.filter(o=>o.name.startsWith("XHR")).filter(o=>!!(o.args.data||{}).url),a=new Map;for(let o of r){let i=o.args.data||{},c=a.get(i.url)||new Set;for(let{url:u}of i.stackTrace||[])c.add(u);a.set(i.url,c)}return{requestsByUrl:n,xhrEdges:a,allRecords:t}}function Zoe(t,e){return Math.max(t.startTime,e.startTime)>Math.min(t.endTime,e.endTime)||t.type&&e.type&&t.type!=e.type||t.type=="Script"?!1:t.nameOrTld==e.nameOrTld}function Qoe(t){t.sort((n,r)=>n.nameOrTld!=r.nameOrTld?n.nameOrTld<r.nameOrTld?-1:1:n.type!=r.type?n.type<r.type?-1:1:n.startTime!=r.startTime?n.startTime<r.startTime?-1:1:n.endTime-r.endTime);let e=[];for(let n=0;n<t.length;n++){let r=t[n],a;for(;n<t.length&&(a=t[n+1],!(!a||!Zoe(a,r)));)r.endTime=Math.max(r.endTime,a.endTime),r.duration=r.endTime-r.startTime,n++;e.push(r)}return e.sort((n,r)=>n.startTime-r.startTime),e}function eie(t){if(!t.length)return[];let e=om(t[0]);e.selfTime=e.duration;let n=e.startTime;for(let r of t){if(r.endTime<n||r==e)continue;let a=Math.max(n,r.startTime),o=Math.min(e.endTime,r.endTime);a<o&&(e.selfTime-=o-a),n=Math.max(n,o),r.endTime>e.endTime&&(r.selfTime=r.endTime-a,e=r)}}async function _o(t,e,n){let r=await $.request(e,n),a=r.find(Jr)||r.find(Ra)||r.find(Si);if(a==null)return Promise.resolve([]);let o=new Set,i=om(a),c=r.filter(b=>Ao(b.url)||ff(b.url)),u=r.filter(b=>Ra(b)&&b.endTime<=i.startTime),l=iU(r,t.traceEvents);for(let b of[i,...u,...c])im(l,b,o);let m=new Set(["Script","XHR","Fetch","EventStream","Document",void 0]),p=Array.from(o).filter(b=>b.endTime<i.startTime).filter(b=>m.has(b.resourceType)).filter(b=>b.mimeType!="text/css"),g=await Dr(t,e,n),f=p.map(b=>{let{startTime:D,endTime:T}=g.get(b)||b;return{startTime:D,endTime:T,duration:T-D,selfTime:0,url:Y4(b.url),nameOrTld:gf(b.url),type:b.resourceType,record:b}}),y=Qoe(f);return eie(y),y}var Cc=v(()=>{d();An();vu();yu();De();YT();At();$n();lr();At();s(Joe,"isXhrCritical");s(Xoe,"addInitiatedRequests");s(oU,"getCriticalGraph");s(im,"linkGraph");s(iU,"buildNetworkSummary");s(Zoe,"areSimilarRequests");s(Qoe,"computeSummaries");s(eie,"computeSelfTimes");s(_o,"computeAdRequestWaterfall")});var sU={};S(sU,{UIStrings:()=>Zr,default:()=>oie});function nie(t){let e=0,n=0;for(let{startTime:r,endTime:a}of t)r>=e?(++n,e=a):e=Math.min(e,a);return n}function aie(t){let e=1/0,n=[];for(let r=0;r<t.length;){let{startTime:a,endTime:o}=t[r];for(a-e>rie&&n.push(a-e),e=o;++r<t.length&&t[r].startTime<e;)e=Math.max(e,t[r].endTime)}return n}var Zr,ko,tie,rie,KT,oie,cU=v(()=>{d();k();Ct();bt();Cc();Zr={title:"Ad request waterfall",failureTitle:"Reduce critical path for ad loading",description:"Consider reducing the number of resources, loading multiple resources simultaneously, or loading resources earlier to improve ad speed. Requests that block ad loading can be found below. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-request-critical-path).",displayValue:"{serialResources, plural, =1 {1 serial resource} other {# serial resources}}",columnUrl:"Request",columnType:"Type",columnStartTime:"Start",columnEndTime:"End"},ko=w("node_modules/lighthouse-plugin-publisher-ads/audits/ad-request-critical-path.js",Zr),tie=[{key:"nameOrTld",itemType:"text",text:ko(Zr.columnType)},{key:"url",itemType:"url",text:ko(Zr.columnUrl)},{key:"startTime",itemType:"ms",text:ko(Zr.columnStartTime),granularity:1},{key:"endTime",itemType:"ms",text:ko(Zr.columnEndTime),granularity:1}];s(nie,"computeDepth");rie=150;s(aie,"computeIdleTimes");KT=class t extends h{static{s(this,"AdRequestCriticalPath")}static get meta(){return{id:"ad-request-critical-path",title:ko(Zr.title),failureTitle:ko(Zr.failureTitle),description:ko(Zr.description),scoreDisplayMode:"informative",requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=(await _o(r,a,n)).filter(p=>p.startTime>0&&p.startTime<p.endTime);if(!o.length)return me.NoAds;let i=nie(o),c=i>3;for(let p of o)delete p.record;let u=aie(o),l=Math.max(...u),m=u.reduce((p,g)=>p+g,0);return{numericValue:i,numericUnit:"unitless",score:c?0:1,displayValue:ko(Zr.displayValue,{serialResources:i}),details:{size:o.length,depth:i,maxIdleTime:l,totalIdleTime:m,...t.makeTableDetails(tie,o)}}}},oie=KT});var sm,cm,uU,lU=v(()=>{d();xi();oo();we();lr();At();sm=class extends dn{static{s(this,"LanternBidRequestTime")}static getEstimateFromSimulation(e,n){let{nodeTimings:r}=e,a=dn.findNetworkTiming(r,Ra).startTime,o=dn.findNetworkTiming(r,Jr).startTime;return a>o?{timeInMs:-1,nodeTimings:r}:{timeInMs:a,nodeTimings:r}}};sm=W(sm);cm=class extends bn{static{s(this,"BidRequestTime")}static async computeSimulatedMetric(e,n){return sm.request(e,n)}static async computeObservedMetric(e){let{networkRecords:n}=e,r=Xr(n),a=Z4(n);return yf(n)<a?{timing:-1}:{timing:(a-r)*1e3}}static async request(e,n){throw Error("Not implemented -- class not decorated")}};cm=W(cm);uU=cm});var dU={};S(dU,{UIStrings:()=>Ac,default:()=>iie});var Ac,Ef,JT,iie,mU=v(()=>{d();lU();k();Ct();bt();Ac={title:"First bid request time",failureTitle:"Reduce time to send the first bid request",description:"This metric measures the elapsed time from the start of page load until the first bid request is made. Delayed bid requests will decrease impressions and viewability, and have a negative impact on ad revenue. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/bid-request-from-page-start).",displayValue:"{timeInMs, number, seconds} s"},Ef=w("node_modules/lighthouse-plugin-publisher-ads/audits/bid-request-from-page-start.js",Ac),JT=class extends h{static{s(this,"BidRequestFromPageStart")}static get meta(){return{id:"bid-request-from-page-start",title:Ef(Ac.title),failureTitle:Ef(Ac.failureTitle),description:Ef(Ac.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{p10:4350,median:8e3},provided:{p10:1200,median:2e3}}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o={trace:r,devtoolsLog:a,settings:n.settings},i=n.options[n.settings.throttlingMethod=="provided"?"provided":"simulate"],{timing:c}=await uU.request(o,n);return c>0?{numericValue:c,numericUnit:"millisecond",score:h.computeLogNormalScore(i,c),displayValue:Ef(Ac.displayValue,{timeInMs:c})}:me.NoBids}},iie=JT});var pU={};S(pU,{UIStrings:()=>Fc,default:()=>sie});var Fc,Tf,XT,sie,fU=v(()=>{d();bf();k();Ct();bt();Fc={title:"First ad request time",failureTitle:"Reduce time to send the first ad request",description:"This metric measures the elapsed time from the start of page load until the first ad request is made. Delayed ad requests will decrease impressions and viewability, and have a negative impact on ad revenue. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-request-from-page-start).",displayValue:"{timeInMs, number, seconds} s"},Tf=w("node_modules/lighthouse-plugin-publisher-ads/audits/ad-request-from-page-start.js",Fc),XT=class extends h{static{s(this,"AdRequestFromPageStart")}static get meta(){return{id:"ad-request-from-page-start",title:Tf(Fc.title),failureTitle:Tf(Fc.failureTitle),description:Tf(Fc.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{p10:6500,median:1e4},provided:{p10:1900,median:3500}}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o={trace:r,devtoolsLog:a,settings:n.settings},i=n.options[n.settings.throttlingMethod=="provided"?"provided":"simulate"],{timing:c}=await xc.request(o,n);if(!(c>0)){let u=me.NoAds;return u.runWarnings=[vc.NoAds],u}return{numericValue:c,numericUnit:"millisecond",score:h.computeLogNormalScore(i,c),displayValue:Tf(Fc.displayValue,{timeInMs:c})}}},sie=XT});var gU={};S(gU,{UIStrings:()=>Fi,default:()=>lie});var Fi,um,cie,uie,ZT,lie,hU=v(()=>{d();k();Ct();bt();At();Fi={title:"No ad found at the very top of the viewport",failureTitle:"Move the top ad further down the page",description:"Over 10% of ads are never viewed because users scroll past them before they become viewable. By moving ad slots away from the very top of the viewport, users are more likely to see ads before scrolling away. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ad-top-of-viewport).",failureDisplayValue:"A scroll of {valueInPx, number} px would hide half of your topmost ad",columnSlot:"Top Slot ID"},um=w("node_modules/lighthouse-plugin-publisher-ads/audits/ad-top-of-viewport.js",Fi),cie=100,uie=[{key:"slot",itemType:"text",text:um(Fi.columnSlot)}],ZT=class t extends h{static{s(this,"AdTopOfViewport")}static get meta(){return{id:"ad-top-of-viewport",title:um(Fi.title),failureTitle:um(Fi.failureTitle),description:um(Fi.description),requiredArtifacts:["ViewportDimensions","IFrameElements"]}}static audit(e){let n=e.ViewportDimensions,r=e.IFrameElements.filter(Tc).filter(c=>c.clientRect.width*c.clientRect.height>1&&!c.isPositionFixed).map(c=>({midpoint:c.clientRect.top+c.clientRect.height/2,id:c.id}));if(!r.length)return me.NoVisibleSlots;let a=r.reduce((c,u)=>c.midpoint<u.midpoint?c:u),o=a.midpoint<n.innerHeight;if(!o)return me.NoAdsViewport;let i=o&&a.midpoint<cie?0:1;return{score:i,numericValue:a.midpoint,numericUnit:"unitless",displayValue:i?"":um(Fi.failureDisplayValue,{valueInPx:a.midpoint}),details:t.makeTableDetails(uie,i?[]:[{slot:a.id}])}}},lie=ZT});function yU(t,e){let{innerWidth:n,innerHeight:r}=e,{left:a,top:o,right:i,bottom:c}=t;return a<i&&o<c&&a<n&&o<r&&0<i&&0<c}function QT([t,e,n,r]){return{left:t,top:e,width:n,height:r,right:t+n,bottom:e+r}}function vU(t,e){let n=!(t.right<e.left||e.right<t.left),r=!(t.bottom<e.top||e.bottom<t.top);return n&&r}var eS=v(()=>{d();s(yU,"isBoxInViewport");s(QT,"toClientRect");s(vU,"overlaps")});var bU={};S(bU,{UIStrings:()=>Ri,default:()=>mie});var Ri,lm,die,tS,mie,wU=v(()=>{d();Ct();bt();k();eS();At();Ri={title:"Few or no ads loaded outside viewport",failureTitle:"Avoid loading ads until they are nearly on-screen",description:"Too many ads loaded outside the viewport lowers viewability rates and impacts user experience. Consider loading ads below the fold lazily as the user scrolls down. Consider using GPT's [Lazy Loading API](https://developers.google.com/doubleclick-gpt/reference#googletag.PubAdsService_enableLazyLoad). [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/ads-in-viewport).",failureDisplayValue:"{hiddenAds, plural, =1 {1 ad} other {# ads}} out of view",columnSlot:"Slots Outside Viewport"},lm=w("node_modules/lighthouse-plugin-publisher-ads/audits/ads-in-viewport.js",Ri),die=[{key:"slot",itemType:"text",text:lm(Ri.columnSlot)}],tS=class t extends h{static{s(this,"AdsInViewport")}static get meta(){return{id:"ads-in-viewport",title:lm(Ri.title),failureTitle:lm(Ri.failureTitle),description:lm(Ri.description),requiredArtifacts:["ViewportDimensions","IFrameElements"]}}static audit(e){let n=e.ViewportDimensions,r=e.IFrameElements.filter(i=>HT(i)&&i.clientRect.height*i.clientRect.width>1);if(!r.length)return me.NoVisibleSlots;let a=r.filter(i=>!yU(i.clientRect,n)).map(i=>({slot:i.id})).sort((i,c)=>i.slot.localeCompare(c.slot));return{numericValue:(r.length-a.length)/r.length,numericUnit:"unitless",score:a.length>3?0:1,displayValue:a.length?lm(Ri.failureDisplayValue,{hiddenAds:a.length}):"",details:t.makeTableDetails(die,a)}}},mie=tS});function Sf(t,e){let n=0;for(let r of t)e(r)&&n++;return n}function DU(t,e){let n=new Map;for(let r of t){let a=e(r);if(a!=null){let o=n.get(a)||[];o.push(r),n.set(a,o)}}return n}var xf=v(()=>{d();s(Sf,"count");s(DU,"bucket")});var TU={};S(TU,{UIStrings:()=>dm,default:()=>fie});function pie(t){return t.priority=="Low"||$4(t)}var dm,nS,rS,fie,SU=v(()=>{d();xf();k();Wt();De();Ct();bt();At();dm={title:"Ad tag is loaded asynchronously",failureTitle:"Load ad tag asynchronously",description:"Loading the ad tag synchronously blocks content rendering until the tag is fetched and loaded. Consider using the `async` attribute to load gpt.js and/or adsbygoogle.js asynchronously. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/async-ad-tags)."},nS=w("node_modules/lighthouse-plugin-publisher-ads/audits/async-ad-tags.js",dm);s(pie,"isAsync");rS=class extends h{static{s(this,"AsyncAdTags")}static get meta(){return{id:"async-ad-tags",title:nS(dm.title),failureTitle:nS(dm.failureTitle),description:nS(dm.description),requiredArtifacts:["devtoolsLogs","URL"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await $.request(r,n),o=await je.request({URL:e.URL,devtoolsLog:r},n),i=a.filter(l=>Ec(new URL(l.url))).filter(l=>l.frameId===o.frameId);if(!i.length)return me.NoTag;let c=Sf(i,pie)-i.length;return{score:Number(c===0),numericValue:c,numericUnit:"unitless"}}},fie=rS});var CU={};S(CU,{UIStrings:()=>Qr,default:()=>bie});function hie(t){let{record:e}=t,n=e&&e.initiator&&e.initiator.stack;if(n){for(;n.parent;)n=n.parent;return n.callFrames[n.callFrames.length-1]}}function yie(t,e){return e.find(n=>n.name=="FunctionCall"&&n.args.data&&n.args.data.functionName==t.functionName&&n.args.data.scriptId==t.scriptId&&n.args.data.url==t.url&&Math.abs(n.args.data.lineNumber==t.lineNumber)<2&&Math.abs(n.args.data.columnNumber==t.columnNumber)<2)}function xU(t,e){let n={},r=[];for(let a of e)a.name==`${t}EventStart`?n={start:a.ts,end:1/0,eventName:t}:a.name==`${t}EventEnd`&&(n.end=a.ts,r.push(n));return r}function vie(t,e,n){let r=e.find(c=>c.url==t.url),a=e.find(c=>c.url==t.blockedUrl);if(!r||!a)return 0;let o=n.get(r),i=n.get(a);return!o||!i?0:i.startTime-o.endTime}var Qr,Io,gie,aS,bie,AU=v(()=>{d();k();De();Jt();Ur();Ct();bt();Cc();lr();Qr={title:"Ads not blocked by load events",failureTitle:"Avoid waiting on load events",description:"Waiting on load events increases ad latency. To speed up ads, eliminate the following load event handlers. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/blocking-load-events).",displayValue:"{timeInMs, number, seconds} s blocked",columnEvent:"Event Name",columnTime:"Event Time",columnScript:"Script",columnBlockedUrl:"Blocked URL",columnFunctionName:"Function"},Io=w("node_modules/lighthouse-plugin-publisher-ads/audits/blocking-load-events.js",Qr),gie=[{key:"eventName",itemType:"text",text:Io(Qr.columnEvent)},{key:"time",itemType:"ms",text:Io(Qr.columnTime),granularity:1},{key:"url",itemType:"url",text:Io(Qr.columnScript)},{key:"functionName",itemType:"text",text:Io(Qr.columnFunctionName)}];s(hie,"findOriginalCallFrame");s(yie,"findTraceEventOfCallFrame");s(xU,"findEventIntervals");s(vie,"quantifyBlockedTime");aS=class t extends h{static{s(this,"BlockingLoadEvents")}static get meta(){return{id:"blocking-load-events",title:Io(Qr.title),failureTitle:Io(Qr.failureTitle),description:Io(Qr.description),requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=await $.request(a,n),i=await Ye.request(r,n),{timings:c}=await on.request(i,n),{processEvents:u}=i,l=await Dr(r,a,n),m=(await _o(r,a,n)).sort((D,T)=>D.startTime-T.startTime);if(!m.length)return me.NoAdRelatedReq;let p=[...xU("domContentLoaded",u),...xU("load",u)],g=[],f=new Set;for(let D of m){let T=hie(D);if(!T)continue;let A=JSON.stringify(T);if(f.has(A))continue;f.add(A);let R=yie(T,u);if(!R)continue;let F=p.find(M=>M.start<=R.ts&&R.ts<=M.end);if(F){let M=Object.assign({eventName:F.eventName,blockedUrl:D.url,time:c[F.eventName],blockedTime:1/0},T);M.blockedTime=vie(M,o,l),g.push(M)}}let y=g.length>0,b=0;return y&&(b=Math.min(...g.map(D=>D.blockedTime))),{numericValue:g.length,numericUnit:"unitless",score:y?0:1,displayValue:y&&b?Io(Qr.displayValue,{timeInMs:b}):"",details:t.makeTableDetails(gie,g)}}},bie=aS});var FU={};S(FU,{UIStrings:()=>Ia,default:()=>Die});var Ia,_i,wie,oS,Die,RU=v(()=>{d();k();Ct();bt();Cc();At();Ia={title:"No bottleneck requests found",failureTitle:"Avoid bottleneck requests",description:"Speed up, load earlier, parallelize, or eliminate the following requests and their dependencies in order to speed up ad loading. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/bottleneck-requests).",displayValue:"{blockedTime, number, seconds} s spent blocked on requests",columnUrl:"Blocking Request",columnInitiatorUrl:"Initiator Request",columnStartTime:"Start",columnSelfTime:"Exclusive Time",columnDuration:"Total Time"},_i=w("node_modules/lighthouse-plugin-publisher-ads/audits/bottleneck-requests.js",Ia),wie=[{key:"url",itemType:"url",text:_i(Ia.columnUrl)},{key:"selfTime",itemType:"ms",text:_i(Ia.columnSelfTime),granularity:1},{key:"duration",itemType:"ms",text:_i(Ia.columnDuration),granularity:1}],oS=class t extends h{static{s(this,"BottleneckRequests")}static get meta(){return{id:"bottleneck-requests",title:_i(Ia.title),failureTitle:_i(Ia.failureTitle),description:_i(Ia.description),requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o=(await _o(r,a,n)).filter(f=>f.startTime>0);if(!o.length)return me.NoAdRelatedReq;let i=250,c=1e3,u=s(f=>!em(Nn(f.url))&&(f.selfTime>i||f.duration>c),"isBottleneck"),l=s(f=>f.selfTime*3+f.duration,"cost"),m=o.filter(u).sort((f,y)=>l(y)-l(f)).slice(0,5),p=m.reduce((f,y)=>f+y.selfTime,0)/1e3,g=p*1e3>i*4;for(let f of m)delete f.record;return{numericValue:m.length,numericUnit:"unitless",score:g?0:1,displayValue:g?_i(Ia.displayValue,{blockedTime:p}):"",details:t.makeTableDetails(wie,m)}}},Die=oS});var _U={};S(_U,{UIStrings:()=>Mo,default:()=>Sie});var Mo,Rc,Eie,Tie,iS,Sie,kU=v(()=>{d();k();Wt();De();St();Ct();bt();At();Mo={title:"No duplicate tags found",failureTitle:"Load tags only once",description:"Loading a tag more than once in the same page is redundant and adds overhead without benefit. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/duplicate-tags).",failureDisplayValue:"{duplicateTags, plural, =1 {1 duplicate tag} other {# duplicate tags}}",columnScript:"Script",columnNumReqs:"Duplicate Requests",columnFrameId:"Frame ID"},Rc=w("node_modules/lighthouse-plugin-publisher-ads/audits/duplicate-tags.js",Mo),Eie=["googletagservices.com/tag/js/gpt.js","securepubads.g.doubleclick.net/tag/js/gpt.js","pagead2.googlesyndication.com/pagead/js/adsbygoogle.js","pagead2.googlesyndication.com/pagead/js/show_ads.js","cdn.ampproject.org/v0/amp-ad-0.1.js"],Tie=[{key:"script",itemType:"url",text:Rc(Mo.columnScript)},{key:"numReqs",itemType:"text",text:Rc(Mo.columnNumReqs)}],iS=class t extends h{static{s(this,"DuplicateTags")}static get meta(){return{id:"duplicate-tags",title:Rc(Mo.title),failureTitle:Rc(Mo.failureTitle),description:Rc(Mo.description),requiredArtifacts:["devtoolsLogs","URL"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await $.request(r,n),o=await je.request({URL:e.URL,devtoolsLog:r},n),i=a.filter(l=>l.frameId===o.frameId).filter(l=>V4(l.url,Eie)).filter(l=>l.resourceType===Y.TYPES.Script);if(!i.length)return me.NoTags;let c=new Map;for(let l of i){let m=new URL(l.url).pathname,p=c.get(m)||0;c.set(m,p+1)}let u=[];for(let[l,m]of c)m>1&&u.push({script:l,numReqs:m});return{numericValue:u.length,numericUnit:"unitless",score:u.length?0:1,details:t.makeTableDetails(Tie,u),displayValue:u.length?Rc(Mo.failureDisplayValue,{duplicateTags:u.length}):""}}},Sie=iS});var mm,pm,IU,MU=v(()=>{d();xi();oo();we();lr();At();mm=class extends dn{static{s(this,"LanternAdRenderTime")}static getEstimateFromSimulation(e,n){let{nodeTimings:r}=e;return{timeInMs:dn.findNetworkTiming(r,o=>!!o.url&&wc(new URL(o.url))).startTime,nodeTimings:r}}};mm=W(mm);pm=class extends bn{static{s(this,"AdRenderTime")}static async computeSimulatedMetric(e,n){return mm.request(e,n)}static async computeObservedMetric(e,n){let{networkRecords:r}=e,a=Xr(r),i=(Q4(r)-a)*1e3;return Promise.resolve({timing:i})}static async request(e,n){throw Error("Not implemented -- class not decorated")}};pm=W(pm);IU=pm});var NU={};S(NU,{UIStrings:()=>_c,default:()=>xie});var _c,Cf,sS,xie,LU=v(()=>{d();MU();k();Ct();bt();_c={title:"Latency of first ad render",failureTitle:"Reduce time to render first ad",description:"This metric measures the time for the first ad iframe to render from page navigation. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/first-ad-render).",displayValue:"{timeInMs, number, seconds} s"},Cf=w("node_modules/lighthouse-plugin-publisher-ads/audits/first-ad-render.js",_c),sS=class extends h{static{s(this,"FirstAdRender")}static get meta(){return{id:"first-ad-render",title:Cf(_c.title),failureTitle:Cf(_c.failureTitle),description:Cf(_c.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{p10:12900,median:22e3},provided:{p10:2750,median:3700}}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],o={devtoolsLog:e.devtoolsLogs[h.DEFAULT_PASS],trace:r,settings:n.settings},{timing:i}=await IU.request(o,n);if(!(i>0)){let u=me.NoAdRendered;return u.runWarnings=[vc.NoAdRendered],u}let c=n.options[n.settings.throttlingMethod=="provided"?"provided":"simulate"];return{numericValue:i,numericUnit:"millisecond",score:h.computeLogNormalScore(c,i),displayValue:Cf(_c.displayValue,{timeInMs:i})}}},xie=sS});var PU={};S(PU,{UIStrings:()=>kc,default:()=>Cie});var kc,Af,cS,Cie,OU=v(()=>{d();k();De();Ct();bt();At();kc={title:"Ad slots effectively use horizontal space",failureTitle:"Increase the width of ad slots",description:"Ad slots that utilize most of the page width generally experience increased click-through rate over smaller ad sizes. We recommend leaving no more than 25% of the viewport width unutilized on mobile devices.",failureDisplayValue:"{percentUnused, number, percent} of viewport width is underutilized"},Af=w("node_modules/lighthouse-plugin-publisher-ads/audits/full-width-slots.js",kc),cS=class extends h{static{s(this,"FullWidthSlots")}static get meta(){return{id:"full-width-slots",title:Af(kc.title),failureTitle:Af(kc.failureTitle),description:Af(kc.description),requiredArtifacts:["ViewportDimensions","devtoolsLogs"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await $.request(r,n),i=e.ViewportDimensions.innerWidth,c=a.filter(Jr).map(y=>new URL(y.url));if(!c.length)return me.NoAds;let m=c.map(y=>y.searchParams.get("prev_iu_szs")||y.searchParams.get("sz")).join("|").split(/[|,]/).map(y=>parseInt(y.split("x")[0])).filter(y=>y<=i&&y>1);if(!m.length)return me.NoValidAdWidths;let g=1-Math.max(...m)/i,f=g>.25?0:1;return{score:f,numericValue:g,numericUnit:"unitless",displayValue:f?"":Af(kc.failureDisplayValue,{percentUnused:g})}}},Cie=cS});var UU={};S(UU,{UIStrings:()=>No,default:()=>Rie});var Aie,No,Fie,uS,Rie,BU=v(()=>{d();De();YT();Ct();bt();Cc();lr();At();Aie="gpt-bids-parallel",No={title:"GPT and bids loaded in parallel",failureTitle:"Load GPT and bids in parallel",description:"To optimize ad loading, bid requests should not wait on GPT to load. This issue can often be fixed by making sure that bid requests do not wait on `googletag.pubadsReady` or `googletag.cmd.push`. [Learn More](https://developers.google.com/publisher-ads-audits/reference/audits/gpt-bids-parallel).",columnBidder:"Bidder",columnUrl:"URL",columnStartTime:"Start",columnDuration:"Duration"},Fie=[{key:"bidder",itemType:"text",text:No.columnBidder},{key:"url",itemType:"url",text:No.columnUrl},{key:"startTime",itemType:"ms",text:No.columnStartTime},{key:"duration",itemType:"ms",text:No.columnDuration}],uS=class t extends h{static{s(this,"GptBidsInParallel")}static get meta(){return{id:Aie,title:No.title,failureTitle:No.failureTitle,description:No.description,requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=e.traces[h.DEFAULT_PASS],o=await $.request(r,n),i=o.find(g=>Kr(g.url));if(!i)return me.NoGpt;let c=o.filter(Ra).filter(g=>g.frameId==i.frameId);if(!c.length)return me.NoBids;let u=await Dr(a,r,n),l=[],m=new Set;for(let g of c)if(oU(o,a.traceEvents,g).has(i)){let{startTime:f,endTime:y}=u.get(g)||g,b=om(Fo(g.url));if(m.has(b))continue;m.add(b),l.push({bidder:b,url:g.url,startTime:f,duration:y-f})}let p=l.length>0;return{numericValue:l.length,numericUnit:"unitless",score:p?0:1,details:p?t.makeTableDetails(Fie,l):void 0}}},Rie=uS});var jU={};S(jU,{UIStrings:()=>fm,default:()=>_ie});var fm,lS,dS,_ie,qU=v(()=>{d();k();De();Ct();bt();At();fm={title:"GPT tag is loaded from an official source",failureTitle:"Load GPT from an official source",description:"Load GPT from 'securepubads.g.doubleclick.net' for standard integrations or from 'pagead2.googlesyndication.com' for limited ads. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/loads-gpt-from-official-source)."},lS=w("node_modules/lighthouse-plugin-publisher-ads/audits/loads-gpt-from-official-source.js",fm),dS=class extends h{static{s(this,"LoadsGptFromOfficalSource")}static get meta(){return{id:"loads-gpt-from-official-source",title:lS(fm.title),failureTitle:lS(fm.failureTitle),description:lS(fm.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],o=(await $.request(r,n)).map(c=>new URL(c.url)).find(Dc);if(!o)return me.NoGpt;let i=["securepubads.g.doubleclick.net","pagead2.googlesyndication.com"].includes(o.host);return{score:Number(i),numericValue:+!i,numericUnit:"unitless"}}},_ie=dS});var zU={};S(zU,{UIStrings:()=>gm,default:()=>kie});var gm,mS,pS,kie,HU=v(()=>{d();k();De();Ct();bt();At();gm={title:"Ad tag is loaded over HTTPS",failureTitle:"Load ad tag over HTTPS",description:'For privacy and security, always load GPT/AdSense over HTTPS. Insecure pages should explicitly request the ad script securely. GPT Example: `<script async src="https://securepubads.g.doubleclick.net/tag/js/gpt.js">` AdSense Example: `<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js">`. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/loads-ad-tag-over-https).'},mS=w("node_modules/lighthouse-plugin-publisher-ads/audits/loads-ad-tag-over-https.js",gm),pS=class extends h{static{s(this,"LoadsAdTagOverHttps")}static get meta(){return{id:"loads-ad-tag-over-https",title:mS(gm.title),failureTitle:mS(gm.failureTitle),description:mS(gm.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=await $.request(r,n);if(!a.find(l=>l.statusCode==200))return me.NoRecords;let i=a.filter(l=>Ec(new URL(l.url))),c=i.filter(l=>l.isSecure),u={type:"debugdata",numAdTagHttpReqs:i.length-c.length,numAdTagHttpsReqs:c.length};if(!i.length){let l=me.NoTag;return l.details=u,l}return{numericValue:u.numAdTagHttpReqs,score:u.numAdTagHttpReqs?0:1,details:u}}},kie=pS});var GU={};S(GU,{UIStrings:()=>Lo,default:()=>Oie});function Lie(t){if(t.initiator.type!=="script")return!1;let e=kt.getNetworkInitiators(t);return!(e.length!==1||e[0]!==t.documentURL)}async function Pie(t,e){let n=t.devtoolsLogs[h.DEFAULT_PASS],r=t.traces[h.DEFAULT_PASS],a=[],o=await _o(r,n,e);for(let{record:i}of o)!i||i.resourceType!=="Script"||(Lie(i)||Nie.find(c=>i.url.match(c)))&&a.push(i);return a}var Iie,Lo,Ic,Mie,Nie,fS,Oie,WU=v(()=>{d();xf();k();$n();Ct();bt();Cc();lr();Iie=400,Lo={title:"Ad scripts are loaded statically",failureTitle:"Load ad scripts statically",description:"Load the following scripts directly with `<script async src=...>` instead of injecting scripts with JavaScript. Doing so allows the browser to preload scripts sooner. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/script-injected-tags).",failureDisplayValue:"Load {tags, plural, =1 {1 script} other {# scripts}} statically",columnUrl:"Script",columnLoadTime:"Load Time"},Ic=w("node_modules/lighthouse-plugin-publisher-ads/audits/script-injected-tags.js",Lo),Mie=[{key:"url",itemType:"url",text:Ic(Lo.columnUrl)},{key:"loadTime",itemType:"ms",granularity:1,text:Ic(Lo.columnLoadTime)}],Nie=[/amazon-adsystem\.com\/aax2\/apstag.js/,/js-sec\.indexww\.com\/ht\/p\/.*\.js/,/pubads\.g\.doubleclick\.net\/tag\/js\/gpt\.js/,/static\.criteo\.net\/js\/.*\/publishertag\.js/,/www\.googletagservices\.com\/tag\/js\/gpt\.js/,/pagead2\.googlesyndication\.com\/pagead\/js\/adsbygoogle\.js/,/cdn\.ampproject\.org\/v0\/amp-ad-\d+\.\d+\.js/];s(Lie,"initiatedByInlineScript");s(Pie,"findStaticallyLoadableTags");fS=class t extends h{static{s(this,"StaticAdTags")}static get meta(){return{id:"script-injected-tags",title:Ic(Lo.title),failureTitle:Ic(Lo.failureTitle),description:Ic(Lo.description),requiredArtifacts:["devtoolsLogs","traces"]}}static async audit(e,n){let r=await Pie(e,n);if(!r.length)return me.NoTag;let a=new Set,o=[],i=e.devtoolsLogs[h.DEFAULT_PASS],c=e.traces[h.DEFAULT_PASS],u=await eU(c,i,n);for(let m of r){if(a.has(m.url))continue;a.add(m.url);let p=r.filter(f=>f.url===m.url);if(Sf(p,f=>f.initiator.type==="parser"&&!f.isLinkPreload)===0){let f=u.get(m.url)||0;if(f<Iie)continue;o.push({url:m.url,loadTime:f})}}o.sort((m,p)=>m.loadTime-p.loadTime);let l=o.length>0;return{displayValue:l?Ic(Lo.failureDisplayValue,{tags:o.length}):"",score:+!l,numericValue:o.length,numericUnit:"unitless",details:t.makeTableDetails(Mie,o)}}},Oie=fS});var VU={};S(VU,{UIStrings:()=>Ma,default:()=>Gie});function jie(t,e,n){let r=[];for(let a of t){let o=n.get(a);o&&r.push(Object.assign({},o,{url:a.url,type:e}))}return r}function qie(t){return Ti(new URL(t.url))?Mc.AD:Fo(t.url)?Mc.BID:Mc.UNKNOWN}function zie(t){return(t.resourceSize==null||t.resourceSize>0)&&t.resourceType!="Image"&&t.endTime-t.startTime>=Uie&&!pf(t)}function Hie(t){let e=new URL(t);return e.search="",e.toString()}var Ma,ki,Uie,Bie,Mc,gS,Gie,$U=v(()=>{d();bf();k();Wt();De();Ct();bt();xf();lr();BT();At();Ma={title:"Header bidding is parallelized",failureTitle:"Parallelize bid requests",description:"Send header bidding requests simultaneously, rather than serially, to retrieve bids more quickly. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/serial-header-bidding).",columnBidder:"Bidder",columnUrl:"URL",columnStartTime:"Start",columnDuration:"Duration"},ki=w("node_modules/lighthouse-plugin-publisher-ads/audits/serial-header-bidding.js",Ma),Uie=.05,Bie=[{key:"bidder",itemType:"text",text:ki(Ma.columnBidder)},{key:"url",itemType:"url",text:ki(Ma.columnUrl)},{key:"startTime",itemType:"ms",text:ki(Ma.columnStartTime)},{key:"duration",itemType:"ms",text:ki(Ma.columnDuration)}],Mc={AD:"ad",BID:"bid",UNKNOWN:"unknown"};s(jie,"constructRecords");s(qie,"checkRecordType");s(zie,"isPossibleBid");s(Hie,"clearQueryString");gS=class t extends h{static{s(this,"SerialHeaderBidding")}static get meta(){return{id:"serial-header-bidding",title:ki(Ma.title),failureTitle:ki(Ma.failureTitle),description:ki(Ma.description),requiredArtifacts:["devtoolsLogs","traces","URL"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS],a=e.traces[h.DEFAULT_PASS],o=await $.request(r,n);if(!o.length)return me.NoRecords;let i=await je.request({URL:e.URL,devtoolsLog:r},n),c=o.filter(zie).filter(D=>D.frameId==i.frameId),u=DU(c,qie);if(!u.has(Mc.BID))return me.NoBids;let l={trace:a,devtoolsLog:r,settings:n.settings},{timing:m}=await xc.request(l,n),p=await Dr(a,r,n),g=jie(u.get(Mc.BID)||[],Mc.BID,p),f=[],y;for(let D of g)m>0&&D.endTime>m||(D.bidder=Fo(D.url),D.url=Hie(D.url),y&&D.startTime>=y.endTime&&(f.push(y),f.push(D)),(!y||D.endTime<y.endTime||D.startTime>=y.endTime)&&(y=D));f=Array.from(new Set(f));let b=f.length>1;return{numericValue:Number(b),numericUnit:"unitless",score:b?0:1,details:b?t.makeTableDetails(Bie,f):void 0}}},Gie=gS});var hm,ym,YU,KU=v(()=>{d();xi();oo();we();lr();At();hm=class extends dn{static{s(this,"LanternTagLoadTime")}static getEstimateFromSimulation(e,n){let{nodeTimings:r}=e;return{timeInMs:dn.findNetworkTiming(r,o=>!!o.url&&Sc(new URL(o.url))).endTime,nodeTimings:r}}};hm=W(hm);ym=class extends bn{static{s(this,"TagLoadTime")}static async computeSimulatedMetric(e,n){return hm.request(e,n)}static async computeObservedMetric(e,n){let{networkRecords:r}=e,a=Xr(r),i=(X4(r)-a)*1e3;return Promise.resolve({timing:i})}static async request(e,n){throw Error("Not implemented -- class not decorated")}};ym=W(ym);YU=ym});var JU={};S(JU,{UIStrings:()=>Nc,default:()=>Wie});var Nc,Ff,hS,Wie,XU=v(()=>{d();KU();k();Ct();bt();Nc={title:"Tag load time",failureTitle:"Reduce tag load time",description:"This metric measures the time for the ad tag's implementation script (pubads_impl.js for GPT; adsbygoogle.js for AdSense) to load after the page loads. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/tag-load-time).",displayValue:"{timeInMs, number, seconds} s"},Ff=w("node_modules/lighthouse-plugin-publisher-ads/audits/tag-load-time.js",Nc),hS=class extends h{static{s(this,"TagLoadTime")}static get meta(){return{id:"tag-load-time",title:Ff(Nc.title),failureTitle:Ff(Nc.failureTitle),description:Ff(Nc.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["devtoolsLogs","traces"]}}static get defaultOptions(){return{simulate:{p10:4350,median:8e3},provided:{p10:1200,median:2e3}}}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=e.devtoolsLogs[h.DEFAULT_PASS],o={trace:r,devtoolsLog:a,settings:n.settings},i=n.options[n.settings.throttlingMethod=="provided"?"provided":"simulate"],{timing:c}=await YU.request(o,n);if(!(c>0)){let u=me.NoTag;return u.runWarnings=[vc.NoTag],u}return{numericValue:c,numericUnit:"millisecond",score:h.computeLogNormalScore(i,c),displayValue:Ff(Nc.displayValue,{timeInMs:c})}}},Wie=hS});var ZU={};S(ZU,{UIStrings:()=>Lc,default:()=>$ie});function Vie(t,e){let n=new Set([...t.map(a=>a.clientRect.left),...t.map(a=>a.clientRect.right)].map(a=>Math.min(Math.max(1,a),e.innerWidth-1)));t=t.sort((a,o)=>a.clientRect.top!==o.clientRect.top?a.clientRect.top-o.clientRect.top:a.clientRect.bottom-o.clientRect.bottom);let r=0;for(let a of n){let o=0,i=0;for(let c of t){if(a<c.clientRect.left||a>c.clientRect.right)continue;if(c.isPositionFixed){o+=c.clientRect.height;continue}let u=c.clientRect.bottom-Math.max(i,c.clientRect.top);u>0&&(o+=u),i=Math.max(i,c.clientRect.bottom)}r=Math.max(r,o)}return r}var Lc,Rf,yS,$ie,QU=v(()=>{d();k();Ct();bt();At();Lc={title:"Ads to page-height ratio is within recommended range",failureTitle:"Reduce ads to page-height ratio",description:"The ads to page-height ratio can impact user experience and ultimately user retention. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/viewport-ad-density).",displayValue:"{adDensity, number, percent} ads to page-height ratio"},Rf=w("node_modules/lighthouse-plugin-publisher-ads/audits/viewport-ad-density.js",Lc);s(Vie,"computeAdLength");yS=class extends h{static{s(this,"ViewportAdDensity")}static get meta(){return{id:"viewport-ad-density",title:Rf(Lc.title),failureTitle:Rf(Lc.failureTitle),description:Rf(Lc.description),requiredArtifacts:["ViewportDimensions","IFrameElements"]}}static audit(e){let n=e.ViewportDimensions,r=e.IFrameElements.filter(l=>Tc(l)&&l.clientRect.width*l.clientRect.height>1);if(!r.length)return me.NoVisibleSlots;if(n.innerHeight<=0)throw new Error(O4.ViewportAreaZero);let a=Vie(r,n),i=Math.max(...r.map(l=>l.clientRect.top+l.clientRect.height/2))+n.innerHeight,c=Math.min(1,a/i);return{score:c>.3?0:1,numericValue:c,numericUnit:"unitless",displayValue:Rf(Lc.displayValue,{adDensity:c})}}},$ie=yS});var eB={};S(eB,{UIStrings:()=>vm,default:()=>Yie});var vm,vS,bS,Yie,tB=v(()=>{d();k();Ct();bt();lr();At();eS();vm={title:"Cumulative ad shift",failureTitle:"Reduce ad-related layout shift",description:"Measures layout shifts that were caused by ads or happened near ads. Reducing cumulative ad-related layout shift will improve user experience. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/cumulative-ad-shift)."},vS=w("node_modules/lighthouse-plugin-publisher-ads/audits/cumulative-ad-shift.js",vm),bS=class extends h{static{s(this,"CumulativeAdShift")}static get meta(){return{id:"cumulative-ad-shift",title:vS(vm.title),failureTitle:vS(vm.failureTitle),description:vS(vm.description),scoreDisplayMode:h.SCORING_MODES.NUMERIC,requiredArtifacts:["traces","IFrameElements"]}}static get defaultOptions(){return{p10:.05,median:.25}}static isAdExpansion(e,n){if(!e.args||!e.args.data)return!1;for(let r of e.args.data.impacted_nodes||[]){let a=QT(r.old_rect||[]),o=QT(r.new_rect||[]);if(!(a.top>o.top||a.height!==o.height))for(let i of n){let c=i.clientRect;if((a.top>=c.top||o.top>=c.bottom)&&vU(a,c))return!0}}return!1}static isAttributableToTask(e,n){if(!e.args||!e.args.data)return!1;let r=50*1e3;return!!n.find(o=>o.ts<e.ts&&e.ts-o.ts<r)}static compute(e,n,r,a){let o=0,i=0,c=0,u=0,l=0,m=0;for(let p of e)!p.args||!p.args.data||!p.args.data.is_main_frame||(o+=p.args.data.score,i++,(this.isAdExpansion(p,r)||this.isAttributableToTask(p,n))&&(c+=p.args.data.score,u++,p.ts<a&&(l+=p.args.data.score,m++)));return{cumulativeShift:o,numShifts:i,cumulativeAdShift:c,numAdShifts:u,cumulativePreImplTagAdShift:l,numPreImplTagAdShifts:m}}static getLayoutShiftEventsByWindow(e){let a=0,o=[],i=0,c=[];for(let u of e){if(u.name!=="LayoutShift"||!u.args||!u.args.data)continue;if(c.length){let m=c[0],p=c[c.length-1];(p.ts-m.ts>5e6||u.ts-p.ts>1e6)&&(i>a&&(o=c,a=i),c=[],i=0)}c.push(u);let l=u.args.data;i+=l.weighted_score_delta||l.score||0}return o.length||(o=c),o}static async audit(e,n){let r=e.traces[h.DEFAULT_PASS],a=this.getLayoutShiftEventsByWindow(r.traceEvents);if(!a.length)return me.NoLayoutShifts;let o=r.traceEvents.filter(m=>Si(vf(m)||"")),i=o.find(m=>Sc(vf(m)||""))||{ts:1/0},c=e.IFrameElements.filter(Tc),u=this.compute(a,o,c,i.ts),l=u.cumulativeAdShift;return!c.length&&!l?me.NoAdRendered:{numericValue:l,numericUnit:"unitless",score:h.computeLogNormalScore({p10:n.options.p10,median:n.options.median},l),displayValue:l.toLocaleString(n.settings.locale),details:u}}},Yie=bS});var nB={};S(nB,{UIStrings:()=>Oc,default:()=>Kie});var Oc,Pc,wS,Kie,rB=v(()=>{d();k();De();Ct();bt();At();Oc={title:"Deprecated GPT API Usage",failureTitle:"Avoid deprecated GPT APIs",description:"Deprecated GPT API methods should be avoided to ensure your page is tagged correctly. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/deprecated-gpt-api-usage).",displayValue:"{numErrors, plural, =1 {1 error} other {# errors}} found"},Pc=w("node_modules/lighthouse-plugin-publisher-ads/audits/deprecated-api-usage.js",Oc),wS=class extends h{static{s(this,"DeprecatedApiUsage")}static get meta(){return{id:"deprecated-gpt-api-usage",title:Pc(Oc.title),failureTitle:Pc(Oc.failureTitle),description:Pc(Oc.description),scoreDisplayMode:"informative",requiredArtifacts:["ConsoleMessages","devtoolsLogs"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS];if(!(await $.request(r,n)).find(m=>Kr(m.url)))return me.NoGpt;let i=e.ConsoleMessages.filter(m=>m.level==="warning"||m.level==="error").filter(m=>m.url&&Ao(m.url)).filter(m=>m.text.toLowerCase().includes("deprecated")||m.text.toLowerCase().includes("discouraged")).map(m=>({source:m.source,description:m.text,url:m.url,timestamp:m.timestamp})).sort((m,p)=>(m.timestamp||0)-(p.timestamp||0)),c=[{key:"url",itemType:"url",text:Pc(x.columnURL)},{key:"description",itemType:"code",text:Pc(x.columnDescription)}],u=h.makeTableDetails(c,i),l=i.length;return{score:+(l===0),details:u,displayValue:Pc(Oc.displayValue,{numErrors:l})}}},Kie=wS});var aB={};S(aB,{UIStrings:()=>Bc,default:()=>Jie});var Bc,Uc,DS,Jie,oB=v(()=>{d();k();De();Ct();bt();At();Bc={title:"GPT Errors",failureTitle:"Fix GPT errors",description:"Fix GPT errors to ensure your page is tagged as intended. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/gpt-errors-overall).",displayValue:"{numErrors, plural, =1 {1 error} other {# errors}} found"},Uc=w("node_modules/lighthouse-plugin-publisher-ads/audits/gpt-errors-overall.js",Bc),DS=class extends h{static{s(this,"GptErrorsOverall")}static get meta(){return{id:"gpt-errors-overall",title:Uc(Bc.title),failureTitle:Uc(Bc.failureTitle),description:Uc(Bc.description),scoreDisplayMode:"informative",requiredArtifacts:["ConsoleMessages","devtoolsLogs"]}}static async audit(e,n){let r=e.devtoolsLogs[h.DEFAULT_PASS];if(!(await $.request(r,n)).find(m=>Kr(m.url)))return me.NoGpt;let i=e.ConsoleMessages.filter(m=>m.level==="error"||m.level==="warning").filter(m=>m.url&&Ao(m.url)).filter(m=>!m.text.toLowerCase().includes("deprecated")&&!m.text.toLowerCase().includes("discouraged")).map(m=>({source:m.source,description:m.text,url:m.url,timestamp:m.timestamp})).sort((m,p)=>(m.timestamp||0)-(p.timestamp||0)),c=[{key:"url",itemType:"url",text:Uc(x.columnURL)},{key:"description",itemType:"code",text:Uc(x.columnDescription)}],u=h.makeTableDetails(c,i),l=i.length;return{score:+(l===0),details:u,displayValue:Uc(Bc.displayValue,{numErrors:l})}}},Jie=DS});var iB={};S(iB,{UIStrings:()=>Po,default:()=>Zie});var Po,jc,Xie,ES,Zie,sB=v(()=>{d();k();WT();De();Ct();bt();wf();At();Po={title:"Total ad JS blocking time",failureTitle:"Reduce ad JS blocking time",description:"Ad-related scripts are blocking the main thread. [Learn more](https://developers.google.com/publisher-ads-audits/reference/audits/total-ad-blocking-time).",failureDisplayValue:"{timeInMs, number, seconds} s blocked",columnName:"Name",columnBlockingTime:"Blocking Time"},jc=w("node_modules/lighthouse-plugin-publisher-ads/audits/total-ad-blocking-time.js",Po),Xie=[{key:"name",itemType:"text",text:jc(Po.columnName)},{key:"blockingTime",itemType:"ms",text:jc(Po.columnBlockingTime),granularity:1}],ES=class t extends h{static{s(this,"TotalAdBlockingTime")}static get meta(){return{id:"total-ad-blocking-time",title:jc(Po.title),failureTitle:jc(Po.failureTitle),description:jc(Po.description),requiredArtifacts:["traces","devtoolsLogs"]}}static get defaultOptions(){return{simulate:{p10:290,median:600},provided:{p10:150,median:350}}}static async audit(e,n){let a=e.traces[h.DEFAULT_PASS],o=e.devtoolsLogs[h.DEFAULT_PASS];if(!(await $.request(o,n)).find(f=>Si(f.url)))return me.NoAdRelatedReq;let c={trace:a,devtoolsLog:o,settings:n.settings},u=[];try{u=await Df.request(c,n)}catch{return me.InvalidTiming}let l=0,m=new Map;for(let f of u){let y=Ro(f);if(!y||!Si(y)||f.parent)continue;let b=f.duration-50;l+=b;let D=gf(y),T=m.get(D)||0;m.set(D,T+b)}let p=[];for(let[f,y]of m.entries())p.push({name:f,blockingTime:y});p.sort((f,y)=>y.blockingTime-f.blockingTime);let g=n.options[n.settings.throttlingMethod]||n.options.provided;return{score:h.computeLogNormalScore(g,l),numericValue:l,numericUnit:"millisecond",displayValue:jc(Po.failureDisplayValue,{timeInMs:l}),details:t.makeTableDetails(Xie,p)}}},Zie=ES});var cB={};S(cB,{default:()=>Qie});var Qie,uB=v(()=>{d();Qie={audits:[{path:"lighthouse-plugin-soft-navigation/audits/soft-nav-fcp"},{path:"lighthouse-plugin-soft-navigation/audits/soft-nav-lcp"}],groups:{metrics:{title:"Metrics associated with a soft navigation"}},category:{title:"Soft Navigation",supportedModes:["timespan"],auditRefs:[{id:"soft-nav-fcp",weight:1,group:"metrics"},{id:"soft-nav-lcp",weight:1,group:"metrics"}]}}});function _f(t){let e,n,r,a;for(let c of t)switch(c.name){case"SoftNavigationHeuristics::UserInitiatedClick":n||(e=c);break;case"SoftNavigationHeuristics_SoftNavigationDetected":if(n)throw new Error("Multiple soft navigations detected");n=c;break;case"largestContentfulPaint::Candidate":e&&(r=c);break;case"firstContentfulPaint":e&&(a=c);break}if(!e)return{};let o=e.ts,i=s(c=>{if(c)return(c.ts-o)/1e3},"getTiming");return{lcpTiming:i(r),fcpTiming:i(a)}}var TS=v(()=>{d();s(_f,"computeMetricTimings")});var lB={};S(lB,{default:()=>ese});var SS,ese,dB=v(()=>{d();bt();Jt();TS();SS=class extends h{static{s(this,"SoftNavFCP")}static get meta(){return{id:"soft-nav-fcp",title:"Soft Navigation First Contentful Paint",description:"First Contentful Paint of a soft navigation.",scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["timespan"],requiredArtifacts:["Trace"]}}static async audit(e,n){let r=e.Trace,a=await Ye.request(r,n),{fcpTiming:o}=_f(a.mainThreadEvents);return o?{numericValue:o,numericUnit:"millisecond",displayValue:`${o} ms`,score:h.computeLogNormalScore({p10:1800,median:3e3},o)}:{notApplicable:!0,score:1}}},ese=SS});var mB={};S(mB,{default:()=>tse});var xS,tse,pB=v(()=>{d();bt();Jt();TS();xS=class extends h{static{s(this,"SoftNavLCP")}static get meta(){return{id:"soft-nav-lcp",title:"Soft Navigation Largest Contentful Paint",description:"Largest Contentful Paint of a soft navigation.",scoreDisplayMode:h.SCORING_MODES.NUMERIC,supportedModes:["timespan"],requiredArtifacts:["Trace"]}}static async audit(e,n){let r=e.Trace,a=await Ye.request(r,n),{lcpTiming:o}=_f(a.mainThreadEvents);return o?{numericValue:o,numericUnit:"millisecond",displayValue:`${o} ms`,score:h.computeLogNormalScore({p10:2500,median:4e3},o)}:{notApplicable:!0,score:1}}},tse=xS});function CS(){if(globalThis.isDevtools||globalThis.isLightrider)return!0;try{return qc.resolve("lighthouse-logger"),!1}catch{return!0}}function yB(t,e,n=!1){if(typeof t>"u"||t===null)return e;if(typeof e>"u")return t;if(Array.isArray(e)){if(n)return e;if(!Array.isArray(t))throw new TypeError(`Expected array but got ${typeof t}`);let r=t.slice();return e.forEach(a=>{r.some(o=>(0,hB.default)(o,a))||r.push(a)}),r}else if(typeof e=="object"){if(typeof t!="object")throw new TypeError(`Expected object but got ${typeof t}`);if(Array.isArray(t))throw new TypeError("Expected object but got Array");return Object.keys(e).forEach(r=>{let a=n||r==="settings"&&typeof t[r]=="object";t[r]=yB(t[r],e[r],a)}),t}return e}function vB(t,e,n){let r=new Map,a=t||[];for(let o=0;o<a.length;o++){let i=a[o];r.set(n(i),{index:o,item:i})}for(let o of e||[]){let i=r.get(n(o));if(i){let c=i.item,u=typeof o=="object"&&typeof c=="object"?Ii(c,o,!0):o;a[i.index]=u}else a.push(o)}return a}function rse(t){if(typeof t=="string")return{path:t};if("implementation"in t||"instance"in t)return t;if("path"in t){if(typeof t.path!="string")throw new Error("Invalid Gatherer type "+JSON.stringify(t));return t}else{if(typeof t=="function")return{implementation:t};if(t&&typeof t.getArtifact=="function")return{instance:t};throw new Error("Invalid Gatherer type "+JSON.stringify(t))}}function ase(t){if(typeof t=="string")return{path:t,options:{}};if("implementation"in t&&typeof t.implementation.audit=="function")return t;if("path"in t&&typeof t.path=="string")return t;if("audit"in t&&typeof t.audit=="function")return{implementation:t,options:{}};throw new Error("Invalid Audit type "+JSON.stringify(t))}async function AS(t){Ot.isAbsolute(t)&&(t=Wo.pathToFileURL(t).href);let e;if(fB.has(t)?e=await fB.get(t):t.match(/\.(js|mjs|cjs)$/)?e=await import(t):(t+=".js",e=await import(t)),e.default)return e.default;let n=new Set(["meta"]),r=Object.keys(e).filter(a=>e[a]&&e[a]instanceof Object?Object.getOwnPropertyNames(e[a]).some(o=>n.has(o)):!1);if(r.length===1)return r[0];throw r.length>1?new Error(`module '${t}' has too many possible exports`):new Error(`module '${t}' missing default export`)}async function ose(t,e,n){let r=e.find(i=>i===`${t}.js`),a=`../gather/gatherers/${t}`;r||(a=FS(t,n,"gatherer"));let o=await AS(a);return{instance:new o,implementation:o,path:t}}function ise(t,e,n){let r=`${t}.js`,a=e.find(i=>i===r),o=`../audits/${t}`;if(!a)if(CS())o=t;else{let i=FS(t,n,"audit");CS()?o=Ot.relative("",i):o=i}return AS(o)}function sse(t={}){let e={};for(let n of Object.keys(t))n in Qn&&(e[n]=t[n]);return e}function bB(t={},e=void 0){let n=Zm(e?.locale||t.locale),{defaultSettings:r}=Ir,a=Ii(RS(r),t,!0),o=Ii(a,sse(e),!0);return o.budgets&&(o.budgets=Mr.initializeBudget(o.budgets)),o.locale=n,o.emulatedUserAgent===!0&&(o.emulatedUserAgent=Wa[o.formFactor]),yh(o),o}async function wB(t,e,n){let r=t.plugins||[],a=n?.plugins||[],o=new Set([...r,...a]);for(let i of o){q_(t,i);let c=CS()?i:FS(i,e,"plugin"),u=await AS(c),l=ek.parsePlugin(u,i);t=Ii(t,l)}return t}async function DB(t,e,n){let r=rse(t);if(r.instance)return{instance:r.instance,implementation:r.implementation,path:r.path};if(r.implementation){let a=r.implementation;return{instance:new a,implementation:r.implementation,path:r.path}}else if(r.path){let a=r.path;return ose(a,e,n)}else throw new Error("Invalid expanded Gatherer: "+JSON.stringify(r))}async function EB(t,e){if(!t)return null;let n=cn.getAuditList(),r=t.map(async i=>{let c=ase(i),u;return"implementation"in c?u=c.implementation:u=await ise(c.path,n,e),{implementation:u,path:c.path,options:c.options||{}}}),a=await Promise.all(r),o=nse(a);return o.forEach(i=>hh(i)),o}function FS(t,e,n){try{return qc.resolve(t)}catch{}try{return qc.resolve(t,{paths:[process.cwd()]})}catch{}let r=Ot.resolve(process.cwd(),t);try{return qc.resolve(r)}catch{}let a="Unable to locate "+(n?`${n}: `:"")+`\`${t}\`.
     Tried to resolve the module from these locations:
       
       ${r}`;if(!e)throw new Error(a);let o=Ot.resolve(e,t);try{return qc.resolve(o)}catch{}try{return qc.resolve(t,{paths:[e]})}catch{}throw new Error(a+`
       ${o}`)}function gB(t){return typeof t=="object"?Object.assign(Object.create(Object.getPrototypeOf(t)),t):t}function RS(t){return JSON.parse(JSON.stringify(t))}function _S(t){let e=RS(t);return Array.isArray(t.audits)&&(e.audits=t.audits.map(n=>gB(n))),Array.isArray(t.artifacts)&&(e.artifacts=t.artifacts.map(n=>({...n,gatherer:gB(n.gatherer)}))),e}var hB,qc,nse,Ii,fB,kS=v(()=>{"use strict";d();qo();es();lu();hB=zt(cu(),1);Vn();Eu();tk();$a();k();bh();Vo();qc=Go("core/config/config-helpers.js");s(CS,"isBundledEnvironment");nse=s(function(t){let e=[];for(let n of t){let r=n.path&&e.find(a=>a.path===n.path);if(!r){e.push(n);continue}r.options=Object.assign({},r.options,n.options)}return e},"mergeOptionsOfItems");s(yB,"_mergeConfigFragment");Ii=yB;s(vB,"mergeConfigFragmentArrayByKey");s(rse,"expandGathererShorthand");s(ase,"expandAuditShorthand");fB=new Map([["../gather/gatherers/accessibility",Promise.resolve().then(()=>(ok(),ak))],["../gather/gatherers/anchor-elements",Promise.resolve().then(()=>(lk(),uk))],["../gather/gatherers/bf-cache-failures",Promise.resolve().then(()=>(hk(),gk))],["../gather/gatherers/cache-contents",Promise.resolve().then(()=>(vk(),yk))],["../gather/gatherers/console-messages",Promise.resolve().then(()=>(wk(),bk))],["../gather/gatherers/css-usage",Promise.resolve().then(()=>(Ek(),Dk))],["../gather/gatherers/devtools-log-compat",Promise.resolve().then(()=>(Sk(),Tk))],["../gather/gatherers/devtools-log",Promise.resolve().then(()=>(Kn(),fk))],["../gather/gatherers/dobetterweb/doctype",Promise.resolve().then(()=>(Ck(),xk))],["../gather/gatherers/dobetterweb/domstats",Promise.resolve().then(()=>(Fk(),Ak))],["../gather/gatherers/dobetterweb/optimized-images",Promise.resolve().then(()=>(_k(),Rk))],["../gather/gatherers/dobetterweb/response-compression",Promise.resolve().then(()=>(FI(),AI))],["../gather/gatherers/dobetterweb/tags-blocking-first-paint",Promise.resolve().then(()=>(_I(),RI))],["../gather/gatherers/full-page-screenshot",Promise.resolve().then(()=>(LI(),NI))],["../gather/gatherers/global-listeners",Promise.resolve().then(()=>(OI(),PI))],["../gather/gatherers/iframe-elements",Promise.resolve().then(()=>(BI(),UI))],["../gather/gatherers/image-elements",Promise.resolve().then(()=>(WI(),GI))],["../gather/gatherers/inputs",Promise.resolve().then(()=>($I(),VI))],["../gather/gatherers/inspector-issues",Promise.resolve().then(()=>(KI(),YI))],["../gather/gatherers/installability-errors",Promise.resolve().then(()=>(XI(),JI))],["../gather/gatherers/js-usage",Promise.resolve().then(()=>(QI(),ZI))],["../gather/gatherers/link-elements",Promise.resolve().then(()=>(iM(),oM))],["../gather/gatherers/main-document-content",Promise.resolve().then(()=>(cM(),sM))],["../gather/gatherers/meta-elements",Promise.resolve().then(()=>(lM(),uM))],["../gather/gatherers/network-user-agent",Promise.resolve().then(()=>(mM(),dM))],["../gather/gatherers/script-elements",Promise.resolve().then(()=>(fM(),pM))],["../gather/gatherers/scripts",Promise.resolve().then(()=>(Uy(),gM))],["../gather/gatherers/seo/embedded-content",Promise.resolve().then(()=>(yM(),hM))],["../gather/gatherers/seo/font-size",Promise.resolve().then(()=>(wy(),by))],["../gather/gatherers/seo/robots-txt",Promise.resolve().then(()=>(bM(),vM))],["../gather/gatherers/seo/tap-targets",Promise.resolve().then(()=>(MM(),IM))],["../gather/gatherers/service-worker",Promise.resolve().then(()=>(UM(),OM))],["../gather/gatherers/source-maps",Promise.resolve().then(()=>(QM(),ZM))],["../gather/gatherers/stacks",Promise.resolve().then(()=>(tN(),eN))],["../gather/gatherers/trace-compat",Promise.resolve().then(()=>(rN(),nN))],["../gather/gatherers/trace-elements",Promise.resolve().then(()=>(iN(),oN))],["../gather/gatherers/trace",Promise.resolve().then(()=>(Vi(),kx))],["../gather/gatherers/viewport-dimensions",Promise.resolve().then(()=>(cN(),sN))],["../gather/gatherers/web-app-manifest",Promise.resolve().then(()=>(pN(),mN))],["../audits/accessibility/accesskeys",Promise.resolve().then(()=>(hN(),gN))],["../audits/accessibility/aria-allowed-attr",Promise.resolve().then(()=>(vN(),yN))],["../audits/accessibility/aria-allowed-role",Promise.resolve().then(()=>(wN(),bN))],["../audits/accessibility/aria-command-name",Promise.resolve().then(()=>(EN(),DN))],["../audits/accessibility/aria-dialog-name",Promise.resolve().then(()=>(SN(),TN))],["../audits/accessibility/aria-hidden-body",Promise.resolve().then(()=>(CN(),xN))],["../audits/accessibility/aria-hidden-focus",Promise.resolve().then(()=>(FN(),AN))],["../audits/accessibility/aria-input-field-name",Promise.resolve().then(()=>(_N(),RN))],["../audits/accessibility/aria-meter-name",Promise.resolve().then(()=>(IN(),kN))],["../audits/accessibility/aria-progressbar-name",Promise.resolve().then(()=>(NN(),MN))],["../audits/accessibility/aria-required-attr",Promise.resolve().then(()=>(PN(),LN))],["../audits/accessibility/aria-required-children",Promise.resolve().then(()=>(UN(),ON))],["../audits/accessibility/aria-required-parent",Promise.resolve().then(()=>(jN(),BN))],["../audits/accessibility/aria-roles",Promise.resolve().then(()=>(zN(),qN))],["../audits/accessibility/aria-text",Promise.resolve().then(()=>(GN(),HN))],["../audits/accessibility/aria-toggle-field-name",Promise.resolve().then(()=>(VN(),WN))],["../audits/accessibility/aria-tooltip-name",Promise.resolve().then(()=>(YN(),$N))],["../audits/accessibility/aria-treeitem-name",Promise.resolve().then(()=>(JN(),KN))],["../audits/accessibility/aria-valid-attr-value",Promise.resolve().then(()=>(ZN(),XN))],["../audits/accessibility/aria-valid-attr",Promise.resolve().then(()=>(e3(),QN))],["../audits/accessibility/button-name",Promise.resolve().then(()=>(n3(),t3))],["../audits/accessibility/bypass",Promise.resolve().then(()=>(a3(),r3))],["../audits/accessibility/color-contrast",Promise.resolve().then(()=>(i3(),o3))],["../audits/accessibility/definition-list",Promise.resolve().then(()=>(c3(),s3))],["../audits/accessibility/dlitem",Promise.resolve().then(()=>(l3(),u3))],["../audits/accessibility/document-title",Promise.resolve().then(()=>(m3(),d3))],["../audits/accessibility/duplicate-id-active",Promise.resolve().then(()=>(f3(),p3))],["../audits/accessibility/duplicate-id-aria",Promise.resolve().then(()=>(h3(),g3))],["../audits/accessibility/empty-heading",Promise.resolve().then(()=>(v3(),y3))],["../audits/accessibility/form-field-multiple-labels",Promise.resolve().then(()=>(w3(),b3))],["../audits/accessibility/frame-title",Promise.resolve().then(()=>(E3(),D3))],["../audits/accessibility/heading-order",Promise.resolve().then(()=>(S3(),T3))],["../audits/accessibility/html-has-lang",Promise.resolve().then(()=>(C3(),x3))],["../audits/accessibility/html-lang-valid",Promise.resolve().then(()=>(F3(),A3))],["../audits/accessibility/html-xml-lang-mismatch",Promise.resolve().then(()=>(_3(),R3))],["../audits/accessibility/identical-links-same-purpose",Promise.resolve().then(()=>(I3(),k3))],["../audits/accessibility/image-alt",Promise.resolve().then(()=>(N3(),M3))],["../audits/accessibility/image-redundant-alt",Promise.resolve().then(()=>(P3(),L3))],["../audits/accessibility/input-button-name",Promise.resolve().then(()=>(U3(),O3))],["../audits/accessibility/input-image-alt",Promise.resolve().then(()=>(j3(),B3))],["../audits/accessibility/label-content-name-mismatch",Promise.resolve().then(()=>(z3(),q3))],["../audits/accessibility/label",Promise.resolve().then(()=>(G3(),H3))],["../audits/accessibility/landmark-one-main",Promise.resolve().then(()=>(V3(),W3))],["../audits/accessibility/link-in-text-block",Promise.resolve().then(()=>(Y3(),$3))],["../audits/accessibility/link-name",Promise.resolve().then(()=>(J3(),K3))],["../audits/accessibility/list",Promise.resolve().then(()=>(Z3(),X3))],["../audits/accessibility/listitem",Promise.resolve().then(()=>(eL(),Q3))],["../audits/accessibility/manual/custom-controls-labels",Promise.resolve().then(()=>(nL(),tL))],["../audits/accessibility/manual/custom-controls-roles",Promise.resolve().then(()=>(aL(),rL))],["../audits/accessibility/manual/focus-traps",Promise.resolve().then(()=>(iL(),oL))],["../audits/accessibility/manual/focusable-controls",Promise.resolve().then(()=>(cL(),sL))],["../audits/accessibility/manual/interactive-element-affordance",Promise.resolve().then(()=>(lL(),uL))],["../audits/accessibility/manual/logical-tab-order",Promise.resolve().then(()=>(mL(),dL))],["../audits/accessibility/manual/managed-focus",Promise.resolve().then(()=>(fL(),pL))],["../audits/accessibility/manual/offscreen-content-hidden",Promise.resolve().then(()=>(hL(),gL))],["../audits/accessibility/manual/use-landmarks",Promise.resolve().then(()=>(vL(),yL))],["../audits/accessibility/manual/visual-order-follows-dom",Promise.resolve().then(()=>(wL(),bL))],["../audits/accessibility/meta-refresh",Promise.resolve().then(()=>(EL(),DL))],["../audits/accessibility/meta-viewport",Promise.resolve().then(()=>(SL(),TL))],["../audits/accessibility/object-alt",Promise.resolve().then(()=>(CL(),xL))],["../audits/accessibility/select-name",Promise.resolve().then(()=>(FL(),AL))],["../audits/accessibility/skip-link",Promise.resolve().then(()=>(_L(),RL))],["../audits/accessibility/tabindex",Promise.resolve().then(()=>(IL(),kL))],["../audits/accessibility/table-duplicate-name",Promise.resolve().then(()=>(NL(),ML))],["../audits/accessibility/table-fake-caption",Promise.resolve().then(()=>(PL(),LL))],["../audits/accessibility/target-size",Promise.resolve().then(()=>(UL(),OL))],["../audits/accessibility/td-has-header",Promise.resolve().then(()=>(jL(),BL))],["../audits/accessibility/td-headers-attr",Promise.resolve().then(()=>(zL(),qL))],["../audits/accessibility/th-has-data-cells",Promise.resolve().then(()=>(GL(),HL))],["../audits/accessibility/valid-lang",Promise.resolve().then(()=>(VL(),WL))],["../audits/accessibility/video-caption",Promise.resolve().then(()=>(YL(),$L))],["../audits/autocomplete",Promise.resolve().then(()=>(XL(),JL))],["../audits/bf-cache",Promise.resolve().then(()=>(t8(),e8))],["../audits/bootup-time",Promise.resolve().then(()=>(r8(),n8))],["../audits/byte-efficiency/duplicated-javascript",Promise.resolve().then(()=>(s8(),i8))],["../audits/byte-efficiency/efficient-animated-content",Promise.resolve().then(()=>(u8(),c8))],["../audits/byte-efficiency/legacy-javascript",Promise.resolve().then(()=>(d8(),l8))],["../audits/byte-efficiency/modern-image-formats",Promise.resolve().then(()=>(p8(),m8))],["../audits/byte-efficiency/offscreen-images",Promise.resolve().then(()=>(v8(),y8))],["../audits/byte-efficiency/render-blocking-resources",Promise.resolve().then(()=>(D8(),w8))],["../audits/byte-efficiency/total-byte-weight",Promise.resolve().then(()=>(T8(),E8))],["../audits/byte-efficiency/unminified-css",Promise.resolve().then(()=>(F8(),A8))],["../audits/byte-efficiency/unminified-javascript",Promise.resolve().then(()=>(_8(),R8))],["../audits/byte-efficiency/unused-css-rules",Promise.resolve().then(()=>(I8(),k8))],["../audits/byte-efficiency/unused-javascript",Promise.resolve().then(()=>(N8(),M8))],["../audits/byte-efficiency/uses-long-cache-ttl",Promise.resolve().then(()=>(v0(),U8))],["../audits/byte-efficiency/uses-optimized-images",Promise.resolve().then(()=>(j8(),B8))],["../audits/byte-efficiency/uses-responsive-images-snapshot",Promise.resolve().then(()=>(G8(),H8))],["../audits/byte-efficiency/uses-responsive-images",Promise.resolve().then(()=>(S0(),T0))],["../audits/byte-efficiency/uses-text-compression",Promise.resolve().then(()=>(V8(),W8))],["../audits/content-width",Promise.resolve().then(()=>(Y8(),$8))],["../audits/critical-request-chains",Promise.resolve().then(()=>(J8(),K8))],["../audits/csp-xss",Promise.resolve().then(()=>(SP(),TP))],["../audits/deprecations",Promise.resolve().then(()=>(_P(),RP))],["../audits/diagnostics",Promise.resolve().then(()=>(IP(),kP))],["../audits/dobetterweb/charset",Promise.resolve().then(()=>(PP(),LP))],["../audits/dobetterweb/doctype",Promise.resolve().then(()=>(UP(),OP))],["../audits/dobetterweb/dom-size",Promise.resolve().then(()=>(jP(),BP))],["../audits/dobetterweb/geolocation-on-start",Promise.resolve().then(()=>(zP(),qP))],["../audits/dobetterweb/inspector-issues",Promise.resolve().then(()=>(GP(),HP))],["../audits/dobetterweb/js-libraries",Promise.resolve().then(()=>(VP(),WP))],["../audits/dobetterweb/no-document-write",Promise.resolve().then(()=>(YP(),$P))],["../audits/dobetterweb/notification-on-start",Promise.resolve().then(()=>(JP(),KP))],["../audits/dobetterweb/paste-preventing-inputs",Promise.resolve().then(()=>(ZP(),XP))],["../audits/dobetterweb/uses-http2",Promise.resolve().then(()=>(e5(),QP))],["../audits/dobetterweb/uses-passive-event-listeners",Promise.resolve().then(()=>(n5(),t5))],["../audits/errors-in-console",Promise.resolve().then(()=>(a5(),r5))],["../audits/final-screenshot",Promise.resolve().then(()=>(c5(),s5))],["../audits/font-display",Promise.resolve().then(()=>(dD(),l5))],["../audits/image-aspect-ratio",Promise.resolve().then(()=>(m5(),d5))],["../audits/image-size-responsive",Promise.resolve().then(()=>(g5(),f5))],["../audits/installable-manifest",Promise.resolve().then(()=>(D5(),w5))],["../audits/is-on-https",Promise.resolve().then(()=>(S5(),T5))],["../audits/largest-contentful-paint-element",Promise.resolve().then(()=>(C5(),x5))],["../audits/layout-shift-elements",Promise.resolve().then(()=>(F5(),A5))],["../audits/lcp-lazy-loaded",Promise.resolve().then(()=>(_5(),R5))],["../audits/long-tasks",Promise.resolve().then(()=>(I5(),k5))],["../audits/main-thread-tasks",Promise.resolve().then(()=>(N5(),M5))],["../audits/mainthread-work-breakdown",Promise.resolve().then(()=>(P5(),L5))],["../audits/manual/pwa-cross-browser",Promise.resolve().then(()=>(B5(),U5))],["../audits/manual/pwa-each-page-has-url",Promise.resolve().then(()=>(z5(),q5))],["../audits/manual/pwa-page-transitions",Promise.resolve().then(()=>(W5(),G5))],["../audits/maskable-icon",Promise.resolve().then(()=>($5(),V5))],["../audits/metrics",Promise.resolve().then(()=>(DO(),wO))],["../audits/metrics/cumulative-layout-shift",Promise.resolve().then(()=>(SO(),TO))],["../audits/metrics/first-contentful-paint",Promise.resolve().then(()=>(CO(),xO))],["../audits/metrics/first-meaningful-paint",Promise.resolve().then(()=>(FO(),AO))],["../audits/metrics/interaction-to-next-paint",Promise.resolve().then(()=>(DE(),RO))],["../audits/metrics/interactive",Promise.resolve().then(()=>(kO(),_O))],["../audits/metrics/largest-contentful-paint",Promise.resolve().then(()=>(MO(),IO))],["../audits/metrics/max-potential-fid",Promise.resolve().then(()=>(LO(),NO))],["../audits/metrics/speed-index",Promise.resolve().then(()=>(OO(),PO))],["../audits/metrics/total-blocking-time",Promise.resolve().then(()=>(BO(),UO))],["../audits/network-requests",Promise.resolve().then(()=>(qO(),jO))],["../audits/network-rtt",Promise.resolve().then(()=>(HO(),zO))],["../audits/network-server-latency",Promise.resolve().then(()=>(WO(),GO))],["../audits/no-unload-listeners",Promise.resolve().then(()=>($O(),VO))],["../audits/non-composited-animations",Promise.resolve().then(()=>(KO(),YO))],["../audits/oopif-iframe-test-audit",Promise.resolve().then(()=>(XO(),JO))],["../audits/performance-budget",Promise.resolve().then(()=>(t6(),e6))],["../audits/predictive-perf",Promise.resolve().then(()=>(r6(),n6))],["../audits/preload-fonts",Promise.resolve().then(()=>(o6(),a6))],["../audits/prioritize-lcp-image",Promise.resolve().then(()=>(s6(),i6))],["../audits/redirects",Promise.resolve().then(()=>(u6(),c6))],["../audits/screenshot-thumbnails",Promise.resolve().then(()=>(m6(),d6))],["../audits/script-elements-test-audit",Promise.resolve().then(()=>(f6(),p6))],["../audits/script-treemap-data",Promise.resolve().then(()=>(h6(),g6))],["../audits/seo/canonical",Promise.resolve().then(()=>(v6(),y6))],["../audits/seo/crawlable-anchors",Promise.resolve().then(()=>(w6(),b6))],["../audits/seo/font-size",Promise.resolve().then(()=>(x6(),S6))],["../audits/seo/hreflang",Promise.resolve().then(()=>(R6(),F6))],["../audits/seo/http-status-code",Promise.resolve().then(()=>(k6(),_6))],["../audits/seo/is-crawlable",Promise.resolve().then(()=>(G6(),H6))],["../audits/seo/link-text",Promise.resolve().then(()=>(V6(),W6))],["../audits/seo/manual/structured-data",Promise.resolve().then(()=>(K6(),Y6))],["../audits/seo/meta-description",Promise.resolve().then(()=>(X6(),J6))],["../audits/seo/plugins",Promise.resolve().then(()=>(t4(),e4))],["../audits/seo/robots-txt",Promise.resolve().then(()=>(a4(),r4))],["../audits/seo/tap-targets",Promise.resolve().then(()=>(u4(),c4))],["../audits/server-response-time",Promise.resolve().then(()=>(d4(),l4))],["../audits/splash-screen",Promise.resolve().then(()=>(p4(),m4))],["../audits/themed-omnibox",Promise.resolve().then(()=>(g4(),f4))],["../audits/third-party-facades",Promise.resolve().then(()=>(v4(),y4))],["../audits/third-party-summary",Promise.resolve().then(()=>(CT(),h4))],["../audits/timing-budget",Promise.resolve().then(()=>(w4(),b4))],["../audits/unsized-images",Promise.resolve().then(()=>(E4(),D4))],["../audits/user-timings",Promise.resolve().then(()=>(C4(),x4))],["../audits/uses-rel-preconnect",Promise.resolve().then(()=>(F4(),A4))],["../audits/uses-rel-preload",Promise.resolve().then(()=>(_4(),R4))],["../audits/valid-source-maps",Promise.resolve().then(()=>(I4(),k4))],["../audits/viewport",Promise.resolve().then(()=>(N4(),M4))],["../audits/work-during-interaction",Promise.resolve().then(()=>(P4(),L4))],["lighthouse-plugin-publisher-ads",Promise.resolve().then(()=>(B4(),U4))],["lighthouse-plugin-publisher-ads/audits/ad-blocking-tasks",Promise.resolve().then(()=>(nU(),tU))],["lighthouse-plugin-publisher-ads/audits/ad-render-blocking-resources",Promise.resolve().then(()=>(aU(),rU))],["lighthouse-plugin-publisher-ads/audits/ad-request-critical-path",Promise.resolve().then(()=>(cU(),sU))],["lighthouse-plugin-publisher-ads/audits/bid-request-from-page-start",Promise.resolve().then(()=>(mU(),dU))],["lighthouse-plugin-publisher-ads/audits/ad-request-from-page-start",Promise.resolve().then(()=>(fU(),pU))],["lighthouse-plugin-publisher-ads/audits/ad-top-of-viewport",Promise.resolve().then(()=>(hU(),gU))],["lighthouse-plugin-publisher-ads/audits/ads-in-viewport",Promise.resolve().then(()=>(wU(),bU))],["lighthouse-plugin-publisher-ads/audits/async-ad-tags",Promise.resolve().then(()=>(SU(),TU))],["lighthouse-plugin-publisher-ads/audits/blocking-load-events",Promise.resolve().then(()=>(AU(),CU))],["lighthouse-plugin-publisher-ads/audits/bottleneck-requests",Promise.resolve().then(()=>(RU(),FU))],["lighthouse-plugin-publisher-ads/audits/duplicate-tags",Promise.resolve().then(()=>(kU(),_U))],["lighthouse-plugin-publisher-ads/audits/first-ad-render",Promise.resolve().then(()=>(LU(),NU))],["lighthouse-plugin-publisher-ads/audits/full-width-slots",Promise.resolve().then(()=>(OU(),PU))],["lighthouse-plugin-publisher-ads/audits/gpt-bids-parallel",Promise.resolve().then(()=>(BU(),UU))],["lighthouse-plugin-publisher-ads/audits/loads-gpt-from-official-source",Promise.resolve().then(()=>(qU(),jU))],["lighthouse-plugin-publisher-ads/audits/loads-ad-tag-over-https",Promise.resolve().then(()=>(HU(),zU))],["lighthouse-plugin-publisher-ads/audits/script-injected-tags",Promise.resolve().then(()=>(WU(),GU))],["lighthouse-plugin-publisher-ads/audits/serial-header-bidding",Promise.resolve().then(()=>($U(),VU))],["lighthouse-plugin-publisher-ads/audits/tag-load-time",Promise.resolve().then(()=>(XU(),JU))],["lighthouse-plugin-publisher-ads/audits/viewport-ad-density",Promise.resolve().then(()=>(QU(),ZU))],["lighthouse-plugin-publisher-ads/audits/cumulative-ad-shift",Promise.resolve().then(()=>(tB(),eB))],["lighthouse-plugin-publisher-ads/audits/deprecated-api-usage",Promise.resolve().then(()=>(rB(),nB))],["lighthouse-plugin-publisher-ads/audits/gpt-errors-overall",Promise.resolve().then(()=>(oB(),aB))],["lighthouse-plugin-publisher-ads/audits/total-ad-blocking-time",Promise.resolve().then(()=>(sB(),iB))],["lighthouse-plugin-soft-navigation",Promise.resolve().then(()=>(uB(),cB))],["lighthouse-plugin-soft-navigation/audits/soft-nav-fcp",Promise.resolve().then(()=>(dB(),lB))],["lighthouse-plugin-soft-navigation/audits/soft-nav-lcp",Promise.resolve().then(()=>(pB(),mB))]]);s(AS,"requireWrapper");s(ose,"requireGatherer");s(ise,"requireAudit");s(sse,"cleanFlagsForSettings");s(bB,"resolveSettings");s(wB,"mergePlugins");s(DB,"resolveGathererToDefn");s(EB,"resolveAuditsToDefns");s(FS,"resolveModulePath");s(gB,"shallowClone");s(RS,"deepClone");s(_S,"deepCloneConfigJson")});function use(t,e){let{configPath:n}=e;if(n&&!Ot.isAbsolute(n))throw new Error("configPath must be an absolute path");t||(t=Ep,n=cse);let r=n?Ot.dirname(n):void 0;return{configWorkingCopy:_S(t),configPath:n,configDir:r}}function lse(t){if(!t.extends)return t;if(t.extends!=="lighthouse:default")throw new Error("`lighthouse:default` is the only valid extension method.");let{artifacts:e,...n}=t,r=_S(Ep),a=Ii(r,n);return a.artifacts=vB(r.artifacts,e,o=>o.id),a}function dse(t,e,n){if(!("dependencies"in e.instance.meta))return;let r=Object.entries(e.instance.meta.dependencies).map(([a,o])=>{let i=n.get(o);return i||vh(t.id,a),j_(e,i.gatherer)||G_(t.id,a),[a,{id:i.id}]});return Object.fromEntries(r)}async function mse(t,e){if(!t)return null;let n={msg:"Resolve artifact definitions",id:"lh:config:resolveArtifactsToDefns"};N.time(n,"verbose");let r=[...t];r.sort((c,u)=>{let l=TB[c.id]||0,m=TB[u.id]||0;return l-m});let a=new Map,o=cn.getGathererList(),i=[];for(let c of r){let u=c.gatherer,l=await DB(u,o,e),m={id:c.id,gatherer:l,dependencies:dse(c,l,a)},p=m.gatherer.instance.meta.symbol;p&&a.set(p,m),i.push(m)}return N.timeEnd(n),i}function pse(t,e){e==="timespan"&&t.throttlingMethod==="simulate"&&(t.throttlingMethod="devtools")}function fse(t,e){t.disableThrottling||e.throttlingMethod!=="simulate"&&(t.cpuQuietThresholdMs=Math.max(t.cpuQuietThresholdMs||0,cs.cpuQuietThresholdMs),t.networkQuietThresholdMs=Math.max(t.networkQuietThresholdMs||0,cs.networkQuietThresholdMs),t.pauseAfterFcpMs=Math.max(t.pauseAfterFcpMs||0,cs.pauseAfterFcpMs),t.pauseAfterLoadMs=Math.max(t.pauseAfterLoadMs||0,cs.pauseAfterLoadMs))}function gse(t,e){if(!t)return null;let n={msg:"Resolve navigation definitions",id:"lh:config:resolveNavigationsToDefns"};N.time(n,"verbose");let r={...fu,artifacts:t,pauseAfterFcpMs:e.pauseAfterFcpMs,pauseAfterLoadMs:e.pauseAfterLoadMs,networkQuietThresholdMs:e.networkQuietThresholdMs,cpuQuietThresholdMs:e.cpuQuietThresholdMs,blankPage:e.blankPage};fse(r,e);let a=[r];return z_(a),N.timeEnd(n),a}async function Mi(t,e,n={}){let r={msg:"Initialize config",id:"lh:config"};N.time(r,"verbose");let{configWorkingCopy:a,configDir:o}=use(e,n);a=lse(a),a=await wB(a,o,n);let i=bB(a.settings||{},n);pse(i,t);let c=await mse(a.artifacts,o),u=gse(c,i),l={artifacts:c,navigations:u,audits:await EB(a.audits,o),categories:a.categories||null,groups:a.groups||null,settings:i},{warnings:m}=H_(l);return l=Y_(l,t),l=K_(l,i),N.timeEnd(r),{resolvedConfig:l,warnings:m}}var cse,TB,bm=v(()=>{"use strict";d();qo();He();$a();gh();Vn();bh();J_();kS();Vo();la();cse=Ot.join("","../../config/default-config.js"),TB={FullPageScreenshot:1,BFCacheFailures:1};s(use,"resolveWorkingCopy");s(lse,"resolveExtensions");s(dse,"resolveArtifactDependencies");s(mse,"resolveArtifactsToDefns");s(pse,"overrideSettingsForGatherMode");s(fse,"overrideNavigationThrottlingWindows");s(gse,"resolveFakeNavigations");s(Mi,"initializeConfig")});async function xB(t){let e={msg:"Getting browser version",id:"lh:gather:getVersion"};N.time(e,"verbose");let n=await t.sendCommand("Browser.getVersion"),r=n.product.match(/\/(\d+)/),a=r?parseInt(r[1]):0;return N.timeEnd(e),Object.assign(n,{milestone:a})}async function CB(t){let e={msg:"Benchmarking machine",id:"lh:gather:getBenchmarkIndex"};N.time(e);let n=await t.evaluate(Ee.computeBenchmarkIndex,{args:[]});return N.timeEnd(e),n}function vse(t){let{settings:e,baseArtifacts:n}=t,{throttling:r,throttlingMethod:a}=e,o=Qn.throttling;if(e.channel!=="cli")return;let i=a==="simulate"||a==="devtools",c=r.cpuSlowdownMultiplier===o.cpuSlowdownMultiplier;if(!(!i||!c)&&!(n.BenchmarkIndex>hse))return yse(SB.warningSlowHostCpu)}function AB(t){return[vse(t)].filter(e=>!!e)}var SB,hse,yse,FB=v(()=>{"use strict";d();He();Vn();un();k();SB={warningSlowHostCpu:"The tested device appears to have a slower CPU than  Lighthouse expects. This can negatively affect your performance score. Learn more about [calibrating an appropriate CPU slowdown multiplier](https://github.com/GoogleChrome/lighthouse/blob/main/docs/throttling.md#cpu-throttling)."},hse=1e3,yse=w("core/gather/driver/environment.js",SB);s(xB,"getBrowserVersion");s(CB,"getBenchmarkIndex");s(vse,"getSlowHostCpuWarning");s(AB,"getEnvironmentWarnings")});async function zc(t,e,n){let r=await CB(e.executionContext),{userAgent:a}=await xB(e.defaultSession);return{fetchTime:new Date().toJSON(),Timing:[],LighthouseRunWarnings:[],settings:t.settings,BenchmarkIndex:r,HostUserAgent:a,HostFormFactor:a.includes("Android")||a.includes("Mobile")?"mobile":"desktop",URL:{finalDisplayedUrl:""},PageLoadError:null,GatherContext:n}}function bse(t){let e=[];for(let n of t)e.some(r=>(0,RB.default)(n,r))||e.push(n);return e}function Hc(t,e){let n=t.LighthouseRunWarnings.concat(e.LighthouseRunWarnings||[]).concat(AB({settings:t.settings,baseArtifacts:t})),r={...t,...e};if(r.Timing=N.getTimeEntries(),r.LighthouseRunWarnings=bse(n),r.PageLoadError&&!r.URL.finalDisplayedUrl&&(r.URL.finalDisplayedUrl=r.URL.requestedUrl||""),!r.URL.finalDisplayedUrl)throw new Error("Runner did not set finalDisplayedUrl");return r}var RB,kf=v(()=>{"use strict";d();He();RB=zt(cu(),1);FB();s(zc,"getBaseArtifacts");s(bse,"deduplicateWarnings");s(Hc,"finalizeArtifacts")});async function IS(t,e={}){let{flags:n={},config:r}=e;N.setLevel(n.logLevel||"error");let{resolvedConfig:a}=await Mi("snapshot",r,n),o=new Ja(t);await o.connect();let i=new Map,c=await o.url(),u={resolvedConfig:a,computedCache:i};return{artifacts:await cn.gather(async()=>{let m=await zc(a,o,{gatherMode:"snapshot"});m.URL={finalDisplayedUrl:c};let p=a.artifacts||[],g=gs();await Fn({phase:"getArtifact",gatherMode:"snapshot",driver:o,page:t,baseArtifacts:m,artifactDefinitions:p,artifactState:g,computedCache:i,settings:a.settings}),await o.disconnect();let f=await hs(g);return Hc(m,f)},u),runnerOptions:u}}var MS=v(()=>{"use strict";d();He();wp();$a();Dp();bm();kf();s(IS,"snapshotGather")});async function Mf(t,e){let n={msg:"Cleaning origin data",id:"lh:storage:clearDataForOrigin"};N.time(n);let r=[],a=new URL(e).origin,o=["file_systems","shader_cache","service_workers","cache_storage"].join(",");t.setNextProtocolTimeout(5e3);try{await t.sendCommand("Storage.clearDataForOrigin",{origin:a,storageTypes:o})}catch(i){if(i.code==="PROTOCOL_TIMEOUT")N.warn("Driver","clearDataForOrigin timed out"),r.push(NS(If.warningOriginDataTimeout));else throw i}finally{N.timeEnd(n)}return r}async function _B(t,e){let n=await t.sendCommand("Storage.getUsageAndQuota",{origin:e}),r={local_storage:"Local Storage",indexeddb:"IndexedDB",websql:"Web SQL"},a=n.usageBreakdown.filter(o=>o.usage).map(o=>r[o.storageType]||"").filter(Boolean);if(a.length)return NS(If.warningData,{locations:a.join(", "),locationCount:a.length})}async function kB(t){let e={msg:"Cleaning browser cache",id:"lh:storage:clearBrowserCaches"};N.time(e);let n=[];try{await t.sendCommand("Network.clearBrowserCache"),await t.sendCommand("Network.setCacheDisabled",{cacheDisabled:!0}),await t.sendCommand("Network.setCacheDisabled",{cacheDisabled:!1})}catch(r){if(r.code==="PROTOCOL_TIMEOUT")N.warn("Driver","clearBrowserCaches timed out"),n.push(NS(If.warningCacheTimeout));else throw r}finally{N.timeEnd(e)}return n}var If,NS,LS=v(()=>{"use strict";d();He();k();If={warningData:`{locationCount, plural,
    =1 {There may be stored data affecting loading performance in this location: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}
    other {There may be stored data affecting loading performance in these locations: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}
  }`,warningCacheTimeout:"Clearing the browser cache timed out. Try auditing this page again and file a bug if the issue persists.",warningOriginDataTimeout:"Clearing the origin data timed out. Try auditing this page again and file a bug if the issue persists."},NS=w("core/gather/driver/storage.js",If);s(Mf,"clearDataForOrigin");s(_B,"getImportantStorageWarning");s(kB,"clearBrowserCaches")});async function Nf(t){let e=s(async()=>{await t.sendCommand("Debugger.enable"),await t.sendCommand("Debugger.setSkipAllPauses",{skip:!0}),await t.sendCommand("Debugger.setAsyncCallStackDepth",{maxDepth:8})},"enable");function n(){t.sendCommand("Debugger.resume")}s(n,"onDebuggerPaused");function r(a){a.frame.parentId||e().catch(o=>N.error("Driver",o))}return s(r,"onFrameNavigated"),t.on("Debugger.paused",n),t.on("Page.frameNavigated",r),await e(),async()=>{await t.sendCommand("Debugger.disable"),t.off("Debugger.paused",n),t.off("Page.frameNavigated",r)}}async function wse(t,e){await t.executionContext.evaluateOnNewDocument(Ee.wrapRequestIdleCallback,{args:[e.throttling.cpuSlowdownMultiplier]})}async function Dse(t){t.on("Page.javascriptDialogOpening",e=>{N.warn("Driver",`${e.type} dialog opened by the page automatically suppressed.`),t.sendCommand("Page.handleJavaScriptDialog",{accept:!0,promptText:"Lighthouse prompt response"}).catch(n=>N.warn("Driver",n))}),await t.sendCommand("Page.enable")}async function Ese(t,e){let n=[],r=await _B(t,e);r&&n.push(r);let a=await Mf(t,e);n.push(...a);let o=await kB(t);return n.push(...o),{warnings:n}}async function MB(t,e,n){let r={msg:"Preparing network conditions",id:"lh:gather:prepareThrottlingAndNetwork"};N.time(r),n.disableThrottling?await Hp(t):await kI(t,e);let a=(n.blockedUrlPatterns||[]).concat(e.blockedUrlPatterns||[]);await t.sendCommand("Network.setBlockedURLs",{urls:a});let o=e.extraHeaders;o&&await t.sendCommand("Network.setExtraHTTPHeaders",{headers:o}),N.timeEnd(r)}async function NB(t,e){await t.defaultSession.sendCommand("Network.enable"),await zp(t.defaultSession,e)}async function LB(t,e){let n={msg:"Preparing target for timespan mode",id:"lh:prepare:timespanMode"};N.time(n),await NB(t,e),await MB(t.defaultSession,e,{disableThrottling:!1,blockedUrlPatterns:void 0}),await PB(t),N.timeEnd(n)}async function PB(t){await t.executionContext.evaluate(Ee.truncate,{args:["aaa",2]})}async function OB(t,e){let n={msg:"Preparing target for navigation mode",id:"lh:prepare:navigationMode"};N.time(n),await NB(t,e),await Dse(t.defaultSession),await t.executionContext.cacheNativesOnNewDocument(),e.throttlingMethod==="simulate"&&await wse(t,e),await PB(t),N.timeEnd(n)}async function UB(t,e,n){let r={msg:"Preparing target for navigation",id:"lh:prepare:navigation"};N.time(r);let a=[],{requestor:o}=n;if(!e.disableStorageReset&&!n.disableStorageReset&&typeof o=="string"){let c=o,{warnings:u}=await Ese(t,c);a.push(...u)}return await MB(t,e,n),N.timeEnd(r),{warnings:a}}var PS=v(()=>{"use strict";d();He();LS();Gp();un();s(Nf,"enableAsyncStacks");s(wse,"shimRequestIdleCallbackOnNewDocument");s(Dse,"dismissJavaScriptDialogs");s(Ese,"resetStorageForUrl");s(MB,"prepareThrottlingAndNetwork");s(NB,"prepareDeviceEmulation");s(LB,"prepareTargetForTimespanMode");s(PB,"warmUpIntlSegmenter");s(OB,"prepareTargetForNavigationMode");s(UB,"prepareTargetForIndividualNavigation")});async function OS(t,e={}){let{flags:n={},config:r}=e;N.setLevel(n.logLevel||"error");let{resolvedConfig:a}=await Mi("timespan",r,n),o=new Ja(t);await o.connect();let i=new Map,c=a.artifacts||[],u=await zc(a,o,{gatherMode:"timespan"}),l=gs(),m={driver:o,page:t,artifactDefinitions:c,artifactState:l,baseArtifacts:u,computedCache:i,gatherMode:"timespan",settings:a.settings};await LB(o,a.settings);let p=await Nf(o.defaultSession);return await Fn({phase:"startInstrumentation",...m}),await Fn({phase:"startSensitiveInstrumentation",...m}),{async endTimespanGather(){let g=await o.url(),f={resolvedConfig:a,computedCache:i};return{artifacts:await cn.gather(async()=>{u.URL={finalDisplayedUrl:g},await Fn({phase:"stopSensitiveInstrumentation",...m}),await Fn({phase:"stopInstrumentation",...m}),await p(),await Fn({phase:"getArtifact",...m}),await o.disconnect();let b=await hs(l);return Hc(u,b)},f),runnerOptions:f}}}}var US=v(()=>{"use strict";d();He();wp();$a();Dp();PS();bm();kf();s(OS,"startTimespanGather")});var BB,jB=v(()=>{d();BB={}});function Fse(t){let{pauseAfterFcpMs:e,pauseAfterLoadMs:n,networkQuietThresholdMs:r,cpuQuietThresholdMs:a}=t,o=t.maxWaitForLoad,i=t.maxWaitForFcp;return typeof e!="number"&&(e=Sse),typeof n!="number"&&(n=xse),typeof r!="number"&&(r=Cse),typeof a!="number"&&(a=Ase),typeof o!="number"&&(o=Qn.maxWaitForLoad),typeof i!="number"&&(i=Qn.maxWaitForFcp),t.waitUntil.includes("fcp")||(i=void 0),{pauseAfterFcpMs:e,pauseAfterLoadMs:n,networkQuietThresholdMs:r,cpuQuietThresholdMs:a,maxWaitForLoadedMs:o,maxWaitForFcpMs:i}}async function Lf(t,e,n){let r=typeof e=="string"?{msg:`Navigating to ${e}`,id:"lh:driver:navigate"}:{msg:"Navigating using a user defined function",id:"lh:driver:navigate"};N.time(r);let a=t.defaultSession,o=t.networkMonitor;await a.sendCommand("Page.enable"),await a.sendCommand("Page.setLifecycleEventsEnabled",{enabled:!0});let i;typeof e=="string"?(a.setNextProtocolTimeout(1/0),i=a.sendCommand("Page.navigate",{url:e})):i=e();let c=n.waitUntil.includes("navigated"),u=n.waitUntil.includes("load"),l=n.waitUntil.includes("fcp"),m=[];if(c){let D=xp(a).promise;m.push(D.then(()=>({timedOut:!1})))}if(u){let D=Fse(n);m.push(mk(a,o,D))}else if(l)throw new Error("Cannot wait for FCP without waiting for page load");let g=(await Promise.all(m)).some(D=>D.timedOut),f=await o.getNavigationUrls(),y=f.requestedUrl;if(typeof e=="string"&&(y&&!te.equalWithExcludedFragments(e,y)&&N.error("Navigation",`Provided URL (${e}) did not match initial navigation URL (${y})`),y=e),!y)throw Error("No navigations detected when running user defined requestor.");let b=f.mainDocumentUrl||y;return await i,n.debugNavigation&&await pk(t),N.timeEnd(r),{requestedUrl:y,mainDocumentUrl:b,warnings:Rse({timedOut:g,mainDocumentUrl:b,requestedUrl:y})}}function Rse(t){let{requestedUrl:e,mainDocumentUrl:n}=t,r=[];return t.timedOut&&r.push(qB(BS.warningTimeout)),te.equalWithExcludedFragments(e,n)||r.push(qB(BS.warningRedirected,{requested:e,final:n})),r}var BS,qB,Sse,xse,Cse,Ase,zB=v(()=>{"use strict";d();He();Cp();Vn();k();lt();BS={warningRedirected:"The page may not be loading as expected because your test URL ({requested}) was redirected to {final}. Try testing the second URL directly.",warningTimeout:"The page loaded too slowly to finish within the time limit. Results may be incomplete."},qB=w("core/gather/driver/navigation.js",BS),Sse=0,xse=0,Cse=5e3,Ase=0;s(Fse,"resolveWaitForFullyLoadedOptions");s(Lf,"gotoURL");s(Rse,"getNavigationWarnings")});function Ise(t){if(t){if(t.failed){let e=t.localizedFailDescription;return e==="net::ERR_NAME_NOT_RESOLVED"||e==="net::ERR_NAME_RESOLUTION_FAILED"||e.startsWith("net::ERR_DNS_")?new G(G.errors.DNS_FAILURE):new G(G.errors.FAILED_DOCUMENT_REQUEST,{errorDetails:e})}else if(t.hasErrorStatusCode())return new G(G.errors.ERRORED_DOCUMENT_REQUEST,{statusCode:`${t.statusCode}`})}else return new G(G.errors.NO_DOCUMENT_REQUEST)}function Mse(t,e){if(!(!t||!e.find(r=>r.documentURL.startsWith("chrome-error://")))&&t.failed)return t.localizedFailDescription.startsWith("net::ERR_CERT")?new G(G.errors.INSECURE_DOCUMENT_REQUEST,{securityMessages:t.localizedFailDescription}):new G(G.errors.CHROME_INTERSTITIAL_ERROR)}function Nse(t){if(t&&!(!t.mimeType||t.statusCode===-1)&&t.mimeType!==kse&&t.mimeType!==GB)return new G(G.errors.NOT_HTML,{mimeType:t.mimeType})}function WB(t,e){let{url:n,loadFailureMode:r,networkRecords:a}=e,o=Qt.findResourceForUrl(a,n);if(!o){let m=a.filter(p=>p.resourceType===Y.TYPES.Document);m.length&&(o=m.reduce((p,g)=>g.networkRequestTime<p.networkRequestTime?g:p))}let i;o&&(i=Qt.resolveRedirects(o)),i?.mimeType===GB&&e.warnings.push(_se(HB.warningXhtml));let c=Ise(o),u=Mse(o,a),l=Nse(i);if(r!=="ignore")return u||c||l||t}var HB,_se,kse,GB,VB=v(()=>{"use strict";d();Bt();Jo();St();k();HB={warningXhtml:"The page MIME type is XHTML: Lighthouse does not explicitly support this document type"},_se=w("core/lib/navigation-error.js",HB),kse="text/html",GB="application/xhtml+xml";s(Ise,"getNetworkError");s(Mse,"getInterstitialError");s(Nse,"getNonHtmlError");s(WB,"getPageLoadError")});async function Ose({driver:t,resolvedConfig:e,requestor:n}){await t.connect(),typeof n=="string"&&!e.settings.skipAboutBlank&&await Lf(t,fu.blankPage,{waitUntil:["navigated"]});let r=await zc(e,t,{gatherMode:"navigation"});return await OB(t,e.settings),{baseArtifacts:r}}async function Use({requestor:t,driver:e,navigation:n,resolvedConfig:r}){typeof t=="string"&&!r.settings.skipAboutBlank&&await Lf(e,n.blankPage,{...n,waitUntil:["navigated"]});let{warnings:a}=await UB(e.defaultSession,r.settings,{...n,requestor:t});return{warnings:a}}async function Bse({driver:t}){await Hp(t.defaultSession)}async function jse(t){let{driver:e,resolvedConfig:n,requestor:r}=t;try{let{requestedUrl:a,mainDocumentUrl:o,warnings:i}=await Lf(e,r,{...t.navigation,debugNavigation:n.settings.debugNavigation,maxWaitForFcp:n.settings.maxWaitForFcp,maxWaitForLoad:n.settings.maxWaitForLoad,waitUntil:t.navigation.pauseAfterFcpMs?["fcp","load"]:["load"]});return{requestedUrl:a,mainDocumentUrl:o,navigationError:void 0,warnings:i}}catch(a){if(!(a instanceof G)||a.code!=="NO_FCP"&&a.code!=="PAGE_HUNG"||typeof r!="string")throw a;return{requestedUrl:r,mainDocumentUrl:r,navigationError:a,warnings:[]}}}async function qse(t,e){let n=e.artifactDefinitions.find(p=>p.gatherer.instance.meta.symbol===Lt.symbol),r=e.artifactDefinitions.find(p=>p.gatherer.instance.meta.symbol===sa.symbol),a=[n,r].filter(p=>!!p);if(!a.length)return{};await Fn({...e,phase:"getArtifact",artifactDefinitions:a});let o=e.artifactState.getArtifact,i=n?.id,c=i&&await o[i],u=c&&await $.request(c,t),l=r?.id,m=l&&await o[l];return{devtoolsLog:c,records:u,trace:m}}async function zse(t,e,n,r){let{navigationError:a,mainDocumentUrl:o}=r,i=[...n.warnings,...r.warnings],c=await qse(t,e),u=c.records?WB(a,{url:o,loadFailureMode:t.navigation.loadFailureMode,networkRecords:c.records,warnings:i}):a;if(u){let l=t.resolvedConfig.settings.locale,m=$o(u.friendlyMessage,l);N.error("NavigationRunner",m,r.requestedUrl);let p={},g=`pageLoadError-${t.navigation.id}`;return c.devtoolsLog&&(p.DevtoolsLogError=c.devtoolsLog,p.devtoolsLogs={[g]:c.devtoolsLog}),c.trace&&(p.TraceError=c.trace,p.traces={[g]:c.trace}),{pageLoadError:u,artifacts:p,warnings:[...i,u.friendlyMessage]}}else return await Fn({phase:"getArtifact",...e}),{artifacts:await hs(e.artifactState),warnings:i,pageLoadError:void 0}}async function Hse(t){let e=gs(),n={url:await t.driver.url(),gatherMode:"navigation",driver:t.driver,page:t.page,computedCache:t.computedCache,artifactDefinitions:t.navigation.artifacts,artifactState:e,baseArtifacts:t.baseArtifacts,settings:t.resolvedConfig.settings},r=await Use(t),a=await Nf(t.driver.defaultSession);await Fn({phase:"startInstrumentation",...n}),await Fn({phase:"startSensitiveInstrumentation",...n});let o=await jse(t);return Object.values(n.baseArtifacts).every(Boolean)||(n.baseArtifacts.URL={requestedUrl:o.requestedUrl,mainDocumentUrl:o.mainDocumentUrl,finalDisplayedUrl:await t.driver.url()}),n.url=o.mainDocumentUrl,await Fn({phase:"stopSensitiveInstrumentation",...n}),await Fn({phase:"stopInstrumentation",...n}),await a(),await Bse(t),zse(t,n,r,o)}async function Gse(t){let{driver:e,page:n,resolvedConfig:r,requestor:a,baseArtifacts:o,computedCache:i}=t;if(!r.artifacts||!r.navigations)throw new Error("No artifacts were defined on the config");let c={},u=[];for(let l of r.navigations){let m={driver:e,page:n,navigation:l,requestor:a,resolvedConfig:r,baseArtifacts:o,computedCache:i},p=!1,g=await Hse(m);if(l.loadFailureMode==="fatal"&&g.pageLoadError&&(c.PageLoadError=g.pageLoadError,p=!0),u.push(...g.warnings),Object.assign(c,g.artifacts),p)break}return{artifacts:{...c,LighthouseRunWarnings:u}}}async function Wse({requestedUrl:t,driver:e,resolvedConfig:n,lhBrowser:r,lhPage:a}){!n.settings.disableStorageReset&&t&&await Mf(e.defaultSession,t),await e.disconnect(),await a?.close(),await r?.disconnect()}async function jS(t,e,n={}){let{flags:r={},config:a}=n;N.setLevel(r.logLevel||"error");let{resolvedConfig:o}=await Mi("navigation",a,r),i=new Map,c=typeof e=="function",u={resolvedConfig:o,computedCache:i};return{artifacts:await cn.gather(async()=>{let m=c?e:te.normalizeUrl(e),p,g;if(!t){let{hostname:T=Lse,port:A=Pse}=r;p=await BB.connect({browserURL:`http://${T}:${A}`,defaultViewport:null}),g=await p.newPage(),t=g}let y={driver:new Ja(t),lhBrowser:p,lhPage:g,resolvedConfig:o,requestor:m},{baseArtifacts:b}=await Ose(y),{artifacts:D}=await Gse({...y,page:t,baseArtifacts:b,computedCache:i});return await Wse(y),Hc(b,D)},u),runnerOptions:u}}var Lse,Pse,qS=v(()=>{"use strict";d();jB();He();wp();$a();Dp();PS();zB();LS();Gp();Vn();bm();kf();la();Bt();lt();VB();Vi();Kn();De();Lse="127.0.0.1",Pse=9222;s(Ose,"_setup");s(Use,"_setupNavigation");s(Bse,"_cleanupNavigation");s(jse,"_navigate");s(qse,"_collectDebugData");s(zse,"_computeNavigationResult");s(Hse,"_navigation");s(Gse,"_navigations");s(Wse,"_cleanup");s(jS,"navigationGather")});var Vse,lGe,$B=v(()=>{"use strict";d();mp();MS();US();qS();$a();bm();la();kS();k();Yt();Vse={defaultFlowName:"User flow ({url})",defaultNavigationName:"Navigation report ({url})",defaultTimespanName:"Timespan report ({url})",defaultSnapshotName:"Snapshot report ({url})"},lGe=w("core/user-flow.js",Vse)});var gGe,YB=v(()=>{"use strict";d();Yt();Vn();gGe={extends:"lighthouse:default",settings:{formFactor:"desktop",throttling:Wn.desktopDense4G,screenEmulation:ip.desktop,emulatedUserAgent:Wa.desktop}}});async function $se(t,e={},n,r){return Pf(r,t,{config:n,flags:e})}async function Pf(t,e,n){let r=await jS(t,e,n);return cn.audit(r.artifacts,r.runnerOptions)}async function zS(t,e){let n=await IS(t,e);return cn.audit(n.artifacts,n.runnerOptions)}async function HS(t,e){let{endTimespanGather:n}=await OS(t,e);return{endTimespan:s(async()=>{let a=await n();return cn.audit(a.artifacts,a.runnerOptions)},"endTimespan")}}var RGe,KB,bt=v(()=>{"use strict";d();Vi();$a();$B();mp();US();MS();qS();Yt();J();Ue();De();gh();YB();Yt();s($se,"lighthouse");s(Pf,"navigation");s(zS,"snapshot");s(HS,"startTimespan");RGe=sa.getDefaultTraceCategories(),KB=$se});d();Bi();He();bt();k();la();Vn();globalThis.Buffer=H;function Yse(t,e){let n={onlyCategories:t,screenEmulation:{disabled:!0}};return e==="desktop"&&(n.throttling=Wn.desktopDense4G,n.emulatedUserAgent=Wa.desktop,n.formFactor="desktop"),{extends:"lighthouse:default",plugins:["lighthouse-plugin-publisher-ads"],settings:n}}s(Yse,"createConfig");function Kse(t){N.events.addListener("status",t),N.events.addListener("warning",t)}s(Kse,"listenForStatus");function Jse(t){return Zm(t,MF())}s(Jse,"lookupCanonicalLocale");function Xse(t,{page:e,...n}){return Pf(e,t,n)}s(Xse,"runLighthouseNavigation");function Zse({page:t,...e}){return HS(t,e)}s(Zse,"startLighthouseTimespan");function Qse({page:t,...e}){return zS(t,e)}s(Qse,"runLighthouseSnapshot");typeof self<"u"?(globalThis.isDevtools=!0,self.runLighthouseNavigation=Xse,self.navigation=Pf,self.startLighthouseTimespan=Zse,self.startTimespan=HS,self.runLighthouseSnapshot=Qse,self.snapshot=zS,self.createConfig=Yse,self.listenForStatus=Kse,self.registerLocaleData=LF,self.lookupLocale=Jse):globalThis.runBundledLighthouse=KB;})();
/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
 * @license  MIT
 */
/*! Bundled license information:

lighthouse-stack-packs/packs/joomla.js:
  (**
   * @license Copyright 2020 The Lighthouse Authors. All Rights Reserved.
   * Licensed under the Apache License, Version 2.0 (the 'License'); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
   * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an 'AS IS' BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
   *)

image-ssim/index.js:
  (**
   * @preserve
   * Copyright 2015 Igor Bezkrovny
   * All rights reserved. (MIT Licensed)
   *
   * ssim.ts - part of Image Quantization Library
   *)
*/
